#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 14593
#define LARGE_STATE_COUNT 296
#define SYMBOL_COUNT 714
#define ALIAS_COUNT 2
#define TOKEN_COUNT 412
#define EXTERNAL_TOKEN_COUNT 3
#define FIELD_COUNT 51
#define MAX_ALIAS_SEQUENCE_LENGTH 24
#define PRODUCTION_ID_COUNT 258

enum ts_symbol_identifiers {
  sym__identifier = 1,
  anon_sym_SEMI = 2,
  sym_keyword_select = 3,
  sym_keyword_delete = 4,
  sym_keyword_insert = 5,
  sym_keyword_replace = 6,
  sym_keyword_update = 7,
  sym_keyword_truncate = 8,
  sym_keyword_merge = 9,
  sym_keyword_into = 10,
  sym_keyword_overwrite = 11,
  sym_keyword_values = 12,
  sym_keyword_value = 13,
  sym_keyword_matched = 14,
  sym_keyword_set = 15,
  sym_keyword_from = 16,
  sym_keyword_left = 17,
  sym_keyword_right = 18,
  sym_keyword_inner = 19,
  sym_keyword_full = 20,
  sym_keyword_outer = 21,
  sym_keyword_cross = 22,
  sym_keyword_join = 23,
  sym_keyword_lateral = 24,
  sym_keyword_natural = 25,
  sym_keyword_on = 26,
  sym_keyword_off = 27,
  sym_keyword_where = 28,
  sym_keyword_order = 29,
  sym_keyword_group = 30,
  sym_keyword_partition = 31,
  sym_keyword_by = 32,
  sym_keyword_having = 33,
  sym_keyword_desc = 34,
  sym_keyword_asc = 35,
  sym_keyword_limit = 36,
  sym_keyword_offset = 37,
  sym_keyword_primary = 38,
  sym_keyword_create = 39,
  sym_keyword_alter = 40,
  sym_keyword_change = 41,
  sym_keyword_analyze = 42,
  sym_keyword_explain = 43,
  sym_keyword_verbose = 44,
  sym_keyword_modify = 45,
  sym_keyword_drop = 46,
  sym_keyword_add = 47,
  sym_keyword_table = 48,
  sym_keyword_tables = 49,
  sym_keyword_view = 50,
  sym_keyword_column = 51,
  sym_keyword_columns = 52,
  sym_keyword_materialized = 53,
  sym_keyword_tablespace = 54,
  sym_keyword_sequence = 55,
  sym_keyword_increment = 56,
  sym_keyword_minvalue = 57,
  sym_keyword_maxvalue = 58,
  sym_keyword_none = 59,
  sym_keyword_owned = 60,
  sym_keyword_start = 61,
  sym_keyword_restart = 62,
  sym_keyword_key = 63,
  sym_keyword_as = 64,
  sym_keyword_distinct = 65,
  sym_keyword_constraint = 66,
  sym_keyword_filter = 67,
  sym_keyword_cast = 68,
  sym_keyword_separator = 69,
  sym_keyword_max = 70,
  sym_keyword_min = 71,
  sym_keyword_avg = 72,
  sym_keyword_case = 73,
  sym_keyword_when = 74,
  sym_keyword_then = 75,
  sym_keyword_else = 76,
  sym_keyword_end = 77,
  sym_keyword_in = 78,
  sym_keyword_and = 79,
  sym_keyword_or = 80,
  sym_keyword_is = 81,
  sym_keyword_not = 82,
  sym_keyword_force = 83,
  sym_keyword_ignore = 84,
  sym_keyword_using = 85,
  sym_keyword_use = 86,
  sym_keyword_index = 87,
  sym_keyword_for = 88,
  sym_keyword_if = 89,
  sym_keyword_exists = 90,
  sym_keyword_auto_increment = 91,
  sym_keyword_generated = 92,
  sym_keyword_always = 93,
  sym_keyword_collate = 94,
  aux_sym_keyword_character_token1 = 95,
  sym_keyword_engine = 96,
  sym_keyword_default = 97,
  sym_keyword_cascade = 98,
  sym_keyword_restrict = 99,
  sym_keyword_with = 100,
  sym_keyword_without = 101,
  sym_keyword_no = 102,
  sym_keyword_data = 103,
  sym_keyword_type = 104,
  sym_keyword_rename = 105,
  sym_keyword_to = 106,
  sym_keyword_database = 107,
  sym_keyword_schema = 108,
  sym_keyword_owner = 109,
  sym_keyword_user = 110,
  sym_keyword_admin = 111,
  sym_keyword_password = 112,
  sym_keyword_encrypted = 113,
  sym_keyword_valid = 114,
  sym_keyword_until = 115,
  sym_keyword_connection = 116,
  sym_keyword_role = 117,
  sym_keyword_reset = 118,
  sym_keyword_temp = 119,
  sym_keyword_temporary = 120,
  sym_keyword_unlogged = 121,
  sym_keyword_logged = 122,
  sym_keyword_cycle = 123,
  sym_keyword_union = 124,
  sym_keyword_all = 125,
  sym_keyword_any = 126,
  sym_keyword_some = 127,
  sym_keyword_except = 128,
  sym_keyword_intersect = 129,
  sym_keyword_returning = 130,
  sym_keyword_begin = 131,
  sym_keyword_commit = 132,
  sym_keyword_rollback = 133,
  sym_keyword_transaction = 134,
  sym_keyword_over = 135,
  sym_keyword_nulls = 136,
  sym_keyword_first = 137,
  sym_keyword_after = 138,
  sym_keyword_before = 139,
  sym_keyword_last = 140,
  sym_keyword_window = 141,
  sym_keyword_range = 142,
  sym_keyword_rows = 143,
  sym_keyword_groups = 144,
  sym_keyword_between = 145,
  sym_keyword_unbounded = 146,
  sym_keyword_preceding = 147,
  sym_keyword_following = 148,
  sym_keyword_exclude = 149,
  sym_keyword_current = 150,
  sym_keyword_row = 151,
  sym_keyword_ties = 152,
  sym_keyword_others = 153,
  sym_keyword_only = 154,
  sym_keyword_unique = 155,
  sym_keyword_foreign = 156,
  sym_keyword_references = 157,
  sym_keyword_concurrently = 158,
  sym_keyword_btree = 159,
  sym_keyword_hash = 160,
  sym_keyword_gist = 161,
  sym_keyword_spgist = 162,
  sym_keyword_gin = 163,
  sym_keyword_brin = 164,
  aux_sym_keyword_like_token1 = 165,
  aux_sym_keyword_like_token2 = 166,
  sym_keyword_similar = 167,
  sym_keyword_preserve = 168,
  sym_keyword_unsigned = 169,
  sym_keyword_zerofill = 170,
  sym_keyword_conflict = 171,
  sym_keyword_do = 172,
  sym_keyword_nothing = 173,
  sym_keyword_high_priority = 174,
  sym_keyword_low_priority = 175,
  sym_keyword_delayed = 176,
  sym_keyword_recursive = 177,
  sym_keyword_cascaded = 178,
  sym_keyword_local = 179,
  sym_keyword_current_timestamp = 180,
  sym_keyword_check = 181,
  sym_keyword_option = 182,
  sym_keyword_vacuum = 183,
  sym_keyword_wait = 184,
  sym_keyword_nowait = 185,
  sym_keyword_attribute = 186,
  sym_keyword_authorization = 187,
  sym_keyword_action = 188,
  sym_keyword_extension = 189,
  sym_keyword_copy = 190,
  sym_keyword_stdin = 191,
  sym_keyword_freeze = 192,
  sym_keyword_escape = 193,
  sym_keyword_encoding = 194,
  sym_keyword_force_quote = 195,
  sym_keyword_quote = 196,
  sym_keyword_force_null = 197,
  sym_keyword_force_not_null = 198,
  sym_keyword_header = 199,
  sym_keyword_match = 200,
  sym_keyword_program = 201,
  sym_keyword_plain = 202,
  sym_keyword_extended = 203,
  sym_keyword_main = 204,
  sym_keyword_storage = 205,
  sym_keyword_compression = 206,
  sym_keyword_trigger = 207,
  sym_keyword_function = 208,
  sym_keyword_returns = 209,
  sym_keyword_return = 210,
  sym_keyword_setof = 211,
  sym_keyword_atomic = 212,
  sym_keyword_declare = 213,
  sym_keyword_language = 214,
  sym_keyword_sql = 215,
  sym_keyword_plpgsql = 216,
  sym_keyword_immutable = 217,
  sym_keyword_stable = 218,
  sym_keyword_volatile = 219,
  sym_keyword_leakproof = 220,
  sym_keyword_parallel = 221,
  sym_keyword_safe = 222,
  sym_keyword_unsafe = 223,
  sym_keyword_restricted = 224,
  sym_keyword_called = 225,
  sym_keyword_input = 226,
  sym_keyword_strict = 227,
  sym_keyword_cost = 228,
  sym_keyword_support = 229,
  sym_keyword_definer = 230,
  sym_keyword_invoker = 231,
  sym_keyword_security = 232,
  sym_keyword_version = 233,
  sym_keyword_out = 234,
  sym_keyword_inout = 235,
  sym_keyword_variadic = 236,
  sym_keyword_session = 237,
  sym_keyword_isolation = 238,
  sym_keyword_level = 239,
  sym_keyword_serializable = 240,
  sym_keyword_repeatable = 241,
  sym_keyword_read = 242,
  sym_keyword_write = 243,
  sym_keyword_committed = 244,
  sym_keyword_uncommitted = 245,
  sym_keyword_deferrable = 246,
  sym_keyword_names = 247,
  sym_keyword_zone = 248,
  sym_keyword_immediate = 249,
  sym_keyword_deferred = 250,
  sym_keyword_constraints = 251,
  sym_keyword_snapshot = 252,
  sym_keyword_characteristics = 253,
  sym_keyword_follows = 254,
  sym_keyword_precedes = 255,
  sym_keyword_each = 256,
  sym_keyword_instead = 257,
  sym_keyword_of = 258,
  sym_keyword_initially = 259,
  sym_keyword_old = 260,
  sym_keyword_new = 261,
  sym_keyword_referencing = 262,
  sym_keyword_statement = 263,
  sym_keyword_execute = 264,
  sym_keyword_procedure = 265,
  sym_keyword_external = 266,
  sym_keyword_stored = 267,
  sym_keyword_virtual = 268,
  sym_keyword_cached = 269,
  sym_keyword_uncached = 270,
  sym_keyword_replication = 271,
  sym_keyword_tblproperties = 272,
  sym_keyword_options = 273,
  sym_keyword_compute = 274,
  sym_keyword_stats = 275,
  sym_keyword_statistics = 276,
  sym_keyword_optimize = 277,
  sym_keyword_rewrite = 278,
  sym_keyword_bin_pack = 279,
  sym_keyword_incremental = 280,
  sym_keyword_location = 281,
  sym_keyword_partitioned = 282,
  sym_keyword_comment = 283,
  sym_keyword_sort = 284,
  sym_keyword_format = 285,
  sym_keyword_delimited = 286,
  sym_keyword_delimiter = 287,
  sym_keyword_fields = 288,
  sym_keyword_terminated = 289,
  sym_keyword_escaped = 290,
  sym_keyword_lines = 291,
  sym_keyword_cache = 292,
  sym_keyword_metadata = 293,
  sym_keyword_noscan = 294,
  sym_keyword_parquet = 295,
  sym_keyword_rcfile = 296,
  sym_keyword_csv = 297,
  sym_keyword_textfile = 298,
  sym_keyword_avro = 299,
  sym_keyword_sequencefile = 300,
  sym_keyword_orc = 301,
  sym_keyword_jsonfile = 302,
  sym_keyword_null = 303,
  sym_keyword_true = 304,
  sym_keyword_false = 305,
  sym_keyword_boolean = 306,
  sym_keyword_bit = 307,
  sym_keyword_binary = 308,
  sym_keyword_varbinary = 309,
  sym_keyword_image = 310,
  aux_sym_keyword_smallserial_token1 = 311,
  aux_sym_keyword_smallserial_token2 = 312,
  aux_sym_keyword_serial_token1 = 313,
  aux_sym_keyword_serial_token2 = 314,
  aux_sym_keyword_bigserial_token1 = 315,
  aux_sym_keyword_bigserial_token2 = 316,
  aux_sym_keyword_tinyint_token1 = 317,
  aux_sym_keyword_tinyint_token2 = 318,
  aux_sym_keyword_smallint_token1 = 319,
  aux_sym_keyword_smallint_token2 = 320,
  aux_sym_keyword_mediumint_token1 = 321,
  aux_sym_keyword_mediumint_token2 = 322,
  aux_sym_keyword_int_token1 = 323,
  aux_sym_keyword_int_token2 = 324,
  aux_sym_keyword_int_token3 = 325,
  aux_sym_keyword_bigint_token1 = 326,
  aux_sym_keyword_bigint_token2 = 327,
  sym_keyword_decimal = 328,
  sym_keyword_numeric = 329,
  aux_sym_keyword_real_token1 = 330,
  aux_sym_keyword_real_token2 = 331,
  sym_keyword_float = 332,
  sym_keyword_double = 333,
  sym_keyword_precision = 334,
  sym_keyword_inet = 335,
  sym_keyword_money = 336,
  sym_keyword_smallmoney = 337,
  sym_keyword_varying = 338,
  aux_sym_keyword_char_token1 = 339,
  sym_keyword_nchar = 340,
  aux_sym_keyword_varchar_token1 = 341,
  sym_keyword_nvarchar = 342,
  sym_keyword_text = 343,
  sym_keyword_string = 344,
  sym_keyword_uuid = 345,
  sym_keyword_json = 346,
  sym_keyword_jsonb = 347,
  sym_keyword_xml = 348,
  sym_keyword_bytea = 349,
  sym_keyword_enum = 350,
  sym_keyword_date = 351,
  sym_keyword_datetime = 352,
  sym_keyword_datetime2 = 353,
  sym_keyword_smalldatetime = 354,
  sym_keyword_datetimeoffset = 355,
  sym_keyword_time = 356,
  sym_keyword_timestamp = 357,
  sym_keyword_timestamptz = 358,
  sym_keyword_interval = 359,
  sym_keyword_geometry = 360,
  sym_keyword_geography = 361,
  sym_keyword_box2d = 362,
  sym_keyword_box3d = 363,
  sym_keyword_oid = 364,
  sym_keyword_oids = 365,
  sym_keyword_name = 366,
  sym_keyword_regclass = 367,
  sym_keyword_regnamespace = 368,
  sym_keyword_regproc = 369,
  sym_keyword_regtype = 370,
  sym_keyword_array = 371,
  anon_sym_LBRACK = 372,
  anon_sym_RBRACK = 373,
  anon_sym_LPAREN = 374,
  anon_sym_RPAREN = 375,
  anon_sym_COMMA = 376,
  aux_sym_double_token1 = 377,
  sym_comment = 378,
  sym_marginalia = 379,
  anon_sym_EQ = 380,
  anon_sym_COLON_EQ = 381,
  anon_sym_DOT = 382,
  anon_sym_STAR = 383,
  sym_parameter = 384,
  anon_sym_COLON_COLON = 385,
  anon_sym_LT = 386,
  anon_sym_GT = 387,
  anon_sym_LT_EQ = 388,
  anon_sym_GT_EQ = 389,
  anon_sym_COLON = 390,
  sym_op_other = 391,
  anon_sym_PLUS = 392,
  anon_sym_DASH = 393,
  anon_sym_SLASH = 394,
  anon_sym_PERCENT = 395,
  anon_sym_CARET = 396,
  anon_sym_BANG_EQ = 397,
  anon_sym_LT_GT = 398,
  sym_op_unary_other = 399,
  sym__double_quote_string = 400,
  aux_sym__single_quote_string_token1 = 401,
  aux_sym__single_quote_string_token2 = 402,
  sym__natural_number = 403,
  aux_sym__integer_token1 = 404,
  aux_sym__decimal_number_token1 = 405,
  aux_sym__bit_string_token1 = 406,
  sym_bang = 407,
  aux_sym_identifier_token1 = 408,
  sym__dollar_quoted_string_start_tag = 409,
  sym__dollar_quoted_string_end_tag = 410,
  sym__dollar_quoted_string = 411,
  sym_program = 412,
  sym_keyword_character = 413,
  sym_keyword_like = 414,
  sym_is_not = 415,
  sym_not_like = 416,
  sym_similar_to = 417,
  sym_not_similar_to = 418,
  sym_distinct_from = 419,
  sym_not_distinct_from = 420,
  sym__temporary = 421,
  sym__not_null = 422,
  sym__primary_key = 423,
  sym__if_exists = 424,
  sym__if_not_exists = 425,
  sym__or_replace = 426,
  sym__current_row = 427,
  sym__exclude_current_row = 428,
  sym__exclude_group = 429,
  sym__exclude_no_others = 430,
  sym__exclude_ties = 431,
  sym__check_option = 432,
  sym_direction = 433,
  sym_keyword_smallserial = 434,
  sym_keyword_serial = 435,
  sym_keyword_bigserial = 436,
  sym_keyword_tinyint = 437,
  sym_keyword_smallint = 438,
  sym_keyword_mediumint = 439,
  sym_keyword_int = 440,
  sym_keyword_bigint = 441,
  sym_keyword_real = 442,
  sym_keyword_char = 443,
  sym_keyword_varchar = 444,
  sym__type = 445,
  sym_array_size_definition = 446,
  sym__array_size_definition = 447,
  sym_tinyint = 448,
  sym_smallint = 449,
  sym_mediumint = 450,
  sym_int = 451,
  sym_bigint = 452,
  sym_bit = 453,
  sym_binary = 454,
  sym_varbinary = 455,
  sym_float = 456,
  sym_double = 457,
  sym_decimal = 458,
  sym_numeric = 459,
  sym_char = 460,
  sym_varchar = 461,
  sym_nchar = 462,
  sym_nvarchar = 463,
  sym__include_time_zone = 464,
  sym_datetimeoffset = 465,
  sym_time = 466,
  sym_timestamp = 467,
  sym_enum = 468,
  sym_array = 469,
  sym_transaction = 470,
  sym__commit = 471,
  sym__rollback = 472,
  sym_block = 473,
  sym_statement = 474,
  sym__ddl_statement = 475,
  sym__cte = 476,
  sym__dml_write = 477,
  sym__dml_read = 478,
  sym_cte = 479,
  sym_set_operation = 480,
  sym__select_statement = 481,
  sym_comment_statement = 482,
  sym__argmode = 483,
  sym_function_argument = 484,
  sym_function_arguments = 485,
  sym__comment_target = 486,
  sym_select = 487,
  sym_select_expression = 488,
  sym_term = 489,
  sym__truncate_statement = 490,
  sym__delete_statement = 491,
  sym__delete_from = 492,
  sym_delete = 493,
  sym__create_statement = 494,
  sym__table_settings = 495,
  sym_storage_parameters = 496,
  sym_create_table = 497,
  sym_reset_statement = 498,
  sym__transaction_mode = 499,
  sym_set_statement = 500,
  sym_create_query = 501,
  sym_create_view = 502,
  sym_create_materialized_view = 503,
  sym_create_function = 504,
  sym__function_return = 505,
  sym_function_declaration = 506,
  sym__function_body_statement = 507,
  sym_function_body = 508,
  sym_function_language = 509,
  sym_function_volatility = 510,
  sym_function_leakproof = 511,
  sym_function_security = 512,
  sym_function_safety = 513,
  sym_function_strictness = 514,
  sym_function_cost = 515,
  sym_function_rows = 516,
  sym_function_support = 517,
  sym__operator_class = 518,
  sym__index_field = 519,
  sym_index_fields = 520,
  sym_create_index = 521,
  sym_create_schema = 522,
  sym__with_settings = 523,
  sym_create_database = 524,
  sym_create_role = 525,
  sym__role_options = 526,
  sym__user_access_role_config = 527,
  sym_create_sequence = 528,
  sym_create_extension = 529,
  sym_create_trigger = 530,
  sym__create_trigger_event = 531,
  sym_create_type = 532,
  sym_enum_elements = 533,
  sym__alter_statement = 534,
  sym__rename_statement = 535,
  sym__rename_table_names = 536,
  sym_alter_table = 537,
  sym__alter_specifications = 538,
  sym_add_column = 539,
  sym_add_constraint = 540,
  sym_alter_column = 541,
  sym_modify_column = 542,
  sym_change_column = 543,
  sym_column_position = 544,
  sym_drop_column = 545,
  sym_rename_column = 546,
  sym_alter_view = 547,
  sym_alter_schema = 548,
  sym_alter_database = 549,
  sym_alter_role = 550,
  sym_set_configuration = 551,
  sym_alter_index = 552,
  sym_alter_sequence = 553,
  sym_alter_type = 554,
  sym__drop_behavior = 555,
  sym__drop_statement = 556,
  sym_drop_table = 557,
  sym_drop_view = 558,
  sym_drop_schema = 559,
  sym_drop_database = 560,
  sym_drop_role = 561,
  sym_drop_type = 562,
  sym_drop_sequence = 563,
  sym_drop_index = 564,
  sym_drop_extension = 565,
  sym_rename_object = 566,
  sym_set_schema = 567,
  sym_change_ownership = 568,
  sym_object_reference = 569,
  sym__copy_statement = 570,
  sym__insert_statement = 571,
  sym_insert = 572,
  sym__insert_values = 573,
  sym__set_values = 574,
  sym__column_list = 575,
  sym__column = 576,
  sym__update_statement = 577,
  sym__merge_statement = 578,
  sym_when_clause = 579,
  sym__optimize_statement = 580,
  sym__compute_stats = 581,
  sym__optimize_table = 582,
  sym__vacuum_table = 583,
  sym__vacuum_option = 584,
  sym__partition_spec = 585,
  sym_update = 586,
  sym__mysql_update_statement = 587,
  sym__postgres_update_statement = 588,
  sym_storage_location = 589,
  sym_row_format = 590,
  sym_table_sort = 591,
  sym_table_partition = 592,
  sym__key_value_pair = 593,
  sym_stored_as = 594,
  sym_assignment = 595,
  sym_table_option = 596,
  sym_column_definitions = 597,
  sym_column_definition = 598,
  sym__column_comment = 599,
  sym__column_constraint = 600,
  sym__check_constraint = 601,
  sym__default_expression = 602,
  sym__inner_default_expression = 603,
  sym_constraints = 604,
  sym_constraint = 605,
  sym__constraint_literal = 606,
  sym__primary_key_constraint = 607,
  sym__key_constraint = 608,
  sym_ordered_columns = 609,
  sym_ordered_column = 610,
  sym_all_fields = 611,
  sym_case = 612,
  sym_field = 613,
  sym__qualified_field = 614,
  sym_implicit_cast = 615,
  sym_interval = 616,
  sym_cast = 617,
  sym_filter_expression = 618,
  sym_invocation = 619,
  sym_exists = 620,
  sym_partition_by = 621,
  sym_frame_definition = 622,
  sym_window_frame = 623,
  sym_window_clause = 624,
  sym_window_specification = 625,
  sym_window_function = 626,
  sym__alias = 627,
  sym_from = 628,
  sym_relation = 629,
  sym_values = 630,
  sym_index_hint = 631,
  sym_join = 632,
  sym_cross_join = 633,
  sym_lateral_join = 634,
  sym_lateral_cross_join = 635,
  sym_where = 636,
  sym_group_by = 637,
  sym__having = 638,
  sym_order_by = 639,
  sym_order_target = 640,
  sym_limit = 641,
  sym_offset = 642,
  sym_returning = 643,
  sym__expression = 644,
  sym_subscript = 645,
  sym_binary_expression = 646,
  sym_unary_expression = 647,
  sym_between_expression = 648,
  sym_not_in = 649,
  sym_subquery = 650,
  sym_list = 651,
  sym_literal = 652,
  sym__single_quote_string = 653,
  sym__literal_string = 654,
  sym__integer = 655,
  sym__decimal_number = 656,
  sym__bit_string = 657,
  sym__string_casting = 658,
  sym_identifier = 659,
  aux_sym_program_repeat1 = 660,
  aux_sym_array_size_definition_repeat1 = 661,
  aux_sym_enum_repeat1 = 662,
  aux_sym_array_repeat1 = 663,
  aux_sym_transaction_repeat1 = 664,
  aux_sym__cte_repeat1 = 665,
  aux_sym_cte_repeat1 = 666,
  aux_sym_set_operation_repeat1 = 667,
  aux_sym_function_arguments_repeat1 = 668,
  aux_sym_select_expression_repeat1 = 669,
  aux_sym__truncate_statement_repeat1 = 670,
  aux_sym__create_statement_repeat1 = 671,
  aux_sym__table_settings_repeat1 = 672,
  aux_sym_storage_parameters_repeat1 = 673,
  aux_sym_create_table_repeat1 = 674,
  aux_sym_set_statement_repeat1 = 675,
  aux_sym_create_function_repeat1 = 676,
  aux_sym_function_body_repeat1 = 677,
  aux_sym_function_body_repeat2 = 678,
  aux_sym_index_fields_repeat1 = 679,
  aux_sym_create_database_repeat1 = 680,
  aux_sym_create_role_repeat1 = 681,
  aux_sym_create_sequence_repeat1 = 682,
  aux_sym_create_trigger_repeat1 = 683,
  aux_sym_create_trigger_repeat2 = 684,
  aux_sym_create_trigger_repeat3 = 685,
  aux_sym_create_type_repeat1 = 686,
  aux_sym_enum_elements_repeat1 = 687,
  aux_sym__rename_statement_repeat1 = 688,
  aux_sym_alter_table_repeat1 = 689,
  aux_sym_alter_column_repeat1 = 690,
  aux_sym_alter_role_repeat1 = 691,
  aux_sym_alter_index_repeat1 = 692,
  aux_sym_alter_sequence_repeat1 = 693,
  aux_sym__copy_statement_repeat1 = 694,
  aux_sym__insert_values_repeat1 = 695,
  aux_sym__set_values_repeat1 = 696,
  aux_sym__column_list_repeat1 = 697,
  aux_sym__merge_statement_repeat1 = 698,
  aux_sym__compute_stats_repeat1 = 699,
  aux_sym__compute_stats_repeat2 = 700,
  aux_sym__vacuum_table_repeat1 = 701,
  aux_sym__mysql_update_statement_repeat1 = 702,
  aux_sym__mysql_update_statement_repeat2 = 703,
  aux_sym_column_definitions_repeat1 = 704,
  aux_sym_column_definition_repeat1 = 705,
  aux_sym__column_constraint_repeat1 = 706,
  aux_sym_constraints_repeat1 = 707,
  aux_sym_ordered_columns_repeat1 = 708,
  aux_sym_case_repeat1 = 709,
  aux_sym_invocation_repeat1 = 710,
  aux_sym_from_repeat1 = 711,
  aux_sym_order_by_repeat1 = 712,
  aux_sym__single_quote_string_repeat1 = 713,
  anon_alias_sym_command = 714,
  anon_alias_sym_filename = 715,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym__identifier] = "_identifier",
  [anon_sym_SEMI] = ";",
  [sym_keyword_select] = "keyword_select",
  [sym_keyword_delete] = "keyword_delete",
  [sym_keyword_insert] = "keyword_insert",
  [sym_keyword_replace] = "keyword_replace",
  [sym_keyword_update] = "keyword_update",
  [sym_keyword_truncate] = "keyword_truncate",
  [sym_keyword_merge] = "keyword_merge",
  [sym_keyword_into] = "keyword_into",
  [sym_keyword_overwrite] = "keyword_overwrite",
  [sym_keyword_values] = "keyword_values",
  [sym_keyword_value] = "keyword_value",
  [sym_keyword_matched] = "keyword_matched",
  [sym_keyword_set] = "keyword_set",
  [sym_keyword_from] = "keyword_from",
  [sym_keyword_left] = "keyword_left",
  [sym_keyword_right] = "keyword_right",
  [sym_keyword_inner] = "keyword_inner",
  [sym_keyword_full] = "keyword_full",
  [sym_keyword_outer] = "keyword_outer",
  [sym_keyword_cross] = "keyword_cross",
  [sym_keyword_join] = "keyword_join",
  [sym_keyword_lateral] = "keyword_lateral",
  [sym_keyword_natural] = "keyword_natural",
  [sym_keyword_on] = "keyword_on",
  [sym_keyword_off] = "keyword_off",
  [sym_keyword_where] = "keyword_where",
  [sym_keyword_order] = "keyword_order",
  [sym_keyword_group] = "keyword_group",
  [sym_keyword_partition] = "keyword_partition",
  [sym_keyword_by] = "keyword_by",
  [sym_keyword_having] = "keyword_having",
  [sym_keyword_desc] = "keyword_desc",
  [sym_keyword_asc] = "keyword_asc",
  [sym_keyword_limit] = "keyword_limit",
  [sym_keyword_offset] = "keyword_offset",
  [sym_keyword_primary] = "keyword_primary",
  [sym_keyword_create] = "keyword_create",
  [sym_keyword_alter] = "keyword_alter",
  [sym_keyword_change] = "keyword_change",
  [sym_keyword_analyze] = "keyword_analyze",
  [sym_keyword_explain] = "keyword_explain",
  [sym_keyword_verbose] = "keyword_verbose",
  [sym_keyword_modify] = "keyword_modify",
  [sym_keyword_drop] = "keyword_drop",
  [sym_keyword_add] = "keyword_add",
  [sym_keyword_table] = "keyword_table",
  [sym_keyword_tables] = "keyword_tables",
  [sym_keyword_view] = "keyword_view",
  [sym_keyword_column] = "keyword_column",
  [sym_keyword_columns] = "keyword_columns",
  [sym_keyword_materialized] = "keyword_materialized",
  [sym_keyword_tablespace] = "keyword_tablespace",
  [sym_keyword_sequence] = "keyword_sequence",
  [sym_keyword_increment] = "keyword_increment",
  [sym_keyword_minvalue] = "keyword_minvalue",
  [sym_keyword_maxvalue] = "keyword_maxvalue",
  [sym_keyword_none] = "keyword_none",
  [sym_keyword_owned] = "keyword_owned",
  [sym_keyword_start] = "keyword_start",
  [sym_keyword_restart] = "keyword_restart",
  [sym_keyword_key] = "keyword_key",
  [sym_keyword_as] = "keyword_as",
  [sym_keyword_distinct] = "keyword_distinct",
  [sym_keyword_constraint] = "keyword_constraint",
  [sym_keyword_filter] = "keyword_filter",
  [sym_keyword_cast] = "keyword_cast",
  [sym_keyword_separator] = "keyword_separator",
  [sym_keyword_max] = "keyword_max",
  [sym_keyword_min] = "keyword_min",
  [sym_keyword_avg] = "keyword_avg",
  [sym_keyword_case] = "keyword_case",
  [sym_keyword_when] = "keyword_when",
  [sym_keyword_then] = "keyword_then",
  [sym_keyword_else] = "keyword_else",
  [sym_keyword_end] = "keyword_end",
  [sym_keyword_in] = "keyword_in",
  [sym_keyword_and] = "keyword_and",
  [sym_keyword_or] = "keyword_or",
  [sym_keyword_is] = "keyword_is",
  [sym_keyword_not] = "keyword_not",
  [sym_keyword_force] = "keyword_force",
  [sym_keyword_ignore] = "keyword_ignore",
  [sym_keyword_using] = "keyword_using",
  [sym_keyword_use] = "keyword_use",
  [sym_keyword_index] = "keyword_index",
  [sym_keyword_for] = "keyword_for",
  [sym_keyword_if] = "keyword_if",
  [sym_keyword_exists] = "keyword_exists",
  [sym_keyword_auto_increment] = "keyword_auto_increment",
  [sym_keyword_generated] = "keyword_generated",
  [sym_keyword_always] = "keyword_always",
  [sym_keyword_collate] = "keyword_collate",
  [aux_sym_keyword_character_token1] = "keyword_character_token1",
  [sym_keyword_engine] = "keyword_engine",
  [sym_keyword_default] = "keyword_default",
  [sym_keyword_cascade] = "keyword_cascade",
  [sym_keyword_restrict] = "keyword_restrict",
  [sym_keyword_with] = "keyword_with",
  [sym_keyword_without] = "keyword_without",
  [sym_keyword_no] = "keyword_no",
  [sym_keyword_data] = "keyword_data",
  [sym_keyword_type] = "keyword_type",
  [sym_keyword_rename] = "keyword_rename",
  [sym_keyword_to] = "keyword_to",
  [sym_keyword_database] = "keyword_database",
  [sym_keyword_schema] = "keyword_schema",
  [sym_keyword_owner] = "keyword_owner",
  [sym_keyword_user] = "keyword_user",
  [sym_keyword_admin] = "keyword_admin",
  [sym_keyword_password] = "keyword_password",
  [sym_keyword_encrypted] = "keyword_encrypted",
  [sym_keyword_valid] = "keyword_valid",
  [sym_keyword_until] = "keyword_until",
  [sym_keyword_connection] = "keyword_connection",
  [sym_keyword_role] = "keyword_role",
  [sym_keyword_reset] = "keyword_reset",
  [sym_keyword_temp] = "keyword_temp",
  [sym_keyword_temporary] = "keyword_temporary",
  [sym_keyword_unlogged] = "keyword_unlogged",
  [sym_keyword_logged] = "keyword_logged",
  [sym_keyword_cycle] = "keyword_cycle",
  [sym_keyword_union] = "keyword_union",
  [sym_keyword_all] = "keyword_all",
  [sym_keyword_any] = "keyword_any",
  [sym_keyword_some] = "keyword_some",
  [sym_keyword_except] = "keyword_except",
  [sym_keyword_intersect] = "keyword_intersect",
  [sym_keyword_returning] = "keyword_returning",
  [sym_keyword_begin] = "keyword_begin",
  [sym_keyword_commit] = "keyword_commit",
  [sym_keyword_rollback] = "keyword_rollback",
  [sym_keyword_transaction] = "keyword_transaction",
  [sym_keyword_over] = "keyword_over",
  [sym_keyword_nulls] = "keyword_nulls",
  [sym_keyword_first] = "keyword_first",
  [sym_keyword_after] = "keyword_after",
  [sym_keyword_before] = "keyword_before",
  [sym_keyword_last] = "keyword_last",
  [sym_keyword_window] = "keyword_window",
  [sym_keyword_range] = "keyword_range",
  [sym_keyword_rows] = "keyword_rows",
  [sym_keyword_groups] = "keyword_groups",
  [sym_keyword_between] = "keyword_between",
  [sym_keyword_unbounded] = "keyword_unbounded",
  [sym_keyword_preceding] = "keyword_preceding",
  [sym_keyword_following] = "keyword_following",
  [sym_keyword_exclude] = "keyword_exclude",
  [sym_keyword_current] = "keyword_current",
  [sym_keyword_row] = "keyword_row",
  [sym_keyword_ties] = "keyword_ties",
  [sym_keyword_others] = "keyword_others",
  [sym_keyword_only] = "keyword_only",
  [sym_keyword_unique] = "keyword_unique",
  [sym_keyword_foreign] = "keyword_foreign",
  [sym_keyword_references] = "keyword_references",
  [sym_keyword_concurrently] = "keyword_concurrently",
  [sym_keyword_btree] = "keyword_btree",
  [sym_keyword_hash] = "keyword_hash",
  [sym_keyword_gist] = "keyword_gist",
  [sym_keyword_spgist] = "keyword_spgist",
  [sym_keyword_gin] = "keyword_gin",
  [sym_keyword_brin] = "keyword_brin",
  [aux_sym_keyword_like_token1] = "keyword_like_token1",
  [aux_sym_keyword_like_token2] = "keyword_like_token2",
  [sym_keyword_similar] = "keyword_similar",
  [sym_keyword_preserve] = "keyword_preserve",
  [sym_keyword_unsigned] = "keyword_unsigned",
  [sym_keyword_zerofill] = "keyword_zerofill",
  [sym_keyword_conflict] = "keyword_conflict",
  [sym_keyword_do] = "keyword_do",
  [sym_keyword_nothing] = "keyword_nothing",
  [sym_keyword_high_priority] = "keyword_high_priority",
  [sym_keyword_low_priority] = "keyword_low_priority",
  [sym_keyword_delayed] = "keyword_delayed",
  [sym_keyword_recursive] = "keyword_recursive",
  [sym_keyword_cascaded] = "keyword_cascaded",
  [sym_keyword_local] = "keyword_local",
  [sym_keyword_current_timestamp] = "keyword_current_timestamp",
  [sym_keyword_check] = "keyword_check",
  [sym_keyword_option] = "keyword_option",
  [sym_keyword_vacuum] = "keyword_vacuum",
  [sym_keyword_wait] = "keyword_wait",
  [sym_keyword_nowait] = "keyword_nowait",
  [sym_keyword_attribute] = "keyword_attribute",
  [sym_keyword_authorization] = "keyword_authorization",
  [sym_keyword_action] = "keyword_action",
  [sym_keyword_extension] = "keyword_extension",
  [sym_keyword_copy] = "keyword_copy",
  [sym_keyword_stdin] = "keyword_stdin",
  [sym_keyword_freeze] = "keyword_freeze",
  [sym_keyword_escape] = "keyword_escape",
  [sym_keyword_encoding] = "keyword_encoding",
  [sym_keyword_force_quote] = "keyword_force_quote",
  [sym_keyword_quote] = "keyword_quote",
  [sym_keyword_force_null] = "keyword_force_null",
  [sym_keyword_force_not_null] = "keyword_force_not_null",
  [sym_keyword_header] = "keyword_header",
  [sym_keyword_match] = "keyword_match",
  [sym_keyword_program] = "keyword_program",
  [sym_keyword_plain] = "keyword_plain",
  [sym_keyword_extended] = "keyword_extended",
  [sym_keyword_main] = "keyword_main",
  [sym_keyword_storage] = "keyword_storage",
  [sym_keyword_compression] = "keyword_compression",
  [sym_keyword_trigger] = "keyword_trigger",
  [sym_keyword_function] = "keyword_function",
  [sym_keyword_returns] = "keyword_returns",
  [sym_keyword_return] = "keyword_return",
  [sym_keyword_setof] = "keyword_setof",
  [sym_keyword_atomic] = "keyword_atomic",
  [sym_keyword_declare] = "keyword_declare",
  [sym_keyword_language] = "keyword_language",
  [sym_keyword_sql] = "keyword_sql",
  [sym_keyword_plpgsql] = "keyword_plpgsql",
  [sym_keyword_immutable] = "keyword_immutable",
  [sym_keyword_stable] = "keyword_stable",
  [sym_keyword_volatile] = "keyword_volatile",
  [sym_keyword_leakproof] = "keyword_leakproof",
  [sym_keyword_parallel] = "keyword_parallel",
  [sym_keyword_safe] = "keyword_safe",
  [sym_keyword_unsafe] = "keyword_unsafe",
  [sym_keyword_restricted] = "keyword_restricted",
  [sym_keyword_called] = "keyword_called",
  [sym_keyword_input] = "keyword_input",
  [sym_keyword_strict] = "keyword_strict",
  [sym_keyword_cost] = "keyword_cost",
  [sym_keyword_support] = "keyword_support",
  [sym_keyword_definer] = "keyword_definer",
  [sym_keyword_invoker] = "keyword_invoker",
  [sym_keyword_security] = "keyword_security",
  [sym_keyword_version] = "keyword_version",
  [sym_keyword_out] = "keyword_out",
  [sym_keyword_inout] = "keyword_inout",
  [sym_keyword_variadic] = "keyword_variadic",
  [sym_keyword_session] = "keyword_session",
  [sym_keyword_isolation] = "keyword_isolation",
  [sym_keyword_level] = "keyword_level",
  [sym_keyword_serializable] = "keyword_serializable",
  [sym_keyword_repeatable] = "keyword_repeatable",
  [sym_keyword_read] = "keyword_read",
  [sym_keyword_write] = "keyword_write",
  [sym_keyword_committed] = "keyword_committed",
  [sym_keyword_uncommitted] = "keyword_uncommitted",
  [sym_keyword_deferrable] = "keyword_deferrable",
  [sym_keyword_names] = "keyword_names",
  [sym_keyword_zone] = "keyword_zone",
  [sym_keyword_immediate] = "keyword_immediate",
  [sym_keyword_deferred] = "keyword_deferred",
  [sym_keyword_constraints] = "keyword_constraints",
  [sym_keyword_snapshot] = "keyword_snapshot",
  [sym_keyword_characteristics] = "keyword_characteristics",
  [sym_keyword_follows] = "keyword_follows",
  [sym_keyword_precedes] = "keyword_precedes",
  [sym_keyword_each] = "keyword_each",
  [sym_keyword_instead] = "keyword_instead",
  [sym_keyword_of] = "keyword_of",
  [sym_keyword_initially] = "keyword_initially",
  [sym_keyword_old] = "keyword_old",
  [sym_keyword_new] = "keyword_new",
  [sym_keyword_referencing] = "keyword_referencing",
  [sym_keyword_statement] = "keyword_statement",
  [sym_keyword_execute] = "keyword_execute",
  [sym_keyword_procedure] = "keyword_procedure",
  [sym_keyword_external] = "keyword_external",
  [sym_keyword_stored] = "keyword_stored",
  [sym_keyword_virtual] = "keyword_virtual",
  [sym_keyword_cached] = "keyword_cached",
  [sym_keyword_uncached] = "keyword_uncached",
  [sym_keyword_replication] = "keyword_replication",
  [sym_keyword_tblproperties] = "keyword_tblproperties",
  [sym_keyword_options] = "keyword_options",
  [sym_keyword_compute] = "keyword_compute",
  [sym_keyword_stats] = "keyword_stats",
  [sym_keyword_statistics] = "keyword_statistics",
  [sym_keyword_optimize] = "keyword_optimize",
  [sym_keyword_rewrite] = "keyword_rewrite",
  [sym_keyword_bin_pack] = "keyword_bin_pack",
  [sym_keyword_incremental] = "keyword_incremental",
  [sym_keyword_location] = "keyword_location",
  [sym_keyword_partitioned] = "keyword_partitioned",
  [sym_keyword_comment] = "keyword_comment",
  [sym_keyword_sort] = "keyword_sort",
  [sym_keyword_format] = "keyword_format",
  [sym_keyword_delimited] = "keyword_delimited",
  [sym_keyword_delimiter] = "keyword_delimiter",
  [sym_keyword_fields] = "keyword_fields",
  [sym_keyword_terminated] = "keyword_terminated",
  [sym_keyword_escaped] = "keyword_escaped",
  [sym_keyword_lines] = "keyword_lines",
  [sym_keyword_cache] = "keyword_cache",
  [sym_keyword_metadata] = "keyword_metadata",
  [sym_keyword_noscan] = "keyword_noscan",
  [sym_keyword_parquet] = "keyword_parquet",
  [sym_keyword_rcfile] = "keyword_rcfile",
  [sym_keyword_csv] = "keyword_csv",
  [sym_keyword_textfile] = "keyword_textfile",
  [sym_keyword_avro] = "keyword_avro",
  [sym_keyword_sequencefile] = "keyword_sequencefile",
  [sym_keyword_orc] = "keyword_orc",
  [sym_keyword_jsonfile] = "keyword_jsonfile",
  [sym_keyword_null] = "keyword_null",
  [sym_keyword_true] = "keyword_true",
  [sym_keyword_false] = "keyword_false",
  [sym_keyword_boolean] = "keyword_boolean",
  [sym_keyword_bit] = "keyword_bit",
  [sym_keyword_binary] = "keyword_binary",
  [sym_keyword_varbinary] = "keyword_varbinary",
  [sym_keyword_image] = "keyword_image",
  [aux_sym_keyword_smallserial_token1] = "keyword_smallserial_token1",
  [aux_sym_keyword_smallserial_token2] = "keyword_smallserial_token2",
  [aux_sym_keyword_serial_token1] = "keyword_serial_token1",
  [aux_sym_keyword_serial_token2] = "keyword_serial_token2",
  [aux_sym_keyword_bigserial_token1] = "keyword_bigserial_token1",
  [aux_sym_keyword_bigserial_token2] = "keyword_bigserial_token2",
  [aux_sym_keyword_tinyint_token1] = "keyword_tinyint_token1",
  [aux_sym_keyword_tinyint_token2] = "keyword_tinyint_token2",
  [aux_sym_keyword_smallint_token1] = "keyword_smallint_token1",
  [aux_sym_keyword_smallint_token2] = "keyword_smallint_token2",
  [aux_sym_keyword_mediumint_token1] = "keyword_mediumint_token1",
  [aux_sym_keyword_mediumint_token2] = "keyword_mediumint_token2",
  [aux_sym_keyword_int_token1] = "keyword_int_token1",
  [aux_sym_keyword_int_token2] = "keyword_int_token2",
  [aux_sym_keyword_int_token3] = "keyword_int_token3",
  [aux_sym_keyword_bigint_token1] = "keyword_bigint_token1",
  [aux_sym_keyword_bigint_token2] = "keyword_bigint_token2",
  [sym_keyword_decimal] = "keyword_decimal",
  [sym_keyword_numeric] = "keyword_numeric",
  [aux_sym_keyword_real_token1] = "keyword_real_token1",
  [aux_sym_keyword_real_token2] = "keyword_real_token2",
  [sym_keyword_float] = "keyword_float",
  [sym_keyword_double] = "keyword_double",
  [sym_keyword_precision] = "keyword_precision",
  [sym_keyword_inet] = "keyword_inet",
  [sym_keyword_money] = "keyword_money",
  [sym_keyword_smallmoney] = "keyword_smallmoney",
  [sym_keyword_varying] = "keyword_varying",
  [aux_sym_keyword_char_token1] = "keyword_char_token1",
  [sym_keyword_nchar] = "keyword_nchar",
  [aux_sym_keyword_varchar_token1] = "keyword_varchar_token1",
  [sym_keyword_nvarchar] = "keyword_nvarchar",
  [sym_keyword_text] = "keyword_text",
  [sym_keyword_string] = "keyword_string",
  [sym_keyword_uuid] = "keyword_uuid",
  [sym_keyword_json] = "keyword_json",
  [sym_keyword_jsonb] = "keyword_jsonb",
  [sym_keyword_xml] = "keyword_xml",
  [sym_keyword_bytea] = "keyword_bytea",
  [sym_keyword_enum] = "keyword_enum",
  [sym_keyword_date] = "keyword_date",
  [sym_keyword_datetime] = "keyword_datetime",
  [sym_keyword_datetime2] = "keyword_datetime2",
  [sym_keyword_smalldatetime] = "keyword_smalldatetime",
  [sym_keyword_datetimeoffset] = "keyword_datetimeoffset",
  [sym_keyword_time] = "keyword_time",
  [sym_keyword_timestamp] = "keyword_timestamp",
  [sym_keyword_timestamptz] = "keyword_timestamptz",
  [sym_keyword_interval] = "keyword_interval",
  [sym_keyword_geometry] = "keyword_geometry",
  [sym_keyword_geography] = "keyword_geography",
  [sym_keyword_box2d] = "keyword_box2d",
  [sym_keyword_box3d] = "keyword_box3d",
  [sym_keyword_oid] = "keyword_oid",
  [sym_keyword_oids] = "keyword_oids",
  [sym_keyword_name] = "keyword_name",
  [sym_keyword_regclass] = "keyword_regclass",
  [sym_keyword_regnamespace] = "keyword_regnamespace",
  [sym_keyword_regproc] = "keyword_regproc",
  [sym_keyword_regtype] = "keyword_regtype",
  [sym_keyword_array] = "keyword_array",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_COMMA] = ",",
  [aux_sym_double_token1] = "double_token1",
  [sym_comment] = "comment",
  [sym_marginalia] = "marginalia",
  [anon_sym_EQ] = "=",
  [anon_sym_COLON_EQ] = ":=",
  [anon_sym_DOT] = ".",
  [anon_sym_STAR] = "*",
  [sym_parameter] = "parameter",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_COLON] = ":",
  [sym_op_other] = "op_other",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_CARET] = "^",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_LT_GT] = "<>",
  [sym_op_unary_other] = "op_unary_other",
  [sym__double_quote_string] = "_double_quote_string",
  [aux_sym__single_quote_string_token1] = "_single_quote_string_token1",
  [aux_sym__single_quote_string_token2] = "_single_quote_string_token2",
  [sym__natural_number] = "_natural_number",
  [aux_sym__integer_token1] = "_integer_token1",
  [aux_sym__decimal_number_token1] = "_decimal_number_token1",
  [aux_sym__bit_string_token1] = "_bit_string_token1",
  [sym_bang] = "bang",
  [aux_sym_identifier_token1] = "identifier_token1",
  [sym__dollar_quoted_string_start_tag] = "dollar_quote",
  [sym__dollar_quoted_string_end_tag] = "dollar_quote",
  [sym__dollar_quoted_string] = "_dollar_quoted_string",
  [sym_program] = "program",
  [sym_keyword_character] = "keyword_character",
  [sym_keyword_like] = "keyword_like",
  [sym_is_not] = "is_not",
  [sym_not_like] = "not_like",
  [sym_similar_to] = "similar_to",
  [sym_not_similar_to] = "not_similar_to",
  [sym_distinct_from] = "distinct_from",
  [sym_not_distinct_from] = "not_distinct_from",
  [sym__temporary] = "_temporary",
  [sym__not_null] = "_not_null",
  [sym__primary_key] = "_primary_key",
  [sym__if_exists] = "_if_exists",
  [sym__if_not_exists] = "_if_not_exists",
  [sym__or_replace] = "_or_replace",
  [sym__current_row] = "_current_row",
  [sym__exclude_current_row] = "_exclude_current_row",
  [sym__exclude_group] = "_exclude_group",
  [sym__exclude_no_others] = "_exclude_no_others",
  [sym__exclude_ties] = "_exclude_ties",
  [sym__check_option] = "_check_option",
  [sym_direction] = "direction",
  [sym_keyword_smallserial] = "keyword_smallserial",
  [sym_keyword_serial] = "keyword_serial",
  [sym_keyword_bigserial] = "keyword_bigserial",
  [sym_keyword_tinyint] = "keyword_tinyint",
  [sym_keyword_smallint] = "keyword_smallint",
  [sym_keyword_mediumint] = "keyword_mediumint",
  [sym_keyword_int] = "keyword_int",
  [sym_keyword_bigint] = "keyword_bigint",
  [sym_keyword_real] = "keyword_real",
  [sym_keyword_char] = "keyword_char",
  [sym_keyword_varchar] = "keyword_varchar",
  [sym__type] = "_type",
  [sym_array_size_definition] = "array_size_definition",
  [sym__array_size_definition] = "_array_size_definition",
  [sym_tinyint] = "tinyint",
  [sym_smallint] = "smallint",
  [sym_mediumint] = "mediumint",
  [sym_int] = "int",
  [sym_bigint] = "bigint",
  [sym_bit] = "bit",
  [sym_binary] = "binary",
  [sym_varbinary] = "varbinary",
  [sym_float] = "float",
  [sym_double] = "double",
  [sym_decimal] = "decimal",
  [sym_numeric] = "numeric",
  [sym_char] = "char",
  [sym_varchar] = "varchar",
  [sym_nchar] = "nchar",
  [sym_nvarchar] = "nvarchar",
  [sym__include_time_zone] = "_include_time_zone",
  [sym_datetimeoffset] = "datetimeoffset",
  [sym_time] = "time",
  [sym_timestamp] = "timestamp",
  [sym_enum] = "enum",
  [sym_array] = "array",
  [sym_transaction] = "transaction",
  [sym__commit] = "_commit",
  [sym__rollback] = "_rollback",
  [sym_block] = "block",
  [sym_statement] = "statement",
  [sym__ddl_statement] = "_ddl_statement",
  [sym__cte] = "_cte",
  [sym__dml_write] = "_dml_write",
  [sym__dml_read] = "_dml_read",
  [sym_cte] = "cte",
  [sym_set_operation] = "set_operation",
  [sym__select_statement] = "_select_statement",
  [sym_comment_statement] = "comment_statement",
  [sym__argmode] = "_argmode",
  [sym_function_argument] = "function_argument",
  [sym_function_arguments] = "function_arguments",
  [sym__comment_target] = "_comment_target",
  [sym_select] = "select",
  [sym_select_expression] = "select_expression",
  [sym_term] = "term",
  [sym__truncate_statement] = "_truncate_statement",
  [sym__delete_statement] = "_delete_statement",
  [sym__delete_from] = "from",
  [sym_delete] = "delete",
  [sym__create_statement] = "_create_statement",
  [sym__table_settings] = "_table_settings",
  [sym_storage_parameters] = "storage_parameters",
  [sym_create_table] = "create_table",
  [sym_reset_statement] = "reset_statement",
  [sym__transaction_mode] = "_transaction_mode",
  [sym_set_statement] = "set_statement",
  [sym_create_query] = "create_query",
  [sym_create_view] = "create_view",
  [sym_create_materialized_view] = "create_materialized_view",
  [sym_create_function] = "create_function",
  [sym__function_return] = "_function_return",
  [sym_function_declaration] = "function_declaration",
  [sym__function_body_statement] = "_function_body_statement",
  [sym_function_body] = "function_body",
  [sym_function_language] = "function_language",
  [sym_function_volatility] = "function_volatility",
  [sym_function_leakproof] = "function_leakproof",
  [sym_function_security] = "function_security",
  [sym_function_safety] = "function_safety",
  [sym_function_strictness] = "function_strictness",
  [sym_function_cost] = "function_cost",
  [sym_function_rows] = "function_rows",
  [sym_function_support] = "function_support",
  [sym__operator_class] = "_operator_class",
  [sym__index_field] = "field",
  [sym_index_fields] = "index_fields",
  [sym_create_index] = "create_index",
  [sym_create_schema] = "create_schema",
  [sym__with_settings] = "_with_settings",
  [sym_create_database] = "create_database",
  [sym_create_role] = "create_role",
  [sym__role_options] = "_role_options",
  [sym__user_access_role_config] = "_user_access_role_config",
  [sym_create_sequence] = "create_sequence",
  [sym_create_extension] = "create_extension",
  [sym_create_trigger] = "create_trigger",
  [sym__create_trigger_event] = "_create_trigger_event",
  [sym_create_type] = "create_type",
  [sym_enum_elements] = "enum_elements",
  [sym__alter_statement] = "_alter_statement",
  [sym__rename_statement] = "_rename_statement",
  [sym__rename_table_names] = "_rename_table_names",
  [sym_alter_table] = "alter_table",
  [sym__alter_specifications] = "_alter_specifications",
  [sym_add_column] = "add_column",
  [sym_add_constraint] = "add_constraint",
  [sym_alter_column] = "alter_column",
  [sym_modify_column] = "modify_column",
  [sym_change_column] = "change_column",
  [sym_column_position] = "column_position",
  [sym_drop_column] = "drop_column",
  [sym_rename_column] = "rename_column",
  [sym_alter_view] = "alter_view",
  [sym_alter_schema] = "alter_schema",
  [sym_alter_database] = "alter_database",
  [sym_alter_role] = "alter_role",
  [sym_set_configuration] = "set_configuration",
  [sym_alter_index] = "alter_index",
  [sym_alter_sequence] = "alter_sequence",
  [sym_alter_type] = "alter_type",
  [sym__drop_behavior] = "_drop_behavior",
  [sym__drop_statement] = "_drop_statement",
  [sym_drop_table] = "drop_table",
  [sym_drop_view] = "drop_view",
  [sym_drop_schema] = "drop_schema",
  [sym_drop_database] = "drop_database",
  [sym_drop_role] = "drop_role",
  [sym_drop_type] = "drop_type",
  [sym_drop_sequence] = "drop_sequence",
  [sym_drop_index] = "drop_index",
  [sym_drop_extension] = "drop_extension",
  [sym_rename_object] = "rename_object",
  [sym_set_schema] = "set_schema",
  [sym_change_ownership] = "change_ownership",
  [sym_object_reference] = "object_reference",
  [sym__copy_statement] = "_copy_statement",
  [sym__insert_statement] = "_insert_statement",
  [sym_insert] = "insert",
  [sym__insert_values] = "_insert_values",
  [sym__set_values] = "_set_values",
  [sym__column_list] = "_column_list",
  [sym__column] = "_column",
  [sym__update_statement] = "_update_statement",
  [sym__merge_statement] = "_merge_statement",
  [sym_when_clause] = "when_clause",
  [sym__optimize_statement] = "_optimize_statement",
  [sym__compute_stats] = "_compute_stats",
  [sym__optimize_table] = "_optimize_table",
  [sym__vacuum_table] = "_vacuum_table",
  [sym__vacuum_option] = "_vacuum_option",
  [sym__partition_spec] = "_partition_spec",
  [sym_update] = "update",
  [sym__mysql_update_statement] = "_mysql_update_statement",
  [sym__postgres_update_statement] = "_postgres_update_statement",
  [sym_storage_location] = "storage_location",
  [sym_row_format] = "row_format",
  [sym_table_sort] = "table_sort",
  [sym_table_partition] = "table_partition",
  [sym__key_value_pair] = "_key_value_pair",
  [sym_stored_as] = "stored_as",
  [sym_assignment] = "assignment",
  [sym_table_option] = "table_option",
  [sym_column_definitions] = "column_definitions",
  [sym_column_definition] = "column_definition",
  [sym__column_comment] = "_column_comment",
  [sym__column_constraint] = "_column_constraint",
  [sym__check_constraint] = "_check_constraint",
  [sym__default_expression] = "_default_expression",
  [sym__inner_default_expression] = "_inner_default_expression",
  [sym_constraints] = "constraints",
  [sym_constraint] = "constraint",
  [sym__constraint_literal] = "_constraint_literal",
  [sym__primary_key_constraint] = "_primary_key_constraint",
  [sym__key_constraint] = "_key_constraint",
  [sym_ordered_columns] = "ordered_columns",
  [sym_ordered_column] = "column",
  [sym_all_fields] = "all_fields",
  [sym_case] = "case",
  [sym_field] = "field",
  [sym__qualified_field] = "field",
  [sym_implicit_cast] = "cast",
  [sym_interval] = "interval",
  [sym_cast] = "cast",
  [sym_filter_expression] = "filter_expression",
  [sym_invocation] = "invocation",
  [sym_exists] = "exists",
  [sym_partition_by] = "partition_by",
  [sym_frame_definition] = "frame_definition",
  [sym_window_frame] = "window_frame",
  [sym_window_clause] = "window_clause",
  [sym_window_specification] = "window_specification",
  [sym_window_function] = "window_function",
  [sym__alias] = "_alias",
  [sym_from] = "from",
  [sym_relation] = "relation",
  [sym_values] = "values",
  [sym_index_hint] = "index_hint",
  [sym_join] = "join",
  [sym_cross_join] = "cross_join",
  [sym_lateral_join] = "lateral_join",
  [sym_lateral_cross_join] = "lateral_cross_join",
  [sym_where] = "where",
  [sym_group_by] = "group_by",
  [sym__having] = "_having",
  [sym_order_by] = "order_by",
  [sym_order_target] = "order_target",
  [sym_limit] = "limit",
  [sym_offset] = "offset",
  [sym_returning] = "returning",
  [sym__expression] = "_expression",
  [sym_subscript] = "subscript",
  [sym_binary_expression] = "binary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_between_expression] = "between_expression",
  [sym_not_in] = "not_in",
  [sym_subquery] = "subquery",
  [sym_list] = "list",
  [sym_literal] = "literal",
  [sym__single_quote_string] = "_single_quote_string",
  [sym__literal_string] = "_literal_string",
  [sym__integer] = "_integer",
  [sym__decimal_number] = "_decimal_number",
  [sym__bit_string] = "_bit_string",
  [sym__string_casting] = "_string_casting",
  [sym_identifier] = "identifier",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_array_size_definition_repeat1] = "array_size_definition_repeat1",
  [aux_sym_enum_repeat1] = "enum_repeat1",
  [aux_sym_array_repeat1] = "array_repeat1",
  [aux_sym_transaction_repeat1] = "transaction_repeat1",
  [aux_sym__cte_repeat1] = "_cte_repeat1",
  [aux_sym_cte_repeat1] = "cte_repeat1",
  [aux_sym_set_operation_repeat1] = "set_operation_repeat1",
  [aux_sym_function_arguments_repeat1] = "function_arguments_repeat1",
  [aux_sym_select_expression_repeat1] = "select_expression_repeat1",
  [aux_sym__truncate_statement_repeat1] = "_truncate_statement_repeat1",
  [aux_sym__create_statement_repeat1] = "_create_statement_repeat1",
  [aux_sym__table_settings_repeat1] = "_table_settings_repeat1",
  [aux_sym_storage_parameters_repeat1] = "storage_parameters_repeat1",
  [aux_sym_create_table_repeat1] = "create_table_repeat1",
  [aux_sym_set_statement_repeat1] = "set_statement_repeat1",
  [aux_sym_create_function_repeat1] = "create_function_repeat1",
  [aux_sym_function_body_repeat1] = "function_body_repeat1",
  [aux_sym_function_body_repeat2] = "function_body_repeat2",
  [aux_sym_index_fields_repeat1] = "index_fields_repeat1",
  [aux_sym_create_database_repeat1] = "create_database_repeat1",
  [aux_sym_create_role_repeat1] = "create_role_repeat1",
  [aux_sym_create_sequence_repeat1] = "create_sequence_repeat1",
  [aux_sym_create_trigger_repeat1] = "create_trigger_repeat1",
  [aux_sym_create_trigger_repeat2] = "create_trigger_repeat2",
  [aux_sym_create_trigger_repeat3] = "create_trigger_repeat3",
  [aux_sym_create_type_repeat1] = "create_type_repeat1",
  [aux_sym_enum_elements_repeat1] = "enum_elements_repeat1",
  [aux_sym__rename_statement_repeat1] = "_rename_statement_repeat1",
  [aux_sym_alter_table_repeat1] = "alter_table_repeat1",
  [aux_sym_alter_column_repeat1] = "alter_column_repeat1",
  [aux_sym_alter_role_repeat1] = "alter_role_repeat1",
  [aux_sym_alter_index_repeat1] = "alter_index_repeat1",
  [aux_sym_alter_sequence_repeat1] = "alter_sequence_repeat1",
  [aux_sym__copy_statement_repeat1] = "_copy_statement_repeat1",
  [aux_sym__insert_values_repeat1] = "_insert_values_repeat1",
  [aux_sym__set_values_repeat1] = "_set_values_repeat1",
  [aux_sym__column_list_repeat1] = "_column_list_repeat1",
  [aux_sym__merge_statement_repeat1] = "_merge_statement_repeat1",
  [aux_sym__compute_stats_repeat1] = "_compute_stats_repeat1",
  [aux_sym__compute_stats_repeat2] = "_compute_stats_repeat2",
  [aux_sym__vacuum_table_repeat1] = "_vacuum_table_repeat1",
  [aux_sym__mysql_update_statement_repeat1] = "_mysql_update_statement_repeat1",
  [aux_sym__mysql_update_statement_repeat2] = "_mysql_update_statement_repeat2",
  [aux_sym_column_definitions_repeat1] = "column_definitions_repeat1",
  [aux_sym_column_definition_repeat1] = "column_definition_repeat1",
  [aux_sym__column_constraint_repeat1] = "_column_constraint_repeat1",
  [aux_sym_constraints_repeat1] = "constraints_repeat1",
  [aux_sym_ordered_columns_repeat1] = "ordered_columns_repeat1",
  [aux_sym_case_repeat1] = "case_repeat1",
  [aux_sym_invocation_repeat1] = "invocation_repeat1",
  [aux_sym_from_repeat1] = "from_repeat1",
  [aux_sym_order_by_repeat1] = "order_by_repeat1",
  [aux_sym__single_quote_string_repeat1] = "_single_quote_string_repeat1",
  [anon_alias_sym_command] = "command",
  [anon_alias_sym_filename] = "filename",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym__identifier] = sym__identifier,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [sym_keyword_select] = sym_keyword_select,
  [sym_keyword_delete] = sym_keyword_delete,
  [sym_keyword_insert] = sym_keyword_insert,
  [sym_keyword_replace] = sym_keyword_replace,
  [sym_keyword_update] = sym_keyword_update,
  [sym_keyword_truncate] = sym_keyword_truncate,
  [sym_keyword_merge] = sym_keyword_merge,
  [sym_keyword_into] = sym_keyword_into,
  [sym_keyword_overwrite] = sym_keyword_overwrite,
  [sym_keyword_values] = sym_keyword_values,
  [sym_keyword_value] = sym_keyword_value,
  [sym_keyword_matched] = sym_keyword_matched,
  [sym_keyword_set] = sym_keyword_set,
  [sym_keyword_from] = sym_keyword_from,
  [sym_keyword_left] = sym_keyword_left,
  [sym_keyword_right] = sym_keyword_right,
  [sym_keyword_inner] = sym_keyword_inner,
  [sym_keyword_full] = sym_keyword_full,
  [sym_keyword_outer] = sym_keyword_outer,
  [sym_keyword_cross] = sym_keyword_cross,
  [sym_keyword_join] = sym_keyword_join,
  [sym_keyword_lateral] = sym_keyword_lateral,
  [sym_keyword_natural] = sym_keyword_natural,
  [sym_keyword_on] = sym_keyword_on,
  [sym_keyword_off] = sym_keyword_off,
  [sym_keyword_where] = sym_keyword_where,
  [sym_keyword_order] = sym_keyword_order,
  [sym_keyword_group] = sym_keyword_group,
  [sym_keyword_partition] = sym_keyword_partition,
  [sym_keyword_by] = sym_keyword_by,
  [sym_keyword_having] = sym_keyword_having,
  [sym_keyword_desc] = sym_keyword_desc,
  [sym_keyword_asc] = sym_keyword_asc,
  [sym_keyword_limit] = sym_keyword_limit,
  [sym_keyword_offset] = sym_keyword_offset,
  [sym_keyword_primary] = sym_keyword_primary,
  [sym_keyword_create] = sym_keyword_create,
  [sym_keyword_alter] = sym_keyword_alter,
  [sym_keyword_change] = sym_keyword_change,
  [sym_keyword_analyze] = sym_keyword_analyze,
  [sym_keyword_explain] = sym_keyword_explain,
  [sym_keyword_verbose] = sym_keyword_verbose,
  [sym_keyword_modify] = sym_keyword_modify,
  [sym_keyword_drop] = sym_keyword_drop,
  [sym_keyword_add] = sym_keyword_add,
  [sym_keyword_table] = sym_keyword_table,
  [sym_keyword_tables] = sym_keyword_tables,
  [sym_keyword_view] = sym_keyword_view,
  [sym_keyword_column] = sym_keyword_column,
  [sym_keyword_columns] = sym_keyword_columns,
  [sym_keyword_materialized] = sym_keyword_materialized,
  [sym_keyword_tablespace] = sym_keyword_tablespace,
  [sym_keyword_sequence] = sym_keyword_sequence,
  [sym_keyword_increment] = sym_keyword_increment,
  [sym_keyword_minvalue] = sym_keyword_minvalue,
  [sym_keyword_maxvalue] = sym_keyword_maxvalue,
  [sym_keyword_none] = sym_keyword_none,
  [sym_keyword_owned] = sym_keyword_owned,
  [sym_keyword_start] = sym_keyword_start,
  [sym_keyword_restart] = sym_keyword_restart,
  [sym_keyword_key] = sym_keyword_key,
  [sym_keyword_as] = sym_keyword_as,
  [sym_keyword_distinct] = sym_keyword_distinct,
  [sym_keyword_constraint] = sym_keyword_constraint,
  [sym_keyword_filter] = sym_keyword_filter,
  [sym_keyword_cast] = sym_keyword_cast,
  [sym_keyword_separator] = sym_keyword_separator,
  [sym_keyword_max] = sym_keyword_max,
  [sym_keyword_min] = sym_keyword_min,
  [sym_keyword_avg] = sym_keyword_avg,
  [sym_keyword_case] = sym_keyword_case,
  [sym_keyword_when] = sym_keyword_when,
  [sym_keyword_then] = sym_keyword_then,
  [sym_keyword_else] = sym_keyword_else,
  [sym_keyword_end] = sym_keyword_end,
  [sym_keyword_in] = sym_keyword_in,
  [sym_keyword_and] = sym_keyword_and,
  [sym_keyword_or] = sym_keyword_or,
  [sym_keyword_is] = sym_keyword_is,
  [sym_keyword_not] = sym_keyword_not,
  [sym_keyword_force] = sym_keyword_force,
  [sym_keyword_ignore] = sym_keyword_ignore,
  [sym_keyword_using] = sym_keyword_using,
  [sym_keyword_use] = sym_keyword_use,
  [sym_keyword_index] = sym_keyword_index,
  [sym_keyword_for] = sym_keyword_for,
  [sym_keyword_if] = sym_keyword_if,
  [sym_keyword_exists] = sym_keyword_exists,
  [sym_keyword_auto_increment] = sym_keyword_auto_increment,
  [sym_keyword_generated] = sym_keyword_generated,
  [sym_keyword_always] = sym_keyword_always,
  [sym_keyword_collate] = sym_keyword_collate,
  [aux_sym_keyword_character_token1] = aux_sym_keyword_character_token1,
  [sym_keyword_engine] = sym_keyword_engine,
  [sym_keyword_default] = sym_keyword_default,
  [sym_keyword_cascade] = sym_keyword_cascade,
  [sym_keyword_restrict] = sym_keyword_restrict,
  [sym_keyword_with] = sym_keyword_with,
  [sym_keyword_without] = sym_keyword_without,
  [sym_keyword_no] = sym_keyword_no,
  [sym_keyword_data] = sym_keyword_data,
  [sym_keyword_type] = sym_keyword_type,
  [sym_keyword_rename] = sym_keyword_rename,
  [sym_keyword_to] = sym_keyword_to,
  [sym_keyword_database] = sym_keyword_database,
  [sym_keyword_schema] = sym_keyword_schema,
  [sym_keyword_owner] = sym_keyword_owner,
  [sym_keyword_user] = sym_keyword_user,
  [sym_keyword_admin] = sym_keyword_admin,
  [sym_keyword_password] = sym_keyword_password,
  [sym_keyword_encrypted] = sym_keyword_encrypted,
  [sym_keyword_valid] = sym_keyword_valid,
  [sym_keyword_until] = sym_keyword_until,
  [sym_keyword_connection] = sym_keyword_connection,
  [sym_keyword_role] = sym_keyword_role,
  [sym_keyword_reset] = sym_keyword_reset,
  [sym_keyword_temp] = sym_keyword_temp,
  [sym_keyword_temporary] = sym_keyword_temporary,
  [sym_keyword_unlogged] = sym_keyword_unlogged,
  [sym_keyword_logged] = sym_keyword_logged,
  [sym_keyword_cycle] = sym_keyword_cycle,
  [sym_keyword_union] = sym_keyword_union,
  [sym_keyword_all] = sym_keyword_all,
  [sym_keyword_any] = sym_keyword_any,
  [sym_keyword_some] = sym_keyword_some,
  [sym_keyword_except] = sym_keyword_except,
  [sym_keyword_intersect] = sym_keyword_intersect,
  [sym_keyword_returning] = sym_keyword_returning,
  [sym_keyword_begin] = sym_keyword_begin,
  [sym_keyword_commit] = sym_keyword_commit,
  [sym_keyword_rollback] = sym_keyword_rollback,
  [sym_keyword_transaction] = sym_keyword_transaction,
  [sym_keyword_over] = sym_keyword_over,
  [sym_keyword_nulls] = sym_keyword_nulls,
  [sym_keyword_first] = sym_keyword_first,
  [sym_keyword_after] = sym_keyword_after,
  [sym_keyword_before] = sym_keyword_before,
  [sym_keyword_last] = sym_keyword_last,
  [sym_keyword_window] = sym_keyword_window,
  [sym_keyword_range] = sym_keyword_range,
  [sym_keyword_rows] = sym_keyword_rows,
  [sym_keyword_groups] = sym_keyword_groups,
  [sym_keyword_between] = sym_keyword_between,
  [sym_keyword_unbounded] = sym_keyword_unbounded,
  [sym_keyword_preceding] = sym_keyword_preceding,
  [sym_keyword_following] = sym_keyword_following,
  [sym_keyword_exclude] = sym_keyword_exclude,
  [sym_keyword_current] = sym_keyword_current,
  [sym_keyword_row] = sym_keyword_row,
  [sym_keyword_ties] = sym_keyword_ties,
  [sym_keyword_others] = sym_keyword_others,
  [sym_keyword_only] = sym_keyword_only,
  [sym_keyword_unique] = sym_keyword_unique,
  [sym_keyword_foreign] = sym_keyword_foreign,
  [sym_keyword_references] = sym_keyword_references,
  [sym_keyword_concurrently] = sym_keyword_concurrently,
  [sym_keyword_btree] = sym_keyword_btree,
  [sym_keyword_hash] = sym_keyword_hash,
  [sym_keyword_gist] = sym_keyword_gist,
  [sym_keyword_spgist] = sym_keyword_spgist,
  [sym_keyword_gin] = sym_keyword_gin,
  [sym_keyword_brin] = sym_keyword_brin,
  [aux_sym_keyword_like_token1] = aux_sym_keyword_like_token1,
  [aux_sym_keyword_like_token2] = aux_sym_keyword_like_token2,
  [sym_keyword_similar] = sym_keyword_similar,
  [sym_keyword_preserve] = sym_keyword_preserve,
  [sym_keyword_unsigned] = sym_keyword_unsigned,
  [sym_keyword_zerofill] = sym_keyword_zerofill,
  [sym_keyword_conflict] = sym_keyword_conflict,
  [sym_keyword_do] = sym_keyword_do,
  [sym_keyword_nothing] = sym_keyword_nothing,
  [sym_keyword_high_priority] = sym_keyword_high_priority,
  [sym_keyword_low_priority] = sym_keyword_low_priority,
  [sym_keyword_delayed] = sym_keyword_delayed,
  [sym_keyword_recursive] = sym_keyword_recursive,
  [sym_keyword_cascaded] = sym_keyword_cascaded,
  [sym_keyword_local] = sym_keyword_local,
  [sym_keyword_current_timestamp] = sym_keyword_current_timestamp,
  [sym_keyword_check] = sym_keyword_check,
  [sym_keyword_option] = sym_keyword_option,
  [sym_keyword_vacuum] = sym_keyword_vacuum,
  [sym_keyword_wait] = sym_keyword_wait,
  [sym_keyword_nowait] = sym_keyword_nowait,
  [sym_keyword_attribute] = sym_keyword_attribute,
  [sym_keyword_authorization] = sym_keyword_authorization,
  [sym_keyword_action] = sym_keyword_action,
  [sym_keyword_extension] = sym_keyword_extension,
  [sym_keyword_copy] = sym_keyword_copy,
  [sym_keyword_stdin] = sym_keyword_stdin,
  [sym_keyword_freeze] = sym_keyword_freeze,
  [sym_keyword_escape] = sym_keyword_escape,
  [sym_keyword_encoding] = sym_keyword_encoding,
  [sym_keyword_force_quote] = sym_keyword_force_quote,
  [sym_keyword_quote] = sym_keyword_quote,
  [sym_keyword_force_null] = sym_keyword_force_null,
  [sym_keyword_force_not_null] = sym_keyword_force_not_null,
  [sym_keyword_header] = sym_keyword_header,
  [sym_keyword_match] = sym_keyword_match,
  [sym_keyword_program] = sym_keyword_program,
  [sym_keyword_plain] = sym_keyword_plain,
  [sym_keyword_extended] = sym_keyword_extended,
  [sym_keyword_main] = sym_keyword_main,
  [sym_keyword_storage] = sym_keyword_storage,
  [sym_keyword_compression] = sym_keyword_compression,
  [sym_keyword_trigger] = sym_keyword_trigger,
  [sym_keyword_function] = sym_keyword_function,
  [sym_keyword_returns] = sym_keyword_returns,
  [sym_keyword_return] = sym_keyword_return,
  [sym_keyword_setof] = sym_keyword_setof,
  [sym_keyword_atomic] = sym_keyword_atomic,
  [sym_keyword_declare] = sym_keyword_declare,
  [sym_keyword_language] = sym_keyword_language,
  [sym_keyword_sql] = sym_keyword_sql,
  [sym_keyword_plpgsql] = sym_keyword_plpgsql,
  [sym_keyword_immutable] = sym_keyword_immutable,
  [sym_keyword_stable] = sym_keyword_stable,
  [sym_keyword_volatile] = sym_keyword_volatile,
  [sym_keyword_leakproof] = sym_keyword_leakproof,
  [sym_keyword_parallel] = sym_keyword_parallel,
  [sym_keyword_safe] = sym_keyword_safe,
  [sym_keyword_unsafe] = sym_keyword_unsafe,
  [sym_keyword_restricted] = sym_keyword_restricted,
  [sym_keyword_called] = sym_keyword_called,
  [sym_keyword_input] = sym_keyword_input,
  [sym_keyword_strict] = sym_keyword_strict,
  [sym_keyword_cost] = sym_keyword_cost,
  [sym_keyword_support] = sym_keyword_support,
  [sym_keyword_definer] = sym_keyword_definer,
  [sym_keyword_invoker] = sym_keyword_invoker,
  [sym_keyword_security] = sym_keyword_security,
  [sym_keyword_version] = sym_keyword_version,
  [sym_keyword_out] = sym_keyword_out,
  [sym_keyword_inout] = sym_keyword_inout,
  [sym_keyword_variadic] = sym_keyword_variadic,
  [sym_keyword_session] = sym_keyword_session,
  [sym_keyword_isolation] = sym_keyword_isolation,
  [sym_keyword_level] = sym_keyword_level,
  [sym_keyword_serializable] = sym_keyword_serializable,
  [sym_keyword_repeatable] = sym_keyword_repeatable,
  [sym_keyword_read] = sym_keyword_read,
  [sym_keyword_write] = sym_keyword_write,
  [sym_keyword_committed] = sym_keyword_committed,
  [sym_keyword_uncommitted] = sym_keyword_uncommitted,
  [sym_keyword_deferrable] = sym_keyword_deferrable,
  [sym_keyword_names] = sym_keyword_names,
  [sym_keyword_zone] = sym_keyword_zone,
  [sym_keyword_immediate] = sym_keyword_immediate,
  [sym_keyword_deferred] = sym_keyword_deferred,
  [sym_keyword_constraints] = sym_keyword_constraints,
  [sym_keyword_snapshot] = sym_keyword_snapshot,
  [sym_keyword_characteristics] = sym_keyword_characteristics,
  [sym_keyword_follows] = sym_keyword_follows,
  [sym_keyword_precedes] = sym_keyword_precedes,
  [sym_keyword_each] = sym_keyword_each,
  [sym_keyword_instead] = sym_keyword_instead,
  [sym_keyword_of] = sym_keyword_of,
  [sym_keyword_initially] = sym_keyword_initially,
  [sym_keyword_old] = sym_keyword_old,
  [sym_keyword_new] = sym_keyword_new,
  [sym_keyword_referencing] = sym_keyword_referencing,
  [sym_keyword_statement] = sym_keyword_statement,
  [sym_keyword_execute] = sym_keyword_execute,
  [sym_keyword_procedure] = sym_keyword_procedure,
  [sym_keyword_external] = sym_keyword_external,
  [sym_keyword_stored] = sym_keyword_stored,
  [sym_keyword_virtual] = sym_keyword_virtual,
  [sym_keyword_cached] = sym_keyword_cached,
  [sym_keyword_uncached] = sym_keyword_uncached,
  [sym_keyword_replication] = sym_keyword_replication,
  [sym_keyword_tblproperties] = sym_keyword_tblproperties,
  [sym_keyword_options] = sym_keyword_options,
  [sym_keyword_compute] = sym_keyword_compute,
  [sym_keyword_stats] = sym_keyword_stats,
  [sym_keyword_statistics] = sym_keyword_statistics,
  [sym_keyword_optimize] = sym_keyword_optimize,
  [sym_keyword_rewrite] = sym_keyword_rewrite,
  [sym_keyword_bin_pack] = sym_keyword_bin_pack,
  [sym_keyword_incremental] = sym_keyword_incremental,
  [sym_keyword_location] = sym_keyword_location,
  [sym_keyword_partitioned] = sym_keyword_partitioned,
  [sym_keyword_comment] = sym_keyword_comment,
  [sym_keyword_sort] = sym_keyword_sort,
  [sym_keyword_format] = sym_keyword_format,
  [sym_keyword_delimited] = sym_keyword_delimited,
  [sym_keyword_delimiter] = sym_keyword_delimiter,
  [sym_keyword_fields] = sym_keyword_fields,
  [sym_keyword_terminated] = sym_keyword_terminated,
  [sym_keyword_escaped] = sym_keyword_escaped,
  [sym_keyword_lines] = sym_keyword_lines,
  [sym_keyword_cache] = sym_keyword_cache,
  [sym_keyword_metadata] = sym_keyword_metadata,
  [sym_keyword_noscan] = sym_keyword_noscan,
  [sym_keyword_parquet] = sym_keyword_parquet,
  [sym_keyword_rcfile] = sym_keyword_rcfile,
  [sym_keyword_csv] = sym_keyword_csv,
  [sym_keyword_textfile] = sym_keyword_textfile,
  [sym_keyword_avro] = sym_keyword_avro,
  [sym_keyword_sequencefile] = sym_keyword_sequencefile,
  [sym_keyword_orc] = sym_keyword_orc,
  [sym_keyword_jsonfile] = sym_keyword_jsonfile,
  [sym_keyword_null] = sym_keyword_null,
  [sym_keyword_true] = sym_keyword_true,
  [sym_keyword_false] = sym_keyword_false,
  [sym_keyword_boolean] = sym_keyword_boolean,
  [sym_keyword_bit] = sym_keyword_bit,
  [sym_keyword_binary] = sym_keyword_binary,
  [sym_keyword_varbinary] = sym_keyword_varbinary,
  [sym_keyword_image] = sym_keyword_image,
  [aux_sym_keyword_smallserial_token1] = aux_sym_keyword_smallserial_token1,
  [aux_sym_keyword_smallserial_token2] = aux_sym_keyword_smallserial_token2,
  [aux_sym_keyword_serial_token1] = aux_sym_keyword_serial_token1,
  [aux_sym_keyword_serial_token2] = aux_sym_keyword_serial_token2,
  [aux_sym_keyword_bigserial_token1] = aux_sym_keyword_bigserial_token1,
  [aux_sym_keyword_bigserial_token2] = aux_sym_keyword_bigserial_token2,
  [aux_sym_keyword_tinyint_token1] = aux_sym_keyword_tinyint_token1,
  [aux_sym_keyword_tinyint_token2] = aux_sym_keyword_tinyint_token2,
  [aux_sym_keyword_smallint_token1] = aux_sym_keyword_smallint_token1,
  [aux_sym_keyword_smallint_token2] = aux_sym_keyword_smallint_token2,
  [aux_sym_keyword_mediumint_token1] = aux_sym_keyword_mediumint_token1,
  [aux_sym_keyword_mediumint_token2] = aux_sym_keyword_mediumint_token2,
  [aux_sym_keyword_int_token1] = aux_sym_keyword_int_token1,
  [aux_sym_keyword_int_token2] = aux_sym_keyword_int_token2,
  [aux_sym_keyword_int_token3] = aux_sym_keyword_int_token3,
  [aux_sym_keyword_bigint_token1] = aux_sym_keyword_bigint_token1,
  [aux_sym_keyword_bigint_token2] = aux_sym_keyword_bigint_token2,
  [sym_keyword_decimal] = sym_keyword_decimal,
  [sym_keyword_numeric] = sym_keyword_numeric,
  [aux_sym_keyword_real_token1] = aux_sym_keyword_real_token1,
  [aux_sym_keyword_real_token2] = aux_sym_keyword_real_token2,
  [sym_keyword_float] = sym_keyword_float,
  [sym_keyword_double] = sym_keyword_double,
  [sym_keyword_precision] = sym_keyword_precision,
  [sym_keyword_inet] = sym_keyword_inet,
  [sym_keyword_money] = sym_keyword_money,
  [sym_keyword_smallmoney] = sym_keyword_smallmoney,
  [sym_keyword_varying] = sym_keyword_varying,
  [aux_sym_keyword_char_token1] = aux_sym_keyword_char_token1,
  [sym_keyword_nchar] = sym_keyword_nchar,
  [aux_sym_keyword_varchar_token1] = aux_sym_keyword_varchar_token1,
  [sym_keyword_nvarchar] = sym_keyword_nvarchar,
  [sym_keyword_text] = sym_keyword_text,
  [sym_keyword_string] = sym_keyword_string,
  [sym_keyword_uuid] = sym_keyword_uuid,
  [sym_keyword_json] = sym_keyword_json,
  [sym_keyword_jsonb] = sym_keyword_jsonb,
  [sym_keyword_xml] = sym_keyword_xml,
  [sym_keyword_bytea] = sym_keyword_bytea,
  [sym_keyword_enum] = sym_keyword_enum,
  [sym_keyword_date] = sym_keyword_date,
  [sym_keyword_datetime] = sym_keyword_datetime,
  [sym_keyword_datetime2] = sym_keyword_datetime2,
  [sym_keyword_smalldatetime] = sym_keyword_smalldatetime,
  [sym_keyword_datetimeoffset] = sym_keyword_datetimeoffset,
  [sym_keyword_time] = sym_keyword_time,
  [sym_keyword_timestamp] = sym_keyword_timestamp,
  [sym_keyword_timestamptz] = sym_keyword_timestamptz,
  [sym_keyword_interval] = sym_keyword_interval,
  [sym_keyword_geometry] = sym_keyword_geometry,
  [sym_keyword_geography] = sym_keyword_geography,
  [sym_keyword_box2d] = sym_keyword_box2d,
  [sym_keyword_box3d] = sym_keyword_box3d,
  [sym_keyword_oid] = sym_keyword_oid,
  [sym_keyword_oids] = sym_keyword_oids,
  [sym_keyword_name] = sym_keyword_name,
  [sym_keyword_regclass] = sym_keyword_regclass,
  [sym_keyword_regnamespace] = sym_keyword_regnamespace,
  [sym_keyword_regproc] = sym_keyword_regproc,
  [sym_keyword_regtype] = sym_keyword_regtype,
  [sym_keyword_array] = sym_keyword_array,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [aux_sym_double_token1] = aux_sym_double_token1,
  [sym_comment] = sym_comment,
  [sym_marginalia] = sym_marginalia,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_COLON_EQ] = anon_sym_COLON_EQ,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_STAR] = anon_sym_STAR,
  [sym_parameter] = sym_parameter,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_COLON] = anon_sym_COLON,
  [sym_op_other] = sym_op_other,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_LT_GT] = anon_sym_LT_GT,
  [sym_op_unary_other] = sym_op_unary_other,
  [sym__double_quote_string] = sym__double_quote_string,
  [aux_sym__single_quote_string_token1] = aux_sym__single_quote_string_token1,
  [aux_sym__single_quote_string_token2] = aux_sym__single_quote_string_token2,
  [sym__natural_number] = sym__natural_number,
  [aux_sym__integer_token1] = aux_sym__integer_token1,
  [aux_sym__decimal_number_token1] = aux_sym__decimal_number_token1,
  [aux_sym__bit_string_token1] = aux_sym__bit_string_token1,
  [sym_bang] = sym_bang,
  [aux_sym_identifier_token1] = aux_sym_identifier_token1,
  [sym__dollar_quoted_string_start_tag] = sym__dollar_quoted_string_start_tag,
  [sym__dollar_quoted_string_end_tag] = sym__dollar_quoted_string_start_tag,
  [sym__dollar_quoted_string] = sym__dollar_quoted_string,
  [sym_program] = sym_program,
  [sym_keyword_character] = sym_keyword_character,
  [sym_keyword_like] = sym_keyword_like,
  [sym_is_not] = sym_is_not,
  [sym_not_like] = sym_not_like,
  [sym_similar_to] = sym_similar_to,
  [sym_not_similar_to] = sym_not_similar_to,
  [sym_distinct_from] = sym_distinct_from,
  [sym_not_distinct_from] = sym_not_distinct_from,
  [sym__temporary] = sym__temporary,
  [sym__not_null] = sym__not_null,
  [sym__primary_key] = sym__primary_key,
  [sym__if_exists] = sym__if_exists,
  [sym__if_not_exists] = sym__if_not_exists,
  [sym__or_replace] = sym__or_replace,
  [sym__current_row] = sym__current_row,
  [sym__exclude_current_row] = sym__exclude_current_row,
  [sym__exclude_group] = sym__exclude_group,
  [sym__exclude_no_others] = sym__exclude_no_others,
  [sym__exclude_ties] = sym__exclude_ties,
  [sym__check_option] = sym__check_option,
  [sym_direction] = sym_direction,
  [sym_keyword_smallserial] = sym_keyword_smallserial,
  [sym_keyword_serial] = sym_keyword_serial,
  [sym_keyword_bigserial] = sym_keyword_bigserial,
  [sym_keyword_tinyint] = sym_keyword_tinyint,
  [sym_keyword_smallint] = sym_keyword_smallint,
  [sym_keyword_mediumint] = sym_keyword_mediumint,
  [sym_keyword_int] = sym_keyword_int,
  [sym_keyword_bigint] = sym_keyword_bigint,
  [sym_keyword_real] = sym_keyword_real,
  [sym_keyword_char] = sym_keyword_char,
  [sym_keyword_varchar] = sym_keyword_varchar,
  [sym__type] = sym__type,
  [sym_array_size_definition] = sym_array_size_definition,
  [sym__array_size_definition] = sym__array_size_definition,
  [sym_tinyint] = sym_tinyint,
  [sym_smallint] = sym_smallint,
  [sym_mediumint] = sym_mediumint,
  [sym_int] = sym_int,
  [sym_bigint] = sym_bigint,
  [sym_bit] = sym_bit,
  [sym_binary] = sym_binary,
  [sym_varbinary] = sym_varbinary,
  [sym_float] = sym_float,
  [sym_double] = sym_double,
  [sym_decimal] = sym_decimal,
  [sym_numeric] = sym_numeric,
  [sym_char] = sym_char,
  [sym_varchar] = sym_varchar,
  [sym_nchar] = sym_nchar,
  [sym_nvarchar] = sym_nvarchar,
  [sym__include_time_zone] = sym__include_time_zone,
  [sym_datetimeoffset] = sym_datetimeoffset,
  [sym_time] = sym_time,
  [sym_timestamp] = sym_timestamp,
  [sym_enum] = sym_enum,
  [sym_array] = sym_array,
  [sym_transaction] = sym_transaction,
  [sym__commit] = sym__commit,
  [sym__rollback] = sym__rollback,
  [sym_block] = sym_block,
  [sym_statement] = sym_statement,
  [sym__ddl_statement] = sym__ddl_statement,
  [sym__cte] = sym__cte,
  [sym__dml_write] = sym__dml_write,
  [sym__dml_read] = sym__dml_read,
  [sym_cte] = sym_cte,
  [sym_set_operation] = sym_set_operation,
  [sym__select_statement] = sym__select_statement,
  [sym_comment_statement] = sym_comment_statement,
  [sym__argmode] = sym__argmode,
  [sym_function_argument] = sym_function_argument,
  [sym_function_arguments] = sym_function_arguments,
  [sym__comment_target] = sym__comment_target,
  [sym_select] = sym_select,
  [sym_select_expression] = sym_select_expression,
  [sym_term] = sym_term,
  [sym__truncate_statement] = sym__truncate_statement,
  [sym__delete_statement] = sym__delete_statement,
  [sym__delete_from] = sym_from,
  [sym_delete] = sym_delete,
  [sym__create_statement] = sym__create_statement,
  [sym__table_settings] = sym__table_settings,
  [sym_storage_parameters] = sym_storage_parameters,
  [sym_create_table] = sym_create_table,
  [sym_reset_statement] = sym_reset_statement,
  [sym__transaction_mode] = sym__transaction_mode,
  [sym_set_statement] = sym_set_statement,
  [sym_create_query] = sym_create_query,
  [sym_create_view] = sym_create_view,
  [sym_create_materialized_view] = sym_create_materialized_view,
  [sym_create_function] = sym_create_function,
  [sym__function_return] = sym__function_return,
  [sym_function_declaration] = sym_function_declaration,
  [sym__function_body_statement] = sym__function_body_statement,
  [sym_function_body] = sym_function_body,
  [sym_function_language] = sym_function_language,
  [sym_function_volatility] = sym_function_volatility,
  [sym_function_leakproof] = sym_function_leakproof,
  [sym_function_security] = sym_function_security,
  [sym_function_safety] = sym_function_safety,
  [sym_function_strictness] = sym_function_strictness,
  [sym_function_cost] = sym_function_cost,
  [sym_function_rows] = sym_function_rows,
  [sym_function_support] = sym_function_support,
  [sym__operator_class] = sym__operator_class,
  [sym__index_field] = sym_field,
  [sym_index_fields] = sym_index_fields,
  [sym_create_index] = sym_create_index,
  [sym_create_schema] = sym_create_schema,
  [sym__with_settings] = sym__with_settings,
  [sym_create_database] = sym_create_database,
  [sym_create_role] = sym_create_role,
  [sym__role_options] = sym__role_options,
  [sym__user_access_role_config] = sym__user_access_role_config,
  [sym_create_sequence] = sym_create_sequence,
  [sym_create_extension] = sym_create_extension,
  [sym_create_trigger] = sym_create_trigger,
  [sym__create_trigger_event] = sym__create_trigger_event,
  [sym_create_type] = sym_create_type,
  [sym_enum_elements] = sym_enum_elements,
  [sym__alter_statement] = sym__alter_statement,
  [sym__rename_statement] = sym__rename_statement,
  [sym__rename_table_names] = sym__rename_table_names,
  [sym_alter_table] = sym_alter_table,
  [sym__alter_specifications] = sym__alter_specifications,
  [sym_add_column] = sym_add_column,
  [sym_add_constraint] = sym_add_constraint,
  [sym_alter_column] = sym_alter_column,
  [sym_modify_column] = sym_modify_column,
  [sym_change_column] = sym_change_column,
  [sym_column_position] = sym_column_position,
  [sym_drop_column] = sym_drop_column,
  [sym_rename_column] = sym_rename_column,
  [sym_alter_view] = sym_alter_view,
  [sym_alter_schema] = sym_alter_schema,
  [sym_alter_database] = sym_alter_database,
  [sym_alter_role] = sym_alter_role,
  [sym_set_configuration] = sym_set_configuration,
  [sym_alter_index] = sym_alter_index,
  [sym_alter_sequence] = sym_alter_sequence,
  [sym_alter_type] = sym_alter_type,
  [sym__drop_behavior] = sym__drop_behavior,
  [sym__drop_statement] = sym__drop_statement,
  [sym_drop_table] = sym_drop_table,
  [sym_drop_view] = sym_drop_view,
  [sym_drop_schema] = sym_drop_schema,
  [sym_drop_database] = sym_drop_database,
  [sym_drop_role] = sym_drop_role,
  [sym_drop_type] = sym_drop_type,
  [sym_drop_sequence] = sym_drop_sequence,
  [sym_drop_index] = sym_drop_index,
  [sym_drop_extension] = sym_drop_extension,
  [sym_rename_object] = sym_rename_object,
  [sym_set_schema] = sym_set_schema,
  [sym_change_ownership] = sym_change_ownership,
  [sym_object_reference] = sym_object_reference,
  [sym__copy_statement] = sym__copy_statement,
  [sym__insert_statement] = sym__insert_statement,
  [sym_insert] = sym_insert,
  [sym__insert_values] = sym__insert_values,
  [sym__set_values] = sym__set_values,
  [sym__column_list] = sym__column_list,
  [sym__column] = sym__column,
  [sym__update_statement] = sym__update_statement,
  [sym__merge_statement] = sym__merge_statement,
  [sym_when_clause] = sym_when_clause,
  [sym__optimize_statement] = sym__optimize_statement,
  [sym__compute_stats] = sym__compute_stats,
  [sym__optimize_table] = sym__optimize_table,
  [sym__vacuum_table] = sym__vacuum_table,
  [sym__vacuum_option] = sym__vacuum_option,
  [sym__partition_spec] = sym__partition_spec,
  [sym_update] = sym_update,
  [sym__mysql_update_statement] = sym__mysql_update_statement,
  [sym__postgres_update_statement] = sym__postgres_update_statement,
  [sym_storage_location] = sym_storage_location,
  [sym_row_format] = sym_row_format,
  [sym_table_sort] = sym_table_sort,
  [sym_table_partition] = sym_table_partition,
  [sym__key_value_pair] = sym__key_value_pair,
  [sym_stored_as] = sym_stored_as,
  [sym_assignment] = sym_assignment,
  [sym_table_option] = sym_table_option,
  [sym_column_definitions] = sym_column_definitions,
  [sym_column_definition] = sym_column_definition,
  [sym__column_comment] = sym__column_comment,
  [sym__column_constraint] = sym__column_constraint,
  [sym__check_constraint] = sym__check_constraint,
  [sym__default_expression] = sym__default_expression,
  [sym__inner_default_expression] = sym__inner_default_expression,
  [sym_constraints] = sym_constraints,
  [sym_constraint] = sym_constraint,
  [sym__constraint_literal] = sym__constraint_literal,
  [sym__primary_key_constraint] = sym__primary_key_constraint,
  [sym__key_constraint] = sym__key_constraint,
  [sym_ordered_columns] = sym_ordered_columns,
  [sym_ordered_column] = sym_ordered_column,
  [sym_all_fields] = sym_all_fields,
  [sym_case] = sym_case,
  [sym_field] = sym_field,
  [sym__qualified_field] = sym_field,
  [sym_implicit_cast] = sym_cast,
  [sym_interval] = sym_interval,
  [sym_cast] = sym_cast,
  [sym_filter_expression] = sym_filter_expression,
  [sym_invocation] = sym_invocation,
  [sym_exists] = sym_exists,
  [sym_partition_by] = sym_partition_by,
  [sym_frame_definition] = sym_frame_definition,
  [sym_window_frame] = sym_window_frame,
  [sym_window_clause] = sym_window_clause,
  [sym_window_specification] = sym_window_specification,
  [sym_window_function] = sym_window_function,
  [sym__alias] = sym__alias,
  [sym_from] = sym_from,
  [sym_relation] = sym_relation,
  [sym_values] = sym_values,
  [sym_index_hint] = sym_index_hint,
  [sym_join] = sym_join,
  [sym_cross_join] = sym_cross_join,
  [sym_lateral_join] = sym_lateral_join,
  [sym_lateral_cross_join] = sym_lateral_cross_join,
  [sym_where] = sym_where,
  [sym_group_by] = sym_group_by,
  [sym__having] = sym__having,
  [sym_order_by] = sym_order_by,
  [sym_order_target] = sym_order_target,
  [sym_limit] = sym_limit,
  [sym_offset] = sym_offset,
  [sym_returning] = sym_returning,
  [sym__expression] = sym__expression,
  [sym_subscript] = sym_subscript,
  [sym_binary_expression] = sym_binary_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_between_expression] = sym_between_expression,
  [sym_not_in] = sym_not_in,
  [sym_subquery] = sym_subquery,
  [sym_list] = sym_list,
  [sym_literal] = sym_literal,
  [sym__single_quote_string] = sym__single_quote_string,
  [sym__literal_string] = sym__literal_string,
  [sym__integer] = sym__integer,
  [sym__decimal_number] = sym__decimal_number,
  [sym__bit_string] = sym__bit_string,
  [sym__string_casting] = sym__string_casting,
  [sym_identifier] = sym_identifier,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_array_size_definition_repeat1] = aux_sym_array_size_definition_repeat1,
  [aux_sym_enum_repeat1] = aux_sym_enum_repeat1,
  [aux_sym_array_repeat1] = aux_sym_array_repeat1,
  [aux_sym_transaction_repeat1] = aux_sym_transaction_repeat1,
  [aux_sym__cte_repeat1] = aux_sym__cte_repeat1,
  [aux_sym_cte_repeat1] = aux_sym_cte_repeat1,
  [aux_sym_set_operation_repeat1] = aux_sym_set_operation_repeat1,
  [aux_sym_function_arguments_repeat1] = aux_sym_function_arguments_repeat1,
  [aux_sym_select_expression_repeat1] = aux_sym_select_expression_repeat1,
  [aux_sym__truncate_statement_repeat1] = aux_sym__truncate_statement_repeat1,
  [aux_sym__create_statement_repeat1] = aux_sym__create_statement_repeat1,
  [aux_sym__table_settings_repeat1] = aux_sym__table_settings_repeat1,
  [aux_sym_storage_parameters_repeat1] = aux_sym_storage_parameters_repeat1,
  [aux_sym_create_table_repeat1] = aux_sym_create_table_repeat1,
  [aux_sym_set_statement_repeat1] = aux_sym_set_statement_repeat1,
  [aux_sym_create_function_repeat1] = aux_sym_create_function_repeat1,
  [aux_sym_function_body_repeat1] = aux_sym_function_body_repeat1,
  [aux_sym_function_body_repeat2] = aux_sym_function_body_repeat2,
  [aux_sym_index_fields_repeat1] = aux_sym_index_fields_repeat1,
  [aux_sym_create_database_repeat1] = aux_sym_create_database_repeat1,
  [aux_sym_create_role_repeat1] = aux_sym_create_role_repeat1,
  [aux_sym_create_sequence_repeat1] = aux_sym_create_sequence_repeat1,
  [aux_sym_create_trigger_repeat1] = aux_sym_create_trigger_repeat1,
  [aux_sym_create_trigger_repeat2] = aux_sym_create_trigger_repeat2,
  [aux_sym_create_trigger_repeat3] = aux_sym_create_trigger_repeat3,
  [aux_sym_create_type_repeat1] = aux_sym_create_type_repeat1,
  [aux_sym_enum_elements_repeat1] = aux_sym_enum_elements_repeat1,
  [aux_sym__rename_statement_repeat1] = aux_sym__rename_statement_repeat1,
  [aux_sym_alter_table_repeat1] = aux_sym_alter_table_repeat1,
  [aux_sym_alter_column_repeat1] = aux_sym_alter_column_repeat1,
  [aux_sym_alter_role_repeat1] = aux_sym_alter_role_repeat1,
  [aux_sym_alter_index_repeat1] = aux_sym_alter_index_repeat1,
  [aux_sym_alter_sequence_repeat1] = aux_sym_alter_sequence_repeat1,
  [aux_sym__copy_statement_repeat1] = aux_sym__copy_statement_repeat1,
  [aux_sym__insert_values_repeat1] = aux_sym__insert_values_repeat1,
  [aux_sym__set_values_repeat1] = aux_sym__set_values_repeat1,
  [aux_sym__column_list_repeat1] = aux_sym__column_list_repeat1,
  [aux_sym__merge_statement_repeat1] = aux_sym__merge_statement_repeat1,
  [aux_sym__compute_stats_repeat1] = aux_sym__compute_stats_repeat1,
  [aux_sym__compute_stats_repeat2] = aux_sym__compute_stats_repeat2,
  [aux_sym__vacuum_table_repeat1] = aux_sym__vacuum_table_repeat1,
  [aux_sym__mysql_update_statement_repeat1] = aux_sym__mysql_update_statement_repeat1,
  [aux_sym__mysql_update_statement_repeat2] = aux_sym__mysql_update_statement_repeat2,
  [aux_sym_column_definitions_repeat1] = aux_sym_column_definitions_repeat1,
  [aux_sym_column_definition_repeat1] = aux_sym_column_definition_repeat1,
  [aux_sym__column_constraint_repeat1] = aux_sym__column_constraint_repeat1,
  [aux_sym_constraints_repeat1] = aux_sym_constraints_repeat1,
  [aux_sym_ordered_columns_repeat1] = aux_sym_ordered_columns_repeat1,
  [aux_sym_case_repeat1] = aux_sym_case_repeat1,
  [aux_sym_invocation_repeat1] = aux_sym_invocation_repeat1,
  [aux_sym_from_repeat1] = aux_sym_from_repeat1,
  [aux_sym_order_by_repeat1] = aux_sym_order_by_repeat1,
  [aux_sym__single_quote_string_repeat1] = aux_sym__single_quote_string_repeat1,
  [anon_alias_sym_command] = anon_alias_sym_command,
  [anon_alias_sym_filename] = anon_alias_sym_filename,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym__identifier] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [sym_keyword_select] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_delete] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_insert] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_replace] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_update] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_truncate] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_merge] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_into] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_overwrite] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_values] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_value] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_matched] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_set] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_from] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_left] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_right] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_inner] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_full] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_outer] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_cross] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_join] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_lateral] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_natural] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_on] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_off] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_where] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_order] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_group] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_partition] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_by] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_having] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_desc] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_asc] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_limit] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_offset] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_primary] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_create] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_alter] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_change] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_analyze] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_explain] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_verbose] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_modify] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_drop] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_add] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_table] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_tables] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_view] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_column] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_columns] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_materialized] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_tablespace] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_increment] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_minvalue] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_maxvalue] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_none] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_owned] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_start] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_restart] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_key] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_as] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_distinct] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_filter] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_cast] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_separator] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_max] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_min] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_avg] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_case] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_when] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_then] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_else] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_end] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_in] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_and] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_or] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_is] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_not] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_force] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_ignore] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_using] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_use] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_index] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_for] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_if] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_exists] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_auto_increment] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_generated] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_always] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_collate] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_keyword_character_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_keyword_engine] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_default] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_cascade] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_restrict] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_with] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_without] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_no] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_data] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_type] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_rename] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_to] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_database] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_schema] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_owner] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_user] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_admin] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_password] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_encrypted] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_valid] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_until] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_connection] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_role] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_reset] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_temp] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_temporary] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_unlogged] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_logged] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_cycle] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_union] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_all] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_any] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_some] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_except] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_intersect] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_returning] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_begin] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_commit] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_rollback] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_transaction] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_over] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_nulls] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_first] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_after] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_before] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_last] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_window] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_range] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_rows] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_groups] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_between] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_unbounded] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_preceding] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_following] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_exclude] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_current] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_row] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_ties] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_others] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_only] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_unique] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_foreign] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_references] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_concurrently] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_btree] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_hash] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_gist] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_spgist] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_gin] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_brin] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_keyword_like_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_like_token2] = {
    .visible = false,
    .named = false,
  },
  [sym_keyword_similar] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_preserve] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_unsigned] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_zerofill] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_conflict] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_do] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_nothing] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_high_priority] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_low_priority] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_delayed] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_recursive] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_cascaded] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_local] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_current_timestamp] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_check] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_option] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_vacuum] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_wait] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_nowait] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_authorization] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_action] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_extension] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_copy] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_stdin] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_freeze] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_escape] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_encoding] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_force_quote] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_quote] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_force_null] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_force_not_null] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_header] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_match] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_program] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_plain] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_extended] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_main] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_storage] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_compression] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_trigger] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_function] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_returns] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_return] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_setof] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_atomic] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_declare] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_language] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_sql] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_plpgsql] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_immutable] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_stable] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_volatile] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_leakproof] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_parallel] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_safe] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_unsafe] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_restricted] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_called] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_input] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_strict] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_cost] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_support] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_definer] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_invoker] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_security] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_version] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_out] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_inout] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_variadic] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_session] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_isolation] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_level] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_serializable] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_repeatable] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_read] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_write] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_committed] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_uncommitted] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_deferrable] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_names] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_zone] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_immediate] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_deferred] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_constraints] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_snapshot] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_characteristics] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_follows] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_precedes] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_each] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_instead] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_of] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_initially] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_old] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_new] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_referencing] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_execute] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_procedure] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_external] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_stored] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_virtual] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_cached] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_uncached] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_replication] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_tblproperties] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_options] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_compute] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_stats] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_statistics] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_optimize] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_rewrite] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_bin_pack] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_incremental] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_location] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_partitioned] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_sort] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_format] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_delimited] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_delimiter] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_fields] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_terminated] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_escaped] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_lines] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_cache] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_metadata] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_noscan] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_parquet] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_rcfile] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_csv] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_textfile] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_avro] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_sequencefile] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_orc] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_jsonfile] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_null] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_true] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_false] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_boolean] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_bit] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_binary] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_varbinary] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_image] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_keyword_smallserial_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_smallserial_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_serial_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_serial_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_bigserial_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_bigserial_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_tinyint_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_tinyint_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_smallint_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_smallint_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_mediumint_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_mediumint_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_int_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_int_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_int_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_bigint_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_bigint_token2] = {
    .visible = false,
    .named = false,
  },
  [sym_keyword_decimal] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_numeric] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_keyword_real_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_real_token2] = {
    .visible = false,
    .named = false,
  },
  [sym_keyword_float] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_double] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_precision] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_inet] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_money] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_smallmoney] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_varying] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_keyword_char_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_keyword_nchar] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_keyword_varchar_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_keyword_nvarchar] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_text] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_string] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_uuid] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_json] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_jsonb] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_xml] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_bytea] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_enum] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_date] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_datetime] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_datetime2] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_smalldatetime] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_datetimeoffset] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_time] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_timestamp] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_timestamptz] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_interval] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_geometry] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_geography] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_box2d] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_box3d] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_oid] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_oids] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_name] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_regclass] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_regnamespace] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_regproc] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_regtype] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_array] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_double_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_marginalia] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [sym_parameter] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [sym_op_other] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_op_unary_other] = {
    .visible = true,
    .named = true,
  },
  [sym__double_quote_string] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__single_quote_string_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__single_quote_string_token2] = {
    .visible = false,
    .named = false,
  },
  [sym__natural_number] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__integer_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__decimal_number_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__bit_string_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_bang] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_identifier_token1] = {
    .visible = false,
    .named = false,
  },
  [sym__dollar_quoted_string_start_tag] = {
    .visible = true,
    .named = true,
  },
  [sym__dollar_quoted_string_end_tag] = {
    .visible = true,
    .named = true,
  },
  [sym__dollar_quoted_string] = {
    .visible = false,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_character] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_like] = {
    .visible = true,
    .named = true,
  },
  [sym_is_not] = {
    .visible = true,
    .named = true,
  },
  [sym_not_like] = {
    .visible = true,
    .named = true,
  },
  [sym_similar_to] = {
    .visible = true,
    .named = true,
  },
  [sym_not_similar_to] = {
    .visible = true,
    .named = true,
  },
  [sym_distinct_from] = {
    .visible = true,
    .named = true,
  },
  [sym_not_distinct_from] = {
    .visible = true,
    .named = true,
  },
  [sym__temporary] = {
    .visible = false,
    .named = true,
  },
  [sym__not_null] = {
    .visible = false,
    .named = true,
  },
  [sym__primary_key] = {
    .visible = false,
    .named = true,
  },
  [sym__if_exists] = {
    .visible = false,
    .named = true,
  },
  [sym__if_not_exists] = {
    .visible = false,
    .named = true,
  },
  [sym__or_replace] = {
    .visible = false,
    .named = true,
  },
  [sym__current_row] = {
    .visible = false,
    .named = true,
  },
  [sym__exclude_current_row] = {
    .visible = false,
    .named = true,
  },
  [sym__exclude_group] = {
    .visible = false,
    .named = true,
  },
  [sym__exclude_no_others] = {
    .visible = false,
    .named = true,
  },
  [sym__exclude_ties] = {
    .visible = false,
    .named = true,
  },
  [sym__check_option] = {
    .visible = false,
    .named = true,
  },
  [sym_direction] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_smallserial] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_serial] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_bigserial] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_tinyint] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_smallint] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_mediumint] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_int] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_bigint] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_real] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_char] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_varchar] = {
    .visible = true,
    .named = true,
  },
  [sym__type] = {
    .visible = false,
    .named = true,
  },
  [sym_array_size_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__array_size_definition] = {
    .visible = false,
    .named = true,
  },
  [sym_tinyint] = {
    .visible = true,
    .named = true,
  },
  [sym_smallint] = {
    .visible = true,
    .named = true,
  },
  [sym_mediumint] = {
    .visible = true,
    .named = true,
  },
  [sym_int] = {
    .visible = true,
    .named = true,
  },
  [sym_bigint] = {
    .visible = true,
    .named = true,
  },
  [sym_bit] = {
    .visible = true,
    .named = true,
  },
  [sym_binary] = {
    .visible = true,
    .named = true,
  },
  [sym_varbinary] = {
    .visible = true,
    .named = true,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [sym_double] = {
    .visible = true,
    .named = true,
  },
  [sym_decimal] = {
    .visible = true,
    .named = true,
  },
  [sym_numeric] = {
    .visible = true,
    .named = true,
  },
  [sym_char] = {
    .visible = true,
    .named = true,
  },
  [sym_varchar] = {
    .visible = true,
    .named = true,
  },
  [sym_nchar] = {
    .visible = true,
    .named = true,
  },
  [sym_nvarchar] = {
    .visible = true,
    .named = true,
  },
  [sym__include_time_zone] = {
    .visible = false,
    .named = true,
  },
  [sym_datetimeoffset] = {
    .visible = true,
    .named = true,
  },
  [sym_time] = {
    .visible = true,
    .named = true,
  },
  [sym_timestamp] = {
    .visible = true,
    .named = true,
  },
  [sym_enum] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_transaction] = {
    .visible = true,
    .named = true,
  },
  [sym__commit] = {
    .visible = false,
    .named = true,
  },
  [sym__rollback] = {
    .visible = false,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__ddl_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__cte] = {
    .visible = false,
    .named = true,
  },
  [sym__dml_write] = {
    .visible = false,
    .named = true,
  },
  [sym__dml_read] = {
    .visible = false,
    .named = true,
  },
  [sym_cte] = {
    .visible = true,
    .named = true,
  },
  [sym_set_operation] = {
    .visible = true,
    .named = true,
  },
  [sym__select_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_comment_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__argmode] = {
    .visible = false,
    .named = true,
  },
  [sym_function_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_function_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym__comment_target] = {
    .visible = false,
    .named = true,
  },
  [sym_select] = {
    .visible = true,
    .named = true,
  },
  [sym_select_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_term] = {
    .visible = true,
    .named = true,
  },
  [sym__truncate_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__delete_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__delete_from] = {
    .visible = true,
    .named = true,
  },
  [sym_delete] = {
    .visible = true,
    .named = true,
  },
  [sym__create_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__table_settings] = {
    .visible = false,
    .named = true,
  },
  [sym_storage_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_create_table] = {
    .visible = true,
    .named = true,
  },
  [sym_reset_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__transaction_mode] = {
    .visible = false,
    .named = true,
  },
  [sym_set_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_create_query] = {
    .visible = true,
    .named = true,
  },
  [sym_create_view] = {
    .visible = true,
    .named = true,
  },
  [sym_create_materialized_view] = {
    .visible = true,
    .named = true,
  },
  [sym_create_function] = {
    .visible = true,
    .named = true,
  },
  [sym__function_return] = {
    .visible = false,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__function_body_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_function_body] = {
    .visible = true,
    .named = true,
  },
  [sym_function_language] = {
    .visible = true,
    .named = true,
  },
  [sym_function_volatility] = {
    .visible = true,
    .named = true,
  },
  [sym_function_leakproof] = {
    .visible = true,
    .named = true,
  },
  [sym_function_security] = {
    .visible = true,
    .named = true,
  },
  [sym_function_safety] = {
    .visible = true,
    .named = true,
  },
  [sym_function_strictness] = {
    .visible = true,
    .named = true,
  },
  [sym_function_cost] = {
    .visible = true,
    .named = true,
  },
  [sym_function_rows] = {
    .visible = true,
    .named = true,
  },
  [sym_function_support] = {
    .visible = true,
    .named = true,
  },
  [sym__operator_class] = {
    .visible = false,
    .named = true,
  },
  [sym__index_field] = {
    .visible = true,
    .named = true,
  },
  [sym_index_fields] = {
    .visible = true,
    .named = true,
  },
  [sym_create_index] = {
    .visible = true,
    .named = true,
  },
  [sym_create_schema] = {
    .visible = true,
    .named = true,
  },
  [sym__with_settings] = {
    .visible = false,
    .named = true,
  },
  [sym_create_database] = {
    .visible = true,
    .named = true,
  },
  [sym_create_role] = {
    .visible = true,
    .named = true,
  },
  [sym__role_options] = {
    .visible = false,
    .named = true,
  },
  [sym__user_access_role_config] = {
    .visible = false,
    .named = true,
  },
  [sym_create_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_create_extension] = {
    .visible = true,
    .named = true,
  },
  [sym_create_trigger] = {
    .visible = true,
    .named = true,
  },
  [sym__create_trigger_event] = {
    .visible = false,
    .named = true,
  },
  [sym_create_type] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_elements] = {
    .visible = true,
    .named = true,
  },
  [sym__alter_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__rename_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__rename_table_names] = {
    .visible = false,
    .named = true,
  },
  [sym_alter_table] = {
    .visible = true,
    .named = true,
  },
  [sym__alter_specifications] = {
    .visible = false,
    .named = true,
  },
  [sym_add_column] = {
    .visible = true,
    .named = true,
  },
  [sym_add_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_alter_column] = {
    .visible = true,
    .named = true,
  },
  [sym_modify_column] = {
    .visible = true,
    .named = true,
  },
  [sym_change_column] = {
    .visible = true,
    .named = true,
  },
  [sym_column_position] = {
    .visible = true,
    .named = true,
  },
  [sym_drop_column] = {
    .visible = true,
    .named = true,
  },
  [sym_rename_column] = {
    .visible = true,
    .named = true,
  },
  [sym_alter_view] = {
    .visible = true,
    .named = true,
  },
  [sym_alter_schema] = {
    .visible = true,
    .named = true,
  },
  [sym_alter_database] = {
    .visible = true,
    .named = true,
  },
  [sym_alter_role] = {
    .visible = true,
    .named = true,
  },
  [sym_set_configuration] = {
    .visible = true,
    .named = true,
  },
  [sym_alter_index] = {
    .visible = true,
    .named = true,
  },
  [sym_alter_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_alter_type] = {
    .visible = true,
    .named = true,
  },
  [sym__drop_behavior] = {
    .visible = false,
    .named = true,
  },
  [sym__drop_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_drop_table] = {
    .visible = true,
    .named = true,
  },
  [sym_drop_view] = {
    .visible = true,
    .named = true,
  },
  [sym_drop_schema] = {
    .visible = true,
    .named = true,
  },
  [sym_drop_database] = {
    .visible = true,
    .named = true,
  },
  [sym_drop_role] = {
    .visible = true,
    .named = true,
  },
  [sym_drop_type] = {
    .visible = true,
    .named = true,
  },
  [sym_drop_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_drop_index] = {
    .visible = true,
    .named = true,
  },
  [sym_drop_extension] = {
    .visible = true,
    .named = true,
  },
  [sym_rename_object] = {
    .visible = true,
    .named = true,
  },
  [sym_set_schema] = {
    .visible = true,
    .named = true,
  },
  [sym_change_ownership] = {
    .visible = true,
    .named = true,
  },
  [sym_object_reference] = {
    .visible = true,
    .named = true,
  },
  [sym__copy_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__insert_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_insert] = {
    .visible = true,
    .named = true,
  },
  [sym__insert_values] = {
    .visible = false,
    .named = true,
  },
  [sym__set_values] = {
    .visible = false,
    .named = true,
  },
  [sym__column_list] = {
    .visible = false,
    .named = true,
  },
  [sym__column] = {
    .visible = false,
    .named = true,
  },
  [sym__update_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__merge_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_when_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__optimize_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__compute_stats] = {
    .visible = false,
    .named = true,
  },
  [sym__optimize_table] = {
    .visible = false,
    .named = true,
  },
  [sym__vacuum_table] = {
    .visible = false,
    .named = true,
  },
  [sym__vacuum_option] = {
    .visible = false,
    .named = true,
  },
  [sym__partition_spec] = {
    .visible = false,
    .named = true,
  },
  [sym_update] = {
    .visible = true,
    .named = true,
  },
  [sym__mysql_update_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__postgres_update_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_storage_location] = {
    .visible = true,
    .named = true,
  },
  [sym_row_format] = {
    .visible = true,
    .named = true,
  },
  [sym_table_sort] = {
    .visible = true,
    .named = true,
  },
  [sym_table_partition] = {
    .visible = true,
    .named = true,
  },
  [sym__key_value_pair] = {
    .visible = false,
    .named = true,
  },
  [sym_stored_as] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_table_option] = {
    .visible = true,
    .named = true,
  },
  [sym_column_definitions] = {
    .visible = true,
    .named = true,
  },
  [sym_column_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__column_comment] = {
    .visible = false,
    .named = true,
  },
  [sym__column_constraint] = {
    .visible = false,
    .named = true,
  },
  [sym__check_constraint] = {
    .visible = false,
    .named = true,
  },
  [sym__default_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__inner_default_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_constraints] = {
    .visible = true,
    .named = true,
  },
  [sym_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym__constraint_literal] = {
    .visible = false,
    .named = true,
  },
  [sym__primary_key_constraint] = {
    .visible = false,
    .named = true,
  },
  [sym__key_constraint] = {
    .visible = false,
    .named = true,
  },
  [sym_ordered_columns] = {
    .visible = true,
    .named = true,
  },
  [sym_ordered_column] = {
    .visible = true,
    .named = true,
  },
  [sym_all_fields] = {
    .visible = true,
    .named = true,
  },
  [sym_case] = {
    .visible = true,
    .named = true,
  },
  [sym_field] = {
    .visible = true,
    .named = true,
  },
  [sym__qualified_field] = {
    .visible = true,
    .named = true,
  },
  [sym_implicit_cast] = {
    .visible = true,
    .named = true,
  },
  [sym_interval] = {
    .visible = true,
    .named = true,
  },
  [sym_cast] = {
    .visible = true,
    .named = true,
  },
  [sym_filter_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_invocation] = {
    .visible = true,
    .named = true,
  },
  [sym_exists] = {
    .visible = true,
    .named = true,
  },
  [sym_partition_by] = {
    .visible = true,
    .named = true,
  },
  [sym_frame_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_window_frame] = {
    .visible = true,
    .named = true,
  },
  [sym_window_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_window_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_window_function] = {
    .visible = true,
    .named = true,
  },
  [sym__alias] = {
    .visible = false,
    .named = true,
  },
  [sym_from] = {
    .visible = true,
    .named = true,
  },
  [sym_relation] = {
    .visible = true,
    .named = true,
  },
  [sym_values] = {
    .visible = true,
    .named = true,
  },
  [sym_index_hint] = {
    .visible = true,
    .named = true,
  },
  [sym_join] = {
    .visible = true,
    .named = true,
  },
  [sym_cross_join] = {
    .visible = true,
    .named = true,
  },
  [sym_lateral_join] = {
    .visible = true,
    .named = true,
  },
  [sym_lateral_cross_join] = {
    .visible = true,
    .named = true,
  },
  [sym_where] = {
    .visible = true,
    .named = true,
  },
  [sym_group_by] = {
    .visible = true,
    .named = true,
  },
  [sym__having] = {
    .visible = false,
    .named = true,
  },
  [sym_order_by] = {
    .visible = true,
    .named = true,
  },
  [sym_order_target] = {
    .visible = true,
    .named = true,
  },
  [sym_limit] = {
    .visible = true,
    .named = true,
  },
  [sym_offset] = {
    .visible = true,
    .named = true,
  },
  [sym_returning] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
  },
  [sym_subscript] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_between_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_not_in] = {
    .visible = true,
    .named = true,
  },
  [sym_subquery] = {
    .visible = true,
    .named = true,
  },
  [sym_list] = {
    .visible = true,
    .named = true,
  },
  [sym_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__single_quote_string] = {
    .visible = false,
    .named = true,
  },
  [sym__literal_string] = {
    .visible = false,
    .named = true,
  },
  [sym__integer] = {
    .visible = false,
    .named = true,
  },
  [sym__decimal_number] = {
    .visible = false,
    .named = true,
  },
  [sym__bit_string] = {
    .visible = false,
    .named = true,
  },
  [sym__string_casting] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_size_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_transaction_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__cte_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cte_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_set_operation_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_select_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__truncate_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__create_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__table_settings_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_storage_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_create_table_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_set_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_create_function_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_body_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_index_fields_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_create_database_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_create_role_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_create_sequence_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_create_trigger_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_create_trigger_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_create_trigger_repeat3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_create_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_elements_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__rename_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_alter_table_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_alter_column_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_alter_role_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_alter_index_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_alter_sequence_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__copy_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__insert_values_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__set_values_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__column_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__merge_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__compute_stats_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__compute_stats_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__vacuum_table_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__mysql_update_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__mysql_update_statement_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_column_definitions_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_column_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__column_constraint_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_constraints_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_ordered_columns_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_invocation_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_from_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_order_by_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__single_quote_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [anon_alias_sym_command] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_filename] = {
    .visible = true,
    .named = false,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_argument = 2,
  field_cache = 3,
  field_col_name = 4,
  field_column = 5,
  field_compression_method = 6,
  field_configuration_parameter = 7,
  field_connection_limit = 8,
  field_custom_type = 9,
  field_end = 10,
  field_enum_element = 11,
  field_escaped_char = 12,
  field_expression = 13,
  field_fields_terminated_char = 14,
  field_function = 15,
  field_high = 16,
  field_increment = 17,
  field_index_name = 18,
  field_key = 19,
  field_left = 20,
  field_low = 21,
  field_lower = 22,
  field_name = 23,
  field_new_name = 24,
  field_old_name = 25,
  field_opclass = 26,
  field_opclass_parameters = 27,
  field_operand = 28,
  field_operation = 29,
  field_operator = 30,
  field_option = 31,
  field_parameter = 32,
  field_password = 33,
  field_path = 34,
  field_pool = 35,
  field_precision = 36,
  field_predicate = 37,
  field_restart = 38,
  field_right = 39,
  field_row_terminated_char = 40,
  field_scale = 41,
  field_schema = 42,
  field_size = 43,
  field_start = 44,
  field_statistics = 45,
  field_subscript = 46,
  field_timeout = 47,
  field_type = 48,
  field_upper = 49,
  field_valid_until = 50,
  field_value = 51,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_argument] = "argument",
  [field_cache] = "cache",
  [field_col_name] = "col_name",
  [field_column] = "column",
  [field_compression_method] = "compression_method",
  [field_configuration_parameter] = "configuration_parameter",
  [field_connection_limit] = "connection_limit",
  [field_custom_type] = "custom_type",
  [field_end] = "end",
  [field_enum_element] = "enum_element",
  [field_escaped_char] = "escaped_char",
  [field_expression] = "expression",
  [field_fields_terminated_char] = "fields_terminated_char",
  [field_function] = "function",
  [field_high] = "high",
  [field_increment] = "increment",
  [field_index_name] = "index_name",
  [field_key] = "key",
  [field_left] = "left",
  [field_low] = "low",
  [field_lower] = "lower",
  [field_name] = "name",
  [field_new_name] = "new_name",
  [field_old_name] = "old_name",
  [field_opclass] = "opclass",
  [field_opclass_parameters] = "opclass_parameters",
  [field_operand] = "operand",
  [field_operation] = "operation",
  [field_operator] = "operator",
  [field_option] = "option",
  [field_parameter] = "parameter",
  [field_password] = "password",
  [field_path] = "path",
  [field_pool] = "pool",
  [field_precision] = "precision",
  [field_predicate] = "predicate",
  [field_restart] = "restart",
  [field_right] = "right",
  [field_row_terminated_char] = "row_terminated_char",
  [field_scale] = "scale",
  [field_schema] = "schema",
  [field_size] = "size",
  [field_start] = "start",
  [field_statistics] = "statistics",
  [field_subscript] = "subscript",
  [field_timeout] = "timeout",
  [field_type] = "type",
  [field_upper] = "upper",
  [field_valid_until] = "valid_until",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 3},
  [2] = {.index = 3, .length = 1},
  [3] = {.index = 4, .length = 2},
  [4] = {.index = 6, .length = 1},
  [5] = {.index = 7, .length = 1},
  [6] = {.index = 8, .length = 1},
  [7] = {.index = 9, .length = 3},
  [8] = {.index = 12, .length = 1},
  [9] = {.index = 13, .length = 2},
  [10] = {.index = 15, .length = 2},
  [11] = {.index = 17, .length = 1},
  [12] = {.index = 18, .length = 1},
  [14] = {.index = 19, .length = 3},
  [15] = {.index = 22, .length = 1},
  [16] = {.index = 23, .length = 1},
  [17] = {.index = 24, .length = 2},
  [18] = {.index = 26, .length = 1},
  [19] = {.index = 27, .length = 3},
  [20] = {.index = 30, .length = 1},
  [21] = {.index = 31, .length = 1},
  [22] = {.index = 32, .length = 2},
  [24] = {.index = 18, .length = 1},
  [25] = {.index = 34, .length = 4},
  [26] = {.index = 38, .length = 1},
  [27] = {.index = 39, .length = 4},
  [28] = {.index = 43, .length = 4},
  [29] = {.index = 47, .length = 2},
  [30] = {.index = 49, .length = 2},
  [31] = {.index = 51, .length = 4},
  [32] = {.index = 55, .length = 3},
  [33] = {.index = 58, .length = 1},
  [34] = {.index = 59, .length = 1},
  [35] = {.index = 60, .length = 2},
  [36] = {.index = 62, .length = 1},
  [37] = {.index = 63, .length = 2},
  [38] = {.index = 65, .length = 1},
  [39] = {.index = 66, .length = 1},
  [41] = {.index = 67, .length = 1},
  [42] = {.index = 68, .length = 1},
  [43] = {.index = 69, .length = 4},
  [44] = {.index = 73, .length = 1},
  [45] = {.index = 74, .length = 8},
  [46] = {.index = 82, .length = 1},
  [47] = {.index = 83, .length = 4},
  [48] = {.index = 87, .length = 1},
  [49] = {.index = 88, .length = 1},
  [50] = {.index = 89, .length = 1},
  [51] = {.index = 90, .length = 1},
  [52] = {.index = 91, .length = 8},
  [53] = {.index = 99, .length = 2},
  [54] = {.index = 101, .length = 2},
  [55] = {.index = 101, .length = 2},
  [56] = {.index = 103, .length = 4},
  [58] = {.index = 107, .length = 1},
  [59] = {.index = 108, .length = 1},
  [60] = {.index = 109, .length = 1},
  [61] = {.index = 110, .length = 3},
  [62] = {.index = 113, .length = 4},
  [63] = {.index = 117, .length = 1},
  [64] = {.index = 118, .length = 8},
  [65] = {.index = 126, .length = 1},
  [66] = {.index = 127, .length = 1},
  [67] = {.index = 128, .length = 1},
  [68] = {.index = 129, .length = 1},
  [69] = {.index = 130, .length = 2},
  [70] = {.index = 132, .length = 2},
  [71] = {.index = 134, .length = 4},
  [72] = {.index = 138, .length = 1},
  [73] = {.index = 139, .length = 2},
  [74] = {.index = 141, .length = 1},
  [75] = {.index = 142, .length = 1},
  [76] = {.index = 143, .length = 3},
  [77] = {.index = 146, .length = 2},
  [78] = {.index = 67, .length = 1},
  [79] = {.index = 148, .length = 1},
  [81] = {.index = 149, .length = 1},
  [82] = {.index = 150, .length = 1},
  [83] = {.index = 151, .length = 1},
  [84] = {.index = 152, .length = 2},
  [85] = {.index = 154, .length = 1},
  [86] = {.index = 155, .length = 1},
  [87] = {.index = 156, .length = 1},
  [88] = {.index = 157, .length = 1},
  [89] = {.index = 158, .length = 1},
  [90] = {.index = 159, .length = 2},
  [91] = {.index = 152, .length = 2},
  [92] = {.index = 161, .length = 4},
  [94] = {.index = 165, .length = 1},
  [95] = {.index = 166, .length = 1},
  [96] = {.index = 167, .length = 1},
  [97] = {.index = 168, .length = 1},
  [98] = {.index = 169, .length = 1},
  [100] = {.index = 170, .length = 1},
  [101] = {.index = 171, .length = 2},
  [102] = {.index = 173, .length = 3},
  [103] = {.index = 176, .length = 2},
  [104] = {.index = 62, .length = 1},
  [105] = {.index = 178, .length = 2},
  [106] = {.index = 180, .length = 1},
  [107] = {.index = 181, .length = 1},
  [108] = {.index = 180, .length = 1},
  [109] = {.index = 181, .length = 1},
  [110] = {.index = 182, .length = 5},
  [111] = {.index = 187, .length = 3},
  [112] = {.index = 190, .length = 1},
  [113] = {.index = 191, .length = 1},
  [114] = {.index = 192, .length = 1},
  [115] = {.index = 193, .length = 1},
  [116] = {.index = 194, .length = 1},
  [117] = {.index = 195, .length = 2},
  [118] = {.index = 197, .length = 4},
  [119] = {.index = 201, .length = 4},
  [120] = {.index = 205, .length = 2},
  [121] = {.index = 207, .length = 2},
  [122] = {.index = 209, .length = 1},
  [124] = {.index = 210, .length = 5},
  [125] = {.index = 215, .length = 3},
  [126] = {.index = 218, .length = 1},
  [127] = {.index = 219, .length = 3},
  [128] = {.index = 222, .length = 1},
  [129] = {.index = 223, .length = 2},
  [130] = {.index = 225, .length = 4},
  [132] = {.index = 229, .length = 1},
  [133] = {.index = 230, .length = 2},
  [134] = {.index = 232, .length = 3},
  [135] = {.index = 235, .length = 1},
  [136] = {.index = 236, .length = 2},
  [138] = {.index = 238, .length = 1},
  [140] = {.index = 239, .length = 1},
  [141] = {.index = 128, .length = 1},
  [142] = {.index = 240, .length = 2},
  [143] = {.index = 62, .length = 1},
  [144] = {.index = 242, .length = 1},
  [145] = {.index = 243, .length = 1},
  [146] = {.index = 244, .length = 1},
  [147] = {.index = 245, .length = 2},
  [148] = {.index = 247, .length = 2},
  [149] = {.index = 249, .length = 1},
  [150] = {.index = 250, .length = 1},
  [151] = {.index = 251, .length = 2},
  [152] = {.index = 253, .length = 4},
  [153] = {.index = 257, .length = 1},
  [155] = {.index = 258, .length = 1},
  [156] = {.index = 259, .length = 2},
  [157] = {.index = 261, .length = 3},
  [158] = {.index = 264, .length = 1},
  [159] = {.index = 265, .length = 2},
  [160] = {.index = 267, .length = 1},
  [162] = {.index = 268, .length = 1},
  [163] = {.index = 269, .length = 3},
  [164] = {.index = 272, .length = 2},
  [165] = {.index = 274, .length = 2},
  [166] = {.index = 276, .length = 1},
  [167] = {.index = 277, .length = 2},
  [169] = {.index = 279, .length = 1},
  [172] = {.index = 280, .length = 1},
  [175] = {.index = 128, .length = 1},
  [176] = {.index = 281, .length = 2},
  [177] = {.index = 283, .length = 1},
  [178] = {.index = 284, .length = 4},
  [180] = {.index = 288, .length = 2},
  [181] = {.index = 290, .length = 2},
  [182] = {.index = 292, .length = 5},
  [183] = {.index = 297, .length = 3},
  [184] = {.index = 300, .length = 3},
  [185] = {.index = 303, .length = 3},
  [186] = {.index = 306, .length = 4},
  [187] = {.index = 310, .length = 2},
  [188] = {.index = 312, .length = 2},
  [189] = {.index = 314, .length = 1},
  [191] = {.index = 315, .length = 2},
  [192] = {.index = 317, .length = 2},
  [193] = {.index = 319, .length = 3},
  [194] = {.index = 322, .length = 3},
  [196] = {.index = 325, .length = 1},
  [199] = {.index = 326, .length = 1},
  [201] = {.index = 327, .length = 2},
  [202] = {.index = 329, .length = 1},
  [204] = {.index = 330, .length = 3},
  [205] = {.index = 333, .length = 1},
  [206] = {.index = 334, .length = 1},
  [207] = {.index = 335, .length = 4},
  [208] = {.index = 339, .length = 3},
  [209] = {.index = 342, .length = 3},
  [210] = {.index = 345, .length = 5},
  [211] = {.index = 350, .length = 1},
  [213] = {.index = 351, .length = 2},
  [214] = {.index = 353, .length = 1},
  [216] = {.index = 326, .length = 1},
  [217] = {.index = 354, .length = 2},
  [218] = {.index = 356, .length = 2},
  [219] = {.index = 358, .length = 1},
  [221] = {.index = 359, .length = 2},
  [222] = {.index = 361, .length = 2},
  [223] = {.index = 363, .length = 5},
  [224] = {.index = 368, .length = 5},
  [225] = {.index = 373, .length = 5},
  [226] = {.index = 378, .length = 2},
  [227] = {.index = 326, .length = 1},
  [228] = {.index = 354, .length = 2},
  [229] = {.index = 380, .length = 3},
  [230] = {.index = 383, .length = 3},
  [231] = {.index = 386, .length = 1},
  [232] = {.index = 354, .length = 2},
  [233] = {.index = 387, .length = 2},
  [234] = {.index = 389, .length = 1},
  [235] = {.index = 390, .length = 2},
  [236] = {.index = 392, .length = 1},
  [237] = {.index = 393, .length = 2},
  [238] = {.index = 395, .length = 1},
  [239] = {.index = 396, .length = 2},
  [240] = {.index = 398, .length = 2},
  [241] = {.index = 400, .length = 1},
  [242] = {.index = 401, .length = 3},
  [243] = {.index = 404, .length = 2},
  [244] = {.index = 406, .length = 1},
  [245] = {.index = 407, .length = 2},
  [246] = {.index = 409, .length = 1},
  [247] = {.index = 410, .length = 2},
  [248] = {.index = 412, .length = 1},
  [249] = {.index = 413, .length = 2},
  [250] = {.index = 415, .length = 1},
  [251] = {.index = 416, .length = 2},
  [252] = {.index = 418, .length = 1},
  [253] = {.index = 419, .length = 2},
  [254] = {.index = 421, .length = 1},
  [255] = {.index = 422, .length = 2},
  [256] = {.index = 424, .length = 1},
  [257] = {.index = 425, .length = 2},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_alias, 0, .inherited = true},
    {field_predicate, 0, .inherited = true},
    {field_timeout, 0, .inherited = true},
  [3] =
    {field_timeout, 0, .inherited = true},
  [4] =
    {field_alias, 0, .inherited = true},
    {field_predicate, 0, .inherited = true},
  [6] =
    {field_value, 0},
  [7] =
    {field_name, 0, .inherited = true},
  [8] =
    {field_name, 0},
  [9] =
    {field_alias, 1, .inherited = true},
    {field_predicate, 1, .inherited = true},
    {field_timeout, 1, .inherited = true},
  [12] =
    {field_operation, 1, .inherited = true},
  [13] =
    {field_operand, 1},
    {field_operator, 0},
  [15] =
    {field_alias, 1, .inherited = true},
    {field_value, 0},
  [17] =
    {field_alias, 0},
  [18] =
    {field_alias, 1, .inherited = true},
  [19] =
    {field_alias, 2, .inherited = true},
    {field_predicate, 2, .inherited = true},
    {field_timeout, 2, .inherited = true},
  [22] =
    {field_name, 2},
  [23] =
    {field_operation, 0},
  [24] =
    {field_operation, 0, .inherited = true},
    {field_operation, 1, .inherited = true},
  [26] =
    {field_alias, 1},
  [27] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [30] =
    {field_custom_type, 2, .inherited = true},
  [31] =
    {field_custom_type, 0},
  [32] =
    {field_name, 2},
    {field_schema, 0},
  [34] =
    {field_connection_limit, 0, .inherited = true},
    {field_option, 0, .inherited = true},
    {field_password, 0, .inherited = true},
    {field_valid_until, 0, .inherited = true},
  [38] =
    {field_option, 0},
  [39] =
    {field_connection_limit, 3, .inherited = true},
    {field_option, 3, .inherited = true},
    {field_password, 3, .inherited = true},
    {field_valid_until, 3, .inherited = true},
  [43] =
    {field_cache, 3, .inherited = true},
    {field_custom_type, 3, .inherited = true},
    {field_increment, 3, .inherited = true},
    {field_start, 3, .inherited = true},
  [47] =
    {field_name, 0, .inherited = true},
    {field_value, 0, .inherited = true},
  [49] =
    {field_name, 3, .inherited = true},
    {field_value, 3, .inherited = true},
  [51] =
    {field_cache, 3, .inherited = true},
    {field_custom_type, 3, .inherited = true},
    {field_restart, 3, .inherited = true},
    {field_start, 3, .inherited = true},
  [55] =
    {field_alias, 3, .inherited = true},
    {field_predicate, 3, .inherited = true},
    {field_timeout, 3, .inherited = true},
  [58] =
    {field_name, 3},
  [59] =
    {field_name, 1, .inherited = true},
  [60] =
    {field_operation, 0},
    {field_operation, 1},
  [62] =
    {field_parameter, 2},
  [63] =
    {field_expression, 0},
    {field_subscript, 2},
  [65] =
    {field_size, 0, .inherited = true},
  [66] =
    {field_alias, 3},
  [67] =
    {field_alias, 3, .inherited = true},
  [68] =
    {field_predicate, 1},
  [69] =
    {field_connection_limit, 4, .inherited = true},
    {field_option, 4, .inherited = true},
    {field_password, 4, .inherited = true},
    {field_valid_until, 4, .inherited = true},
  [73] =
    {field_password, 1},
  [74] =
    {field_connection_limit, 0, .inherited = true},
    {field_connection_limit, 1, .inherited = true},
    {field_option, 0, .inherited = true},
    {field_option, 1, .inherited = true},
    {field_password, 0, .inherited = true},
    {field_password, 1, .inherited = true},
    {field_valid_until, 0, .inherited = true},
    {field_valid_until, 1, .inherited = true},
  [82] =
    {field_path, 1},
  [83] =
    {field_cache, 4, .inherited = true},
    {field_custom_type, 4, .inherited = true},
    {field_increment, 4, .inherited = true},
    {field_start, 4, .inherited = true},
  [87] =
    {field_increment, 1},
  [88] =
    {field_start, 1},
  [89] =
    {field_custom_type, 1, .inherited = true},
  [90] =
    {field_cache, 1},
  [91] =
    {field_cache, 0, .inherited = true},
    {field_cache, 1, .inherited = true},
    {field_custom_type, 0, .inherited = true},
    {field_custom_type, 1, .inherited = true},
    {field_increment, 0, .inherited = true},
    {field_increment, 1, .inherited = true},
    {field_start, 0, .inherited = true},
    {field_start, 1, .inherited = true},
  [99] =
    {field_name, 4, .inherited = true},
    {field_value, 4, .inherited = true},
  [101] =
    {field_name, 0},
    {field_value, 1},
  [103] =
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_value, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [107] =
    {field_custom_type, 0, .inherited = true},
  [108] =
    {field_option, 4},
  [109] =
    {field_name, 1},
  [110] =
    {field_custom_type, 1, .inherited = true},
    {field_name, 0},
    {field_type, 1},
  [113] =
    {field_cache, 4, .inherited = true},
    {field_custom_type, 4, .inherited = true},
    {field_restart, 4, .inherited = true},
    {field_start, 4, .inherited = true},
  [117] =
    {field_restart, 1},
  [118] =
    {field_cache, 0, .inherited = true},
    {field_cache, 1, .inherited = true},
    {field_custom_type, 0, .inherited = true},
    {field_custom_type, 1, .inherited = true},
    {field_restart, 0, .inherited = true},
    {field_restart, 1, .inherited = true},
    {field_start, 0, .inherited = true},
    {field_start, 1, .inherited = true},
  [126] =
    {field_configuration_parameter, 4},
  [127] =
    {field_name, 4},
  [128] =
    {field_parameter, 3},
  [129] =
    {field_parameter, 1},
  [130] =
    {field_parameter, 2},
    {field_parameter, 3, .inherited = true},
  [132] =
    {field_parameter, 0, .inherited = true},
    {field_parameter, 1, .inherited = true},
  [134] =
    {field_high, 4},
    {field_left, 0},
    {field_low, 2},
    {field_operator, 1},
  [138] =
    {field_size, 1, .inherited = true},
  [139] =
    {field_size, 0, .inherited = true},
    {field_size, 1, .inherited = true},
  [141] =
    {field_index_name, 3},
  [142] =
    {field_alias, 4},
  [143] =
    {field_left, 0},
    {field_name, 0, .inherited = true},
    {field_right, 2},
  [146] =
    {field_key, 2, .inherited = true},
    {field_value, 2, .inherited = true},
  [148] =
    {field_predicate, 3},
  [149] =
    {field_password, 2},
  [150] =
    {field_valid_until, 2},
  [151] =
    {field_connection_limit, 2},
  [152] =
    {field_name, 0},
    {field_value, 2},
  [154] =
    {field_increment, 2},
  [155] =
    {field_start, 2},
  [156] =
    {field_column, 0},
  [157] =
    {field_function, 0},
  [158] =
    {field_column, 2},
  [159] =
    {field_name, 5, .inherited = true},
    {field_value, 5, .inherited = true},
  [161] =
    {field_cache, 5, .inherited = true},
    {field_custom_type, 5, .inherited = true},
    {field_increment, 5, .inherited = true},
    {field_start, 5, .inherited = true},
  [165] =
    {field_schema, 2},
  [166] =
    {field_old_name, 1},
  [167] =
    {field_col_name, 1},
  [168] =
    {field_restart, 2},
  [169] =
    {field_configuration_parameter, 5},
  [170] =
    {field_argument, 1},
  [171] =
    {field_argument, 0, .inherited = true},
    {field_argument, 1, .inherited = true},
  [173] =
    {field_custom_type, 4, .inherited = true},
    {field_name, 0},
    {field_parameter, 2},
  [176] =
    {field_parameter, 3},
    {field_parameter, 4, .inherited = true},
  [178] =
    {field_parameter, 2},
    {field_parameter, 4, .inherited = true},
  [180] =
    {field_start, 0},
  [181] =
    {field_end, 0},
  [182] =
    {field_high, 5},
    {field_left, 0},
    {field_low, 3},
    {field_operator, 1},
    {field_operator, 2},
  [187] =
    {field_expression, 0},
    {field_lower, 2},
    {field_upper, 4},
  [190] =
    {field_size, 1},
  [191] =
    {field_precision, 2},
  [192] =
    {field_size, 2},
  [193] =
    {field_value, 2},
  [194] =
    {field_alias, 5},
  [195] =
    {field_key, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [197] =
    {field_key, 2, .inherited = true},
    {field_key, 3, .inherited = true},
    {field_value, 2, .inherited = true},
    {field_value, 3, .inherited = true},
  [201] =
    {field_key, 0, .inherited = true},
    {field_key, 1, .inherited = true},
    {field_value, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [205] =
    {field_key, 0},
    {field_value, 2},
  [207] =
    {field_key, 3, .inherited = true},
    {field_value, 3, .inherited = true},
  [209] =
    {field_predicate, 4},
  [210] =
    {field_column, 1, .inherited = true},
    {field_expression, 1, .inherited = true},
    {field_function, 1, .inherited = true},
    {field_opclass, 1, .inherited = true},
    {field_opclass_parameters, 1, .inherited = true},
  [215] =
    {field_column, 0},
    {field_opclass, 1, .inherited = true},
    {field_opclass_parameters, 1, .inherited = true},
  [218] =
    {field_opclass, 0},
  [219] =
    {field_function, 0},
    {field_opclass, 1, .inherited = true},
    {field_opclass_parameters, 1, .inherited = true},
  [222] =
    {field_column, 3},
  [223] =
    {field_name, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [225] =
    {field_name, 4, .inherited = true},
    {field_name, 5, .inherited = true},
    {field_value, 4, .inherited = true},
    {field_value, 5, .inherited = true},
  [229] =
    {field_custom_type, 5, .inherited = true},
  [230] =
    {field_option, 0},
    {field_parameter, 2},
  [232] =
    {field_custom_type, 3, .inherited = true},
    {field_name, 1},
    {field_type, 3},
  [235] =
    {field_old_name, 2},
  [236] =
    {field_new_name, 3},
    {field_old_name, 1},
  [238] =
    {field_custom_type, 6, .inherited = true},
  [239] =
    {field_timeout, 4},
  [240] =
    {field_parameter, 3},
    {field_parameter, 5, .inherited = true},
  [242] =
    {field_size, 3},
  [243] =
    {field_precision, 3},
  [244] =
    {field_value, 1},
  [245] =
    {field_value, 2},
    {field_value, 3, .inherited = true},
  [247] =
    {field_value, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [249] =
    {field_index_name, 5},
  [250] =
    {field_alias, 6},
  [251] =
    {field_key, 4, .inherited = true},
    {field_value, 4, .inherited = true},
  [253] =
    {field_key, 3, .inherited = true},
    {field_key, 4, .inherited = true},
    {field_value, 3, .inherited = true},
    {field_value, 4, .inherited = true},
  [257] =
    {field_predicate, 5},
  [258] =
    {field_predicate, 6},
  [259] =
    {field_path, 1},
    {field_pool, 4},
  [261] =
    {field_expression, 0},
    {field_expression, 1},
    {field_expression, 2},
  [264] =
    {field_column, 4},
  [265] =
    {field_name, 6, .inherited = true},
    {field_value, 6, .inherited = true},
  [267] =
    {field_enum_element, 1},
  [268] =
    {field_option, 7},
  [269] =
    {field_custom_type, 4, .inherited = true},
    {field_name, 2},
    {field_type, 4},
  [272] =
    {field_compression_method, 4},
    {field_name, 1},
  [274] =
    {field_name, 1},
    {field_statistics, 4},
  [276] =
    {field_old_name, 3},
  [277] =
    {field_new_name, 4},
    {field_old_name, 2},
  [279] =
    {field_custom_type, 7, .inherited = true},
  [280] =
    {field_timeout, 5},
  [281] =
    {field_precision, 2},
    {field_scale, 4},
  [283] =
    {field_alias, 7},
  [284] =
    {field_key, 4, .inherited = true},
    {field_key, 5, .inherited = true},
    {field_value, 4, .inherited = true},
    {field_value, 5, .inherited = true},
  [288] =
    {field_alias, 5, .inherited = true},
    {field_predicate, 7},
  [290] =
    {field_alias, 3, .inherited = true},
    {field_predicate, 7},
  [292] =
    {field_expression, 0},
    {field_expression, 1},
    {field_expression, 2},
    {field_opclass, 3, .inherited = true},
    {field_opclass_parameters, 3, .inherited = true},
  [297] =
    {field_column, 0},
    {field_opclass, 3, .inherited = true},
    {field_opclass_parameters, 3, .inherited = true},
  [300] =
    {field_opclass, 0},
    {field_opclass_parameters, 1},
    {field_opclass_parameters, 2},
  [303] =
    {field_function, 0},
    {field_opclass, 3, .inherited = true},
    {field_opclass_parameters, 3, .inherited = true},
  [306] =
    {field_name, 6, .inherited = true},
    {field_name, 7, .inherited = true},
    {field_value, 6, .inherited = true},
    {field_value, 7, .inherited = true},
  [310] =
    {field_enum_element, 1},
    {field_enum_element, 2, .inherited = true},
  [312] =
    {field_enum_element, 0, .inherited = true},
    {field_enum_element, 1, .inherited = true},
  [314] =
    {field_column, 5},
  [315] =
    {field_compression_method, 5},
    {field_name, 2},
  [317] =
    {field_name, 2},
    {field_statistics, 5},
  [319] =
    {field_custom_type, 5, .inherited = true},
    {field_name, 1},
    {field_type, 5},
  [322] =
    {field_key, 4, .inherited = true},
    {field_name, 1},
    {field_value, 4, .inherited = true},
  [325] =
    {field_value, 7},
  [326] =
    {field_argument, 2},
  [327] =
    {field_precision, 3},
    {field_scale, 5},
  [329] =
    {field_predicate, 7},
  [330] =
    {field_alias, 3, .inherited = true},
    {field_alias, 6, .inherited = true},
    {field_predicate, 8},
  [333] =
    {field_fields_terminated_char, 6},
  [334] =
    {field_row_terminated_char, 6},
  [335] =
    {field_opclass, 0},
    {field_opclass_parameters, 1},
    {field_opclass_parameters, 2},
    {field_opclass_parameters, 3},
  [339] =
    {field_custom_type, 6, .inherited = true},
    {field_name, 2},
    {field_type, 6},
  [342] =
    {field_key, 5, .inherited = true},
    {field_name, 2},
    {field_value, 5, .inherited = true},
  [345] =
    {field_key, 4, .inherited = true},
    {field_key, 5, .inherited = true},
    {field_name, 1},
    {field_value, 4, .inherited = true},
    {field_value, 5, .inherited = true},
  [350] =
    {field_value, 8},
  [351] =
    {field_value, 7},
    {field_value, 8, .inherited = true},
  [353] =
    {field_custom_type, 9, .inherited = true},
  [354] =
    {field_argument, 2},
    {field_argument, 3, .inherited = true},
  [356] =
    {field_precision, 4},
    {field_scale, 6},
  [358] =
    {field_predicate, 8},
  [359] =
    {field_alias, 5, .inherited = true},
    {field_predicate, 8},
  [361] =
    {field_alias, 3, .inherited = true},
    {field_predicate, 8},
  [363] =
    {field_expression, 0},
    {field_expression, 1},
    {field_expression, 2},
    {field_opclass, 5, .inherited = true},
    {field_opclass_parameters, 5, .inherited = true},
  [368] =
    {field_opclass, 0},
    {field_opclass_parameters, 1},
    {field_opclass_parameters, 2},
    {field_opclass_parameters, 3},
    {field_opclass_parameters, 4},
  [373] =
    {field_key, 5, .inherited = true},
    {field_key, 6, .inherited = true},
    {field_name, 2},
    {field_value, 5, .inherited = true},
    {field_value, 6, .inherited = true},
  [378] =
    {field_value, 8},
    {field_value, 9, .inherited = true},
  [380] =
    {field_alias, 3, .inherited = true},
    {field_alias, 6, .inherited = true},
    {field_predicate, 9},
  [383] =
    {field_path, 1},
    {field_pool, 4},
    {field_value, 8},
  [386] =
    {field_value, 3},
  [387] =
    {field_escaped_char, 9},
    {field_fields_terminated_char, 6},
  [389] =
    {field_parameter, 11},
  [390] =
    {field_fields_terminated_char, 6},
    {field_row_terminated_char, 10},
  [392] =
    {field_parameter, 12},
  [393] =
    {field_parameter, 11},
    {field_parameter, 12, .inherited = true},
  [395] =
    {field_parameter, 13},
  [396] =
    {field_parameter, 12},
    {field_parameter, 13, .inherited = true},
  [398] =
    {field_parameter, 13},
    {field_parameter, 14, .inherited = true},
  [400] =
    {field_parameter, 14},
  [401] =
    {field_escaped_char, 9},
    {field_fields_terminated_char, 6},
    {field_row_terminated_char, 13},
  [404] =
    {field_parameter, 14},
    {field_parameter, 15, .inherited = true},
  [406] =
    {field_parameter, 15},
  [407] =
    {field_parameter, 15},
    {field_parameter, 16, .inherited = true},
  [409] =
    {field_parameter, 16},
  [410] =
    {field_parameter, 16},
    {field_parameter, 17, .inherited = true},
  [412] =
    {field_parameter, 17},
  [413] =
    {field_parameter, 17},
    {field_parameter, 18, .inherited = true},
  [415] =
    {field_parameter, 18},
  [416] =
    {field_parameter, 18},
    {field_parameter, 19, .inherited = true},
  [418] =
    {field_parameter, 19},
  [419] =
    {field_parameter, 19},
    {field_parameter, 20, .inherited = true},
  [421] =
    {field_parameter, 20},
  [422] =
    {field_parameter, 20},
    {field_parameter, 21, .inherited = true},
  [424] =
    {field_parameter, 21},
  [425] =
    {field_parameter, 21},
    {field_parameter, 22, .inherited = true},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [13] = {
    [0] = sym_literal,
  },
  [23] = {
    [0] = sym_list,
  },
  [24] = {
    [2] = sym_list,
  },
  [34] = {
    [1] = sym_object_reference,
  },
  [40] = {
    [1] = sym_ordered_column,
  },
  [44] = {
    [1] = sym_literal,
  },
  [46] = {
    [1] = sym_literal,
  },
  [48] = {
    [1] = sym_literal,
  },
  [49] = {
    [1] = sym_literal,
  },
  [51] = {
    [1] = sym_literal,
  },
  [54] = {
    [1] = sym_literal,
  },
  [57] = {
    [4] = sym_literal,
  },
  [63] = {
    [1] = sym_literal,
  },
  [78] = {
    [4] = sym_list,
  },
  [80] = {
    [3] = sym_list,
  },
  [81] = {
    [2] = sym_literal,
  },
  [82] = {
    [2] = sym_literal,
  },
  [83] = {
    [2] = sym_literal,
  },
  [85] = {
    [2] = sym_literal,
  },
  [86] = {
    [2] = sym_literal,
  },
  [91] = {
    [2] = sym_literal,
  },
  [93] = {
    [5] = sym_literal,
  },
  [97] = {
    [2] = sym_literal,
  },
  [99] = {
    [3] = sym_statement,
  },
  [104] = {
    [4] = sym_literal,
  },
  [108] = {
    [0] = sym_literal,
  },
  [109] = {
    [0] = sym_literal,
  },
  [112] = {
    [1] = sym_literal,
  },
  [113] = {
    [2] = sym_literal,
  },
  [114] = {
    [2] = sym_literal,
  },
  [115] = {
    [2] = sym_literal,
  },
  [120] = {
    [2] = sym_literal,
  },
  [123] = {
    [4] = sym_list,
  },
  [131] = {
    [6] = sym_literal,
  },
  [137] = {
    [1] = sym_literal,
  },
  [139] = {
    [4] = sym_statement,
  },
  [140] = {
    [4] = sym_literal,
  },
  [141] = {
    [5] = sym_literal,
  },
  [143] = {
    [5] = sym_literal,
  },
  [144] = {
    [3] = sym_literal,
  },
  [145] = {
    [3] = sym_literal,
  },
  [146] = {
    [1] = sym_literal,
  },
  [147] = {
    [2] = sym_literal,
  },
  [154] = {
    [5] = sym_list,
  },
  [156] = {
    [1] = sym_literal,
    [4] = sym_literal,
  },
  [160] = {
    [1] = sym_literal,
  },
  [161] = {
    [7] = sym_literal,
  },
  [168] = {
    [4] = sym_literal,
    [7] = sym_literal,
  },
  [170] = {
    [5] = sym_literal,
    [7] = sym_literal,
  },
  [171] = {
    [5] = sym_statement,
  },
  [172] = {
    [5] = sym_literal,
  },
  [173] = {
    [1] = sym_identifier,
  },
  [174] = {
    [4] = anon_alias_sym_filename,
  },
  [175] = {
    [6] = sym_literal,
  },
  [176] = {
    [2] = sym_literal,
    [4] = sym_literal,
  },
  [179] = {
    [6] = sym_list,
  },
  [187] = {
    [1] = sym_literal,
  },
  [190] = {
    [8] = sym_literal,
  },
  [195] = {
    [5] = sym_literal,
    [8] = sym_literal,
  },
  [197] = {
    [6] = sym_literal,
    [8] = sym_literal,
  },
  [198] = {
    [6] = sym_statement,
  },
  [199] = {
    [6] = sym_statement,
  },
  [200] = {
    [5] = anon_alias_sym_command,
  },
  [201] = {
    [3] = sym_literal,
    [5] = sym_literal,
  },
  [203] = {
    [7] = sym_list,
  },
  [205] = {
    [6] = sym_literal,
  },
  [206] = {
    [6] = sym_literal,
  },
  [212] = {
    [6] = sym_literal,
    [9] = sym_literal,
  },
  [215] = {
    [7] = sym_statement,
  },
  [216] = {
    [7] = sym_statement,
  },
  [217] = {
    [7] = sym_statement,
  },
  [218] = {
    [4] = sym_literal,
    [6] = sym_literal,
  },
  [220] = {
    [8] = sym_list,
  },
  [227] = {
    [8] = sym_statement,
  },
  [228] = {
    [8] = sym_statement,
  },
  [230] = {
    [1] = sym_literal,
    [4] = sym_literal,
    [8] = sym_literal,
  },
  [232] = {
    [9] = sym_statement,
  },
  [233] = {
    [6] = sym_literal,
    [9] = sym_literal,
  },
  [235] = {
    [6] = sym_literal,
    [10] = sym_literal,
  },
  [242] = {
    [6] = sym_literal,
    [9] = sym_literal,
    [13] = sym_literal,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym__dml_write, 2,
    sym__dml_write,
    sym_statement,
  sym__dml_read, 2,
    sym__dml_read,
    sym_statement,
  sym__column_list, 2,
    sym__column_list,
    sym_list,
  sym__column, 2,
    sym__column,
    sym_ordered_column,
  sym__qualified_field, 2,
    sym_field,
    sym_object_reference,
  sym__single_quote_string, 2,
    sym__single_quote_string,
    sym_literal,
  sym__literal_string, 5,
    sym__literal_string,
    anon_alias_sym_command,
    anon_alias_sym_filename,
    sym_identifier,
    sym_literal,
  sym__integer, 2,
    sym__integer,
    sym_literal,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 7,
  [9] = 6,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 13,
  [14] = 10,
  [15] = 15,
  [16] = 15,
  [17] = 17,
  [18] = 18,
  [19] = 11,
  [20] = 20,
  [21] = 11,
  [22] = 11,
  [23] = 11,
  [24] = 11,
  [25] = 25,
  [26] = 11,
  [27] = 11,
  [28] = 18,
  [29] = 11,
  [30] = 11,
  [31] = 11,
  [32] = 11,
  [33] = 11,
  [34] = 11,
  [35] = 11,
  [36] = 11,
  [37] = 37,
  [38] = 11,
  [39] = 18,
  [40] = 11,
  [41] = 20,
  [42] = 42,
  [43] = 11,
  [44] = 18,
  [45] = 11,
  [46] = 46,
  [47] = 11,
  [48] = 48,
  [49] = 18,
  [50] = 18,
  [51] = 11,
  [52] = 18,
  [53] = 18,
  [54] = 54,
  [55] = 13,
  [56] = 18,
  [57] = 11,
  [58] = 58,
  [59] = 48,
  [60] = 11,
  [61] = 18,
  [62] = 62,
  [63] = 18,
  [64] = 46,
  [65] = 11,
  [66] = 17,
  [67] = 42,
  [68] = 18,
  [69] = 18,
  [70] = 18,
  [71] = 54,
  [72] = 58,
  [73] = 18,
  [74] = 11,
  [75] = 12,
  [76] = 11,
  [77] = 11,
  [78] = 18,
  [79] = 11,
  [80] = 18,
  [81] = 11,
  [82] = 18,
  [83] = 62,
  [84] = 84,
  [85] = 85,
  [86] = 86,
  [87] = 87,
  [88] = 88,
  [89] = 89,
  [90] = 88,
  [91] = 91,
  [92] = 92,
  [93] = 93,
  [94] = 94,
  [95] = 95,
  [96] = 96,
  [97] = 96,
  [98] = 98,
  [99] = 99,
  [100] = 100,
  [101] = 101,
  [102] = 100,
  [103] = 103,
  [104] = 99,
  [105] = 105,
  [106] = 106,
  [107] = 107,
  [108] = 105,
  [109] = 109,
  [110] = 110,
  [111] = 109,
  [112] = 112,
  [113] = 113,
  [114] = 113,
  [115] = 112,
  [116] = 86,
  [117] = 85,
  [118] = 84,
  [119] = 119,
  [120] = 119,
  [121] = 121,
  [122] = 121,
  [123] = 123,
  [124] = 121,
  [125] = 125,
  [126] = 126,
  [127] = 126,
  [128] = 126,
  [129] = 87,
  [130] = 130,
  [131] = 130,
  [132] = 132,
  [133] = 130,
  [134] = 132,
  [135] = 132,
  [136] = 136,
  [137] = 137,
  [138] = 138,
  [139] = 138,
  [140] = 140,
  [141] = 141,
  [142] = 141,
  [143] = 141,
  [144] = 140,
  [145] = 140,
  [146] = 138,
  [147] = 147,
  [148] = 148,
  [149] = 149,
  [150] = 150,
  [151] = 151,
  [152] = 152,
  [153] = 153,
  [154] = 88,
  [155] = 155,
  [156] = 156,
  [157] = 157,
  [158] = 158,
  [159] = 159,
  [160] = 160,
  [161] = 161,
  [162] = 162,
  [163] = 163,
  [164] = 164,
  [165] = 165,
  [166] = 166,
  [167] = 167,
  [168] = 168,
  [169] = 169,
  [170] = 170,
  [171] = 171,
  [172] = 172,
  [173] = 173,
  [174] = 174,
  [175] = 175,
  [176] = 176,
  [177] = 177,
  [178] = 178,
  [179] = 179,
  [180] = 180,
  [181] = 181,
  [182] = 182,
  [183] = 183,
  [184] = 184,
  [185] = 185,
  [186] = 186,
  [187] = 187,
  [188] = 188,
  [189] = 189,
  [190] = 190,
  [191] = 191,
  [192] = 192,
  [193] = 193,
  [194] = 194,
  [195] = 195,
  [196] = 196,
  [197] = 197,
  [198] = 198,
  [199] = 199,
  [200] = 200,
  [201] = 201,
  [202] = 202,
  [203] = 203,
  [204] = 204,
  [205] = 88,
  [206] = 206,
  [207] = 207,
  [208] = 208,
  [209] = 209,
  [210] = 210,
  [211] = 211,
  [212] = 212,
  [213] = 213,
  [214] = 214,
  [215] = 215,
  [216] = 216,
  [217] = 217,
  [218] = 218,
  [219] = 219,
  [220] = 220,
  [221] = 221,
  [222] = 222,
  [223] = 223,
  [224] = 224,
  [225] = 225,
  [226] = 226,
  [227] = 227,
  [228] = 228,
  [229] = 229,
  [230] = 230,
  [231] = 231,
  [232] = 232,
  [233] = 233,
  [234] = 234,
  [235] = 235,
  [236] = 236,
  [237] = 237,
  [238] = 238,
  [239] = 239,
  [240] = 240,
  [241] = 241,
  [242] = 242,
  [243] = 243,
  [244] = 244,
  [245] = 245,
  [246] = 246,
  [247] = 247,
  [248] = 248,
  [249] = 249,
  [250] = 250,
  [251] = 251,
  [252] = 252,
  [253] = 253,
  [254] = 254,
  [255] = 255,
  [256] = 256,
  [257] = 257,
  [258] = 258,
  [259] = 259,
  [260] = 260,
  [261] = 261,
  [262] = 262,
  [263] = 263,
  [264] = 264,
  [265] = 265,
  [266] = 266,
  [267] = 267,
  [268] = 268,
  [269] = 269,
  [270] = 270,
  [271] = 271,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 276,
  [277] = 277,
  [278] = 278,
  [279] = 279,
  [280] = 280,
  [281] = 281,
  [282] = 282,
  [283] = 283,
  [284] = 284,
  [285] = 285,
  [286] = 286,
  [287] = 287,
  [288] = 85,
  [289] = 289,
  [290] = 290,
  [291] = 84,
  [292] = 86,
  [293] = 88,
  [294] = 88,
  [295] = 88,
  [296] = 296,
  [297] = 297,
  [298] = 298,
  [299] = 299,
  [300] = 300,
  [301] = 301,
  [302] = 302,
  [303] = 303,
  [304] = 304,
  [305] = 305,
  [306] = 306,
  [307] = 307,
  [308] = 308,
  [309] = 309,
  [310] = 87,
  [311] = 311,
  [312] = 312,
  [313] = 313,
  [314] = 314,
  [315] = 315,
  [316] = 316,
  [317] = 317,
  [318] = 318,
  [319] = 313,
  [320] = 320,
  [321] = 321,
  [322] = 322,
  [323] = 323,
  [324] = 324,
  [325] = 325,
  [326] = 326,
  [327] = 327,
  [328] = 328,
  [329] = 329,
  [330] = 330,
  [331] = 86,
  [332] = 84,
  [333] = 85,
  [334] = 334,
  [335] = 335,
  [336] = 334,
  [337] = 335,
  [338] = 338,
  [339] = 339,
  [340] = 334,
  [341] = 335,
  [342] = 342,
  [343] = 343,
  [344] = 344,
  [345] = 334,
  [346] = 346,
  [347] = 347,
  [348] = 348,
  [349] = 334,
  [350] = 334,
  [351] = 335,
  [352] = 335,
  [353] = 353,
  [354] = 354,
  [355] = 355,
  [356] = 356,
  [357] = 355,
  [358] = 334,
  [359] = 334,
  [360] = 335,
  [361] = 361,
  [362] = 334,
  [363] = 335,
  [364] = 364,
  [365] = 365,
  [366] = 334,
  [367] = 367,
  [368] = 368,
  [369] = 334,
  [370] = 335,
  [371] = 371,
  [372] = 335,
  [373] = 373,
  [374] = 334,
  [375] = 335,
  [376] = 376,
  [377] = 334,
  [378] = 335,
  [379] = 334,
  [380] = 334,
  [381] = 335,
  [382] = 335,
  [383] = 334,
  [384] = 339,
  [385] = 355,
  [386] = 347,
  [387] = 344,
  [388] = 354,
  [389] = 335,
  [390] = 335,
  [391] = 335,
  [392] = 392,
  [393] = 393,
  [394] = 394,
  [395] = 334,
  [396] = 335,
  [397] = 353,
  [398] = 335,
  [399] = 399,
  [400] = 339,
  [401] = 401,
  [402] = 344,
  [403] = 334,
  [404] = 404,
  [405] = 335,
  [406] = 347,
  [407] = 407,
  [408] = 353,
  [409] = 409,
  [410] = 354,
  [411] = 411,
  [412] = 335,
  [413] = 335,
  [414] = 149,
  [415] = 316,
  [416] = 87,
  [417] = 88,
  [418] = 325,
  [419] = 148,
  [420] = 309,
  [421] = 321,
  [422] = 327,
  [423] = 322,
  [424] = 312,
  [425] = 425,
  [426] = 328,
  [427] = 317,
  [428] = 323,
  [429] = 324,
  [430] = 326,
  [431] = 329,
  [432] = 432,
  [433] = 330,
  [434] = 315,
  [435] = 320,
  [436] = 314,
  [437] = 437,
  [438] = 318,
  [439] = 439,
  [440] = 147,
  [441] = 311,
  [442] = 152,
  [443] = 299,
  [444] = 303,
  [445] = 298,
  [446] = 325,
  [447] = 327,
  [448] = 308,
  [449] = 307,
  [450] = 328,
  [451] = 155,
  [452] = 317,
  [453] = 306,
  [454] = 200,
  [455] = 305,
  [456] = 304,
  [457] = 297,
  [458] = 316,
  [459] = 321,
  [460] = 296,
  [461] = 323,
  [462] = 324,
  [463] = 326,
  [464] = 329,
  [465] = 322,
  [466] = 158,
  [467] = 163,
  [468] = 151,
  [469] = 309,
  [470] = 302,
  [471] = 312,
  [472] = 300,
  [473] = 153,
  [474] = 166,
  [475] = 315,
  [476] = 160,
  [477] = 330,
  [478] = 164,
  [479] = 320,
  [480] = 301,
  [481] = 314,
  [482] = 157,
  [483] = 150,
  [484] = 318,
  [485] = 156,
  [486] = 311,
  [487] = 162,
  [488] = 161,
  [489] = 167,
  [490] = 125,
  [491] = 165,
  [492] = 303,
  [493] = 299,
  [494] = 392,
  [495] = 300,
  [496] = 496,
  [497] = 179,
  [498] = 301,
  [499] = 364,
  [500] = 306,
  [501] = 496,
  [502] = 307,
  [503] = 308,
  [504] = 504,
  [505] = 298,
  [506] = 86,
  [507] = 84,
  [508] = 411,
  [509] = 296,
  [510] = 172,
  [511] = 496,
  [512] = 368,
  [513] = 376,
  [514] = 514,
  [515] = 365,
  [516] = 304,
  [517] = 367,
  [518] = 496,
  [519] = 514,
  [520] = 305,
  [521] = 393,
  [522] = 496,
  [523] = 523,
  [524] = 297,
  [525] = 171,
  [526] = 170,
  [527] = 176,
  [528] = 496,
  [529] = 514,
  [530] = 530,
  [531] = 373,
  [532] = 85,
  [533] = 496,
  [534] = 407,
  [535] = 169,
  [536] = 514,
  [537] = 168,
  [538] = 85,
  [539] = 371,
  [540] = 496,
  [541] = 84,
  [542] = 394,
  [543] = 496,
  [544] = 173,
  [545] = 496,
  [546] = 496,
  [547] = 399,
  [548] = 401,
  [549] = 343,
  [550] = 86,
  [551] = 551,
  [552] = 496,
  [553] = 175,
  [554] = 342,
  [555] = 496,
  [556] = 496,
  [557] = 356,
  [558] = 178,
  [559] = 302,
  [560] = 560,
  [561] = 514,
  [562] = 496,
  [563] = 496,
  [564] = 496,
  [565] = 514,
  [566] = 348,
  [567] = 174,
  [568] = 496,
  [569] = 404,
  [570] = 346,
  [571] = 514,
  [572] = 399,
  [573] = 573,
  [574] = 574,
  [575] = 575,
  [576] = 576,
  [577] = 204,
  [578] = 211,
  [579] = 579,
  [580] = 576,
  [581] = 575,
  [582] = 368,
  [583] = 574,
  [584] = 392,
  [585] = 371,
  [586] = 586,
  [587] = 586,
  [588] = 303,
  [589] = 576,
  [590] = 575,
  [591] = 574,
  [592] = 575,
  [593] = 296,
  [594] = 576,
  [595] = 574,
  [596] = 586,
  [597] = 216,
  [598] = 598,
  [599] = 574,
  [600] = 576,
  [601] = 575,
  [602] = 574,
  [603] = 342,
  [604] = 604,
  [605] = 586,
  [606] = 586,
  [607] = 574,
  [608] = 608,
  [609] = 586,
  [610] = 193,
  [611] = 343,
  [612] = 575,
  [613] = 575,
  [614] = 346,
  [615] = 615,
  [616] = 616,
  [617] = 348,
  [618] = 189,
  [619] = 190,
  [620] = 185,
  [621] = 183,
  [622] = 576,
  [623] = 207,
  [624] = 576,
  [625] = 212,
  [626] = 367,
  [627] = 365,
  [628] = 575,
  [629] = 629,
  [630] = 586,
  [631] = 187,
  [632] = 356,
  [633] = 219,
  [634] = 574,
  [635] = 214,
  [636] = 215,
  [637] = 586,
  [638] = 638,
  [639] = 639,
  [640] = 586,
  [641] = 641,
  [642] = 298,
  [643] = 188,
  [644] = 574,
  [645] = 575,
  [646] = 85,
  [647] = 197,
  [648] = 217,
  [649] = 218,
  [650] = 650,
  [651] = 608,
  [652] = 652,
  [653] = 186,
  [654] = 575,
  [655] = 201,
  [656] = 629,
  [657] = 364,
  [658] = 196,
  [659] = 575,
  [660] = 576,
  [661] = 573,
  [662] = 576,
  [663] = 184,
  [664] = 373,
  [665] = 182,
  [666] = 199,
  [667] = 575,
  [668] = 586,
  [669] = 376,
  [670] = 300,
  [671] = 574,
  [672] = 672,
  [673] = 575,
  [674] = 576,
  [675] = 213,
  [676] = 210,
  [677] = 84,
  [678] = 678,
  [679] = 574,
  [680] = 680,
  [681] = 576,
  [682] = 437,
  [683] = 683,
  [684] = 684,
  [685] = 685,
  [686] = 208,
  [687] = 687,
  [688] = 586,
  [689] = 304,
  [690] = 690,
  [691] = 180,
  [692] = 586,
  [693] = 693,
  [694] = 574,
  [695] = 209,
  [696] = 575,
  [697] = 576,
  [698] = 200,
  [699] = 575,
  [700] = 203,
  [701] = 629,
  [702] = 576,
  [703] = 703,
  [704] = 407,
  [705] = 575,
  [706] = 574,
  [707] = 574,
  [708] = 206,
  [709] = 586,
  [710] = 710,
  [711] = 194,
  [712] = 712,
  [713] = 297,
  [714] = 586,
  [715] = 715,
  [716] = 192,
  [717] = 586,
  [718] = 574,
  [719] = 86,
  [720] = 394,
  [721] = 576,
  [722] = 722,
  [723] = 574,
  [724] = 393,
  [725] = 401,
  [726] = 726,
  [727] = 629,
  [728] = 195,
  [729] = 729,
  [730] = 729,
  [731] = 299,
  [732] = 576,
  [733] = 404,
  [734] = 575,
  [735] = 411,
  [736] = 629,
  [737] = 574,
  [738] = 586,
  [739] = 576,
  [740] = 575,
  [741] = 574,
  [742] = 608,
  [743] = 586,
  [744] = 308,
  [745] = 307,
  [746] = 306,
  [747] = 181,
  [748] = 305,
  [749] = 749,
  [750] = 750,
  [751] = 202,
  [752] = 629,
  [753] = 191,
  [754] = 586,
  [755] = 576,
  [756] = 629,
  [757] = 703,
  [758] = 710,
  [759] = 759,
  [760] = 576,
  [761] = 759,
  [762] = 301,
  [763] = 650,
  [764] = 726,
  [765] = 302,
  [766] = 198,
  [767] = 638,
  [768] = 693,
  [769] = 598,
  [770] = 604,
  [771] = 283,
  [772] = 772,
  [773] = 680,
  [774] = 774,
  [775] = 775,
  [776] = 776,
  [777] = 278,
  [778] = 237,
  [779] = 275,
  [780] = 774,
  [781] = 87,
  [782] = 774,
  [783] = 234,
  [784] = 784,
  [785] = 785,
  [786] = 786,
  [787] = 672,
  [788] = 684,
  [789] = 789,
  [790] = 790,
  [791] = 791,
  [792] = 282,
  [793] = 793,
  [794] = 774,
  [795] = 795,
  [796] = 87,
  [797] = 797,
  [798] = 790,
  [799] = 249,
  [800] = 245,
  [801] = 250,
  [802] = 220,
  [803] = 687,
  [804] = 641,
  [805] = 265,
  [806] = 267,
  [807] = 807,
  [808] = 232,
  [809] = 774,
  [810] = 810,
  [811] = 811,
  [812] = 790,
  [813] = 241,
  [814] = 690,
  [815] = 244,
  [816] = 221,
  [817] = 261,
  [818] = 264,
  [819] = 819,
  [820] = 820,
  [821] = 821,
  [822] = 822,
  [823] = 774,
  [824] = 262,
  [825] = 268,
  [826] = 652,
  [827] = 749,
  [828] = 239,
  [829] = 246,
  [830] = 233,
  [831] = 831,
  [832] = 254,
  [833] = 253,
  [834] = 255,
  [835] = 231,
  [836] = 273,
  [837] = 774,
  [838] = 256,
  [839] = 774,
  [840] = 259,
  [841] = 260,
  [842] = 263,
  [843] = 843,
  [844] = 831,
  [845] = 266,
  [846] = 846,
  [847] = 774,
  [848] = 790,
  [849] = 228,
  [850] = 579,
  [851] = 774,
  [852] = 229,
  [853] = 224,
  [854] = 236,
  [855] = 437,
  [856] = 856,
  [857] = 857,
  [858] = 247,
  [859] = 859,
  [860] = 774,
  [861] = 272,
  [862] = 862,
  [863] = 223,
  [864] = 678,
  [865] = 774,
  [866] = 274,
  [867] = 280,
  [868] = 774,
  [869] = 276,
  [870] = 639,
  [871] = 225,
  [872] = 774,
  [873] = 243,
  [874] = 277,
  [875] = 251,
  [876] = 876,
  [877] = 877,
  [878] = 774,
  [879] = 281,
  [880] = 258,
  [881] = 722,
  [882] = 252,
  [883] = 883,
  [884] = 884,
  [885] = 242,
  [886] = 886,
  [887] = 235,
  [888] = 774,
  [889] = 889,
  [890] = 712,
  [891] = 248,
  [892] = 790,
  [893] = 790,
  [894] = 894,
  [895] = 269,
  [896] = 240,
  [897] = 227,
  [898] = 774,
  [899] = 222,
  [900] = 900,
  [901] = 238,
  [902] = 270,
  [903] = 903,
  [904] = 785,
  [905] = 790,
  [906] = 230,
  [907] = 279,
  [908] = 774,
  [909] = 909,
  [910] = 257,
  [911] = 911,
  [912] = 271,
  [913] = 200,
  [914] = 226,
  [915] = 290,
  [916] = 684,
  [917] = 917,
  [918] = 425,
  [919] = 722,
  [920] = 678,
  [921] = 579,
  [922] = 909,
  [923] = 712,
  [924] = 639,
  [925] = 749,
  [926] = 284,
  [927] = 287,
  [928] = 911,
  [929] = 147,
  [930] = 641,
  [931] = 285,
  [932] = 439,
  [933] = 286,
  [934] = 87,
  [935] = 88,
  [936] = 687,
  [937] = 672,
  [938] = 690,
  [939] = 680,
  [940] = 289,
  [941] = 917,
  [942] = 432,
  [943] = 652,
  [944] = 944,
  [945] = 149,
  [946] = 944,
  [947] = 947,
  [948] = 948,
  [949] = 948,
  [950] = 947,
  [951] = 329,
  [952] = 952,
  [953] = 944,
  [954] = 326,
  [955] = 324,
  [956] = 952,
  [957] = 957,
  [958] = 330,
  [959] = 323,
  [960] = 316,
  [961] = 948,
  [962] = 944,
  [963] = 957,
  [964] = 957,
  [965] = 948,
  [966] = 944,
  [967] = 947,
  [968] = 952,
  [969] = 317,
  [970] = 328,
  [971] = 327,
  [972] = 952,
  [973] = 944,
  [974] = 325,
  [975] = 948,
  [976] = 944,
  [977] = 158,
  [978] = 322,
  [979] = 163,
  [980] = 722,
  [981] = 678,
  [982] = 579,
  [983] = 712,
  [984] = 639,
  [985] = 749,
  [986] = 125,
  [987] = 166,
  [988] = 167,
  [989] = 641,
  [990] = 684,
  [991] = 165,
  [992] = 432,
  [993] = 687,
  [994] = 672,
  [995] = 690,
  [996] = 680,
  [997] = 309,
  [998] = 652,
  [999] = 952,
  [1000] = 944,
  [1001] = 1001,
  [1002] = 948,
  [1003] = 1001,
  [1004] = 321,
  [1005] = 944,
  [1006] = 948,
  [1007] = 948,
  [1008] = 948,
  [1009] = 148,
  [1010] = 948,
  [1011] = 944,
  [1012] = 957,
  [1013] = 948,
  [1014] = 957,
  [1015] = 944,
  [1016] = 952,
  [1017] = 948,
  [1018] = 957,
  [1019] = 439,
  [1020] = 952,
  [1021] = 952,
  [1022] = 957,
  [1023] = 948,
  [1024] = 161,
  [1025] = 944,
  [1026] = 952,
  [1027] = 155,
  [1028] = 952,
  [1029] = 153,
  [1030] = 957,
  [1031] = 952,
  [1032] = 957,
  [1033] = 150,
  [1034] = 952,
  [1035] = 315,
  [1036] = 948,
  [1037] = 320,
  [1038] = 311,
  [1039] = 318,
  [1040] = 314,
  [1041] = 162,
  [1042] = 952,
  [1043] = 944,
  [1044] = 948,
  [1045] = 152,
  [1046] = 314,
  [1047] = 320,
  [1048] = 318,
  [1049] = 944,
  [1050] = 957,
  [1051] = 315,
  [1052] = 156,
  [1053] = 311,
  [1054] = 944,
  [1055] = 1001,
  [1056] = 157,
  [1057] = 425,
  [1058] = 944,
  [1059] = 948,
  [1060] = 1001,
  [1061] = 88,
  [1062] = 948,
  [1063] = 329,
  [1064] = 326,
  [1065] = 957,
  [1066] = 324,
  [1067] = 323,
  [1068] = 316,
  [1069] = 151,
  [1070] = 952,
  [1071] = 948,
  [1072] = 312,
  [1073] = 957,
  [1074] = 944,
  [1075] = 330,
  [1076] = 1001,
  [1077] = 952,
  [1078] = 944,
  [1079] = 944,
  [1080] = 947,
  [1081] = 952,
  [1082] = 317,
  [1083] = 328,
  [1084] = 947,
  [1085] = 1001,
  [1086] = 952,
  [1087] = 321,
  [1088] = 957,
  [1089] = 952,
  [1090] = 309,
  [1091] = 327,
  [1092] = 952,
  [1093] = 322,
  [1094] = 944,
  [1095] = 952,
  [1096] = 957,
  [1097] = 1097,
  [1098] = 957,
  [1099] = 952,
  [1100] = 944,
  [1101] = 944,
  [1102] = 147,
  [1103] = 952,
  [1104] = 952,
  [1105] = 147,
  [1106] = 944,
  [1107] = 312,
  [1108] = 325,
  [1109] = 947,
  [1110] = 957,
  [1111] = 957,
  [1112] = 1097,
  [1113] = 957,
  [1114] = 1114,
  [1115] = 1115,
  [1116] = 1116,
  [1117] = 1117,
  [1118] = 1118,
  [1119] = 1119,
  [1120] = 1120,
  [1121] = 1121,
  [1122] = 1122,
  [1123] = 1123,
  [1124] = 1124,
  [1125] = 1125,
  [1126] = 1115,
  [1127] = 1117,
  [1128] = 1115,
  [1129] = 1129,
  [1130] = 1130,
  [1131] = 1131,
  [1132] = 1132,
  [1133] = 1133,
  [1134] = 425,
  [1135] = 299,
  [1136] = 1136,
  [1137] = 1137,
  [1138] = 1138,
  [1139] = 432,
  [1140] = 1140,
  [1141] = 1141,
  [1142] = 1142,
  [1143] = 1143,
  [1144] = 1144,
  [1145] = 1115,
  [1146] = 1146,
  [1147] = 1147,
  [1148] = 1148,
  [1149] = 1149,
  [1150] = 1150,
  [1151] = 1148,
  [1152] = 1149,
  [1153] = 1146,
  [1154] = 1150,
  [1155] = 1148,
  [1156] = 1156,
  [1157] = 1114,
  [1158] = 1149,
  [1159] = 1150,
  [1160] = 1160,
  [1161] = 1161,
  [1162] = 1125,
  [1163] = 1163,
  [1164] = 1148,
  [1165] = 1149,
  [1166] = 1150,
  [1167] = 1167,
  [1168] = 1116,
  [1169] = 1148,
  [1170] = 1149,
  [1171] = 425,
  [1172] = 1150,
  [1173] = 1148,
  [1174] = 1149,
  [1175] = 1132,
  [1176] = 1176,
  [1177] = 1118,
  [1178] = 1150,
  [1179] = 1148,
  [1180] = 1119,
  [1181] = 1120,
  [1182] = 1149,
  [1183] = 1150,
  [1184] = 1148,
  [1185] = 1185,
  [1186] = 1186,
  [1187] = 1149,
  [1188] = 1188,
  [1189] = 1189,
  [1190] = 1124,
  [1191] = 1150,
  [1192] = 1123,
  [1193] = 1122,
  [1194] = 1121,
  [1195] = 1120,
  [1196] = 1121,
  [1197] = 1122,
  [1198] = 1119,
  [1199] = 1123,
  [1200] = 1148,
  [1201] = 1118,
  [1202] = 1124,
  [1203] = 1116,
  [1204] = 1125,
  [1205] = 1149,
  [1206] = 1167,
  [1207] = 1150,
  [1208] = 1148,
  [1209] = 1149,
  [1210] = 1150,
  [1211] = 1148,
  [1212] = 1132,
  [1213] = 1125,
  [1214] = 439,
  [1215] = 1149,
  [1216] = 1150,
  [1217] = 1217,
  [1218] = 1148,
  [1219] = 1149,
  [1220] = 1115,
  [1221] = 1150,
  [1222] = 1222,
  [1223] = 1148,
  [1224] = 1224,
  [1225] = 1225,
  [1226] = 1226,
  [1227] = 1227,
  [1228] = 1149,
  [1229] = 1217,
  [1230] = 1230,
  [1231] = 1150,
  [1232] = 1148,
  [1233] = 1149,
  [1234] = 1150,
  [1235] = 1148,
  [1236] = 1149,
  [1237] = 1150,
  [1238] = 1148,
  [1239] = 1149,
  [1240] = 1117,
  [1241] = 297,
  [1242] = 1115,
  [1243] = 1124,
  [1244] = 304,
  [1245] = 1117,
  [1246] = 1123,
  [1247] = 1122,
  [1248] = 1121,
  [1249] = 1136,
  [1250] = 1120,
  [1251] = 1119,
  [1252] = 1118,
  [1253] = 1137,
  [1254] = 1116,
  [1255] = 1142,
  [1256] = 1143,
  [1257] = 1144,
  [1258] = 1167,
  [1259] = 1124,
  [1260] = 1123,
  [1261] = 1122,
  [1262] = 170,
  [1263] = 1121,
  [1264] = 1131,
  [1265] = 1148,
  [1266] = 1133,
  [1267] = 1267,
  [1268] = 1120,
  [1269] = 1115,
  [1270] = 1149,
  [1271] = 86,
  [1272] = 1150,
  [1273] = 1273,
  [1274] = 1150,
  [1275] = 1149,
  [1276] = 1132,
  [1277] = 1125,
  [1278] = 84,
  [1279] = 1124,
  [1280] = 1280,
  [1281] = 1123,
  [1282] = 1282,
  [1283] = 148,
  [1284] = 149,
  [1285] = 1225,
  [1286] = 169,
  [1287] = 1122,
  [1288] = 168,
  [1289] = 1121,
  [1290] = 1120,
  [1291] = 1132,
  [1292] = 1119,
  [1293] = 1150,
  [1294] = 1146,
  [1295] = 1119,
  [1296] = 1118,
  [1297] = 1116,
  [1298] = 1160,
  [1299] = 1299,
  [1300] = 1167,
  [1301] = 86,
  [1302] = 85,
  [1303] = 88,
  [1304] = 1124,
  [1305] = 1123,
  [1306] = 1306,
  [1307] = 1280,
  [1308] = 1188,
  [1309] = 1273,
  [1310] = 1117,
  [1311] = 1185,
  [1312] = 1122,
  [1313] = 1313,
  [1314] = 1314,
  [1315] = 1315,
  [1316] = 1121,
  [1317] = 1125,
  [1318] = 1120,
  [1319] = 560,
  [1320] = 1282,
  [1321] = 1224,
  [1322] = 1225,
  [1323] = 1119,
  [1324] = 1226,
  [1325] = 1227,
  [1326] = 1217,
  [1327] = 1230,
  [1328] = 1224,
  [1329] = 1115,
  [1330] = 1124,
  [1331] = 1123,
  [1332] = 1117,
  [1333] = 1122,
  [1334] = 1118,
  [1335] = 1121,
  [1336] = 1120,
  [1337] = 1337,
  [1338] = 1119,
  [1339] = 1116,
  [1340] = 1118,
  [1341] = 1116,
  [1342] = 1167,
  [1343] = 1167,
  [1344] = 85,
  [1345] = 1132,
  [1346] = 84,
  [1347] = 1125,
  [1348] = 1348,
  [1349] = 1222,
  [1350] = 1117,
  [1351] = 1351,
  [1352] = 1117,
  [1353] = 523,
  [1354] = 1315,
  [1355] = 1132,
  [1356] = 176,
  [1357] = 174,
  [1358] = 175,
  [1359] = 172,
  [1360] = 551,
  [1361] = 1361,
  [1362] = 1118,
  [1363] = 1282,
  [1364] = 1116,
  [1365] = 1188,
  [1366] = 1185,
  [1367] = 1176,
  [1368] = 1163,
  [1369] = 1167,
  [1370] = 1161,
  [1371] = 1114,
  [1372] = 1125,
  [1373] = 1186,
  [1374] = 1117,
  [1375] = 1147,
  [1376] = 1222,
  [1377] = 504,
  [1378] = 179,
  [1379] = 1132,
  [1380] = 1115,
  [1381] = 1140,
  [1382] = 1117,
  [1383] = 1133,
  [1384] = 551,
  [1385] = 1188,
  [1386] = 1185,
  [1387] = 1132,
  [1388] = 161,
  [1389] = 1348,
  [1390] = 178,
  [1391] = 1176,
  [1392] = 1224,
  [1393] = 1315,
  [1394] = 1314,
  [1395] = 1130,
  [1396] = 1163,
  [1397] = 1161,
  [1398] = 1114,
  [1399] = 1160,
  [1400] = 1313,
  [1401] = 1147,
  [1402] = 1186,
  [1403] = 1125,
  [1404] = 1132,
  [1405] = 1273,
  [1406] = 1167,
  [1407] = 1116,
  [1408] = 1118,
  [1409] = 1119,
  [1410] = 1120,
  [1411] = 1225,
  [1412] = 1121,
  [1413] = 1122,
  [1414] = 1280,
  [1415] = 1123,
  [1416] = 1124,
  [1417] = 1115,
  [1418] = 1117,
  [1419] = 1167,
  [1420] = 1306,
  [1421] = 1421,
  [1422] = 1299,
  [1423] = 1226,
  [1424] = 1148,
  [1425] = 1425,
  [1426] = 1426,
  [1427] = 1313,
  [1428] = 1299,
  [1429] = 1306,
  [1430] = 1227,
  [1431] = 1282,
  [1432] = 171,
  [1433] = 1161,
  [1434] = 1132,
  [1435] = 1361,
  [1436] = 1140,
  [1437] = 1125,
  [1438] = 1125,
  [1439] = 1132,
  [1440] = 164,
  [1441] = 1133,
  [1442] = 1421,
  [1443] = 1188,
  [1444] = 1167,
  [1445] = 1116,
  [1446] = 1185,
  [1447] = 1118,
  [1448] = 1119,
  [1449] = 1167,
  [1450] = 1120,
  [1451] = 1121,
  [1452] = 1122,
  [1453] = 1351,
  [1454] = 1123,
  [1455] = 1124,
  [1456] = 1115,
  [1457] = 1117,
  [1458] = 1116,
  [1459] = 1118,
  [1460] = 1119,
  [1461] = 1120,
  [1462] = 1121,
  [1463] = 1122,
  [1464] = 1176,
  [1465] = 1123,
  [1466] = 1124,
  [1467] = 1280,
  [1468] = 1163,
  [1469] = 1161,
  [1470] = 1114,
  [1471] = 1273,
  [1472] = 1217,
  [1473] = 160,
  [1474] = 173,
  [1475] = 1163,
  [1476] = 1147,
  [1477] = 1125,
  [1478] = 1132,
  [1479] = 1147,
  [1480] = 1167,
  [1481] = 1116,
  [1482] = 1118,
  [1483] = 1119,
  [1484] = 1120,
  [1485] = 1121,
  [1486] = 1122,
  [1487] = 157,
  [1488] = 1123,
  [1489] = 1124,
  [1490] = 1115,
  [1491] = 1140,
  [1492] = 1117,
  [1493] = 1167,
  [1494] = 1186,
  [1495] = 1313,
  [1496] = 1133,
  [1497] = 1188,
  [1498] = 1185,
  [1499] = 301,
  [1500] = 1117,
  [1501] = 1176,
  [1502] = 1163,
  [1503] = 1161,
  [1504] = 1114,
  [1505] = 1147,
  [1506] = 1116,
  [1507] = 1140,
  [1508] = 1230,
  [1509] = 1133,
  [1510] = 1188,
  [1511] = 1125,
  [1512] = 1132,
  [1513] = 1185,
  [1514] = 1167,
  [1515] = 1116,
  [1516] = 1118,
  [1517] = 1119,
  [1518] = 1120,
  [1519] = 1121,
  [1520] = 1122,
  [1521] = 1176,
  [1522] = 1123,
  [1523] = 1163,
  [1524] = 1161,
  [1525] = 1160,
  [1526] = 1114,
  [1527] = 1314,
  [1528] = 1124,
  [1529] = 1115,
  [1530] = 1117,
  [1531] = 125,
  [1532] = 156,
  [1533] = 1147,
  [1534] = 1136,
  [1535] = 1176,
  [1536] = 1137,
  [1537] = 152,
  [1538] = 1118,
  [1539] = 1140,
  [1540] = 1133,
  [1541] = 1188,
  [1542] = 1542,
  [1543] = 1147,
  [1544] = 1185,
  [1545] = 1176,
  [1546] = 1163,
  [1547] = 162,
  [1548] = 1161,
  [1549] = 1114,
  [1550] = 1222,
  [1551] = 1119,
  [1552] = 1147,
  [1553] = 1120,
  [1554] = 150,
  [1555] = 1115,
  [1556] = 1121,
  [1557] = 1140,
  [1558] = 1133,
  [1559] = 1315,
  [1560] = 1188,
  [1561] = 1185,
  [1562] = 1176,
  [1563] = 1163,
  [1564] = 1161,
  [1565] = 1114,
  [1566] = 1188,
  [1567] = 1122,
  [1568] = 1140,
  [1569] = 1227,
  [1570] = 1133,
  [1571] = 1125,
  [1572] = 1132,
  [1573] = 1188,
  [1574] = 1167,
  [1575] = 1116,
  [1576] = 1118,
  [1577] = 157,
  [1578] = 1119,
  [1579] = 156,
  [1580] = 152,
  [1581] = 1120,
  [1582] = 1121,
  [1583] = 1122,
  [1584] = 1185,
  [1585] = 1123,
  [1586] = 1124,
  [1587] = 1115,
  [1588] = 1117,
  [1589] = 162,
  [1590] = 150,
  [1591] = 1176,
  [1592] = 1163,
  [1593] = 1117,
  [1594] = 1115,
  [1595] = 1124,
  [1596] = 1123,
  [1597] = 1122,
  [1598] = 1121,
  [1599] = 153,
  [1600] = 153,
  [1601] = 1161,
  [1602] = 155,
  [1603] = 155,
  [1604] = 1129,
  [1605] = 1114,
  [1606] = 1230,
  [1607] = 1147,
  [1608] = 308,
  [1609] = 1120,
  [1610] = 1119,
  [1611] = 1118,
  [1612] = 1116,
  [1613] = 1167,
  [1614] = 1130,
  [1615] = 1129,
  [1616] = 158,
  [1617] = 307,
  [1618] = 1140,
  [1619] = 1222,
  [1620] = 306,
  [1621] = 1133,
  [1622] = 163,
  [1623] = 1188,
  [1624] = 151,
  [1625] = 1185,
  [1626] = 1176,
  [1627] = 1314,
  [1628] = 1163,
  [1629] = 1161,
  [1630] = 1114,
  [1631] = 1125,
  [1632] = 1132,
  [1633] = 1147,
  [1634] = 1167,
  [1635] = 1116,
  [1636] = 1118,
  [1637] = 166,
  [1638] = 1119,
  [1639] = 1120,
  [1640] = 1121,
  [1641] = 1122,
  [1642] = 1124,
  [1643] = 1123,
  [1644] = 1124,
  [1645] = 1115,
  [1646] = 1117,
  [1647] = 1226,
  [1648] = 1230,
  [1649] = 1123,
  [1650] = 1217,
  [1651] = 1140,
  [1652] = 1133,
  [1653] = 1188,
  [1654] = 1185,
  [1655] = 1122,
  [1656] = 1144,
  [1657] = 1143,
  [1658] = 1227,
  [1659] = 1142,
  [1660] = 1121,
  [1661] = 1226,
  [1662] = 1120,
  [1663] = 1176,
  [1664] = 1225,
  [1665] = 1119,
  [1666] = 1163,
  [1667] = 1161,
  [1668] = 1114,
  [1669] = 1118,
  [1670] = 1224,
  [1671] = 1147,
  [1672] = 1116,
  [1673] = 167,
  [1674] = 1222,
  [1675] = 165,
  [1676] = 1123,
  [1677] = 1132,
  [1678] = 1167,
  [1679] = 1282,
  [1680] = 148,
  [1681] = 305,
  [1682] = 1140,
  [1683] = 1133,
  [1684] = 1163,
  [1685] = 1185,
  [1686] = 1125,
  [1687] = 1132,
  [1688] = 1176,
  [1689] = 1167,
  [1690] = 1116,
  [1691] = 1118,
  [1692] = 1119,
  [1693] = 1120,
  [1694] = 1121,
  [1695] = 1122,
  [1696] = 1133,
  [1697] = 1161,
  [1698] = 1123,
  [1699] = 1124,
  [1700] = 1115,
  [1701] = 1117,
  [1702] = 1230,
  [1703] = 1114,
  [1704] = 1217,
  [1705] = 149,
  [1706] = 1227,
  [1707] = 158,
  [1708] = 1226,
  [1709] = 1147,
  [1710] = 1225,
  [1711] = 163,
  [1712] = 151,
  [1713] = 1224,
  [1714] = 166,
  [1715] = 1140,
  [1716] = 1222,
  [1717] = 167,
  [1718] = 1133,
  [1719] = 1188,
  [1720] = 1185,
  [1721] = 1282,
  [1722] = 1176,
  [1723] = 1163,
  [1724] = 1161,
  [1725] = 1114,
  [1726] = 1147,
  [1727] = 1140,
  [1728] = 1133,
  [1729] = 1188,
  [1730] = 1125,
  [1731] = 1132,
  [1732] = 1185,
  [1733] = 1167,
  [1734] = 1116,
  [1735] = 1118,
  [1736] = 1119,
  [1737] = 1120,
  [1738] = 1121,
  [1739] = 1122,
  [1740] = 1176,
  [1741] = 1123,
  [1742] = 1124,
  [1743] = 1163,
  [1744] = 165,
  [1745] = 1115,
  [1746] = 1117,
  [1747] = 1315,
  [1748] = 1314,
  [1749] = 1125,
  [1750] = 1124,
  [1751] = 1161,
  [1752] = 1230,
  [1753] = 1114,
  [1754] = 1313,
  [1755] = 1186,
  [1756] = 1217,
  [1757] = 1425,
  [1758] = 1147,
  [1759] = 1140,
  [1760] = 1140,
  [1761] = 1273,
  [1762] = 1280,
  [1763] = 303,
  [1764] = 1227,
  [1765] = 1125,
  [1766] = 1306,
  [1767] = 1133,
  [1768] = 1299,
  [1769] = 298,
  [1770] = 1125,
  [1771] = 1188,
  [1772] = 1306,
  [1773] = 1185,
  [1774] = 1226,
  [1775] = 1115,
  [1776] = 1225,
  [1777] = 296,
  [1778] = 1117,
  [1779] = 1160,
  [1780] = 1176,
  [1781] = 302,
  [1782] = 1163,
  [1783] = 1224,
  [1784] = 161,
  [1785] = 1161,
  [1786] = 1132,
  [1787] = 1222,
  [1788] = 1115,
  [1789] = 300,
  [1790] = 1114,
  [1791] = 1147,
  [1792] = 1140,
  [1793] = 1426,
  [1794] = 1282,
  [1795] = 1299,
  [1796] = 1133,
  [1797] = 1188,
  [1798] = 1185,
  [1799] = 1176,
  [1800] = 1163,
  [1801] = 1161,
  [1802] = 1125,
  [1803] = 1132,
  [1804] = 1114,
  [1805] = 1167,
  [1806] = 1116,
  [1807] = 1118,
  [1808] = 1119,
  [1809] = 1120,
  [1810] = 1147,
  [1811] = 1121,
  [1812] = 1122,
  [1813] = 1140,
  [1814] = 1123,
  [1815] = 1124,
  [1816] = 1115,
  [1817] = 1117,
  [1818] = 1315,
  [1819] = 1141,
  [1820] = 1314,
  [1821] = 1230,
  [1822] = 1125,
  [1823] = 1313,
  [1824] = 1188,
  [1825] = 1186,
  [1826] = 1217,
  [1827] = 1185,
  [1828] = 1273,
  [1829] = 1280,
  [1830] = 1361,
  [1831] = 1227,
  [1832] = 1306,
  [1833] = 1176,
  [1834] = 1163,
  [1835] = 1299,
  [1836] = 1426,
  [1837] = 1226,
  [1838] = 1161,
  [1839] = 1225,
  [1840] = 1132,
  [1841] = 1167,
  [1842] = 1116,
  [1843] = 1160,
  [1844] = 1114,
  [1845] = 1224,
  [1846] = 1147,
  [1847] = 1348,
  [1848] = 1118,
  [1849] = 1119,
  [1850] = 1120,
  [1851] = 1222,
  [1852] = 1121,
  [1853] = 1122,
  [1854] = 1140,
  [1855] = 1123,
  [1856] = 1124,
  [1857] = 1133,
  [1858] = 1282,
  [1859] = 1188,
  [1860] = 1176,
  [1861] = 1188,
  [1862] = 1176,
  [1863] = 1188,
  [1864] = 1176,
  [1865] = 1188,
  [1866] = 1125,
  [1867] = 1132,
  [1868] = 88,
  [1869] = 1222,
  [1870] = 1167,
  [1871] = 1116,
  [1872] = 1176,
  [1873] = 1118,
  [1874] = 1119,
  [1875] = 1120,
  [1876] = 1121,
  [1877] = 1122,
  [1878] = 1188,
  [1879] = 1176,
  [1880] = 1115,
  [1881] = 1117,
  [1882] = 1123,
  [1883] = 1124,
  [1884] = 348,
  [1885] = 356,
  [1886] = 560,
  [1887] = 330,
  [1888] = 365,
  [1889] = 179,
  [1890] = 393,
  [1891] = 125,
  [1892] = 125,
  [1893] = 393,
  [1894] = 170,
  [1895] = 373,
  [1896] = 376,
  [1897] = 169,
  [1898] = 168,
  [1899] = 407,
  [1900] = 394,
  [1901] = 404,
  [1902] = 399,
  [1903] = 401,
  [1904] = 312,
  [1905] = 308,
  [1906] = 307,
  [1907] = 306,
  [1908] = 305,
  [1909] = 523,
  [1910] = 327,
  [1911] = 328,
  [1912] = 297,
  [1913] = 317,
  [1914] = 299,
  [1915] = 308,
  [1916] = 411,
  [1917] = 307,
  [1918] = 306,
  [1919] = 305,
  [1920] = 356,
  [1921] = 298,
  [1922] = 348,
  [1923] = 346,
  [1924] = 343,
  [1925] = 342,
  [1926] = 367,
  [1927] = 316,
  [1928] = 323,
  [1929] = 324,
  [1930] = 368,
  [1931] = 326,
  [1932] = 329,
  [1933] = 722,
  [1934] = 85,
  [1935] = 678,
  [1936] = 86,
  [1937] = 371,
  [1938] = 365,
  [1939] = 364,
  [1940] = 84,
  [1941] = 169,
  [1942] = 197,
  [1943] = 168,
  [1944] = 641,
  [1945] = 579,
  [1946] = 212,
  [1947] = 315,
  [1948] = 392,
  [1949] = 320,
  [1950] = 314,
  [1951] = 712,
  [1952] = 364,
  [1953] = 176,
  [1954] = 174,
  [1955] = 178,
  [1956] = 175,
  [1957] = 172,
  [1958] = 160,
  [1959] = 652,
  [1960] = 164,
  [1961] = 207,
  [1962] = 373,
  [1963] = 376,
  [1964] = 639,
  [1965] = 297,
  [1966] = 304,
  [1967] = 164,
  [1968] = 318,
  [1969] = 160,
  [1970] = 204,
  [1971] = 213,
  [1972] = 311,
  [1973] = 749,
  [1974] = 172,
  [1975] = 175,
  [1976] = 298,
  [1977] = 301,
  [1978] = 178,
  [1979] = 715,
  [1980] = 300,
  [1981] = 174,
  [1982] = 176,
  [1983] = 296,
  [1984] = 125,
  [1985] = 303,
  [1986] = 304,
  [1987] = 407,
  [1988] = 394,
  [1989] = 684,
  [1990] = 171,
  [1991] = 173,
  [1992] = 301,
  [1993] = 300,
  [1994] = 399,
  [1995] = 298,
  [1996] = 504,
  [1997] = 208,
  [1998] = 194,
  [1999] = 321,
  [2000] = 195,
  [2001] = 309,
  [2002] = 392,
  [2003] = 401,
  [2004] = 404,
  [2005] = 322,
  [2006] = 299,
  [2007] = 371,
  [2008] = 325,
  [2009] = 302,
  [2010] = 2010,
  [2011] = 308,
  [2012] = 368,
  [2013] = 307,
  [2014] = 170,
  [2015] = 367,
  [2016] = 296,
  [2017] = 303,
  [2018] = 306,
  [2019] = 305,
  [2020] = 411,
  [2021] = 193,
  [2022] = 1138,
  [2023] = 302,
  [2024] = 196,
  [2025] = 180,
  [2026] = 201,
  [2027] = 687,
  [2028] = 672,
  [2029] = 551,
  [2030] = 297,
  [2031] = 188,
  [2032] = 680,
  [2033] = 299,
  [2034] = 690,
  [2035] = 219,
  [2036] = 304,
  [2037] = 216,
  [2038] = 171,
  [2039] = 683,
  [2040] = 173,
  [2041] = 211,
  [2042] = 303,
  [2043] = 210,
  [2044] = 209,
  [2045] = 296,
  [2046] = 206,
  [2047] = 302,
  [2048] = 203,
  [2049] = 300,
  [2050] = 202,
  [2051] = 301,
  [2052] = 198,
  [2053] = 199,
  [2054] = 182,
  [2055] = 179,
  [2056] = 181,
  [2057] = 184,
  [2058] = 191,
  [2059] = 186,
  [2060] = 187,
  [2061] = 342,
  [2062] = 343,
  [2063] = 192,
  [2064] = 218,
  [2065] = 346,
  [2066] = 189,
  [2067] = 200,
  [2068] = 217,
  [2069] = 215,
  [2070] = 190,
  [2071] = 183,
  [2072] = 185,
  [2073] = 214,
  [2074] = 307,
  [2075] = 821,
  [2076] = 306,
  [2077] = 201,
  [2078] = 793,
  [2079] = 784,
  [2080] = 210,
  [2081] = 307,
  [2082] = 223,
  [2083] = 859,
  [2084] = 789,
  [2085] = 308,
  [2086] = 775,
  [2087] = 198,
  [2088] = 195,
  [2089] = 211,
  [2090] = 199,
  [2091] = 182,
  [2092] = 216,
  [2093] = 184,
  [2094] = 186,
  [2095] = 297,
  [2096] = 187,
  [2097] = 189,
  [2098] = 259,
  [2099] = 219,
  [2100] = 260,
  [2101] = 263,
  [2102] = 236,
  [2103] = 304,
  [2104] = 237,
  [2105] = 238,
  [2106] = 220,
  [2107] = 190,
  [2108] = 239,
  [2109] = 304,
  [2110] = 240,
  [2111] = 883,
  [2112] = 241,
  [2113] = 305,
  [2114] = 188,
  [2115] = 209,
  [2116] = 86,
  [2117] = 299,
  [2118] = 247,
  [2119] = 206,
  [2120] = 270,
  [2121] = 296,
  [2122] = 749,
  [2123] = 308,
  [2124] = 884,
  [2125] = 304,
  [2126] = 811,
  [2127] = 281,
  [2128] = 282,
  [2129] = 207,
  [2130] = 251,
  [2131] = 277,
  [2132] = 276,
  [2133] = 274,
  [2134] = 272,
  [2135] = 639,
  [2136] = 255,
  [2137] = 203,
  [2138] = 256,
  [2139] = 257,
  [2140] = 258,
  [2141] = 302,
  [2142] = 262,
  [2143] = 264,
  [2144] = 579,
  [2145] = 265,
  [2146] = 267,
  [2147] = 268,
  [2148] = 275,
  [2149] = 234,
  [2150] = 232,
  [2151] = 504,
  [2152] = 212,
  [2153] = 2153,
  [2154] = 307,
  [2155] = 678,
  [2156] = 254,
  [2157] = 228,
  [2158] = 243,
  [2159] = 843,
  [2160] = 244,
  [2161] = 245,
  [2162] = 246,
  [2163] = 785,
  [2164] = 248,
  [2165] = 306,
  [2166] = 249,
  [2167] = 250,
  [2168] = 305,
  [2169] = 551,
  [2170] = 831,
  [2171] = 221,
  [2172] = 846,
  [2173] = 437,
  [2174] = 261,
  [2175] = 857,
  [2176] = 886,
  [2177] = 722,
  [2178] = 791,
  [2179] = 273,
  [2180] = 181,
  [2181] = 148,
  [2182] = 149,
  [2183] = 283,
  [2184] = 683,
  [2185] = 296,
  [2186] = 191,
  [2187] = 209,
  [2188] = 856,
  [2189] = 301,
  [2190] = 206,
  [2191] = 300,
  [2192] = 298,
  [2193] = 181,
  [2194] = 302,
  [2195] = 280,
  [2196] = 191,
  [2197] = 296,
  [2198] = 303,
  [2199] = 298,
  [2200] = 279,
  [2201] = 204,
  [2202] = 303,
  [2203] = 202,
  [2204] = 300,
  [2205] = 87,
  [2206] = 301,
  [2207] = 300,
  [2208] = 213,
  [2209] = 278,
  [2210] = 831,
  [2211] = 233,
  [2212] = 231,
  [2213] = 208,
  [2214] = 862,
  [2215] = 229,
  [2216] = 900,
  [2217] = 192,
  [2218] = 224,
  [2219] = 225,
  [2220] = 194,
  [2221] = 197,
  [2222] = 195,
  [2223] = 85,
  [2224] = 84,
  [2225] = 299,
  [2226] = 227,
  [2227] = 222,
  [2228] = 297,
  [2229] = 230,
  [2230] = 226,
  [2231] = 776,
  [2232] = 298,
  [2233] = 218,
  [2234] = 795,
  [2235] = 87,
  [2236] = 217,
  [2237] = 523,
  [2238] = 215,
  [2239] = 810,
  [2240] = 214,
  [2241] = 797,
  [2242] = 235,
  [2243] = 652,
  [2244] = 297,
  [2245] = 194,
  [2246] = 712,
  [2247] = 242,
  [2248] = 208,
  [2249] = 252,
  [2250] = 253,
  [2251] = 213,
  [2252] = 204,
  [2253] = 193,
  [2254] = 807,
  [2255] = 680,
  [2256] = 218,
  [2257] = 196,
  [2258] = 185,
  [2259] = 690,
  [2260] = 504,
  [2261] = 299,
  [2262] = 266,
  [2263] = 269,
  [2264] = 271,
  [2265] = 819,
  [2266] = 183,
  [2267] = 217,
  [2268] = 215,
  [2269] = 903,
  [2270] = 180,
  [2271] = 672,
  [2272] = 687,
  [2273] = 876,
  [2274] = 214,
  [2275] = 684,
  [2276] = 641,
  [2277] = 193,
  [2278] = 147,
  [2279] = 308,
  [2280] = 2010,
  [2281] = 196,
  [2282] = 201,
  [2283] = 188,
  [2284] = 185,
  [2285] = 306,
  [2286] = 305,
  [2287] = 301,
  [2288] = 180,
  [2289] = 300,
  [2290] = 183,
  [2291] = 1138,
  [2292] = 219,
  [2293] = 301,
  [2294] = 211,
  [2295] = 210,
  [2296] = 203,
  [2297] = 216,
  [2298] = 186,
  [2299] = 296,
  [2300] = 303,
  [2301] = 202,
  [2302] = 184,
  [2303] = 560,
  [2304] = 197,
  [2305] = 182,
  [2306] = 199,
  [2307] = 305,
  [2308] = 306,
  [2309] = 307,
  [2310] = 308,
  [2311] = 207,
  [2312] = 192,
  [2313] = 894,
  [2314] = 889,
  [2315] = 303,
  [2316] = 297,
  [2317] = 299,
  [2318] = 820,
  [2319] = 302,
  [2320] = 822,
  [2321] = 190,
  [2322] = 200,
  [2323] = 523,
  [2324] = 786,
  [2325] = 212,
  [2326] = 785,
  [2327] = 198,
  [2328] = 187,
  [2329] = 304,
  [2330] = 302,
  [2331] = 298,
  [2332] = 715,
  [2333] = 189,
  [2334] = 342,
  [2335] = 222,
  [2336] = 371,
  [2337] = 368,
  [2338] = 367,
  [2339] = 343,
  [2340] = 346,
  [2341] = 348,
  [2342] = 392,
  [2343] = 356,
  [2344] = 243,
  [2345] = 244,
  [2346] = 245,
  [2347] = 255,
  [2348] = 256,
  [2349] = 257,
  [2350] = 228,
  [2351] = 254,
  [2352] = 258,
  [2353] = 683,
  [2354] = 262,
  [2355] = 87,
  [2356] = 264,
  [2357] = 285,
  [2358] = 284,
  [2359] = 287,
  [2360] = 411,
  [2361] = 160,
  [2362] = 164,
  [2363] = 265,
  [2364] = 290,
  [2365] = 404,
  [2366] = 304,
  [2367] = 289,
  [2368] = 267,
  [2369] = 286,
  [2370] = 857,
  [2371] = 268,
  [2372] = 263,
  [2373] = 275,
  [2374] = 260,
  [2375] = 259,
  [2376] = 223,
  [2377] = 298,
  [2378] = 401,
  [2379] = 846,
  [2380] = 232,
  [2381] = 831,
  [2382] = 234,
  [2383] = 785,
  [2384] = 843,
  [2385] = 791,
  [2386] = 234,
  [2387] = 222,
  [2388] = 227,
  [2389] = 275,
  [2390] = 225,
  [2391] = 224,
  [2392] = 229,
  [2393] = 859,
  [2394] = 231,
  [2395] = 233,
  [2396] = 793,
  [2397] = 811,
  [2398] = 856,
  [2399] = 268,
  [2400] = 862,
  [2401] = 810,
  [2402] = 797,
  [2403] = 821,
  [2404] = 819,
  [2405] = 232,
  [2406] = 267,
  [2407] = 903,
  [2408] = 876,
  [2409] = 894,
  [2410] = 2153,
  [2411] = 889,
  [2412] = 820,
  [2413] = 822,
  [2414] = 786,
  [2415] = 265,
  [2416] = 264,
  [2417] = 262,
  [2418] = 258,
  [2419] = 807,
  [2420] = 795,
  [2421] = 776,
  [2422] = 308,
  [2423] = 257,
  [2424] = 2424,
  [2425] = 307,
  [2426] = 306,
  [2427] = 900,
  [2428] = 884,
  [2429] = 305,
  [2430] = 256,
  [2431] = 255,
  [2432] = 269,
  [2433] = 266,
  [2434] = 775,
  [2435] = 784,
  [2436] = 789,
  [2437] = 886,
  [2438] = 254,
  [2439] = 253,
  [2440] = 252,
  [2441] = 228,
  [2442] = 148,
  [2443] = 149,
  [2444] = 399,
  [2445] = 394,
  [2446] = 407,
  [2447] = 2447,
  [2448] = 2448,
  [2449] = 883,
  [2450] = 246,
  [2451] = 248,
  [2452] = 236,
  [2453] = 237,
  [2454] = 238,
  [2455] = 220,
  [2456] = 239,
  [2457] = 301,
  [2458] = 300,
  [2459] = 296,
  [2460] = 303,
  [2461] = 240,
  [2462] = 241,
  [2463] = 249,
  [2464] = 200,
  [2465] = 247,
  [2466] = 270,
  [2467] = 250,
  [2468] = 2468,
  [2469] = 157,
  [2470] = 156,
  [2471] = 152,
  [2472] = 2472,
  [2473] = 162,
  [2474] = 1138,
  [2475] = 150,
  [2476] = 272,
  [2477] = 271,
  [2478] = 274,
  [2479] = 269,
  [2480] = 263,
  [2481] = 266,
  [2482] = 260,
  [2483] = 259,
  [2484] = 230,
  [2485] = 253,
  [2486] = 226,
  [2487] = 252,
  [2488] = 235,
  [2489] = 276,
  [2490] = 147,
  [2491] = 242,
  [2492] = 242,
  [2493] = 277,
  [2494] = 221,
  [2495] = 2010,
  [2496] = 251,
  [2497] = 235,
  [2498] = 226,
  [2499] = 230,
  [2500] = 153,
  [2501] = 278,
  [2502] = 279,
  [2503] = 280,
  [2504] = 283,
  [2505] = 273,
  [2506] = 261,
  [2507] = 221,
  [2508] = 250,
  [2509] = 282,
  [2510] = 249,
  [2511] = 223,
  [2512] = 248,
  [2513] = 246,
  [2514] = 245,
  [2515] = 244,
  [2516] = 243,
  [2517] = 200,
  [2518] = 281,
  [2519] = 715,
  [2520] = 155,
  [2521] = 261,
  [2522] = 273,
  [2523] = 227,
  [2524] = 225,
  [2525] = 224,
  [2526] = 229,
  [2527] = 231,
  [2528] = 233,
  [2529] = 148,
  [2530] = 149,
  [2531] = 148,
  [2532] = 376,
  [2533] = 373,
  [2534] = 364,
  [2535] = 281,
  [2536] = 278,
  [2537] = 282,
  [2538] = 2153,
  [2539] = 251,
  [2540] = 149,
  [2541] = 161,
  [2542] = 270,
  [2543] = 158,
  [2544] = 277,
  [2545] = 2545,
  [2546] = 247,
  [2547] = 163,
  [2548] = 276,
  [2549] = 274,
  [2550] = 272,
  [2551] = 241,
  [2552] = 151,
  [2553] = 240,
  [2554] = 166,
  [2555] = 279,
  [2556] = 280,
  [2557] = 283,
  [2558] = 167,
  [2559] = 165,
  [2560] = 2560,
  [2561] = 239,
  [2562] = 365,
  [2563] = 220,
  [2564] = 238,
  [2565] = 297,
  [2566] = 393,
  [2567] = 237,
  [2568] = 2568,
  [2569] = 236,
  [2570] = 302,
  [2571] = 271,
  [2572] = 299,
  [2573] = 161,
  [2574] = 290,
  [2575] = 289,
  [2576] = 179,
  [2577] = 894,
  [2578] = 2578,
  [2579] = 164,
  [2580] = 889,
  [2581] = 2560,
  [2582] = 165,
  [2583] = 160,
  [2584] = 437,
  [2585] = 822,
  [2586] = 820,
  [2587] = 820,
  [2588] = 167,
  [2589] = 166,
  [2590] = 822,
  [2591] = 425,
  [2592] = 889,
  [2593] = 876,
  [2594] = 903,
  [2595] = 894,
  [2596] = 819,
  [2597] = 821,
  [2598] = 876,
  [2599] = 903,
  [2600] = 287,
  [2601] = 151,
  [2602] = 149,
  [2603] = 148,
  [2604] = 163,
  [2605] = 158,
  [2606] = 819,
  [2607] = 821,
  [2608] = 285,
  [2609] = 284,
  [2610] = 797,
  [2611] = 810,
  [2612] = 900,
  [2613] = 284,
  [2614] = 862,
  [2615] = 285,
  [2616] = 2448,
  [2617] = 439,
  [2618] = 856,
  [2619] = 811,
  [2620] = 2153,
  [2621] = 147,
  [2622] = 793,
  [2623] = 432,
  [2624] = 791,
  [2625] = 859,
  [2626] = 791,
  [2627] = 2010,
  [2628] = 125,
  [2629] = 86,
  [2630] = 88,
  [2631] = 287,
  [2632] = 859,
  [2633] = 155,
  [2634] = 886,
  [2635] = 153,
  [2636] = 2636,
  [2637] = 290,
  [2638] = 171,
  [2639] = 289,
  [2640] = 172,
  [2641] = 173,
  [2642] = 150,
  [2643] = 152,
  [2644] = 175,
  [2645] = 178,
  [2646] = 160,
  [2647] = 164,
  [2648] = 174,
  [2649] = 857,
  [2650] = 176,
  [2651] = 87,
  [2652] = 432,
  [2653] = 846,
  [2654] = 286,
  [2655] = 831,
  [2656] = 786,
  [2657] = 793,
  [2658] = 164,
  [2659] = 785,
  [2660] = 843,
  [2661] = 160,
  [2662] = 156,
  [2663] = 797,
  [2664] = 810,
  [2665] = 439,
  [2666] = 900,
  [2667] = 862,
  [2668] = 807,
  [2669] = 795,
  [2670] = 776,
  [2671] = 886,
  [2672] = 884,
  [2673] = 811,
  [2674] = 857,
  [2675] = 168,
  [2676] = 856,
  [2677] = 169,
  [2678] = 883,
  [2679] = 789,
  [2680] = 784,
  [2681] = 775,
  [2682] = 84,
  [2683] = 884,
  [2684] = 85,
  [2685] = 286,
  [2686] = 157,
  [2687] = 2424,
  [2688] = 170,
  [2689] = 776,
  [2690] = 843,
  [2691] = 795,
  [2692] = 2447,
  [2693] = 807,
  [2694] = 846,
  [2695] = 883,
  [2696] = 2568,
  [2697] = 147,
  [2698] = 2545,
  [2699] = 162,
  [2700] = 2468,
  [2701] = 2472,
  [2702] = 789,
  [2703] = 784,
  [2704] = 775,
  [2705] = 786,
  [2706] = 886,
  [2707] = 162,
  [2708] = 165,
  [2709] = 167,
  [2710] = 425,
  [2711] = 425,
  [2712] = 785,
  [2713] = 166,
  [2714] = 330,
  [2715] = 173,
  [2716] = 151,
  [2717] = 171,
  [2718] = 163,
  [2719] = 158,
  [2720] = 523,
  [2721] = 155,
  [2722] = 153,
  [2723] = 831,
  [2724] = 150,
  [2725] = 175,
  [2726] = 2578,
  [2727] = 162,
  [2728] = 439,
  [2729] = 152,
  [2730] = 156,
  [2731] = 209,
  [2732] = 206,
  [2733] = 425,
  [2734] = 157,
  [2735] = 161,
  [2736] = 207,
  [2737] = 212,
  [2738] = 191,
  [2739] = 197,
  [2740] = 504,
  [2741] = 299,
  [2742] = 297,
  [2743] = 439,
  [2744] = 147,
  [2745] = 204,
  [2746] = 192,
  [2747] = 218,
  [2748] = 217,
  [2749] = 215,
  [2750] = 214,
  [2751] = 213,
  [2752] = 185,
  [2753] = 183,
  [2754] = 181,
  [2755] = 432,
  [2756] = 208,
  [2757] = 190,
  [2758] = 312,
  [2759] = 189,
  [2760] = 194,
  [2761] = 2560,
  [2762] = 195,
  [2763] = 179,
  [2764] = 147,
  [2765] = 432,
  [2766] = 2766,
  [2767] = 148,
  [2768] = 149,
  [2769] = 551,
  [2770] = 160,
  [2771] = 164,
  [2772] = 2636,
  [2773] = 125,
  [2774] = 200,
  [2775] = 432,
  [2776] = 439,
  [2777] = 304,
  [2778] = 88,
  [2779] = 2153,
  [2780] = 298,
  [2781] = 327,
  [2782] = 328,
  [2783] = 317,
  [2784] = 308,
  [2785] = 307,
  [2786] = 306,
  [2787] = 316,
  [2788] = 323,
  [2789] = 324,
  [2790] = 186,
  [2791] = 326,
  [2792] = 329,
  [2793] = 2793,
  [2794] = 184,
  [2795] = 182,
  [2796] = 199,
  [2797] = 172,
  [2798] = 305,
  [2799] = 178,
  [2800] = 174,
  [2801] = 176,
  [2802] = 315,
  [2803] = 320,
  [2804] = 314,
  [2805] = 318,
  [2806] = 301,
  [2807] = 311,
  [2808] = 300,
  [2809] = 302,
  [2810] = 296,
  [2811] = 303,
  [2812] = 2560,
  [2813] = 161,
  [2814] = 165,
  [2815] = 193,
  [2816] = 198,
  [2817] = 321,
  [2818] = 167,
  [2819] = 166,
  [2820] = 309,
  [2821] = 151,
  [2822] = 322,
  [2823] = 168,
  [2824] = 163,
  [2825] = 158,
  [2826] = 169,
  [2827] = 149,
  [2828] = 148,
  [2829] = 125,
  [2830] = 325,
  [2831] = 202,
  [2832] = 155,
  [2833] = 203,
  [2834] = 153,
  [2835] = 170,
  [2836] = 210,
  [2837] = 150,
  [2838] = 147,
  [2839] = 211,
  [2840] = 187,
  [2841] = 216,
  [2842] = 219,
  [2843] = 188,
  [2844] = 201,
  [2845] = 180,
  [2846] = 157,
  [2847] = 196,
  [2848] = 156,
  [2849] = 152,
  [2850] = 274,
  [2851] = 88,
  [2852] = 158,
  [2853] = 163,
  [2854] = 318,
  [2855] = 311,
  [2856] = 151,
  [2857] = 166,
  [2858] = 153,
  [2859] = 240,
  [2860] = 264,
  [2861] = 241,
  [2862] = 327,
  [2863] = 220,
  [2864] = 167,
  [2865] = 169,
  [2866] = 247,
  [2867] = 2636,
  [2868] = 165,
  [2869] = 173,
  [2870] = 831,
  [2871] = 155,
  [2872] = 171,
  [2873] = 270,
  [2874] = 237,
  [2875] = 320,
  [2876] = 314,
  [2877] = 168,
  [2878] = 315,
  [2879] = 317,
  [2880] = 212,
  [2881] = 203,
  [2882] = 425,
  [2883] = 281,
  [2884] = 236,
  [2885] = 282,
  [2886] = 207,
  [2887] = 150,
  [2888] = 162,
  [2889] = 152,
  [2890] = 86,
  [2891] = 523,
  [2892] = 84,
  [2893] = 504,
  [2894] = 85,
  [2895] = 251,
  [2896] = 179,
  [2897] = 277,
  [2898] = 276,
  [2899] = 560,
  [2900] = 156,
  [2901] = 324,
  [2902] = 164,
  [2903] = 325,
  [2904] = 272,
  [2905] = 160,
  [2906] = 227,
  [2907] = 172,
  [2908] = 175,
  [2909] = 178,
  [2910] = 174,
  [2911] = 161,
  [2912] = 176,
  [2913] = 157,
  [2914] = 425,
  [2915] = 204,
  [2916] = 213,
  [2917] = 208,
  [2918] = 194,
  [2919] = 195,
  [2920] = 157,
  [2921] = 156,
  [2922] = 2922,
  [2923] = 432,
  [2924] = 197,
  [2925] = 152,
  [2926] = 162,
  [2927] = 193,
  [2928] = 196,
  [2929] = 150,
  [2930] = 180,
  [2931] = 201,
  [2932] = 560,
  [2933] = 188,
  [2934] = 255,
  [2935] = 2560,
  [2936] = 168,
  [2937] = 169,
  [2938] = 170,
  [2939] = 256,
  [2940] = 257,
  [2941] = 172,
  [2942] = 219,
  [2943] = 2943,
  [2944] = 216,
  [2945] = 211,
  [2946] = 239,
  [2947] = 258,
  [2948] = 262,
  [2949] = 147,
  [2950] = 265,
  [2951] = 330,
  [2952] = 267,
  [2953] = 87,
  [2954] = 439,
  [2955] = 275,
  [2956] = 234,
  [2957] = 232,
  [2958] = 425,
  [2959] = 210,
  [2960] = 312,
  [2961] = 88,
  [2962] = 176,
  [2963] = 174,
  [2964] = 178,
  [2965] = 175,
  [2966] = 323,
  [2967] = 202,
  [2968] = 254,
  [2969] = 198,
  [2970] = 320,
  [2971] = 228,
  [2972] = 268,
  [2973] = 328,
  [2974] = 160,
  [2975] = 164,
  [2976] = 199,
  [2977] = 182,
  [2978] = 184,
  [2979] = 312,
  [2980] = 157,
  [2981] = 156,
  [2982] = 152,
  [2983] = 321,
  [2984] = 162,
  [2985] = 309,
  [2986] = 150,
  [2987] = 153,
  [2988] = 155,
  [2989] = 186,
  [2990] = 158,
  [2991] = 163,
  [2992] = 151,
  [2993] = 166,
  [2994] = 167,
  [2995] = 165,
  [2996] = 785,
  [2997] = 327,
  [2998] = 125,
  [2999] = 328,
  [3000] = 271,
  [3001] = 161,
  [3002] = 2010,
  [3003] = 269,
  [3004] = 325,
  [3005] = 243,
  [3006] = 244,
  [3007] = 245,
  [3008] = 439,
  [3009] = 322,
  [3010] = 246,
  [3011] = 248,
  [3012] = 249,
  [3013] = 250,
  [3014] = 221,
  [3015] = 261,
  [3016] = 187,
  [3017] = 273,
  [3018] = 189,
  [3019] = 283,
  [3020] = 190,
  [3021] = 280,
  [3022] = 183,
  [3023] = 185,
  [3024] = 317,
  [3025] = 153,
  [3026] = 155,
  [3027] = 279,
  [3028] = 238,
  [3029] = 278,
  [3030] = 316,
  [3031] = 323,
  [3032] = 214,
  [3033] = 148,
  [3034] = 149,
  [3035] = 425,
  [3036] = 158,
  [3037] = 163,
  [3038] = 151,
  [3039] = 166,
  [3040] = 167,
  [3041] = 165,
  [3042] = 324,
  [3043] = 330,
  [3044] = 326,
  [3045] = 148,
  [3046] = 149,
  [3047] = 432,
  [3048] = 215,
  [3049] = 161,
  [3050] = 217,
  [3051] = 329,
  [3052] = 432,
  [3053] = 233,
  [3054] = 231,
  [3055] = 225,
  [3056] = 224,
  [3057] = 229,
  [3058] = 218,
  [3059] = 266,
  [3060] = 432,
  [3061] = 253,
  [3062] = 252,
  [3063] = 315,
  [3064] = 242,
  [3065] = 192,
  [3066] = 886,
  [3067] = 322,
  [3068] = 309,
  [3069] = 321,
  [3070] = 235,
  [3071] = 88,
  [3072] = 439,
  [3073] = 173,
  [3074] = 171,
  [3075] = 259,
  [3076] = 260,
  [3077] = 263,
  [3078] = 191,
  [3079] = 181,
  [3080] = 226,
  [3081] = 230,
  [3082] = 683,
  [3083] = 2793,
  [3084] = 439,
  [3085] = 329,
  [3086] = 326,
  [3087] = 314,
  [3088] = 2766,
  [3089] = 206,
  [3090] = 209,
  [3091] = 223,
  [3092] = 170,
  [3093] = 316,
  [3094] = 179,
  [3095] = 222,
  [3096] = 311,
  [3097] = 318,
  [3098] = 172,
  [3099] = 329,
  [3100] = 365,
  [3101] = 322,
  [3102] = 201,
  [3103] = 88,
  [3104] = 188,
  [3105] = 180,
  [3106] = 270,
  [3107] = 247,
  [3108] = 241,
  [3109] = 240,
  [3110] = 325,
  [3111] = 239,
  [3112] = 220,
  [3113] = 196,
  [3114] = 238,
  [3115] = 237,
  [3116] = 193,
  [3117] = 322,
  [3118] = 219,
  [3119] = 309,
  [3120] = 216,
  [3121] = 321,
  [3122] = 211,
  [3123] = 325,
  [3124] = 1138,
  [3125] = 330,
  [3126] = 309,
  [3127] = 210,
  [3128] = 173,
  [3129] = 203,
  [3130] = 202,
  [3131] = 236,
  [3132] = 171,
  [3133] = 321,
  [3134] = 311,
  [3135] = 393,
  [3136] = 318,
  [3137] = 314,
  [3138] = 281,
  [3139] = 282,
  [3140] = 320,
  [3141] = 251,
  [3142] = 223,
  [3143] = 277,
  [3144] = 551,
  [3145] = 276,
  [3146] = 274,
  [3147] = 272,
  [3148] = 315,
  [3149] = 164,
  [3150] = 160,
  [3151] = 172,
  [3152] = 2010,
  [3153] = 175,
  [3154] = 364,
  [3155] = 259,
  [3156] = 311,
  [3157] = 175,
  [3158] = 178,
  [3159] = 260,
  [3160] = 178,
  [3161] = 263,
  [3162] = 174,
  [3163] = 330,
  [3164] = 207,
  [3165] = 174,
  [3166] = 373,
  [3167] = 376,
  [3168] = 176,
  [3169] = 318,
  [3170] = 200,
  [3171] = 198,
  [3172] = 199,
  [3173] = 315,
  [3174] = 312,
  [3175] = 320,
  [3176] = 314,
  [3177] = 255,
  [3178] = 256,
  [3179] = 161,
  [3180] = 179,
  [3181] = 257,
  [3182] = 176,
  [3183] = 149,
  [3184] = 148,
  [3185] = 88,
  [3186] = 329,
  [3187] = 179,
  [3188] = 326,
  [3189] = 324,
  [3190] = 182,
  [3191] = 184,
  [3192] = 186,
  [3193] = 187,
  [3194] = 189,
  [3195] = 190,
  [3196] = 258,
  [3197] = 262,
  [3198] = 264,
  [3199] = 265,
  [3200] = 267,
  [3201] = 432,
  [3202] = 323,
  [3203] = 316,
  [3204] = 314,
  [3205] = 268,
  [3206] = 275,
  [3207] = 183,
  [3208] = 185,
  [3209] = 212,
  [3210] = 843,
  [3211] = 320,
  [3212] = 165,
  [3213] = 214,
  [3214] = 167,
  [3215] = 315,
  [3216] = 215,
  [3217] = 166,
  [3218] = 151,
  [3219] = 234,
  [3220] = 163,
  [3221] = 217,
  [3222] = 218,
  [3223] = 232,
  [3224] = 173,
  [3225] = 158,
  [3226] = 171,
  [3227] = 155,
  [3228] = 327,
  [3229] = 192,
  [3230] = 254,
  [3231] = 228,
  [3232] = 153,
  [3233] = 328,
  [3234] = 197,
  [3235] = 317,
  [3236] = 150,
  [3237] = 162,
  [3238] = 407,
  [3239] = 152,
  [3240] = 318,
  [3241] = 156,
  [3242] = 157,
  [3243] = 191,
  [3244] = 181,
  [3245] = 317,
  [3246] = 328,
  [3247] = 327,
  [3248] = 560,
  [3249] = 560,
  [3250] = 125,
  [3251] = 206,
  [3252] = 394,
  [3253] = 312,
  [3254] = 168,
  [3255] = 169,
  [3256] = 329,
  [3257] = 311,
  [3258] = 399,
  [3259] = 401,
  [3260] = 404,
  [3261] = 411,
  [3262] = 209,
  [3263] = 243,
  [3264] = 86,
  [3265] = 244,
  [3266] = 245,
  [3267] = 523,
  [3268] = 246,
  [3269] = 326,
  [3270] = 248,
  [3271] = 170,
  [3272] = 324,
  [3273] = 249,
  [3274] = 316,
  [3275] = 250,
  [3276] = 221,
  [3277] = 261,
  [3278] = 323,
  [3279] = 273,
  [3280] = 283,
  [3281] = 324,
  [3282] = 280,
  [3283] = 326,
  [3284] = 551,
  [3285] = 279,
  [3286] = 278,
  [3287] = 425,
  [3288] = 323,
  [3289] = 286,
  [3290] = 356,
  [3291] = 125,
  [3292] = 316,
  [3293] = 348,
  [3294] = 346,
  [3295] = 343,
  [3296] = 342,
  [3297] = 233,
  [3298] = 330,
  [3299] = 329,
  [3300] = 171,
  [3301] = 439,
  [3302] = 173,
  [3303] = 231,
  [3304] = 229,
  [3305] = 224,
  [3306] = 225,
  [3307] = 227,
  [3308] = 330,
  [3309] = 222,
  [3310] = 367,
  [3311] = 368,
  [3312] = 326,
  [3313] = 523,
  [3314] = 371,
  [3315] = 230,
  [3316] = 125,
  [3317] = 226,
  [3318] = 324,
  [3319] = 323,
  [3320] = 316,
  [3321] = 235,
  [3322] = 172,
  [3323] = 175,
  [3324] = 242,
  [3325] = 178,
  [3326] = 174,
  [3327] = 176,
  [3328] = 392,
  [3329] = 252,
  [3330] = 504,
  [3331] = 253,
  [3332] = 266,
  [3333] = 315,
  [3334] = 269,
  [3335] = 271,
  [3336] = 320,
  [3337] = 84,
  [3338] = 504,
  [3339] = 523,
  [3340] = 314,
  [3341] = 197,
  [3342] = 318,
  [3343] = 1138,
  [3344] = 551,
  [3345] = 311,
  [3346] = 212,
  [3347] = 207,
  [3348] = 317,
  [3349] = 328,
  [3350] = 285,
  [3351] = 284,
  [3352] = 504,
  [3353] = 327,
  [3354] = 195,
  [3355] = 2636,
  [3356] = 846,
  [3357] = 317,
  [3358] = 321,
  [3359] = 309,
  [3360] = 328,
  [3361] = 327,
  [3362] = 85,
  [3363] = 322,
  [3364] = 168,
  [3365] = 169,
  [3366] = 204,
  [3367] = 857,
  [3368] = 287,
  [3369] = 213,
  [3370] = 208,
  [3371] = 325,
  [3372] = 194,
  [3373] = 195,
  [3374] = 170,
  [3375] = 194,
  [3376] = 208,
  [3377] = 213,
  [3378] = 560,
  [3379] = 193,
  [3380] = 290,
  [3381] = 321,
  [3382] = 209,
  [3383] = 309,
  [3384] = 206,
  [3385] = 1138,
  [3386] = 289,
  [3387] = 322,
  [3388] = 168,
  [3389] = 312,
  [3390] = 160,
  [3391] = 164,
  [3392] = 312,
  [3393] = 181,
  [3394] = 169,
  [3395] = 170,
  [3396] = 191,
  [3397] = 192,
  [3398] = 218,
  [3399] = 217,
  [3400] = 215,
  [3401] = 214,
  [3402] = 196,
  [3403] = 180,
  [3404] = 204,
  [3405] = 179,
  [3406] = 201,
  [3407] = 188,
  [3408] = 219,
  [3409] = 216,
  [3410] = 211,
  [3411] = 185,
  [3412] = 183,
  [3413] = 210,
  [3414] = 203,
  [3415] = 715,
  [3416] = 202,
  [3417] = 715,
  [3418] = 198,
  [3419] = 199,
  [3420] = 182,
  [3421] = 184,
  [3422] = 186,
  [3423] = 2766,
  [3424] = 190,
  [3425] = 189,
  [3426] = 325,
  [3427] = 187,
  [3428] = 198,
  [3429] = 199,
  [3430] = 182,
  [3431] = 200,
  [3432] = 786,
  [3433] = 308,
  [3434] = 822,
  [3435] = 560,
  [3436] = 184,
  [3437] = 236,
  [3438] = 820,
  [3439] = 237,
  [3440] = 238,
  [3441] = 312,
  [3442] = 220,
  [3443] = 207,
  [3444] = 239,
  [3445] = 889,
  [3446] = 240,
  [3447] = 186,
  [3448] = 807,
  [3449] = 241,
  [3450] = 795,
  [3451] = 776,
  [3452] = 894,
  [3453] = 247,
  [3454] = 886,
  [3455] = 187,
  [3456] = 884,
  [3457] = 857,
  [3458] = 270,
  [3459] = 278,
  [3460] = 189,
  [3461] = 1138,
  [3462] = 223,
  [3463] = 190,
  [3464] = 212,
  [3465] = 259,
  [3466] = 846,
  [3467] = 831,
  [3468] = 260,
  [3469] = 775,
  [3470] = 784,
  [3471] = 789,
  [3472] = 715,
  [3473] = 263,
  [3474] = 281,
  [3475] = 148,
  [3476] = 282,
  [3477] = 86,
  [3478] = 149,
  [3479] = 883,
  [3480] = 307,
  [3481] = 306,
  [3482] = 785,
  [3483] = 183,
  [3484] = 251,
  [3485] = 843,
  [3486] = 302,
  [3487] = 87,
  [3488] = 305,
  [3489] = 277,
  [3490] = 276,
  [3491] = 204,
  [3492] = 274,
  [3493] = 272,
  [3494] = 279,
  [3495] = 876,
  [3496] = 202,
  [3497] = 203,
  [3498] = 330,
  [3499] = 280,
  [3500] = 213,
  [3501] = 392,
  [3502] = 903,
  [3503] = 255,
  [3504] = 256,
  [3505] = 257,
  [3506] = 85,
  [3507] = 258,
  [3508] = 262,
  [3509] = 264,
  [3510] = 265,
  [3511] = 267,
  [3512] = 268,
  [3513] = 208,
  [3514] = 275,
  [3515] = 194,
  [3516] = 234,
  [3517] = 232,
  [3518] = 210,
  [3519] = 407,
  [3520] = 195,
  [3521] = 298,
  [3522] = 84,
  [3523] = 254,
  [3524] = 284,
  [3525] = 228,
  [3526] = 283,
  [3527] = 200,
  [3528] = 211,
  [3529] = 216,
  [3530] = 394,
  [3531] = 683,
  [3532] = 219,
  [3533] = 188,
  [3534] = 399,
  [3535] = 86,
  [3536] = 404,
  [3537] = 411,
  [3538] = 327,
  [3539] = 243,
  [3540] = 560,
  [3541] = 244,
  [3542] = 245,
  [3543] = 246,
  [3544] = 197,
  [3545] = 304,
  [3546] = 248,
  [3547] = 249,
  [3548] = 250,
  [3549] = 212,
  [3550] = 328,
  [3551] = 221,
  [3552] = 261,
  [3553] = 207,
  [3554] = 317,
  [3555] = 273,
  [3556] = 819,
  [3557] = 283,
  [3558] = 821,
  [3559] = 197,
  [3560] = 280,
  [3561] = 185,
  [3562] = 279,
  [3563] = 233,
  [3564] = 231,
  [3565] = 278,
  [3566] = 273,
  [3567] = 365,
  [3568] = 214,
  [3569] = 551,
  [3570] = 201,
  [3571] = 215,
  [3572] = 2766,
  [3573] = 316,
  [3574] = 323,
  [3575] = 551,
  [3576] = 324,
  [3577] = 217,
  [3578] = 218,
  [3579] = 797,
  [3580] = 233,
  [3581] = 231,
  [3582] = 204,
  [3583] = 301,
  [3584] = 213,
  [3585] = 229,
  [3586] = 208,
  [3587] = 224,
  [3588] = 194,
  [3589] = 225,
  [3590] = 195,
  [3591] = 227,
  [3592] = 222,
  [3593] = 810,
  [3594] = 326,
  [3595] = 329,
  [3596] = 229,
  [3597] = 224,
  [3598] = 900,
  [3599] = 230,
  [3600] = 226,
  [3601] = 862,
  [3602] = 235,
  [3603] = 225,
  [3604] = 200,
  [3605] = 242,
  [3606] = 261,
  [3607] = 227,
  [3608] = 252,
  [3609] = 253,
  [3610] = 311,
  [3611] = 125,
  [3612] = 266,
  [3613] = 269,
  [3614] = 271,
  [3615] = 222,
  [3616] = 523,
  [3617] = 88,
  [3618] = 192,
  [3619] = 221,
  [3620] = 551,
  [3621] = 315,
  [3622] = 299,
  [3623] = 250,
  [3624] = 856,
  [3625] = 191,
  [3626] = 320,
  [3627] = 297,
  [3628] = 181,
  [3629] = 314,
  [3630] = 249,
  [3631] = 248,
  [3632] = 180,
  [3633] = 401,
  [3634] = 196,
  [3635] = 303,
  [3636] = 193,
  [3637] = 246,
  [3638] = 296,
  [3639] = 300,
  [3640] = 811,
  [3641] = 209,
  [3642] = 206,
  [3643] = 376,
  [3644] = 245,
  [3645] = 793,
  [3646] = 244,
  [3647] = 373,
  [3648] = 243,
  [3649] = 318,
  [3650] = 364,
  [3651] = 174,
  [3652] = 181,
  [3653] = 551,
  [3654] = 191,
  [3655] = 197,
  [3656] = 859,
  [3657] = 212,
  [3658] = 207,
  [3659] = 371,
  [3660] = 368,
  [3661] = 367,
  [3662] = 791,
  [3663] = 560,
  [3664] = 321,
  [3665] = 715,
  [3666] = 263,
  [3667] = 260,
  [3668] = 259,
  [3669] = 715,
  [3670] = 504,
  [3671] = 683,
  [3672] = 193,
  [3673] = 173,
  [3674] = 271,
  [3675] = 196,
  [3676] = 269,
  [3677] = 171,
  [3678] = 206,
  [3679] = 204,
  [3680] = 180,
  [3681] = 309,
  [3682] = 213,
  [3683] = 504,
  [3684] = 208,
  [3685] = 266,
  [3686] = 194,
  [3687] = 195,
  [3688] = 253,
  [3689] = 252,
  [3690] = 209,
  [3691] = 683,
  [3692] = 192,
  [3693] = 201,
  [3694] = 218,
  [3695] = 188,
  [3696] = 88,
  [3697] = 217,
  [3698] = 219,
  [3699] = 228,
  [3700] = 254,
  [3701] = 216,
  [3702] = 215,
  [3703] = 214,
  [3704] = 223,
  [3705] = 242,
  [3706] = 185,
  [3707] = 85,
  [3708] = 84,
  [3709] = 392,
  [3710] = 393,
  [3711] = 183,
  [3712] = 322,
  [3713] = 170,
  [3714] = 190,
  [3715] = 189,
  [3716] = 187,
  [3717] = 211,
  [3718] = 551,
  [3719] = 232,
  [3720] = 186,
  [3721] = 234,
  [3722] = 275,
  [3723] = 210,
  [3724] = 393,
  [3725] = 203,
  [3726] = 371,
  [3727] = 184,
  [3728] = 368,
  [3729] = 182,
  [3730] = 202,
  [3731] = 356,
  [3732] = 179,
  [3733] = 198,
  [3734] = 199,
  [3735] = 182,
  [3736] = 184,
  [3737] = 186,
  [3738] = 187,
  [3739] = 199,
  [3740] = 189,
  [3741] = 190,
  [3742] = 560,
  [3743] = 198,
  [3744] = 286,
  [3745] = 235,
  [3746] = 268,
  [3747] = 202,
  [3748] = 267,
  [3749] = 203,
  [3750] = 437,
  [3751] = 348,
  [3752] = 365,
  [3753] = 325,
  [3754] = 183,
  [3755] = 185,
  [3756] = 210,
  [3757] = 211,
  [3758] = 216,
  [3759] = 219,
  [3760] = 149,
  [3761] = 148,
  [3762] = 214,
  [3763] = 215,
  [3764] = 367,
  [3765] = 346,
  [3766] = 217,
  [3767] = 218,
  [3768] = 192,
  [3769] = 188,
  [3770] = 265,
  [3771] = 2153,
  [3772] = 343,
  [3773] = 191,
  [3774] = 342,
  [3775] = 264,
  [3776] = 181,
  [3777] = 262,
  [3778] = 258,
  [3779] = 257,
  [3780] = 169,
  [3781] = 168,
  [3782] = 256,
  [3783] = 255,
  [3784] = 523,
  [3785] = 342,
  [3786] = 343,
  [3787] = 346,
  [3788] = 348,
  [3789] = 201,
  [3790] = 206,
  [3791] = 209,
  [3792] = 356,
  [3793] = 285,
  [3794] = 364,
  [3795] = 226,
  [3796] = 230,
  [3797] = 373,
  [3798] = 289,
  [3799] = 290,
  [3800] = 236,
  [3801] = 237,
  [3802] = 272,
  [3803] = 238,
  [3804] = 274,
  [3805] = 220,
  [3806] = 239,
  [3807] = 240,
  [3808] = 241,
  [3809] = 276,
  [3810] = 277,
  [3811] = 251,
  [3812] = 180,
  [3813] = 282,
  [3814] = 281,
  [3815] = 196,
  [3816] = 193,
  [3817] = 287,
  [3818] = 376,
  [3819] = 160,
  [3820] = 399,
  [3821] = 394,
  [3822] = 247,
  [3823] = 523,
  [3824] = 411,
  [3825] = 178,
  [3826] = 404,
  [3827] = 407,
  [3828] = 175,
  [3829] = 401,
  [3830] = 172,
  [3831] = 270,
  [3832] = 164,
  [3833] = 504,
  [3834] = 176,
  [3835] = 250,
  [3836] = 278,
  [3837] = 222,
  [3838] = 811,
  [3839] = 230,
  [3840] = 226,
  [3841] = 275,
  [3842] = 268,
  [3843] = 267,
  [3844] = 265,
  [3845] = 264,
  [3846] = 235,
  [3847] = 242,
  [3848] = 252,
  [3849] = 797,
  [3850] = 810,
  [3851] = 253,
  [3852] = 266,
  [3853] = 262,
  [3854] = 269,
  [3855] = 263,
  [3856] = 297,
  [3857] = 260,
  [3858] = 857,
  [3859] = 259,
  [3860] = 846,
  [3861] = 227,
  [3862] = 831,
  [3863] = 225,
  [3864] = 793,
  [3865] = 249,
  [3866] = 900,
  [3867] = 392,
  [3868] = 259,
  [3869] = 821,
  [3870] = 846,
  [3871] = 342,
  [3872] = 368,
  [3873] = 299,
  [3874] = 229,
  [3875] = 862,
  [3876] = 857,
  [3877] = 284,
  [3878] = 285,
  [3879] = 371,
  [3880] = 260,
  [3881] = 368,
  [3882] = 367,
  [3883] = 263,
  [3884] = 843,
  [3885] = 87,
  [3886] = 231,
  [3887] = 683,
  [3888] = 195,
  [3889] = 302,
  [3890] = 194,
  [3891] = 233,
  [3892] = 342,
  [3893] = 343,
  [3894] = 346,
  [3895] = 348,
  [3896] = 234,
  [3897] = 367,
  [3898] = 356,
  [3899] = 883,
  [3900] = 164,
  [3901] = 371,
  [3902] = 859,
  [3903] = 302,
  [3904] = 258,
  [3905] = 257,
  [3906] = 278,
  [3907] = 343,
  [3908] = 256,
  [3909] = 255,
  [3910] = 346,
  [3911] = 348,
  [3912] = 208,
  [3913] = 232,
  [3914] = 785,
  [3915] = 279,
  [3916] = 356,
  [3917] = 819,
  [3918] = 843,
  [3919] = 280,
  [3920] = 411,
  [3921] = 404,
  [3922] = 213,
  [3923] = 791,
  [3924] = 204,
  [3925] = 504,
  [3926] = 856,
  [3927] = 299,
  [3928] = 791,
  [3929] = 88,
  [3930] = 297,
  [3931] = 283,
  [3932] = 193,
  [3933] = 273,
  [3934] = 859,
  [3935] = 196,
  [3936] = 272,
  [3937] = 903,
  [3938] = 180,
  [3939] = 401,
  [3940] = 843,
  [3941] = 785,
  [3942] = 399,
  [3943] = 394,
  [3944] = 86,
  [3945] = 261,
  [3946] = 407,
  [3947] = 263,
  [3948] = 304,
  [3949] = 876,
  [3950] = 221,
  [3951] = 286,
  [3952] = 260,
  [3953] = 250,
  [3954] = 789,
  [3955] = 287,
  [3956] = 248,
  [3957] = 259,
  [3958] = 304,
  [3959] = 883,
  [3960] = 392,
  [3961] = 246,
  [3962] = 411,
  [3963] = 404,
  [3964] = 831,
  [3965] = 223,
  [3966] = 254,
  [3967] = 228,
  [3968] = 846,
  [3969] = 245,
  [3970] = 2636,
  [3971] = 244,
  [3972] = 274,
  [3973] = 393,
  [3974] = 201,
  [3975] = 243,
  [3976] = 188,
  [3977] = 784,
  [3978] = 219,
  [3979] = 775,
  [3980] = 216,
  [3981] = 224,
  [3982] = 211,
  [3983] = 821,
  [3984] = 819,
  [3985] = 407,
  [3986] = 789,
  [3987] = 210,
  [3988] = 784,
  [3989] = 203,
  [3990] = 202,
  [3991] = 160,
  [3992] = 276,
  [3993] = 277,
  [3994] = 715,
  [3995] = 198,
  [3996] = 199,
  [3997] = 182,
  [3998] = 184,
  [3999] = 186,
  [4000] = 187,
  [4001] = 793,
  [4002] = 189,
  [4003] = 190,
  [4004] = 223,
  [4005] = 271,
  [4006] = 903,
  [4007] = 857,
  [4008] = 401,
  [4009] = 399,
  [4010] = 394,
  [4011] = 2424,
  [4012] = 236,
  [4013] = 298,
  [4014] = 876,
  [4015] = 793,
  [4016] = 437,
  [4017] = 269,
  [4018] = 237,
  [4019] = 238,
  [4020] = 220,
  [4021] = 266,
  [4022] = 298,
  [4023] = 376,
  [4024] = 251,
  [4025] = 775,
  [4026] = 373,
  [4027] = 207,
  [4028] = 256,
  [4029] = 212,
  [4030] = 364,
  [4031] = 253,
  [4032] = 252,
  [4033] = 822,
  [4034] = 811,
  [4035] = 820,
  [4036] = 223,
  [4037] = 228,
  [4038] = 254,
  [4039] = 200,
  [4040] = 197,
  [4041] = 889,
  [4042] = 148,
  [4043] = 407,
  [4044] = 856,
  [4045] = 183,
  [4046] = 185,
  [4047] = 392,
  [4048] = 862,
  [4049] = 393,
  [4050] = 239,
  [4051] = 240,
  [4052] = 884,
  [4053] = 241,
  [4054] = 247,
  [4055] = 270,
  [4056] = 560,
  [4057] = 149,
  [4058] = 393,
  [4059] = 214,
  [4060] = 215,
  [4061] = 217,
  [4062] = 218,
  [4063] = 192,
  [4064] = 242,
  [4065] = 235,
  [4066] = 862,
  [4067] = 191,
  [4068] = 181,
  [4069] = 365,
  [4070] = 394,
  [4071] = 886,
  [4072] = 304,
  [4073] = 282,
  [4074] = 281,
  [4075] = 88,
  [4076] = 900,
  [4077] = 776,
  [4078] = 795,
  [4079] = 290,
  [4080] = 810,
  [4081] = 289,
  [4082] = 399,
  [4083] = 797,
  [4084] = 298,
  [4085] = 401,
  [4086] = 821,
  [4087] = 819,
  [4088] = 807,
  [4089] = 900,
  [4090] = 206,
  [4091] = 209,
  [4092] = 236,
  [4093] = 308,
  [4094] = 307,
  [4095] = 255,
  [4096] = 256,
  [4097] = 281,
  [4098] = 365,
  [4099] = 282,
  [4100] = 306,
  [4101] = 305,
  [4102] = 237,
  [4103] = 894,
  [4104] = 903,
  [4105] = 2560,
  [4106] = 876,
  [4107] = 376,
  [4108] = 226,
  [4109] = 894,
  [4110] = 437,
  [4111] = 230,
  [4112] = 889,
  [4113] = 251,
  [4114] = 371,
  [4115] = 277,
  [4116] = 257,
  [4117] = 820,
  [4118] = 368,
  [4119] = 367,
  [4120] = 2468,
  [4121] = 222,
  [4122] = 276,
  [4123] = 2472,
  [4124] = 274,
  [4125] = 304,
  [4126] = 298,
  [4127] = 308,
  [4128] = 307,
  [4129] = 272,
  [4130] = 393,
  [4131] = 289,
  [4132] = 290,
  [4133] = 822,
  [4134] = 247,
  [4135] = 859,
  [4136] = 373,
  [4137] = 364,
  [4138] = 306,
  [4139] = 305,
  [4140] = 683,
  [4141] = 373,
  [4142] = 376,
  [4143] = 715,
  [4144] = 683,
  [4145] = 301,
  [4146] = 300,
  [4147] = 523,
  [4148] = 258,
  [4149] = 296,
  [4150] = 404,
  [4151] = 243,
  [4152] = 303,
  [4153] = 255,
  [4154] = 786,
  [4155] = 302,
  [4156] = 297,
  [4157] = 270,
  [4158] = 262,
  [4159] = 272,
  [4160] = 227,
  [4161] = 274,
  [4162] = 225,
  [4163] = 301,
  [4164] = 257,
  [4165] = 276,
  [4166] = 300,
  [4167] = 302,
  [4168] = 376,
  [4169] = 258,
  [4170] = 262,
  [4171] = 373,
  [4172] = 264,
  [4173] = 265,
  [4174] = 296,
  [4175] = 267,
  [4176] = 277,
  [4177] = 251,
  [4178] = 268,
  [4179] = 275,
  [4180] = 364,
  [4181] = 282,
  [4182] = 281,
  [4183] = 234,
  [4184] = 232,
  [4185] = 303,
  [4186] = 894,
  [4187] = 224,
  [4188] = 889,
  [4189] = 238,
  [4190] = 164,
  [4191] = 160,
  [4192] = 200,
  [4193] = 220,
  [4194] = 820,
  [4195] = 822,
  [4196] = 425,
  [4197] = 2448,
  [4198] = 200,
  [4199] = 2447,
  [4200] = 308,
  [4201] = 683,
  [4202] = 307,
  [4203] = 287,
  [4204] = 308,
  [4205] = 307,
  [4206] = 306,
  [4207] = 264,
  [4208] = 306,
  [4209] = 254,
  [4210] = 228,
  [4211] = 305,
  [4212] = 407,
  [4213] = 265,
  [4214] = 305,
  [4215] = 229,
  [4216] = 394,
  [4217] = 399,
  [4218] = 235,
  [4219] = 401,
  [4220] = 239,
  [4221] = 786,
  [4222] = 284,
  [4223] = 267,
  [4224] = 404,
  [4225] = 411,
  [4226] = 268,
  [4227] = 411,
  [4228] = 243,
  [4229] = 285,
  [4230] = 244,
  [4231] = 245,
  [4232] = 246,
  [4233] = 248,
  [4234] = 365,
  [4235] = 249,
  [4236] = 250,
  [4237] = 231,
  [4238] = 299,
  [4239] = 221,
  [4240] = 261,
  [4241] = 273,
  [4242] = 275,
  [4243] = 283,
  [4244] = 364,
  [4245] = 280,
  [4246] = 279,
  [4247] = 2568,
  [4248] = 233,
  [4249] = 299,
  [4250] = 234,
  [4251] = 356,
  [4252] = 365,
  [4253] = 232,
  [4254] = 348,
  [4255] = 297,
  [4256] = 715,
  [4257] = 346,
  [4258] = 299,
  [4259] = 343,
  [4260] = 270,
  [4261] = 342,
  [4262] = 233,
  [4263] = 231,
  [4264] = 342,
  [4265] = 229,
  [4266] = 224,
  [4267] = 297,
  [4268] = 225,
  [4269] = 343,
  [4270] = 346,
  [4271] = 227,
  [4272] = 2545,
  [4273] = 348,
  [4274] = 884,
  [4275] = 222,
  [4276] = 367,
  [4277] = 368,
  [4278] = 371,
  [4279] = 230,
  [4280] = 226,
  [4281] = 551,
  [4282] = 149,
  [4283] = 148,
  [4284] = 437,
  [4285] = 242,
  [4286] = 811,
  [4287] = 392,
  [4288] = 247,
  [4289] = 252,
  [4290] = 301,
  [4291] = 300,
  [4292] = 356,
  [4293] = 253,
  [4294] = 266,
  [4295] = 84,
  [4296] = 269,
  [4297] = 886,
  [4298] = 271,
  [4299] = 296,
  [4300] = 244,
  [4301] = 715,
  [4302] = 240,
  [4303] = 278,
  [4304] = 304,
  [4305] = 245,
  [4306] = 241,
  [4307] = 298,
  [4308] = 246,
  [4309] = 883,
  [4310] = 240,
  [4311] = 248,
  [4312] = 239,
  [4313] = 789,
  [4314] = 220,
  [4315] = 784,
  [4316] = 238,
  [4317] = 775,
  [4318] = 249,
  [4319] = 221,
  [4320] = 261,
  [4321] = 237,
  [4322] = 308,
  [4323] = 786,
  [4324] = 303,
  [4325] = 307,
  [4326] = 85,
  [4327] = 856,
  [4328] = 236,
  [4329] = 306,
  [4330] = 305,
  [4331] = 273,
  [4332] = 149,
  [4333] = 148,
  [4334] = 283,
  [4335] = 280,
  [4336] = 807,
  [4337] = 271,
  [4338] = 795,
  [4339] = 884,
  [4340] = 886,
  [4341] = 241,
  [4342] = 797,
  [4343] = 776,
  [4344] = 286,
  [4345] = 795,
  [4346] = 810,
  [4347] = 791,
  [4348] = 301,
  [4349] = 807,
  [4350] = 300,
  [4351] = 302,
  [4352] = 296,
  [4353] = 303,
  [4354] = 303,
  [4355] = 296,
  [4356] = 776,
  [4357] = 279,
  [4358] = 300,
  [4359] = 301,
  [4360] = 820,
  [4361] = 884,
  [4362] = 330,
  [4363] = 304,
  [4364] = 298,
  [4365] = 903,
  [4366] = 437,
  [4367] = 87,
  [4368] = 308,
  [4369] = 307,
  [4370] = 306,
  [4371] = 305,
  [4372] = 125,
  [4373] = 312,
  [4374] = 821,
  [4375] = 797,
  [4376] = 810,
  [4377] = 301,
  [4378] = 425,
  [4379] = 900,
  [4380] = 300,
  [4381] = 87,
  [4382] = 302,
  [4383] = 296,
  [4384] = 303,
  [4385] = 785,
  [4386] = 287,
  [4387] = 807,
  [4388] = 411,
  [4389] = 683,
  [4390] = 164,
  [4391] = 160,
  [4392] = 795,
  [4393] = 4393,
  [4394] = 303,
  [4395] = 776,
  [4396] = 296,
  [4397] = 884,
  [4398] = 302,
  [4399] = 300,
  [4400] = 301,
  [4401] = 305,
  [4402] = 775,
  [4403] = 793,
  [4404] = 200,
  [4405] = 883,
  [4406] = 784,
  [4407] = 297,
  [4408] = 307,
  [4409] = 789,
  [4410] = 784,
  [4411] = 775,
  [4412] = 789,
  [4413] = 308,
  [4414] = 819,
  [4415] = 284,
  [4416] = 298,
  [4417] = 304,
  [4418] = 285,
  [4419] = 822,
  [4420] = 437,
  [4421] = 886,
  [4422] = 776,
  [4423] = 795,
  [4424] = 807,
  [4425] = 886,
  [4426] = 287,
  [4427] = 286,
  [4428] = 811,
  [4429] = 393,
  [4430] = 831,
  [4431] = 883,
  [4432] = 290,
  [4433] = 786,
  [4434] = 846,
  [4435] = 789,
  [4436] = 903,
  [4437] = 876,
  [4438] = 791,
  [4439] = 822,
  [4440] = 820,
  [4441] = 859,
  [4442] = 889,
  [4443] = 894,
  [4444] = 784,
  [4445] = 297,
  [4446] = 843,
  [4447] = 299,
  [4448] = 775,
  [4449] = 862,
  [4450] = 884,
  [4451] = 289,
  [4452] = 793,
  [4453] = 776,
  [4454] = 795,
  [4455] = 786,
  [4456] = 327,
  [4457] = 856,
  [4458] = 392,
  [4459] = 876,
  [4460] = 903,
  [4461] = 886,
  [4462] = 285,
  [4463] = 894,
  [4464] = 883,
  [4465] = 263,
  [4466] = 328,
  [4467] = 260,
  [4468] = 371,
  [4469] = 317,
  [4470] = 259,
  [4471] = 284,
  [4472] = 876,
  [4473] = 819,
  [4474] = 821,
  [4475] = 284,
  [4476] = 316,
  [4477] = 323,
  [4478] = 324,
  [4479] = 285,
  [4480] = 326,
  [4481] = 329,
  [4482] = 889,
  [4483] = 245,
  [4484] = 149,
  [4485] = 368,
  [4486] = 148,
  [4487] = 2636,
  [4488] = 287,
  [4489] = 160,
  [4490] = 164,
  [4491] = 223,
  [4492] = 857,
  [4493] = 290,
  [4494] = 271,
  [4495] = 269,
  [4496] = 266,
  [4497] = 786,
  [4498] = 315,
  [4499] = 253,
  [4500] = 289,
  [4501] = 320,
  [4502] = 715,
  [4503] = 820,
  [4504] = 252,
  [4505] = 791,
  [4506] = 894,
  [4507] = 367,
  [4508] = 889,
  [4509] = 314,
  [4510] = 306,
  [4511] = 299,
  [4512] = 807,
  [4513] = 318,
  [4514] = 311,
  [4515] = 242,
  [4516] = 365,
  [4517] = 822,
  [4518] = 811,
  [4519] = 797,
  [4520] = 810,
  [4521] = 226,
  [4522] = 900,
  [4523] = 862,
  [4524] = 230,
  [4525] = 2766,
  [4526] = 822,
  [4527] = 820,
  [4528] = 290,
  [4529] = 289,
  [4530] = 889,
  [4531] = 894,
  [4532] = 235,
  [4533] = 236,
  [4534] = 364,
  [4535] = 321,
  [4536] = 309,
  [4537] = 237,
  [4538] = 342,
  [4539] = 238,
  [4540] = 220,
  [4541] = 373,
  [4542] = 322,
  [4543] = 791,
  [4544] = 239,
  [4545] = 240,
  [4546] = 241,
  [4547] = 247,
  [4548] = 270,
  [4549] = 876,
  [4550] = 903,
  [4551] = 859,
  [4552] = 222,
  [4553] = 227,
  [4554] = 225,
  [4555] = 224,
  [4556] = 229,
  [4557] = 231,
  [4558] = 233,
  [4559] = 862,
  [4560] = 376,
  [4561] = 343,
  [4562] = 856,
  [4563] = 793,
  [4564] = 843,
  [4565] = 859,
  [4566] = 164,
  [4567] = 278,
  [4568] = 160,
  [4569] = 819,
  [4570] = 785,
  [4571] = 821,
  [4572] = 2545,
  [4573] = 281,
  [4574] = 2568,
  [4575] = 282,
  [4576] = 251,
  [4577] = 277,
  [4578] = 325,
  [4579] = 346,
  [4580] = 276,
  [4581] = 274,
  [4582] = 2447,
  [4583] = 2448,
  [4584] = 407,
  [4585] = 348,
  [4586] = 831,
  [4587] = 846,
  [4588] = 272,
  [4589] = 797,
  [4590] = 810,
  [4591] = 857,
  [4592] = 279,
  [4593] = 394,
  [4594] = 811,
  [4595] = 399,
  [4596] = 900,
  [4597] = 286,
  [4598] = 280,
  [4599] = 88,
  [4600] = 856,
  [4601] = 810,
  [4602] = 797,
  [4603] = 2472,
  [4604] = 2468,
  [4605] = 286,
  [4606] = 793,
  [4607] = 283,
  [4608] = 273,
  [4609] = 883,
  [4610] = 437,
  [4611] = 261,
  [4612] = 221,
  [4613] = 437,
  [4614] = 250,
  [4615] = 859,
  [4616] = 249,
  [4617] = 248,
  [4618] = 791,
  [4619] = 246,
  [4620] = 900,
  [4621] = 862,
  [4622] = 255,
  [4623] = 821,
  [4624] = 4393,
  [4625] = 256,
  [4626] = 356,
  [4627] = 789,
  [4628] = 784,
  [4629] = 786,
  [4630] = 257,
  [4631] = 401,
  [4632] = 258,
  [4633] = 775,
  [4634] = 2424,
  [4635] = 262,
  [4636] = 264,
  [4637] = 265,
  [4638] = 267,
  [4639] = 268,
  [4640] = 275,
  [4641] = 234,
  [4642] = 884,
  [4643] = 886,
  [4644] = 232,
  [4645] = 776,
  [4646] = 819,
  [4647] = 254,
  [4648] = 228,
  [4649] = 856,
  [4650] = 843,
  [4651] = 785,
  [4652] = 795,
  [4653] = 807,
  [4654] = 831,
  [4655] = 846,
  [4656] = 404,
  [4657] = 857,
  [4658] = 811,
  [4659] = 243,
  [4660] = 244,
  [4661] = 148,
  [4662] = 789,
  [4663] = 579,
  [4664] = 285,
  [4665] = 749,
  [4666] = 284,
  [4667] = 862,
  [4668] = 2766,
  [4669] = 287,
  [4670] = 4670,
  [4671] = 856,
  [4672] = 290,
  [4673] = 289,
  [4674] = 884,
  [4675] = 286,
  [4676] = 523,
  [4677] = 164,
  [4678] = 147,
  [4679] = 147,
  [4680] = 160,
  [4681] = 149,
  [4682] = 900,
  [4683] = 639,
  [4684] = 504,
  [4685] = 857,
  [4686] = 846,
  [4687] = 87,
  [4688] = 148,
  [4689] = 149,
  [4690] = 297,
  [4691] = 831,
  [4692] = 785,
  [4693] = 775,
  [4694] = 843,
  [4695] = 299,
  [4696] = 678,
  [4697] = 784,
  [4698] = 810,
  [4699] = 886,
  [4700] = 797,
  [4701] = 821,
  [4702] = 819,
  [4703] = 437,
  [4704] = 712,
  [4705] = 811,
  [4706] = 883,
  [4707] = 876,
  [4708] = 551,
  [4709] = 298,
  [4710] = 304,
  [4711] = 303,
  [4712] = 296,
  [4713] = 302,
  [4714] = 300,
  [4715] = 301,
  [4716] = 786,
  [4717] = 722,
  [4718] = 822,
  [4719] = 820,
  [4720] = 791,
  [4721] = 4393,
  [4722] = 889,
  [4723] = 894,
  [4724] = 793,
  [4725] = 903,
  [4726] = 859,
  [4727] = 776,
  [4728] = 308,
  [4729] = 305,
  [4730] = 807,
  [4731] = 306,
  [4732] = 307,
  [4733] = 795,
  [4734] = 160,
  [4735] = 164,
  [4736] = 365,
  [4737] = 364,
  [4738] = 343,
  [4739] = 393,
  [4740] = 373,
  [4741] = 376,
  [4742] = 407,
  [4743] = 2636,
  [4744] = 161,
  [4745] = 147,
  [4746] = 399,
  [4747] = 432,
  [4748] = 165,
  [4749] = 439,
  [4750] = 683,
  [4751] = 401,
  [4752] = 155,
  [4753] = 439,
  [4754] = 404,
  [4755] = 153,
  [4756] = 411,
  [4757] = 161,
  [4758] = 356,
  [4759] = 432,
  [4760] = 158,
  [4761] = 348,
  [4762] = 346,
  [4763] = 342,
  [4764] = 157,
  [4765] = 165,
  [4766] = 167,
  [4767] = 166,
  [4768] = 151,
  [4769] = 163,
  [4770] = 163,
  [4771] = 151,
  [4772] = 147,
  [4773] = 158,
  [4774] = 367,
  [4775] = 368,
  [4776] = 371,
  [4777] = 167,
  [4778] = 149,
  [4779] = 148,
  [4780] = 149,
  [4781] = 148,
  [4782] = 160,
  [4783] = 164,
  [4784] = 425,
  [4785] = 392,
  [4786] = 155,
  [4787] = 150,
  [4788] = 153,
  [4789] = 150,
  [4790] = 162,
  [4791] = 152,
  [4792] = 394,
  [4793] = 157,
  [4794] = 166,
  [4795] = 156,
  [4796] = 152,
  [4797] = 156,
  [4798] = 162,
  [4799] = 795,
  [4800] = 157,
  [4801] = 439,
  [4802] = 432,
  [4803] = 432,
  [4804] = 2636,
  [4805] = 179,
  [4806] = 172,
  [4807] = 876,
  [4808] = 312,
  [4809] = 175,
  [4810] = 178,
  [4811] = 174,
  [4812] = 176,
  [4813] = 903,
  [4814] = 819,
  [4815] = 821,
  [4816] = 168,
  [4817] = 169,
  [4818] = 797,
  [4819] = 810,
  [4820] = 170,
  [4821] = 900,
  [4822] = 862,
  [4823] = 2636,
  [4824] = 894,
  [4825] = 325,
  [4826] = 889,
  [4827] = 322,
  [4828] = 309,
  [4829] = 820,
  [4830] = 321,
  [4831] = 173,
  [4832] = 775,
  [4833] = 822,
  [4834] = 171,
  [4835] = 160,
  [4836] = 164,
  [4837] = 160,
  [4838] = 164,
  [4839] = 4839,
  [4840] = 856,
  [4841] = 311,
  [4842] = 171,
  [4843] = 173,
  [4844] = 432,
  [4845] = 318,
  [4846] = 439,
  [4847] = 314,
  [4848] = 320,
  [4849] = 811,
  [4850] = 4850,
  [4851] = 793,
  [4852] = 315,
  [4853] = 4853,
  [4854] = 859,
  [4855] = 791,
  [4856] = 161,
  [4857] = 165,
  [4858] = 167,
  [4859] = 166,
  [4860] = 151,
  [4861] = 163,
  [4862] = 158,
  [4863] = 843,
  [4864] = 179,
  [4865] = 155,
  [4866] = 153,
  [4867] = 125,
  [4868] = 150,
  [4869] = 162,
  [4870] = 152,
  [4871] = 156,
  [4872] = 157,
  [4873] = 439,
  [4874] = 786,
  [4875] = 329,
  [4876] = 326,
  [4877] = 324,
  [4878] = 323,
  [4879] = 846,
  [4880] = 316,
  [4881] = 857,
  [4882] = 330,
  [4883] = 161,
  [4884] = 425,
  [4885] = 807,
  [4886] = 165,
  [4887] = 170,
  [4888] = 172,
  [4889] = 175,
  [4890] = 178,
  [4891] = 174,
  [4892] = 176,
  [4893] = 776,
  [4894] = 167,
  [4895] = 166,
  [4896] = 151,
  [4897] = 163,
  [4898] = 327,
  [4899] = 886,
  [4900] = 158,
  [4901] = 155,
  [4902] = 328,
  [4903] = 317,
  [4904] = 156,
  [4905] = 883,
  [4906] = 168,
  [4907] = 169,
  [4908] = 789,
  [4909] = 152,
  [4910] = 162,
  [4911] = 784,
  [4912] = 150,
  [4913] = 153,
  [4914] = 4914,
  [4915] = 88,
  [4916] = 884,
  [4917] = 437,
  [4918] = 4918,
  [4919] = 218,
  [4920] = 4918,
  [4921] = 207,
  [4922] = 212,
  [4923] = 197,
  [4924] = 4918,
  [4925] = 173,
  [4926] = 171,
  [4927] = 4927,
  [4928] = 4918,
  [4929] = 4927,
  [4930] = 213,
  [4931] = 4927,
  [4932] = 4918,
  [4933] = 208,
  [4934] = 194,
  [4935] = 195,
  [4936] = 189,
  [4937] = 193,
  [4938] = 179,
  [4939] = 196,
  [4940] = 4850,
  [4941] = 560,
  [4942] = 4839,
  [4943] = 4918,
  [4944] = 172,
  [4945] = 4927,
  [4946] = 175,
  [4947] = 178,
  [4948] = 174,
  [4949] = 176,
  [4950] = 201,
  [4951] = 4853,
  [4952] = 188,
  [4953] = 4927,
  [4954] = 4918,
  [4955] = 219,
  [4956] = 216,
  [4957] = 211,
  [4958] = 4927,
  [4959] = 210,
  [4960] = 4918,
  [4961] = 168,
  [4962] = 169,
  [4963] = 170,
  [4964] = 504,
  [4965] = 173,
  [4966] = 171,
  [4967] = 316,
  [4968] = 203,
  [4969] = 202,
  [4970] = 198,
  [4971] = 199,
  [4972] = 182,
  [4973] = 184,
  [4974] = 186,
  [4975] = 187,
  [4976] = 190,
  [4977] = 4927,
  [4978] = 183,
  [4979] = 4927,
  [4980] = 185,
  [4981] = 4918,
  [4982] = 214,
  [4983] = 179,
  [4984] = 523,
  [4985] = 218,
  [4986] = 183,
  [4987] = 175,
  [4988] = 4918,
  [4989] = 178,
  [4990] = 4927,
  [4991] = 174,
  [4992] = 176,
  [4993] = 172,
  [4994] = 84,
  [4995] = 215,
  [4996] = 192,
  [4997] = 168,
  [4998] = 169,
  [4999] = 85,
  [5000] = 170,
  [5001] = 330,
  [5002] = 215,
  [5003] = 217,
  [5004] = 4927,
  [5005] = 204,
  [5006] = 192,
  [5007] = 217,
  [5008] = 2636,
  [5009] = 4927,
  [5010] = 191,
  [5011] = 4918,
  [5012] = 4918,
  [5013] = 125,
  [5014] = 4927,
  [5015] = 209,
  [5016] = 4918,
  [5017] = 181,
  [5018] = 88,
  [5019] = 206,
  [5020] = 206,
  [5021] = 185,
  [5022] = 209,
  [5023] = 4927,
  [5024] = 4918,
  [5025] = 180,
  [5026] = 551,
  [5027] = 325,
  [5028] = 322,
  [5029] = 4927,
  [5030] = 4927,
  [5031] = 149,
  [5032] = 309,
  [5033] = 148,
  [5034] = 147,
  [5035] = 214,
  [5036] = 86,
  [5037] = 4918,
  [5038] = 197,
  [5039] = 321,
  [5040] = 212,
  [5041] = 181,
  [5042] = 4918,
  [5043] = 207,
  [5044] = 4927,
  [5045] = 323,
  [5046] = 4918,
  [5047] = 4914,
  [5048] = 551,
  [5049] = 204,
  [5050] = 213,
  [5051] = 208,
  [5052] = 194,
  [5053] = 195,
  [5054] = 191,
  [5055] = 311,
  [5056] = 318,
  [5057] = 314,
  [5058] = 4927,
  [5059] = 320,
  [5060] = 315,
  [5061] = 312,
  [5062] = 324,
  [5063] = 193,
  [5064] = 196,
  [5065] = 180,
  [5066] = 560,
  [5067] = 201,
  [5068] = 188,
  [5069] = 149,
  [5070] = 148,
  [5071] = 219,
  [5072] = 216,
  [5073] = 211,
  [5074] = 210,
  [5075] = 203,
  [5076] = 147,
  [5077] = 202,
  [5078] = 198,
  [5079] = 199,
  [5080] = 182,
  [5081] = 184,
  [5082] = 186,
  [5083] = 187,
  [5084] = 326,
  [5085] = 189,
  [5086] = 190,
  [5087] = 4918,
  [5088] = 329,
  [5089] = 4927,
  [5090] = 327,
  [5091] = 328,
  [5092] = 317,
  [5093] = 191,
  [5094] = 217,
  [5095] = 5095,
  [5096] = 5096,
  [5097] = 5095,
  [5098] = 5098,
  [5099] = 5096,
  [5100] = 5100,
  [5101] = 393,
  [5102] = 5102,
  [5103] = 683,
  [5104] = 5102,
  [5105] = 5102,
  [5106] = 439,
  [5107] = 5096,
  [5108] = 5095,
  [5109] = 560,
  [5110] = 5096,
  [5111] = 5102,
  [5112] = 5100,
  [5113] = 5098,
  [5114] = 5114,
  [5115] = 5115,
  [5116] = 5095,
  [5117] = 5117,
  [5118] = 5118,
  [5119] = 5119,
  [5120] = 157,
  [5121] = 156,
  [5122] = 152,
  [5123] = 162,
  [5124] = 150,
  [5125] = 259,
  [5126] = 260,
  [5127] = 5102,
  [5128] = 504,
  [5129] = 263,
  [5130] = 5096,
  [5131] = 153,
  [5132] = 155,
  [5133] = 236,
  [5134] = 263,
  [5135] = 260,
  [5136] = 237,
  [5137] = 238,
  [5138] = 220,
  [5139] = 259,
  [5140] = 239,
  [5141] = 5095,
  [5142] = 5102,
  [5143] = 240,
  [5144] = 5095,
  [5145] = 241,
  [5146] = 5096,
  [5147] = 247,
  [5148] = 5096,
  [5149] = 270,
  [5150] = 5095,
  [5151] = 5151,
  [5152] = 200,
  [5153] = 223,
  [5154] = 5114,
  [5155] = 158,
  [5156] = 5102,
  [5157] = 5096,
  [5158] = 5095,
  [5159] = 163,
  [5160] = 281,
  [5161] = 282,
  [5162] = 5115,
  [5163] = 251,
  [5164] = 5102,
  [5165] = 277,
  [5166] = 276,
  [5167] = 274,
  [5168] = 272,
  [5169] = 715,
  [5170] = 236,
  [5171] = 5102,
  [5172] = 237,
  [5173] = 238,
  [5174] = 220,
  [5175] = 239,
  [5176] = 255,
  [5177] = 256,
  [5178] = 257,
  [5179] = 258,
  [5180] = 262,
  [5181] = 264,
  [5182] = 265,
  [5183] = 267,
  [5184] = 268,
  [5185] = 275,
  [5186] = 234,
  [5187] = 232,
  [5188] = 5117,
  [5189] = 151,
  [5190] = 166,
  [5191] = 167,
  [5192] = 165,
  [5193] = 240,
  [5194] = 254,
  [5195] = 5096,
  [5196] = 228,
  [5197] = 5197,
  [5198] = 241,
  [5199] = 5199,
  [5200] = 5095,
  [5201] = 247,
  [5202] = 270,
  [5203] = 432,
  [5204] = 267,
  [5205] = 243,
  [5206] = 244,
  [5207] = 245,
  [5208] = 5095,
  [5209] = 281,
  [5210] = 5118,
  [5211] = 246,
  [5212] = 248,
  [5213] = 282,
  [5214] = 249,
  [5215] = 342,
  [5216] = 5216,
  [5217] = 250,
  [5218] = 221,
  [5219] = 261,
  [5220] = 251,
  [5221] = 273,
  [5222] = 277,
  [5223] = 283,
  [5224] = 5095,
  [5225] = 280,
  [5226] = 5096,
  [5227] = 279,
  [5228] = 276,
  [5229] = 278,
  [5230] = 5230,
  [5231] = 274,
  [5232] = 272,
  [5233] = 255,
  [5234] = 223,
  [5235] = 256,
  [5236] = 257,
  [5237] = 258,
  [5238] = 262,
  [5239] = 264,
  [5240] = 265,
  [5241] = 5241,
  [5242] = 268,
  [5243] = 5243,
  [5244] = 275,
  [5245] = 683,
  [5246] = 234,
  [5247] = 233,
  [5248] = 231,
  [5249] = 560,
  [5250] = 5118,
  [5251] = 232,
  [5252] = 229,
  [5253] = 224,
  [5254] = 225,
  [5255] = 227,
  [5256] = 222,
  [5257] = 254,
  [5258] = 228,
  [5259] = 5259,
  [5260] = 230,
  [5261] = 226,
  [5262] = 243,
  [5263] = 235,
  [5264] = 244,
  [5265] = 245,
  [5266] = 5230,
  [5267] = 246,
  [5268] = 242,
  [5269] = 5216,
  [5270] = 248,
  [5271] = 252,
  [5272] = 253,
  [5273] = 250,
  [5274] = 266,
  [5275] = 221,
  [5276] = 269,
  [5277] = 261,
  [5278] = 273,
  [5279] = 283,
  [5280] = 280,
  [5281] = 5095,
  [5282] = 271,
  [5283] = 279,
  [5284] = 278,
  [5285] = 157,
  [5286] = 156,
  [5287] = 152,
  [5288] = 162,
  [5289] = 150,
  [5290] = 365,
  [5291] = 5096,
  [5292] = 153,
  [5293] = 155,
  [5294] = 233,
  [5295] = 231,
  [5296] = 5102,
  [5297] = 229,
  [5298] = 224,
  [5299] = 225,
  [5300] = 5102,
  [5301] = 227,
  [5302] = 5199,
  [5303] = 158,
  [5304] = 163,
  [5305] = 151,
  [5306] = 166,
  [5307] = 167,
  [5308] = 165,
  [5309] = 222,
  [5310] = 230,
  [5311] = 226,
  [5312] = 5151,
  [5313] = 235,
  [5314] = 242,
  [5315] = 252,
  [5316] = 392,
  [5317] = 253,
  [5318] = 5102,
  [5319] = 371,
  [5320] = 5102,
  [5321] = 368,
  [5322] = 367,
  [5323] = 266,
  [5324] = 5243,
  [5325] = 5230,
  [5326] = 5216,
  [5327] = 5199,
  [5328] = 269,
  [5329] = 271,
  [5330] = 523,
  [5331] = 5096,
  [5332] = 249,
  [5333] = 5096,
  [5334] = 209,
  [5335] = 206,
  [5336] = 5095,
  [5337] = 348,
  [5338] = 84,
  [5339] = 181,
  [5340] = 343,
  [5341] = 192,
  [5342] = 346,
  [5343] = 161,
  [5344] = 218,
  [5345] = 217,
  [5346] = 215,
  [5347] = 5095,
  [5348] = 214,
  [5349] = 161,
  [5350] = 4839,
  [5351] = 356,
  [5352] = 85,
  [5353] = 5095,
  [5354] = 185,
  [5355] = 183,
  [5356] = 5096,
  [5357] = 5102,
  [5358] = 5095,
  [5359] = 5359,
  [5360] = 88,
  [5361] = 190,
  [5362] = 189,
  [5363] = 187,
  [5364] = 551,
  [5365] = 5365,
  [5366] = 186,
  [5367] = 184,
  [5368] = 182,
  [5369] = 199,
  [5370] = 198,
  [5371] = 201,
  [5372] = 4850,
  [5373] = 202,
  [5374] = 203,
  [5375] = 551,
  [5376] = 210,
  [5377] = 4853,
  [5378] = 211,
  [5379] = 216,
  [5380] = 219,
  [5381] = 560,
  [5382] = 411,
  [5383] = 364,
  [5384] = 404,
  [5385] = 715,
  [5386] = 5241,
  [5387] = 180,
  [5388] = 196,
  [5389] = 401,
  [5390] = 399,
  [5391] = 193,
  [5392] = 5102,
  [5393] = 394,
  [5394] = 5102,
  [5395] = 5096,
  [5396] = 407,
  [5397] = 5095,
  [5398] = 86,
  [5399] = 5359,
  [5400] = 188,
  [5401] = 195,
  [5402] = 5151,
  [5403] = 194,
  [5404] = 5100,
  [5405] = 197,
  [5406] = 373,
  [5407] = 164,
  [5408] = 160,
  [5409] = 208,
  [5410] = 5098,
  [5411] = 213,
  [5412] = 204,
  [5413] = 376,
  [5414] = 5414,
  [5415] = 207,
  [5416] = 212,
  [5417] = 212,
  [5418] = 197,
  [5419] = 196,
  [5420] = 209,
  [5421] = 207,
  [5422] = 206,
  [5423] = 551,
  [5424] = 5095,
  [5425] = 5095,
  [5426] = 181,
  [5427] = 551,
  [5428] = 191,
  [5429] = 160,
  [5430] = 164,
  [5431] = 5096,
  [5432] = 192,
  [5433] = 218,
  [5434] = 215,
  [5435] = 214,
  [5436] = 5102,
  [5437] = 425,
  [5438] = 4914,
  [5439] = 5365,
  [5440] = 5096,
  [5441] = 5095,
  [5442] = 204,
  [5443] = 185,
  [5444] = 183,
  [5445] = 189,
  [5446] = 5117,
  [5447] = 187,
  [5448] = 213,
  [5449] = 186,
  [5450] = 5115,
  [5451] = 184,
  [5452] = 5243,
  [5453] = 5114,
  [5454] = 208,
  [5455] = 5241,
  [5456] = 182,
  [5457] = 194,
  [5458] = 199,
  [5459] = 195,
  [5460] = 198,
  [5461] = 202,
  [5462] = 203,
  [5463] = 432,
  [5464] = 210,
  [5465] = 211,
  [5466] = 216,
  [5467] = 219,
  [5468] = 188,
  [5469] = 201,
  [5470] = 180,
  [5471] = 439,
  [5472] = 193,
  [5473] = 190,
  [5474] = 5096,
  [5475] = 5102,
  [5476] = 5476,
  [5477] = 5476,
  [5478] = 170,
  [5479] = 364,
  [5480] = 365,
  [5481] = 376,
  [5482] = 822,
  [5483] = 254,
  [5484] = 232,
  [5485] = 234,
  [5486] = 171,
  [5487] = 373,
  [5488] = 5476,
  [5489] = 5476,
  [5490] = 275,
  [5491] = 393,
  [5492] = 268,
  [5493] = 5476,
  [5494] = 125,
  [5495] = 407,
  [5496] = 267,
  [5497] = 265,
  [5498] = 264,
  [5499] = 5476,
  [5500] = 394,
  [5501] = 399,
  [5502] = 401,
  [5503] = 715,
  [5504] = 404,
  [5505] = 173,
  [5506] = 411,
  [5507] = 262,
  [5508] = 258,
  [5509] = 820,
  [5510] = 314,
  [5511] = 257,
  [5512] = 356,
  [5513] = 348,
  [5514] = 256,
  [5515] = 346,
  [5516] = 255,
  [5517] = 683,
  [5518] = 272,
  [5519] = 274,
  [5520] = 343,
  [5521] = 342,
  [5522] = 276,
  [5523] = 312,
  [5524] = 277,
  [5525] = 251,
  [5526] = 367,
  [5527] = 807,
  [5528] = 228,
  [5529] = 368,
  [5530] = 371,
  [5531] = 392,
  [5532] = 5532,
  [5533] = 795,
  [5534] = 289,
  [5535] = 290,
  [5536] = 5476,
  [5537] = 282,
  [5538] = 776,
  [5539] = 281,
  [5540] = 244,
  [5541] = 5476,
  [5542] = 791,
  [5543] = 224,
  [5544] = 715,
  [5545] = 287,
  [5546] = 330,
  [5547] = 327,
  [5548] = 857,
  [5549] = 846,
  [5550] = 270,
  [5551] = 245,
  [5552] = 831,
  [5553] = 247,
  [5554] = 328,
  [5555] = 785,
  [5556] = 241,
  [5557] = 246,
  [5558] = 240,
  [5559] = 248,
  [5560] = 239,
  [5561] = 249,
  [5562] = 220,
  [5563] = 683,
  [5564] = 317,
  [5565] = 238,
  [5566] = 284,
  [5567] = 237,
  [5568] = 859,
  [5569] = 250,
  [5570] = 236,
  [5571] = 5476,
  [5572] = 221,
  [5573] = 169,
  [5574] = 285,
  [5575] = 168,
  [5576] = 5476,
  [5577] = 889,
  [5578] = 261,
  [5579] = 289,
  [5580] = 273,
  [5581] = 283,
  [5582] = 280,
  [5583] = 290,
  [5584] = 5476,
  [5585] = 843,
  [5586] = 316,
  [5587] = 223,
  [5588] = 279,
  [5589] = 323,
  [5590] = 324,
  [5591] = 326,
  [5592] = 5476,
  [5593] = 329,
  [5594] = 749,
  [5595] = 278,
  [5596] = 233,
  [5597] = 286,
  [5598] = 862,
  [5599] = 249,
  [5600] = 231,
  [5601] = 810,
  [5602] = 786,
  [5603] = 5476,
  [5604] = 797,
  [5605] = 315,
  [5606] = 320,
  [5607] = 886,
  [5608] = 318,
  [5609] = 229,
  [5610] = 722,
  [5611] = 225,
  [5612] = 172,
  [5613] = 227,
  [5614] = 175,
  [5615] = 222,
  [5616] = 311,
  [5617] = 230,
  [5618] = 287,
  [5619] = 894,
  [5620] = 259,
  [5621] = 260,
  [5622] = 263,
  [5623] = 226,
  [5624] = 235,
  [5625] = 178,
  [5626] = 174,
  [5627] = 683,
  [5628] = 284,
  [5629] = 271,
  [5630] = 269,
  [5631] = 266,
  [5632] = 5632,
  [5633] = 253,
  [5634] = 252,
  [5635] = 242,
  [5636] = 285,
  [5637] = 176,
  [5638] = 235,
  [5639] = 242,
  [5640] = 5640,
  [5641] = 252,
  [5642] = 793,
  [5643] = 226,
  [5644] = 230,
  [5645] = 222,
  [5646] = 227,
  [5647] = 225,
  [5648] = 224,
  [5649] = 229,
  [5650] = 884,
  [5651] = 856,
  [5652] = 900,
  [5653] = 231,
  [5654] = 233,
  [5655] = 278,
  [5656] = 176,
  [5657] = 174,
  [5658] = 279,
  [5659] = 178,
  [5660] = 280,
  [5661] = 5359,
  [5662] = 321,
  [5663] = 286,
  [5664] = 175,
  [5665] = 172,
  [5666] = 253,
  [5667] = 266,
  [5668] = 283,
  [5669] = 269,
  [5670] = 273,
  [5671] = 271,
  [5672] = 639,
  [5673] = 309,
  [5674] = 775,
  [5675] = 784,
  [5676] = 789,
  [5677] = 5476,
  [5678] = 261,
  [5679] = 221,
  [5680] = 250,
  [5681] = 437,
  [5682] = 821,
  [5683] = 248,
  [5684] = 243,
  [5685] = 246,
  [5686] = 245,
  [5687] = 244,
  [5688] = 243,
  [5689] = 228,
  [5690] = 254,
  [5691] = 5365,
  [5692] = 322,
  [5693] = 5476,
  [5694] = 811,
  [5695] = 2560,
  [5696] = 232,
  [5697] = 234,
  [5698] = 275,
  [5699] = 268,
  [5700] = 267,
  [5701] = 265,
  [5702] = 264,
  [5703] = 262,
  [5704] = 258,
  [5705] = 257,
  [5706] = 256,
  [5707] = 255,
  [5708] = 678,
  [5709] = 272,
  [5710] = 274,
  [5711] = 276,
  [5712] = 277,
  [5713] = 251,
  [5714] = 170,
  [5715] = 325,
  [5716] = 282,
  [5717] = 281,
  [5718] = 819,
  [5719] = 179,
  [5720] = 173,
  [5721] = 171,
  [5722] = 87,
  [5723] = 270,
  [5724] = 579,
  [5725] = 200,
  [5726] = 247,
  [5727] = 683,
  [5728] = 169,
  [5729] = 241,
  [5730] = 715,
  [5731] = 168,
  [5732] = 883,
  [5733] = 240,
  [5734] = 4839,
  [5735] = 239,
  [5736] = 220,
  [5737] = 238,
  [5738] = 237,
  [5739] = 2560,
  [5740] = 236,
  [5741] = 200,
  [5742] = 903,
  [5743] = 876,
  [5744] = 5476,
  [5745] = 5476,
  [5746] = 223,
  [5747] = 712,
  [5748] = 259,
  [5749] = 260,
  [5750] = 263,
  [5751] = 5476,
  [5752] = 179,
  [5753] = 4914,
  [5754] = 4853,
  [5755] = 4850,
  [5756] = 5756,
  [5757] = 5757,
  [5758] = 5758,
  [5759] = 216,
  [5760] = 211,
  [5761] = 5761,
  [5762] = 201,
  [5763] = 193,
  [5764] = 5758,
  [5765] = 5765,
  [5766] = 195,
  [5767] = 188,
  [5768] = 219,
  [5769] = 194,
  [5770] = 201,
  [5771] = 290,
  [5772] = 216,
  [5773] = 211,
  [5774] = 5765,
  [5775] = 5775,
  [5776] = 210,
  [5777] = 207,
  [5778] = 5757,
  [5779] = 213,
  [5780] = 5758,
  [5781] = 203,
  [5782] = 5782,
  [5783] = 204,
  [5784] = 202,
  [5785] = 5775,
  [5786] = 5786,
  [5787] = 196,
  [5788] = 5775,
  [5789] = 188,
  [5790] = 5761,
  [5791] = 203,
  [5792] = 207,
  [5793] = 198,
  [5794] = 886,
  [5795] = 5795,
  [5796] = 857,
  [5797] = 199,
  [5798] = 831,
  [5799] = 182,
  [5800] = 5800,
  [5801] = 184,
  [5802] = 5802,
  [5803] = 5803,
  [5804] = 785,
  [5805] = 843,
  [5806] = 186,
  [5807] = 5761,
  [5808] = 187,
  [5809] = 180,
  [5810] = 189,
  [5811] = 190,
  [5812] = 5632,
  [5813] = 5761,
  [5814] = 202,
  [5815] = 5775,
  [5816] = 5786,
  [5817] = 5756,
  [5818] = 560,
  [5819] = 5765,
  [5820] = 5782,
  [5821] = 5757,
  [5822] = 289,
  [5823] = 284,
  [5824] = 5800,
  [5825] = 5756,
  [5826] = 5757,
  [5827] = 183,
  [5828] = 185,
  [5829] = 5761,
  [5830] = 214,
  [5831] = 215,
  [5832] = 217,
  [5833] = 208,
  [5834] = 218,
  [5835] = 192,
  [5836] = 198,
  [5837] = 5782,
  [5838] = 191,
  [5839] = 181,
  [5840] = 199,
  [5841] = 846,
  [5842] = 5800,
  [5843] = 5843,
  [5844] = 206,
  [5845] = 209,
  [5846] = 5782,
  [5847] = 5782,
  [5848] = 287,
  [5849] = 5757,
  [5850] = 182,
  [5851] = 5765,
  [5852] = 206,
  [5853] = 5756,
  [5854] = 5756,
  [5855] = 5757,
  [5856] = 5803,
  [5857] = 5802,
  [5858] = 5800,
  [5859] = 184,
  [5860] = 186,
  [5861] = 187,
  [5862] = 5758,
  [5863] = 189,
  [5864] = 285,
  [5865] = 5803,
  [5866] = 5802,
  [5867] = 5800,
  [5868] = 190,
  [5869] = 5803,
  [5870] = 5786,
  [5871] = 5871,
  [5872] = 5782,
  [5873] = 212,
  [5874] = 5758,
  [5875] = 180,
  [5876] = 286,
  [5877] = 504,
  [5878] = 5756,
  [5879] = 5802,
  [5880] = 5765,
  [5881] = 5800,
  [5882] = 5757,
  [5883] = 5803,
  [5884] = 5802,
  [5885] = 5800,
  [5886] = 5803,
  [5887] = 5802,
  [5888] = 5800,
  [5889] = 5803,
  [5890] = 5802,
  [5891] = 5800,
  [5892] = 5803,
  [5893] = 5758,
  [5894] = 5758,
  [5895] = 87,
  [5896] = 5896,
  [5897] = 523,
  [5898] = 5802,
  [5899] = 5758,
  [5900] = 5765,
  [5901] = 5782,
  [5902] = 5757,
  [5903] = 5795,
  [5904] = 551,
  [5905] = 5782,
  [5906] = 5802,
  [5907] = 5800,
  [5908] = 210,
  [5909] = 5803,
  [5910] = 5802,
  [5911] = 5765,
  [5912] = 5800,
  [5913] = 5803,
  [5914] = 5871,
  [5915] = 5757,
  [5916] = 5803,
  [5917] = 5802,
  [5918] = 5800,
  [5919] = 5758,
  [5920] = 196,
  [5921] = 197,
  [5922] = 5803,
  [5923] = 5802,
  [5924] = 193,
  [5925] = 5803,
  [5926] = 5802,
  [5927] = 5800,
  [5928] = 5765,
  [5929] = 5786,
  [5930] = 5756,
  [5931] = 5758,
  [5932] = 5782,
  [5933] = 219,
  [5934] = 5765,
  [5935] = 5756,
  [5936] = 5786,
  [5937] = 5758,
  [5938] = 185,
  [5939] = 5775,
  [5940] = 5761,
  [5941] = 5803,
  [5942] = 5802,
  [5943] = 5782,
  [5944] = 560,
  [5945] = 5800,
  [5946] = 195,
  [5947] = 5775,
  [5948] = 5803,
  [5949] = 5802,
  [5950] = 5800,
  [5951] = 194,
  [5952] = 5803,
  [5953] = 208,
  [5954] = 5802,
  [5955] = 5758,
  [5956] = 5800,
  [5957] = 213,
  [5958] = 5803,
  [5959] = 5802,
  [5960] = 5960,
  [5961] = 204,
  [5962] = 5761,
  [5963] = 5757,
  [5964] = 5786,
  [5965] = 5765,
  [5966] = 289,
  [5967] = 5758,
  [5968] = 5786,
  [5969] = 290,
  [5970] = 784,
  [5971] = 5800,
  [5972] = 5756,
  [5973] = 5761,
  [5974] = 5775,
  [5975] = 5975,
  [5976] = 5803,
  [5977] = 5802,
  [5978] = 5758,
  [5979] = 883,
  [5980] = 5786,
  [5981] = 5782,
  [5982] = 789,
  [5983] = 5800,
  [5984] = 212,
  [5985] = 5757,
  [5986] = 5786,
  [5987] = 775,
  [5988] = 5765,
  [5989] = 5761,
  [5990] = 5758,
  [5991] = 884,
  [5992] = 5765,
  [5993] = 5775,
  [5994] = 5786,
  [5995] = 5756,
  [5996] = 437,
  [5997] = 5761,
  [5998] = 5775,
  [5999] = 214,
  [6000] = 776,
  [6001] = 795,
  [6002] = 807,
  [6003] = 287,
  [6004] = 215,
  [6005] = 284,
  [6006] = 5757,
  [6007] = 5782,
  [6008] = 5757,
  [6009] = 5765,
  [6010] = 217,
  [6011] = 218,
  [6012] = 6012,
  [6013] = 192,
  [6014] = 285,
  [6015] = 88,
  [6016] = 5786,
  [6017] = 5756,
  [6018] = 5758,
  [6019] = 5761,
  [6020] = 5975,
  [6021] = 5782,
  [6022] = 191,
  [6023] = 5775,
  [6024] = 5765,
  [6025] = 5765,
  [6026] = 5786,
  [6027] = 181,
  [6028] = 5765,
  [6029] = 791,
  [6030] = 5756,
  [6031] = 5758,
  [6032] = 5761,
  [6033] = 183,
  [6034] = 5775,
  [6035] = 5757,
  [6036] = 859,
  [6037] = 5775,
  [6038] = 5756,
  [6039] = 5761,
  [6040] = 5757,
  [6041] = 5775,
  [6042] = 286,
  [6043] = 5786,
  [6044] = 5757,
  [6045] = 5757,
  [6046] = 5756,
  [6047] = 5761,
  [6048] = 5775,
  [6049] = 5782,
  [6050] = 793,
  [6051] = 5765,
  [6052] = 811,
  [6053] = 5786,
  [6054] = 5757,
  [6055] = 5756,
  [6056] = 5975,
  [6057] = 5761,
  [6058] = 5782,
  [6059] = 5975,
  [6060] = 5975,
  [6061] = 5975,
  [6062] = 5775,
  [6063] = 5975,
  [6064] = 5786,
  [6065] = 5756,
  [6066] = 5761,
  [6067] = 5975,
  [6068] = 5975,
  [6069] = 5975,
  [6070] = 5782,
  [6071] = 5975,
  [6072] = 5975,
  [6073] = 5775,
  [6074] = 786,
  [6075] = 5975,
  [6076] = 5975,
  [6077] = 5786,
  [6078] = 5756,
  [6079] = 856,
  [6080] = 822,
  [6081] = 5975,
  [6082] = 820,
  [6083] = 5761,
  [6084] = 5871,
  [6085] = 889,
  [6086] = 894,
  [6087] = 5795,
  [6088] = 5975,
  [6089] = 5775,
  [6090] = 862,
  [6091] = 5975,
  [6092] = 5786,
  [6093] = 5756,
  [6094] = 5761,
  [6095] = 209,
  [6096] = 876,
  [6097] = 5975,
  [6098] = 903,
  [6099] = 197,
  [6100] = 5782,
  [6101] = 5775,
  [6102] = 5758,
  [6103] = 5782,
  [6104] = 819,
  [6105] = 821,
  [6106] = 900,
  [6107] = 797,
  [6108] = 810,
  [6109] = 5786,
  [6110] = 5765,
  [6111] = 246,
  [6112] = 6112,
  [6113] = 715,
  [6114] = 6114,
  [6115] = 271,
  [6116] = 269,
  [6117] = 266,
  [6118] = 253,
  [6119] = 252,
  [6120] = 242,
  [6121] = 235,
  [6122] = 226,
  [6123] = 230,
  [6124] = 222,
  [6125] = 227,
  [6126] = 225,
  [6127] = 224,
  [6128] = 229,
  [6129] = 231,
  [6130] = 233,
  [6131] = 278,
  [6132] = 279,
  [6133] = 280,
  [6134] = 283,
  [6135] = 273,
  [6136] = 261,
  [6137] = 221,
  [6138] = 250,
  [6139] = 249,
  [6140] = 248,
  [6141] = 245,
  [6142] = 244,
  [6143] = 243,
  [6144] = 228,
  [6145] = 254,
  [6146] = 232,
  [6147] = 234,
  [6148] = 275,
  [6149] = 268,
  [6150] = 267,
  [6151] = 265,
  [6152] = 264,
  [6153] = 262,
  [6154] = 258,
  [6155] = 257,
  [6156] = 256,
  [6157] = 255,
  [6158] = 6158,
  [6159] = 272,
  [6160] = 274,
  [6161] = 276,
  [6162] = 277,
  [6163] = 251,
  [6164] = 282,
  [6165] = 281,
  [6166] = 6166,
  [6167] = 5896,
  [6168] = 6168,
  [6169] = 270,
  [6170] = 247,
  [6171] = 241,
  [6172] = 240,
  [6173] = 239,
  [6174] = 220,
  [6175] = 238,
  [6176] = 237,
  [6177] = 236,
  [6178] = 6178,
  [6179] = 5119,
  [6180] = 223,
  [6181] = 259,
  [6182] = 260,
  [6183] = 263,
  [6184] = 6112,
  [6185] = 6185,
  [6186] = 6186,
  [6187] = 6112,
  [6188] = 6185,
  [6189] = 6186,
  [6190] = 6112,
  [6191] = 6185,
  [6192] = 6166,
  [6193] = 6112,
  [6194] = 6185,
  [6195] = 6112,
  [6196] = 6185,
  [6197] = 6185,
  [6198] = 6112,
  [6199] = 6185,
  [6200] = 6112,
  [6201] = 6185,
  [6202] = 6202,
  [6203] = 6112,
  [6204] = 6185,
  [6205] = 6112,
  [6206] = 6185,
  [6207] = 6112,
  [6208] = 6112,
  [6209] = 6185,
  [6210] = 6112,
  [6211] = 6158,
  [6212] = 6185,
  [6213] = 6112,
  [6214] = 6185,
  [6215] = 6112,
  [6216] = 392,
  [6217] = 683,
  [6218] = 6185,
  [6219] = 6114,
  [6220] = 364,
  [6221] = 6185,
  [6222] = 6112,
  [6223] = 6185,
  [6224] = 278,
  [6225] = 6112,
  [6226] = 6185,
  [6227] = 371,
  [6228] = 6112,
  [6229] = 368,
  [6230] = 367,
  [6231] = 342,
  [6232] = 343,
  [6233] = 346,
  [6234] = 348,
  [6235] = 271,
  [6236] = 269,
  [6237] = 266,
  [6238] = 253,
  [6239] = 252,
  [6240] = 242,
  [6241] = 235,
  [6242] = 226,
  [6243] = 230,
  [6244] = 356,
  [6245] = 6185,
  [6246] = 222,
  [6247] = 227,
  [6248] = 225,
  [6249] = 224,
  [6250] = 229,
  [6251] = 231,
  [6252] = 233,
  [6253] = 6186,
  [6254] = 4914,
  [6255] = 6112,
  [6256] = 4853,
  [6257] = 4850,
  [6258] = 236,
  [6259] = 279,
  [6260] = 280,
  [6261] = 283,
  [6262] = 273,
  [6263] = 261,
  [6264] = 221,
  [6265] = 250,
  [6266] = 249,
  [6267] = 248,
  [6268] = 246,
  [6269] = 245,
  [6270] = 244,
  [6271] = 243,
  [6272] = 411,
  [6273] = 404,
  [6274] = 401,
  [6275] = 399,
  [6276] = 394,
  [6277] = 228,
  [6278] = 254,
  [6279] = 232,
  [6280] = 234,
  [6281] = 275,
  [6282] = 268,
  [6283] = 267,
  [6284] = 265,
  [6285] = 264,
  [6286] = 262,
  [6287] = 258,
  [6288] = 257,
  [6289] = 256,
  [6290] = 255,
  [6291] = 407,
  [6292] = 6178,
  [6293] = 4839,
  [6294] = 6186,
  [6295] = 6112,
  [6296] = 6168,
  [6297] = 272,
  [6298] = 274,
  [6299] = 276,
  [6300] = 277,
  [6301] = 251,
  [6302] = 282,
  [6303] = 281,
  [6304] = 6185,
  [6305] = 6112,
  [6306] = 6185,
  [6307] = 6185,
  [6308] = 376,
  [6309] = 270,
  [6310] = 247,
  [6311] = 241,
  [6312] = 240,
  [6313] = 239,
  [6314] = 220,
  [6315] = 238,
  [6316] = 237,
  [6317] = 6112,
  [6318] = 373,
  [6319] = 365,
  [6320] = 715,
  [6321] = 6112,
  [6322] = 6185,
  [6323] = 223,
  [6324] = 259,
  [6325] = 260,
  [6326] = 263,
  [6327] = 393,
  [6328] = 6185,
  [6329] = 6202,
  [6330] = 894,
  [6331] = 786,
  [6332] = 6332,
  [6333] = 285,
  [6334] = 857,
  [6335] = 285,
  [6336] = 290,
  [6337] = 6337,
  [6338] = 284,
  [6339] = 6339,
  [6340] = 6340,
  [6341] = 6339,
  [6342] = 4839,
  [6343] = 6337,
  [6344] = 287,
  [6345] = 4850,
  [6346] = 4853,
  [6347] = 4914,
  [6348] = 290,
  [6349] = 6158,
  [6350] = 6350,
  [6351] = 6351,
  [6352] = 6352,
  [6353] = 289,
  [6354] = 286,
  [6355] = 6355,
  [6356] = 6178,
  [6357] = 5640,
  [6358] = 5532,
  [6359] = 900,
  [6360] = 6202,
  [6361] = 6168,
  [6362] = 6362,
  [6363] = 6363,
  [6364] = 846,
  [6365] = 6355,
  [6366] = 6366,
  [6367] = 6114,
  [6368] = 286,
  [6369] = 6352,
  [6370] = 831,
  [6371] = 6166,
  [6372] = 6340,
  [6373] = 6363,
  [6374] = 6362,
  [6375] = 785,
  [6376] = 6376,
  [6377] = 6377,
  [6378] = 6362,
  [6379] = 6355,
  [6380] = 6340,
  [6381] = 6339,
  [6382] = 6337,
  [6383] = 437,
  [6384] = 883,
  [6385] = 789,
  [6386] = 784,
  [6387] = 775,
  [6388] = 6363,
  [6389] = 6352,
  [6390] = 843,
  [6391] = 886,
  [6392] = 791,
  [6393] = 859,
  [6394] = 793,
  [6395] = 776,
  [6396] = 795,
  [6397] = 811,
  [6398] = 856,
  [6399] = 862,
  [6400] = 807,
  [6401] = 6401,
  [6402] = 822,
  [6403] = 820,
  [6404] = 6404,
  [6405] = 6405,
  [6406] = 889,
  [6407] = 876,
  [6408] = 903,
  [6409] = 819,
  [6410] = 821,
  [6411] = 797,
  [6412] = 810,
  [6413] = 884,
  [6414] = 551,
  [6415] = 284,
  [6416] = 287,
  [6417] = 6404,
  [6418] = 6405,
  [6419] = 6351,
  [6420] = 6350,
  [6421] = 289,
  [6422] = 6422,
  [6423] = 6332,
  [6424] = 6401,
  [6425] = 6376,
  [6426] = 6426,
  [6427] = 6427,
  [6428] = 6428,
  [6429] = 6429,
  [6430] = 6430,
  [6431] = 6431,
  [6432] = 6432,
  [6433] = 6433,
  [6434] = 6434,
  [6435] = 6432,
  [6436] = 6436,
  [6437] = 6376,
  [6438] = 6405,
  [6439] = 6404,
  [6440] = 6436,
  [6441] = 6441,
  [6442] = 6351,
  [6443] = 6443,
  [6444] = 6444,
  [6445] = 6445,
  [6446] = 6350,
  [6447] = 6447,
  [6448] = 6445,
  [6449] = 6449,
  [6450] = 6444,
  [6451] = 6451,
  [6452] = 6449,
  [6453] = 6332,
  [6454] = 551,
  [6455] = 6401,
  [6456] = 6447,
  [6457] = 6457,
  [6458] = 6458,
  [6459] = 6451,
  [6460] = 6460,
  [6461] = 6461,
  [6462] = 6457,
  [6463] = 6433,
  [6464] = 6464,
  [6465] = 6430,
  [6466] = 6458,
  [6467] = 6460,
  [6468] = 6441,
  [6469] = 6461,
  [6470] = 6434,
  [6471] = 6443,
  [6472] = 6429,
  [6473] = 6473,
  [6474] = 6474,
  [6475] = 6475,
  [6476] = 6476,
  [6477] = 6376,
  [6478] = 6478,
  [6479] = 6479,
  [6480] = 6480,
  [6481] = 6481,
  [6482] = 6482,
  [6483] = 6473,
  [6484] = 6484,
  [6485] = 6485,
  [6486] = 425,
  [6487] = 6487,
  [6488] = 6431,
  [6489] = 6489,
  [6490] = 6490,
  [6491] = 6491,
  [6492] = 6492,
  [6493] = 6493,
  [6494] = 6494,
  [6495] = 6495,
  [6496] = 6405,
  [6497] = 6404,
  [6498] = 6351,
  [6499] = 6350,
  [6500] = 6332,
  [6501] = 6401,
  [6502] = 6502,
  [6503] = 6503,
  [6504] = 6504,
  [6505] = 6505,
  [6506] = 6506,
  [6507] = 6507,
  [6508] = 200,
  [6509] = 6509,
  [6510] = 6464,
  [6511] = 6511,
  [6512] = 6512,
  [6513] = 6513,
  [6514] = 6514,
  [6515] = 6511,
  [6516] = 84,
  [6517] = 6484,
  [6518] = 6492,
  [6519] = 6519,
  [6520] = 6520,
  [6521] = 6495,
  [6522] = 6520,
  [6523] = 6476,
  [6524] = 6514,
  [6525] = 6507,
  [6526] = 6526,
  [6527] = 6527,
  [6528] = 6528,
  [6529] = 6528,
  [6530] = 6520,
  [6531] = 6422,
  [6532] = 6485,
  [6533] = 6519,
  [6534] = 6534,
  [6535] = 85,
  [6536] = 6512,
  [6537] = 6506,
  [6538] = 6509,
  [6539] = 6474,
  [6540] = 6540,
  [6541] = 6541,
  [6542] = 6482,
  [6543] = 6543,
  [6544] = 6526,
  [6545] = 6527,
  [6546] = 6526,
  [6547] = 6478,
  [6548] = 6527,
  [6549] = 6489,
  [6550] = 6366,
  [6551] = 86,
  [6552] = 6479,
  [6553] = 6534,
  [6554] = 6480,
  [6555] = 6493,
  [6556] = 6505,
  [6557] = 6481,
  [6558] = 6426,
  [6559] = 6427,
  [6560] = 6377,
  [6561] = 6528,
  [6562] = 6490,
  [6563] = 6519,
  [6564] = 2578,
  [6565] = 6475,
  [6566] = 6494,
  [6567] = 6567,
  [6568] = 6491,
  [6569] = 6569,
  [6570] = 6502,
  [6571] = 6534,
  [6572] = 6475,
  [6573] = 439,
  [6574] = 85,
  [6575] = 6351,
  [6576] = 6332,
  [6577] = 6577,
  [6578] = 6350,
  [6579] = 6579,
  [6580] = 6540,
  [6581] = 432,
  [6582] = 86,
  [6583] = 6376,
  [6584] = 84,
  [6585] = 6401,
  [6586] = 6586,
  [6587] = 6405,
  [6588] = 6487,
  [6589] = 6404,
  [6590] = 6513,
  [6591] = 6591,
  [6592] = 439,
  [6593] = 87,
  [6594] = 6404,
  [6595] = 6595,
  [6596] = 432,
  [6597] = 6504,
  [6598] = 6503,
  [6599] = 6569,
  [6600] = 6600,
  [6601] = 6601,
  [6602] = 6602,
  [6603] = 6603,
  [6604] = 6595,
  [6605] = 6376,
  [6606] = 6606,
  [6607] = 2922,
  [6608] = 2943,
  [6609] = 6609,
  [6610] = 6586,
  [6611] = 6611,
  [6612] = 6603,
  [6613] = 6401,
  [6614] = 6332,
  [6615] = 6350,
  [6616] = 6351,
  [6617] = 6617,
  [6618] = 6405,
  [6619] = 6586,
  [6620] = 6620,
  [6621] = 6621,
  [6622] = 6622,
  [6623] = 6623,
  [6624] = 551,
  [6625] = 87,
  [6626] = 6626,
  [6627] = 6627,
  [6628] = 6628,
  [6629] = 6629,
  [6630] = 560,
  [6631] = 6626,
  [6632] = 6632,
  [6633] = 6626,
  [6634] = 6634,
  [6635] = 6635,
  [6636] = 6636,
  [6637] = 551,
  [6638] = 6586,
  [6639] = 6639,
  [6640] = 715,
  [6641] = 6641,
  [6642] = 6642,
  [6643] = 6643,
  [6644] = 6636,
  [6645] = 6645,
  [6646] = 6646,
  [6647] = 6647,
  [6648] = 6642,
  [6649] = 6649,
  [6650] = 6650,
  [6651] = 6651,
  [6652] = 6652,
  [6653] = 560,
  [6654] = 6654,
  [6655] = 6655,
  [6656] = 6656,
  [6657] = 6657,
  [6658] = 715,
  [6659] = 6643,
  [6660] = 6660,
  [6661] = 6645,
  [6662] = 6662,
  [6663] = 6663,
  [6664] = 6664,
  [6665] = 6665,
  [6666] = 6666,
  [6667] = 6649,
  [6668] = 6646,
  [6669] = 6669,
  [6670] = 6639,
  [6671] = 6671,
  [6672] = 6672,
  [6673] = 6652,
  [6674] = 6674,
  [6675] = 6675,
  [6676] = 6676,
  [6677] = 6647,
  [6678] = 6678,
  [6679] = 6679,
  [6680] = 6680,
  [6681] = 6681,
  [6682] = 6682,
  [6683] = 6651,
  [6684] = 6684,
  [6685] = 6685,
  [6686] = 6650,
  [6687] = 6687,
  [6688] = 6688,
  [6689] = 6675,
  [6690] = 6681,
  [6691] = 6691,
  [6692] = 6620,
  [6693] = 6693,
  [6694] = 6694,
  [6695] = 6695,
  [6696] = 6696,
  [6697] = 6697,
  [6698] = 6698,
  [6699] = 6699,
  [6700] = 6700,
  [6701] = 6629,
  [6702] = 6702,
  [6703] = 6703,
  [6704] = 6704,
  [6705] = 6663,
  [6706] = 6706,
  [6707] = 6707,
  [6708] = 6708,
  [6709] = 6709,
  [6710] = 6710,
  [6711] = 6711,
  [6712] = 6679,
  [6713] = 6713,
  [6714] = 6714,
  [6715] = 6715,
  [6716] = 6716,
  [6717] = 6717,
  [6718] = 6657,
  [6719] = 6665,
  [6720] = 6720,
  [6721] = 6721,
  [6722] = 6722,
  [6723] = 6627,
  [6724] = 6724,
  [6725] = 6725,
  [6726] = 6726,
  [6727] = 6727,
  [6728] = 6543,
  [6729] = 6729,
  [6730] = 6730,
  [6731] = 6731,
  [6732] = 6541,
  [6733] = 125,
  [6734] = 6734,
  [6735] = 6735,
  [6736] = 6736,
  [6737] = 6737,
  [6738] = 6738,
  [6739] = 6739,
  [6740] = 6740,
  [6741] = 6741,
  [6742] = 6632,
  [6743] = 6743,
  [6744] = 6656,
  [6745] = 6567,
  [6746] = 6722,
  [6747] = 6747,
  [6748] = 6704,
  [6749] = 6749,
  [6750] = 6703,
  [6751] = 6707,
  [6752] = 6708,
  [6753] = 6709,
  [6754] = 6586,
  [6755] = 6660,
  [6756] = 6756,
  [6757] = 6622,
  [6758] = 6685,
  [6759] = 6759,
  [6760] = 6760,
  [6761] = 6761,
  [6762] = 6762,
  [6763] = 6763,
  [6764] = 6764,
  [6765] = 6623,
  [6766] = 6766,
  [6767] = 6767,
  [6768] = 6768,
  [6769] = 6769,
  [6770] = 6770,
  [6771] = 6771,
  [6772] = 6682,
  [6773] = 6680,
  [6774] = 6634,
  [6775] = 6672,
  [6776] = 6776,
  [6777] = 6621,
  [6778] = 6740,
  [6779] = 6779,
  [6780] = 6779,
  [6781] = 6779,
  [6782] = 6779,
  [6783] = 6700,
  [6784] = 6721,
  [6785] = 6785,
  [6786] = 6786,
  [6787] = 6779,
  [6788] = 6785,
  [6789] = 6770,
  [6790] = 6790,
  [6791] = 6779,
  [6792] = 6792,
  [6793] = 6764,
  [6794] = 6794,
  [6795] = 6743,
  [6796] = 6779,
  [6797] = 6738,
  [6798] = 6749,
  [6799] = 6761,
  [6800] = 6779,
  [6801] = 6779,
  [6802] = 6767,
  [6803] = 6803,
  [6804] = 6741,
  [6805] = 6541,
  [6806] = 6806,
  [6807] = 6726,
  [6808] = 6779,
  [6809] = 6806,
  [6810] = 6766,
  [6811] = 6714,
  [6812] = 551,
  [6813] = 6747,
  [6814] = 6706,
  [6815] = 6729,
  [6816] = 6736,
  [6817] = 6779,
  [6818] = 6676,
  [6819] = 6769,
  [6820] = 6779,
  [6821] = 6821,
  [6822] = 6779,
  [6823] = 6756,
  [6824] = 6725,
  [6825] = 6737,
  [6826] = 6567,
  [6827] = 6779,
  [6828] = 6790,
  [6829] = 6762,
  [6830] = 6779,
  [6831] = 125,
  [6832] = 6776,
  [6833] = 6727,
  [6834] = 6834,
  [6835] = 6759,
  [6836] = 6771,
  [6837] = 6834,
  [6838] = 6779,
  [6839] = 6730,
  [6840] = 6739,
  [6841] = 6841,
  [6842] = 6731,
  [6843] = 6792,
  [6844] = 6844,
  [6845] = 6845,
  [6846] = 6846,
  [6847] = 6803,
  [6848] = 6848,
  [6849] = 6543,
  [6850] = 6779,
  [6851] = 6851,
  [6852] = 6852,
  [6853] = 6853,
  [6854] = 6854,
  [6855] = 6715,
  [6856] = 6779,
  [6857] = 6779,
  [6858] = 6699,
  [6859] = 6848,
  [6860] = 6779,
  [6861] = 6861,
  [6862] = 6717,
  [6863] = 6586,
  [6864] = 6768,
  [6865] = 6702,
  [6866] = 6724,
  [6867] = 6841,
  [6868] = 6821,
  [6869] = 6713,
  [6870] = 6870,
  [6871] = 6844,
  [6872] = 88,
  [6873] = 6873,
  [6874] = 6874,
  [6875] = 6875,
  [6876] = 6876,
  [6877] = 6877,
  [6878] = 6878,
  [6879] = 148,
  [6880] = 149,
  [6881] = 6881,
  [6882] = 6882,
  [6883] = 6883,
  [6884] = 6884,
  [6885] = 6885,
  [6886] = 6886,
  [6887] = 6887,
  [6888] = 6888,
  [6889] = 6881,
  [6890] = 6890,
  [6891] = 147,
  [6892] = 6892,
  [6893] = 6881,
  [6894] = 6894,
  [6895] = 6873,
  [6896] = 6896,
  [6897] = 6896,
  [6898] = 6894,
  [6899] = 6734,
  [6900] = 6886,
  [6901] = 6887,
  [6902] = 6876,
  [6903] = 6883,
  [6904] = 167,
  [6905] = 6884,
  [6906] = 166,
  [6907] = 6892,
  [6908] = 6878,
  [6909] = 6763,
  [6910] = 6711,
  [6911] = 6877,
  [6912] = 439,
  [6913] = 6890,
  [6914] = 151,
  [6915] = 163,
  [6916] = 158,
  [6917] = 161,
  [6918] = 6918,
  [6919] = 6919,
  [6920] = 6693,
  [6921] = 6921,
  [6922] = 165,
  [6923] = 6691,
  [6924] = 6710,
  [6925] = 155,
  [6926] = 6720,
  [6927] = 160,
  [6928] = 164,
  [6929] = 153,
  [6930] = 6882,
  [6931] = 6931,
  [6932] = 6716,
  [6933] = 6933,
  [6934] = 150,
  [6935] = 6694,
  [6936] = 6695,
  [6937] = 6696,
  [6938] = 162,
  [6939] = 152,
  [6940] = 6697,
  [6941] = 6698,
  [6942] = 156,
  [6943] = 6888,
  [6944] = 157,
  [6945] = 6945,
  [6946] = 432,
  [6947] = 6749,
  [6948] = 6885,
  [6949] = 6949,
  [6950] = 6945,
  [6951] = 178,
  [6952] = 6919,
  [6953] = 6953,
  [6954] = 6954,
  [6955] = 6921,
  [6956] = 6956,
  [6957] = 6760,
  [6958] = 168,
  [6959] = 169,
  [6960] = 6918,
  [6961] = 6961,
  [6962] = 6962,
  [6963] = 6963,
  [6964] = 6964,
  [6965] = 6954,
  [6966] = 6963,
  [6967] = 6964,
  [6968] = 6968,
  [6969] = 170,
  [6970] = 6963,
  [6971] = 6971,
  [6972] = 6954,
  [6973] = 6964,
  [6974] = 6962,
  [6975] = 6933,
  [6976] = 6976,
  [6977] = 6977,
  [6978] = 6977,
  [6979] = 6976,
  [6980] = 6976,
  [6981] = 6981,
  [6982] = 6982,
  [6983] = 173,
  [6984] = 171,
  [6985] = 6977,
  [6986] = 6953,
  [6987] = 6987,
  [6988] = 6988,
  [6989] = 6963,
  [6990] = 6990,
  [6991] = 179,
  [6992] = 6961,
  [6993] = 6993,
  [6994] = 175,
  [6995] = 172,
  [6996] = 176,
  [6997] = 174,
  [6998] = 6998,
  [6999] = 217,
  [7000] = 7000,
  [7001] = 194,
  [7002] = 6963,
  [7003] = 195,
  [7004] = 6987,
  [7005] = 6962,
  [7006] = 6988,
  [7007] = 6963,
  [7008] = 6953,
  [7009] = 6993,
  [7010] = 6990,
  [7011] = 6945,
  [7012] = 6933,
  [7013] = 6919,
  [7014] = 6921,
  [7015] = 6874,
  [7016] = 6918,
  [7017] = 207,
  [7018] = 7018,
  [7019] = 504,
  [7020] = 6875,
  [7021] = 7021,
  [7022] = 7022,
  [7023] = 212,
  [7024] = 7024,
  [7025] = 523,
  [7026] = 7026,
  [7027] = 7027,
  [7028] = 197,
  [7029] = 7022,
  [7030] = 7026,
  [7031] = 6982,
  [7032] = 7032,
  [7033] = 204,
  [7034] = 209,
  [7035] = 203,
  [7036] = 218,
  [7037] = 183,
  [7038] = 185,
  [7039] = 202,
  [7040] = 193,
  [7041] = 192,
  [7042] = 198,
  [7043] = 199,
  [7044] = 182,
  [7045] = 7032,
  [7046] = 184,
  [7047] = 560,
  [7048] = 186,
  [7049] = 187,
  [7050] = 196,
  [7051] = 7051,
  [7052] = 191,
  [7053] = 180,
  [7054] = 7054,
  [7055] = 181,
  [7056] = 201,
  [7057] = 189,
  [7058] = 188,
  [7059] = 208,
  [7060] = 219,
  [7061] = 190,
  [7062] = 216,
  [7063] = 7063,
  [7064] = 211,
  [7065] = 213,
  [7066] = 6956,
  [7067] = 214,
  [7068] = 215,
  [7069] = 206,
  [7070] = 210,
  [7071] = 241,
  [7072] = 227,
  [7073] = 277,
  [7074] = 251,
  [7075] = 278,
  [7076] = 273,
  [7077] = 282,
  [7078] = 281,
  [7079] = 261,
  [7080] = 715,
  [7081] = 221,
  [7082] = 250,
  [7083] = 249,
  [7084] = 248,
  [7085] = 7027,
  [7086] = 233,
  [7087] = 246,
  [7088] = 270,
  [7089] = 247,
  [7090] = 240,
  [7091] = 239,
  [7092] = 220,
  [7093] = 238,
  [7094] = 245,
  [7095] = 237,
  [7096] = 236,
  [7097] = 231,
  [7098] = 229,
  [7099] = 7063,
  [7100] = 7051,
  [7101] = 224,
  [7102] = 7102,
  [7103] = 7103,
  [7104] = 7104,
  [7105] = 280,
  [7106] = 244,
  [7107] = 243,
  [7108] = 255,
  [7109] = 7109,
  [7110] = 125,
  [7111] = 225,
  [7112] = 223,
  [7113] = 504,
  [7114] = 228,
  [7115] = 276,
  [7116] = 254,
  [7117] = 259,
  [7118] = 6918,
  [7119] = 85,
  [7120] = 439,
  [7121] = 263,
  [7122] = 283,
  [7123] = 274,
  [7124] = 7124,
  [7125] = 7125,
  [7126] = 7126,
  [7127] = 432,
  [7128] = 232,
  [7129] = 7129,
  [7130] = 222,
  [7131] = 230,
  [7132] = 226,
  [7133] = 234,
  [7134] = 6982,
  [7135] = 275,
  [7136] = 7024,
  [7137] = 268,
  [7138] = 267,
  [7139] = 523,
  [7140] = 265,
  [7141] = 84,
  [7142] = 235,
  [7143] = 6998,
  [7144] = 264,
  [7145] = 262,
  [7146] = 7000,
  [7147] = 86,
  [7148] = 258,
  [7149] = 272,
  [7150] = 242,
  [7151] = 271,
  [7152] = 257,
  [7153] = 7054,
  [7154] = 256,
  [7155] = 6945,
  [7156] = 269,
  [7157] = 6933,
  [7158] = 6919,
  [7159] = 6921,
  [7160] = 266,
  [7161] = 260,
  [7162] = 253,
  [7163] = 279,
  [7164] = 252,
  [7165] = 7165,
  [7166] = 7166,
  [7167] = 7167,
  [7168] = 7168,
  [7169] = 785,
  [7170] = 7170,
  [7171] = 7171,
  [7172] = 6982,
  [7173] = 7173,
  [7174] = 7174,
  [7175] = 7175,
  [7176] = 843,
  [7177] = 7177,
  [7178] = 7178,
  [7179] = 7179,
  [7180] = 286,
  [7181] = 7181,
  [7182] = 7182,
  [7183] = 7183,
  [7184] = 7184,
  [7185] = 7185,
  [7186] = 7186,
  [7187] = 7187,
  [7188] = 831,
  [7189] = 846,
  [7190] = 7178,
  [7191] = 7179,
  [7192] = 7175,
  [7193] = 7183,
  [7194] = 7185,
  [7195] = 125,
  [7196] = 7196,
  [7197] = 7170,
  [7198] = 7183,
  [7199] = 7166,
  [7200] = 7167,
  [7201] = 857,
  [7202] = 7173,
  [7203] = 7203,
  [7204] = 7051,
  [7205] = 7205,
  [7206] = 7125,
  [7207] = 7124,
  [7208] = 7208,
  [7209] = 7178,
  [7210] = 7027,
  [7211] = 7211,
  [7212] = 7212,
  [7213] = 7213,
  [7214] = 7000,
  [7215] = 7184,
  [7216] = 7054,
  [7217] = 7185,
  [7218] = 6998,
  [7219] = 7196,
  [7220] = 7175,
  [7221] = 7024,
  [7222] = 7063,
  [7223] = 290,
  [7224] = 7224,
  [7225] = 7225,
  [7226] = 7187,
  [7227] = 7104,
  [7228] = 7103,
  [7229] = 7229,
  [7230] = 7063,
  [7231] = 7231,
  [7232] = 285,
  [7233] = 7233,
  [7234] = 7173,
  [7235] = 7179,
  [7236] = 7167,
  [7237] = 7109,
  [7238] = 7238,
  [7239] = 7102,
  [7240] = 7126,
  [7241] = 7166,
  [7242] = 7129,
  [7243] = 7170,
  [7244] = 7196,
  [7245] = 7203,
  [7246] = 6931,
  [7247] = 87,
  [7248] = 289,
  [7249] = 284,
  [7250] = 287,
  [7251] = 843,
  [7252] = 857,
  [7253] = 846,
  [7254] = 831,
  [7255] = 785,
  [7256] = 7256,
  [7257] = 7257,
  [7258] = 7258,
  [7259] = 6749,
  [7260] = 7260,
  [7261] = 7261,
  [7262] = 551,
  [7263] = 7263,
  [7264] = 7264,
  [7265] = 7265,
  [7266] = 7258,
  [7267] = 7267,
  [7268] = 7268,
  [7269] = 7269,
  [7270] = 7270,
  [7271] = 7271,
  [7272] = 7272,
  [7273] = 7213,
  [7274] = 6949,
  [7275] = 7275,
  [7276] = 7205,
  [7277] = 7277,
  [7278] = 7278,
  [7279] = 7279,
  [7280] = 7271,
  [7281] = 7258,
  [7282] = 7263,
  [7283] = 7283,
  [7284] = 7284,
  [7285] = 7285,
  [7286] = 7286,
  [7287] = 7287,
  [7288] = 7238,
  [7289] = 7278,
  [7290] = 7271,
  [7291] = 7258,
  [7292] = 7292,
  [7293] = 7293,
  [7294] = 7294,
  [7295] = 7263,
  [7296] = 7278,
  [7297] = 7297,
  [7298] = 7271,
  [7299] = 7279,
  [7300] = 7258,
  [7301] = 7263,
  [7302] = 7278,
  [7303] = 7271,
  [7304] = 7261,
  [7305] = 7258,
  [7306] = 7263,
  [7307] = 7278,
  [7308] = 7177,
  [7309] = 7309,
  [7310] = 7263,
  [7311] = 7311,
  [7312] = 7277,
  [7313] = 7313,
  [7314] = 7271,
  [7315] = 7315,
  [7316] = 7316,
  [7317] = 7024,
  [7318] = 7318,
  [7319] = 7275,
  [7320] = 7258,
  [7321] = 7263,
  [7322] = 6998,
  [7323] = 7323,
  [7324] = 7324,
  [7325] = 7309,
  [7326] = 7054,
  [7327] = 7327,
  [7328] = 7000,
  [7329] = 7278,
  [7330] = 7027,
  [7331] = 7278,
  [7332] = 7051,
  [7333] = 7233,
  [7334] = 7315,
  [7335] = 7168,
  [7336] = 7336,
  [7337] = 7337,
  [7338] = 7338,
  [7339] = 7339,
  [7340] = 7340,
  [7341] = 7171,
  [7342] = 7231,
  [7343] = 7229,
  [7344] = 7271,
  [7345] = 7225,
  [7346] = 7346,
  [7347] = 7347,
  [7348] = 7348,
  [7349] = 7264,
  [7350] = 7350,
  [7351] = 7351,
  [7352] = 6918,
  [7353] = 7353,
  [7354] = 7224,
  [7355] = 7355,
  [7356] = 7297,
  [7357] = 7212,
  [7358] = 7358,
  [7359] = 7258,
  [7360] = 7063,
  [7361] = 7361,
  [7362] = 7165,
  [7363] = 7211,
  [7364] = 7208,
  [7365] = 7365,
  [7366] = 6945,
  [7367] = 7367,
  [7368] = 7267,
  [7369] = 7271,
  [7370] = 7182,
  [7371] = 7267,
  [7372] = 7264,
  [7373] = 7181,
  [7374] = 7350,
  [7375] = 6933,
  [7376] = 7376,
  [7377] = 7377,
  [7378] = 7279,
  [7379] = 7379,
  [7380] = 7376,
  [7381] = 7292,
  [7382] = 7377,
  [7383] = 7379,
  [7384] = 7292,
  [7385] = 7261,
  [7386] = 7277,
  [7387] = 6921,
  [7388] = 7388,
  [7389] = 7278,
  [7390] = 7379,
  [7391] = 7391,
  [7392] = 7377,
  [7393] = 7393,
  [7394] = 7263,
  [7395] = 7350,
  [7396] = 7315,
  [7397] = 7376,
  [7398] = 7256,
  [7399] = 7268,
  [7400] = 7400,
  [7401] = 7186,
  [7402] = 7402,
  [7403] = 7403,
  [7404] = 7268,
  [7405] = 7256,
  [7406] = 7406,
  [7407] = 560,
  [7408] = 6919,
  [7409] = 7311,
  [7410] = 6971,
  [7411] = 7411,
  [7412] = 7269,
  [7413] = 7413,
  [7414] = 7316,
  [7415] = 6968,
  [7416] = 7416,
  [7417] = 7388,
  [7418] = 7257,
  [7419] = 7419,
  [7420] = 7400,
  [7421] = 7403,
  [7422] = 7416,
  [7423] = 7423,
  [7424] = 7424,
  [7425] = 7425,
  [7426] = 7406,
  [7427] = 7427,
  [7428] = 7419,
  [7429] = 7423,
  [7430] = 7430,
  [7431] = 7431,
  [7432] = 7413,
  [7433] = 7433,
  [7434] = 7427,
  [7435] = 7435,
  [7436] = 7436,
  [7437] = 7318,
  [7438] = 7269,
  [7439] = 7436,
  [7440] = 7431,
  [7441] = 7212,
  [7442] = 7338,
  [7443] = 7424,
  [7444] = 7424,
  [7445] = 7427,
  [7446] = 6981,
  [7447] = 7323,
  [7448] = 7294,
  [7449] = 7324,
  [7450] = 7327,
  [7451] = 7177,
  [7452] = 7452,
  [7453] = 7238,
  [7454] = 7213,
  [7455] = 7423,
  [7456] = 7018,
  [7457] = 7340,
  [7458] = 7021,
  [7459] = 7168,
  [7460] = 7339,
  [7461] = 7461,
  [7462] = 7337,
  [7463] = 7336,
  [7464] = 7419,
  [7465] = 7465,
  [7466] = 7367,
  [7467] = 7402,
  [7468] = 7468,
  [7469] = 7469,
  [7470] = 6918,
  [7471] = 7260,
  [7472] = 7361,
  [7473] = 7358,
  [7474] = 7474,
  [7475] = 7475,
  [7476] = 7391,
  [7477] = 7431,
  [7478] = 7478,
  [7479] = 7181,
  [7480] = 7186,
  [7481] = 7430,
  [7482] = 6921,
  [7483] = 7293,
  [7484] = 6919,
  [7485] = 7452,
  [7486] = 6933,
  [7487] = 7413,
  [7488] = 7283,
  [7489] = 7435,
  [7490] = 7284,
  [7491] = 7285,
  [7492] = 7286,
  [7493] = 6945,
  [7494] = 7494,
  [7495] = 7474,
  [7496] = 6982,
  [7497] = 7287,
  [7498] = 7403,
  [7499] = 7416,
  [7500] = 7465,
  [7501] = 7436,
  [7502] = 7365,
  [7503] = 715,
  [7504] = 7478,
  [7505] = 7346,
  [7506] = 7353,
  [7507] = 7351,
  [7508] = 7260,
  [7509] = 7313,
  [7510] = 7348,
  [7511] = 7265,
  [7512] = 7347,
  [7513] = 7475,
  [7514] = 7403,
  [7515] = 7515,
  [7516] = 7212,
  [7517] = 7517,
  [7518] = 7177,
  [7519] = 7519,
  [7520] = 7238,
  [7521] = 7521,
  [7522] = 7213,
  [7523] = 7168,
  [7524] = 7524,
  [7525] = 7525,
  [7526] = 7257,
  [7527] = 6982,
  [7528] = 7528,
  [7529] = 7181,
  [7530] = 7388,
  [7531] = 7531,
  [7532] = 7532,
  [7533] = 7533,
  [7534] = 7534,
  [7535] = 7051,
  [7536] = 7536,
  [7537] = 7537,
  [7538] = 7538,
  [7539] = 7024,
  [7540] = 7540,
  [7541] = 7541,
  [7542] = 7260,
  [7543] = 7468,
  [7544] = 7532,
  [7545] = 6998,
  [7546] = 7528,
  [7547] = 7365,
  [7548] = 7411,
  [7549] = 7549,
  [7550] = 7550,
  [7551] = 7551,
  [7552] = 7186,
  [7553] = 7553,
  [7554] = 7554,
  [7555] = 7555,
  [7556] = 7556,
  [7557] = 7425,
  [7558] = 6882,
  [7559] = 7000,
  [7560] = 7515,
  [7561] = 7561,
  [7562] = 7562,
  [7563] = 7563,
  [7564] = 7054,
  [7565] = 7565,
  [7566] = 7566,
  [7567] = 7567,
  [7568] = 7541,
  [7569] = 7569,
  [7570] = 7570,
  [7571] = 7571,
  [7572] = 7569,
  [7573] = 7573,
  [7574] = 7574,
  [7575] = 7575,
  [7576] = 7576,
  [7577] = 7575,
  [7578] = 7027,
  [7579] = 7538,
  [7580] = 7532,
  [7581] = 432,
  [7582] = 125,
  [7583] = 439,
  [7584] = 7584,
  [7585] = 7585,
  [7586] = 7586,
  [7587] = 7586,
  [7588] = 7588,
  [7589] = 6956,
  [7590] = 7269,
  [7591] = 7591,
  [7592] = 7575,
  [7593] = 7593,
  [7594] = 7574,
  [7595] = 7595,
  [7596] = 7596,
  [7597] = 7597,
  [7598] = 7537,
  [7599] = 7524,
  [7600] = 7573,
  [7601] = 7563,
  [7602] = 7602,
  [7603] = 7603,
  [7604] = 7604,
  [7605] = 7605,
  [7606] = 7606,
  [7607] = 7561,
  [7608] = 7608,
  [7609] = 7608,
  [7610] = 7610,
  [7611] = 7585,
  [7612] = 7570,
  [7613] = 7613,
  [7614] = 7576,
  [7615] = 7588,
  [7616] = 7565,
  [7617] = 7608,
  [7618] = 7567,
  [7619] = 7619,
  [7620] = 7562,
  [7621] = 7621,
  [7622] = 7540,
  [7623] = 7623,
  [7624] = 7610,
  [7625] = 7625,
  [7626] = 7626,
  [7627] = 7627,
  [7628] = 7596,
  [7629] = 7608,
  [7630] = 7630,
  [7631] = 7550,
  [7632] = 7551,
  [7633] = 7633,
  [7634] = 7571,
  [7635] = 7635,
  [7636] = 7627,
  [7637] = 7637,
  [7638] = 7556,
  [7639] = 7639,
  [7640] = 7595,
  [7641] = 7641,
  [7642] = 7642,
  [7643] = 7593,
  [7644] = 7644,
  [7645] = 7531,
  [7646] = 7633,
  [7647] = 7647,
  [7648] = 7648,
  [7649] = 7649,
  [7650] = 7641,
  [7651] = 7596,
  [7652] = 7652,
  [7653] = 7653,
  [7654] = 7063,
  [7655] = 7553,
  [7656] = 7584,
  [7657] = 7475,
  [7658] = 7051,
  [7659] = 7605,
  [7660] = 7660,
  [7661] = 7661,
  [7662] = 7662,
  [7663] = 7626,
  [7664] = 7027,
  [7665] = 7000,
  [7666] = 7269,
  [7667] = 7054,
  [7668] = 7403,
  [7669] = 6998,
  [7670] = 7536,
  [7671] = 7260,
  [7672] = 7642,
  [7673] = 7024,
  [7674] = 7596,
  [7675] = 7603,
  [7676] = 7676,
  [7677] = 7677,
  [7678] = 7257,
  [7679] = 7388,
  [7680] = 7633,
  [7681] = 7605,
  [7682] = 7682,
  [7683] = 7677,
  [7684] = 7641,
  [7685] = 7606,
  [7686] = 7591,
  [7687] = 7687,
  [7688] = 7682,
  [7689] = 7689,
  [7690] = 7608,
  [7691] = 7635,
  [7692] = 7677,
  [7693] = 7693,
  [7694] = 7694,
  [7695] = 7608,
  [7696] = 7635,
  [7697] = 7697,
  [7698] = 7697,
  [7699] = 7699,
  [7700] = 7641,
  [7701] = 7701,
  [7702] = 7694,
  [7703] = 7676,
  [7704] = 7633,
  [7705] = 7633,
  [7706] = 7641,
  [7707] = 7555,
  [7708] = 7637,
  [7709] = 7635,
  [7710] = 7652,
  [7711] = 7625,
  [7712] = 7635,
  [7713] = 7713,
  [7714] = 7621,
  [7715] = 7627,
  [7716] = 7716,
  [7717] = 7633,
  [7718] = 7365,
  [7719] = 7719,
  [7720] = 7720,
  [7721] = 7641,
  [7722] = 7722,
  [7723] = 7723,
  [7724] = 7635,
  [7725] = 7725,
  [7726] = 7726,
  [7727] = 7727,
  [7728] = 7728,
  [7729] = 7729,
  [7730] = 7730,
  [7731] = 7731,
  [7732] = 7644,
  [7733] = 7733,
  [7734] = 7734,
  [7735] = 551,
  [7736] = 7736,
  [7737] = 7737,
  [7738] = 7738,
  [7739] = 7475,
  [7740] = 7740,
  [7741] = 7741,
  [7742] = 7742,
  [7743] = 7743,
  [7744] = 7740,
  [7745] = 7745,
  [7746] = 7730,
  [7747] = 7747,
  [7748] = 7731,
  [7749] = 7749,
  [7750] = 7737,
  [7751] = 7734,
  [7752] = 7752,
  [7753] = 7753,
  [7754] = 7741,
  [7755] = 7742,
  [7756] = 7756,
  [7757] = 7757,
  [7758] = 7733,
  [7759] = 7745,
  [7760] = 7760,
  [7761] = 7745,
  [7762] = 7733,
  [7763] = 7731,
  [7764] = 7764,
  [7765] = 7757,
  [7766] = 7730,
  [7767] = 7767,
  [7768] = 7768,
  [7769] = 7769,
  [7770] = 7770,
  [7771] = 7740,
  [7772] = 7734,
  [7773] = 7773,
  [7774] = 7728,
  [7775] = 7775,
  [7776] = 7730,
  [7777] = 7737,
  [7778] = 7757,
  [7779] = 7737,
  [7780] = 7740,
  [7781] = 7740,
  [7782] = 7782,
  [7783] = 7727,
  [7784] = 7733,
  [7785] = 7731,
  [7786] = 7757,
  [7787] = 7745,
  [7788] = 7788,
  [7789] = 7789,
  [7790] = 7734,
  [7791] = 7757,
  [7792] = 7730,
  [7793] = 7793,
  [7794] = 7181,
  [7795] = 7795,
  [7796] = 7733,
  [7797] = 7212,
  [7798] = 7738,
  [7799] = 7745,
  [7800] = 7800,
  [7801] = 7801,
  [7802] = 7802,
  [7803] = 7730,
  [7804] = 7804,
  [7805] = 7757,
  [7806] = 7806,
  [7807] = 7807,
  [7808] = 7731,
  [7809] = 7734,
  [7810] = 7733,
  [7811] = 7736,
  [7812] = 7812,
  [7813] = 7782,
  [7814] = 7752,
  [7815] = 7745,
  [7816] = 7801,
  [7817] = 7812,
  [7818] = 7818,
  [7819] = 7819,
  [7820] = 7764,
  [7821] = 7770,
  [7822] = 7822,
  [7823] = 7737,
  [7824] = 7760,
  [7825] = 7731,
  [7826] = 7722,
  [7827] = 7806,
  [7828] = 7757,
  [7829] = 7727,
  [7830] = 7720,
  [7831] = 7716,
  [7832] = 7713,
  [7833] = 7757,
  [7834] = 7740,
  [7835] = 7818,
  [7836] = 7734,
  [7837] = 7743,
  [7838] = 7838,
  [7839] = 7745,
  [7840] = 7737,
  [7841] = 7841,
  [7842] = 7842,
  [7843] = 7757,
  [7844] = 7844,
  [7845] = 7238,
  [7846] = 7736,
  [7847] = 7847,
  [7848] = 7848,
  [7849] = 7177,
  [7850] = 7753,
  [7851] = 7731,
  [7852] = 7740,
  [7853] = 7727,
  [7854] = 7745,
  [7855] = 560,
  [7856] = 7856,
  [7857] = 7186,
  [7858] = 7768,
  [7859] = 7757,
  [7860] = 7757,
  [7861] = 7861,
  [7862] = 7740,
  [7863] = 7757,
  [7864] = 7864,
  [7865] = 7865,
  [7866] = 7729,
  [7867] = 7733,
  [7868] = 7868,
  [7869] = 7699,
  [7870] = 7737,
  [7871] = 7734,
  [7872] = 7838,
  [7873] = 7737,
  [7874] = 7874,
  [7875] = 7875,
  [7876] = 7550,
  [7877] = 7756,
  [7878] = 7730,
  [7879] = 7727,
  [7880] = 7874,
  [7881] = 7807,
  [7882] = 7800,
  [7883] = 7727,
  [7884] = 7757,
  [7885] = 7563,
  [7886] = 7757,
  [7887] = 7887,
  [7888] = 7213,
  [7889] = 7889,
  [7890] = 7818,
  [7891] = 7891,
  [7892] = 7892,
  [7893] = 7893,
  [7894] = 7789,
  [7895] = 7788,
  [7896] = 7893,
  [7897] = 7588,
  [7898] = 88,
  [7899] = 7747,
  [7900] = 7892,
  [7901] = 7875,
  [7902] = 7749,
  [7903] = 7793,
  [7904] = 7168,
  [7905] = 7905,
  [7906] = 7795,
  [7907] = 7757,
  [7908] = 7819,
  [7909] = 7731,
  [7910] = 7822,
  [7911] = 7861,
  [7912] = 7757,
  [7913] = 7730,
  [7914] = 7767,
  [7915] = 7915,
  [7916] = 7841,
  [7917] = 7769,
  [7918] = 7842,
  [7919] = 7847,
  [7920] = 7848,
  [7921] = 7856,
  [7922] = 7623,
  [7923] = 7757,
  [7924] = 7565,
  [7925] = 7925,
  [7926] = 7838,
  [7927] = 7864,
  [7928] = 7865,
  [7929] = 7653,
  [7930] = 7733,
  [7931] = 7868,
  [7932] = 7734,
  [7933] = 7604,
  [7934] = 7540,
  [7935] = 7891,
  [7936] = 7602,
  [7937] = 7887,
  [7938] = 7757,
  [7939] = 7775,
  [7940] = 7773,
  [7941] = 7802,
  [7942] = 7804,
  [7943] = 7943,
  [7944] = 7944,
  [7945] = 7945,
  [7946] = 7943,
  [7947] = 7947,
  [7948] = 7948,
  [7949] = 7949,
  [7950] = 7950,
  [7951] = 7944,
  [7952] = 7952,
  [7953] = 7953,
  [7954] = 7945,
  [7955] = 7945,
  [7956] = 7943,
  [7957] = 7957,
  [7958] = 7958,
  [7959] = 7949,
  [7960] = 7960,
  [7961] = 7961,
  [7962] = 7945,
  [7963] = 7943,
  [7964] = 7943,
  [7965] = 7949,
  [7966] = 7944,
  [7967] = 7944,
  [7968] = 7949,
  [7969] = 200,
  [7970] = 7970,
  [7971] = 7971,
  [7972] = 7945,
  [7973] = 7943,
  [7974] = 7974,
  [7975] = 7975,
  [7976] = 7953,
  [7977] = 7977,
  [7978] = 7978,
  [7979] = 7979,
  [7980] = 7980,
  [7981] = 7981,
  [7982] = 7982,
  [7983] = 7944,
  [7984] = 7945,
  [7985] = 7949,
  [7986] = 7943,
  [7987] = 7987,
  [7988] = 7988,
  [7989] = 7989,
  [7990] = 7944,
  [7991] = 7944,
  [7992] = 7949,
  [7993] = 7945,
  [7994] = 7943,
  [7995] = 7944,
  [7996] = 7996,
  [7997] = 7949,
  [7998] = 7998,
  [7999] = 7999,
  [8000] = 8000,
  [8001] = 7949,
  [8002] = 7949,
  [8003] = 7977,
  [8004] = 7944,
  [8005] = 8005,
  [8006] = 7950,
  [8007] = 7943,
  [8008] = 8008,
  [8009] = 8009,
  [8010] = 7944,
  [8011] = 7987,
  [8012] = 8012,
  [8013] = 8013,
  [8014] = 8014,
  [8015] = 7945,
  [8016] = 7949,
  [8017] = 7945,
  [8018] = 8018,
  [8019] = 8019,
  [8020] = 7949,
  [8021] = 7978,
  [8022] = 7943,
  [8023] = 8023,
  [8024] = 8008,
  [8025] = 8025,
  [8026] = 7999,
  [8027] = 8018,
  [8028] = 7978,
  [8029] = 8029,
  [8030] = 8023,
  [8031] = 7943,
  [8032] = 8032,
  [8033] = 8033,
  [8034] = 8034,
  [8035] = 8035,
  [8036] = 7540,
  [8037] = 7945,
  [8038] = 7905,
  [8039] = 7945,
  [8040] = 7565,
  [8041] = 7588,
  [8042] = 7943,
  [8043] = 7563,
  [8044] = 8044,
  [8045] = 7982,
  [8046] = 7550,
  [8047] = 7945,
  [8048] = 7953,
  [8049] = 8049,
  [8050] = 8013,
  [8051] = 8051,
  [8052] = 8035,
  [8053] = 7949,
  [8054] = 7943,
  [8055] = 7989,
  [8056] = 7958,
  [8057] = 7979,
  [8058] = 8058,
  [8059] = 8018,
  [8060] = 7978,
  [8061] = 7949,
  [8062] = 8023,
  [8063] = 7944,
  [8064] = 7944,
  [8065] = 8023,
  [8066] = 8019,
  [8067] = 8067,
  [8068] = 7996,
  [8069] = 7944,
  [8070] = 8070,
  [8071] = 7943,
  [8072] = 7949,
  [8073] = 7945,
  [8074] = 7945,
  [8075] = 7186,
  [8076] = 7181,
  [8077] = 7868,
  [8078] = 7943,
  [8079] = 8079,
  [8080] = 7168,
  [8081] = 7213,
  [8082] = 7945,
  [8083] = 7943,
  [8084] = 7950,
  [8085] = 7238,
  [8086] = 7861,
  [8087] = 7177,
  [8088] = 8088,
  [8089] = 8005,
  [8090] = 8000,
  [8091] = 7945,
  [8092] = 7943,
  [8093] = 8025,
  [8094] = 8094,
  [8095] = 8067,
  [8096] = 7212,
  [8097] = 8070,
  [8098] = 8049,
  [8099] = 8099,
  [8100] = 8100,
  [8101] = 8005,
  [8102] = 7949,
  [8103] = 8018,
  [8104] = 7949,
  [8105] = 8009,
  [8106] = 7944,
  [8107] = 7944,
  [8108] = 8018,
  [8109] = 7949,
  [8110] = 8051,
  [8111] = 7743,
  [8112] = 8044,
  [8113] = 7978,
  [8114] = 7945,
  [8115] = 8009,
  [8116] = 7945,
  [8117] = 7978,
  [8118] = 7944,
  [8119] = 7943,
  [8120] = 8023,
  [8121] = 8018,
  [8122] = 7944,
  [8123] = 8023,
  [8124] = 8124,
  [8125] = 8125,
  [8126] = 7944,
  [8127] = 7949,
  [8128] = 8128,
  [8129] = 715,
  [8130] = 8013,
  [8131] = 8131,
  [8132] = 8034,
  [8133] = 8133,
  [8134] = 8134,
  [8135] = 7948,
  [8136] = 8136,
  [8137] = 8137,
  [8138] = 8131,
  [8139] = 8139,
  [8140] = 8140,
  [8141] = 8131,
  [8142] = 8139,
  [8143] = 8139,
  [8144] = 7947,
  [8145] = 8140,
  [8146] = 8137,
  [8147] = 8147,
  [8148] = 8148,
  [8149] = 8149,
  [8150] = 8150,
  [8151] = 8150,
  [8152] = 8152,
  [8153] = 7952,
  [8154] = 8154,
  [8155] = 8131,
  [8156] = 8156,
  [8157] = 8157,
  [8158] = 7980,
  [8159] = 7981,
  [8160] = 8160,
  [8161] = 8161,
  [8162] = 8162,
  [8163] = 8163,
  [8164] = 8094,
  [8165] = 8165,
  [8166] = 8131,
  [8167] = 8167,
  [8168] = 8161,
  [8169] = 8169,
  [8170] = 8170,
  [8171] = 8131,
  [8172] = 8100,
  [8173] = 8173,
  [8174] = 8174,
  [8175] = 8175,
  [8176] = 8167,
  [8177] = 8177,
  [8178] = 8178,
  [8179] = 8179,
  [8180] = 8180,
  [8181] = 8181,
  [8182] = 8131,
  [8183] = 8183,
  [8184] = 8169,
  [8185] = 8185,
  [8186] = 551,
  [8187] = 8175,
  [8188] = 8188,
  [8189] = 8189,
  [8190] = 8162,
  [8191] = 8174,
  [8192] = 8140,
  [8193] = 8137,
  [8194] = 8194,
  [8195] = 8133,
  [8196] = 8131,
  [8197] = 8178,
  [8198] = 8198,
  [8199] = 8147,
  [8200] = 8200,
  [8201] = 8131,
  [8202] = 8136,
  [8203] = 8203,
  [8204] = 8167,
  [8205] = 8198,
  [8206] = 7998,
  [8207] = 8207,
  [8208] = 8208,
  [8209] = 8209,
  [8210] = 8210,
  [8211] = 8131,
  [8212] = 8212,
  [8213] = 8174,
  [8214] = 8214,
  [8215] = 8215,
  [8216] = 8216,
  [8217] = 8070,
  [8218] = 8218,
  [8219] = 8131,
  [8220] = 8220,
  [8221] = 7974,
  [8222] = 8207,
  [8223] = 8223,
  [8224] = 8224,
  [8225] = 7970,
  [8226] = 8067,
  [8227] = 8165,
  [8228] = 8228,
  [8229] = 8131,
  [8230] = 8230,
  [8231] = 8231,
  [8232] = 8185,
  [8233] = 8233,
  [8234] = 8228,
  [8235] = 8235,
  [8236] = 8131,
  [8237] = 8163,
  [8238] = 8044,
  [8239] = 8218,
  [8240] = 8131,
  [8241] = 8179,
  [8242] = 8242,
  [8243] = 8180,
  [8244] = 8209,
  [8245] = 8245,
  [8246] = 8131,
  [8247] = 8247,
  [8248] = 7975,
  [8249] = 8181,
  [8250] = 7996,
  [8251] = 7988,
  [8252] = 8208,
  [8253] = 8253,
  [8254] = 8131,
  [8255] = 8207,
  [8256] = 8175,
  [8257] = 7961,
  [8258] = 7957,
  [8259] = 8259,
  [8260] = 8260,
  [8261] = 8134,
  [8262] = 8150,
  [8263] = 8012,
  [8264] = 8264,
  [8265] = 8265,
  [8266] = 8266,
  [8267] = 8267,
  [8268] = 8029,
  [8269] = 8180,
  [8270] = 8131,
  [8271] = 8207,
  [8272] = 8272,
  [8273] = 8088,
  [8274] = 8259,
  [8275] = 8260,
  [8276] = 8276,
  [8277] = 8264,
  [8278] = 8266,
  [8279] = 8198,
  [8280] = 8267,
  [8281] = 8281,
  [8282] = 8282,
  [8283] = 8218,
  [8284] = 8284,
  [8285] = 8285,
  [8286] = 8286,
  [8287] = 8245,
  [8288] = 8288,
  [8289] = 8242,
  [8290] = 8170,
  [8291] = 8224,
  [8292] = 8134,
  [8293] = 8281,
  [8294] = 8189,
  [8295] = 8295,
  [8296] = 8215,
  [8297] = 8162,
  [8298] = 8014,
  [8299] = 8299,
  [8300] = 8133,
  [8301] = 8301,
  [8302] = 8302,
  [8303] = 8209,
  [8304] = 8231,
  [8305] = 8230,
  [8306] = 7269,
  [8307] = 8200,
  [8308] = 8189,
  [8309] = 8233,
  [8310] = 7403,
  [8311] = 8311,
  [8312] = 7260,
  [8313] = 8272,
  [8314] = 8314,
  [8315] = 8276,
  [8316] = 8203,
  [8317] = 8160,
  [8318] = 8318,
  [8319] = 8152,
  [8320] = 8149,
  [8321] = 8099,
  [8322] = 8131,
  [8323] = 8183,
  [8324] = 8324,
  [8325] = 8325,
  [8326] = 8148,
  [8327] = 8327,
  [8328] = 8328,
  [8329] = 8329,
  [8330] = 8330,
  [8331] = 8331,
  [8332] = 8332,
  [8333] = 8333,
  [8334] = 6776,
  [8335] = 8335,
  [8336] = 8335,
  [8337] = 8220,
  [8338] = 8338,
  [8339] = 8339,
  [8340] = 6737,
  [8341] = 8341,
  [8342] = 6725,
  [8343] = 8331,
  [8344] = 8344,
  [8345] = 8345,
  [8346] = 8346,
  [8347] = 8347,
  [8348] = 8154,
  [8349] = 8349,
  [8350] = 8350,
  [8351] = 8235,
  [8352] = 8352,
  [8353] = 8301,
  [8354] = 6700,
  [8355] = 8355,
  [8356] = 8328,
  [8357] = 8357,
  [8358] = 8358,
  [8359] = 8359,
  [8360] = 8360,
  [8361] = 8361,
  [8362] = 8362,
  [8363] = 8363,
  [8364] = 8288,
  [8365] = 8365,
  [8366] = 8366,
  [8367] = 8367,
  [8368] = 8368,
  [8369] = 8328,
  [8370] = 8370,
  [8371] = 8371,
  [8372] = 8372,
  [8373] = 8373,
  [8374] = 8156,
  [8375] = 8375,
  [8376] = 8376,
  [8377] = 8372,
  [8378] = 8333,
  [8379] = 8332,
  [8380] = 8188,
  [8381] = 8381,
  [8382] = 8382,
  [8383] = 8383,
  [8384] = 8384,
  [8385] = 8385,
  [8386] = 8386,
  [8387] = 8387,
  [8388] = 8388,
  [8389] = 8384,
  [8390] = 8384,
  [8391] = 8391,
  [8392] = 8392,
  [8393] = 8393,
  [8394] = 8394,
  [8395] = 8362,
  [8396] = 8157,
  [8397] = 8165,
  [8398] = 8398,
  [8399] = 8399,
  [8400] = 8400,
  [8401] = 8401,
  [8402] = 8402,
  [8403] = 8403,
  [8404] = 8404,
  [8405] = 8405,
  [8406] = 8406,
  [8407] = 8407,
  [8408] = 8386,
  [8409] = 8388,
  [8410] = 8373,
  [8411] = 8394,
  [8412] = 8384,
  [8413] = 8329,
  [8414] = 8414,
  [8415] = 8344,
  [8416] = 8416,
  [8417] = 8384,
  [8418] = 8384,
  [8419] = 8419,
  [8420] = 8344,
  [8421] = 8284,
  [8422] = 8422,
  [8423] = 8407,
  [8424] = 8424,
  [8425] = 8370,
  [8426] = 8426,
  [8427] = 8427,
  [8428] = 8330,
  [8429] = 8325,
  [8430] = 8430,
  [8431] = 8393,
  [8432] = 8125,
  [8433] = 8433,
  [8434] = 8375,
  [8435] = 8435,
  [8436] = 8128,
  [8437] = 8437,
  [8438] = 8438,
  [8439] = 8282,
  [8440] = 8331,
  [8441] = 8344,
  [8442] = 8406,
  [8443] = 8328,
  [8444] = 8384,
  [8445] = 8384,
  [8446] = 8341,
  [8447] = 8399,
  [8448] = 8373,
  [8449] = 8352,
  [8450] = 8328,
  [8451] = 8295,
  [8452] = 8265,
  [8453] = 7257,
  [8454] = 8454,
  [8455] = 8328,
  [8456] = 8456,
  [8457] = 8457,
  [8458] = 8457,
  [8459] = 8399,
  [8460] = 8398,
  [8461] = 8370,
  [8462] = 8462,
  [8463] = 8457,
  [8464] = 8464,
  [8465] = 8465,
  [8466] = 8033,
  [8467] = 8467,
  [8468] = 8194,
  [8469] = 8469,
  [8470] = 8470,
  [8471] = 8467,
  [8472] = 8472,
  [8473] = 8473,
  [8474] = 8359,
  [8475] = 8328,
  [8476] = 8476,
  [8477] = 8426,
  [8478] = 8344,
  [8479] = 8032,
  [8480] = 8480,
  [8481] = 8437,
  [8482] = 8482,
  [8483] = 8427,
  [8484] = 8407,
  [8485] = 8371,
  [8486] = 8331,
  [8487] = 8328,
  [8488] = 8331,
  [8489] = 8331,
  [8490] = 8331,
  [8491] = 8359,
  [8492] = 8492,
  [8493] = 8328,
  [8494] = 8405,
  [8495] = 8401,
  [8496] = 8496,
  [8497] = 8392,
  [8498] = 8223,
  [8499] = 8331,
  [8500] = 8331,
  [8501] = 8482,
  [8502] = 6699,
  [8503] = 8416,
  [8504] = 8384,
  [8505] = 8404,
  [8506] = 8414,
  [8507] = 8344,
  [8508] = 8328,
  [8509] = 8384,
  [8510] = 8331,
  [8511] = 8456,
  [8512] = 8345,
  [8513] = 8366,
  [8514] = 8406,
  [8515] = 8515,
  [8516] = 8384,
  [8517] = 8345,
  [8518] = 8330,
  [8519] = 8438,
  [8520] = 8331,
  [8521] = 8521,
  [8522] = 8430,
  [8523] = 8331,
  [8524] = 7365,
  [8525] = 8325,
  [8526] = 8526,
  [8527] = 8527,
  [8528] = 8344,
  [8529] = 8328,
  [8530] = 8467,
  [8531] = 8302,
  [8532] = 8454,
  [8533] = 8467,
  [8534] = 8534,
  [8535] = 8359,
  [8536] = 8536,
  [8537] = 6739,
  [8538] = 8538,
  [8539] = 8496,
  [8540] = 8540,
  [8541] = 6740,
  [8542] = 8329,
  [8543] = 8344,
  [8544] = 8331,
  [8545] = 8328,
  [8546] = 8482,
  [8547] = 8472,
  [8548] = 8362,
  [8549] = 8358,
  [8550] = 8381,
  [8551] = 8331,
  [8552] = 8552,
  [8553] = 8338,
  [8554] = 8554,
  [8555] = 8311,
  [8556] = 8328,
  [8557] = 8557,
  [8558] = 8476,
  [8559] = 8559,
  [8560] = 8560,
  [8561] = 8467,
  [8562] = 8562,
  [8563] = 8344,
  [8564] = 8564,
  [8565] = 8387,
  [8566] = 8492,
  [8567] = 8567,
  [8568] = 8359,
  [8569] = 8569,
  [8570] = 8384,
  [8571] = 8571,
  [8572] = 8344,
  [8573] = 8419,
  [8574] = 8482,
  [8575] = 8482,
  [8576] = 8576,
  [8577] = 8384,
  [8578] = 8344,
  [8579] = 8492,
  [8580] = 8381,
  [8581] = 8476,
  [8582] = 8384,
  [8583] = 8496,
  [8584] = 8331,
  [8585] = 8585,
  [8586] = 8358,
  [8587] = 8534,
  [8588] = 7257,
  [8589] = 8344,
  [8590] = 8331,
  [8591] = 8355,
  [8592] = 7388,
  [8593] = 8593,
  [8594] = 8384,
  [8595] = 8595,
  [8596] = 8482,
  [8597] = 8328,
  [8598] = 8210,
  [8599] = 8328,
  [8600] = 7388,
  [8601] = 7365,
  [8602] = 8247,
  [8603] = 8212,
  [8604] = 8331,
  [8605] = 8385,
  [8606] = 8214,
  [8607] = 8344,
  [8608] = 8437,
  [8609] = 8609,
  [8610] = 8299,
  [8611] = 8611,
  [8612] = 8365,
  [8613] = 8613,
  [8614] = 8614,
  [8615] = 8335,
  [8616] = 8331,
  [8617] = 8617,
  [8618] = 8177,
  [8619] = 8619,
  [8620] = 8430,
  [8621] = 8328,
  [8622] = 8344,
  [8623] = 8332,
  [8624] = 8383,
  [8625] = 8625,
  [8626] = 8344,
  [8627] = 8627,
  [8628] = 8628,
  [8629] = 8314,
  [8630] = 8496,
  [8631] = 8527,
  [8632] = 8359,
  [8633] = 8633,
  [8634] = 8344,
  [8635] = 8331,
  [8636] = 8435,
  [8637] = 8435,
  [8638] = 8331,
  [8639] = 8285,
  [8640] = 8384,
  [8641] = 6714,
  [8642] = 8642,
  [8643] = 8286,
  [8644] = 8384,
  [8645] = 8426,
  [8646] = 8328,
  [8647] = 8647,
  [8648] = 8427,
  [8649] = 8585,
  [8650] = 7475,
  [8651] = 8651,
  [8652] = 8467,
  [8653] = 8653,
  [8654] = 8654,
  [8655] = 8344,
  [8656] = 6956,
  [8657] = 6729,
  [8658] = 8331,
  [8659] = 8659,
  [8660] = 8660,
  [8661] = 8344,
  [8662] = 8344,
  [8663] = 6726,
  [8664] = 8328,
  [8665] = 8665,
  [8666] = 8344,
  [8667] = 8344,
  [8668] = 8437,
  [8669] = 8344,
  [8670] = 8344,
  [8671] = 6724,
  [8672] = 6702,
  [8673] = 8384,
  [8674] = 8324,
  [8675] = 8675,
  [8676] = 8676,
  [8677] = 8677,
  [8678] = 8678,
  [8679] = 8679,
  [8680] = 8680,
  [8681] = 8681,
  [8682] = 8682,
  [8683] = 8683,
  [8684] = 8684,
  [8685] = 8685,
  [8686] = 8677,
  [8687] = 8687,
  [8688] = 8683,
  [8689] = 8682,
  [8690] = 8684,
  [8691] = 8682,
  [8692] = 8692,
  [8693] = 8462,
  [8694] = 8694,
  [8695] = 8684,
  [8696] = 8682,
  [8697] = 8683,
  [8698] = 8515,
  [8699] = 8699,
  [8700] = 8700,
  [8701] = 8682,
  [8702] = 8702,
  [8703] = 8703,
  [8704] = 8567,
  [8705] = 8705,
  [8706] = 8569,
  [8707] = 8571,
  [8708] = 8653,
  [8709] = 8677,
  [8710] = 8660,
  [8711] = 8403,
  [8712] = 8540,
  [8713] = 8684,
  [8714] = 8714,
  [8715] = 8665,
  [8716] = 8716,
  [8717] = 8717,
  [8718] = 8718,
  [8719] = 8627,
  [8720] = 8625,
  [8721] = 8721,
  [8722] = 8722,
  [8723] = 8723,
  [8724] = 8724,
  [8725] = 8725,
  [8726] = 8619,
  [8727] = 8727,
  [8728] = 8728,
  [8729] = 8617,
  [8730] = 8727,
  [8731] = 8614,
  [8732] = 8613,
  [8733] = 8727,
  [8734] = 8734,
  [8735] = 8564,
  [8736] = 8736,
  [8737] = 8737,
  [8738] = 8684,
  [8739] = 8560,
  [8740] = 8740,
  [8741] = 8557,
  [8742] = 8554,
  [8743] = 8743,
  [8744] = 8552,
  [8745] = 8745,
  [8746] = 8682,
  [8747] = 8683,
  [8748] = 8748,
  [8749] = 8749,
  [8750] = 8750,
  [8751] = 8751,
  [8752] = 8752,
  [8753] = 8470,
  [8754] = 8469,
  [8755] = 8465,
  [8756] = 8756,
  [8757] = 8757,
  [8758] = 8677,
  [8759] = 8759,
  [8760] = 8760,
  [8761] = 8761,
  [8762] = 8762,
  [8763] = 8763,
  [8764] = 8764,
  [8765] = 8765,
  [8766] = 8647,
  [8767] = 8767,
  [8768] = 8768,
  [8769] = 8769,
  [8770] = 8770,
  [8771] = 8771,
  [8772] = 8400,
  [8773] = 8773,
  [8774] = 8464,
  [8775] = 8775,
  [8776] = 8776,
  [8777] = 8777,
  [8778] = 8778,
  [8779] = 8779,
  [8780] = 8780,
  [8781] = 8781,
  [8782] = 8782,
  [8783] = 8783,
  [8784] = 8784,
  [8785] = 8785,
  [8786] = 8786,
  [8787] = 8787,
  [8788] = 8788,
  [8789] = 8789,
  [8790] = 8684,
  [8791] = 8761,
  [8792] = 8792,
  [8793] = 8682,
  [8794] = 8794,
  [8795] = 8683,
  [8796] = 8796,
  [8797] = 8797,
  [8798] = 8798,
  [8799] = 8799,
  [8800] = 8771,
  [8801] = 8801,
  [8802] = 8677,
  [8803] = 8803,
  [8804] = 8804,
  [8805] = 8805,
  [8806] = 8794,
  [8807] = 8785,
  [8808] = 8808,
  [8809] = 8777,
  [8810] = 8810,
  [8811] = 8759,
  [8812] = 8812,
  [8813] = 8700,
  [8814] = 8814,
  [8815] = 8815,
  [8816] = 8816,
  [8817] = 8703,
  [8818] = 8818,
  [8819] = 8819,
  [8820] = 8799,
  [8821] = 8821,
  [8822] = 8822,
  [8823] = 8823,
  [8824] = 8824,
  [8825] = 8702,
  [8826] = 8826,
  [8827] = 8827,
  [8828] = 8828,
  [8829] = 8829,
  [8830] = 8830,
  [8831] = 8831,
  [8832] = 8832,
  [8833] = 8833,
  [8834] = 8834,
  [8835] = 8835,
  [8836] = 8836,
  [8837] = 8684,
  [8838] = 8838,
  [8839] = 8839,
  [8840] = 8682,
  [8841] = 8683,
  [8842] = 8740,
  [8843] = 8843,
  [8844] = 8844,
  [8845] = 8845,
  [8846] = 8846,
  [8847] = 8824,
  [8848] = 8848,
  [8849] = 8849,
  [8850] = 8850,
  [8851] = 8851,
  [8852] = 8852,
  [8853] = 8853,
  [8854] = 8854,
  [8855] = 8855,
  [8856] = 8856,
  [8857] = 8857,
  [8858] = 8858,
  [8859] = 8839,
  [8860] = 8860,
  [8861] = 8677,
  [8862] = 8862,
  [8863] = 8863,
  [8864] = 8864,
  [8865] = 8865,
  [8866] = 8866,
  [8867] = 8867,
  [8868] = 8868,
  [8869] = 8869,
  [8870] = 8769,
  [8871] = 8871,
  [8872] = 8872,
  [8873] = 8828,
  [8874] = 8874,
  [8875] = 8875,
  [8876] = 8876,
  [8877] = 8877,
  [8878] = 8878,
  [8879] = 8879,
  [8880] = 8880,
  [8881] = 8872,
  [8882] = 8815,
  [8883] = 8559,
  [8884] = 8562,
  [8885] = 8684,
  [8886] = 8682,
  [8887] = 8683,
  [8888] = 8888,
  [8889] = 8433,
  [8890] = 8835,
  [8891] = 8891,
  [8892] = 8892,
  [8893] = 8773,
  [8894] = 8677,
  [8895] = 8743,
  [8896] = 8737,
  [8897] = 8897,
  [8898] = 8877,
  [8899] = 8899,
  [8900] = 8900,
  [8901] = 8901,
  [8902] = 8902,
  [8903] = 8804,
  [8904] = 8728,
  [8905] = 8721,
  [8906] = 8906,
  [8907] = 8907,
  [8908] = 8678,
  [8909] = 8909,
  [8910] = 8910,
  [8911] = 8679,
  [8912] = 8848,
  [8913] = 8913,
  [8914] = 8875,
  [8915] = 8684,
  [8916] = 8869,
  [8917] = 8680,
  [8918] = 8867,
  [8919] = 8865,
  [8920] = 8681,
  [8921] = 8682,
  [8922] = 8683,
  [8923] = 8923,
  [8924] = 8699,
  [8925] = 8723,
  [8926] = 8923,
  [8927] = 8927,
  [8928] = 8928,
  [8929] = 8929,
  [8930] = 8930,
  [8931] = 8931,
  [8932] = 8932,
  [8933] = 8933,
  [8934] = 8934,
  [8935] = 8880,
  [8936] = 8677,
  [8937] = 8937,
  [8938] = 8938,
  [8939] = 8939,
  [8940] = 8940,
  [8941] = 8628,
  [8942] = 8942,
  [8943] = 8789,
  [8944] = 8944,
  [8945] = 8945,
  [8946] = 8946,
  [8947] = 8947,
  [8948] = 8796,
  [8949] = 8949,
  [8950] = 8950,
  [8951] = 8951,
  [8952] = 8952,
  [8953] = 8953,
  [8954] = 8954,
  [8955] = 8955,
  [8956] = 8756,
  [8957] = 8957,
  [8958] = 8684,
  [8959] = 8683,
  [8960] = 8682,
  [8961] = 8961,
  [8962] = 8682,
  [8963] = 8963,
  [8964] = 8683,
  [8965] = 8965,
  [8966] = 8966,
  [8967] = 8967,
  [8968] = 8763,
  [8969] = 8969,
  [8970] = 8970,
  [8971] = 8971,
  [8972] = 8788,
  [8973] = 8973,
  [8974] = 8974,
  [8975] = 8786,
  [8976] = 8976,
  [8977] = 8977,
  [8978] = 8978,
  [8979] = 8862,
  [8980] = 8852,
  [8981] = 8981,
  [8982] = 8677,
  [8983] = 8851,
  [8984] = 8984,
  [8985] = 8984,
  [8986] = 8986,
  [8987] = 8844,
  [8988] = 8988,
  [8989] = 8843,
  [8990] = 8990,
  [8991] = 8991,
  [8992] = 8992,
  [8993] = 8993,
  [8994] = 8981,
  [8995] = 8995,
  [8996] = 8996,
  [8997] = 8997,
  [8998] = 8998,
  [8999] = 8999,
  [9000] = 8684,
  [9001] = 9001,
  [9002] = 8682,
  [9003] = 9003,
  [9004] = 8683,
  [9005] = 9005,
  [9006] = 9006,
  [9007] = 8778,
  [9008] = 8779,
  [9009] = 9009,
  [9010] = 8826,
  [9011] = 8830,
  [9012] = 9012,
  [9013] = 9013,
  [9014] = 8677,
  [9015] = 8942,
  [9016] = 8526,
  [9017] = 8777,
  [9018] = 8759,
  [9019] = 9019,
  [9020] = 9020,
  [9021] = 8907,
  [9022] = 8906,
  [9023] = 8838,
  [9024] = 8779,
  [9025] = 8778,
  [9026] = 8779,
  [9027] = 8777,
  [9028] = 9028,
  [9029] = 8759,
  [9030] = 8521,
  [9031] = 9031,
  [9032] = 8682,
  [9033] = 8745,
  [9034] = 9034,
  [9035] = 8816,
  [9036] = 9028,
  [9037] = 8838,
  [9038] = 9038,
  [9039] = 9006,
  [9040] = 8683,
  [9041] = 9034,
  [9042] = 9042,
  [9043] = 9003,
  [9044] = 8978,
  [9045] = 8748,
  [9046] = 8778,
  [9047] = 8684,
  [9048] = 9048,
  [9049] = 8684,
  [9050] = 8778,
  [9051] = 8818,
  [9052] = 8977,
  [9053] = 8779,
  [9054] = 8538,
  [9055] = 8682,
  [9056] = 8838,
  [9057] = 8752,
  [9058] = 8683,
  [9059] = 8997,
  [9060] = 8777,
  [9061] = 8759,
  [9062] = 9062,
  [9063] = 8846,
  [9064] = 9064,
  [9065] = 8838,
  [9066] = 8677,
  [9067] = 8778,
  [9068] = 8779,
  [9069] = 8777,
  [9070] = 9070,
  [9071] = 8759,
  [9072] = 9072,
  [9073] = 8967,
  [9074] = 9074,
  [9075] = 8402,
  [9076] = 8838,
  [9077] = 9077,
  [9078] = 8949,
  [9079] = 8801,
  [9080] = 9080,
  [9081] = 8760,
  [9082] = 8778,
  [9083] = 9083,
  [9084] = 8779,
  [9085] = 9085,
  [9086] = 8777,
  [9087] = 8759,
  [9088] = 9088,
  [9089] = 9089,
  [9090] = 8823,
  [9091] = 8838,
  [9092] = 9092,
  [9093] = 8684,
  [9094] = 9094,
  [9095] = 8350,
  [9096] = 9096,
  [9097] = 8682,
  [9098] = 8683,
  [9099] = 8938,
  [9100] = 8705,
  [9101] = 8805,
  [9102] = 9102,
  [9103] = 9103,
  [9104] = 8812,
  [9105] = 8970,
  [9106] = 8810,
  [9107] = 8808,
  [9108] = 9108,
  [9109] = 8778,
  [9110] = 8888,
  [9111] = 9111,
  [9112] = 8779,
  [9113] = 9113,
  [9114] = 9092,
  [9115] = 8891,
  [9116] = 8771,
  [9117] = 8771,
  [9118] = 8777,
  [9119] = 9119,
  [9120] = 8771,
  [9121] = 8759,
  [9122] = 8971,
  [9123] = 8864,
  [9124] = 8838,
  [9125] = 8927,
  [9126] = 8932,
  [9127] = 8945,
  [9128] = 8595,
  [9129] = 8803,
  [9130] = 8677,
  [9131] = 8900,
  [9132] = 8778,
  [9133] = 9133,
  [9134] = 8779,
  [9135] = 8777,
  [9136] = 8771,
  [9137] = 8759,
  [9138] = 9138,
  [9139] = 8838,
  [9140] = 8778,
  [9141] = 8751,
  [9142] = 9142,
  [9143] = 8779,
  [9144] = 8777,
  [9145] = 8759,
  [9146] = 8946,
  [9147] = 8838,
  [9148] = 9148,
  [9149] = 8684,
  [9150] = 8367,
  [9151] = 9151,
  [9152] = 8778,
  [9153] = 8779,
  [9154] = 8682,
  [9155] = 8777,
  [9156] = 9156,
  [9157] = 8940,
  [9158] = 8683,
  [9159] = 8759,
  [9160] = 9160,
  [9161] = 8976,
  [9162] = 8838,
  [9163] = 8933,
  [9164] = 9164,
  [9165] = 8745,
  [9166] = 9166,
  [9167] = 9167,
  [9168] = 8929,
  [9169] = 8771,
  [9170] = 8928,
  [9171] = 9171,
  [9172] = 8955,
  [9173] = 9111,
  [9174] = 9077,
  [9175] = 9160,
  [9176] = 9176,
  [9177] = 9177,
  [9178] = 8778,
  [9179] = 8677,
  [9180] = 8981,
  [9181] = 9070,
  [9182] = 8676,
  [9183] = 8779,
  [9184] = 8777,
  [9185] = 8759,
  [9186] = 8838,
  [9187] = 8998,
  [9188] = 8480,
  [9189] = 8857,
  [9190] = 8769,
  [9191] = 8913,
  [9192] = 9072,
  [9193] = 8778,
  [9194] = 8700,
  [9195] = 9195,
  [9196] = 8855,
  [9197] = 8785,
  [9198] = 8779,
  [9199] = 8422,
  [9200] = 8777,
  [9201] = 9013,
  [9202] = 9202,
  [9203] = 8759,
  [9204] = 8838,
  [9205] = 8910,
  [9206] = 9102,
  [9207] = 9207,
  [9208] = 8771,
  [9209] = 9209,
  [9210] = 8368,
  [9211] = 8797,
  [9212] = 8778,
  [9213] = 9213,
  [9214] = 9214,
  [9215] = 8779,
  [9216] = 8792,
  [9217] = 8992,
  [9218] = 8777,
  [9219] = 8357,
  [9220] = 8974,
  [9221] = 8759,
  [9222] = 8787,
  [9223] = 8684,
  [9224] = 8838,
  [9225] = 8931,
  [9226] = 8997,
  [9227] = 8798,
  [9228] = 8784,
  [9229] = 8783,
  [9230] = 9020,
  [9231] = 9231,
  [9232] = 8682,
  [9233] = 8361,
  [9234] = 9019,
  [9235] = 8683,
  [9236] = 9236,
  [9237] = 9237,
  [9238] = 8382,
  [9239] = 9239,
  [9240] = 8391,
  [9241] = 9148,
  [9242] = 9242,
  [9243] = 8757,
  [9244] = 8782,
  [9245] = 9245,
  [9246] = 8718,
  [9247] = 8768,
  [9248] = 9248,
  [9249] = 8703,
  [9250] = 9250,
  [9251] = 8909,
  [9252] = 9252,
  [9253] = 9253,
  [9254] = 8780,
  [9255] = 9255,
  [9256] = 8778,
  [9257] = 8944,
  [9258] = 8677,
  [9259] = 8779,
  [9260] = 8777,
  [9261] = 8759,
  [9262] = 8838,
  [9263] = 9263,
  [9264] = 8576,
  [9265] = 9013,
  [9266] = 8677,
  [9267] = 8764,
  [9268] = 9089,
  [9269] = 9269,
  [9270] = 8878,
  [9271] = 8778,
  [9272] = 8779,
  [9273] = 8829,
  [9274] = 8777,
  [9275] = 8902,
  [9276] = 8759,
  [9277] = 8899,
  [9278] = 8838,
  [9279] = 9279,
  [9280] = 8937,
  [9281] = 8770,
  [9282] = 9282,
  [9283] = 8821,
  [9284] = 9284,
  [9285] = 8473,
  [9286] = 9286,
  [9287] = 9138,
  [9288] = 8897,
  [9289] = 8778,
  [9290] = 8779,
  [9291] = 8777,
  [9292] = 8759,
  [9293] = 8717,
  [9294] = 8838,
  [9295] = 9295,
  [9296] = 9074,
  [9297] = 9297,
  [9298] = 9103,
  [9299] = 8376,
  [9300] = 9300,
  [9301] = 8778,
  [9302] = 8779,
  [9303] = 8777,
  [9304] = 9263,
  [9305] = 8684,
  [9306] = 8759,
  [9307] = 8363,
  [9308] = 8838,
  [9309] = 8682,
  [9310] = 9310,
  [9311] = 9207,
  [9312] = 9297,
  [9313] = 9313,
  [9314] = 8683,
  [9315] = 9295,
  [9316] = 7475,
  [9317] = 9317,
  [9318] = 9318,
  [9319] = 9319,
  [9320] = 8327,
  [9321] = 9321,
  [9322] = 9322,
  [9323] = 9209,
  [9324] = 9324,
  [9325] = 8779,
  [9326] = 8694,
  [9327] = 8692,
  [9328] = 8339,
  [9329] = 9012,
  [9330] = 9330,
  [9331] = 9331,
  [9332] = 9171,
  [9333] = 8346,
  [9334] = 9245,
  [9335] = 8779,
  [9336] = 9164,
  [9337] = 8349,
  [9338] = 9156,
  [9339] = 9269,
  [9340] = 8703,
  [9341] = 9341,
  [9342] = 9113,
  [9343] = 8866,
  [9344] = 8536,
  [9345] = 8833,
  [9346] = 8832,
  [9347] = 8814,
  [9348] = 9348,
  [9349] = 9349,
  [9350] = 8677,
  [9351] = 8947,
  [9352] = 8954,
  [9353] = 9151,
  [9354] = 8785,
  [9355] = 8963,
  [9356] = 8700,
  [9357] = 9248,
  [9358] = 9358,
  [9359] = 8850,
  [9360] = 9358,
  [9361] = 8939,
  [9362] = 9318,
  [9363] = 8677,
  [9364] = 9364,
  [9365] = 8714,
  [9366] = 8857,
  [9367] = 9284,
  [9368] = 9282,
  [9369] = 8764,
  [9370] = 9370,
  [9371] = 9236,
  [9372] = 9331,
  [9373] = 9373,
  [9374] = 9317,
  [9375] = 8761,
  [9376] = 9213,
  [9377] = 8781,
  [9378] = 8684,
  [9379] = 9379,
  [9380] = 8991,
  [9381] = 8786,
  [9382] = 8981,
  [9383] = 8999,
  [9384] = 8682,
  [9385] = 8931,
  [9386] = 8683,
  [9387] = 8856,
  [9388] = 8788,
  [9389] = 8951,
  [9390] = 8950,
  [9391] = 9319,
  [9392] = 9392,
  [9393] = 8996,
  [9394] = 9394,
  [9395] = 8857,
  [9396] = 8703,
  [9397] = 9397,
  [9398] = 8714,
  [9399] = 9399,
  [9400] = 7365,
  [9401] = 9321,
  [9402] = 8845,
  [9403] = 9403,
  [9404] = 9404,
  [9405] = 9405,
  [9406] = 8986,
  [9407] = 9062,
  [9408] = 8872,
  [9409] = 8848,
  [9410] = 8677,
  [9411] = 9239,
  [9412] = 9324,
  [9413] = 9088,
  [9414] = 9414,
  [9415] = 8799,
  [9416] = 8824,
  [9417] = 8849,
  [9418] = 8892,
  [9419] = 7388,
  [9420] = 7257,
  [9421] = 8855,
  [9422] = 8913,
  [9423] = 9064,
  [9424] = 8860,
  [9425] = 8768,
  [9426] = 9231,
  [9427] = 9404,
  [9428] = 9286,
  [9429] = 9330,
  [9430] = 8740,
  [9431] = 8750,
  [9432] = 8863,
  [9433] = 8988,
  [9434] = 9349,
  [9435] = 9435,
  [9436] = 6543,
  [9437] = 9437,
  [9438] = 8770,
  [9439] = 6541,
  [9440] = 9440,
  [9441] = 9441,
  [9442] = 9442,
  [9443] = 9443,
  [9444] = 9444,
  [9445] = 9445,
  [9446] = 9446,
  [9447] = 9440,
  [9448] = 9448,
  [9449] = 9449,
  [9450] = 9450,
  [9451] = 9451,
  [9452] = 9452,
  [9453] = 9453,
  [9454] = 9454,
  [9455] = 9455,
  [9456] = 8750,
  [9457] = 9457,
  [9458] = 9458,
  [9459] = 9459,
  [9460] = 9460,
  [9461] = 9440,
  [9462] = 8780,
  [9463] = 9463,
  [9464] = 9464,
  [9465] = 9465,
  [9466] = 9440,
  [9467] = 9467,
  [9468] = 9468,
  [9469] = 9469,
  [9470] = 9460,
  [9471] = 9471,
  [9472] = 9463,
  [9473] = 9450,
  [9474] = 9459,
  [9475] = 9459,
  [9476] = 9463,
  [9477] = 9440,
  [9478] = 9478,
  [9479] = 9479,
  [9480] = 8986,
  [9481] = 9460,
  [9482] = 9450,
  [9483] = 9483,
  [9484] = 9440,
  [9485] = 9460,
  [9486] = 9486,
  [9487] = 9487,
  [9488] = 9450,
  [9489] = 9489,
  [9490] = 9448,
  [9491] = 9450,
  [9492] = 9492,
  [9493] = 9440,
  [9494] = 9460,
  [9495] = 6567,
  [9496] = 9496,
  [9497] = 9460,
  [9498] = 9498,
  [9499] = 9499,
  [9500] = 9450,
  [9501] = 9440,
  [9502] = 9502,
  [9503] = 9440,
  [9504] = 9440,
  [9505] = 9505,
  [9506] = 9506,
  [9507] = 9440,
  [9508] = 8787,
  [9509] = 9509,
  [9510] = 9510,
  [9511] = 9440,
  [9512] = 9440,
  [9513] = 9513,
  [9514] = 9440,
  [9515] = 9464,
  [9516] = 9440,
  [9517] = 9460,
  [9518] = 9440,
  [9519] = 9519,
  [9520] = 9520,
  [9521] = 9521,
  [9522] = 9463,
  [9523] = 9523,
  [9524] = 9524,
  [9525] = 8792,
  [9526] = 9526,
  [9527] = 9459,
  [9528] = 9528,
  [9529] = 9529,
  [9530] = 9449,
  [9531] = 9531,
  [9532] = 9532,
  [9533] = 9533,
  [9534] = 9534,
  [9535] = 9535,
  [9536] = 9440,
  [9537] = 9537,
  [9538] = 9538,
  [9539] = 9463,
  [9540] = 9540,
  [9541] = 9541,
  [9542] = 9542,
  [9543] = 9448,
  [9544] = 9440,
  [9545] = 9545,
  [9546] = 9546,
  [9547] = 9547,
  [9548] = 8751,
  [9549] = 9549,
  [9550] = 9550,
  [9551] = 8803,
  [9552] = 9552,
  [9553] = 9553,
  [9554] = 9441,
  [9555] = 9555,
  [9556] = 9556,
  [9557] = 9557,
  [9558] = 9558,
  [9559] = 9542,
  [9560] = 9450,
  [9561] = 9561,
  [9562] = 9562,
  [9563] = 9563,
  [9564] = 9564,
  [9565] = 9565,
  [9566] = 9460,
  [9567] = 9567,
  [9568] = 9568,
  [9569] = 9569,
  [9570] = 9570,
  [9571] = 9571,
  [9572] = 9572,
  [9573] = 9573,
  [9574] = 9414,
  [9575] = 9575,
  [9576] = 9576,
  [9577] = 9542,
  [9578] = 9578,
  [9579] = 9579,
  [9580] = 8818,
  [9581] = 9581,
  [9582] = 9524,
  [9583] = 9440,
  [9584] = 8823,
  [9585] = 9585,
  [9586] = 9586,
  [9587] = 9587,
  [9588] = 9588,
  [9589] = 9460,
  [9590] = 9590,
  [9591] = 9591,
  [9592] = 9592,
  [9593] = 9593,
  [9594] = 9594,
  [9595] = 9463,
  [9596] = 9596,
  [9597] = 9597,
  [9598] = 9598,
  [9599] = 9590,
  [9600] = 9600,
  [9601] = 9601,
  [9602] = 8681,
  [9603] = 9603,
  [9604] = 8680,
  [9605] = 9459,
  [9606] = 9450,
  [9607] = 9279,
  [9608] = 9608,
  [9609] = 9609,
  [9610] = 9610,
  [9611] = 9611,
  [9612] = 9612,
  [9613] = 8679,
  [9614] = 8678,
  [9615] = 9615,
  [9616] = 9616,
  [9617] = 9617,
  [9618] = 8843,
  [9619] = 9619,
  [9620] = 9620,
  [9621] = 9621,
  [9622] = 9622,
  [9623] = 9623,
  [9624] = 9624,
  [9625] = 9625,
  [9626] = 8844,
  [9627] = 9627,
  [9628] = 8851,
  [9629] = 9629,
  [9630] = 9630,
  [9631] = 8852,
  [9632] = 9632,
  [9633] = 9633,
  [9634] = 9593,
  [9635] = 9593,
  [9636] = 9636,
  [9637] = 9637,
  [9638] = 9638,
  [9639] = 9639,
  [9640] = 9640,
  [9641] = 9641,
  [9642] = 9642,
  [9643] = 9441,
  [9644] = 9644,
  [9645] = 9645,
  [9646] = 9646,
  [9647] = 9647,
  [9648] = 9648,
  [9649] = 9649,
  [9650] = 9650,
  [9651] = 9651,
  [9652] = 9450,
  [9653] = 9653,
  [9654] = 9654,
  [9655] = 9655,
  [9656] = 9656,
  [9657] = 9657,
  [9658] = 9195,
  [9659] = 9659,
  [9660] = 9660,
  [9661] = 8875,
  [9662] = 9662,
  [9663] = 9663,
  [9664] = 9664,
  [9665] = 9665,
  [9666] = 9666,
  [9667] = 9452,
  [9668] = 9460,
  [9669] = 9142,
  [9670] = 9670,
  [9671] = 9671,
  [9672] = 9459,
  [9673] = 9673,
  [9674] = 9674,
  [9675] = 9675,
  [9676] = 9676,
  [9677] = 9677,
  [9678] = 9678,
  [9679] = 9440,
  [9680] = 9680,
  [9681] = 9681,
  [9682] = 9682,
  [9683] = 9683,
  [9684] = 9524,
  [9685] = 9492,
  [9686] = 8877,
  [9687] = 9687,
  [9688] = 9603,
  [9689] = 8869,
  [9690] = 9451,
  [9691] = 9691,
  [9692] = 9692,
  [9693] = 9693,
  [9694] = 9694,
  [9695] = 9695,
  [9696] = 9696,
  [9697] = 8867,
  [9698] = 9463,
  [9699] = 9463,
  [9700] = 8865,
  [9701] = 9701,
  [9702] = 9471,
  [9703] = 9467,
  [9704] = 9704,
  [9705] = 9705,
  [9706] = 9662,
  [9707] = 9499,
  [9708] = 9640,
  [9709] = 9459,
  [9710] = 9710,
  [9711] = 9711,
  [9712] = 9712,
  [9713] = 9713,
  [9714] = 9603,
  [9715] = 9715,
  [9716] = 9048,
  [9717] = 9717,
  [9718] = 9715,
  [9719] = 9042,
  [9720] = 9720,
  [9721] = 9721,
  [9722] = 9722,
  [9723] = 9723,
  [9724] = 9724,
  [9725] = 9725,
  [9726] = 9460,
  [9727] = 9533,
  [9728] = 9440,
  [9729] = 9448,
  [9730] = 9031,
  [9731] = 9440,
  [9732] = 9561,
  [9733] = 9733,
  [9734] = 9450,
  [9735] = 8812,
  [9736] = 9736,
  [9737] = 9737,
  [9738] = 9738,
  [9739] = 9739,
  [9740] = 9740,
  [9741] = 9741,
  [9742] = 9742,
  [9743] = 8810,
  [9744] = 9744,
  [9745] = 9745,
  [9746] = 9746,
  [9747] = 8901,
  [9748] = 9748,
  [9749] = 9749,
  [9750] = 9750,
  [9751] = 9751,
  [9752] = 8808,
  [9753] = 8773,
  [9754] = 9754,
  [9755] = 9460,
  [9756] = 9756,
  [9757] = 9460,
  [9758] = 9758,
  [9759] = 9759,
  [9760] = 9760,
  [9761] = 9761,
  [9762] = 8784,
  [9763] = 8743,
  [9764] = 8737,
  [9765] = 8783,
  [9766] = 8728,
  [9767] = 8721,
  [9768] = 9768,
  [9769] = 9509,
  [9770] = 9450,
  [9771] = 9771,
  [9772] = 9445,
  [9773] = 9773,
  [9774] = 9492,
  [9775] = 9440,
  [9776] = 9776,
  [9777] = 9777,
  [9778] = 8699,
  [9779] = 9779,
  [9780] = 9780,
  [9781] = 9781,
  [9782] = 9621,
  [9783] = 8934,
  [9784] = 9784,
  [9785] = 9214,
  [9786] = 9786,
  [9787] = 9787,
  [9788] = 9788,
  [9789] = 9460,
  [9790] = 9790,
  [9791] = 9463,
  [9792] = 9650,
  [9793] = 9793,
  [9794] = 9794,
  [9795] = 9795,
  [9796] = 9796,
  [9797] = 9797,
  [9798] = 9520,
  [9799] = 9799,
  [9800] = 9459,
  [9801] = 9533,
  [9802] = 9437,
  [9803] = 9803,
  [9804] = 9804,
  [9805] = 9805,
  [9806] = 9797,
  [9807] = 8876,
  [9808] = 9808,
  [9809] = 9313,
  [9810] = 9810,
  [9811] = 9795,
  [9812] = 9812,
  [9813] = 9813,
  [9814] = 9814,
  [9815] = 9568,
  [9816] = 9269,
  [9817] = 9794,
  [9818] = 9818,
  [9819] = 9642,
  [9820] = 9452,
  [9821] = 9803,
  [9822] = 9459,
  [9823] = 9637,
  [9824] = 9824,
  [9825] = 9805,
  [9826] = 9826,
  [9827] = 9662,
  [9828] = 8834,
  [9829] = 8827,
  [9830] = 9450,
  [9831] = 9831,
  [9832] = 8822,
  [9833] = 9810,
  [9834] = 9616,
  [9835] = 9733,
  [9836] = 8967,
  [9837] = 9837,
  [9838] = 9460,
  [9839] = 9644,
  [9840] = 9840,
  [9841] = 9841,
  [9842] = 9842,
  [9843] = 8970,
  [9844] = 9463,
  [9845] = 8971,
  [9846] = 9846,
  [9847] = 9847,
  [9848] = 9848,
  [9849] = 8974,
  [9850] = 8854,
  [9851] = 9851,
  [9852] = 9852,
  [9853] = 9796,
  [9854] = 9696,
  [9855] = 8776,
  [9856] = 9856,
  [9857] = 9533,
  [9858] = 9858,
  [9859] = 9859,
  [9860] = 9860,
  [9861] = 9300,
  [9862] = 9812,
  [9863] = 9863,
  [9864] = 6649,
  [9865] = 9865,
  [9866] = 9866,
  [9867] = 9812,
  [9868] = 9440,
  [9869] = 9457,
  [9870] = 9870,
  [9871] = 9871,
  [9872] = 9872,
  [9873] = 9873,
  [9874] = 9252,
  [9875] = 9440,
  [9876] = 9876,
  [9877] = 9877,
  [9878] = 9878,
  [9879] = 9879,
  [9880] = 9880,
  [9881] = 9881,
  [9882] = 9882,
  [9883] = 9883,
  [9884] = 9884,
  [9885] = 9745,
  [9886] = 8988,
  [9887] = 9638,
  [9888] = 9877,
  [9889] = 9889,
  [9890] = 9710,
  [9891] = 9891,
  [9892] = 9892,
  [9893] = 9746,
  [9894] = 9894,
  [9895] = 9463,
  [9896] = 9562,
  [9897] = 9460,
  [9898] = 9711,
  [9899] = 9831,
  [9900] = 9813,
  [9901] = 9901,
  [9902] = 9446,
  [9903] = 9444,
  [9904] = 9904,
  [9905] = 9523,
  [9906] = 9906,
  [9907] = 9907,
  [9908] = 9558,
  [9909] = 9677,
  [9910] = 9450,
  [9911] = 9911,
  [9912] = 9459,
  [9913] = 9842,
  [9914] = 9914,
  [9915] = 9463,
  [9916] = 9720,
  [9917] = 9917,
  [9918] = 9550,
  [9919] = 9919,
  [9920] = 9674,
  [9921] = 9921,
  [9922] = 9922,
  [9923] = 9923,
  [9924] = 9924,
  [9925] = 9787,
  [9926] = 9858,
  [9927] = 9927,
  [9928] = 9202,
  [9929] = 9929,
  [9930] = 9930,
  [9931] = 9884,
  [9932] = 9932,
  [9933] = 9467,
  [9934] = 9934,
  [9935] = 9935,
  [9936] = 9936,
  [9937] = 9786,
  [9938] = 9938,
  [9939] = 9784,
  [9940] = 9940,
  [9941] = 9133,
  [9942] = 9483,
  [9943] = 9943,
  [9944] = 9944,
  [9945] = 9528,
  [9946] = 9443,
  [9947] = 9450,
  [9948] = 9948,
  [9949] = 9949,
  [9950] = 9773,
  [9951] = 9653,
  [9952] = 9671,
  [9953] = 8722,
  [9954] = 9860,
  [9955] = 9955,
  [9956] = 9459,
  [9957] = 9603,
  [9958] = 8724,
  [9959] = 9085,
  [9960] = 8725,
  [9961] = 9961,
  [9962] = 9083,
  [9963] = 9460,
  [9964] = 9250,
  [9965] = 9965,
  [9966] = 9966,
  [9967] = 9660,
  [9968] = 9526,
  [9969] = 9019,
  [9970] = 9970,
  [9971] = 9971,
  [9972] = 9450,
  [9973] = 9973,
  [9974] = 9463,
  [9975] = 9720,
  [9976] = 9976,
  [9977] = 9977,
  [9978] = 8734,
  [9979] = 9020,
  [9980] = 9980,
  [9981] = 9981,
  [9982] = 9949,
  [9983] = 9983,
  [9984] = 9894,
  [9985] = 9748,
  [9986] = 8995,
  [9987] = 9077,
  [9988] = 9988,
  [9989] = 9492,
  [9990] = 9990,
  [9991] = 9627,
  [9992] = 9440,
  [9993] = 9993,
  [9994] = 9532,
  [9995] = 9641,
  [9996] = 9996,
  [9997] = 9549,
  [9998] = 9998,
  [9999] = 9999,
  [10000] = 10000,
  [10001] = 10001,
  [10002] = 10002,
  [10003] = 9440,
  [10004] = 9556,
  [10005] = 9722,
  [10006] = 9737,
  [10007] = 9645,
  [10008] = 9638,
  [10009] = 10009,
  [10010] = 9891,
  [10011] = 9463,
  [10012] = 8762,
  [10013] = 8765,
  [10014] = 10014,
  [10015] = 10000,
  [10016] = 8990,
  [10017] = 9636,
  [10018] = 9459,
  [10019] = 9460,
  [10020] = 9450,
  [10021] = 10021,
  [10022] = 9647,
  [10023] = 10023,
  [10024] = 9535,
  [10025] = 8966,
  [10026] = 10026,
  [10027] = 9998,
  [10028] = 10028,
  [10029] = 9717,
  [10030] = 9392,
  [10031] = 10031,
  [10032] = 9450,
  [10033] = 10033,
  [10034] = 10034,
  [10035] = 10035,
  [10036] = 10034,
  [10037] = 9704,
  [10038] = 9565,
  [10039] = 8868,
  [10040] = 8961,
  [10041] = 8965,
  [10042] = 9754,
  [10043] = 10043,
  [10044] = 9435,
  [10045] = 10045,
  [10046] = 10028,
  [10047] = 10047,
  [10048] = 10048,
  [10049] = 9676,
  [10050] = 9450,
  [10051] = 10051,
  [10052] = 9621,
  [10053] = 10053,
  [10054] = 8953,
  [10055] = 9441,
  [10056] = 8952,
  [10057] = 8675,
  [10058] = 10058,
  [10059] = 9524,
  [10060] = 9460,
  [10061] = 10061,
  [10062] = 9662,
  [10063] = 10063,
  [10064] = 8998,
  [10065] = 9459,
  [10066] = 10066,
  [10067] = 9657,
  [10068] = 10068,
  [10069] = 9322,
  [10070] = 9627,
  [10071] = 9921,
  [10072] = 10072,
  [10073] = 10009,
  [10074] = 9440,
  [10075] = 10075,
  [10076] = 9737,
  [10077] = 9459,
  [10078] = 10078,
  [10079] = 10079,
  [10080] = 9624,
  [10081] = 9510,
  [10082] = 9924,
  [10083] = 9948,
  [10084] = 10084,
  [10085] = 10085,
  [10086] = 9463,
  [10087] = 10087,
  [10088] = 10084,
  [10089] = 9944,
  [10090] = 9624,
  [10091] = 9622,
  [10092] = 9399,
  [10093] = 10093,
  [10094] = 10094,
  [10095] = 9463,
  [10096] = 10096,
  [10097] = 9662,
  [10098] = 9397,
  [10099] = 10099,
  [10100] = 9177,
  [10101] = 9627,
  [10102] = 9940,
  [10103] = 9524,
  [10104] = 9459,
  [10105] = 10068,
  [10106] = 9932,
  [10107] = 9927,
  [10108] = 9917,
  [10109] = 9901,
  [10110] = 9394,
  [10111] = 10111,
  [10112] = 10075,
  [10113] = 9440,
  [10114] = 10114,
  [10115] = 10115,
  [10116] = 10116,
  [10117] = 9889,
  [10118] = 8976,
  [10119] = 9379,
  [10120] = 9977,
  [10121] = 9621,
  [10122] = 9364,
  [10123] = 9441,
  [10124] = 9695,
  [10125] = 9724,
  [10126] = 9450,
  [10127] = 9348,
  [10128] = 10128,
  [10129] = 9973,
  [10130] = 9460,
  [10131] = 9616,
  [10132] = 9756,
  [10133] = 10133,
  [10134] = 9552,
  [10135] = 10135,
  [10136] = 10136,
  [10137] = 10137,
  [10138] = 9760,
  [10139] = 9722,
  [10140] = 9460,
  [10141] = 9310,
  [10142] = 10142,
  [10143] = 9860,
  [10144] = 9866,
  [10145] = 9255,
  [10146] = 10146,
  [10147] = 9253,
  [10148] = 10148,
  [10149] = 10149,
  [10150] = 9810,
  [10151] = 9440,
  [10152] = 9450,
  [10153] = 8879,
  [10154] = 9930,
  [10155] = 8836,
  [10156] = 9929,
  [10157] = 10157,
  [10158] = 8801,
  [10159] = 10159,
  [10160] = 10160,
  [10161] = 9914,
  [10162] = 9176,
  [10163] = 9167,
  [10164] = 9463,
  [10165] = 9892,
  [10166] = 9166,
  [10167] = 10167,
  [10168] = 10136,
  [10169] = 10148,
  [10170] = 9459,
  [10171] = 8993,
  [10172] = 10172,
  [10173] = 9465,
  [10174] = 10174,
  [10175] = 8760,
  [10176] = 10176,
  [10177] = 9557,
  [10178] = 10142,
  [10179] = 9880,
  [10180] = 9005,
  [10181] = 9506,
  [10182] = 9502,
  [10183] = 10183,
  [10184] = 9502,
  [10185] = 9001,
  [10186] = 8736,
  [10187] = 8749,
  [10188] = 9499,
  [10189] = 10189,
  [10190] = 9712,
  [10191] = 9662,
  [10192] = 10192,
  [10193] = 8775,
  [10194] = 9459,
  [10195] = 9459,
  [10196] = 9524,
  [10197] = 9441,
  [10198] = 10061,
  [10199] = 8969,
  [10200] = 9682,
  [10201] = 9450,
  [10202] = 9450,
  [10203] = 10203,
  [10204] = 9452,
  [10205] = 9468,
  [10206] = 9759,
  [10207] = 8853,
  [10208] = 9463,
  [10209] = 8858,
  [10210] = 10210,
  [10211] = 9846,
  [10212] = 9847,
  [10213] = 9650,
  [10214] = 9440,
  [10215] = 9865,
  [10216] = 9970,
  [10217] = 10217,
  [10218] = 10218,
  [10219] = 9981,
  [10220] = 9993,
  [10221] = 9460,
  [10222] = 9999,
  [10223] = 9572,
  [10224] = 10001,
  [10225] = 10225,
  [10226] = 9863,
  [10227] = 10227,
  [10228] = 10228,
  [10229] = 10229,
  [10230] = 9871,
  [10231] = 9911,
  [10232] = 9955,
  [10233] = 9961,
  [10234] = 9965,
  [10235] = 9966,
  [10236] = 9852,
  [10237] = 9976,
  [10238] = 9980,
  [10239] = 10239,
  [10240] = 10240,
  [10241] = 10241,
  [10242] = 10242,
  [10243] = 10243,
  [10244] = 10244,
  [10245] = 9841,
  [10246] = 10246,
  [10247] = 10247,
  [10248] = 10248,
  [10249] = 10249,
  [10250] = 9990,
  [10251] = 10251,
  [10252] = 10252,
  [10253] = 10253,
  [10254] = 10254,
  [10255] = 10255,
  [10256] = 9740,
  [10257] = 10257,
  [10258] = 9848,
  [10259] = 10259,
  [10260] = 10260,
  [10261] = 10261,
  [10262] = 10262,
  [10263] = 10263,
  [10264] = 10264,
  [10265] = 10246,
  [10266] = 10253,
  [10267] = 10267,
  [10268] = 10268,
  [10269] = 10263,
  [10270] = 10270,
  [10271] = 10271,
  [10272] = 10272,
  [10273] = 10273,
  [10274] = 10274,
  [10275] = 10275,
  [10276] = 9681,
  [10277] = 10275,
  [10278] = 10278,
  [10279] = 10279,
  [10280] = 9654,
  [10281] = 10281,
  [10282] = 10282,
  [10283] = 10283,
  [10284] = 10284,
  [10285] = 10283,
  [10286] = 10286,
  [10287] = 10066,
  [10288] = 10284,
  [10289] = 10289,
  [10290] = 10282,
  [10291] = 10270,
  [10292] = 10292,
  [10293] = 10293,
  [10294] = 10294,
  [10295] = 10295,
  [10296] = 10281,
  [10297] = 10264,
  [10298] = 10298,
  [10299] = 10264,
  [10300] = 10300,
  [10301] = 10301,
  [10302] = 10302,
  [10303] = 10303,
  [10304] = 9496,
  [10305] = 9736,
  [10306] = 10306,
  [10307] = 10307,
  [10308] = 10308,
  [10309] = 9487,
  [10310] = 10160,
  [10311] = 10275,
  [10312] = 10284,
  [10313] = 10263,
  [10314] = 10314,
  [10315] = 10315,
  [10316] = 10253,
  [10317] = 10317,
  [10318] = 10116,
  [10319] = 10282,
  [10320] = 10078,
  [10321] = 10321,
  [10322] = 10014,
  [10323] = 7063,
  [10324] = 10244,
  [10325] = 10281,
  [10326] = 9611,
  [10327] = 10327,
  [10328] = 10227,
  [10329] = 10329,
  [10330] = 9907,
  [10331] = 10275,
  [10332] = 10332,
  [10333] = 10244,
  [10334] = 10334,
  [10335] = 9788,
  [10336] = 9906,
  [10337] = 10270,
  [10338] = 10338,
  [10339] = 9904,
  [10340] = 9768,
  [10341] = 9483,
  [10342] = 10342,
  [10343] = 10246,
  [10344] = 10344,
  [10345] = 10345,
  [10346] = 9881,
  [10347] = 9879,
  [10348] = 9824,
  [10349] = 9701,
  [10350] = 10350,
  [10351] = 10257,
  [10352] = 10352,
  [10353] = 10353,
  [10354] = 10354,
  [10355] = 10355,
  [10356] = 10356,
  [10357] = 10252,
  [10358] = 10358,
  [10359] = 10359,
  [10360] = 9751,
  [10361] = 9749,
  [10362] = 9744,
  [10363] = 9837,
  [10364] = 10364,
  [10365] = 9742,
  [10366] = 10252,
  [10367] = 10367,
  [10368] = 10368,
  [10369] = 10369,
  [10370] = 10370,
  [10371] = 10257,
  [10372] = 9741,
  [10373] = 9739,
  [10374] = 9738,
  [10375] = 10375,
  [10376] = 10376,
  [10377] = 10136,
  [10378] = 10246,
  [10379] = 10379,
  [10380] = 9725,
  [10381] = 10381,
  [10382] = 9723,
  [10383] = 10270,
  [10384] = 10355,
  [10385] = 10385,
  [10386] = 10386,
  [10387] = 10387,
  [10388] = 10388,
  [10389] = 10389,
  [10390] = 10390,
  [10391] = 10148,
  [10392] = 10392,
  [10393] = 10393,
  [10394] = 10281,
  [10395] = 10282,
  [10396] = 10396,
  [10397] = 10284,
  [10398] = 10398,
  [10399] = 10399,
  [10400] = 10400,
  [10401] = 10401,
  [10402] = 10402,
  [10403] = 10403,
  [10404] = 10404,
  [10405] = 9632,
  [10406] = 10406,
  [10407] = 10407,
  [10408] = 10408,
  [10409] = 10409,
  [10410] = 10264,
  [10411] = 10411,
  [10412] = 10412,
  [10413] = 10413,
  [10414] = 10414,
  [10415] = 10415,
  [10416] = 9465,
  [10417] = 10417,
  [10418] = 10418,
  [10419] = 9468,
  [10420] = 10420,
  [10421] = 9587,
  [10422] = 9977,
  [10423] = 9934,
  [10424] = 10275,
  [10425] = 10425,
  [10426] = 10263,
  [10427] = 10427,
  [10428] = 9943,
  [10429] = 10253,
  [10430] = 10430,
  [10431] = 10227,
  [10432] = 10432,
  [10433] = 10244,
  [10434] = 10283,
  [10435] = 10435,
  [10436] = 9541,
  [10437] = 10244,
  [10438] = 10438,
  [10439] = 10364,
  [10440] = 10440,
  [10441] = 10227,
  [10442] = 10442,
  [10443] = 9513,
  [10444] = 10353,
  [10445] = 10253,
  [10446] = 10263,
  [10447] = 10447,
  [10448] = 10448,
  [10449] = 9973,
  [10450] = 10450,
  [10451] = 9873,
  [10452] = 9776,
  [10453] = 10453,
  [10454] = 9971,
  [10455] = 9510,
  [10456] = 10456,
  [10457] = 10457,
  [10458] = 10227,
  [10459] = 10459,
  [10460] = 10460,
  [10461] = 10461,
  [10462] = 10462,
  [10463] = 10463,
  [10464] = 10142,
  [10465] = 10465,
  [10466] = 10466,
  [10467] = 9538,
  [10468] = 10468,
  [10469] = 10415,
  [10470] = 9804,
  [10471] = 10264,
  [10472] = 10432,
  [10473] = 10473,
  [10474] = 10474,
  [10475] = 10404,
  [10476] = 10476,
  [10477] = 10477,
  [10478] = 9882,
  [10479] = 10252,
  [10480] = 10480,
  [10481] = 10481,
  [10482] = 10275,
  [10483] = 10263,
  [10484] = 10257,
  [10485] = 9637,
  [10486] = 10396,
  [10487] = 10146,
  [10488] = 10253,
  [10489] = 10399,
  [10490] = 10192,
  [10491] = 10246,
  [10492] = 10284,
  [10493] = 10493,
  [10494] = 10189,
  [10495] = 10282,
  [10496] = 10270,
  [10497] = 10183,
  [10498] = 10281,
  [10499] = 10499,
  [10500] = 10500,
  [10501] = 10389,
  [10502] = 10385,
  [10503] = 10058,
  [10504] = 10403,
  [10505] = 10048,
  [10506] = 10390,
  [10507] = 10281,
  [10508] = 10282,
  [10509] = 10509,
  [10510] = 10284,
  [10511] = 10031,
  [10512] = 10512,
  [10513] = 10270,
  [10514] = 10244,
  [10515] = 10515,
  [10516] = 10033,
  [10517] = 10270,
  [10518] = 9694,
  [10519] = 9692,
  [10520] = 10047,
  [10521] = 10246,
  [10522] = 10522,
  [10523] = 10264,
  [10524] = 9629,
  [10525] = 9620,
  [10526] = 10526,
  [10527] = 7063,
  [10528] = 10528,
  [10529] = 10271,
  [10530] = 10530,
  [10531] = 10531,
  [10532] = 10257,
  [10533] = 9601,
  [10534] = 10359,
  [10535] = 10535,
  [10536] = 9600,
  [10537] = 10275,
  [10538] = 10246,
  [10539] = 10263,
  [10540] = 9760,
  [10541] = 9597,
  [10542] = 10253,
  [10543] = 10543,
  [10544] = 10386,
  [10545] = 10545,
  [10546] = 10252,
  [10547] = 10260,
  [10548] = 10548,
  [10549] = 10409,
  [10550] = 10244,
  [10551] = 10551,
  [10552] = 10411,
  [10553] = 9586,
  [10554] = 10227,
  [10555] = 10096,
  [10556] = 10556,
  [10557] = 10376,
  [10558] = 9570,
  [10559] = 10559,
  [10560] = 10289,
  [10561] = 10356,
  [10562] = 10562,
  [10563] = 10500,
  [10564] = 10352,
  [10565] = 10565,
  [10566] = 10283,
  [10567] = 10292,
  [10568] = 10499,
  [10569] = 10569,
  [10570] = 10570,
  [10571] = 10522,
  [10572] = 10530,
  [10573] = 10573,
  [10574] = 10565,
  [10575] = 10575,
  [10576] = 10576,
  [10577] = 10577,
  [10578] = 10283,
  [10579] = 10573,
  [10580] = 10580,
  [10581] = 10581,
  [10582] = 10582,
  [10583] = 9561,
  [10584] = 10584,
  [10585] = 10114,
  [10586] = 10586,
  [10587] = 10244,
  [10588] = 10217,
  [10589] = 10267,
  [10590] = 10590,
  [10591] = 10453,
  [10592] = 10252,
  [10593] = 10593,
  [10594] = 10594,
  [10595] = 10253,
  [10596] = 10596,
  [10597] = 10257,
  [10598] = 10263,
  [10599] = 10599,
  [10600] = 10275,
  [10601] = 10581,
  [10602] = 10602,
  [10603] = 10603,
  [10604] = 10246,
  [10605] = 10286,
  [10606] = 10606,
  [10607] = 9705,
  [10608] = 10608,
  [10609] = 10270,
  [10610] = 10569,
  [10611] = 10611,
  [10612] = 10612,
  [10613] = 9486,
  [10614] = 10264,
  [10615] = 9847,
  [10616] = 9453,
  [10617] = 10617,
  [10618] = 9846,
  [10619] = 10099,
  [10620] = 10281,
  [10621] = 10282,
  [10622] = 10622,
  [10623] = 10284,
  [10624] = 10624,
  [10625] = 10625,
  [10626] = 10350,
  [10627] = 10627,
  [10628] = 10584,
  [10629] = 10283,
  [10630] = 9944,
  [10631] = 10631,
  [10632] = 10632,
  [10633] = 10284,
  [10634] = 9610,
  [10635] = 10087,
  [10636] = 10264,
  [10637] = 9489,
  [10638] = 10638,
  [10639] = 10282,
  [10640] = 10281,
  [10641] = 10641,
  [10642] = 10642,
  [10643] = 10643,
  [10644] = 9519,
  [10645] = 10645,
  [10646] = 10281,
  [10647] = 10270,
  [10648] = 10227,
  [10649] = 10649,
  [10650] = 10275,
  [10651] = 10651,
  [10652] = 10263,
  [10653] = 10246,
  [10654] = 10654,
  [10655] = 10253,
  [10656] = 10590,
  [10657] = 10657,
  [10658] = 10658,
  [10659] = 10257,
  [10660] = 10594,
  [10661] = 10661,
  [10662] = 10662,
  [10663] = 10244,
  [10664] = 10664,
  [10665] = 10665,
  [10666] = 10252,
  [10667] = 10227,
  [10668] = 10668,
  [10669] = 10669,
  [10670] = 10670,
  [10671] = 10671,
  [10672] = 9537,
  [10673] = 9546,
  [10674] = 10596,
  [10675] = 10675,
  [10676] = 10676,
  [10677] = 9555,
  [10678] = 9567,
  [10679] = 10679,
  [10680] = 9923,
  [10681] = 10681,
  [10682] = 9876,
  [10683] = 10683,
  [10684] = 10684,
  [10685] = 9581,
  [10686] = 9596,
  [10687] = 10687,
  [10688] = 10688,
  [10689] = 10602,
  [10690] = 10690,
  [10691] = 10691,
  [10692] = 10354,
  [10693] = 10642,
  [10694] = 10387,
  [10695] = 10580,
  [10696] = 10227,
  [10697] = 10697,
  [10698] = 10698,
  [10699] = 9615,
  [10700] = 9617,
  [10701] = 9649,
  [10702] = 10393,
  [10703] = 10402,
  [10704] = 9665,
  [10705] = 10252,
  [10706] = 9981,
  [10707] = 10707,
  [10708] = 10662,
  [10709] = 9673,
  [10710] = 10257,
  [10711] = 9687,
  [10712] = 9691,
  [10713] = 10244,
  [10714] = 10714,
  [10715] = 10715,
  [10716] = 10302,
  [10717] = 10246,
  [10718] = 10412,
  [10719] = 10719,
  [10720] = 9713,
  [10721] = 10721,
  [10722] = 10270,
  [10723] = 10253,
  [10724] = 9758,
  [10725] = 10725,
  [10726] = 9750,
  [10727] = 10727,
  [10728] = 10263,
  [10729] = 10729,
  [10730] = 10730,
  [10731] = 10707,
  [10732] = 10732,
  [10733] = 10281,
  [10734] = 10282,
  [10735] = 10735,
  [10736] = 10284,
  [10737] = 10737,
  [10738] = 10275,
  [10739] = 10338,
  [10740] = 9630,
  [10741] = 10741,
  [10742] = 10342,
  [10743] = 10329,
  [10744] = 10744,
  [10745] = 10745,
  [10746] = 9790,
  [10747] = 10294,
  [10748] = 10748,
  [10749] = 10264,
  [10750] = 10283,
  [10751] = 10751,
  [10752] = 10412,
  [10753] = 10753,
  [10754] = 10293,
  [10755] = 10755,
  [10756] = 10756,
  [10757] = 9793,
  [10758] = 10387,
  [10759] = 10759,
  [10760] = 10264,
  [10761] = 9528,
  [10762] = 10279,
  [10763] = 10275,
  [10764] = 10764,
  [10765] = 10263,
  [10766] = 9526,
  [10767] = 9808,
  [10768] = 10253,
  [10769] = 10769,
  [10770] = 9840,
  [10771] = 9859,
  [10772] = 10772,
  [10773] = 10284,
  [10774] = 10735,
  [10775] = 10775,
  [10776] = 10244,
  [10777] = 10777,
  [10778] = 10282,
  [10779] = 10257,
  [10780] = 10227,
  [10781] = 10307,
  [10782] = 10306,
  [10783] = 10281,
  [10784] = 10784,
  [10785] = 10785,
  [10786] = 10786,
  [10787] = 10787,
  [10788] = 10596,
  [10789] = 9983,
  [10790] = 10790,
  [10791] = 10791,
  [10792] = 10584,
  [10793] = 10793,
  [10794] = 10002,
  [10795] = 10270,
  [10796] = 10581,
  [10797] = 10797,
  [10798] = 10283,
  [10799] = 10799,
  [10800] = 10051,
  [10801] = 10063,
  [10802] = 10246,
  [10803] = 10793,
  [10804] = 10252,
  [10805] = 10257,
  [10806] = 10714,
  [10807] = 10252,
  [10808] = 10808,
  [10809] = 10257,
  [10810] = 10072,
  [10811] = 10079,
  [10812] = 10812,
  [10813] = 10813,
  [10814] = 10814,
  [10815] = 10815,
  [10816] = 10246,
  [10817] = 10817,
  [10818] = 10818,
  [10819] = 10819,
  [10820] = 10820,
  [10821] = 10270,
  [10822] = 10111,
  [10823] = 10128,
  [10824] = 10824,
  [10825] = 10133,
  [10826] = 10159,
  [10827] = 10827,
  [10828] = 10167,
  [10829] = 10174,
  [10830] = 9592,
  [10831] = 10824,
  [10832] = 10281,
  [10833] = 10282,
  [10834] = 10818,
  [10835] = 10284,
  [10836] = 10836,
  [10837] = 10837,
  [10838] = 10345,
  [10839] = 10839,
  [10840] = 10799,
  [10841] = 10283,
  [10842] = 10085,
  [10843] = 10411,
  [10844] = 10844,
  [10845] = 10845,
  [10846] = 10283,
  [10847] = 10210,
  [10848] = 10264,
  [10849] = 9797,
  [10850] = 10850,
  [10851] = 10851,
  [10852] = 10045,
  [10853] = 10687,
  [10854] = 10854,
  [10855] = 10817,
  [10856] = 10334,
  [10857] = 10332,
  [10858] = 10786,
  [10859] = 10176,
  [10860] = 10625,
  [10861] = 10252,
  [10862] = 10275,
  [10863] = 10327,
  [10864] = 10263,
  [10865] = 10172,
  [10866] = 10283,
  [10867] = 10253,
  [10868] = 10671,
  [10869] = 10668,
  [10870] = 10157,
  [10871] = 9795,
  [10872] = 10149,
  [10873] = 9794,
  [10874] = 10874,
  [10875] = 10244,
  [10876] = 9505,
  [10877] = 10227,
  [10878] = 10631,
  [10879] = 10227,
  [10880] = 10880,
  [10881] = 10815,
  [10882] = 10882,
  [10883] = 10409,
  [10884] = 10359,
  [10885] = 10244,
  [10886] = 10137,
  [10887] = 10808,
  [10888] = 10115,
  [10889] = 10094,
  [10890] = 10753,
  [10891] = 10093,
  [10892] = 10892,
  [10893] = 9780,
  [10894] = 10283,
  [10895] = 10253,
  [10896] = 10896,
  [10897] = 10263,
  [10898] = 10275,
  [10899] = 10899,
  [10900] = 10900,
  [10901] = 10334,
  [10902] = 10035,
  [10903] = 10252,
  [10904] = 10332,
  [10905] = 10278,
  [10906] = 10262,
  [10907] = 10259,
  [10908] = 10257,
  [10909] = 10021,
  [10910] = 10910,
  [10911] = 10911,
  [10912] = 10327,
  [10913] = 10913,
  [10914] = 10914,
  [10915] = 10246,
  [10916] = 10916,
  [10917] = 10264,
  [10918] = 10918,
  [10919] = 10919,
  [10920] = 10270,
  [10921] = 10913,
  [10922] = 10922,
  [10923] = 10684,
  [10924] = 10924,
  [10925] = 9938,
  [10926] = 10919,
  [10927] = 10927,
  [10928] = 10284,
  [10929] = 10741,
  [10930] = 9936,
  [10931] = 10281,
  [10932] = 10282,
  [10933] = 9935,
  [10934] = 10284,
  [10935] = 10399,
  [10936] = 10790,
  [10937] = 10317,
  [10938] = 10282,
  [10939] = 10281,
  [10940] = 10442,
  [10941] = 9922,
  [10942] = 10415,
  [10943] = 10943,
  [10944] = 10315,
  [10945] = 10945,
  [10946] = 10946,
  [10947] = 10264,
  [10948] = 9919,
  [10949] = 9883,
  [10950] = 10396,
  [10951] = 9870,
  [10952] = 10952,
  [10953] = 10283,
  [10954] = 9856,
  [10955] = 10955,
  [10956] = 10956,
  [10957] = 10270,
  [10958] = 10958,
  [10959] = 10314,
  [10960] = 10732,
  [10961] = 10275,
  [10962] = 10246,
  [10963] = 10263,
  [10964] = 10714,
  [10965] = 10281,
  [10966] = 10253,
  [10967] = 9799,
  [10968] = 10968,
  [10969] = 10376,
  [10970] = 10970,
  [10971] = 10715,
  [10972] = 9779,
  [10973] = 10642,
  [10974] = 10244,
  [10975] = 10975,
  [10976] = 10274,
  [10977] = 10282,
  [10978] = 10227,
  [10979] = 9777,
  [10980] = 9771,
  [10981] = 9721,
  [10982] = 10982,
  [10983] = 10983,
  [10984] = 10257,
  [10985] = 10268,
  [10986] = 9712,
  [10987] = 10854,
  [10988] = 9639,
  [10989] = 9579,
  [10990] = 9576,
  [10991] = 10252,
  [10992] = 10632,
  [10993] = 10993,
  [10994] = 10994,
  [10995] = 10272,
  [10996] = 10996,
  [10997] = 10228,
  [10998] = 10998,
  [10999] = 10999,
  [11000] = 10283,
  [11001] = 11001,
  [11002] = 10252,
  [11003] = 11003,
  [11004] = 11004,
  [11005] = 11005,
  [11006] = 10914,
  [11007] = 10257,
  [11008] = 11008,
  [11009] = 10755,
  [11010] = 10756,
  [11011] = 9454,
  [11012] = 11012,
  [11013] = 9455,
  [11014] = 10246,
  [11015] = 11015,
  [11016] = 9458,
  [11017] = 9469,
  [11018] = 11018,
  [11019] = 10270,
  [11020] = 9478,
  [11021] = 9479,
  [11022] = 10643,
  [11023] = 11023,
  [11024] = 11024,
  [11025] = 10970,
  [11026] = 11026,
  [11027] = 11027,
  [11028] = 10854,
  [11029] = 11029,
  [11030] = 10281,
  [11031] = 10282,
  [11032] = 10473,
  [11033] = 10284,
  [11034] = 11034,
  [11035] = 9921,
  [11036] = 10407,
  [11037] = 11037,
  [11038] = 9529,
  [11039] = 11039,
  [11040] = 9531,
  [11041] = 11041,
  [11042] = 11042,
  [11043] = 9534,
  [11044] = 9545,
  [11045] = 9619,
  [11046] = 10264,
  [11047] = 9451,
  [11048] = 9553,
  [11049] = 11049,
  [11050] = 11050,
  [11051] = 11024,
  [11052] = 10283,
  [11053] = 10227,
  [11054] = 10641,
  [11055] = 11012,
  [11056] = 11056,
  [11057] = 9894,
  [11058] = 10257,
  [11059] = 9563,
  [11060] = 10275,
  [11061] = 9564,
  [11062] = 10263,
  [11063] = 9569,
  [11064] = 11064,
  [11065] = 10253,
  [11066] = 9571,
  [11067] = 10559,
  [11068] = 9573,
  [11069] = 9578,
  [11070] = 11070,
  [11071] = 11071,
  [11072] = 10408,
  [11073] = 10244,
  [11074] = 9696,
  [11075] = 10354,
  [11076] = 9562,
  [11077] = 10227,
  [11078] = 11078,
  [11079] = 11079,
  [11080] = 11080,
  [11081] = 11081,
  [11082] = 11082,
  [11083] = 10300,
  [11084] = 11084,
  [11085] = 11085,
  [11086] = 10535,
  [11087] = 10414,
  [11088] = 11088,
  [11089] = 11089,
  [11090] = 10892,
  [11091] = 10896,
  [11092] = 10252,
  [11093] = 10899,
  [11094] = 10321,
  [11095] = 10668,
  [11096] = 10910,
  [11097] = 10911,
  [11098] = 10745,
  [11099] = 11099,
  [11100] = 10918,
  [11101] = 10252,
  [11102] = 9585,
  [11103] = 10671,
  [11104] = 10927,
  [11105] = 10244,
  [11106] = 10257,
  [11107] = 9591,
  [11108] = 9594,
  [11109] = 9598,
  [11110] = 10301,
  [11111] = 10264,
  [11112] = 11112,
  [11113] = 10246,
  [11114] = 10943,
  [11115] = 10283,
  [11116] = 10956,
  [11117] = 10283,
  [11118] = 10270,
  [11119] = 10958,
  [11120] = 10968,
  [11121] = 10283,
  [11122] = 11122,
  [11123] = 9608,
  [11124] = 10882,
  [11125] = 10983,
  [11126] = 9609,
  [11127] = 9612,
  [11128] = 10284,
  [11129] = 10281,
  [11130] = 10282,
  [11131] = 10993,
  [11132] = 10284,
  [11133] = 10244,
  [11134] = 10797,
  [11135] = 10994,
  [11136] = 10264,
  [11137] = 10283,
  [11138] = 11138,
  [11139] = 10998,
  [11140] = 9623,
  [11141] = 10999,
  [11142] = 10264,
  [11143] = 10227,
  [11144] = 11144,
  [11145] = 10264,
  [11146] = 10244,
  [11147] = 10253,
  [11148] = 10263,
  [11149] = 10275,
  [11150] = 11026,
  [11151] = 10264,
  [11152] = 11152,
  [11153] = 10284,
  [11154] = 10282,
  [11155] = 10281,
  [11156] = 9625,
  [11157] = 11027,
  [11158] = 11158,
  [11159] = 10275,
  [11160] = 11160,
  [11161] = 10263,
  [11162] = 9633,
  [11163] = 10270,
  [11164] = 10253,
  [11165] = 9646,
  [11166] = 9648,
  [11167] = 11167,
  [11168] = 10246,
  [11169] = 9442,
  [11170] = 9655,
  [11171] = 10257,
  [11172] = 10244,
  [11173] = 9656,
  [11174] = 11174,
  [11175] = 11039,
  [11176] = 10227,
  [11177] = 11041,
  [11178] = 10676,
  [11179] = 10252,
  [11180] = 9659,
  [11181] = 9664,
  [11182] = 11078,
  [11183] = 11080,
  [11184] = 11081,
  [11185] = 9666,
  [11186] = 10227,
  [11187] = 11082,
  [11188] = 9675,
  [11189] = 11189,
  [11190] = 10244,
  [11191] = 11191,
  [11192] = 10253,
  [11193] = 10263,
  [11194] = 10275,
  [11195] = 10278,
  [11196] = 9678,
  [11197] = 9680,
  [11198] = 10252,
  [11199] = 10262,
  [11200] = 11174,
  [11201] = 11201,
  [11202] = 11202,
  [11203] = 10257,
  [11204] = 9683,
  [11205] = 11202,
  [11206] = 11189,
  [11207] = 10264,
  [11208] = 10259,
  [11209] = 11089,
  [11210] = 10246,
  [11211] = 11088,
  [11212] = 11079,
  [11213] = 10691,
  [11214] = 10282,
  [11215] = 10270,
  [11216] = 9651,
  [11217] = 10283,
  [11218] = 11003,
  [11219] = 10952,
  [11220] = 10576,
  [11221] = 10283,
  [11222] = 10284,
  [11223] = 11223,
  [11224] = 11224,
  [11225] = 11144,
  [11226] = 11226,
  [11227] = 11227,
  [11228] = 11224,
  [11229] = 10611,
  [11230] = 10608,
  [11231] = 10606,
  [11232] = 10586,
  [11233] = 10603,
  [11234] = 10295,
  [11235] = 10248,
  [11236] = 10251,
  [11237] = 11237,
  [11238] = 11238,
  [11239] = 11227,
  [11240] = 10254,
  [11241] = 10229,
  [11242] = 11242,
  [11243] = 10255,
  [11244] = 10261,
  [11245] = 10273,
  [11246] = 10617,
  [11247] = 10225,
  [11248] = 10764,
  [11249] = 10777,
  [11250] = 10784,
  [11251] = 10785,
  [11252] = 10787,
  [11253] = 10812,
  [11254] = 10813,
  [11255] = 10814,
  [11256] = 11223,
  [11257] = 11049,
  [11258] = 10298,
  [11259] = 9547,
  [11260] = 11034,
  [11261] = 11261,
  [11262] = 11029,
  [11263] = 11263,
  [11264] = 11152,
  [11265] = 11018,
  [11266] = 11008,
  [11267] = 10836,
  [11268] = 10819,
  [11269] = 11001,
  [11270] = 11270,
  [11271] = 11023,
  [11272] = 10996,
  [11273] = 11273,
  [11274] = 11274,
  [11275] = 10955,
  [11276] = 10946,
  [11277] = 10945,
  [11278] = 9670,
  [11279] = 10900,
  [11280] = 10880,
  [11281] = 10839,
  [11282] = 10837,
  [11283] = 10791,
  [11284] = 11037,
  [11285] = 10369,
  [11286] = 10459,
  [11287] = 11270,
  [11288] = 10460,
  [11289] = 11242,
  [11290] = 10461,
  [11291] = 10463,
  [11292] = 10466,
  [11293] = 10468,
  [11294] = 10474,
  [11295] = 10476,
  [11296] = 10480,
  [11297] = 11297,
  [11298] = 11298,
  [11299] = 10551,
  [11300] = 10575,
  [11301] = 6741,
  [11302] = 11099,
  [11303] = 11112,
  [11304] = 11237,
  [11305] = 10851,
  [11306] = 10844,
  [11307] = 10820,
  [11308] = 10772,
  [11309] = 10744,
  [11310] = 10737,
  [11311] = 10730,
  [11312] = 10729,
  [11313] = 10721,
  [11314] = 10698,
  [11315] = 10697,
  [11316] = 6759,
  [11317] = 10679,
  [11318] = 10670,
  [11319] = 10661,
  [11320] = 10638,
  [11321] = 11321,
  [11322] = 10627,
  [11323] = 10624,
  [11324] = 10548,
  [11325] = 10543,
  [11326] = 6766,
  [11327] = 10417,
  [11328] = 10413,
  [11329] = 11297,
  [11330] = 11330,
  [11331] = 10308,
  [11332] = 11332,
  [11333] = 10344,
  [11334] = 11237,
  [11335] = 11238,
  [11336] = 11227,
  [11337] = 10425,
  [11338] = 10427,
  [11339] = 10430,
  [11340] = 11340,
  [11341] = 10435,
  [11342] = 10448,
  [11343] = 10690,
  [11344] = 11344,
  [11345] = 10457,
  [11346] = 10456,
  [11347] = 11347,
  [11348] = 10465,
  [11349] = 10477,
  [11350] = 10481,
  [11351] = 10420,
  [11352] = 10493,
  [11353] = 10515,
  [11354] = 10545,
  [11355] = 11355,
  [11356] = 10570,
  [11357] = 10593,
  [11358] = 10775,
  [11359] = 10751,
  [11360] = 11270,
  [11361] = 11361,
  [11362] = 11362,
  [11363] = 11242,
  [11364] = 11085,
  [11365] = 11167,
  [11366] = 10688,
  [11367] = 10509,
  [11368] = 10438,
  [11369] = 10418,
  [11370] = 10398,
  [11371] = 10358,
  [11372] = 11372,
  [11373] = 10850,
  [11374] = 10450,
  [11375] = 11158,
  [11376] = 11201,
  [11377] = 10845,
  [11378] = 10462,
  [11379] = 10375,
  [11380] = 10381,
  [11381] = 11381,
  [11382] = 10401,
  [11383] = 11227,
  [11384] = 11242,
  [11385] = 10769,
  [11386] = 11238,
  [11387] = 10675,
  [11388] = 11237,
  [11389] = 10664,
  [11390] = 10658,
  [11391] = 11227,
  [11392] = 10654,
  [11393] = 11238,
  [11394] = 10651,
  [11395] = 10649,
  [11396] = 11396,
  [11397] = 11397,
  [11398] = 11398,
  [11399] = 11237,
  [11400] = 11238,
  [11401] = 11227,
  [11402] = 11402,
  [11403] = 10612,
  [11404] = 11404,
  [11405] = 11405,
  [11406] = 11406,
  [11407] = 11407,
  [11408] = 11408,
  [11409] = 11409,
  [11410] = 11410,
  [11411] = 11411,
  [11412] = 11412,
  [11413] = 11413,
  [11414] = 11414,
  [11415] = 11415,
  [11416] = 11416,
  [11417] = 11417,
  [11418] = 11418,
  [11419] = 11419,
  [11420] = 11420,
  [11421] = 11421,
  [11422] = 11422,
  [11423] = 11423,
  [11424] = 11424,
  [11425] = 11425,
  [11426] = 11426,
  [11427] = 11427,
  [11428] = 11428,
  [11429] = 11429,
  [11430] = 11430,
  [11431] = 11431,
  [11432] = 11242,
  [11433] = 11433,
  [11434] = 11434,
  [11435] = 11332,
  [11436] = 11436,
  [11437] = 11437,
  [11438] = 11438,
  [11439] = 11439,
  [11440] = 11440,
  [11441] = 11441,
  [11442] = 11442,
  [11443] = 11443,
  [11444] = 11237,
  [11445] = 11238,
  [11446] = 11227,
  [11447] = 11447,
  [11448] = 11442,
  [11449] = 11443,
  [11450] = 11450,
  [11451] = 11451,
  [11452] = 11442,
  [11453] = 11453,
  [11454] = 11454,
  [11455] = 11443,
  [11456] = 11456,
  [11457] = 11457,
  [11458] = 11451,
  [11459] = 11442,
  [11460] = 11460,
  [11461] = 11461,
  [11462] = 11443,
  [11463] = 11463,
  [11464] = 11464,
  [11465] = 11451,
  [11466] = 11442,
  [11467] = 11467,
  [11468] = 11468,
  [11469] = 11443,
  [11470] = 11470,
  [11471] = 11471,
  [11472] = 11472,
  [11473] = 11451,
  [11474] = 11442,
  [11475] = 11475,
  [11476] = 11476,
  [11477] = 11477,
  [11478] = 11443,
  [11479] = 11479,
  [11480] = 11480,
  [11481] = 11481,
  [11482] = 11482,
  [11483] = 11242,
  [11484] = 11484,
  [11485] = 11485,
  [11486] = 11486,
  [11487] = 11270,
  [11488] = 11488,
  [11489] = 11396,
  [11490] = 11397,
  [11491] = 11398,
  [11492] = 11404,
  [11493] = 11410,
  [11494] = 11419,
  [11495] = 11437,
  [11496] = 11479,
  [11497] = 11497,
  [11498] = 11498,
  [11499] = 11499,
  [11500] = 11500,
  [11501] = 11501,
  [11502] = 11502,
  [11503] = 11503,
  [11504] = 11504,
  [11505] = 11505,
  [11506] = 11506,
  [11507] = 11507,
  [11508] = 11508,
  [11509] = 11509,
  [11510] = 11297,
  [11511] = 11511,
  [11512] = 11512,
  [11513] = 11513,
  [11514] = 11514,
  [11515] = 11515,
  [11516] = 11516,
  [11517] = 11517,
  [11518] = 11499,
  [11519] = 11362,
  [11520] = 11381,
  [11521] = 11521,
  [11522] = 11522,
  [11523] = 11523,
  [11524] = 11524,
  [11525] = 11525,
  [11526] = 11526,
  [11527] = 11527,
  [11528] = 11528,
  [11529] = 11332,
  [11530] = 11530,
  [11531] = 11531,
  [11532] = 11532,
  [11533] = 11533,
  [11534] = 11534,
  [11535] = 11535,
  [11536] = 11451,
  [11537] = 11537,
  [11538] = 11538,
  [11539] = 11539,
  [11540] = 11540,
  [11541] = 11442,
  [11542] = 11542,
  [11543] = 11543,
  [11544] = 11544,
  [11545] = 11545,
  [11546] = 11546,
  [11547] = 11547,
  [11548] = 11548,
  [11549] = 11549,
  [11550] = 11227,
  [11551] = 11238,
  [11552] = 11237,
  [11553] = 11553,
  [11554] = 11443,
  [11555] = 11555,
  [11556] = 11556,
  [11557] = 11557,
  [11558] = 11558,
  [11559] = 11559,
  [11560] = 11560,
  [11561] = 11561,
  [11562] = 11562,
  [11563] = 11563,
  [11564] = 11564,
  [11565] = 11565,
  [11566] = 11566,
  [11567] = 11567,
  [11568] = 11568,
  [11569] = 11569,
  [11570] = 11570,
  [11571] = 11242,
  [11572] = 11270,
  [11573] = 11501,
  [11574] = 11574,
  [11575] = 11575,
  [11576] = 11576,
  [11577] = 11577,
  [11578] = 11578,
  [11579] = 11579,
  [11580] = 11580,
  [11581] = 11544,
  [11582] = 11582,
  [11583] = 11583,
  [11584] = 11584,
  [11585] = 11585,
  [11586] = 11586,
  [11587] = 11587,
  [11588] = 11588,
  [11589] = 11263,
  [11590] = 11590,
  [11591] = 11591,
  [11592] = 11443,
  [11593] = 11593,
  [11594] = 11344,
  [11595] = 11355,
  [11596] = 11596,
  [11597] = 11270,
  [11598] = 11242,
  [11599] = 11424,
  [11600] = 11600,
  [11601] = 11601,
  [11602] = 11588,
  [11603] = 11372,
  [11604] = 11604,
  [11605] = 11604,
  [11606] = 11606,
  [11607] = 11606,
  [11608] = 11608,
  [11609] = 11608,
  [11610] = 11560,
  [11611] = 11611,
  [11612] = 11612,
  [11613] = 11613,
  [11614] = 11614,
  [11615] = 11615,
  [11616] = 11616,
  [11617] = 11617,
  [11618] = 11618,
  [11619] = 11506,
  [11620] = 11620,
  [11621] = 11621,
  [11622] = 11622,
  [11623] = 11623,
  [11624] = 11546,
  [11625] = 11625,
  [11626] = 11626,
  [11627] = 11627,
  [11628] = 11628,
  [11629] = 11629,
  [11630] = 11237,
  [11631] = 11238,
  [11632] = 11227,
  [11633] = 11568,
  [11634] = 11273,
  [11635] = 11321,
  [11636] = 11600,
  [11637] = 11637,
  [11638] = 11638,
  [11639] = 11639,
  [11640] = 11640,
  [11641] = 11641,
  [11642] = 11642,
  [11643] = 11643,
  [11644] = 11644,
  [11645] = 11645,
  [11646] = 11646,
  [11647] = 11647,
  [11648] = 11648,
  [11649] = 11649,
  [11650] = 11650,
  [11651] = 11651,
  [11652] = 11652,
  [11653] = 11653,
  [11654] = 11654,
  [11655] = 11655,
  [11656] = 11656,
  [11657] = 11657,
  [11658] = 11227,
  [11659] = 11659,
  [11660] = 11660,
  [11661] = 11238,
  [11662] = 11237,
  [11663] = 11663,
  [11664] = 11664,
  [11665] = 11665,
  [11666] = 11666,
  [11667] = 11667,
  [11668] = 11668,
  [11669] = 11669,
  [11670] = 11670,
  [11671] = 11671,
  [11672] = 11672,
  [11673] = 11673,
  [11674] = 11645,
  [11675] = 11637,
  [11676] = 11226,
  [11677] = 11613,
  [11678] = 11593,
  [11679] = 11590,
  [11680] = 11680,
  [11681] = 11242,
  [11682] = 11270,
  [11683] = 11673,
  [11684] = 11585,
  [11685] = 11685,
  [11686] = 11582,
  [11687] = 11601,
  [11688] = 11578,
  [11689] = 11577,
  [11690] = 11575,
  [11691] = 11402,
  [11692] = 11584,
  [11693] = 11405,
  [11694] = 11611,
  [11695] = 11411,
  [11696] = 11556,
  [11697] = 11420,
  [11698] = 11555,
  [11699] = 11548,
  [11700] = 11542,
  [11701] = 11439,
  [11702] = 11440,
  [11703] = 11672,
  [11704] = 11540,
  [11705] = 11538,
  [11706] = 11482,
  [11707] = 11485,
  [11708] = 11708,
  [11709] = 11533,
  [11710] = 11532,
  [11711] = 11436,
  [11712] = 11531,
  [11713] = 11477,
  [11714] = 11527,
  [11715] = 11525,
  [11716] = 11531,
  [11717] = 11525,
  [11718] = 11524,
  [11719] = 11600,
  [11720] = 11523,
  [11721] = 11535,
  [11722] = 11502,
  [11723] = 11475,
  [11724] = 11612,
  [11725] = 11497,
  [11726] = 11671,
  [11727] = 11601,
  [11728] = 11584,
  [11729] = 11729,
  [11730] = 11730,
  [11731] = 11486,
  [11732] = 11485,
  [11733] = 11484,
  [11734] = 11482,
  [11735] = 11480,
  [11736] = 11453,
  [11737] = 11737,
  [11738] = 11423,
  [11739] = 11270,
  [11740] = 11441,
  [11741] = 11440,
  [11742] = 11227,
  [11743] = 11238,
  [11744] = 11237,
  [11745] = 11439,
  [11746] = 11746,
  [11747] = 11438,
  [11748] = 11642,
  [11749] = 11670,
  [11750] = 11737,
  [11751] = 11668,
  [11752] = 11667,
  [11753] = 11425,
  [11754] = 11574,
  [11755] = 11414,
  [11756] = 11413,
  [11757] = 11412,
  [11758] = 11411,
  [11759] = 11406,
  [11760] = 11646,
  [11761] = 11405,
  [11762] = 11762,
  [11763] = 11668,
  [11764] = 11421,
  [11765] = 11526,
  [11766] = 11402,
  [11767] = 11767,
  [11768] = 11667,
  [11769] = 11528,
  [11770] = 11770,
  [11771] = 11653,
  [11772] = 11666,
  [11773] = 11773,
  [11774] = 11242,
  [11775] = 11644,
  [11776] = 11372,
  [11777] = 11420,
  [11778] = 11685,
  [11779] = 11521,
  [11780] = 11780,
  [11781] = 11270,
  [11782] = 11782,
  [11783] = 11273,
  [11784] = 11242,
  [11785] = 11614,
  [11786] = 11786,
  [11787] = 11526,
  [11788] = 11528,
  [11789] = 11625,
  [11790] = 11237,
  [11791] = 11238,
  [11792] = 11227,
  [11793] = 11793,
  [11794] = 11614,
  [11795] = 11274,
  [11796] = 11796,
  [11797] = 11361,
  [11798] = 11586,
  [11799] = 11372,
  [11800] = 11786,
  [11801] = 11660,
  [11802] = 11355,
  [11803] = 11270,
  [11804] = 11340,
  [11805] = 11242,
  [11806] = 11442,
  [11807] = 11544,
  [11808] = 11544,
  [11809] = 11544,
  [11810] = 11659,
  [11811] = 11666,
  [11812] = 11583,
  [11813] = 11746,
  [11814] = 11544,
  [11815] = 11782,
  [11816] = 11737,
  [11817] = 11544,
  [11818] = 11657,
  [11819] = 11611,
  [11820] = 11237,
  [11821] = 11238,
  [11822] = 11645,
  [11823] = 11227,
  [11824] = 11587,
  [11825] = 11544,
  [11826] = 11637,
  [11827] = 11226,
  [11828] = 11362,
  [11829] = 11611,
  [11830] = 11596,
  [11831] = 11544,
  [11832] = 11362,
  [11833] = 11611,
  [11834] = 11656,
  [11835] = 11544,
  [11836] = 11362,
  [11837] = 11611,
  [11838] = 11838,
  [11839] = 11839,
  [11840] = 11840,
  [11841] = 11841,
  [11842] = 11842,
  [11843] = 11227,
  [11844] = 11238,
  [11845] = 11237,
  [11846] = 11270,
  [11847] = 11242,
  [11848] = 11848,
  [11849] = 11685,
  [11850] = 11544,
  [11851] = 11362,
  [11852] = 11611,
  [11853] = 11237,
  [11854] = 11238,
  [11855] = 11227,
  [11856] = 11582,
  [11857] = 11793,
  [11858] = 11578,
  [11859] = 11576,
  [11860] = 11575,
  [11861] = 11544,
  [11862] = 11862,
  [11863] = 11362,
  [11864] = 11611,
  [11865] = 11544,
  [11866] = 11556,
  [11867] = 11555,
  [11868] = 11548,
  [11869] = 11729,
  [11870] = 11362,
  [11871] = 11871,
  [11872] = 11611,
  [11873] = 11873,
  [11874] = 11730,
  [11875] = 11653,
  [11876] = 11651,
  [11877] = 11270,
  [11878] = 11242,
  [11879] = 11242,
  [11880] = 11638,
  [11881] = 11532,
  [11882] = 11544,
  [11883] = 11527,
  [11884] = 11270,
  [11885] = 11523,
  [11886] = 11639,
  [11887] = 11362,
  [11888] = 11650,
  [11889] = 11502,
  [11890] = 11622,
  [11891] = 11475,
  [11892] = 11537,
  [11893] = 11611,
  [11894] = 11623,
  [11895] = 11544,
  [11896] = 11362,
  [11897] = 11237,
  [11898] = 11238,
  [11899] = 11227,
  [11900] = 11486,
  [11901] = 11611,
  [11902] = 11484,
  [11903] = 11544,
  [11904] = 11362,
  [11905] = 11611,
  [11906] = 11767,
  [11907] = 11453,
  [11908] = 11649,
  [11909] = 11544,
  [11910] = 11362,
  [11911] = 11447,
  [11912] = 11576,
  [11913] = 11441,
  [11914] = 11746,
  [11915] = 11762,
  [11916] = 11647,
  [11917] = 11762,
  [11918] = 11646,
  [11919] = 11919,
  [11920] = 11436,
  [11921] = 11425,
  [11922] = 11922,
  [11923] = 11611,
  [11924] = 11270,
  [11925] = 11925,
  [11926] = 11652,
  [11927] = 11242,
  [11928] = 11644,
  [11929] = 11544,
  [11930] = 11362,
  [11931] = 11576,
  [11932] = 11746,
  [11933] = 11762,
  [11934] = 11237,
  [11935] = 11238,
  [11936] = 11680,
  [11937] = 11436,
  [11938] = 11227,
  [11939] = 11611,
  [11940] = 11652,
  [11941] = 11544,
  [11942] = 11362,
  [11943] = 11576,
  [11944] = 11746,
  [11945] = 11762,
  [11946] = 11436,
  [11947] = 11611,
  [11948] = 11451,
  [11949] = 11530,
  [11950] = 11629,
  [11951] = 11652,
  [11952] = 11544,
  [11953] = 11362,
  [11954] = 11576,
  [11955] = 11227,
  [11956] = 11238,
  [11957] = 11237,
  [11958] = 11746,
  [11959] = 11762,
  [11960] = 11270,
  [11961] = 11242,
  [11962] = 11962,
  [11963] = 11436,
  [11964] = 11611,
  [11965] = 11652,
  [11966] = 11237,
  [11967] = 11238,
  [11968] = 11227,
  [11969] = 11544,
  [11970] = 11381,
  [11971] = 11362,
  [11972] = 11576,
  [11973] = 11746,
  [11974] = 11640,
  [11975] = 11762,
  [11976] = 11436,
  [11977] = 11611,
  [11978] = 11242,
  [11979] = 11270,
  [11980] = 11652,
  [11981] = 11544,
  [11982] = 11381,
  [11983] = 11362,
  [11984] = 11576,
  [11985] = 11642,
  [11986] = 11746,
  [11987] = 11762,
  [11988] = 11436,
  [11989] = 11611,
  [11990] = 11652,
  [11991] = 11270,
  [11992] = 11521,
  [11993] = 11242,
  [11994] = 11583,
  [11995] = 11995,
  [11996] = 11330,
  [11997] = 11544,
  [11998] = 11381,
  [11999] = 11362,
  [12000] = 11625,
  [12001] = 11237,
  [12002] = 11238,
  [12003] = 11227,
  [12004] = 11626,
  [12005] = 11652,
  [12006] = 11534,
  [12007] = 11627,
  [12008] = 12008,
  [12009] = 11270,
  [12010] = 11242,
  [12011] = 12011,
  [12012] = 11298,
  [12013] = 11628,
  [12014] = 11641,
  [12015] = 11238,
  [12016] = 11237,
  [12017] = 11669,
  [12018] = 12018,
  [12019] = 12019,
  [12020] = 12020,
  [12021] = 12021,
  [12022] = 12022,
  [12023] = 12023,
  [12024] = 12024,
  [12025] = 12025,
  [12026] = 12026,
  [12027] = 12027,
  [12028] = 12028,
  [12029] = 12029,
  [12030] = 12030,
  [12031] = 12031,
  [12032] = 12032,
  [12033] = 12033,
  [12034] = 12034,
  [12035] = 12035,
  [12036] = 12036,
  [12037] = 12037,
  [12038] = 12038,
  [12039] = 12039,
  [12040] = 12040,
  [12041] = 12041,
  [12042] = 12042,
  [12043] = 12043,
  [12044] = 12044,
  [12045] = 12045,
  [12046] = 12046,
  [12047] = 12047,
  [12048] = 12048,
  [12049] = 12049,
  [12050] = 12050,
  [12051] = 12051,
  [12052] = 12052,
  [12053] = 12053,
  [12054] = 12054,
  [12055] = 12055,
  [12056] = 12019,
  [12057] = 12057,
  [12058] = 12058,
  [12059] = 12059,
  [12060] = 12060,
  [12061] = 12061,
  [12062] = 12062,
  [12063] = 12063,
  [12064] = 12064,
  [12065] = 12065,
  [12066] = 12066,
  [12067] = 12067,
  [12068] = 12068,
  [12069] = 12069,
  [12070] = 12070,
  [12071] = 12071,
  [12072] = 12072,
  [12073] = 12034,
  [12074] = 12074,
  [12075] = 12075,
  [12076] = 12076,
  [12077] = 12077,
  [12078] = 12078,
  [12079] = 12079,
  [12080] = 12080,
  [12081] = 12081,
  [12082] = 12082,
  [12083] = 12083,
  [12084] = 12084,
  [12085] = 12085,
  [12086] = 12086,
  [12087] = 12087,
  [12088] = 12087,
  [12089] = 12069,
  [12090] = 12046,
  [12091] = 12086,
  [12092] = 12092,
  [12093] = 12093,
  [12094] = 12045,
  [12095] = 12039,
  [12096] = 12036,
  [12097] = 12097,
  [12098] = 12020,
  [12099] = 12021,
  [12100] = 12100,
  [12101] = 12101,
  [12102] = 12022,
  [12103] = 12084,
  [12104] = 12023,
  [12105] = 12024,
  [12106] = 12083,
  [12107] = 12107,
  [12108] = 12108,
  [12109] = 12082,
  [12110] = 12025,
  [12111] = 12026,
  [12112] = 12027,
  [12113] = 12028,
  [12114] = 12030,
  [12115] = 12115,
  [12116] = 12081,
  [12117] = 12032,
  [12118] = 12033,
  [12119] = 12119,
  [12120] = 12120,
  [12121] = 12080,
  [12122] = 12079,
  [12123] = 12078,
  [12124] = 12035,
  [12125] = 12038,
  [12126] = 12075,
  [12127] = 12063,
  [12128] = 12128,
  [12129] = 12129,
  [12130] = 12130,
  [12131] = 12041,
  [12132] = 12132,
  [12133] = 12133,
  [12134] = 12070,
  [12135] = 12135,
  [12136] = 12136,
  [12137] = 12137,
  [12138] = 12138,
  [12139] = 12044,
  [12140] = 12140,
  [12141] = 12141,
  [12142] = 12068,
  [12143] = 12143,
  [12144] = 12067,
  [12145] = 12145,
  [12146] = 12146,
  [12147] = 12147,
  [12148] = 12148,
  [12149] = 12149,
  [12150] = 12018,
  [12151] = 12151,
  [12152] = 12152,
  [12153] = 12153,
  [12154] = 12065,
  [12155] = 12155,
  [12156] = 12156,
  [12157] = 12157,
  [12158] = 12100,
  [12159] = 12159,
  [12160] = 12160,
  [12161] = 12161,
  [12162] = 12162,
  [12163] = 12163,
  [12164] = 12164,
  [12165] = 12165,
  [12166] = 12055,
  [12167] = 12167,
  [12168] = 12115,
  [12169] = 12165,
  [12170] = 12052,
  [12171] = 12062,
  [12172] = 12164,
  [12173] = 12054,
  [12174] = 12174,
  [12175] = 12175,
  [12176] = 12176,
  [12177] = 12177,
  [12178] = 12178,
  [12179] = 12179,
  [12180] = 12022,
  [12181] = 12019,
  [12182] = 12060,
  [12183] = 12183,
  [12184] = 12058,
  [12185] = 12163,
  [12186] = 12162,
  [12187] = 12060,
  [12188] = 12161,
  [12189] = 12189,
  [12190] = 12190,
  [12191] = 12191,
  [12192] = 12192,
  [12193] = 12062,
  [12194] = 12058,
  [12195] = 12063,
  [12196] = 12065,
  [12197] = 12197,
  [12198] = 12160,
  [12199] = 12159,
  [12200] = 12200,
  [12201] = 12201,
  [12202] = 12202,
  [12203] = 12019,
  [12204] = 12067,
  [12205] = 12068,
  [12206] = 12206,
  [12207] = 12055,
  [12208] = 12208,
  [12209] = 12054,
  [12210] = 12210,
  [12211] = 12211,
  [12212] = 12157,
  [12213] = 12156,
  [12214] = 12070,
  [12215] = 12155,
  [12216] = 12216,
  [12217] = 12052,
  [12218] = 12218,
  [12219] = 12034,
  [12220] = 12075,
  [12221] = 12078,
  [12222] = 12153,
  [12223] = 12130,
  [12224] = 12152,
  [12225] = 12225,
  [12226] = 12079,
  [12227] = 12080,
  [12228] = 12140,
  [12229] = 12141,
  [12230] = 12151,
  [12231] = 12018,
  [12232] = 12081,
  [12233] = 12149,
  [12234] = 12146,
  [12235] = 12147,
  [12236] = 12148,
  [12237] = 12149,
  [12238] = 12018,
  [12239] = 12151,
  [12240] = 12152,
  [12241] = 12153,
  [12242] = 12082,
  [12243] = 12155,
  [12244] = 12156,
  [12245] = 12157,
  [12246] = 12100,
  [12247] = 12159,
  [12248] = 12160,
  [12249] = 12161,
  [12250] = 12162,
  [12251] = 12163,
  [12252] = 12164,
  [12253] = 12165,
  [12254] = 12083,
  [12255] = 12084,
  [12256] = 12256,
  [12257] = 12148,
  [12258] = 12258,
  [12259] = 12259,
  [12260] = 12147,
  [12261] = 12086,
  [12262] = 12174,
  [12263] = 12175,
  [12264] = 12176,
  [12265] = 12177,
  [12266] = 12178,
  [12267] = 12179,
  [12268] = 12087,
  [12269] = 12069,
  [12270] = 12044,
  [12271] = 12046,
  [12272] = 12146,
  [12273] = 12045,
  [12274] = 12039,
  [12275] = 12275,
  [12276] = 12189,
  [12277] = 12190,
  [12278] = 12191,
  [12279] = 12192,
  [12280] = 12036,
  [12281] = 12281,
  [12282] = 12097,
  [12283] = 12020,
  [12284] = 12197,
  [12285] = 12021,
  [12286] = 12035,
  [12287] = 12200,
  [12288] = 12201,
  [12289] = 12202,
  [12290] = 12022,
  [12291] = 12190,
  [12292] = 12023,
  [12293] = 12206,
  [12294] = 12024,
  [12295] = 12208,
  [12296] = 12296,
  [12297] = 12210,
  [12298] = 12211,
  [12299] = 12299,
  [12300] = 12300,
  [12301] = 12038,
  [12302] = 12035,
  [12303] = 12033,
  [12304] = 12304,
  [12305] = 12032,
  [12306] = 12130,
  [12307] = 12038,
  [12308] = 12025,
  [12309] = 12026,
  [12310] = 12140,
  [12311] = 12141,
  [12312] = 12027,
  [12313] = 12313,
  [12314] = 12028,
  [12315] = 12030,
  [12316] = 12146,
  [12317] = 12147,
  [12318] = 12148,
  [12319] = 12149,
  [12320] = 12018,
  [12321] = 12151,
  [12322] = 12152,
  [12323] = 12153,
  [12324] = 12115,
  [12325] = 12155,
  [12326] = 12156,
  [12327] = 12157,
  [12328] = 12100,
  [12329] = 12159,
  [12330] = 12160,
  [12331] = 12161,
  [12332] = 12162,
  [12333] = 12163,
  [12334] = 12164,
  [12335] = 12165,
  [12336] = 12032,
  [12337] = 12033,
  [12338] = 12115,
  [12339] = 12035,
  [12340] = 12038,
  [12341] = 12030,
  [12342] = 12084,
  [12343] = 12083,
  [12344] = 12174,
  [12345] = 12175,
  [12346] = 12176,
  [12347] = 12177,
  [12348] = 12178,
  [12349] = 12179,
  [12350] = 12082,
  [12351] = 12041,
  [12352] = 12352,
  [12353] = 12028,
  [12354] = 12044,
  [12355] = 12027,
  [12356] = 12026,
  [12357] = 12357,
  [12358] = 12189,
  [12359] = 12190,
  [12360] = 12191,
  [12361] = 12192,
  [12362] = 12081,
  [12363] = 12025,
  [12364] = 12364,
  [12365] = 12365,
  [12366] = 12197,
  [12367] = 12367,
  [12368] = 12080,
  [12369] = 12200,
  [12370] = 12201,
  [12371] = 12202,
  [12372] = 12372,
  [12373] = 12079,
  [12374] = 12078,
  [12375] = 12206,
  [12376] = 12075,
  [12377] = 12208,
  [12378] = 12378,
  [12379] = 12210,
  [12380] = 12211,
  [12381] = 12024,
  [12382] = 12023,
  [12383] = 12034,
  [12384] = 12070,
  [12385] = 12052,
  [12386] = 12189,
  [12387] = 12130,
  [12388] = 12141,
  [12389] = 12140,
  [12390] = 12054,
  [12391] = 12055,
  [12392] = 12392,
  [12393] = 12019,
  [12394] = 12394,
  [12395] = 12146,
  [12396] = 12147,
  [12397] = 12148,
  [12398] = 12149,
  [12399] = 12018,
  [12400] = 12151,
  [12401] = 12152,
  [12402] = 12153,
  [12403] = 12058,
  [12404] = 12155,
  [12405] = 12156,
  [12406] = 12157,
  [12407] = 12100,
  [12408] = 12159,
  [12409] = 12160,
  [12410] = 12161,
  [12411] = 12162,
  [12412] = 12163,
  [12413] = 12164,
  [12414] = 12165,
  [12415] = 12070,
  [12416] = 12060,
  [12417] = 12417,
  [12418] = 12021,
  [12419] = 12062,
  [12420] = 12420,
  [12421] = 12063,
  [12422] = 12065,
  [12423] = 12174,
  [12424] = 12175,
  [12425] = 12176,
  [12426] = 12177,
  [12427] = 12178,
  [12428] = 12179,
  [12429] = 12067,
  [12430] = 12068,
  [12431] = 12020,
  [12432] = 12191,
  [12433] = 12433,
  [12434] = 12034,
  [12435] = 12075,
  [12436] = 12189,
  [12437] = 12190,
  [12438] = 12191,
  [12439] = 12192,
  [12440] = 12078,
  [12441] = 12097,
  [12442] = 12079,
  [12443] = 12080,
  [12444] = 12081,
  [12445] = 12200,
  [12446] = 12201,
  [12447] = 12202,
  [12448] = 12036,
  [12449] = 12082,
  [12450] = 12083,
  [12451] = 12208,
  [12452] = 12039,
  [12453] = 12453,
  [12454] = 12045,
  [12455] = 12084,
  [12456] = 12456,
  [12457] = 12086,
  [12458] = 12458,
  [12459] = 12130,
  [12460] = 12087,
  [12461] = 12461,
  [12462] = 12069,
  [12463] = 12463,
  [12464] = 12464,
  [12465] = 12046,
  [12466] = 12045,
  [12467] = 12146,
  [12468] = 12147,
  [12469] = 12148,
  [12470] = 12149,
  [12471] = 12018,
  [12472] = 12151,
  [12473] = 12152,
  [12474] = 12153,
  [12475] = 12039,
  [12476] = 12155,
  [12477] = 12156,
  [12478] = 12157,
  [12479] = 12100,
  [12480] = 12159,
  [12481] = 12160,
  [12482] = 12161,
  [12483] = 12162,
  [12484] = 12163,
  [12485] = 12164,
  [12486] = 12165,
  [12487] = 12036,
  [12488] = 12097,
  [12489] = 12046,
  [12490] = 12020,
  [12491] = 12021,
  [12492] = 12069,
  [12493] = 12022,
  [12494] = 12023,
  [12495] = 12174,
  [12496] = 12175,
  [12497] = 12176,
  [12498] = 12177,
  [12499] = 12178,
  [12500] = 12179,
  [12501] = 12024,
  [12502] = 12087,
  [12503] = 12086,
  [12504] = 12084,
  [12505] = 12083,
  [12506] = 12025,
  [12507] = 12026,
  [12508] = 12189,
  [12509] = 12190,
  [12510] = 12191,
  [12511] = 12192,
  [12512] = 12027,
  [12513] = 12513,
  [12514] = 12028,
  [12515] = 12192,
  [12516] = 12030,
  [12517] = 12200,
  [12518] = 12201,
  [12519] = 12202,
  [12520] = 12520,
  [12521] = 12115,
  [12522] = 12032,
  [12523] = 12208,
  [12524] = 12524,
  [12525] = 12525,
  [12526] = 12526,
  [12527] = 12033,
  [12528] = 12035,
  [12529] = 12038,
  [12530] = 12530,
  [12531] = 12130,
  [12532] = 12532,
  [12533] = 12533,
  [12534] = 12534,
  [12535] = 12535,
  [12536] = 12082,
  [12537] = 12537,
  [12538] = 12041,
  [12539] = 12146,
  [12540] = 12147,
  [12541] = 12148,
  [12542] = 12149,
  [12543] = 12018,
  [12544] = 12151,
  [12545] = 12152,
  [12546] = 12153,
  [12547] = 12083,
  [12548] = 12155,
  [12549] = 12156,
  [12550] = 12157,
  [12551] = 12100,
  [12552] = 12159,
  [12553] = 12160,
  [12554] = 12161,
  [12555] = 12162,
  [12556] = 12163,
  [12557] = 12164,
  [12558] = 12165,
  [12559] = 12044,
  [12560] = 12041,
  [12561] = 12561,
  [12562] = 12081,
  [12563] = 12563,
  [12564] = 12080,
  [12565] = 12565,
  [12566] = 12566,
  [12567] = 12174,
  [12568] = 12175,
  [12569] = 12176,
  [12570] = 12177,
  [12571] = 12178,
  [12572] = 12179,
  [12573] = 12079,
  [12574] = 12574,
  [12575] = 12575,
  [12576] = 12576,
  [12577] = 12577,
  [12578] = 12078,
  [12579] = 12579,
  [12580] = 12189,
  [12581] = 12190,
  [12582] = 12191,
  [12583] = 12192,
  [12584] = 12075,
  [12585] = 12034,
  [12586] = 12070,
  [12587] = 12052,
  [12588] = 12588,
  [12589] = 12200,
  [12590] = 12201,
  [12591] = 12202,
  [12592] = 12592,
  [12593] = 12054,
  [12594] = 12055,
  [12595] = 12208,
  [12596] = 12068,
  [12597] = 12067,
  [12598] = 12065,
  [12599] = 12019,
  [12600] = 12058,
  [12601] = 12601,
  [12602] = 12602,
  [12603] = 12130,
  [12604] = 12060,
  [12605] = 12062,
  [12606] = 12063,
  [12607] = 12065,
  [12608] = 12067,
  [12609] = 12068,
  [12610] = 12146,
  [12611] = 12147,
  [12612] = 12148,
  [12613] = 12149,
  [12614] = 12018,
  [12615] = 12151,
  [12616] = 12152,
  [12617] = 12153,
  [12618] = 12063,
  [12619] = 12155,
  [12620] = 12156,
  [12621] = 12157,
  [12622] = 12100,
  [12623] = 12159,
  [12624] = 12160,
  [12625] = 12161,
  [12626] = 12162,
  [12627] = 12163,
  [12628] = 12164,
  [12629] = 12165,
  [12630] = 12630,
  [12631] = 12070,
  [12632] = 12632,
  [12633] = 12034,
  [12634] = 12075,
  [12635] = 12174,
  [12636] = 12175,
  [12637] = 12176,
  [12638] = 12177,
  [12639] = 12178,
  [12640] = 12179,
  [12641] = 12078,
  [12642] = 12079,
  [12643] = 12080,
  [12644] = 12081,
  [12645] = 12189,
  [12646] = 12190,
  [12647] = 12191,
  [12648] = 12192,
  [12649] = 12082,
  [12650] = 12021,
  [12651] = 12200,
  [12652] = 12201,
  [12653] = 12202,
  [12654] = 12084,
  [12655] = 12208,
  [12656] = 12656,
  [12657] = 12062,
  [12658] = 12086,
  [12659] = 12087,
  [12660] = 12069,
  [12661] = 12046,
  [12662] = 12130,
  [12663] = 12045,
  [12664] = 12039,
  [12665] = 12036,
  [12666] = 12666,
  [12667] = 12097,
  [12668] = 12020,
  [12669] = 12146,
  [12670] = 12147,
  [12671] = 12148,
  [12672] = 12149,
  [12673] = 12018,
  [12674] = 12151,
  [12675] = 12152,
  [12676] = 12153,
  [12677] = 12054,
  [12678] = 12155,
  [12679] = 12156,
  [12680] = 12157,
  [12681] = 12100,
  [12682] = 12159,
  [12683] = 12160,
  [12684] = 12161,
  [12685] = 12162,
  [12686] = 12163,
  [12687] = 12164,
  [12688] = 12165,
  [12689] = 12022,
  [12690] = 12023,
  [12691] = 12041,
  [12692] = 12024,
  [12693] = 12693,
  [12694] = 12174,
  [12695] = 12175,
  [12696] = 12176,
  [12697] = 12177,
  [12698] = 12178,
  [12699] = 12179,
  [12700] = 12058,
  [12701] = 12701,
  [12702] = 12211,
  [12703] = 12703,
  [12704] = 12189,
  [12705] = 12190,
  [12706] = 12191,
  [12707] = 12192,
  [12708] = 12708,
  [12709] = 12709,
  [12710] = 12200,
  [12711] = 12201,
  [12712] = 12202,
  [12713] = 12713,
  [12714] = 12208,
  [12715] = 12019,
  [12716] = 12055,
  [12717] = 12025,
  [12718] = 12026,
  [12719] = 12027,
  [12720] = 12028,
  [12721] = 12130,
  [12722] = 12722,
  [12723] = 12030,
  [12724] = 12115,
  [12725] = 12054,
  [12726] = 12032,
  [12727] = 12727,
  [12728] = 12146,
  [12729] = 12147,
  [12730] = 12148,
  [12731] = 12149,
  [12732] = 12018,
  [12733] = 12151,
  [12734] = 12152,
  [12735] = 12153,
  [12736] = 12033,
  [12737] = 12155,
  [12738] = 12156,
  [12739] = 12157,
  [12740] = 12100,
  [12741] = 12159,
  [12742] = 12160,
  [12743] = 12161,
  [12744] = 12162,
  [12745] = 12163,
  [12746] = 12164,
  [12747] = 12165,
  [12748] = 12748,
  [12749] = 12749,
  [12750] = 12750,
  [12751] = 12751,
  [12752] = 12035,
  [12753] = 12174,
  [12754] = 12175,
  [12755] = 12176,
  [12756] = 12177,
  [12757] = 12178,
  [12758] = 12179,
  [12759] = 12759,
  [12760] = 12760,
  [12761] = 12038,
  [12762] = 12762,
  [12763] = 12189,
  [12764] = 12190,
  [12765] = 12191,
  [12766] = 12192,
  [12767] = 12767,
  [12768] = 12041,
  [12769] = 12200,
  [12770] = 12201,
  [12771] = 12202,
  [12772] = 12052,
  [12773] = 12208,
  [12774] = 12774,
  [12775] = 12775,
  [12776] = 12776,
  [12777] = 12044,
  [12778] = 12778,
  [12779] = 12779,
  [12780] = 12130,
  [12781] = 12210,
  [12782] = 12782,
  [12783] = 12783,
  [12784] = 12784,
  [12785] = 12044,
  [12786] = 12786,
  [12787] = 12146,
  [12788] = 12147,
  [12789] = 12148,
  [12790] = 12149,
  [12791] = 12018,
  [12792] = 12151,
  [12793] = 12152,
  [12794] = 12153,
  [12795] = 12052,
  [12796] = 12155,
  [12797] = 12156,
  [12798] = 12157,
  [12799] = 12100,
  [12800] = 12159,
  [12801] = 12160,
  [12802] = 12161,
  [12803] = 12162,
  [12804] = 12163,
  [12805] = 12164,
  [12806] = 12165,
  [12807] = 12087,
  [12808] = 12055,
  [12809] = 12809,
  [12810] = 12019,
  [12811] = 12058,
  [12812] = 12174,
  [12813] = 12175,
  [12814] = 12176,
  [12815] = 12177,
  [12816] = 12178,
  [12817] = 12179,
  [12818] = 12818,
  [12819] = 12819,
  [12820] = 12060,
  [12821] = 12062,
  [12822] = 12189,
  [12823] = 12190,
  [12824] = 12191,
  [12825] = 12192,
  [12826] = 12063,
  [12827] = 12065,
  [12828] = 12200,
  [12829] = 12201,
  [12830] = 12202,
  [12831] = 12067,
  [12832] = 12208,
  [12833] = 12833,
  [12834] = 12032,
  [12835] = 12068,
  [12836] = 12070,
  [12837] = 12034,
  [12838] = 12075,
  [12839] = 12130,
  [12840] = 12078,
  [12841] = 12079,
  [12842] = 12080,
  [12843] = 12081,
  [12844] = 12082,
  [12845] = 12083,
  [12846] = 12146,
  [12847] = 12147,
  [12848] = 12148,
  [12849] = 12149,
  [12850] = 12018,
  [12851] = 12151,
  [12852] = 12152,
  [12853] = 12153,
  [12854] = 12084,
  [12855] = 12155,
  [12856] = 12156,
  [12857] = 12157,
  [12858] = 12100,
  [12859] = 12159,
  [12860] = 12160,
  [12861] = 12161,
  [12862] = 12162,
  [12863] = 12163,
  [12864] = 12164,
  [12865] = 12165,
  [12866] = 12086,
  [12867] = 12026,
  [12868] = 12060,
  [12869] = 12069,
  [12870] = 12046,
  [12871] = 12174,
  [12872] = 12175,
  [12873] = 12176,
  [12874] = 12177,
  [12875] = 12178,
  [12876] = 12179,
  [12877] = 12877,
  [12878] = 12045,
  [12879] = 12039,
  [12880] = 12880,
  [12881] = 12189,
  [12882] = 12190,
  [12883] = 12191,
  [12884] = 12192,
  [12885] = 12036,
  [12886] = 12886,
  [12887] = 12200,
  [12888] = 12201,
  [12889] = 12202,
  [12890] = 12097,
  [12891] = 12208,
  [12892] = 12035,
  [12893] = 12033,
  [12894] = 12020,
  [12895] = 12021,
  [12896] = 12896,
  [12897] = 12897,
  [12898] = 12130,
  [12899] = 12022,
  [12900] = 12023,
  [12901] = 12024,
  [12902] = 12902,
  [12903] = 12903,
  [12904] = 12904,
  [12905] = 12146,
  [12906] = 12147,
  [12907] = 12148,
  [12908] = 12149,
  [12909] = 12038,
  [12910] = 12151,
  [12911] = 12152,
  [12912] = 12153,
  [12913] = 12913,
  [12914] = 12155,
  [12915] = 12156,
  [12916] = 12157,
  [12917] = 12100,
  [12918] = 12159,
  [12919] = 12160,
  [12920] = 12161,
  [12921] = 12162,
  [12922] = 12163,
  [12923] = 12164,
  [12924] = 12165,
  [12925] = 12208,
  [12926] = 12025,
  [12927] = 12927,
  [12928] = 12075,
  [12929] = 12027,
  [12930] = 12174,
  [12931] = 12175,
  [12932] = 12176,
  [12933] = 12177,
  [12934] = 12178,
  [12935] = 12179,
  [12936] = 12028,
  [12937] = 12030,
  [12938] = 12115,
  [12939] = 12032,
  [12940] = 12189,
  [12941] = 12190,
  [12942] = 12191,
  [12943] = 12192,
  [12944] = 12033,
  [12945] = 12061,
  [12946] = 12200,
  [12947] = 12201,
  [12948] = 12202,
  [12949] = 12035,
  [12950] = 12208,
  [12951] = 12115,
  [12952] = 12030,
  [12953] = 12038,
  [12954] = 12028,
  [12955] = 12041,
  [12956] = 12206,
  [12957] = 12130,
  [12958] = 12044,
  [12959] = 12027,
  [12960] = 12026,
  [12961] = 12025,
  [12962] = 12024,
  [12963] = 12963,
  [12964] = 12146,
  [12965] = 12147,
  [12966] = 12148,
  [12967] = 12149,
  [12968] = 12018,
  [12969] = 12151,
  [12970] = 12152,
  [12971] = 12153,
  [12972] = 12972,
  [12973] = 12155,
  [12974] = 12156,
  [12975] = 12157,
  [12976] = 12100,
  [12977] = 12159,
  [12978] = 12160,
  [12979] = 12161,
  [12980] = 12162,
  [12981] = 12163,
  [12982] = 12164,
  [12983] = 12165,
  [12984] = 12984,
  [12985] = 12985,
  [12986] = 12023,
  [12987] = 12987,
  [12988] = 12052,
  [12989] = 12174,
  [12990] = 12175,
  [12991] = 12176,
  [12992] = 12177,
  [12993] = 12178,
  [12994] = 12179,
  [12995] = 12995,
  [12996] = 12996,
  [12997] = 12997,
  [12998] = 12054,
  [12999] = 12189,
  [13000] = 12190,
  [13001] = 12191,
  [13002] = 12192,
  [13003] = 12055,
  [13004] = 13004,
  [13005] = 12200,
  [13006] = 12201,
  [13007] = 12202,
  [13008] = 12019,
  [13009] = 12208,
  [13010] = 13010,
  [13011] = 12022,
  [13012] = 12058,
  [13013] = 13013,
  [13014] = 13014,
  [13015] = 12060,
  [13016] = 12130,
  [13017] = 12062,
  [13018] = 12063,
  [13019] = 12065,
  [13020] = 12067,
  [13021] = 12068,
  [13022] = 12021,
  [13023] = 12146,
  [13024] = 12147,
  [13025] = 12148,
  [13026] = 12149,
  [13027] = 12018,
  [13028] = 12151,
  [13029] = 12152,
  [13030] = 12153,
  [13031] = 13031,
  [13032] = 12155,
  [13033] = 12156,
  [13034] = 12157,
  [13035] = 12100,
  [13036] = 12159,
  [13037] = 12160,
  [13038] = 12161,
  [13039] = 12162,
  [13040] = 12163,
  [13041] = 12164,
  [13042] = 12165,
  [13043] = 13043,
  [13044] = 12574,
  [13045] = 13045,
  [13046] = 12070,
  [13047] = 12034,
  [13048] = 12174,
  [13049] = 12175,
  [13050] = 12176,
  [13051] = 12177,
  [13052] = 12178,
  [13053] = 12179,
  [13054] = 13054,
  [13055] = 12084,
  [13056] = 12078,
  [13057] = 13057,
  [13058] = 12189,
  [13059] = 12190,
  [13060] = 12191,
  [13061] = 12192,
  [13062] = 12079,
  [13063] = 12080,
  [13064] = 12200,
  [13065] = 12201,
  [13066] = 12202,
  [13067] = 12081,
  [13068] = 12208,
  [13069] = 12086,
  [13070] = 12020,
  [13071] = 12082,
  [13072] = 12083,
  [13073] = 12097,
  [13074] = 13074,
  [13075] = 12130,
  [13076] = 13076,
  [13077] = 13077,
  [13078] = 13078,
  [13079] = 13079,
  [13080] = 12086,
  [13081] = 13081,
  [13082] = 12146,
  [13083] = 12147,
  [13084] = 12148,
  [13085] = 12149,
  [13086] = 12018,
  [13087] = 12151,
  [13088] = 12152,
  [13089] = 12153,
  [13090] = 12087,
  [13091] = 12155,
  [13092] = 12156,
  [13093] = 12157,
  [13094] = 12100,
  [13095] = 12159,
  [13096] = 12160,
  [13097] = 12161,
  [13098] = 12162,
  [13099] = 12163,
  [13100] = 12164,
  [13101] = 12165,
  [13102] = 12069,
  [13103] = 12046,
  [13104] = 12036,
  [13105] = 13105,
  [13106] = 12045,
  [13107] = 12174,
  [13108] = 12175,
  [13109] = 12176,
  [13110] = 12177,
  [13111] = 12178,
  [13112] = 12179,
  [13113] = 13113,
  [13114] = 12039,
  [13115] = 12036,
  [13116] = 12097,
  [13117] = 12189,
  [13118] = 12190,
  [13119] = 12191,
  [13120] = 12192,
  [13121] = 13121,
  [13122] = 12138,
  [13123] = 12200,
  [13124] = 12201,
  [13125] = 12202,
  [13126] = 12137,
  [13127] = 12208,
  [13128] = 12039,
  [13129] = 12045,
  [13130] = 12020,
  [13131] = 12021,
  [13132] = 12136,
  [13133] = 12022,
  [13134] = 12130,
  [13135] = 12023,
  [13136] = 12046,
  [13137] = 12024,
  [13138] = 12069,
  [13139] = 12087,
  [13140] = 13140,
  [13141] = 12146,
  [13142] = 12147,
  [13143] = 12148,
  [13144] = 12149,
  [13145] = 12018,
  [13146] = 12151,
  [13147] = 12152,
  [13148] = 12153,
  [13149] = 12025,
  [13150] = 12155,
  [13151] = 12156,
  [13152] = 12157,
  [13153] = 12100,
  [13154] = 12159,
  [13155] = 12160,
  [13156] = 12161,
  [13157] = 12162,
  [13158] = 12163,
  [13159] = 12164,
  [13160] = 12165,
  [13161] = 13161,
  [13162] = 12026,
  [13163] = 13163,
  [13164] = 12027,
  [13165] = 12028,
  [13166] = 12174,
  [13167] = 12175,
  [13168] = 12176,
  [13169] = 12177,
  [13170] = 12178,
  [13171] = 12179,
  [13172] = 12030,
  [13173] = 12115,
  [13174] = 12032,
  [13175] = 13175,
  [13176] = 12189,
  [13177] = 12190,
  [13178] = 12191,
  [13179] = 12192,
  [13180] = 13180,
  [13181] = 12033,
  [13182] = 12200,
  [13183] = 12201,
  [13184] = 12202,
  [13185] = 12060,
  [13186] = 12208,
  [13187] = 12080,
  [13188] = 13188,
  [13189] = 12130,
  [13190] = 12061,
  [13191] = 12146,
  [13192] = 12147,
  [13193] = 12148,
  [13194] = 12149,
  [13195] = 12018,
  [13196] = 12151,
  [13197] = 12152,
  [13198] = 12153,
  [13199] = 12035,
  [13200] = 12155,
  [13201] = 12156,
  [13202] = 12157,
  [13203] = 12100,
  [13204] = 12159,
  [13205] = 12160,
  [13206] = 12161,
  [13207] = 12162,
  [13208] = 12163,
  [13209] = 12164,
  [13210] = 12165,
  [13211] = 12174,
  [13212] = 12175,
  [13213] = 12176,
  [13214] = 12177,
  [13215] = 12178,
  [13216] = 12179,
  [13217] = 12189,
  [13218] = 12190,
  [13219] = 12191,
  [13220] = 12192,
  [13221] = 12200,
  [13222] = 12201,
  [13223] = 12202,
  [13224] = 12208,
  [13225] = 13225,
  [13226] = 12084,
  [13227] = 12130,
  [13228] = 12038,
  [13229] = 12146,
  [13230] = 12147,
  [13231] = 12148,
  [13232] = 12149,
  [13233] = 12018,
  [13234] = 12151,
  [13235] = 12152,
  [13236] = 12153,
  [13237] = 13237,
  [13238] = 12155,
  [13239] = 12156,
  [13240] = 12157,
  [13241] = 12100,
  [13242] = 12159,
  [13243] = 12160,
  [13244] = 12161,
  [13245] = 12162,
  [13246] = 12163,
  [13247] = 12164,
  [13248] = 12165,
  [13249] = 12174,
  [13250] = 12175,
  [13251] = 12176,
  [13252] = 12177,
  [13253] = 12178,
  [13254] = 12179,
  [13255] = 12189,
  [13256] = 12190,
  [13257] = 12191,
  [13258] = 12192,
  [13259] = 12200,
  [13260] = 12201,
  [13261] = 12202,
  [13262] = 12208,
  [13263] = 13263,
  [13264] = 13264,
  [13265] = 12130,
  [13266] = 13266,
  [13267] = 12157,
  [13268] = 12100,
  [13269] = 12202,
  [13270] = 12041,
  [13271] = 13271,
  [13272] = 12157,
  [13273] = 12100,
  [13274] = 12201,
  [13275] = 12200,
  [13276] = 12044,
  [13277] = 12157,
  [13278] = 12100,
  [13279] = 12157,
  [13280] = 12100,
  [13281] = 12157,
  [13282] = 12100,
  [13283] = 12157,
  [13284] = 12100,
  [13285] = 12157,
  [13286] = 12100,
  [13287] = 12157,
  [13288] = 12100,
  [13289] = 13289,
  [13290] = 13290,
  [13291] = 12083,
  [13292] = 13292,
  [13293] = 12082,
  [13294] = 13294,
  [13295] = 12197,
  [13296] = 13296,
  [13297] = 12081,
  [13298] = 13298,
  [13299] = 12052,
  [13300] = 13300,
  [13301] = 13301,
  [13302] = 13302,
  [13303] = 12054,
  [13304] = 12055,
  [13305] = 12097,
  [13306] = 12058,
  [13307] = 13307,
  [13308] = 13308,
  [13309] = 13309,
  [13310] = 13310,
  [13311] = 12055,
  [13312] = 13312,
  [13313] = 12079,
  [13314] = 12062,
  [13315] = 13315,
  [13316] = 12063,
  [13317] = 12065,
  [13318] = 12067,
  [13319] = 12068,
  [13320] = 13320,
  [13321] = 12078,
  [13322] = 12574,
  [13323] = 13323,
  [13324] = 12075,
  [13325] = 12070,
  [13326] = 12034,
  [13327] = 12075,
  [13328] = 13328,
  [13329] = 12078,
  [13330] = 12034,
  [13331] = 13331,
  [13332] = 12079,
  [13333] = 12080,
  [13334] = 12081,
  [13335] = 12082,
  [13336] = 13328,
  [13337] = 12083,
  [13338] = 13105,
  [13339] = 13078,
  [13340] = 12084,
  [13341] = 13077,
  [13342] = 12086,
  [13343] = 12087,
  [13344] = 12069,
  [13345] = 13004,
  [13346] = 12046,
  [13347] = 12045,
  [13348] = 12039,
  [13349] = 12902,
  [13350] = 12036,
  [13351] = 12097,
  [13352] = 12070,
  [13353] = 12880,
  [13354] = 12748,
  [13355] = 12708,
  [13356] = 12464,
  [13357] = 12020,
  [13358] = 12021,
  [13359] = 12022,
  [13360] = 12023,
  [13361] = 12024,
  [13362] = 12133,
  [13363] = 12068,
  [13364] = 13364,
  [13365] = 12313,
  [13366] = 12067,
  [13367] = 12145,
  [13368] = 13312,
  [13369] = 12132,
  [13370] = 12025,
  [13371] = 12026,
  [13372] = 12027,
  [13373] = 12028,
  [13374] = 12093,
  [13375] = 12030,
  [13376] = 12071,
  [13377] = 12115,
  [13378] = 12032,
  [13379] = 12033,
  [13380] = 13380,
  [13381] = 13381,
  [13382] = 12043,
  [13383] = 12061,
  [13384] = 12065,
  [13385] = 12035,
  [13386] = 12038,
  [13387] = 13387,
  [13388] = 13121,
  [13389] = 13389,
  [13390] = 12453,
  [13391] = 13309,
  [13392] = 13301,
  [13393] = 12063,
  [13394] = 13394,
  [13395] = 13331,
  [13396] = 13396,
  [13397] = 13397,
  [13398] = 13398,
  [13399] = 13399,
  [13400] = 13400,
  [13401] = 13401,
  [13402] = 12041,
  [13403] = 13403,
  [13404] = 13404,
  [13405] = 12044,
  [13406] = 13406,
  [13407] = 12062,
  [13408] = 13408,
  [13409] = 12060,
  [13410] = 12058,
  [13411] = 13411,
  [13412] = 12062,
  [13413] = 13031,
  [13414] = 13414,
  [13415] = 13415,
  [13416] = 12197,
  [13417] = 12068,
  [13418] = 12067,
  [13419] = 13419,
  [13420] = 13420,
  [13421] = 13421,
  [13422] = 13422,
  [13423] = 13423,
  [13424] = 13424,
  [13425] = 12200,
  [13426] = 13426,
  [13427] = 12201,
  [13428] = 12296,
  [13429] = 12256,
  [13430] = 12216,
  [13431] = 12085,
  [13432] = 12135,
  [13433] = 12065,
  [13434] = 12019,
  [13435] = 12048,
  [13436] = 12063,
  [13437] = 12130,
  [13438] = 12041,
  [13439] = 12023,
  [13440] = 12054,
  [13441] = 12202,
  [13442] = 12060,
  [13443] = 12364,
  [13444] = 12367,
  [13445] = 12456,
  [13446] = 12534,
  [13447] = 12052,
  [13448] = 12038,
  [13449] = 12433,
  [13450] = 13263,
  [13451] = 12601,
  [13452] = 12602,
  [13453] = 12749,
  [13454] = 12751,
  [13455] = 12044,
  [13456] = 12041,
  [13457] = 12767,
  [13458] = 13237,
  [13459] = 13459,
  [13460] = 13424,
  [13461] = 12038,
  [13462] = 12035,
  [13463] = 12995,
  [13464] = 13013,
  [13465] = 12033,
  [13466] = 13302,
  [13467] = 13307,
  [13468] = 13308,
  [13469] = 12032,
  [13470] = 13415,
  [13471] = 13471,
  [13472] = 12579,
  [13473] = 13473,
  [13474] = 12115,
  [13475] = 12537,
  [13476] = 12192,
  [13477] = 12191,
  [13478] = 12190,
  [13479] = 13426,
  [13480] = 13480,
  [13481] = 12189,
  [13482] = 13482,
  [13483] = 13459,
  [13484] = 12030,
  [13485] = 12028,
  [13486] = 12027,
  [13487] = 13487,
  [13488] = 12026,
  [13489] = 13489,
  [13490] = 13490,
  [13491] = 13491,
  [13492] = 12025,
  [13493] = 12024,
  [13494] = 12063,
  [13495] = 12021,
  [13496] = 12020,
  [13497] = 12029,
  [13498] = 13498,
  [13499] = 13499,
  [13500] = 13500,
  [13501] = 13501,
  [13502] = 12299,
  [13503] = 12097,
  [13504] = 12036,
  [13505] = 12039,
  [13506] = 12786,
  [13507] = 13507,
  [13508] = 12045,
  [13509] = 12896,
  [13510] = 13510,
  [13511] = 12046,
  [13512] = 13480,
  [13513] = 13513,
  [13514] = 13514,
  [13515] = 13515,
  [13516] = 13516,
  [13517] = 12069,
  [13518] = 13518,
  [13519] = 13519,
  [13520] = 12087,
  [13521] = 12086,
  [13522] = 13522,
  [13523] = 12084,
  [13524] = 12083,
  [13525] = 13525,
  [13526] = 12183,
  [13527] = 13180,
  [13528] = 12082,
  [13529] = 13529,
  [13530] = 13530,
  [13531] = 12081,
  [13532] = 13532,
  [13533] = 12080,
  [13534] = 13534,
  [13535] = 12052,
  [13536] = 13163,
  [13537] = 12079,
  [13538] = 12078,
  [13539] = 13539,
  [13540] = 13540,
  [13541] = 13541,
  [13542] = 12075,
  [13543] = 12034,
  [13544] = 13544,
  [13545] = 13545,
  [13546] = 12070,
  [13547] = 13547,
  [13548] = 13548,
  [13549] = 13549,
  [13550] = 12068,
  [13551] = 13551,
  [13552] = 13552,
  [13553] = 13323,
  [13554] = 12179,
  [13555] = 12178,
  [13556] = 12177,
  [13557] = 12176,
  [13558] = 12175,
  [13559] = 13559,
  [13560] = 13560,
  [13561] = 12174,
  [13562] = 12067,
  [13563] = 13563,
  [13564] = 12065,
  [13565] = 13565,
  [13566] = 13566,
  [13567] = 12153,
  [13568] = 12062,
  [13569] = 13569,
  [13570] = 13570,
  [13571] = 13400,
  [13572] = 12060,
  [13573] = 13140,
  [13574] = 12058,
  [13575] = 12019,
  [13576] = 12055,
  [13577] = 12054,
  [13578] = 12054,
  [13579] = 12055,
  [13580] = 12019,
  [13581] = 12058,
  [13582] = 12052,
  [13583] = 13489,
  [13584] = 13584,
  [13585] = 13585,
  [13586] = 13586,
  [13587] = 13587,
  [13588] = 13588,
  [13589] = 13225,
  [13590] = 12044,
  [13591] = 13591,
  [13592] = 13592,
  [13593] = 13593,
  [13594] = 13594,
  [13595] = 13595,
  [13596] = 13596,
  [13597] = 12420,
  [13598] = 12041,
  [13599] = 12038,
  [13600] = 12035,
  [13601] = 13601,
  [13602] = 13584,
  [13603] = 12033,
  [13604] = 12183,
  [13605] = 12032,
  [13606] = 13500,
  [13607] = 12107,
  [13608] = 12115,
  [13609] = 12030,
  [13610] = 12037,
  [13611] = 12060,
  [13612] = 12062,
  [13613] = 12063,
  [13614] = 12065,
  [13615] = 12067,
  [13616] = 12068,
  [13617] = 12028,
  [13618] = 12027,
  [13619] = 12026,
  [13620] = 13403,
  [13621] = 13381,
  [13622] = 13380,
  [13623] = 13310,
  [13624] = 12025,
  [13625] = 13271,
  [13626] = 13266,
  [13627] = 13264,
  [13628] = 12064,
  [13629] = 12066,
  [13630] = 13043,
  [13631] = 12024,
  [13632] = 13014,
  [13633] = 12023,
  [13634] = 12996,
  [13635] = 12987,
  [13636] = 12076,
  [13637] = 12046,
  [13638] = 13400,
  [13639] = 13516,
  [13640] = 12022,
  [13641] = 12776,
  [13642] = 12021,
  [13643] = 12020,
  [13644] = 13331,
  [13645] = 12108,
  [13646] = 12097,
  [13647] = 12022,
  [13648] = 12313,
  [13649] = 12574,
  [13650] = 12039,
  [13651] = 12165,
  [13652] = 12722,
  [13653] = 12070,
  [13654] = 12034,
  [13655] = 12075,
  [13656] = 13404,
  [13657] = 12078,
  [13658] = 12079,
  [13659] = 12080,
  [13660] = 13660,
  [13661] = 12364,
  [13662] = 12367,
  [13663] = 12456,
  [13664] = 12081,
  [13665] = 12082,
  [13666] = 13426,
  [13667] = 12083,
  [13668] = 12084,
  [13669] = 12164,
  [13670] = 12163,
  [13671] = 12120,
  [13672] = 12031,
  [13673] = 12047,
  [13674] = 12042,
  [13675] = 12040,
  [13676] = 12162,
  [13677] = 12259,
  [13678] = 12281,
  [13679] = 12161,
  [13680] = 12352,
  [13681] = 12160,
  [13682] = 12159,
  [13683] = 12783,
  [13684] = 12100,
  [13685] = 12183,
  [13686] = 12157,
  [13687] = 12156,
  [13688] = 12155,
  [13689] = 13077,
  [13690] = 12045,
  [13691] = 13331,
  [13692] = 12086,
  [13693] = 12087,
  [13694] = 12069,
  [13695] = 12313,
  [13696] = 12392,
  [13697] = 12045,
  [13698] = 12039,
  [13699] = 12036,
  [13700] = 12097,
  [13701] = 12020,
  [13702] = 13404,
  [13703] = 12021,
  [13704] = 12022,
  [13705] = 12023,
  [13706] = 12024,
  [13707] = 12364,
  [13708] = 12367,
  [13709] = 12456,
  [13710] = 12778,
  [13711] = 12152,
  [13712] = 13426,
  [13713] = 12151,
  [13714] = 12025,
  [13715] = 12026,
  [13716] = 12027,
  [13717] = 12028,
  [13718] = 12030,
  [13719] = 13331,
  [13720] = 12115,
  [13721] = 12032,
  [13722] = 12033,
  [13723] = 12313,
  [13724] = 13534,
  [13725] = 13489,
  [13726] = 13294,
  [13727] = 13289,
  [13728] = 13728,
  [13729] = 12775,
  [13730] = 13404,
  [13731] = 12760,
  [13732] = 12018,
  [13733] = 12378,
  [13734] = 13734,
  [13735] = 12364,
  [13736] = 12367,
  [13737] = 12456,
  [13738] = 12372,
  [13739] = 12300,
  [13740] = 13426,
  [13741] = 12149,
  [13742] = 12057,
  [13743] = 12059,
  [13744] = 12061,
  [13745] = 12074,
  [13746] = 12076,
  [13747] = 13331,
  [13748] = 12148,
  [13749] = 12147,
  [13750] = 13750,
  [13751] = 12313,
  [13752] = 13752,
  [13753] = 12146,
  [13754] = 12143,
  [13755] = 12035,
  [13756] = 12046,
  [13757] = 13404,
  [13758] = 12038,
  [13759] = 12533,
  [13760] = 12666,
  [13761] = 12364,
  [13762] = 12367,
  [13763] = 12456,
  [13764] = 13426,
  [13765] = 12703,
  [13766] = 12709,
  [13767] = 12069,
  [13768] = 12727,
  [13769] = 13331,
  [13770] = 12087,
  [13771] = 13522,
  [13772] = 12313,
  [13773] = 13773,
  [13774] = 13774,
  [13775] = 12033,
  [13776] = 12086,
  [13777] = 13404,
  [13778] = 12819,
  [13779] = 12084,
  [13780] = 12364,
  [13781] = 12367,
  [13782] = 12456,
  [13783] = 13426,
  [13784] = 12713,
  [13785] = 12877,
  [13786] = 12032,
  [13787] = 12083,
  [13788] = 13331,
  [13789] = 12082,
  [13790] = 12984,
  [13791] = 12313,
  [13792] = 13113,
  [13793] = 12081,
  [13794] = 13121,
  [13795] = 12138,
  [13796] = 13404,
  [13797] = 12137,
  [13798] = 13320,
  [13799] = 12364,
  [13800] = 12367,
  [13801] = 12456,
  [13802] = 13426,
  [13803] = 12136,
  [13804] = 13498,
  [13805] = 12080,
  [13806] = 13045,
  [13807] = 13331,
  [13808] = 12141,
  [13809] = 12313,
  [13810] = 13810,
  [13811] = 13811,
  [13812] = 12130,
  [13813] = 13404,
  [13814] = 12041,
  [13815] = 12364,
  [13816] = 12367,
  [13817] = 12456,
  [13818] = 13426,
  [13819] = 13490,
  [13820] = 13514,
  [13821] = 12140,
  [13822] = 12464,
  [13823] = 13331,
  [13824] = 13824,
  [13825] = 12313,
  [13826] = 13660,
  [13827] = 12129,
  [13828] = 13728,
  [13829] = 13404,
  [13830] = 12060,
  [13831] = 12364,
  [13832] = 12367,
  [13833] = 12456,
  [13834] = 13426,
  [13835] = 12535,
  [13836] = 12701,
  [13837] = 13315,
  [13838] = 13838,
  [13839] = 13331,
  [13840] = 12759,
  [13841] = 12313,
  [13842] = 13838,
  [13843] = 13843,
  [13844] = 13843,
  [13845] = 13404,
  [13846] = 12782,
  [13847] = 12364,
  [13848] = 12367,
  [13849] = 12456,
  [13850] = 13426,
  [13851] = 12079,
  [13852] = 13852,
  [13853] = 13853,
  [13854] = 12078,
  [13855] = 13331,
  [13856] = 13594,
  [13857] = 12313,
  [13858] = 13593,
  [13859] = 12075,
  [13860] = 13592,
  [13861] = 13404,
  [13862] = 12044,
  [13863] = 12364,
  [13864] = 12367,
  [13865] = 12456,
  [13866] = 13426,
  [13867] = 13867,
  [13868] = 13868,
  [13869] = 12034,
  [13870] = 13870,
  [13871] = 13331,
  [13872] = 13872,
  [13873] = 12313,
  [13874] = 12070,
  [13875] = 13875,
  [13876] = 12036,
  [13877] = 13404,
  [13878] = 13054,
  [13879] = 12364,
  [13880] = 12367,
  [13881] = 12456,
  [13882] = 13426,
  [13883] = 13057,
  [13884] = 12067,
  [13885] = 12065,
  [13886] = 13886,
  [13887] = 13331,
  [13888] = 13079,
  [13889] = 12313,
  [13890] = 13852,
  [13891] = 13081,
  [13892] = 13501,
  [13893] = 13404,
  [13894] = 13113,
  [13895] = 12364,
  [13896] = 12367,
  [13897] = 12456,
  [13898] = 13426,
  [13899] = 13010,
  [13900] = 13588,
  [13901] = 12972,
  [13902] = 12128,
  [13903] = 13331,
  [13904] = 13587,
  [13905] = 12313,
  [13906] = 13586,
  [13907] = 12138,
  [13908] = 12137,
  [13909] = 13404,
  [13910] = 13585,
  [13911] = 12364,
  [13912] = 12367,
  [13913] = 12456,
  [13914] = 13426,
  [13915] = 13915,
  [13916] = 13916,
  [13917] = 13917,
  [13918] = 12136,
  [13919] = 13331,
  [13920] = 13920,
  [13921] = 12313,
  [13922] = 13922,
  [13923] = 13923,
  [13924] = 12206,
  [13925] = 13404,
  [13926] = 13161,
  [13927] = 12364,
  [13928] = 12367,
  [13929] = 12456,
  [13930] = 13426,
  [13931] = 12058,
  [13932] = 13932,
  [13933] = 13933,
  [13934] = 12019,
  [13935] = 13331,
  [13936] = 12208,
  [13937] = 12313,
  [13938] = 12055,
  [13939] = 12044,
  [13940] = 12054,
  [13941] = 13404,
  [13942] = 12063,
  [13943] = 12364,
  [13944] = 12367,
  [13945] = 12456,
  [13946] = 13426,
  [13947] = 12913,
  [13948] = 12062,
  [13949] = 13507,
  [13950] = 12133,
  [13951] = 13331,
  [13952] = 13570,
  [13953] = 12313,
  [13954] = 12070,
  [13955] = 12903,
  [13956] = 12058,
  [13957] = 13404,
  [13958] = 12019,
  [13959] = 12364,
  [13960] = 12367,
  [13961] = 12456,
  [13962] = 13426,
  [13963] = 12055,
  [13964] = 12054,
  [13965] = 13331,
  [13966] = 13404,
  [13967] = 12364,
  [13968] = 12367,
  [13969] = 12456,
  [13970] = 13426,
  [13971] = 12052,
  [13972] = 12896,
  [13973] = 13331,
  [13974] = 13404,
  [13975] = 12364,
  [13976] = 12367,
  [13977] = 12456,
  [13978] = 13426,
  [13979] = 13979,
  [13980] = 13518,
  [13981] = 12130,
  [13982] = 13566,
  [13983] = 12115,
  [13984] = 13984,
  [13985] = 13516,
  [13986] = 13986,
  [13987] = 13987,
  [13988] = 12044,
  [13989] = 12041,
  [13990] = 13990,
  [13991] = 12038,
  [13992] = 13992,
  [13993] = 13993,
  [13994] = 12035,
  [13995] = 13995,
  [13996] = 12033,
  [13997] = 13529,
  [13998] = 12032,
  [13999] = 12115,
  [14000] = 12030,
  [14001] = 12129,
  [14002] = 12028,
  [14003] = 12027,
  [14004] = 12026,
  [14005] = 13886,
  [14006] = 12128,
  [14007] = 12025,
  [14008] = 12833,
  [14009] = 12024,
  [14010] = 13320,
  [14011] = 14011,
  [14012] = 14012,
  [14013] = 13752,
  [14014] = 13750,
  [14015] = 12023,
  [14016] = 12022,
  [14017] = 13323,
  [14018] = 13516,
  [14019] = 12021,
  [14020] = 14020,
  [14021] = 13394,
  [14022] = 12818,
  [14023] = 13549,
  [14024] = 13290,
  [14025] = 12020,
  [14026] = 14026,
  [14027] = 12097,
  [14028] = 12036,
  [14029] = 13076,
  [14030] = 13525,
  [14031] = 13004,
  [14032] = 12039,
  [14033] = 12886,
  [14034] = 13545,
  [14035] = 12045,
  [14036] = 13544,
  [14037] = 12046,
  [14038] = 12394,
  [14039] = 12140,
  [14040] = 12141,
  [14041] = 14041,
  [14042] = 14042,
  [14043] = 14043,
  [14044] = 14044,
  [14045] = 12225,
  [14046] = 12030,
  [14047] = 12108,
  [14048] = 12072,
  [14049] = 12210,
  [14050] = 12092,
  [14051] = 12069,
  [14052] = 12043,
  [14053] = 12087,
  [14054] = 14054,
  [14055] = 12052,
  [14056] = 12086,
  [14057] = 12084,
  [14058] = 12779,
  [14059] = 12083,
  [14060] = 13188,
  [14061] = 12082,
  [14062] = 12081,
  [14063] = 12080,
  [14064] = 13530,
  [14065] = 13867,
  [14066] = 13868,
  [14067] = 13569,
  [14068] = 14068,
  [14069] = 14069,
  [14070] = 14070,
  [14071] = 13547,
  [14072] = 12079,
  [14073] = 13424,
  [14074] = 12078,
  [14075] = 12075,
  [14076] = 12034,
  [14077] = 12774,
  [14078] = 12218,
  [14079] = 12135,
  [14080] = 12179,
  [14081] = 12048,
  [14082] = 14082,
  [14083] = 12068,
  [14084] = 12068,
  [14085] = 12067,
  [14086] = 12365,
  [14087] = 12537,
  [14088] = 12065,
  [14089] = 12579,
  [14090] = 13995,
  [14091] = 13824,
  [14092] = 12063,
  [14093] = 13870,
  [14094] = 12997,
  [14095] = 12062,
  [14096] = 13296,
  [14097] = 13415,
  [14098] = 14068,
  [14099] = 14069,
  [14100] = 12060,
  [14101] = 12097,
  [14102] = 12197,
  [14103] = 13263,
  [14104] = 13237,
  [14105] = 12020,
  [14106] = 12174,
  [14107] = 12058,
  [14108] = 12097,
  [14109] = 12020,
  [14110] = 12175,
  [14111] = 14111,
  [14112] = 12019,
  [14113] = 12206,
  [14114] = 12913,
  [14115] = 12903,
  [14116] = 14116,
  [14117] = 12097,
  [14118] = 12762,
  [14119] = 13519,
  [14120] = 13515,
  [14121] = 14121,
  [14122] = 12210,
  [14123] = 12779,
  [14124] = 12020,
  [14125] = 14125,
  [14126] = 13872,
  [14127] = 12176,
  [14128] = 12750,
  [14129] = 13513,
  [14130] = 12055,
  [14131] = 13539,
  [14132] = 12211,
  [14133] = 12693,
  [14134] = 13540,
  [14135] = 12097,
  [14136] = 12020,
  [14137] = 14137,
  [14138] = 14138,
  [14139] = 12177,
  [14140] = 14140,
  [14141] = 12054,
  [14142] = 12097,
  [14143] = 12020,
  [14144] = 12178,
  [14145] = 12052,
  [14146] = 12097,
  [14147] = 12020,
  [14148] = 12211,
  [14149] = 12028,
  [14150] = 12097,
  [14151] = 12693,
  [14152] = 12020,
  [14153] = 12069,
  [14154] = 12097,
  [14155] = 12656,
  [14156] = 13548,
  [14157] = 13499,
  [14158] = 12020,
  [14159] = 12044,
  [14160] = 12632,
  [14161] = 13414,
  [14162] = 12027,
  [14163] = 13532,
  [14164] = 13290,
  [14165] = 12052,
  [14166] = 12054,
  [14167] = 12394,
  [14168] = 12225,
  [14169] = 12072,
  [14170] = 13569,
  [14171] = 14068,
  [14172] = 14069,
  [14173] = 14070,
  [14174] = 12365,
  [14175] = 12055,
  [14176] = 12019,
  [14177] = 12060,
  [14178] = 12062,
  [14179] = 12063,
  [14180] = 12065,
  [14181] = 13290,
  [14182] = 13411,
  [14183] = 12070,
  [14184] = 12394,
  [14185] = 12225,
  [14186] = 12072,
  [14187] = 13569,
  [14188] = 14068,
  [14189] = 14069,
  [14190] = 14070,
  [14191] = 12365,
  [14192] = 12034,
  [14193] = 12075,
  [14194] = 12078,
  [14195] = 12079,
  [14196] = 12080,
  [14197] = 13290,
  [14198] = 12086,
  [14199] = 12087,
  [14200] = 12394,
  [14201] = 12225,
  [14202] = 12072,
  [14203] = 13569,
  [14204] = 14068,
  [14205] = 14069,
  [14206] = 14070,
  [14207] = 12365,
  [14208] = 12028,
  [14209] = 12046,
  [14210] = 12045,
  [14211] = 12039,
  [14212] = 12036,
  [14213] = 13290,
  [14214] = 12097,
  [14215] = 12020,
  [14216] = 12394,
  [14217] = 12225,
  [14218] = 12072,
  [14219] = 13569,
  [14220] = 14068,
  [14221] = 14069,
  [14222] = 14070,
  [14223] = 12365,
  [14224] = 12021,
  [14225] = 14225,
  [14226] = 12022,
  [14227] = 12630,
  [14228] = 13551,
  [14229] = 13290,
  [14230] = 12038,
  [14231] = 12225,
  [14232] = 12072,
  [14233] = 14068,
  [14234] = 14069,
  [14235] = 14070,
  [14236] = 12365,
  [14237] = 13552,
  [14238] = 12023,
  [14239] = 12024,
  [14240] = 14240,
  [14241] = 14241,
  [14242] = 13290,
  [14243] = 12025,
  [14244] = 12225,
  [14245] = 12072,
  [14246] = 14068,
  [14247] = 14069,
  [14248] = 14070,
  [14249] = 12365,
  [14250] = 12026,
  [14251] = 12027,
  [14252] = 12028,
  [14253] = 12225,
  [14254] = 14068,
  [14255] = 14069,
  [14256] = 14070,
  [14257] = 12365,
  [14258] = 12592,
  [14259] = 13300,
  [14260] = 14260,
  [14261] = 12225,
  [14262] = 14068,
  [14263] = 14069,
  [14264] = 14070,
  [14265] = 12365,
  [14266] = 12035,
  [14267] = 12588,
  [14268] = 12033,
  [14269] = 12225,
  [14270] = 14068,
  [14271] = 14069,
  [14272] = 14070,
  [14273] = 12365,
  [14274] = 13993,
  [14275] = 13992,
  [14276] = 12026,
  [14277] = 12225,
  [14278] = 14068,
  [14279] = 14069,
  [14280] = 14070,
  [14281] = 12365,
  [14282] = 12025,
  [14283] = 12032,
  [14284] = 12115,
  [14285] = 12225,
  [14286] = 14068,
  [14287] = 14069,
  [14288] = 14070,
  [14289] = 12365,
  [14290] = 12030,
  [14291] = 12052,
  [14292] = 14292,
  [14293] = 12225,
  [14294] = 14068,
  [14295] = 14069,
  [14296] = 14070,
  [14297] = 12365,
  [14298] = 12054,
  [14299] = 12055,
  [14300] = 13990,
  [14301] = 12225,
  [14302] = 14068,
  [14303] = 14069,
  [14304] = 14070,
  [14305] = 12365,
  [14306] = 12019,
  [14307] = 12060,
  [14308] = 13482,
  [14309] = 12225,
  [14310] = 14068,
  [14311] = 14069,
  [14312] = 14070,
  [14313] = 12365,
  [14314] = 12062,
  [14315] = 13875,
  [14316] = 12063,
  [14317] = 12225,
  [14318] = 14068,
  [14319] = 14069,
  [14320] = 14070,
  [14321] = 12365,
  [14322] = 13559,
  [14323] = 13560,
  [14324] = 12065,
  [14325] = 12225,
  [14326] = 14068,
  [14327] = 14069,
  [14328] = 14070,
  [14329] = 12365,
  [14330] = 12225,
  [14331] = 14068,
  [14332] = 14069,
  [14333] = 14070,
  [14334] = 12365,
  [14335] = 12225,
  [14336] = 14068,
  [14337] = 14069,
  [14338] = 14070,
  [14339] = 12365,
  [14340] = 12083,
  [14341] = 12070,
  [14342] = 12575,
  [14343] = 12034,
  [14344] = 14344,
  [14345] = 12075,
  [14346] = 12078,
  [14347] = 12079,
  [14348] = 12080,
  [14349] = 12086,
  [14350] = 13992,
  [14351] = 14351,
  [14352] = 13995,
  [14353] = 12087,
  [14354] = 13563,
  [14355] = 12069,
  [14356] = 13473,
  [14357] = 13853,
  [14358] = 12046,
  [14359] = 13565,
  [14360] = 12563,
  [14361] = 12045,
  [14362] = 13487,
  [14363] = 12039,
  [14364] = 13328,
  [14365] = 13175,
  [14366] = 12036,
  [14367] = 12097,
  [14368] = 14368,
  [14369] = 13471,
  [14370] = 12020,
  [14371] = 12021,
  [14372] = 12132,
  [14373] = 12561,
  [14374] = 12417,
  [14375] = 14375,
  [14376] = 12022,
  [14377] = 13406,
  [14378] = 13408,
  [14379] = 12027,
  [14380] = 13411,
  [14381] = 12023,
  [14382] = 12526,
  [14383] = 12024,
  [14384] = 12525,
  [14385] = 12534,
  [14386] = 12433,
  [14387] = 12601,
  [14388] = 12602,
  [14389] = 12025,
  [14390] = 12524,
  [14391] = 12026,
  [14392] = 13480,
  [14393] = 13459,
  [14394] = 12520,
  [14395] = 12513,
  [14396] = 12027,
  [14397] = 12028,
  [14398] = 13507,
  [14399] = 12026,
  [14400] = 12041,
  [14401] = 14401,
  [14402] = 14070,
  [14403] = 13404,
  [14404] = 12024,
  [14405] = 12023,
  [14406] = 13530,
  [14407] = 13987,
  [14408] = 12052,
  [14409] = 12024,
  [14410] = 12054,
  [14411] = 12055,
  [14412] = 12019,
  [14413] = 12058,
  [14414] = 12022,
  [14415] = 12060,
  [14416] = 12062,
  [14417] = 12063,
  [14418] = 12065,
  [14419] = 12067,
  [14420] = 12023,
  [14421] = 12068,
  [14422] = 12022,
  [14423] = 12021,
  [14424] = 12021,
  [14425] = 14344,
  [14426] = 12070,
  [14427] = 12034,
  [14428] = 14344,
  [14429] = 12075,
  [14430] = 12078,
  [14431] = 14344,
  [14432] = 12079,
  [14433] = 14344,
  [14434] = 14344,
  [14435] = 12080,
  [14436] = 12081,
  [14437] = 14344,
  [14438] = 12020,
  [14439] = 12082,
  [14440] = 14344,
  [14441] = 12036,
  [14442] = 12097,
  [14443] = 14344,
  [14444] = 12084,
  [14445] = 12036,
  [14446] = 14344,
  [14447] = 12020,
  [14448] = 12039,
  [14449] = 14344,
  [14450] = 12086,
  [14451] = 12087,
  [14452] = 14344,
  [14453] = 12069,
  [14454] = 14454,
  [14455] = 14344,
  [14456] = 14456,
  [14457] = 12046,
  [14458] = 14344,
  [14459] = 13292,
  [14460] = 12045,
  [14461] = 14344,
  [14462] = 12039,
  [14463] = 12035,
  [14464] = 14344,
  [14465] = 12097,
  [14466] = 12020,
  [14467] = 14344,
  [14468] = 12021,
  [14469] = 12022,
  [14470] = 14344,
  [14471] = 12045,
  [14472] = 13984,
  [14473] = 12023,
  [14474] = 12024,
  [14475] = 12025,
  [14476] = 13300,
  [14477] = 12026,
  [14478] = 12027,
  [14479] = 12028,
  [14480] = 12097,
  [14481] = 12046,
  [14482] = 12030,
  [14483] = 13487,
  [14484] = 12061,
  [14485] = 12069,
  [14486] = 12115,
  [14487] = 12087,
  [14488] = 12086,
  [14489] = 12032,
  [14490] = 12036,
  [14491] = 12033,
  [14492] = 12084,
  [14493] = 12039,
  [14494] = 12045,
  [14495] = 12083,
  [14496] = 12035,
  [14497] = 12082,
  [14498] = 14498,
  [14499] = 12081,
  [14500] = 12038,
  [14501] = 12080,
  [14502] = 12079,
  [14503] = 12078,
  [14504] = 12075,
  [14505] = 12046,
  [14506] = 13510,
  [14507] = 12069,
  [14508] = 12086,
  [14509] = 12034,
  [14510] = 12070,
  [14511] = 14498,
  [14512] = 12068,
  [14513] = 12041,
  [14514] = 12067,
  [14515] = 12065,
  [14516] = 13175,
  [14517] = 12063,
  [14518] = 12062,
  [14519] = 12060,
  [14520] = 13547,
  [14521] = 12087,
  [14522] = 12044,
  [14523] = 13406,
  [14524] = 12058,
  [14525] = 12019,
  [14526] = 12052,
  [14527] = 12055,
  [14528] = 12054,
  [14529] = 12055,
  [14530] = 12019,
  [14531] = 12058,
  [14532] = 12054,
  [14533] = 12060,
  [14534] = 12062,
  [14535] = 12063,
  [14536] = 12065,
  [14537] = 12067,
  [14538] = 12068,
  [14539] = 12052,
  [14540] = 12025,
  [14541] = 12070,
  [14542] = 12034,
  [14543] = 12075,
  [14544] = 12078,
  [14545] = 12079,
  [14546] = 12080,
  [14547] = 12081,
  [14548] = 12082,
  [14549] = 12904,
  [14550] = 12083,
  [14551] = 12049,
  [14552] = 13986,
  [14553] = 12044,
  [14554] = 12784,
  [14555] = 12084,
  [14556] = 13408,
  [14557] = 13810,
  [14558] = 14026,
  [14559] = 12041,
  [14560] = 14121,
  [14561] = 13077,
  [14562] = 14225,
  [14563] = 14498,
  [14564] = 12086,
  [14565] = 12087,
  [14566] = 12069,
  [14567] = 12046,
  [14568] = 12045,
  [14569] = 12039,
  [14570] = 12036,
  [14571] = 12097,
  [14572] = 12020,
  [14573] = 12021,
  [14574] = 12022,
  [14575] = 12023,
  [14576] = 12024,
  [14577] = 12025,
  [14578] = 12026,
  [14579] = 13811,
  [14580] = 9177,
  [14581] = 12027,
  [14582] = 12897,
  [14583] = 12028,
  [14584] = 12101,
  [14585] = 12030,
  [14586] = 12809,
  [14587] = 12115,
  [14588] = 13074,
  [14589] = 12032,
  [14590] = 12033,
  [14591] = 14260,
  [14592] = 13734,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(37);
      ADVANCE_MAP(
        '!', 100,
        '"', 2,
        '$', 24,
        '%', 76,
        '\'', 4,
        '(', 41,
        ')', 42,
        '*', 49,
        '+', 72,
        ',', 43,
        '-', 73,
        '.', 48,
        '/', 75,
        ':', 60,
        ';', 38,
        '<', 54,
        '=', 46,
        '>', 55,
        '?', 50,
        '@', 82,
        '[', 39,
        ']', 40,
        '^', 77,
        '`', 31,
        '|', 13,
        '#', 81,
        '~', 81,
        'U', 102,
        'u', 102,
        'B', 103,
        'X', 103,
        'b', 103,
        'x', 103,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(32);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(86);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 1:
      ADVANCE_MAP(
        '!', 99,
        '"', 2,
        '$', 24,
        '\'', 4,
        '(', 41,
        ')', 42,
        '*', 49,
        '+', 72,
        '-', 73,
        '.', 28,
        '/', 7,
        '0', 87,
        '?', 50,
        '@', 82,
        ']', 40,
        '`', 31,
        '|', 13,
        '#', 81,
        '~', 81,
        'U', 102,
        'u', 102,
        'B', 103,
        'X', 103,
        'b', 103,
        'x', 103,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(1);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(88);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 2:
      if (lookahead == '"') ADVANCE(83);
      if (lookahead != 0) ADVANCE(2);
      END_STATE();
    case 3:
      if (lookahead == '\'') ADVANCE(4);
      END_STATE();
    case 4:
      if (lookahead == '\'') ADVANCE(84);
      if (lookahead != 0) ADVANCE(4);
      END_STATE();
    case 5:
      if (lookahead == '\'') ADVANCE(98);
      if (lookahead != 0) ADVANCE(5);
      END_STATE();
    case 6:
      if (lookahead == '\'') ADVANCE(85);
      if (lookahead != 0) ADVANCE(6);
      END_STATE();
    case 7:
      if (lookahead == '*') ADVANCE(9);
      END_STATE();
    case 8:
      if (lookahead == '*') ADVANCE(8);
      if (lookahead == '/') ADVANCE(45);
      if (lookahead != 0) ADVANCE(9);
      END_STATE();
    case 9:
      if (lookahead == '*') ADVANCE(8);
      if (lookahead != 0) ADVANCE(9);
      END_STATE();
    case 10:
      if (lookahead == '+') ADVANCE(72);
      if (lookahead == '-') ADVANCE(73);
      if (lookahead == '/') ADVANCE(7);
      if (lookahead == '0') ADVANCE(92);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(10);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(93);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 11:
      if (lookahead == '-') ADVANCE(61);
      END_STATE();
    case 12:
      if (lookahead == '/') ADVANCE(81);
      END_STATE();
    case 13:
      if (lookahead == '/') ADVANCE(81);
      if (lookahead == '|') ADVANCE(12);
      END_STATE();
    case 14:
      if (lookahead == ':') ADVANCE(52);
      if (lookahead == '=') ADVANCE(47);
      END_STATE();
    case 15:
      if (lookahead == '=') ADVANCE(79);
      if (lookahead == '~') ADVANCE(63);
      END_STATE();
    case 16:
      if (lookahead == '>') ADVANCE(61);
      END_STATE();
    case 17:
      if (lookahead == '@') ADVANCE(81);
      END_STATE();
    case 18:
      if (lookahead == '@') ADVANCE(69);
      if (lookahead == '>' ||
          lookahead == '?') ADVANCE(61);
      END_STATE();
    case 19:
      if (lookahead == '`') ADVANCE(101);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(19);
      END_STATE();
    case 20:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(26);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(94);
      END_STATE();
    case 21:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(29);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(96);
      END_STATE();
    case 22:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(89);
      END_STATE();
    case 23:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(90);
      END_STATE();
    case 24:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(51);
      END_STATE();
    case 25:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(93);
      END_STATE();
    case 26:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(94);
      END_STATE();
    case 27:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(88);
      END_STATE();
    case 28:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(95);
      END_STATE();
    case 29:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(96);
      END_STATE();
    case 30:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(91);
      END_STATE();
    case 31:
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(19);
      END_STATE();
    case 32:
      if (eof) ADVANCE(37);
      ADVANCE_MAP(
        '!', 100,
        '"', 2,
        '$', 24,
        '%', 76,
        '\'', 4,
        '(', 41,
        ')', 42,
        '*', 49,
        '+', 72,
        ',', 43,
        '-', 73,
        '.', 48,
        '/', 75,
        ':', 60,
        ';', 38,
        '<', 54,
        '=', 46,
        '>', 55,
        '?', 50,
        '@', 82,
        '[', 39,
        ']', 40,
        '^', 77,
        '`', 31,
        '|', 13,
        '#', 81,
        '~', 81,
        'U', 102,
        'u', 102,
        'B', 103,
        'X', 103,
        'b', 103,
        'x', 103,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(32);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(86);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 33:
      if (eof) ADVANCE(37);
      ADVANCE_MAP(
        '!', 15,
        '"', 2,
        '#', 67,
        '%', 76,
        '&', 65,
        '\'', 4,
        '(', 41,
        ')', 42,
        '*', 49,
        '+', 72,
        ',', 43,
        '-', 74,
        '.', 48,
        '/', 75,
        '0', 92,
        ':', 14,
        ';', 38,
        '<', 53,
        '=', 46,
        '>', 56,
        '?', 64,
        '@', 18,
        '[', 39,
        '^', 78,
        '`', 31,
        '|', 62,
        '~', 63,
        'U', 102,
        'u', 102,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(33);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(93);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 34:
      if (eof) ADVANCE(37);
      ADVANCE_MAP(
        '!', 15,
        '"', 2,
        '#', 67,
        '%', 76,
        '&', 65,
        '\'', 4,
        '(', 41,
        ')', 42,
        '*', 49,
        '+', 72,
        ',', 43,
        '-', 74,
        '.', 48,
        '/', 75,
        ':', 59,
        ';', 38,
        '<', 53,
        '=', 46,
        '>', 56,
        '?', 64,
        '@', 18,
        '[', 39,
        ']', 40,
        '^', 78,
        '`', 31,
        '|', 62,
        '~', 63,
        'U', 102,
        'u', 102,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(34);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 35:
      if (eof) ADVANCE(37);
      ADVANCE_MAP(
        '!', 15,
        '"', 2,
        '#', 67,
        '%', 76,
        '&', 65,
        '\'', 6,
        '(', 41,
        ')', 42,
        '*', 49,
        '+', 72,
        ',', 43,
        '-', 74,
        '.', 48,
        '/', 75,
        ':', 59,
        ';', 38,
        '<', 53,
        '=', 46,
        '>', 56,
        '?', 64,
        '@', 18,
        '[', 39,
        ']', 40,
        '^', 78,
        '`', 31,
        '|', 62,
        '~', 63,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(35);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(86);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 36:
      if (eof) ADVANCE(37);
      ADVANCE_MAP(
        '!', 15,
        '"', 2,
        '#', 67,
        '%', 76,
        '&', 65,
        '(', 41,
        ')', 42,
        '*', 49,
        '+', 72,
        ',', 43,
        '-', 74,
        '.', 48,
        '/', 75,
        ':', 14,
        ';', 38,
        '<', 53,
        '=', 46,
        '>', 56,
        '?', 64,
        '@', 18,
        '[', 39,
        '^', 78,
        '`', 31,
        '|', 62,
        '~', 63,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(36);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 37:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 38:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 39:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 40:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(44);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(sym_marginalia);
      END_STATE();
    case 46:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      END_STATE();
    case 48:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(sym_parameter);
      if (lookahead == '-' ||
          lookahead == '|') ADVANCE(81);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(sym_parameter);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(51);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '-') ADVANCE(16);
      if (lookahead == '<') ADVANCE(71);
      if (lookahead == '=') ADVANCE(57);
      if (lookahead == '>') ADVANCE(80);
      if (lookahead == '@' ||
          lookahead == '^') ADVANCE(61);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '=') ADVANCE(57);
      if (lookahead == '>') ADVANCE(80);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(58);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(58);
      if (lookahead == '>') ADVANCE(66);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(52);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(52);
      if (lookahead == '=') ADVANCE(47);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(sym_op_other);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(sym_op_other);
      if (lookahead == '&') ADVANCE(16);
      if (lookahead == '>') ADVANCE(16);
      if (lookahead == '|') ADVANCE(61);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(sym_op_other);
      if (lookahead == '*') ADVANCE(61);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(sym_op_other);
      if (lookahead == '-') ADVANCE(70);
      if (lookahead == '|') ADVANCE(70);
      if (lookahead == '#' ||
          lookahead == '&') ADVANCE(61);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(sym_op_other);
      if (lookahead == '<') ADVANCE(70);
      if (lookahead == '>') ADVANCE(61);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(sym_op_other);
      if (lookahead == '=') ADVANCE(61);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(sym_op_other);
      if (lookahead == '>') ADVANCE(68);
      if (lookahead == '#' ||
          lookahead == '-') ADVANCE(61);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(sym_op_other);
      if (lookahead == '>') ADVANCE(61);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(sym_op_other);
      if (lookahead == '@') ADVANCE(61);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(sym_op_other);
      if (lookahead == '|') ADVANCE(61);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(sym_op_other);
      if (lookahead == '=' ||
          lookahead == '|') ADVANCE(61);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(44);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(44);
      if (lookahead == '>') ADVANCE(68);
      if (lookahead == '|') ADVANCE(11);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(9);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '>' ||
          lookahead == '@') ADVANCE(61);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_LT_GT);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(sym_op_unary_other);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(sym_op_unary_other);
      if (lookahead == '-') ADVANCE(17);
      if (lookahead == '@') ADVANCE(81);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(sym__double_quote_string);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(aux_sym__single_quote_string_token1);
      if (lookahead == '\'') ADVANCE(4);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(aux_sym__single_quote_string_token2);
      if (lookahead == '\'') ADVANCE(6);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(sym__natural_number);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(86);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(aux_sym__integer_token1);
      ADVANCE_MAP(
        '.', 97,
        '_', 27,
        'e', 20,
        'B', 22,
        'b', 22,
        'O', 23,
        'o', 23,
        'X', 30,
        'x', 30,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(88);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(aux_sym__integer_token1);
      if (lookahead == '.') ADVANCE(97);
      if (lookahead == '_') ADVANCE(27);
      if (lookahead == 'e') ADVANCE(20);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(88);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(aux_sym__integer_token1);
      if (lookahead == '_') ADVANCE(22);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(89);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(aux_sym__integer_token1);
      if (lookahead == '_') ADVANCE(23);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(90);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(aux_sym__integer_token1);
      if (lookahead == '_') ADVANCE(30);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(91);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(aux_sym__integer_token1);
      ADVANCE_MAP(
        '_', 25,
        'e', 20,
        'B', 22,
        'b', 22,
        'O', 23,
        'o', 23,
        'X', 30,
        'x', 30,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(93);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(aux_sym__integer_token1);
      if (lookahead == '_') ADVANCE(25);
      if (lookahead == 'e') ADVANCE(20);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(93);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(aux_sym__integer_token1);
      if (lookahead == '_') ADVANCE(26);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(94);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(aux_sym__decimal_number_token1);
      if (lookahead == '_') ADVANCE(28);
      if (lookahead == 'e') ADVANCE(21);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(95);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(aux_sym__decimal_number_token1);
      if (lookahead == '_') ADVANCE(29);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(96);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(aux_sym__decimal_number_token1);
      if (lookahead == 'e') ADVANCE(21);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(95);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(aux_sym__bit_string_token1);
      if (lookahead == '\'') ADVANCE(5);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(sym_bang);
      if (lookahead == '!') ADVANCE(81);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(sym_bang);
      if (lookahead == '!') ADVANCE(81);
      if (lookahead == '=') ADVANCE(79);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == '&') ADVANCE(3);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == '\'') ADVANCE(5);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(sym__identifier);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        'A', 1,
        'a', 1,
        'B', 2,
        'b', 2,
        'C', 3,
        'c', 3,
        'D', 4,
        'd', 4,
        'E', 5,
        'e', 5,
        'F', 6,
        'f', 6,
        'G', 7,
        'g', 7,
        'H', 8,
        'h', 8,
        'I', 9,
        'i', 9,
        'J', 10,
        'j', 10,
        'K', 11,
        'k', 11,
        'L', 12,
        'l', 12,
        'M', 13,
        'm', 13,
        'N', 14,
        'n', 14,
        'O', 15,
        'o', 15,
        'P', 16,
        'p', 16,
        'Q', 17,
        'q', 17,
        'R', 18,
        'r', 18,
        'S', 19,
        's', 19,
        'T', 20,
        't', 20,
        'U', 21,
        'u', 21,
        'V', 22,
        'v', 22,
        'W', 23,
        'w', 23,
        'X', 24,
        'x', 24,
        'Z', 25,
        'z', 25,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(26);
      END_STATE();
    case 1:
      ADVANCE_MAP(
        'C', 27,
        'c', 27,
        'D', 28,
        'd', 28,
        'F', 29,
        'f', 29,
        'L', 30,
        'l', 30,
        'N', 31,
        'n', 31,
        'R', 32,
        'r', 32,
        'S', 33,
        's', 33,
        'T', 34,
        't', 34,
        'U', 35,
        'u', 35,
        'V', 36,
        'v', 36,
      );
      END_STATE();
    case 2:
      ADVANCE_MAP(
        'E', 37,
        'e', 37,
        'I', 38,
        'i', 38,
        'O', 39,
        'o', 39,
        'R', 40,
        'r', 40,
        'T', 41,
        't', 41,
        'Y', 42,
        'y', 42,
      );
      END_STATE();
    case 3:
      ADVANCE_MAP(
        'A', 43,
        'a', 43,
        'H', 44,
        'h', 44,
        'O', 45,
        'o', 45,
        'R', 46,
        'r', 46,
        'S', 47,
        's', 47,
        'U', 48,
        'u', 48,
        'Y', 49,
        'y', 49,
      );
      END_STATE();
    case 4:
      ADVANCE_MAP(
        'A', 50,
        'a', 50,
        'E', 51,
        'e', 51,
        'I', 52,
        'i', 52,
        'O', 53,
        'o', 53,
        'R', 54,
        'r', 54,
      );
      END_STATE();
    case 5:
      ADVANCE_MAP(
        'A', 55,
        'a', 55,
        'L', 56,
        'l', 56,
        'N', 57,
        'n', 57,
        'S', 58,
        's', 58,
        'X', 59,
        'x', 59,
      );
      END_STATE();
    case 6:
      ADVANCE_MAP(
        'A', 60,
        'a', 60,
        'I', 61,
        'i', 61,
        'L', 62,
        'l', 62,
        'O', 63,
        'o', 63,
        'R', 64,
        'r', 64,
        'U', 65,
        'u', 65,
      );
      END_STATE();
    case 7:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(66);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(67);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(68);
      END_STATE();
    case 8:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(69);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(70);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(71);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        'F', 72,
        'f', 72,
        'G', 73,
        'g', 73,
        'L', 74,
        'l', 74,
        'M', 75,
        'm', 75,
        'N', 76,
        'n', 76,
        'S', 77,
        's', 77,
      );
      END_STATE();
    case 10:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(78);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(79);
      END_STATE();
    case 11:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(80);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        'A', 81,
        'a', 81,
        'E', 82,
        'e', 82,
        'I', 83,
        'i', 83,
        'O', 84,
        'o', 84,
      );
      END_STATE();
    case 13:
      ADVANCE_MAP(
        'A', 85,
        'a', 85,
        'E', 86,
        'e', 86,
        'I', 87,
        'i', 87,
        'O', 88,
        'o', 88,
      );
      END_STATE();
    case 14:
      ADVANCE_MAP(
        'A', 89,
        'a', 89,
        'C', 90,
        'c', 90,
        'E', 91,
        'e', 91,
        'O', 92,
        'o', 92,
        'U', 93,
        'u', 93,
        'V', 94,
        'v', 94,
      );
      END_STATE();
    case 15:
      ADVANCE_MAP(
        'F', 95,
        'f', 95,
        'I', 96,
        'i', 96,
        'L', 97,
        'l', 97,
        'N', 98,
        'n', 98,
        'P', 99,
        'p', 99,
        'R', 100,
        'r', 100,
        'T', 101,
        't', 101,
        'U', 102,
        'u', 102,
        'V', 103,
        'v', 103,
        'W', 104,
        'w', 104,
      );
      END_STATE();
    case 16:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(105);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(106);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(107);
      END_STATE();
    case 17:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(108);
      END_STATE();
    case 18:
      ADVANCE_MAP(
        'A', 109,
        'a', 109,
        'C', 110,
        'c', 110,
        'E', 111,
        'e', 111,
        'I', 112,
        'i', 112,
        'O', 113,
        'o', 113,
      );
      END_STATE();
    case 19:
      ADVANCE_MAP(
        'A', 114,
        'a', 114,
        'C', 115,
        'c', 115,
        'E', 116,
        'e', 116,
        'I', 117,
        'i', 117,
        'M', 118,
        'm', 118,
        'N', 119,
        'n', 119,
        'O', 120,
        'o', 120,
        'P', 121,
        'p', 121,
        'Q', 122,
        'q', 122,
        'T', 123,
        't', 123,
        'U', 124,
        'u', 124,
      );
      END_STATE();
    case 20:
      ADVANCE_MAP(
        'A', 125,
        'a', 125,
        'B', 126,
        'b', 126,
        'E', 127,
        'e', 127,
        'H', 128,
        'h', 128,
        'I', 129,
        'i', 129,
        'O', 130,
        'o', 130,
        'R', 131,
        'r', 131,
        'Y', 132,
        'y', 132,
      );
      END_STATE();
    case 21:
      ADVANCE_MAP(
        'N', 133,
        'n', 133,
        'P', 134,
        'p', 134,
        'S', 135,
        's', 135,
        'U', 136,
        'u', 136,
      );
      END_STATE();
    case 22:
      ADVANCE_MAP(
        'A', 137,
        'a', 137,
        'E', 138,
        'e', 138,
        'I', 139,
        'i', 139,
        'O', 140,
        'o', 140,
      );
      END_STATE();
    case 23:
      ADVANCE_MAP(
        'A', 141,
        'a', 141,
        'H', 142,
        'h', 142,
        'I', 143,
        'i', 143,
        'R', 144,
        'r', 144,
      );
      END_STATE();
    case 24:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(145);
      END_STATE();
    case 25:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(146);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(147);
      END_STATE();
    case 26:
      ADVANCE_MAP(
        'A', 1,
        'a', 1,
        'B', 2,
        'b', 2,
        'C', 3,
        'c', 3,
        'D', 4,
        'd', 4,
        'E', 5,
        'e', 5,
        'F', 6,
        'f', 6,
        'G', 7,
        'g', 7,
        'H', 8,
        'h', 8,
        'I', 9,
        'i', 9,
        'J', 10,
        'j', 10,
        'K', 11,
        'k', 11,
        'L', 12,
        'l', 12,
        'M', 13,
        'm', 13,
        'N', 14,
        'n', 14,
        'O', 15,
        'o', 15,
        'P', 16,
        'p', 16,
        'Q', 17,
        'q', 17,
        'R', 18,
        'r', 18,
        'S', 19,
        's', 19,
        'T', 20,
        't', 20,
        'U', 21,
        'u', 21,
        'V', 22,
        'v', 22,
        'W', 23,
        'w', 23,
        'X', 24,
        'x', 24,
        'Z', 25,
        'z', 25,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(26);
      END_STATE();
    case 27:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(148);
      END_STATE();
    case 28:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(149);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(150);
      END_STATE();
    case 29:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(151);
      END_STATE();
    case 30:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(152);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(153);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(154);
      END_STATE();
    case 31:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(155);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(156);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(157);
      END_STATE();
    case 32:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(158);
      END_STATE();
    case 33:
      ACCEPT_TOKEN(sym_keyword_as);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(159);
      END_STATE();
    case 34:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(160);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(161);
      END_STATE();
    case 35:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(162);
      END_STATE();
    case 36:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(163);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(164);
      END_STATE();
    case 37:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(165);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(166);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(167);
      END_STATE();
    case 38:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(168);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(169);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(170);
      END_STATE();
    case 39:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(171);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(172);
      END_STATE();
    case 40:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(173);
      END_STATE();
    case 41:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(174);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(sym_keyword_by);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(175);
      END_STATE();
    case 43:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(176);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(177);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(178);
      END_STATE();
    case 44:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(179);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(180);
      END_STATE();
    case 45:
      ADVANCE_MAP(
        'L', 181,
        'l', 181,
        'M', 182,
        'm', 182,
        'N', 183,
        'n', 183,
        'P', 184,
        'p', 184,
        'S', 185,
        's', 185,
      );
      END_STATE();
    case 46:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(186);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(187);
      END_STATE();
    case 47:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(188);
      END_STATE();
    case 48:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(189);
      END_STATE();
    case 49:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(190);
      END_STATE();
    case 50:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(191);
      END_STATE();
    case 51:
      ADVANCE_MAP(
        'C', 192,
        'c', 192,
        'F', 193,
        'f', 193,
        'L', 194,
        'l', 194,
        'S', 195,
        's', 195,
      );
      END_STATE();
    case 52:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(196);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(sym_keyword_do);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(197);
      END_STATE();
    case 54:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(198);
      END_STATE();
    case 55:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(199);
      END_STATE();
    case 56:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(200);
      END_STATE();
    case 57:
      ADVANCE_MAP(
        'C', 201,
        'c', 201,
        'D', 202,
        'd', 202,
        'G', 203,
        'g', 203,
        'U', 204,
        'u', 204,
      );
      END_STATE();
    case 58:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(205);
      END_STATE();
    case 59:
      ADVANCE_MAP(
        'C', 206,
        'c', 206,
        'E', 207,
        'e', 207,
        'I', 208,
        'i', 208,
        'P', 209,
        'p', 209,
        'T', 210,
        't', 210,
      );
      END_STATE();
    case 60:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(211);
      END_STATE();
    case 61:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(212);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(213);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(214);
      END_STATE();
    case 62:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(215);
      END_STATE();
    case 63:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(216);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(217);
      END_STATE();
    case 64:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(218);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(219);
      END_STATE();
    case 65:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(220);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(221);
      END_STATE();
    case 66:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(222);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(223);
      END_STATE();
    case 67:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(224);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(225);
      END_STATE();
    case 68:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(226);
      END_STATE();
    case 69:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(227);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(228);
      END_STATE();
    case 70:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(229);
      END_STATE();
    case 71:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(230);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(sym_keyword_if);
      END_STATE();
    case 73:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(231);
      END_STATE();
    case 74:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(232);
      END_STATE();
    case 75:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(233);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(234);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(sym_keyword_in);
      ADVANCE_MAP(
        'C', 235,
        'c', 235,
        'D', 236,
        'd', 236,
        'E', 237,
        'e', 237,
        'I', 238,
        'i', 238,
        'N', 239,
        'n', 239,
        'O', 240,
        'o', 240,
        'P', 241,
        'p', 241,
        'S', 242,
        's', 242,
        'T', 243,
        't', 243,
        'V', 244,
        'v', 244,
      );
      END_STATE();
    case 77:
      ACCEPT_TOKEN(sym_keyword_is);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(245);
      END_STATE();
    case 78:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(246);
      END_STATE();
    case 79:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(247);
      END_STATE();
    case 80:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(248);
      END_STATE();
    case 81:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(249);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(250);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(251);
      END_STATE();
    case 82:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(252);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(253);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(254);
      END_STATE();
    case 83:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(255);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(256);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(257);
      END_STATE();
    case 84:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(258);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(259);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(260);
      END_STATE();
    case 85:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(261);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(262);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(263);
      END_STATE();
    case 86:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(264);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(265);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(266);
      END_STATE();
    case 87:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(267);
      END_STATE();
    case 88:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(268);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(269);
      END_STATE();
    case 89:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(270);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(271);
      END_STATE();
    case 90:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(272);
      END_STATE();
    case 91:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(273);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(sym_keyword_no);
      ADVANCE_MAP(
        'N', 274,
        'n', 274,
        'S', 275,
        's', 275,
        'T', 276,
        't', 276,
        'W', 277,
        'w', 277,
      );
      END_STATE();
    case 93:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(278);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(279);
      END_STATE();
    case 94:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(280);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(sym_keyword_of);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(281);
      END_STATE();
    case 96:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(282);
      END_STATE();
    case 97:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(283);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(sym_keyword_on);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(284);
      END_STATE();
    case 99:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(285);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(sym_keyword_or);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(286);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(287);
      END_STATE();
    case 101:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(288);
      END_STATE();
    case 102:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(289);
      END_STATE();
    case 103:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(290);
      END_STATE();
    case 104:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(291);
      END_STATE();
    case 105:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(292);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(293);
      END_STATE();
    case 106:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(294);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(295);
      END_STATE();
    case 107:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(296);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(297);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(298);
      END_STATE();
    case 108:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(299);
      END_STATE();
    case 109:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(300);
      END_STATE();
    case 110:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(301);
      END_STATE();
    case 111:
      ADVANCE_MAP(
        'A', 302,
        'a', 302,
        'C', 303,
        'c', 303,
        'F', 304,
        'f', 304,
        'G', 305,
        'g', 305,
        'N', 306,
        'n', 306,
        'P', 307,
        'p', 307,
        'S', 308,
        's', 308,
        'T', 309,
        't', 309,
        'W', 310,
        'w', 310,
      );
      END_STATE();
    case 112:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(311);
      END_STATE();
    case 113:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(312);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(313);
      END_STATE();
    case 114:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(314);
      END_STATE();
    case 115:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(315);
      END_STATE();
    case 116:
      ADVANCE_MAP(
        'C', 316,
        'c', 316,
        'L', 317,
        'l', 317,
        'P', 318,
        'p', 318,
        'Q', 319,
        'q', 319,
        'R', 320,
        'r', 320,
        'S', 321,
        's', 321,
        'T', 322,
        't', 322,
      );
      END_STATE();
    case 117:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(323);
      END_STATE();
    case 118:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(324);
      END_STATE();
    case 119:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(325);
      END_STATE();
    case 120:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(326);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(327);
      END_STATE();
    case 121:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(328);
      END_STATE();
    case 122:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(329);
      END_STATE();
    case 123:
      ADVANCE_MAP(
        'A', 330,
        'a', 330,
        'D', 331,
        'd', 331,
        'O', 332,
        'o', 332,
        'R', 333,
        'r', 333,
      );
      END_STATE();
    case 124:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(334);
      END_STATE();
    case 125:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(335);
      END_STATE();
    case 126:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(336);
      END_STATE();
    case 127:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(337);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(338);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(339);
      END_STATE();
    case 128:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(340);
      END_STATE();
    case 129:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(341);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(342);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(343);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(sym_keyword_to);
      END_STATE();
    case 131:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(344);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(345);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(346);
      END_STATE();
    case 132:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(347);
      END_STATE();
    case 133:
      ADVANCE_MAP(
        'B', 348,
        'b', 348,
        'C', 349,
        'c', 349,
        'I', 350,
        'i', 350,
        'L', 351,
        'l', 351,
        'S', 352,
        's', 352,
        'T', 353,
        't', 353,
      );
      END_STATE();
    case 134:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(354);
      END_STATE();
    case 135:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(355);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(356);
      END_STATE();
    case 136:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(357);
      END_STATE();
    case 137:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(358);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(359);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(360);
      END_STATE();
    case 138:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(361);
      END_STATE();
    case 139:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(362);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(363);
      END_STATE();
    case 140:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(364);
      END_STATE();
    case 141:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(365);
      END_STATE();
    case 142:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(366);
      END_STATE();
    case 143:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(367);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(368);
      END_STATE();
    case 144:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(369);
      END_STATE();
    case 145:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(370);
      END_STATE();
    case 146:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(371);
      END_STATE();
    case 147:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(372);
      END_STATE();
    case 148:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(373);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(sym_keyword_add);
      END_STATE();
    case 150:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(374);
      END_STATE();
    case 151:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(375);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym_keyword_all);
      END_STATE();
    case 153:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(376);
      END_STATE();
    case 154:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(377);
      END_STATE();
    case 155:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(378);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(sym_keyword_and);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(sym_keyword_any);
      END_STATE();
    case 158:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(379);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(sym_keyword_asc);
      END_STATE();
    case 160:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(380);
      END_STATE();
    case 161:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(381);
      END_STATE();
    case 162:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(382);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(383);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(sym_keyword_avg);
      END_STATE();
    case 164:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(384);
      END_STATE();
    case 165:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(385);
      END_STATE();
    case 166:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(386);
      END_STATE();
    case 167:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(387);
      END_STATE();
    case 168:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(388);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(389);
      END_STATE();
    case 169:
      if (lookahead == '_') ADVANCE(390);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(391);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(sym_keyword_bit);
      END_STATE();
    case 171:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(392);
      END_STATE();
    case 172:
      if (lookahead == '2') ADVANCE(393);
      if (lookahead == '3') ADVANCE(394);
      END_STATE();
    case 173:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(395);
      END_STATE();
    case 174:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(396);
      END_STATE();
    case 175:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(397);
      END_STATE();
    case 176:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(398);
      END_STATE();
    case 177:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(399);
      END_STATE();
    case 178:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(400);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(401);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(402);
      END_STATE();
    case 179:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(403);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(404);
      END_STATE();
    case 180:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(405);
      END_STATE();
    case 181:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(406);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(407);
      END_STATE();
    case 182:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(408);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(409);
      END_STATE();
    case 183:
      ADVANCE_MAP(
        'C', 410,
        'c', 410,
        'F', 411,
        'f', 411,
        'N', 412,
        'n', 412,
        'S', 413,
        's', 413,
      );
      END_STATE();
    case 184:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(414);
      END_STATE();
    case 185:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(415);
      END_STATE();
    case 186:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(416);
      END_STATE();
    case 187:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(417);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(sym_keyword_csv);
      END_STATE();
    case 189:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(418);
      END_STATE();
    case 190:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(419);
      END_STATE();
    case 191:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(420);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(421);
      END_STATE();
    case 192:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(422);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(423);
      END_STATE();
    case 193:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(424);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(425);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(426);
      END_STATE();
    case 194:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(427);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(428);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(429);
      END_STATE();
    case 195:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(430);
      END_STATE();
    case 196:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(431);
      END_STATE();
    case 197:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(432);
      END_STATE();
    case 198:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(433);
      END_STATE();
    case 199:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(434);
      END_STATE();
    case 200:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(435);
      END_STATE();
    case 201:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(436);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(437);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(sym_keyword_end);
      END_STATE();
    case 203:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(438);
      END_STATE();
    case 204:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(439);
      END_STATE();
    case 205:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(440);
      END_STATE();
    case 206:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(441);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(442);
      END_STATE();
    case 207:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(443);
      END_STATE();
    case 208:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(444);
      END_STATE();
    case 209:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(445);
      END_STATE();
    case 210:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(446);
      END_STATE();
    case 211:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(447);
      END_STATE();
    case 212:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(448);
      END_STATE();
    case 213:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(449);
      END_STATE();
    case 214:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(450);
      END_STATE();
    case 215:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(451);
      END_STATE();
    case 216:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(452);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(sym_keyword_for);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(453);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(454);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(455);
      END_STATE();
    case 218:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(456);
      END_STATE();
    case 219:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(457);
      END_STATE();
    case 220:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(458);
      END_STATE();
    case 221:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(459);
      END_STATE();
    case 222:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(460);
      END_STATE();
    case 223:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(461);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(462);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(sym_keyword_gin);
      END_STATE();
    case 225:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(463);
      END_STATE();
    case 226:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(464);
      END_STATE();
    case 227:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(465);
      END_STATE();
    case 228:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(466);
      END_STATE();
    case 229:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(467);
      END_STATE();
    case 230:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(468);
      END_STATE();
    case 231:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(469);
      END_STATE();
    case 232:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(470);
      END_STATE();
    case 233:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(471);
      END_STATE();
    case 234:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(472);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(473);
      END_STATE();
    case 235:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(474);
      END_STATE();
    case 236:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(475);
      END_STATE();
    case 237:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(476);
      END_STATE();
    case 238:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(477);
      END_STATE();
    case 239:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(478);
      END_STATE();
    case 240:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(479);
      END_STATE();
    case 241:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(480);
      END_STATE();
    case 242:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(481);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(482);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(aux_sym_keyword_int_token1);
      ADVANCE_MAP(
        '1', 483,
        '2', 484,
        '3', 485,
        '4', 486,
        '8', 487,
        'E', 488,
        'e', 488,
        'O', 489,
        'o', 489,
      );
      END_STATE();
    case 244:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(490);
      END_STATE();
    case 245:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(491);
      END_STATE();
    case 246:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(492);
      END_STATE();
    case 247:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(493);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(sym_keyword_key);
      END_STATE();
    case 249:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(494);
      END_STATE();
    case 250:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(495);
      END_STATE();
    case 251:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(496);
      END_STATE();
    case 252:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(497);
      END_STATE();
    case 253:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(498);
      END_STATE();
    case 254:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(499);
      END_STATE();
    case 255:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(500);
      END_STATE();
    case 256:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(501);
      END_STATE();
    case 257:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(502);
      END_STATE();
    case 258:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(503);
      END_STATE();
    case 259:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(504);
      END_STATE();
    case 260:
      if (lookahead == '_') ADVANCE(505);
      END_STATE();
    case 261:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(506);
      END_STATE();
    case 262:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(507);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(508);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(sym_keyword_max);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(509);
      END_STATE();
    case 264:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(510);
      END_STATE();
    case 265:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(511);
      END_STATE();
    case 266:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(512);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(sym_keyword_min);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(513);
      END_STATE();
    case 268:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(514);
      END_STATE();
    case 269:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(515);
      END_STATE();
    case 270:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(516);
      END_STATE();
    case 271:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(517);
      END_STATE();
    case 272:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(518);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(sym_keyword_new);
      END_STATE();
    case 274:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(519);
      END_STATE();
    case 275:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(520);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(sym_keyword_not);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(521);
      END_STATE();
    case 277:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(522);
      END_STATE();
    case 278:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(523);
      END_STATE();
    case 279:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(524);
      END_STATE();
    case 280:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(525);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(sym_keyword_off);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(526);
      END_STATE();
    case 282:
      ACCEPT_TOKEN(sym_keyword_oid);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(527);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(sym_keyword_old);
      END_STATE();
    case 284:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(528);
      END_STATE();
    case 285:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(529);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(sym_keyword_orc);
      END_STATE();
    case 287:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(530);
      END_STATE();
    case 288:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(531);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(sym_keyword_out);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(532);
      END_STATE();
    case 290:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(533);
      END_STATE();
    case 291:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(534);
      END_STATE();
    case 292:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(535);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(536);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(537);
      END_STATE();
    case 293:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(538);
      END_STATE();
    case 294:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(539);
      END_STATE();
    case 295:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(540);
      END_STATE();
    case 296:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(541);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(542);
      END_STATE();
    case 297:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(543);
      END_STATE();
    case 298:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(544);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(545);
      END_STATE();
    case 299:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(546);
      END_STATE();
    case 300:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(547);
      END_STATE();
    case 301:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(548);
      END_STATE();
    case 302:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(549);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(550);
      END_STATE();
    case 303:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(551);
      END_STATE();
    case 304:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(552);
      END_STATE();
    case 305:
      ADVANCE_MAP(
        'C', 553,
        'c', 553,
        'N', 554,
        'n', 554,
        'P', 555,
        'p', 555,
        'T', 556,
        't', 556,
      );
      END_STATE();
    case 306:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(557);
      END_STATE();
    case 307:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(558);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(559);
      END_STATE();
    case 308:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(560);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(561);
      END_STATE();
    case 309:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(562);
      END_STATE();
    case 310:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(563);
      END_STATE();
    case 311:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(564);
      END_STATE();
    case 312:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(565);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(566);
      END_STATE();
    case 313:
      ACCEPT_TOKEN(sym_keyword_row);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(567);
      END_STATE();
    case 314:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(568);
      END_STATE();
    case 315:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(569);
      END_STATE();
    case 316:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(570);
      END_STATE();
    case 317:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(571);
      END_STATE();
    case 318:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(572);
      END_STATE();
    case 319:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(573);
      END_STATE();
    case 320:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(574);
      END_STATE();
    case 321:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(575);
      END_STATE();
    case 322:
      ACCEPT_TOKEN(sym_keyword_set);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(576);
      END_STATE();
    case 323:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(577);
      END_STATE();
    case 324:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(578);
      END_STATE();
    case 325:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(579);
      END_STATE();
    case 326:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(580);
      END_STATE();
    case 327:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(581);
      END_STATE();
    case 328:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(582);
      END_STATE();
    case 329:
      ACCEPT_TOKEN(sym_keyword_sql);
      END_STATE();
    case 330:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(583);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(584);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(585);
      END_STATE();
    case 331:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(586);
      END_STATE();
    case 332:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(587);
      END_STATE();
    case 333:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(588);
      END_STATE();
    case 334:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(589);
      END_STATE();
    case 335:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(590);
      END_STATE();
    case 336:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(591);
      END_STATE();
    case 337:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(592);
      END_STATE();
    case 338:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(593);
      END_STATE();
    case 339:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(594);
      END_STATE();
    case 340:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(595);
      END_STATE();
    case 341:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(596);
      END_STATE();
    case 342:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(597);
      END_STATE();
    case 343:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(598);
      END_STATE();
    case 344:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(599);
      END_STATE();
    case 345:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(600);
      END_STATE();
    case 346:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(601);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(602);
      END_STATE();
    case 347:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(603);
      END_STATE();
    case 348:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(604);
      END_STATE();
    case 349:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(605);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(606);
      END_STATE();
    case 350:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(607);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(608);
      END_STATE();
    case 351:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(609);
      END_STATE();
    case 352:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(610);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(611);
      END_STATE();
    case 353:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(612);
      END_STATE();
    case 354:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(613);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(sym_keyword_use);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(614);
      END_STATE();
    case 356:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(615);
      END_STATE();
    case 357:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(616);
      END_STATE();
    case 358:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(617);
      END_STATE();
    case 359:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(618);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(619);
      END_STATE();
    case 360:
      ADVANCE_MAP(
        'B', 620,
        'b', 620,
        'C', 621,
        'c', 621,
        'I', 622,
        'i', 622,
        'Y', 623,
        'y', 623,
      );
      END_STATE();
    case 361:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(624);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(625);
      END_STATE();
    case 362:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(626);
      END_STATE();
    case 363:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(627);
      END_STATE();
    case 364:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(628);
      END_STATE();
    case 365:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(629);
      END_STATE();
    case 366:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(630);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(631);
      END_STATE();
    case 367:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(632);
      END_STATE();
    case 368:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(633);
      END_STATE();
    case 369:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(634);
      END_STATE();
    case 370:
      ACCEPT_TOKEN(sym_keyword_xml);
      END_STATE();
    case 371:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(635);
      END_STATE();
    case 372:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(636);
      END_STATE();
    case 373:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(637);
      END_STATE();
    case 374:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(638);
      END_STATE();
    case 375:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(639);
      END_STATE();
    case 376:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(640);
      END_STATE();
    case 377:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(641);
      END_STATE();
    case 378:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(642);
      END_STATE();
    case 379:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(643);
      END_STATE();
    case 380:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(644);
      END_STATE();
    case 381:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(645);
      END_STATE();
    case 382:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(646);
      END_STATE();
    case 383:
      if (lookahead == '_') ADVANCE(647);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(sym_keyword_avro);
      END_STATE();
    case 385:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(648);
      END_STATE();
    case 386:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(649);
      END_STATE();
    case 387:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(650);
      END_STATE();
    case 388:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(651);
      END_STATE();
    case 389:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(652);
      END_STATE();
    case 390:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(653);
      END_STATE();
    case 391:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(654);
      END_STATE();
    case 392:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(655);
      END_STATE();
    case 393:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(656);
      END_STATE();
    case 394:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(657);
      END_STATE();
    case 395:
      ACCEPT_TOKEN(sym_keyword_brin);
      END_STATE();
    case 396:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(658);
      END_STATE();
    case 397:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(659);
      END_STATE();
    case 398:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(660);
      END_STATE();
    case 399:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(661);
      END_STATE();
    case 400:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(662);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(sym_keyword_case);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(sym_keyword_cast);
      END_STATE();
    case 403:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(663);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(aux_sym_keyword_char_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(664);
      END_STATE();
    case 405:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(665);
      END_STATE();
    case 406:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(666);
      END_STATE();
    case 407:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(667);
      END_STATE();
    case 408:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(668);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(669);
      END_STATE();
    case 409:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(670);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(671);
      END_STATE();
    case 410:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(672);
      END_STATE();
    case 411:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(673);
      END_STATE();
    case 412:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(674);
      END_STATE();
    case 413:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(675);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(sym_keyword_copy);
      END_STATE();
    case 415:
      ACCEPT_TOKEN(sym_keyword_cost);
      END_STATE();
    case 416:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(676);
      END_STATE();
    case 417:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(677);
      END_STATE();
    case 418:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(678);
      END_STATE();
    case 419:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(679);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(sym_keyword_data);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(680);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(sym_keyword_date);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(681);
      END_STATE();
    case 422:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(682);
      END_STATE();
    case 423:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(683);
      END_STATE();
    case 424:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(684);
      END_STATE();
    case 425:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(685);
      END_STATE();
    case 426:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(686);
      END_STATE();
    case 427:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(687);
      END_STATE();
    case 428:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(688);
      END_STATE();
    case 429:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(689);
      END_STATE();
    case 430:
      ACCEPT_TOKEN(sym_keyword_desc);
      END_STATE();
    case 431:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(690);
      END_STATE();
    case 432:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(691);
      END_STATE();
    case 433:
      ACCEPT_TOKEN(sym_keyword_drop);
      END_STATE();
    case 434:
      ACCEPT_TOKEN(sym_keyword_each);
      END_STATE();
    case 435:
      ACCEPT_TOKEN(sym_keyword_else);
      END_STATE();
    case 436:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(692);
      END_STATE();
    case 437:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(693);
      END_STATE();
    case 438:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(694);
      END_STATE();
    case 439:
      ACCEPT_TOKEN(sym_keyword_enum);
      END_STATE();
    case 440:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(695);
      END_STATE();
    case 441:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(696);
      END_STATE();
    case 442:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(697);
      END_STATE();
    case 443:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(698);
      END_STATE();
    case 444:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(699);
      END_STATE();
    case 445:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(700);
      END_STATE();
    case 446:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(701);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(702);
      END_STATE();
    case 447:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(703);
      END_STATE();
    case 448:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(704);
      END_STATE();
    case 449:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(705);
      END_STATE();
    case 450:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(706);
      END_STATE();
    case 451:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(707);
      END_STATE();
    case 452:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(708);
      END_STATE();
    case 453:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(709);
      END_STATE();
    case 454:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(710);
      END_STATE();
    case 455:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(711);
      END_STATE();
    case 456:
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(712);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(sym_keyword_from);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(sym_keyword_full);
      END_STATE();
    case 459:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(713);
      END_STATE();
    case 460:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(714);
      END_STATE();
    case 461:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(715);
      END_STATE();
    case 462:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(716);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(sym_keyword_gist);
      END_STATE();
    case 464:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(717);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(sym_keyword_hash);
      END_STATE();
    case 466:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(718);
      END_STATE();
    case 467:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(719);
      END_STATE();
    case 468:
      if (lookahead == '_') ADVANCE(720);
      END_STATE();
    case 469:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(721);
      END_STATE();
    case 470:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(722);
      END_STATE();
    case 471:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(723);
      END_STATE();
    case 472:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(724);
      END_STATE();
    case 473:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(725);
      END_STATE();
    case 474:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(726);
      END_STATE();
    case 475:
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(727);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(sym_keyword_inet);
      END_STATE();
    case 477:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(728);
      END_STATE();
    case 478:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(729);
      END_STATE();
    case 479:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(730);
      END_STATE();
    case 480:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(731);
      END_STATE();
    case 481:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(732);
      END_STATE();
    case 482:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(733);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(aux_sym_keyword_tinyint_token2);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(aux_sym_keyword_smallint_token2);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(aux_sym_keyword_mediumint_token2);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(aux_sym_keyword_int_token3);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(aux_sym_keyword_bigint_token2);
      END_STATE();
    case 488:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(734);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(735);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(sym_keyword_into);
      END_STATE();
    case 490:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(736);
      END_STATE();
    case 491:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(737);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(sym_keyword_join);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(sym_keyword_json);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(738);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(739);
      END_STATE();
    case 494:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(740);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(sym_keyword_last);
      END_STATE();
    case 496:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(741);
      END_STATE();
    case 497:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(742);
      END_STATE();
    case 498:
      ACCEPT_TOKEN(sym_keyword_left);
      END_STATE();
    case 499:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(743);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(aux_sym_keyword_like_token1);
      END_STATE();
    case 501:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(744);
      END_STATE();
    case 502:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(745);
      END_STATE();
    case 503:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(746);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(747);
      END_STATE();
    case 504:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(748);
      END_STATE();
    case 505:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(749);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(sym_keyword_main);
      END_STATE();
    case 507:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(750);
      END_STATE();
    case 508:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(751);
      END_STATE();
    case 509:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(752);
      END_STATE();
    case 510:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(753);
      END_STATE();
    case 511:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(754);
      END_STATE();
    case 512:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(755);
      END_STATE();
    case 513:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(756);
      END_STATE();
    case 514:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(757);
      END_STATE();
    case 515:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(758);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(sym_keyword_name);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(759);
      END_STATE();
    case 517:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(760);
      END_STATE();
    case 518:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(761);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(sym_keyword_none);
      END_STATE();
    case 520:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(762);
      END_STATE();
    case 521:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(763);
      END_STATE();
    case 522:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(764);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(sym_keyword_null);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(765);
      END_STATE();
    case 524:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(766);
      END_STATE();
    case 525:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(767);
      END_STATE();
    case 526:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(768);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(sym_keyword_oids);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(sym_keyword_only);
      END_STATE();
    case 529:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(769);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(770);
      END_STATE();
    case 530:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(771);
      END_STATE();
    case 531:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(772);
      END_STATE();
    case 532:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(773);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(sym_keyword_over);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(774);
      END_STATE();
    case 534:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(775);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(776);
      END_STATE();
    case 535:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(777);
      END_STATE();
    case 536:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(778);
      END_STATE();
    case 537:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(779);
      END_STATE();
    case 538:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(780);
      END_STATE();
    case 539:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(781);
      END_STATE();
    case 540:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(782);
      END_STATE();
    case 541:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(783);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(784);
      END_STATE();
    case 542:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(785);
      END_STATE();
    case 543:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(786);
      END_STATE();
    case 544:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(787);
      END_STATE();
    case 545:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(788);
      END_STATE();
    case 546:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(789);
      END_STATE();
    case 547:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(790);
      END_STATE();
    case 548:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(791);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(sym_keyword_read);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(aux_sym_keyword_real_token1);
      END_STATE();
    case 551:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(792);
      END_STATE();
    case 552:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(793);
      END_STATE();
    case 553:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(794);
      END_STATE();
    case 554:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(795);
      END_STATE();
    case 555:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(796);
      END_STATE();
    case 556:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(797);
      END_STATE();
    case 557:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(798);
      END_STATE();
    case 558:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(799);
      END_STATE();
    case 559:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(800);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(801);
      END_STATE();
    case 560:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(802);
      END_STATE();
    case 561:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(803);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(804);
      END_STATE();
    case 562:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(805);
      END_STATE();
    case 563:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(806);
      END_STATE();
    case 564:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(807);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(sym_keyword_role);
      END_STATE();
    case 566:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(808);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(sym_keyword_rows);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(sym_keyword_safe);
      END_STATE();
    case 569:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(809);
      END_STATE();
    case 570:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(810);
      END_STATE();
    case 571:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(811);
      END_STATE();
    case 572:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(812);
      END_STATE();
    case 573:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(813);
      END_STATE();
    case 574:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(814);
      END_STATE();
    case 575:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(815);
      END_STATE();
    case 576:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(816);
      END_STATE();
    case 577:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(817);
      END_STATE();
    case 578:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(818);
      END_STATE();
    case 579:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(819);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(sym_keyword_some);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(sym_keyword_sort);
      END_STATE();
    case 582:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(820);
      END_STATE();
    case 583:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(821);
      END_STATE();
    case 584:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(822);
      END_STATE();
    case 585:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(823);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(824);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(825);
      END_STATE();
    case 586:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(826);
      END_STATE();
    case 587:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(827);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(828);
      END_STATE();
    case 588:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(829);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(830);
      END_STATE();
    case 589:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(831);
      END_STATE();
    case 590:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(832);
      END_STATE();
    case 591:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(833);
      END_STATE();
    case 592:
      ACCEPT_TOKEN(sym_keyword_temp);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(834);
      END_STATE();
    case 593:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(835);
      END_STATE();
    case 594:
      ACCEPT_TOKEN(sym_keyword_text);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(836);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(sym_keyword_then);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(sym_keyword_ties);
      END_STATE();
    case 597:
      ACCEPT_TOKEN(sym_keyword_time);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(837);
      END_STATE();
    case 598:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(838);
      END_STATE();
    case 599:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(839);
      END_STATE();
    case 600:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(840);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(sym_keyword_true);
      END_STATE();
    case 602:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(841);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(sym_keyword_type);
      END_STATE();
    case 604:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(842);
      END_STATE();
    case 605:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(843);
      END_STATE();
    case 606:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(844);
      END_STATE();
    case 607:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(845);
      END_STATE();
    case 608:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(846);
      END_STATE();
    case 609:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(847);
      END_STATE();
    case 610:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(848);
      END_STATE();
    case 611:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(849);
      END_STATE();
    case 612:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(850);
      END_STATE();
    case 613:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(851);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(sym_keyword_user);
      END_STATE();
    case 615:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(852);
      END_STATE();
    case 616:
      ACCEPT_TOKEN(sym_keyword_uuid);
      END_STATE();
    case 617:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(853);
      END_STATE();
    case 618:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(854);
      END_STATE();
    case 619:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(855);
      END_STATE();
    case 620:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(856);
      END_STATE();
    case 621:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(857);
      END_STATE();
    case 622:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(858);
      END_STATE();
    case 623:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(859);
      END_STATE();
    case 624:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(860);
      END_STATE();
    case 625:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(861);
      END_STATE();
    case 626:
      ACCEPT_TOKEN(sym_keyword_view);
      END_STATE();
    case 627:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(862);
      END_STATE();
    case 628:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(863);
      END_STATE();
    case 629:
      ACCEPT_TOKEN(sym_keyword_wait);
      END_STATE();
    case 630:
      ACCEPT_TOKEN(sym_keyword_when);
      END_STATE();
    case 631:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(864);
      END_STATE();
    case 632:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(865);
      END_STATE();
    case 633:
      ACCEPT_TOKEN(sym_keyword_with);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(866);
      END_STATE();
    case 634:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(867);
      END_STATE();
    case 635:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(868);
      END_STATE();
    case 636:
      ACCEPT_TOKEN(sym_keyword_zone);
      END_STATE();
    case 637:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(869);
      END_STATE();
    case 638:
      ACCEPT_TOKEN(sym_keyword_admin);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(sym_keyword_after);
      END_STATE();
    case 640:
      ACCEPT_TOKEN(sym_keyword_alter);
      END_STATE();
    case 641:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(870);
      END_STATE();
    case 642:
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(871);
      END_STATE();
    case 643:
      ACCEPT_TOKEN(sym_keyword_array);
      END_STATE();
    case 644:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(872);
      END_STATE();
    case 645:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(873);
      END_STATE();
    case 646:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(874);
      END_STATE();
    case 647:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(875);
      END_STATE();
    case 648:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(876);
      END_STATE();
    case 649:
      ACCEPT_TOKEN(sym_keyword_begin);
      END_STATE();
    case 650:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(877);
      END_STATE();
    case 651:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(878);
      END_STATE();
    case 652:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(879);
      END_STATE();
    case 653:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(880);
      END_STATE();
    case 654:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(881);
      END_STATE();
    case 655:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(882);
      END_STATE();
    case 656:
      ACCEPT_TOKEN(sym_keyword_box2d);
      END_STATE();
    case 657:
      ACCEPT_TOKEN(sym_keyword_box3d);
      END_STATE();
    case 658:
      ACCEPT_TOKEN(sym_keyword_btree);
      END_STATE();
    case 659:
      ACCEPT_TOKEN(sym_keyword_bytea);
      END_STATE();
    case 660:
      ACCEPT_TOKEN(sym_keyword_cache);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(883);
      END_STATE();
    case 661:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(884);
      END_STATE();
    case 662:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(885);
      END_STATE();
    case 663:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(886);
      END_STATE();
    case 664:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(887);
      END_STATE();
    case 665:
      ACCEPT_TOKEN(sym_keyword_check);
      END_STATE();
    case 666:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(888);
      END_STATE();
    case 667:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(889);
      END_STATE();
    case 668:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(890);
      END_STATE();
    case 669:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(891);
      END_STATE();
    case 670:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(892);
      END_STATE();
    case 671:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(893);
      END_STATE();
    case 672:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(894);
      END_STATE();
    case 673:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(895);
      END_STATE();
    case 674:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(896);
      END_STATE();
    case 675:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(897);
      END_STATE();
    case 676:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(898);
      END_STATE();
    case 677:
      ACCEPT_TOKEN(sym_keyword_cross);
      END_STATE();
    case 678:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(899);
      END_STATE();
    case 679:
      ACCEPT_TOKEN(sym_keyword_cycle);
      END_STATE();
    case 680:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(900);
      END_STATE();
    case 681:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(901);
      END_STATE();
    case 682:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(902);
      END_STATE();
    case 683:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(903);
      END_STATE();
    case 684:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(904);
      END_STATE();
    case 685:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(905);
      END_STATE();
    case 686:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(906);
      END_STATE();
    case 687:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(907);
      END_STATE();
    case 688:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(908);
      END_STATE();
    case 689:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(909);
      END_STATE();
    case 690:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(910);
      END_STATE();
    case 691:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(911);
      END_STATE();
    case 692:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(912);
      END_STATE();
    case 693:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(913);
      END_STATE();
    case 694:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(914);
      END_STATE();
    case 695:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(915);
      END_STATE();
    case 696:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(916);
      END_STATE();
    case 697:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(917);
      END_STATE();
    case 698:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(918);
      END_STATE();
    case 699:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(919);
      END_STATE();
    case 700:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(920);
      END_STATE();
    case 701:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(921);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(922);
      END_STATE();
    case 702:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(923);
      END_STATE();
    case 703:
      ACCEPT_TOKEN(sym_keyword_false);
      END_STATE();
    case 704:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(924);
      END_STATE();
    case 705:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(925);
      END_STATE();
    case 706:
      ACCEPT_TOKEN(sym_keyword_first);
      END_STATE();
    case 707:
      ACCEPT_TOKEN(sym_keyword_float);
      if (lookahead == '4') ADVANCE(926);
      if (lookahead == '8') ADVANCE(927);
      END_STATE();
    case 708:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(928);
      END_STATE();
    case 709:
      ACCEPT_TOKEN(sym_keyword_force);
      if (lookahead == '_') ADVANCE(929);
      END_STATE();
    case 710:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(930);
      END_STATE();
    case 711:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(931);
      END_STATE();
    case 712:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(932);
      END_STATE();
    case 713:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(933);
      END_STATE();
    case 714:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(934);
      END_STATE();
    case 715:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(935);
      END_STATE();
    case 716:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(936);
      END_STATE();
    case 717:
      ACCEPT_TOKEN(sym_keyword_group);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(937);
      END_STATE();
    case 718:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(938);
      END_STATE();
    case 719:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(939);
      END_STATE();
    case 720:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(940);
      END_STATE();
    case 721:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(941);
      END_STATE();
    case 722:
      ACCEPT_TOKEN(aux_sym_keyword_like_token2);
      END_STATE();
    case 723:
      ACCEPT_TOKEN(sym_keyword_image);
      END_STATE();
    case 724:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(942);
      END_STATE();
    case 725:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(943);
      END_STATE();
    case 726:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(944);
      END_STATE();
    case 727:
      ACCEPT_TOKEN(sym_keyword_index);
      END_STATE();
    case 728:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(945);
      END_STATE();
    case 729:
      ACCEPT_TOKEN(sym_keyword_inner);
      END_STATE();
    case 730:
      ACCEPT_TOKEN(sym_keyword_inout);
      END_STATE();
    case 731:
      ACCEPT_TOKEN(sym_keyword_input);
      END_STATE();
    case 732:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(946);
      END_STATE();
    case 733:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(947);
      END_STATE();
    case 734:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(948);
      END_STATE();
    case 735:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(949);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(950);
      END_STATE();
    case 736:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(951);
      END_STATE();
    case 737:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(952);
      END_STATE();
    case 738:
      ACCEPT_TOKEN(sym_keyword_jsonb);
      END_STATE();
    case 739:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(953);
      END_STATE();
    case 740:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(954);
      END_STATE();
    case 741:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(955);
      END_STATE();
    case 742:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(956);
      END_STATE();
    case 743:
      ACCEPT_TOKEN(sym_keyword_level);
      END_STATE();
    case 744:
      ACCEPT_TOKEN(sym_keyword_limit);
      END_STATE();
    case 745:
      ACCEPT_TOKEN(sym_keyword_lines);
      END_STATE();
    case 746:
      ACCEPT_TOKEN(sym_keyword_local);
      END_STATE();
    case 747:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(957);
      END_STATE();
    case 748:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(958);
      END_STATE();
    case 749:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(959);
      END_STATE();
    case 750:
      ACCEPT_TOKEN(sym_keyword_match);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(960);
      END_STATE();
    case 751:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(961);
      END_STATE();
    case 752:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(962);
      END_STATE();
    case 753:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(963);
      END_STATE();
    case 754:
      ACCEPT_TOKEN(sym_keyword_merge);
      END_STATE();
    case 755:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(964);
      END_STATE();
    case 756:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(965);
      END_STATE();
    case 757:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(966);
      END_STATE();
    case 758:
      ACCEPT_TOKEN(sym_keyword_money);
      END_STATE();
    case 759:
      ACCEPT_TOKEN(sym_keyword_names);
      END_STATE();
    case 760:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(967);
      END_STATE();
    case 761:
      ACCEPT_TOKEN(sym_keyword_nchar);
      END_STATE();
    case 762:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(968);
      END_STATE();
    case 763:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(969);
      END_STATE();
    case 764:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(970);
      END_STATE();
    case 765:
      ACCEPT_TOKEN(sym_keyword_nulls);
      END_STATE();
    case 766:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(971);
      END_STATE();
    case 767:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(972);
      END_STATE();
    case 768:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(973);
      END_STATE();
    case 769:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(974);
      END_STATE();
    case 770:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(975);
      END_STATE();
    case 771:
      ACCEPT_TOKEN(sym_keyword_order);
      END_STATE();
    case 772:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(976);
      END_STATE();
    case 773:
      ACCEPT_TOKEN(sym_keyword_outer);
      END_STATE();
    case 774:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(977);
      END_STATE();
    case 775:
      ACCEPT_TOKEN(sym_keyword_owned);
      END_STATE();
    case 776:
      ACCEPT_TOKEN(sym_keyword_owner);
      END_STATE();
    case 777:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(978);
      END_STATE();
    case 778:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(979);
      END_STATE();
    case 779:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(980);
      END_STATE();
    case 780:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(981);
      END_STATE();
    case 781:
      ACCEPT_TOKEN(sym_keyword_plain);
      END_STATE();
    case 782:
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(982);
      END_STATE();
    case 783:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(983);
      END_STATE();
    case 784:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(984);
      END_STATE();
    case 785:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(985);
      END_STATE();
    case 786:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(986);
      END_STATE();
    case 787:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(987);
      END_STATE();
    case 788:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(988);
      END_STATE();
    case 789:
      ACCEPT_TOKEN(sym_keyword_quote);
      END_STATE();
    case 790:
      ACCEPT_TOKEN(sym_keyword_range);
      END_STATE();
    case 791:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(989);
      END_STATE();
    case 792:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(990);
      END_STATE();
    case 793:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(991);
      END_STATE();
    case 794:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(992);
      END_STATE();
    case 795:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(993);
      END_STATE();
    case 796:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(994);
      END_STATE();
    case 797:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(995);
      END_STATE();
    case 798:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(996);
      END_STATE();
    case 799:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(997);
      END_STATE();
    case 800:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(998);
      END_STATE();
    case 801:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(999);
      END_STATE();
    case 802:
      ACCEPT_TOKEN(sym_keyword_reset);
      END_STATE();
    case 803:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1000);
      END_STATE();
    case 804:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1001);
      END_STATE();
    case 805:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1002);
      END_STATE();
    case 806:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1003);
      END_STATE();
    case 807:
      ACCEPT_TOKEN(sym_keyword_right);
      END_STATE();
    case 808:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1004);
      END_STATE();
    case 809:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1005);
      END_STATE();
    case 810:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1006);
      END_STATE();
    case 811:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1007);
      END_STATE();
    case 812:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1008);
      END_STATE();
    case 813:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1009);
      END_STATE();
    case 814:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1010);
      END_STATE();
    case 815:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1011);
      END_STATE();
    case 816:
      ACCEPT_TOKEN(sym_keyword_setof);
      END_STATE();
    case 817:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1012);
      END_STATE();
    case 818:
      ADVANCE_MAP(
        'D', 1013,
        'd', 1013,
        'I', 1014,
        'i', 1014,
        'M', 1015,
        'm', 1015,
        'S', 1016,
        's', 1016,
      );
      END_STATE();
    case 819:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1017);
      END_STATE();
    case 820:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1018);
      END_STATE();
    case 821:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1019);
      END_STATE();
    case 822:
      ACCEPT_TOKEN(sym_keyword_start);
      END_STATE();
    case 823:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1020);
      END_STATE();
    case 824:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1021);
      END_STATE();
    case 825:
      ACCEPT_TOKEN(sym_keyword_stats);
      END_STATE();
    case 826:
      ACCEPT_TOKEN(sym_keyword_stdin);
      END_STATE();
    case 827:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1022);
      END_STATE();
    case 828:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1023);
      END_STATE();
    case 829:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1024);
      END_STATE();
    case 830:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1025);
      END_STATE();
    case 831:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1026);
      END_STATE();
    case 832:
      ACCEPT_TOKEN(sym_keyword_table);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1027);
      END_STATE();
    case 833:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1028);
      END_STATE();
    case 834:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1029);
      END_STATE();
    case 835:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1030);
      END_STATE();
    case 836:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1031);
      END_STATE();
    case 837:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1032);
      END_STATE();
    case 838:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1033);
      END_STATE();
    case 839:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1034);
      END_STATE();
    case 840:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1035);
      END_STATE();
    case 841:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1036);
      END_STATE();
    case 842:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1037);
      END_STATE();
    case 843:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1038);
      END_STATE();
    case 844:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1039);
      END_STATE();
    case 845:
      ACCEPT_TOKEN(sym_keyword_union);
      END_STATE();
    case 846:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1040);
      END_STATE();
    case 847:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1041);
      END_STATE();
    case 848:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1042);
      END_STATE();
    case 849:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1043);
      END_STATE();
    case 850:
      ACCEPT_TOKEN(sym_keyword_until);
      END_STATE();
    case 851:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1044);
      END_STATE();
    case 852:
      ACCEPT_TOKEN(sym_keyword_using);
      END_STATE();
    case 853:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1045);
      END_STATE();
    case 854:
      ACCEPT_TOKEN(sym_keyword_valid);
      END_STATE();
    case 855:
      ACCEPT_TOKEN(sym_keyword_value);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1046);
      END_STATE();
    case 856:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1047);
      END_STATE();
    case 857:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1048);
      END_STATE();
    case 858:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1049);
      END_STATE();
    case 859:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1050);
      END_STATE();
    case 860:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1051);
      END_STATE();
    case 861:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1052);
      END_STATE();
    case 862:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1053);
      END_STATE();
    case 863:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1054);
      END_STATE();
    case 864:
      ACCEPT_TOKEN(sym_keyword_where);
      END_STATE();
    case 865:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(1055);
      END_STATE();
    case 866:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1056);
      END_STATE();
    case 867:
      ACCEPT_TOKEN(sym_keyword_write);
      END_STATE();
    case 868:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1057);
      END_STATE();
    case 869:
      ACCEPT_TOKEN(sym_keyword_action);
      END_STATE();
    case 870:
      ACCEPT_TOKEN(sym_keyword_always);
      END_STATE();
    case 871:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1058);
      END_STATE();
    case 872:
      ACCEPT_TOKEN(sym_keyword_atomic);
      END_STATE();
    case 873:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1059);
      END_STATE();
    case 874:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1060);
      END_STATE();
    case 875:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1061);
      END_STATE();
    case 876:
      ACCEPT_TOKEN(sym_keyword_before);
      END_STATE();
    case 877:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1062);
      END_STATE();
    case 878:
      ACCEPT_TOKEN(aux_sym_keyword_bigint_token1);
      END_STATE();
    case 879:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1063);
      END_STATE();
    case 880:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1064);
      END_STATE();
    case 881:
      ACCEPT_TOKEN(sym_keyword_binary);
      END_STATE();
    case 882:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1065);
      END_STATE();
    case 883:
      ACCEPT_TOKEN(sym_keyword_cached);
      END_STATE();
    case 884:
      ACCEPT_TOKEN(sym_keyword_called);
      END_STATE();
    case 885:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1066);
      END_STATE();
    case 886:
      ACCEPT_TOKEN(sym_keyword_change);
      END_STATE();
    case 887:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1067);
      END_STATE();
    case 888:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1068);
      END_STATE();
    case 889:
      ACCEPT_TOKEN(sym_keyword_column);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1069);
      END_STATE();
    case 890:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1070);
      END_STATE();
    case 891:
      ACCEPT_TOKEN(sym_keyword_commit);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1071);
      END_STATE();
    case 892:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1072);
      END_STATE();
    case 893:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1073);
      END_STATE();
    case 894:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1074);
      END_STATE();
    case 895:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1075);
      END_STATE();
    case 896:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1076);
      END_STATE();
    case 897:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1077);
      END_STATE();
    case 898:
      ACCEPT_TOKEN(sym_keyword_create);
      END_STATE();
    case 899:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1078);
      END_STATE();
    case 900:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1079);
      END_STATE();
    case 901:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1080);
      END_STATE();
    case 902:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1081);
      END_STATE();
    case 903:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1082);
      END_STATE();
    case 904:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1083);
      END_STATE();
    case 905:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1084);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1085);
      END_STATE();
    case 906:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1086);
      END_STATE();
    case 907:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1087);
      END_STATE();
    case 908:
      ACCEPT_TOKEN(sym_keyword_delete);
      END_STATE();
    case 909:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1088);
      END_STATE();
    case 910:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1089);
      END_STATE();
    case 911:
      ACCEPT_TOKEN(sym_keyword_double);
      END_STATE();
    case 912:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1090);
      END_STATE();
    case 913:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1091);
      END_STATE();
    case 914:
      ACCEPT_TOKEN(sym_keyword_engine);
      END_STATE();
    case 915:
      ACCEPT_TOKEN(sym_keyword_escape);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1092);
      END_STATE();
    case 916:
      ACCEPT_TOKEN(sym_keyword_except);
      END_STATE();
    case 917:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1093);
      END_STATE();
    case 918:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1094);
      END_STATE();
    case 919:
      ACCEPT_TOKEN(sym_keyword_exists);
      END_STATE();
    case 920:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1095);
      END_STATE();
    case 921:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1096);
      END_STATE();
    case 922:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1097);
      END_STATE();
    case 923:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1098);
      END_STATE();
    case 924:
      ACCEPT_TOKEN(sym_keyword_fields);
      END_STATE();
    case 925:
      ACCEPT_TOKEN(sym_keyword_filter);
      END_STATE();
    case 926:
      ACCEPT_TOKEN(aux_sym_keyword_real_token2);
      END_STATE();
    case 927:
      ACCEPT_TOKEN(aux_sym_double_token1);
      END_STATE();
    case 928:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1099);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1100);
      END_STATE();
    case 929:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1101);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(1102);
      END_STATE();
    case 930:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1103);
      END_STATE();
    case 931:
      ACCEPT_TOKEN(sym_keyword_format);
      END_STATE();
    case 932:
      ACCEPT_TOKEN(sym_keyword_freeze);
      END_STATE();
    case 933:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1104);
      END_STATE();
    case 934:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1105);
      END_STATE();
    case 935:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1106);
      END_STATE();
    case 936:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1107);
      END_STATE();
    case 937:
      ACCEPT_TOKEN(sym_keyword_groups);
      END_STATE();
    case 938:
      ACCEPT_TOKEN(sym_keyword_having);
      END_STATE();
    case 939:
      ACCEPT_TOKEN(sym_keyword_header);
      END_STATE();
    case 940:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1108);
      END_STATE();
    case 941:
      ACCEPT_TOKEN(sym_keyword_ignore);
      END_STATE();
    case 942:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1109);
      END_STATE();
    case 943:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1110);
      END_STATE();
    case 944:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1111);
      END_STATE();
    case 945:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1112);
      END_STATE();
    case 946:
      ACCEPT_TOKEN(sym_keyword_insert);
      END_STATE();
    case 947:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1113);
      END_STATE();
    case 948:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1114);
      END_STATE();
    case 949:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1115);
      END_STATE();
    case 950:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1116);
      END_STATE();
    case 951:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1117);
      END_STATE();
    case 952:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1118);
      END_STATE();
    case 953:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1119);
      END_STATE();
    case 954:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1120);
      END_STATE();
    case 955:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1121);
      END_STATE();
    case 956:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1122);
      END_STATE();
    case 957:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1123);
      END_STATE();
    case 958:
      ACCEPT_TOKEN(sym_keyword_logged);
      END_STATE();
    case 959:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1124);
      END_STATE();
    case 960:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1125);
      END_STATE();
    case 961:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1126);
      END_STATE();
    case 962:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1127);
      END_STATE();
    case 963:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1128);
      END_STATE();
    case 964:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1129);
      END_STATE();
    case 965:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1130);
      END_STATE();
    case 966:
      ACCEPT_TOKEN(sym_keyword_modify);
      END_STATE();
    case 967:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1131);
      END_STATE();
    case 968:
      ACCEPT_TOKEN(sym_keyword_noscan);
      END_STATE();
    case 969:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1132);
      END_STATE();
    case 970:
      ACCEPT_TOKEN(sym_keyword_nowait);
      END_STATE();
    case 971:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1133);
      END_STATE();
    case 972:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1134);
      END_STATE();
    case 973:
      ACCEPT_TOKEN(sym_keyword_offset);
      END_STATE();
    case 974:
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(1135);
      END_STATE();
    case 975:
      ACCEPT_TOKEN(sym_keyword_option);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1136);
      END_STATE();
    case 976:
      ACCEPT_TOKEN(sym_keyword_others);
      END_STATE();
    case 977:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1137);
      END_STATE();
    case 978:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1138);
      END_STATE();
    case 979:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1139);
      END_STATE();
    case 980:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1140);
      END_STATE();
    case 981:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1141);
      END_STATE();
    case 982:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1142);
      END_STATE();
    case 983:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1143);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1144);
      END_STATE();
    case 984:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1145);
      END_STATE();
    case 985:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1146);
      END_STATE();
    case 986:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1147);
      END_STATE();
    case 987:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1148);
      END_STATE();
    case 988:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1149);
      END_STATE();
    case 989:
      ACCEPT_TOKEN(sym_keyword_rcfile);
      END_STATE();
    case 990:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1150);
      END_STATE();
    case 991:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1151);
      END_STATE();
    case 992:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1152);
      END_STATE();
    case 993:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1153);
      END_STATE();
    case 994:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1154);
      END_STATE();
    case 995:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1155);
      END_STATE();
    case 996:
      ACCEPT_TOKEN(sym_keyword_rename);
      END_STATE();
    case 997:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1156);
      END_STATE();
    case 998:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1157);
      END_STATE();
    case 999:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1158);
      END_STATE();
    case 1000:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1159);
      END_STATE();
    case 1001:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1160);
      END_STATE();
    case 1002:
      ACCEPT_TOKEN(sym_keyword_return);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1161);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1162);
      END_STATE();
    case 1003:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1163);
      END_STATE();
    case 1004:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1164);
      END_STATE();
    case 1005:
      ACCEPT_TOKEN(sym_keyword_schema);
      END_STATE();
    case 1006:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1165);
      END_STATE();
    case 1007:
      ACCEPT_TOKEN(sym_keyword_select);
      END_STATE();
    case 1008:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1166);
      END_STATE();
    case 1009:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1167);
      END_STATE();
    case 1010:
      ACCEPT_TOKEN(aux_sym_keyword_serial_token1);
      if (lookahead == '2') ADVANCE(1168);
      if (lookahead == '4') ADVANCE(1169);
      if (lookahead == '8') ADVANCE(1170);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1171);
      END_STATE();
    case 1011:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1172);
      END_STATE();
    case 1012:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1173);
      END_STATE();
    case 1013:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1174);
      END_STATE();
    case 1014:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1175);
      END_STATE();
    case 1015:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1176);
      END_STATE();
    case 1016:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1177);
      END_STATE();
    case 1017:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1178);
      END_STATE();
    case 1018:
      ACCEPT_TOKEN(sym_keyword_spgist);
      END_STATE();
    case 1019:
      ACCEPT_TOKEN(sym_keyword_stable);
      END_STATE();
    case 1020:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1179);
      END_STATE();
    case 1021:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1180);
      END_STATE();
    case 1022:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1181);
      END_STATE();
    case 1023:
      ACCEPT_TOKEN(sym_keyword_stored);
      END_STATE();
    case 1024:
      ACCEPT_TOKEN(sym_keyword_strict);
      END_STATE();
    case 1025:
      ACCEPT_TOKEN(sym_keyword_string);
      END_STATE();
    case 1026:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1182);
      END_STATE();
    case 1027:
      ACCEPT_TOKEN(sym_keyword_tables);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1183);
      END_STATE();
    case 1028:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1184);
      END_STATE();
    case 1029:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1185);
      END_STATE();
    case 1030:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1186);
      END_STATE();
    case 1031:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1187);
      END_STATE();
    case 1032:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1188);
      END_STATE();
    case 1033:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1189);
      END_STATE();
    case 1034:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1190);
      END_STATE();
    case 1035:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1191);
      END_STATE();
    case 1036:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1192);
      END_STATE();
    case 1037:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1193);
      END_STATE();
    case 1038:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1194);
      END_STATE();
    case 1039:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1195);
      END_STATE();
    case 1040:
      ACCEPT_TOKEN(sym_keyword_unique);
      END_STATE();
    case 1041:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1196);
      END_STATE();
    case 1042:
      ACCEPT_TOKEN(sym_keyword_unsafe);
      END_STATE();
    case 1043:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1197);
      END_STATE();
    case 1044:
      ACCEPT_TOKEN(sym_keyword_update);
      END_STATE();
    case 1045:
      ACCEPT_TOKEN(sym_keyword_vacuum);
      END_STATE();
    case 1046:
      ACCEPT_TOKEN(sym_keyword_values);
      END_STATE();
    case 1047:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1198);
      END_STATE();
    case 1048:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1199);
      END_STATE();
    case 1049:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1200);
      END_STATE();
    case 1050:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1201);
      END_STATE();
    case 1051:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1202);
      END_STATE();
    case 1052:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1203);
      END_STATE();
    case 1053:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1204);
      END_STATE();
    case 1054:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1205);
      END_STATE();
    case 1055:
      ACCEPT_TOKEN(sym_keyword_window);
      END_STATE();
    case 1056:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1206);
      END_STATE();
    case 1057:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1207);
      END_STATE();
    case 1058:
      ACCEPT_TOKEN(sym_keyword_analyze);
      END_STATE();
    case 1059:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1208);
      END_STATE();
    case 1060:
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(1209);
      END_STATE();
    case 1061:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1210);
      END_STATE();
    case 1062:
      ACCEPT_TOKEN(sym_keyword_between);
      END_STATE();
    case 1063:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1211);
      END_STATE();
    case 1064:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1212);
      END_STATE();
    case 1065:
      ACCEPT_TOKEN(sym_keyword_boolean);
      END_STATE();
    case 1066:
      ACCEPT_TOKEN(sym_keyword_cascade);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1213);
      END_STATE();
    case 1067:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1214);
      END_STATE();
    case 1068:
      ACCEPT_TOKEN(sym_keyword_collate);
      END_STATE();
    case 1069:
      ACCEPT_TOKEN(sym_keyword_columns);
      END_STATE();
    case 1070:
      ACCEPT_TOKEN(sym_keyword_comment);
      END_STATE();
    case 1071:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1215);
      END_STATE();
    case 1072:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1216);
      END_STATE();
    case 1073:
      ACCEPT_TOKEN(sym_keyword_compute);
      END_STATE();
    case 1074:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1217);
      END_STATE();
    case 1075:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1218);
      END_STATE();
    case 1076:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1219);
      END_STATE();
    case 1077:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1220);
      END_STATE();
    case 1078:
      ACCEPT_TOKEN(sym_keyword_current);
      if (lookahead == '_') ADVANCE(1221);
      END_STATE();
    case 1079:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1222);
      END_STATE();
    case 1080:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1223);
      END_STATE();
    case 1081:
      ACCEPT_TOKEN(sym_keyword_decimal);
      END_STATE();
    case 1082:
      ACCEPT_TOKEN(sym_keyword_declare);
      END_STATE();
    case 1083:
      ACCEPT_TOKEN(sym_keyword_default);
      END_STATE();
    case 1084:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1224);
      END_STATE();
    case 1085:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1225);
      END_STATE();
    case 1086:
      ACCEPT_TOKEN(sym_keyword_definer);
      END_STATE();
    case 1087:
      ACCEPT_TOKEN(sym_keyword_delayed);
      END_STATE();
    case 1088:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1226);
      END_STATE();
    case 1089:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1227);
      END_STATE();
    case 1090:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1228);
      END_STATE();
    case 1091:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1229);
      END_STATE();
    case 1092:
      ACCEPT_TOKEN(sym_keyword_escaped);
      END_STATE();
    case 1093:
      ACCEPT_TOKEN(sym_keyword_exclude);
      END_STATE();
    case 1094:
      ACCEPT_TOKEN(sym_keyword_execute);
      END_STATE();
    case 1095:
      ACCEPT_TOKEN(sym_keyword_explain);
      END_STATE();
    case 1096:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1230);
      END_STATE();
    case 1097:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1231);
      END_STATE();
    case 1098:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1232);
      END_STATE();
    case 1099:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1233);
      END_STATE();
    case 1100:
      ACCEPT_TOKEN(sym_keyword_follows);
      END_STATE();
    case 1101:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1234);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1235);
      END_STATE();
    case 1102:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1236);
      END_STATE();
    case 1103:
      ACCEPT_TOKEN(sym_keyword_foreign);
      END_STATE();
    case 1104:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1237);
      END_STATE();
    case 1105:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1238);
      END_STATE();
    case 1106:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1239);
      END_STATE();
    case 1107:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1240);
      END_STATE();
    case 1108:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1241);
      END_STATE();
    case 1109:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1242);
      END_STATE();
    case 1110:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1243);
      END_STATE();
    case 1111:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1244);
      END_STATE();
    case 1112:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1245);
      END_STATE();
    case 1113:
      ACCEPT_TOKEN(sym_keyword_instead);
      END_STATE();
    case 1114:
      ACCEPT_TOKEN(aux_sym_keyword_int_token2);
      END_STATE();
    case 1115:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1246);
      END_STATE();
    case 1116:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1247);
      END_STATE();
    case 1117:
      ACCEPT_TOKEN(sym_keyword_invoker);
      END_STATE();
    case 1118:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1248);
      END_STATE();
    case 1119:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1249);
      END_STATE();
    case 1120:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1250);
      END_STATE();
    case 1121:
      ACCEPT_TOKEN(sym_keyword_lateral);
      END_STATE();
    case 1122:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1251);
      END_STATE();
    case 1123:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1252);
      END_STATE();
    case 1124:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1253);
      END_STATE();
    case 1125:
      ACCEPT_TOKEN(sym_keyword_matched);
      END_STATE();
    case 1126:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1254);
      END_STATE();
    case 1127:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1255);
      END_STATE();
    case 1128:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1256);
      END_STATE();
    case 1129:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1257);
      END_STATE();
    case 1130:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1258);
      END_STATE();
    case 1131:
      ACCEPT_TOKEN(sym_keyword_natural);
      END_STATE();
    case 1132:
      ACCEPT_TOKEN(sym_keyword_nothing);
      END_STATE();
    case 1133:
      ACCEPT_TOKEN(sym_keyword_numeric);
      END_STATE();
    case 1134:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1259);
      END_STATE();
    case 1135:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1260);
      END_STATE();
    case 1136:
      ACCEPT_TOKEN(sym_keyword_options);
      END_STATE();
    case 1137:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1261);
      END_STATE();
    case 1138:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1262);
      END_STATE();
    case 1139:
      ACCEPT_TOKEN(sym_keyword_parquet);
      END_STATE();
    case 1140:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1263);
      END_STATE();
    case 1141:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1264);
      END_STATE();
    case 1142:
      ACCEPT_TOKEN(sym_keyword_plpgsql);
      END_STATE();
    case 1143:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1265);
      END_STATE();
    case 1144:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1266);
      END_STATE();
    case 1145:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1267);
      END_STATE();
    case 1146:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1268);
      END_STATE();
    case 1147:
      ACCEPT_TOKEN(sym_keyword_primary);
      END_STATE();
    case 1148:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1269);
      END_STATE();
    case 1149:
      ACCEPT_TOKEN(sym_keyword_program);
      END_STATE();
    case 1150:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1270);
      END_STATE();
    case 1151:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1271);
      END_STATE();
    case 1152:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1272);
      END_STATE();
    case 1153:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1273);
      END_STATE();
    case 1154:
      ACCEPT_TOKEN(sym_keyword_regproc);
      END_STATE();
    case 1155:
      ACCEPT_TOKEN(sym_keyword_regtype);
      END_STATE();
    case 1156:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1274);
      END_STATE();
    case 1157:
      ACCEPT_TOKEN(sym_keyword_replace);
      END_STATE();
    case 1158:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1275);
      END_STATE();
    case 1159:
      ACCEPT_TOKEN(sym_keyword_restart);
      END_STATE();
    case 1160:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1276);
      END_STATE();
    case 1161:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1277);
      END_STATE();
    case 1162:
      ACCEPT_TOKEN(sym_keyword_returns);
      END_STATE();
    case 1163:
      ACCEPT_TOKEN(sym_keyword_rewrite);
      END_STATE();
    case 1164:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1278);
      END_STATE();
    case 1165:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1279);
      END_STATE();
    case 1166:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1280);
      END_STATE();
    case 1167:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1281);
      END_STATE();
    case 1168:
      ACCEPT_TOKEN(aux_sym_keyword_smallserial_token2);
      END_STATE();
    case 1169:
      ACCEPT_TOKEN(aux_sym_keyword_serial_token2);
      END_STATE();
    case 1170:
      ACCEPT_TOKEN(aux_sym_keyword_bigserial_token2);
      END_STATE();
    case 1171:
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(1282);
      END_STATE();
    case 1172:
      ACCEPT_TOKEN(sym_keyword_session);
      END_STATE();
    case 1173:
      ACCEPT_TOKEN(sym_keyword_similar);
      END_STATE();
    case 1174:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1283);
      END_STATE();
    case 1175:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1284);
      END_STATE();
    case 1176:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1285);
      END_STATE();
    case 1177:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1286);
      END_STATE();
    case 1178:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1287);
      END_STATE();
    case 1179:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1288);
      END_STATE();
    case 1180:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1289);
      END_STATE();
    case 1181:
      ACCEPT_TOKEN(sym_keyword_storage);
      END_STATE();
    case 1182:
      ACCEPT_TOKEN(sym_keyword_support);
      END_STATE();
    case 1183:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1290);
      END_STATE();
    case 1184:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1291);
      END_STATE();
    case 1185:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1292);
      END_STATE();
    case 1186:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1293);
      END_STATE();
    case 1187:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1294);
      END_STATE();
    case 1188:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1295);
      END_STATE();
    case 1189:
      ACCEPT_TOKEN(aux_sym_keyword_tinyint_token1);
      END_STATE();
    case 1190:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1296);
      END_STATE();
    case 1191:
      ACCEPT_TOKEN(sym_keyword_trigger);
      END_STATE();
    case 1192:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1297);
      END_STATE();
    case 1193:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1298);
      END_STATE();
    case 1194:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1299);
      END_STATE();
    case 1195:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1300);
      END_STATE();
    case 1196:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1301);
      END_STATE();
    case 1197:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1302);
      END_STATE();
    case 1198:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1303);
      END_STATE();
    case 1199:
      ACCEPT_TOKEN(aux_sym_keyword_varchar_token1);
      END_STATE();
    case 1200:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1304);
      END_STATE();
    case 1201:
      ACCEPT_TOKEN(sym_keyword_varying);
      END_STATE();
    case 1202:
      ACCEPT_TOKEN(sym_keyword_verbose);
      END_STATE();
    case 1203:
      ACCEPT_TOKEN(sym_keyword_version);
      END_STATE();
    case 1204:
      ACCEPT_TOKEN(sym_keyword_virtual);
      END_STATE();
    case 1205:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1305);
      END_STATE();
    case 1206:
      ACCEPT_TOKEN(sym_keyword_without);
      END_STATE();
    case 1207:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1306);
      END_STATE();
    case 1208:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1307);
      END_STATE();
    case 1209:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1308);
      END_STATE();
    case 1210:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1309);
      END_STATE();
    case 1211:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1310);
      END_STATE();
    case 1212:
      ACCEPT_TOKEN(sym_keyword_bin_pack);
      END_STATE();
    case 1213:
      ACCEPT_TOKEN(sym_keyword_cascaded);
      END_STATE();
    case 1214:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1311);
      END_STATE();
    case 1215:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1312);
      END_STATE();
    case 1216:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1313);
      END_STATE();
    case 1217:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1314);
      END_STATE();
    case 1218:
      ACCEPT_TOKEN(sym_keyword_conflict);
      END_STATE();
    case 1219:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1315);
      END_STATE();
    case 1220:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1316);
      END_STATE();
    case 1221:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1317);
      END_STATE();
    case 1222:
      ACCEPT_TOKEN(sym_keyword_database);
      END_STATE();
    case 1223:
      ACCEPT_TOKEN(sym_keyword_datetime);
      if (lookahead == '2') ADVANCE(1318);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1319);
      END_STATE();
    case 1224:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1320);
      END_STATE();
    case 1225:
      ACCEPT_TOKEN(sym_keyword_deferred);
      END_STATE();
    case 1226:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1321);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1322);
      END_STATE();
    case 1227:
      ACCEPT_TOKEN(sym_keyword_distinct);
      END_STATE();
    case 1228:
      ACCEPT_TOKEN(sym_keyword_encoding);
      END_STATE();
    case 1229:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1323);
      END_STATE();
    case 1230:
      ACCEPT_TOKEN(sym_keyword_extended);
      END_STATE();
    case 1231:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1324);
      END_STATE();
    case 1232:
      ACCEPT_TOKEN(sym_keyword_external);
      END_STATE();
    case 1233:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1325);
      END_STATE();
    case 1234:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1326);
      END_STATE();
    case 1235:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1327);
      END_STATE();
    case 1236:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1328);
      END_STATE();
    case 1237:
      ACCEPT_TOKEN(sym_keyword_function);
      END_STATE();
    case 1238:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1329);
      END_STATE();
    case 1239:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1330);
      END_STATE();
    case 1240:
      ACCEPT_TOKEN(sym_keyword_geometry);
      END_STATE();
    case 1241:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1331);
      END_STATE();
    case 1242:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1332);
      END_STATE();
    case 1243:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1333);
      END_STATE();
    case 1244:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1334);
      END_STATE();
    case 1245:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1335);
      END_STATE();
    case 1246:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1336);
      END_STATE();
    case 1247:
      ACCEPT_TOKEN(sym_keyword_interval);
      END_STATE();
    case 1248:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1337);
      END_STATE();
    case 1249:
      ACCEPT_TOKEN(sym_keyword_jsonfile);
      END_STATE();
    case 1250:
      ACCEPT_TOKEN(sym_keyword_language);
      END_STATE();
    case 1251:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1338);
      END_STATE();
    case 1252:
      ACCEPT_TOKEN(sym_keyword_location);
      END_STATE();
    case 1253:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1339);
      END_STATE();
    case 1254:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1340);
      END_STATE();
    case 1255:
      ACCEPT_TOKEN(sym_keyword_maxvalue);
      END_STATE();
    case 1256:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1341);
      END_STATE();
    case 1257:
      ACCEPT_TOKEN(sym_keyword_metadata);
      END_STATE();
    case 1258:
      ACCEPT_TOKEN(sym_keyword_minvalue);
      END_STATE();
    case 1259:
      ACCEPT_TOKEN(sym_keyword_nvarchar);
      END_STATE();
    case 1260:
      ACCEPT_TOKEN(sym_keyword_optimize);
      END_STATE();
    case 1261:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1342);
      END_STATE();
    case 1262:
      ACCEPT_TOKEN(sym_keyword_parallel);
      END_STATE();
    case 1263:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1343);
      END_STATE();
    case 1264:
      ACCEPT_TOKEN(sym_keyword_password);
      END_STATE();
    case 1265:
      ACCEPT_TOKEN(sym_keyword_precedes);
      END_STATE();
    case 1266:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1344);
      END_STATE();
    case 1267:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1345);
      END_STATE();
    case 1268:
      ACCEPT_TOKEN(sym_keyword_preserve);
      END_STATE();
    case 1269:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1346);
      END_STATE();
    case 1270:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1347);
      END_STATE();
    case 1271:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1348);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1349);
      END_STATE();
    case 1272:
      ACCEPT_TOKEN(sym_keyword_regclass);
      END_STATE();
    case 1273:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1350);
      END_STATE();
    case 1274:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1351);
      END_STATE();
    case 1275:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1352);
      END_STATE();
    case 1276:
      ACCEPT_TOKEN(sym_keyword_restrict);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1353);
      END_STATE();
    case 1277:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1354);
      END_STATE();
    case 1278:
      ACCEPT_TOKEN(sym_keyword_rollback);
      END_STATE();
    case 1279:
      ACCEPT_TOKEN(sym_keyword_security);
      END_STATE();
    case 1280:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1355);
      END_STATE();
    case 1281:
      ACCEPT_TOKEN(sym_keyword_sequence);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1356);
      END_STATE();
    case 1282:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1357);
      END_STATE();
    case 1283:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1358);
      END_STATE();
    case 1284:
      ACCEPT_TOKEN(aux_sym_keyword_smallint_token1);
      END_STATE();
    case 1285:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1359);
      END_STATE();
    case 1286:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1360);
      END_STATE();
    case 1287:
      ACCEPT_TOKEN(sym_keyword_snapshot);
      END_STATE();
    case 1288:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1361);
      END_STATE();
    case 1289:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1362);
      END_STATE();
    case 1290:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1363);
      END_STATE();
    case 1291:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1364);
      END_STATE();
    case 1292:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1365);
      END_STATE();
    case 1293:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1366);
      END_STATE();
    case 1294:
      ACCEPT_TOKEN(sym_keyword_textfile);
      END_STATE();
    case 1295:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1367);
      END_STATE();
    case 1296:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1368);
      END_STATE();
    case 1297:
      ACCEPT_TOKEN(sym_keyword_truncate);
      END_STATE();
    case 1298:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1369);
      END_STATE();
    case 1299:
      ACCEPT_TOKEN(sym_keyword_uncached);
      END_STATE();
    case 1300:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1370);
      END_STATE();
    case 1301:
      ACCEPT_TOKEN(sym_keyword_unlogged);
      END_STATE();
    case 1302:
      ACCEPT_TOKEN(sym_keyword_unsigned);
      END_STATE();
    case 1303:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1371);
      END_STATE();
    case 1304:
      ACCEPT_TOKEN(sym_keyword_variadic);
      END_STATE();
    case 1305:
      ACCEPT_TOKEN(sym_keyword_volatile);
      END_STATE();
    case 1306:
      ACCEPT_TOKEN(sym_keyword_zerofill);
      END_STATE();
    case 1307:
      ACCEPT_TOKEN(sym_keyword_attribute);
      END_STATE();
    case 1308:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1372);
      END_STATE();
    case 1309:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1373);
      END_STATE();
    case 1310:
      ACCEPT_TOKEN(aux_sym_keyword_bigserial_token1);
      END_STATE();
    case 1311:
      ACCEPT_TOKEN(aux_sym_keyword_character_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1374);
      END_STATE();
    case 1312:
      ACCEPT_TOKEN(sym_keyword_committed);
      END_STATE();
    case 1313:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1375);
      END_STATE();
    case 1314:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1376);
      END_STATE();
    case 1315:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1377);
      END_STATE();
    case 1316:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1378);
      END_STATE();
    case 1317:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1379);
      END_STATE();
    case 1318:
      ACCEPT_TOKEN(sym_keyword_datetime2);
      END_STATE();
    case 1319:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1380);
      END_STATE();
    case 1320:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1381);
      END_STATE();
    case 1321:
      ACCEPT_TOKEN(sym_keyword_delimited);
      END_STATE();
    case 1322:
      ACCEPT_TOKEN(sym_keyword_delimiter);
      END_STATE();
    case 1323:
      ACCEPT_TOKEN(sym_keyword_encrypted);
      END_STATE();
    case 1324:
      ACCEPT_TOKEN(sym_keyword_extension);
      END_STATE();
    case 1325:
      ACCEPT_TOKEN(sym_keyword_following);
      END_STATE();
    case 1326:
      if (lookahead == '_') ADVANCE(1382);
      END_STATE();
    case 1327:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1383);
      END_STATE();
    case 1328:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1384);
      END_STATE();
    case 1329:
      ACCEPT_TOKEN(sym_keyword_generated);
      END_STATE();
    case 1330:
      ACCEPT_TOKEN(sym_keyword_geography);
      END_STATE();
    case 1331:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1385);
      END_STATE();
    case 1332:
      ACCEPT_TOKEN(sym_keyword_immediate);
      END_STATE();
    case 1333:
      ACCEPT_TOKEN(sym_keyword_immutable);
      END_STATE();
    case 1334:
      ACCEPT_TOKEN(sym_keyword_increment);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1386);
      END_STATE();
    case 1335:
      ACCEPT_TOKEN(sym_keyword_initially);
      END_STATE();
    case 1336:
      ACCEPT_TOKEN(sym_keyword_intersect);
      END_STATE();
    case 1337:
      ACCEPT_TOKEN(sym_keyword_isolation);
      END_STATE();
    case 1338:
      ACCEPT_TOKEN(sym_keyword_leakproof);
      END_STATE();
    case 1339:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1387);
      END_STATE();
    case 1340:
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(1388);
      END_STATE();
    case 1341:
      ACCEPT_TOKEN(aux_sym_keyword_mediumint_token1);
      END_STATE();
    case 1342:
      ACCEPT_TOKEN(sym_keyword_overwrite);
      END_STATE();
    case 1343:
      ACCEPT_TOKEN(sym_keyword_partition);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1389);
      END_STATE();
    case 1344:
      ACCEPT_TOKEN(sym_keyword_preceding);
      END_STATE();
    case 1345:
      ACCEPT_TOKEN(sym_keyword_precision);
      END_STATE();
    case 1346:
      ACCEPT_TOKEN(sym_keyword_procedure);
      END_STATE();
    case 1347:
      ACCEPT_TOKEN(sym_keyword_recursive);
      END_STATE();
    case 1348:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1390);
      END_STATE();
    case 1349:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1391);
      END_STATE();
    case 1350:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1392);
      END_STATE();
    case 1351:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1393);
      END_STATE();
    case 1352:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1394);
      END_STATE();
    case 1353:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1395);
      END_STATE();
    case 1354:
      ACCEPT_TOKEN(sym_keyword_returning);
      END_STATE();
    case 1355:
      ACCEPT_TOKEN(sym_keyword_separator);
      END_STATE();
    case 1356:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1396);
      END_STATE();
    case 1357:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1397);
      END_STATE();
    case 1358:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1398);
      END_STATE();
    case 1359:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1399);
      END_STATE();
    case 1360:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1400);
      END_STATE();
    case 1361:
      ACCEPT_TOKEN(sym_keyword_statement);
      END_STATE();
    case 1362:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1401);
      END_STATE();
    case 1363:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1402);
      END_STATE();
    case 1364:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1403);
      END_STATE();
    case 1365:
      ACCEPT_TOKEN(sym_keyword_temporary);
      END_STATE();
    case 1366:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1404);
      END_STATE();
    case 1367:
      ACCEPT_TOKEN(sym_keyword_timestamp);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1405);
      END_STATE();
    case 1368:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1406);
      END_STATE();
    case 1369:
      ACCEPT_TOKEN(sym_keyword_unbounded);
      END_STATE();
    case 1370:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1407);
      END_STATE();
    case 1371:
      ACCEPT_TOKEN(sym_keyword_varbinary);
      END_STATE();
    case 1372:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1408);
      END_STATE();
    case 1373:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1409);
      END_STATE();
    case 1374:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1410);
      END_STATE();
    case 1375:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1411);
      END_STATE();
    case 1376:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1412);
      END_STATE();
    case 1377:
      ACCEPT_TOKEN(sym_keyword_connection);
      END_STATE();
    case 1378:
      ACCEPT_TOKEN(sym_keyword_constraint);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1413);
      END_STATE();
    case 1379:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1414);
      END_STATE();
    case 1380:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1415);
      END_STATE();
    case 1381:
      ACCEPT_TOKEN(sym_keyword_deferrable);
      END_STATE();
    case 1382:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1416);
      END_STATE();
    case 1383:
      ACCEPT_TOKEN(sym_keyword_force_null);
      END_STATE();
    case 1384:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1417);
      END_STATE();
    case 1385:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1418);
      END_STATE();
    case 1386:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1419);
      END_STATE();
    case 1387:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1420);
      END_STATE();
    case 1388:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1421);
      END_STATE();
    case 1389:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1422);
      END_STATE();
    case 1390:
      ACCEPT_TOKEN(sym_keyword_references);
      END_STATE();
    case 1391:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1423);
      END_STATE();
    case 1392:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1424);
      END_STATE();
    case 1393:
      ACCEPT_TOKEN(sym_keyword_repeatable);
      END_STATE();
    case 1394:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1425);
      END_STATE();
    case 1395:
      ACCEPT_TOKEN(sym_keyword_restricted);
      END_STATE();
    case 1396:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1426);
      END_STATE();
    case 1397:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1427);
      END_STATE();
    case 1398:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1428);
      END_STATE();
    case 1399:
      ACCEPT_TOKEN(sym_keyword_smallmoney);
      END_STATE();
    case 1400:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1429);
      END_STATE();
    case 1401:
      ACCEPT_TOKEN(sym_keyword_statistics);
      END_STATE();
    case 1402:
      ACCEPT_TOKEN(sym_keyword_tablespace);
      END_STATE();
    case 1403:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1430);
      END_STATE();
    case 1404:
      ACCEPT_TOKEN(sym_keyword_terminated);
      END_STATE();
    case 1405:
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(1431);
      END_STATE();
    case 1406:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1432);
      END_STATE();
    case 1407:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1433);
      END_STATE();
    case 1408:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1434);
      END_STATE();
    case 1409:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1435);
      END_STATE();
    case 1410:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1436);
      END_STATE();
    case 1411:
      ACCEPT_TOKEN(sym_keyword_compression);
      END_STATE();
    case 1412:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1437);
      END_STATE();
    case 1413:
      ACCEPT_TOKEN(sym_keyword_constraints);
      END_STATE();
    case 1414:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1438);
      END_STATE();
    case 1415:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1439);
      END_STATE();
    case 1416:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1440);
      END_STATE();
    case 1417:
      ACCEPT_TOKEN(sym_keyword_force_quote);
      END_STATE();
    case 1418:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1441);
      END_STATE();
    case 1419:
      ACCEPT_TOKEN(sym_keyword_incremental);
      END_STATE();
    case 1420:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1442);
      END_STATE();
    case 1421:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1443);
      END_STATE();
    case 1422:
      ACCEPT_TOKEN(sym_keyword_partitioned);
      END_STATE();
    case 1423:
      ACCEPT_TOKEN(sym_keyword_referencing);
      END_STATE();
    case 1424:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1444);
      END_STATE();
    case 1425:
      ACCEPT_TOKEN(sym_keyword_replication);
      END_STATE();
    case 1426:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1445);
      END_STATE();
    case 1427:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1446);
      END_STATE();
    case 1428:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1447);
      END_STATE();
    case 1429:
      ACCEPT_TOKEN(aux_sym_keyword_smallserial_token1);
      END_STATE();
    case 1430:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1448);
      END_STATE();
    case 1431:
      ACCEPT_TOKEN(sym_keyword_timestamptz);
      END_STATE();
    case 1432:
      ACCEPT_TOKEN(sym_keyword_transaction);
      END_STATE();
    case 1433:
      ACCEPT_TOKEN(sym_keyword_uncommitted);
      END_STATE();
    case 1434:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1449);
      END_STATE();
    case 1435:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1450);
      END_STATE();
    case 1436:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1451);
      END_STATE();
    case 1437:
      ACCEPT_TOKEN(sym_keyword_concurrently);
      END_STATE();
    case 1438:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1452);
      END_STATE();
    case 1439:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1453);
      END_STATE();
    case 1440:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1454);
      END_STATE();
    case 1441:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1455);
      END_STATE();
    case 1442:
      ACCEPT_TOKEN(sym_keyword_low_priority);
      END_STATE();
    case 1443:
      ACCEPT_TOKEN(sym_keyword_materialized);
      END_STATE();
    case 1444:
      ACCEPT_TOKEN(sym_keyword_regnamespace);
      END_STATE();
    case 1445:
      ACCEPT_TOKEN(sym_keyword_sequencefile);
      END_STATE();
    case 1446:
      ACCEPT_TOKEN(sym_keyword_serializable);
      END_STATE();
    case 1447:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1456);
      END_STATE();
    case 1448:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1457);
      END_STATE();
    case 1449:
      ACCEPT_TOKEN(sym_keyword_authorization);
      END_STATE();
    case 1450:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1458);
      END_STATE();
    case 1451:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1459);
      END_STATE();
    case 1452:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1460);
      END_STATE();
    case 1453:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1461);
      END_STATE();
    case 1454:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1462);
      END_STATE();
    case 1455:
      ACCEPT_TOKEN(sym_keyword_high_priority);
      END_STATE();
    case 1456:
      ACCEPT_TOKEN(sym_keyword_smalldatetime);
      END_STATE();
    case 1457:
      ACCEPT_TOKEN(sym_keyword_tblproperties);
      END_STATE();
    case 1458:
      ACCEPT_TOKEN(sym_keyword_auto_increment);
      END_STATE();
    case 1459:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1463);
      END_STATE();
    case 1460:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1464);
      END_STATE();
    case 1461:
      ACCEPT_TOKEN(sym_keyword_datetimeoffset);
      END_STATE();
    case 1462:
      ACCEPT_TOKEN(sym_keyword_force_not_null);
      END_STATE();
    case 1463:
      ACCEPT_TOKEN(sym_keyword_characteristics);
      END_STATE();
    case 1464:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1465);
      END_STATE();
    case 1465:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1466);
      END_STATE();
    case 1466:
      ACCEPT_TOKEN(sym_keyword_current_timestamp);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 35},
  [2] = {.lex_state = 35},
  [3] = {.lex_state = 35},
  [4] = {.lex_state = 35},
  [5] = {.lex_state = 35},
  [6] = {.lex_state = 35},
  [7] = {.lex_state = 35},
  [8] = {.lex_state = 35},
  [9] = {.lex_state = 35},
  [10] = {.lex_state = 35},
  [11] = {.lex_state = 35},
  [12] = {.lex_state = 35},
  [13] = {.lex_state = 35},
  [14] = {.lex_state = 35},
  [15] = {.lex_state = 35},
  [16] = {.lex_state = 35},
  [17] = {.lex_state = 35},
  [18] = {.lex_state = 35},
  [19] = {.lex_state = 35},
  [20] = {.lex_state = 35},
  [21] = {.lex_state = 35},
  [22] = {.lex_state = 35},
  [23] = {.lex_state = 35},
  [24] = {.lex_state = 35},
  [25] = {.lex_state = 35},
  [26] = {.lex_state = 35},
  [27] = {.lex_state = 35},
  [28] = {.lex_state = 35},
  [29] = {.lex_state = 35},
  [30] = {.lex_state = 35},
  [31] = {.lex_state = 35},
  [32] = {.lex_state = 35},
  [33] = {.lex_state = 35},
  [34] = {.lex_state = 35},
  [35] = {.lex_state = 35},
  [36] = {.lex_state = 35},
  [37] = {.lex_state = 35},
  [38] = {.lex_state = 35},
  [39] = {.lex_state = 35},
  [40] = {.lex_state = 35},
  [41] = {.lex_state = 35},
  [42] = {.lex_state = 35},
  [43] = {.lex_state = 35},
  [44] = {.lex_state = 35},
  [45] = {.lex_state = 35},
  [46] = {.lex_state = 35},
  [47] = {.lex_state = 35},
  [48] = {.lex_state = 35},
  [49] = {.lex_state = 35},
  [50] = {.lex_state = 35},
  [51] = {.lex_state = 35},
  [52] = {.lex_state = 35},
  [53] = {.lex_state = 35},
  [54] = {.lex_state = 35},
  [55] = {.lex_state = 35},
  [56] = {.lex_state = 35},
  [57] = {.lex_state = 35},
  [58] = {.lex_state = 35},
  [59] = {.lex_state = 35},
  [60] = {.lex_state = 35},
  [61] = {.lex_state = 35},
  [62] = {.lex_state = 35},
  [63] = {.lex_state = 35},
  [64] = {.lex_state = 35},
  [65] = {.lex_state = 35},
  [66] = {.lex_state = 35},
  [67] = {.lex_state = 35},
  [68] = {.lex_state = 35},
  [69] = {.lex_state = 35},
  [70] = {.lex_state = 35},
  [71] = {.lex_state = 35},
  [72] = {.lex_state = 35},
  [73] = {.lex_state = 35},
  [74] = {.lex_state = 35},
  [75] = {.lex_state = 35},
  [76] = {.lex_state = 35},
  [77] = {.lex_state = 35},
  [78] = {.lex_state = 35},
  [79] = {.lex_state = 35},
  [80] = {.lex_state = 35},
  [81] = {.lex_state = 35},
  [82] = {.lex_state = 35},
  [83] = {.lex_state = 35},
  [84] = {.lex_state = 35},
  [85] = {.lex_state = 35},
  [86] = {.lex_state = 35},
  [87] = {.lex_state = 35},
  [88] = {.lex_state = 33},
  [89] = {.lex_state = 35},
  [90] = {.lex_state = 35},
  [91] = {.lex_state = 35},
  [92] = {.lex_state = 35},
  [93] = {.lex_state = 35},
  [94] = {.lex_state = 35},
  [95] = {.lex_state = 35},
  [96] = {.lex_state = 35},
  [97] = {.lex_state = 35},
  [98] = {.lex_state = 35},
  [99] = {.lex_state = 35},
  [100] = {.lex_state = 35},
  [101] = {.lex_state = 35},
  [102] = {.lex_state = 35},
  [103] = {.lex_state = 35},
  [104] = {.lex_state = 35},
  [105] = {.lex_state = 35},
  [106] = {.lex_state = 35},
  [107] = {.lex_state = 35},
  [108] = {.lex_state = 35},
  [109] = {.lex_state = 35},
  [110] = {.lex_state = 35},
  [111] = {.lex_state = 35},
  [112] = {.lex_state = 35},
  [113] = {.lex_state = 35},
  [114] = {.lex_state = 35},
  [115] = {.lex_state = 35},
  [116] = {.lex_state = 35},
  [117] = {.lex_state = 35},
  [118] = {.lex_state = 35},
  [119] = {.lex_state = 35},
  [120] = {.lex_state = 35},
  [121] = {.lex_state = 35},
  [122] = {.lex_state = 35},
  [123] = {.lex_state = 35},
  [124] = {.lex_state = 35},
  [125] = {.lex_state = 35},
  [126] = {.lex_state = 35},
  [127] = {.lex_state = 35},
  [128] = {.lex_state = 35},
  [129] = {.lex_state = 35},
  [130] = {.lex_state = 35},
  [131] = {.lex_state = 35},
  [132] = {.lex_state = 35},
  [133] = {.lex_state = 35},
  [134] = {.lex_state = 35},
  [135] = {.lex_state = 35},
  [136] = {.lex_state = 35},
  [137] = {.lex_state = 35},
  [138] = {.lex_state = 35},
  [139] = {.lex_state = 35},
  [140] = {.lex_state = 35},
  [141] = {.lex_state = 35},
  [142] = {.lex_state = 35},
  [143] = {.lex_state = 35},
  [144] = {.lex_state = 35},
  [145] = {.lex_state = 35},
  [146] = {.lex_state = 35},
  [147] = {.lex_state = 35},
  [148] = {.lex_state = 35},
  [149] = {.lex_state = 35},
  [150] = {.lex_state = 35},
  [151] = {.lex_state = 35},
  [152] = {.lex_state = 35},
  [153] = {.lex_state = 35},
  [154] = {.lex_state = 35, .external_lex_state = 2},
  [155] = {.lex_state = 35},
  [156] = {.lex_state = 35},
  [157] = {.lex_state = 35},
  [158] = {.lex_state = 35},
  [159] = {.lex_state = 35},
  [160] = {.lex_state = 35},
  [161] = {.lex_state = 35},
  [162] = {.lex_state = 35},
  [163] = {.lex_state = 35},
  [164] = {.lex_state = 35},
  [165] = {.lex_state = 35},
  [166] = {.lex_state = 35},
  [167] = {.lex_state = 35},
  [168] = {.lex_state = 35},
  [169] = {.lex_state = 35},
  [170] = {.lex_state = 35},
  [171] = {.lex_state = 35},
  [172] = {.lex_state = 35},
  [173] = {.lex_state = 35},
  [174] = {.lex_state = 35},
  [175] = {.lex_state = 35},
  [176] = {.lex_state = 35},
  [177] = {.lex_state = 35},
  [178] = {.lex_state = 35},
  [179] = {.lex_state = 35},
  [180] = {.lex_state = 35},
  [181] = {.lex_state = 35},
  [182] = {.lex_state = 35},
  [183] = {.lex_state = 35},
  [184] = {.lex_state = 35},
  [185] = {.lex_state = 35},
  [186] = {.lex_state = 35},
  [187] = {.lex_state = 35},
  [188] = {.lex_state = 35},
  [189] = {.lex_state = 35},
  [190] = {.lex_state = 35},
  [191] = {.lex_state = 35},
  [192] = {.lex_state = 35},
  [193] = {.lex_state = 35},
  [194] = {.lex_state = 35},
  [195] = {.lex_state = 35},
  [196] = {.lex_state = 35},
  [197] = {.lex_state = 35},
  [198] = {.lex_state = 35},
  [199] = {.lex_state = 35},
  [200] = {.lex_state = 36},
  [201] = {.lex_state = 35},
  [202] = {.lex_state = 35},
  [203] = {.lex_state = 35},
  [204] = {.lex_state = 35},
  [205] = {.lex_state = 33, .external_lex_state = 2},
  [206] = {.lex_state = 35},
  [207] = {.lex_state = 35},
  [208] = {.lex_state = 35},
  [209] = {.lex_state = 35},
  [210] = {.lex_state = 35},
  [211] = {.lex_state = 35},
  [212] = {.lex_state = 35},
  [213] = {.lex_state = 35},
  [214] = {.lex_state = 35},
  [215] = {.lex_state = 35},
  [216] = {.lex_state = 35},
  [217] = {.lex_state = 35},
  [218] = {.lex_state = 35},
  [219] = {.lex_state = 35},
  [220] = {.lex_state = 35},
  [221] = {.lex_state = 35},
  [222] = {.lex_state = 35},
  [223] = {.lex_state = 35},
  [224] = {.lex_state = 35},
  [225] = {.lex_state = 35},
  [226] = {.lex_state = 35},
  [227] = {.lex_state = 35},
  [228] = {.lex_state = 35},
  [229] = {.lex_state = 35},
  [230] = {.lex_state = 35},
  [231] = {.lex_state = 35},
  [232] = {.lex_state = 35},
  [233] = {.lex_state = 35},
  [234] = {.lex_state = 35},
  [235] = {.lex_state = 35},
  [236] = {.lex_state = 35},
  [237] = {.lex_state = 35},
  [238] = {.lex_state = 35},
  [239] = {.lex_state = 35},
  [240] = {.lex_state = 35},
  [241] = {.lex_state = 35},
  [242] = {.lex_state = 35},
  [243] = {.lex_state = 35},
  [244] = {.lex_state = 35},
  [245] = {.lex_state = 35},
  [246] = {.lex_state = 35},
  [247] = {.lex_state = 35},
  [248] = {.lex_state = 35},
  [249] = {.lex_state = 35},
  [250] = {.lex_state = 35},
  [251] = {.lex_state = 35},
  [252] = {.lex_state = 35},
  [253] = {.lex_state = 35},
  [254] = {.lex_state = 35},
  [255] = {.lex_state = 35},
  [256] = {.lex_state = 35},
  [257] = {.lex_state = 35},
  [258] = {.lex_state = 35},
  [259] = {.lex_state = 35},
  [260] = {.lex_state = 35},
  [261] = {.lex_state = 35},
  [262] = {.lex_state = 35},
  [263] = {.lex_state = 35},
  [264] = {.lex_state = 35},
  [265] = {.lex_state = 35},
  [266] = {.lex_state = 35},
  [267] = {.lex_state = 35},
  [268] = {.lex_state = 35},
  [269] = {.lex_state = 35},
  [270] = {.lex_state = 35},
  [271] = {.lex_state = 35},
  [272] = {.lex_state = 35},
  [273] = {.lex_state = 35},
  [274] = {.lex_state = 35},
  [275] = {.lex_state = 35},
  [276] = {.lex_state = 35},
  [277] = {.lex_state = 35},
  [278] = {.lex_state = 35},
  [279] = {.lex_state = 35},
  [280] = {.lex_state = 35},
  [281] = {.lex_state = 35},
  [282] = {.lex_state = 35},
  [283] = {.lex_state = 35},
  [284] = {.lex_state = 35},
  [285] = {.lex_state = 35},
  [286] = {.lex_state = 35},
  [287] = {.lex_state = 35},
  [288] = {.lex_state = 35, .external_lex_state = 2},
  [289] = {.lex_state = 35},
  [290] = {.lex_state = 35},
  [291] = {.lex_state = 35, .external_lex_state = 2},
  [292] = {.lex_state = 35, .external_lex_state = 2},
  [293] = {.lex_state = 35},
  [294] = {.lex_state = 33},
  [295] = {.lex_state = 35},
  [296] = {.lex_state = 35},
  [297] = {.lex_state = 35},
  [298] = {.lex_state = 35},
  [299] = {.lex_state = 35},
  [300] = {.lex_state = 35},
  [301] = {.lex_state = 35},
  [302] = {.lex_state = 35},
  [303] = {.lex_state = 35},
  [304] = {.lex_state = 35},
  [305] = {.lex_state = 35},
  [306] = {.lex_state = 35},
  [307] = {.lex_state = 35},
  [308] = {.lex_state = 35},
  [309] = {.lex_state = 35},
  [310] = {.lex_state = 35, .external_lex_state = 2},
  [311] = {.lex_state = 35},
  [312] = {.lex_state = 35},
  [313] = {.lex_state = 1, .external_lex_state = 3},
  [314] = {.lex_state = 35},
  [315] = {.lex_state = 35},
  [316] = {.lex_state = 35},
  [317] = {.lex_state = 35},
  [318] = {.lex_state = 35},
  [319] = {.lex_state = 1, .external_lex_state = 3},
  [320] = {.lex_state = 35},
  [321] = {.lex_state = 35},
  [322] = {.lex_state = 35},
  [323] = {.lex_state = 35},
  [324] = {.lex_state = 35},
  [325] = {.lex_state = 35},
  [326] = {.lex_state = 35},
  [327] = {.lex_state = 35},
  [328] = {.lex_state = 35},
  [329] = {.lex_state = 35},
  [330] = {.lex_state = 35},
  [331] = {.lex_state = 35, .external_lex_state = 2},
  [332] = {.lex_state = 35, .external_lex_state = 2},
  [333] = {.lex_state = 35, .external_lex_state = 2},
  [334] = {.lex_state = 1, .external_lex_state = 3},
  [335] = {.lex_state = 1, .external_lex_state = 3},
  [336] = {.lex_state = 1, .external_lex_state = 3},
  [337] = {.lex_state = 1, .external_lex_state = 3},
  [338] = {.lex_state = 1, .external_lex_state = 3},
  [339] = {.lex_state = 1, .external_lex_state = 3},
  [340] = {.lex_state = 1, .external_lex_state = 3},
  [341] = {.lex_state = 1, .external_lex_state = 3},
  [342] = {.lex_state = 35},
  [343] = {.lex_state = 35},
  [344] = {.lex_state = 1, .external_lex_state = 3},
  [345] = {.lex_state = 1, .external_lex_state = 3},
  [346] = {.lex_state = 35},
  [347] = {.lex_state = 1, .external_lex_state = 3},
  [348] = {.lex_state = 35},
  [349] = {.lex_state = 1, .external_lex_state = 3},
  [350] = {.lex_state = 1, .external_lex_state = 3},
  [351] = {.lex_state = 1, .external_lex_state = 3},
  [352] = {.lex_state = 1, .external_lex_state = 3},
  [353] = {.lex_state = 1, .external_lex_state = 3},
  [354] = {.lex_state = 1, .external_lex_state = 3},
  [355] = {.lex_state = 1, .external_lex_state = 3},
  [356] = {.lex_state = 35},
  [357] = {.lex_state = 1, .external_lex_state = 3},
  [358] = {.lex_state = 1, .external_lex_state = 3},
  [359] = {.lex_state = 1, .external_lex_state = 3},
  [360] = {.lex_state = 1, .external_lex_state = 3},
  [361] = {.lex_state = 1, .external_lex_state = 3},
  [362] = {.lex_state = 1, .external_lex_state = 3},
  [363] = {.lex_state = 1, .external_lex_state = 3},
  [364] = {.lex_state = 35},
  [365] = {.lex_state = 35},
  [366] = {.lex_state = 1, .external_lex_state = 3},
  [367] = {.lex_state = 35},
  [368] = {.lex_state = 35},
  [369] = {.lex_state = 1, .external_lex_state = 3},
  [370] = {.lex_state = 1, .external_lex_state = 3},
  [371] = {.lex_state = 35},
  [372] = {.lex_state = 1, .external_lex_state = 3},
  [373] = {.lex_state = 35},
  [374] = {.lex_state = 1, .external_lex_state = 3},
  [375] = {.lex_state = 1, .external_lex_state = 3},
  [376] = {.lex_state = 35},
  [377] = {.lex_state = 1, .external_lex_state = 3},
  [378] = {.lex_state = 1, .external_lex_state = 3},
  [379] = {.lex_state = 1, .external_lex_state = 3},
  [380] = {.lex_state = 1, .external_lex_state = 3},
  [381] = {.lex_state = 1, .external_lex_state = 3},
  [382] = {.lex_state = 1, .external_lex_state = 3},
  [383] = {.lex_state = 1, .external_lex_state = 3},
  [384] = {.lex_state = 1, .external_lex_state = 3},
  [385] = {.lex_state = 1, .external_lex_state = 3},
  [386] = {.lex_state = 1, .external_lex_state = 3},
  [387] = {.lex_state = 1, .external_lex_state = 3},
  [388] = {.lex_state = 1, .external_lex_state = 3},
  [389] = {.lex_state = 1, .external_lex_state = 3},
  [390] = {.lex_state = 1, .external_lex_state = 3},
  [391] = {.lex_state = 1, .external_lex_state = 3},
  [392] = {.lex_state = 35},
  [393] = {.lex_state = 35},
  [394] = {.lex_state = 35},
  [395] = {.lex_state = 1, .external_lex_state = 3},
  [396] = {.lex_state = 1, .external_lex_state = 3},
  [397] = {.lex_state = 1, .external_lex_state = 3},
  [398] = {.lex_state = 1, .external_lex_state = 3},
  [399] = {.lex_state = 35},
  [400] = {.lex_state = 1, .external_lex_state = 3},
  [401] = {.lex_state = 35},
  [402] = {.lex_state = 1, .external_lex_state = 3},
  [403] = {.lex_state = 1, .external_lex_state = 3},
  [404] = {.lex_state = 35},
  [405] = {.lex_state = 1, .external_lex_state = 3},
  [406] = {.lex_state = 1, .external_lex_state = 3},
  [407] = {.lex_state = 35},
  [408] = {.lex_state = 1, .external_lex_state = 3},
  [409] = {.lex_state = 1, .external_lex_state = 3},
  [410] = {.lex_state = 1, .external_lex_state = 3},
  [411] = {.lex_state = 35},
  [412] = {.lex_state = 1, .external_lex_state = 3},
  [413] = {.lex_state = 1, .external_lex_state = 3},
  [414] = {.lex_state = 35, .external_lex_state = 2},
  [415] = {.lex_state = 35, .external_lex_state = 2},
  [416] = {.lex_state = 35, .external_lex_state = 2},
  [417] = {.lex_state = 33},
  [418] = {.lex_state = 35, .external_lex_state = 2},
  [419] = {.lex_state = 35, .external_lex_state = 2},
  [420] = {.lex_state = 35, .external_lex_state = 2},
  [421] = {.lex_state = 35, .external_lex_state = 2},
  [422] = {.lex_state = 35, .external_lex_state = 2},
  [423] = {.lex_state = 35, .external_lex_state = 2},
  [424] = {.lex_state = 35, .external_lex_state = 2},
  [425] = {.lex_state = 33},
  [426] = {.lex_state = 35, .external_lex_state = 2},
  [427] = {.lex_state = 35, .external_lex_state = 2},
  [428] = {.lex_state = 35, .external_lex_state = 2},
  [429] = {.lex_state = 35, .external_lex_state = 2},
  [430] = {.lex_state = 35, .external_lex_state = 2},
  [431] = {.lex_state = 35, .external_lex_state = 2},
  [432] = {.lex_state = 35},
  [433] = {.lex_state = 35, .external_lex_state = 2},
  [434] = {.lex_state = 35, .external_lex_state = 2},
  [435] = {.lex_state = 35, .external_lex_state = 2},
  [436] = {.lex_state = 35, .external_lex_state = 2},
  [437] = {.lex_state = 35},
  [438] = {.lex_state = 35, .external_lex_state = 2},
  [439] = {.lex_state = 35},
  [440] = {.lex_state = 35, .external_lex_state = 2},
  [441] = {.lex_state = 35, .external_lex_state = 2},
  [442] = {.lex_state = 35, .external_lex_state = 2},
  [443] = {.lex_state = 35, .external_lex_state = 2},
  [444] = {.lex_state = 35, .external_lex_state = 2},
  [445] = {.lex_state = 35, .external_lex_state = 2},
  [446] = {.lex_state = 35},
  [447] = {.lex_state = 35},
  [448] = {.lex_state = 35, .external_lex_state = 2},
  [449] = {.lex_state = 35, .external_lex_state = 2},
  [450] = {.lex_state = 35},
  [451] = {.lex_state = 35, .external_lex_state = 2},
  [452] = {.lex_state = 35},
  [453] = {.lex_state = 35, .external_lex_state = 2},
  [454] = {.lex_state = 35},
  [455] = {.lex_state = 35, .external_lex_state = 2},
  [456] = {.lex_state = 35, .external_lex_state = 2},
  [457] = {.lex_state = 35, .external_lex_state = 2},
  [458] = {.lex_state = 35},
  [459] = {.lex_state = 35},
  [460] = {.lex_state = 35, .external_lex_state = 2},
  [461] = {.lex_state = 35},
  [462] = {.lex_state = 35},
  [463] = {.lex_state = 35},
  [464] = {.lex_state = 35},
  [465] = {.lex_state = 35},
  [466] = {.lex_state = 35, .external_lex_state = 2},
  [467] = {.lex_state = 35, .external_lex_state = 2},
  [468] = {.lex_state = 35, .external_lex_state = 2},
  [469] = {.lex_state = 35},
  [470] = {.lex_state = 35, .external_lex_state = 2},
  [471] = {.lex_state = 35},
  [472] = {.lex_state = 35, .external_lex_state = 2},
  [473] = {.lex_state = 35, .external_lex_state = 2},
  [474] = {.lex_state = 35, .external_lex_state = 2},
  [475] = {.lex_state = 35},
  [476] = {.lex_state = 35, .external_lex_state = 2},
  [477] = {.lex_state = 35},
  [478] = {.lex_state = 35, .external_lex_state = 2},
  [479] = {.lex_state = 35},
  [480] = {.lex_state = 35, .external_lex_state = 2},
  [481] = {.lex_state = 35},
  [482] = {.lex_state = 35, .external_lex_state = 2},
  [483] = {.lex_state = 35, .external_lex_state = 2},
  [484] = {.lex_state = 35},
  [485] = {.lex_state = 35, .external_lex_state = 2},
  [486] = {.lex_state = 35},
  [487] = {.lex_state = 35, .external_lex_state = 2},
  [488] = {.lex_state = 35, .external_lex_state = 2},
  [489] = {.lex_state = 35, .external_lex_state = 2},
  [490] = {.lex_state = 33},
  [491] = {.lex_state = 35, .external_lex_state = 2},
  [492] = {.lex_state = 35},
  [493] = {.lex_state = 35},
  [494] = {.lex_state = 35, .external_lex_state = 2},
  [495] = {.lex_state = 35},
  [496] = {.lex_state = 1, .external_lex_state = 3},
  [497] = {.lex_state = 35, .external_lex_state = 2},
  [498] = {.lex_state = 35},
  [499] = {.lex_state = 35, .external_lex_state = 2},
  [500] = {.lex_state = 35},
  [501] = {.lex_state = 1, .external_lex_state = 3},
  [502] = {.lex_state = 35},
  [503] = {.lex_state = 35},
  [504] = {.lex_state = 35},
  [505] = {.lex_state = 35},
  [506] = {.lex_state = 35},
  [507] = {.lex_state = 35},
  [508] = {.lex_state = 35, .external_lex_state = 2},
  [509] = {.lex_state = 35},
  [510] = {.lex_state = 35, .external_lex_state = 2},
  [511] = {.lex_state = 1, .external_lex_state = 3},
  [512] = {.lex_state = 35, .external_lex_state = 2},
  [513] = {.lex_state = 35, .external_lex_state = 2},
  [514] = {.lex_state = 1, .external_lex_state = 3},
  [515] = {.lex_state = 35, .external_lex_state = 2},
  [516] = {.lex_state = 35},
  [517] = {.lex_state = 35, .external_lex_state = 2},
  [518] = {.lex_state = 1, .external_lex_state = 3},
  [519] = {.lex_state = 1, .external_lex_state = 3},
  [520] = {.lex_state = 35},
  [521] = {.lex_state = 35, .external_lex_state = 2},
  [522] = {.lex_state = 1, .external_lex_state = 3},
  [523] = {.lex_state = 35},
  [524] = {.lex_state = 35},
  [525] = {.lex_state = 35, .external_lex_state = 2},
  [526] = {.lex_state = 35, .external_lex_state = 2},
  [527] = {.lex_state = 35, .external_lex_state = 2},
  [528] = {.lex_state = 1, .external_lex_state = 3},
  [529] = {.lex_state = 1, .external_lex_state = 3},
  [530] = {.lex_state = 1, .external_lex_state = 3},
  [531] = {.lex_state = 35, .external_lex_state = 2},
  [532] = {.lex_state = 35},
  [533] = {.lex_state = 1, .external_lex_state = 3},
  [534] = {.lex_state = 35, .external_lex_state = 2},
  [535] = {.lex_state = 35, .external_lex_state = 2},
  [536] = {.lex_state = 1, .external_lex_state = 3},
  [537] = {.lex_state = 35, .external_lex_state = 2},
  [538] = {.lex_state = 35},
  [539] = {.lex_state = 35, .external_lex_state = 2},
  [540] = {.lex_state = 1, .external_lex_state = 3},
  [541] = {.lex_state = 35},
  [542] = {.lex_state = 35, .external_lex_state = 2},
  [543] = {.lex_state = 1, .external_lex_state = 3},
  [544] = {.lex_state = 35, .external_lex_state = 2},
  [545] = {.lex_state = 1, .external_lex_state = 3},
  [546] = {.lex_state = 1, .external_lex_state = 3},
  [547] = {.lex_state = 35, .external_lex_state = 2},
  [548] = {.lex_state = 35, .external_lex_state = 2},
  [549] = {.lex_state = 35, .external_lex_state = 2},
  [550] = {.lex_state = 35},
  [551] = {.lex_state = 35},
  [552] = {.lex_state = 1, .external_lex_state = 3},
  [553] = {.lex_state = 35, .external_lex_state = 2},
  [554] = {.lex_state = 35, .external_lex_state = 2},
  [555] = {.lex_state = 1, .external_lex_state = 3},
  [556] = {.lex_state = 1, .external_lex_state = 3},
  [557] = {.lex_state = 35, .external_lex_state = 2},
  [558] = {.lex_state = 35, .external_lex_state = 2},
  [559] = {.lex_state = 35},
  [560] = {.lex_state = 35},
  [561] = {.lex_state = 1, .external_lex_state = 3},
  [562] = {.lex_state = 1, .external_lex_state = 3},
  [563] = {.lex_state = 1, .external_lex_state = 3},
  [564] = {.lex_state = 1, .external_lex_state = 3},
  [565] = {.lex_state = 1, .external_lex_state = 3},
  [566] = {.lex_state = 35, .external_lex_state = 2},
  [567] = {.lex_state = 35, .external_lex_state = 2},
  [568] = {.lex_state = 1, .external_lex_state = 3},
  [569] = {.lex_state = 35, .external_lex_state = 2},
  [570] = {.lex_state = 35, .external_lex_state = 2},
  [571] = {.lex_state = 1, .external_lex_state = 3},
  [572] = {.lex_state = 35},
  [573] = {.lex_state = 1, .external_lex_state = 3},
  [574] = {.lex_state = 1, .external_lex_state = 3},
  [575] = {.lex_state = 1, .external_lex_state = 3},
  [576] = {.lex_state = 1, .external_lex_state = 3},
  [577] = {.lex_state = 35, .external_lex_state = 2},
  [578] = {.lex_state = 35, .external_lex_state = 2},
  [579] = {.lex_state = 35},
  [580] = {.lex_state = 1, .external_lex_state = 3},
  [581] = {.lex_state = 1, .external_lex_state = 3},
  [582] = {.lex_state = 35},
  [583] = {.lex_state = 1, .external_lex_state = 3},
  [584] = {.lex_state = 35},
  [585] = {.lex_state = 35},
  [586] = {.lex_state = 1, .external_lex_state = 3},
  [587] = {.lex_state = 1, .external_lex_state = 3},
  [588] = {.lex_state = 35, .external_lex_state = 2},
  [589] = {.lex_state = 1, .external_lex_state = 3},
  [590] = {.lex_state = 1, .external_lex_state = 3},
  [591] = {.lex_state = 1, .external_lex_state = 3},
  [592] = {.lex_state = 1, .external_lex_state = 3},
  [593] = {.lex_state = 35, .external_lex_state = 2},
  [594] = {.lex_state = 1, .external_lex_state = 3},
  [595] = {.lex_state = 1, .external_lex_state = 3},
  [596] = {.lex_state = 1, .external_lex_state = 3},
  [597] = {.lex_state = 35, .external_lex_state = 2},
  [598] = {.lex_state = 1, .external_lex_state = 3},
  [599] = {.lex_state = 1, .external_lex_state = 3},
  [600] = {.lex_state = 1, .external_lex_state = 3},
  [601] = {.lex_state = 1, .external_lex_state = 3},
  [602] = {.lex_state = 1, .external_lex_state = 3},
  [603] = {.lex_state = 35},
  [604] = {.lex_state = 1, .external_lex_state = 3},
  [605] = {.lex_state = 1, .external_lex_state = 3},
  [606] = {.lex_state = 1, .external_lex_state = 3},
  [607] = {.lex_state = 1, .external_lex_state = 3},
  [608] = {.lex_state = 1, .external_lex_state = 3},
  [609] = {.lex_state = 1, .external_lex_state = 3},
  [610] = {.lex_state = 35, .external_lex_state = 2},
  [611] = {.lex_state = 35},
  [612] = {.lex_state = 1, .external_lex_state = 3},
  [613] = {.lex_state = 1, .external_lex_state = 3},
  [614] = {.lex_state = 35},
  [615] = {.lex_state = 1, .external_lex_state = 3},
  [616] = {.lex_state = 1, .external_lex_state = 3},
  [617] = {.lex_state = 35},
  [618] = {.lex_state = 35, .external_lex_state = 2},
  [619] = {.lex_state = 35, .external_lex_state = 2},
  [620] = {.lex_state = 35, .external_lex_state = 2},
  [621] = {.lex_state = 35, .external_lex_state = 2},
  [622] = {.lex_state = 1, .external_lex_state = 3},
  [623] = {.lex_state = 35, .external_lex_state = 2},
  [624] = {.lex_state = 1, .external_lex_state = 3},
  [625] = {.lex_state = 35, .external_lex_state = 2},
  [626] = {.lex_state = 35},
  [627] = {.lex_state = 35},
  [628] = {.lex_state = 1, .external_lex_state = 3},
  [629] = {.lex_state = 1, .external_lex_state = 3},
  [630] = {.lex_state = 1, .external_lex_state = 3},
  [631] = {.lex_state = 35, .external_lex_state = 2},
  [632] = {.lex_state = 35},
  [633] = {.lex_state = 35, .external_lex_state = 2},
  [634] = {.lex_state = 1, .external_lex_state = 3},
  [635] = {.lex_state = 35, .external_lex_state = 2},
  [636] = {.lex_state = 35, .external_lex_state = 2},
  [637] = {.lex_state = 1, .external_lex_state = 3},
  [638] = {.lex_state = 1, .external_lex_state = 3},
  [639] = {.lex_state = 35},
  [640] = {.lex_state = 1, .external_lex_state = 3},
  [641] = {.lex_state = 35},
  [642] = {.lex_state = 35, .external_lex_state = 2},
  [643] = {.lex_state = 35, .external_lex_state = 2},
  [644] = {.lex_state = 1, .external_lex_state = 3},
  [645] = {.lex_state = 1, .external_lex_state = 3},
  [646] = {.lex_state = 35},
  [647] = {.lex_state = 35, .external_lex_state = 2},
  [648] = {.lex_state = 35, .external_lex_state = 2},
  [649] = {.lex_state = 35, .external_lex_state = 2},
  [650] = {.lex_state = 1, .external_lex_state = 3},
  [651] = {.lex_state = 1, .external_lex_state = 3},
  [652] = {.lex_state = 35},
  [653] = {.lex_state = 35, .external_lex_state = 2},
  [654] = {.lex_state = 1, .external_lex_state = 3},
  [655] = {.lex_state = 35, .external_lex_state = 2},
  [656] = {.lex_state = 1, .external_lex_state = 3},
  [657] = {.lex_state = 35},
  [658] = {.lex_state = 35, .external_lex_state = 2},
  [659] = {.lex_state = 1, .external_lex_state = 3},
  [660] = {.lex_state = 1, .external_lex_state = 3},
  [661] = {.lex_state = 1, .external_lex_state = 3},
  [662] = {.lex_state = 1, .external_lex_state = 3},
  [663] = {.lex_state = 35, .external_lex_state = 2},
  [664] = {.lex_state = 35},
  [665] = {.lex_state = 35, .external_lex_state = 2},
  [666] = {.lex_state = 35, .external_lex_state = 2},
  [667] = {.lex_state = 1, .external_lex_state = 3},
  [668] = {.lex_state = 1, .external_lex_state = 3},
  [669] = {.lex_state = 35},
  [670] = {.lex_state = 35, .external_lex_state = 2},
  [671] = {.lex_state = 1, .external_lex_state = 3},
  [672] = {.lex_state = 35},
  [673] = {.lex_state = 1, .external_lex_state = 3},
  [674] = {.lex_state = 1, .external_lex_state = 3},
  [675] = {.lex_state = 35, .external_lex_state = 2},
  [676] = {.lex_state = 35, .external_lex_state = 2},
  [677] = {.lex_state = 35},
  [678] = {.lex_state = 35},
  [679] = {.lex_state = 1, .external_lex_state = 3},
  [680] = {.lex_state = 35},
  [681] = {.lex_state = 1, .external_lex_state = 3},
  [682] = {.lex_state = 35, .external_lex_state = 2},
  [683] = {.lex_state = 35},
  [684] = {.lex_state = 35},
  [685] = {.lex_state = 1, .external_lex_state = 3},
  [686] = {.lex_state = 35, .external_lex_state = 2},
  [687] = {.lex_state = 35},
  [688] = {.lex_state = 1, .external_lex_state = 3},
  [689] = {.lex_state = 35, .external_lex_state = 2},
  [690] = {.lex_state = 35},
  [691] = {.lex_state = 35, .external_lex_state = 2},
  [692] = {.lex_state = 1, .external_lex_state = 3},
  [693] = {.lex_state = 1, .external_lex_state = 3},
  [694] = {.lex_state = 1, .external_lex_state = 3},
  [695] = {.lex_state = 35, .external_lex_state = 2},
  [696] = {.lex_state = 1, .external_lex_state = 3},
  [697] = {.lex_state = 1, .external_lex_state = 3},
  [698] = {.lex_state = 35},
  [699] = {.lex_state = 1, .external_lex_state = 3},
  [700] = {.lex_state = 35, .external_lex_state = 2},
  [701] = {.lex_state = 1, .external_lex_state = 3},
  [702] = {.lex_state = 1, .external_lex_state = 3},
  [703] = {.lex_state = 1, .external_lex_state = 3},
  [704] = {.lex_state = 35},
  [705] = {.lex_state = 1, .external_lex_state = 3},
  [706] = {.lex_state = 1, .external_lex_state = 3},
  [707] = {.lex_state = 1, .external_lex_state = 3},
  [708] = {.lex_state = 35, .external_lex_state = 2},
  [709] = {.lex_state = 1, .external_lex_state = 3},
  [710] = {.lex_state = 1, .external_lex_state = 3},
  [711] = {.lex_state = 35, .external_lex_state = 2},
  [712] = {.lex_state = 35},
  [713] = {.lex_state = 35, .external_lex_state = 2},
  [714] = {.lex_state = 1, .external_lex_state = 3},
  [715] = {.lex_state = 35},
  [716] = {.lex_state = 35, .external_lex_state = 2},
  [717] = {.lex_state = 1, .external_lex_state = 3},
  [718] = {.lex_state = 1, .external_lex_state = 3},
  [719] = {.lex_state = 35},
  [720] = {.lex_state = 35},
  [721] = {.lex_state = 1, .external_lex_state = 3},
  [722] = {.lex_state = 35},
  [723] = {.lex_state = 1, .external_lex_state = 3},
  [724] = {.lex_state = 35},
  [725] = {.lex_state = 35},
  [726] = {.lex_state = 1, .external_lex_state = 3},
  [727] = {.lex_state = 1, .external_lex_state = 3},
  [728] = {.lex_state = 35, .external_lex_state = 2},
  [729] = {.lex_state = 1, .external_lex_state = 3},
  [730] = {.lex_state = 1, .external_lex_state = 3},
  [731] = {.lex_state = 35, .external_lex_state = 2},
  [732] = {.lex_state = 1, .external_lex_state = 3},
  [733] = {.lex_state = 35},
  [734] = {.lex_state = 1, .external_lex_state = 3},
  [735] = {.lex_state = 35},
  [736] = {.lex_state = 1, .external_lex_state = 3},
  [737] = {.lex_state = 1, .external_lex_state = 3},
  [738] = {.lex_state = 1, .external_lex_state = 3},
  [739] = {.lex_state = 1, .external_lex_state = 3},
  [740] = {.lex_state = 1, .external_lex_state = 3},
  [741] = {.lex_state = 1, .external_lex_state = 3},
  [742] = {.lex_state = 1, .external_lex_state = 3},
  [743] = {.lex_state = 1, .external_lex_state = 3},
  [744] = {.lex_state = 35, .external_lex_state = 2},
  [745] = {.lex_state = 35, .external_lex_state = 2},
  [746] = {.lex_state = 35, .external_lex_state = 2},
  [747] = {.lex_state = 35, .external_lex_state = 2},
  [748] = {.lex_state = 35, .external_lex_state = 2},
  [749] = {.lex_state = 35},
  [750] = {.lex_state = 1, .external_lex_state = 3},
  [751] = {.lex_state = 35, .external_lex_state = 2},
  [752] = {.lex_state = 1, .external_lex_state = 3},
  [753] = {.lex_state = 35, .external_lex_state = 2},
  [754] = {.lex_state = 1, .external_lex_state = 3},
  [755] = {.lex_state = 1, .external_lex_state = 3},
  [756] = {.lex_state = 1, .external_lex_state = 3},
  [757] = {.lex_state = 1, .external_lex_state = 3},
  [758] = {.lex_state = 1, .external_lex_state = 3},
  [759] = {.lex_state = 1, .external_lex_state = 3},
  [760] = {.lex_state = 1, .external_lex_state = 3},
  [761] = {.lex_state = 1, .external_lex_state = 3},
  [762] = {.lex_state = 35, .external_lex_state = 2},
  [763] = {.lex_state = 1, .external_lex_state = 3},
  [764] = {.lex_state = 1, .external_lex_state = 3},
  [765] = {.lex_state = 35, .external_lex_state = 2},
  [766] = {.lex_state = 35, .external_lex_state = 2},
  [767] = {.lex_state = 1, .external_lex_state = 3},
  [768] = {.lex_state = 1, .external_lex_state = 3},
  [769] = {.lex_state = 1, .external_lex_state = 3},
  [770] = {.lex_state = 1, .external_lex_state = 3},
  [771] = {.lex_state = 35, .external_lex_state = 2},
  [772] = {.lex_state = 1, .external_lex_state = 3},
  [773] = {.lex_state = 35, .external_lex_state = 2},
  [774] = {.lex_state = 1, .external_lex_state = 3},
  [775] = {.lex_state = 35},
  [776] = {.lex_state = 35},
  [777] = {.lex_state = 35, .external_lex_state = 2},
  [778] = {.lex_state = 35, .external_lex_state = 2},
  [779] = {.lex_state = 35, .external_lex_state = 2},
  [780] = {.lex_state = 1, .external_lex_state = 3},
  [781] = {.lex_state = 35},
  [782] = {.lex_state = 1, .external_lex_state = 3},
  [783] = {.lex_state = 35, .external_lex_state = 2},
  [784] = {.lex_state = 35},
  [785] = {.lex_state = 35},
  [786] = {.lex_state = 35},
  [787] = {.lex_state = 35, .external_lex_state = 2},
  [788] = {.lex_state = 35, .external_lex_state = 2},
  [789] = {.lex_state = 35},
  [790] = {.lex_state = 1, .external_lex_state = 3},
  [791] = {.lex_state = 35},
  [792] = {.lex_state = 35, .external_lex_state = 2},
  [793] = {.lex_state = 35},
  [794] = {.lex_state = 1, .external_lex_state = 3},
  [795] = {.lex_state = 35},
  [796] = {.lex_state = 35},
  [797] = {.lex_state = 35},
  [798] = {.lex_state = 1, .external_lex_state = 3},
  [799] = {.lex_state = 35, .external_lex_state = 2},
  [800] = {.lex_state = 35, .external_lex_state = 2},
  [801] = {.lex_state = 35, .external_lex_state = 2},
  [802] = {.lex_state = 35, .external_lex_state = 2},
  [803] = {.lex_state = 35, .external_lex_state = 2},
  [804] = {.lex_state = 35, .external_lex_state = 2},
  [805] = {.lex_state = 35, .external_lex_state = 2},
  [806] = {.lex_state = 35, .external_lex_state = 2},
  [807] = {.lex_state = 35},
  [808] = {.lex_state = 35, .external_lex_state = 2},
  [809] = {.lex_state = 1, .external_lex_state = 3},
  [810] = {.lex_state = 35},
  [811] = {.lex_state = 35},
  [812] = {.lex_state = 1, .external_lex_state = 3},
  [813] = {.lex_state = 35, .external_lex_state = 2},
  [814] = {.lex_state = 35, .external_lex_state = 2},
  [815] = {.lex_state = 35, .external_lex_state = 2},
  [816] = {.lex_state = 35, .external_lex_state = 2},
  [817] = {.lex_state = 35, .external_lex_state = 2},
  [818] = {.lex_state = 35, .external_lex_state = 2},
  [819] = {.lex_state = 35},
  [820] = {.lex_state = 35},
  [821] = {.lex_state = 35},
  [822] = {.lex_state = 35},
  [823] = {.lex_state = 1, .external_lex_state = 3},
  [824] = {.lex_state = 35, .external_lex_state = 2},
  [825] = {.lex_state = 35, .external_lex_state = 2},
  [826] = {.lex_state = 35, .external_lex_state = 2},
  [827] = {.lex_state = 35, .external_lex_state = 2},
  [828] = {.lex_state = 35, .external_lex_state = 2},
  [829] = {.lex_state = 35, .external_lex_state = 2},
  [830] = {.lex_state = 35, .external_lex_state = 2},
  [831] = {.lex_state = 35},
  [832] = {.lex_state = 35, .external_lex_state = 2},
  [833] = {.lex_state = 35, .external_lex_state = 2},
  [834] = {.lex_state = 35, .external_lex_state = 2},
  [835] = {.lex_state = 35, .external_lex_state = 2},
  [836] = {.lex_state = 35, .external_lex_state = 2},
  [837] = {.lex_state = 1, .external_lex_state = 3},
  [838] = {.lex_state = 35, .external_lex_state = 2},
  [839] = {.lex_state = 1, .external_lex_state = 3},
  [840] = {.lex_state = 35, .external_lex_state = 2},
  [841] = {.lex_state = 35, .external_lex_state = 2},
  [842] = {.lex_state = 35, .external_lex_state = 2},
  [843] = {.lex_state = 35},
  [844] = {.lex_state = 35},
  [845] = {.lex_state = 35, .external_lex_state = 2},
  [846] = {.lex_state = 35},
  [847] = {.lex_state = 1, .external_lex_state = 3},
  [848] = {.lex_state = 1, .external_lex_state = 3},
  [849] = {.lex_state = 35, .external_lex_state = 2},
  [850] = {.lex_state = 35, .external_lex_state = 2},
  [851] = {.lex_state = 1, .external_lex_state = 3},
  [852] = {.lex_state = 35, .external_lex_state = 2},
  [853] = {.lex_state = 35, .external_lex_state = 2},
  [854] = {.lex_state = 35, .external_lex_state = 2},
  [855] = {.lex_state = 35},
  [856] = {.lex_state = 35},
  [857] = {.lex_state = 35},
  [858] = {.lex_state = 35, .external_lex_state = 2},
  [859] = {.lex_state = 35},
  [860] = {.lex_state = 1, .external_lex_state = 3},
  [861] = {.lex_state = 35, .external_lex_state = 2},
  [862] = {.lex_state = 35},
  [863] = {.lex_state = 35, .external_lex_state = 2},
  [864] = {.lex_state = 35, .external_lex_state = 2},
  [865] = {.lex_state = 1, .external_lex_state = 3},
  [866] = {.lex_state = 35, .external_lex_state = 2},
  [867] = {.lex_state = 35, .external_lex_state = 2},
  [868] = {.lex_state = 1, .external_lex_state = 3},
  [869] = {.lex_state = 35, .external_lex_state = 2},
  [870] = {.lex_state = 35, .external_lex_state = 2},
  [871] = {.lex_state = 35, .external_lex_state = 2},
  [872] = {.lex_state = 1, .external_lex_state = 3},
  [873] = {.lex_state = 35, .external_lex_state = 2},
  [874] = {.lex_state = 35, .external_lex_state = 2},
  [875] = {.lex_state = 35, .external_lex_state = 2},
  [876] = {.lex_state = 35},
  [877] = {.lex_state = 1, .external_lex_state = 3},
  [878] = {.lex_state = 1, .external_lex_state = 3},
  [879] = {.lex_state = 35, .external_lex_state = 2},
  [880] = {.lex_state = 35, .external_lex_state = 2},
  [881] = {.lex_state = 35, .external_lex_state = 2},
  [882] = {.lex_state = 35, .external_lex_state = 2},
  [883] = {.lex_state = 35},
  [884] = {.lex_state = 35},
  [885] = {.lex_state = 35, .external_lex_state = 2},
  [886] = {.lex_state = 35},
  [887] = {.lex_state = 35, .external_lex_state = 2},
  [888] = {.lex_state = 1, .external_lex_state = 3},
  [889] = {.lex_state = 35},
  [890] = {.lex_state = 35, .external_lex_state = 2},
  [891] = {.lex_state = 35, .external_lex_state = 2},
  [892] = {.lex_state = 1, .external_lex_state = 3},
  [893] = {.lex_state = 1, .external_lex_state = 3},
  [894] = {.lex_state = 35},
  [895] = {.lex_state = 35, .external_lex_state = 2},
  [896] = {.lex_state = 35, .external_lex_state = 2},
  [897] = {.lex_state = 35, .external_lex_state = 2},
  [898] = {.lex_state = 1, .external_lex_state = 3},
  [899] = {.lex_state = 35, .external_lex_state = 2},
  [900] = {.lex_state = 35},
  [901] = {.lex_state = 35, .external_lex_state = 2},
  [902] = {.lex_state = 35, .external_lex_state = 2},
  [903] = {.lex_state = 35},
  [904] = {.lex_state = 35},
  [905] = {.lex_state = 1, .external_lex_state = 3},
  [906] = {.lex_state = 35, .external_lex_state = 2},
  [907] = {.lex_state = 35, .external_lex_state = 2},
  [908] = {.lex_state = 1, .external_lex_state = 3},
  [909] = {.lex_state = 35},
  [910] = {.lex_state = 35, .external_lex_state = 2},
  [911] = {.lex_state = 35},
  [912] = {.lex_state = 35, .external_lex_state = 2},
  [913] = {.lex_state = 35, .external_lex_state = 2},
  [914] = {.lex_state = 35, .external_lex_state = 2},
  [915] = {.lex_state = 35, .external_lex_state = 2},
  [916] = {.lex_state = 35},
  [917] = {.lex_state = 1, .external_lex_state = 3},
  [918] = {.lex_state = 33, .external_lex_state = 2},
  [919] = {.lex_state = 35},
  [920] = {.lex_state = 35},
  [921] = {.lex_state = 35},
  [922] = {.lex_state = 35, .external_lex_state = 2},
  [923] = {.lex_state = 35},
  [924] = {.lex_state = 35},
  [925] = {.lex_state = 35},
  [926] = {.lex_state = 35, .external_lex_state = 2},
  [927] = {.lex_state = 35, .external_lex_state = 2},
  [928] = {.lex_state = 35, .external_lex_state = 2},
  [929] = {.lex_state = 35},
  [930] = {.lex_state = 35},
  [931] = {.lex_state = 35, .external_lex_state = 2},
  [932] = {.lex_state = 35, .external_lex_state = 2},
  [933] = {.lex_state = 35, .external_lex_state = 2},
  [934] = {.lex_state = 35},
  [935] = {.lex_state = 33, .external_lex_state = 2},
  [936] = {.lex_state = 35},
  [937] = {.lex_state = 35},
  [938] = {.lex_state = 35},
  [939] = {.lex_state = 35},
  [940] = {.lex_state = 35, .external_lex_state = 2},
  [941] = {.lex_state = 1, .external_lex_state = 3},
  [942] = {.lex_state = 35, .external_lex_state = 2},
  [943] = {.lex_state = 35},
  [944] = {.lex_state = 1, .external_lex_state = 3},
  [945] = {.lex_state = 35},
  [946] = {.lex_state = 1, .external_lex_state = 3},
  [947] = {.lex_state = 1, .external_lex_state = 3},
  [948] = {.lex_state = 1, .external_lex_state = 3},
  [949] = {.lex_state = 1, .external_lex_state = 3},
  [950] = {.lex_state = 1, .external_lex_state = 3},
  [951] = {.lex_state = 35, .external_lex_state = 2},
  [952] = {.lex_state = 1, .external_lex_state = 3},
  [953] = {.lex_state = 1, .external_lex_state = 3},
  [954] = {.lex_state = 35, .external_lex_state = 2},
  [955] = {.lex_state = 35, .external_lex_state = 2},
  [956] = {.lex_state = 1, .external_lex_state = 3},
  [957] = {.lex_state = 1, .external_lex_state = 3},
  [958] = {.lex_state = 35, .external_lex_state = 2},
  [959] = {.lex_state = 35, .external_lex_state = 2},
  [960] = {.lex_state = 35, .external_lex_state = 2},
  [961] = {.lex_state = 1, .external_lex_state = 3},
  [962] = {.lex_state = 1, .external_lex_state = 3},
  [963] = {.lex_state = 1, .external_lex_state = 3},
  [964] = {.lex_state = 1, .external_lex_state = 3},
  [965] = {.lex_state = 1, .external_lex_state = 3},
  [966] = {.lex_state = 1, .external_lex_state = 3},
  [967] = {.lex_state = 1, .external_lex_state = 3},
  [968] = {.lex_state = 1, .external_lex_state = 3},
  [969] = {.lex_state = 35, .external_lex_state = 2},
  [970] = {.lex_state = 35, .external_lex_state = 2},
  [971] = {.lex_state = 35, .external_lex_state = 2},
  [972] = {.lex_state = 1, .external_lex_state = 3},
  [973] = {.lex_state = 1, .external_lex_state = 3},
  [974] = {.lex_state = 35},
  [975] = {.lex_state = 1, .external_lex_state = 3},
  [976] = {.lex_state = 1, .external_lex_state = 3},
  [977] = {.lex_state = 35},
  [978] = {.lex_state = 35},
  [979] = {.lex_state = 35},
  [980] = {.lex_state = 35, .external_lex_state = 2},
  [981] = {.lex_state = 35, .external_lex_state = 2},
  [982] = {.lex_state = 35, .external_lex_state = 2},
  [983] = {.lex_state = 35, .external_lex_state = 2},
  [984] = {.lex_state = 35, .external_lex_state = 2},
  [985] = {.lex_state = 35, .external_lex_state = 2},
  [986] = {.lex_state = 33, .external_lex_state = 2},
  [987] = {.lex_state = 35},
  [988] = {.lex_state = 35},
  [989] = {.lex_state = 35, .external_lex_state = 2},
  [990] = {.lex_state = 35, .external_lex_state = 2},
  [991] = {.lex_state = 35},
  [992] = {.lex_state = 35},
  [993] = {.lex_state = 35, .external_lex_state = 2},
  [994] = {.lex_state = 35, .external_lex_state = 2},
  [995] = {.lex_state = 35, .external_lex_state = 2},
  [996] = {.lex_state = 35, .external_lex_state = 2},
  [997] = {.lex_state = 35},
  [998] = {.lex_state = 35, .external_lex_state = 2},
  [999] = {.lex_state = 1, .external_lex_state = 3},
  [1000] = {.lex_state = 1, .external_lex_state = 3},
  [1001] = {.lex_state = 1, .external_lex_state = 3},
  [1002] = {.lex_state = 1, .external_lex_state = 3},
  [1003] = {.lex_state = 1, .external_lex_state = 3},
  [1004] = {.lex_state = 35},
  [1005] = {.lex_state = 1, .external_lex_state = 3},
  [1006] = {.lex_state = 1, .external_lex_state = 3},
  [1007] = {.lex_state = 1, .external_lex_state = 3},
  [1008] = {.lex_state = 1, .external_lex_state = 3},
  [1009] = {.lex_state = 35},
  [1010] = {.lex_state = 1, .external_lex_state = 3},
  [1011] = {.lex_state = 1, .external_lex_state = 3},
  [1012] = {.lex_state = 1, .external_lex_state = 3},
  [1013] = {.lex_state = 1, .external_lex_state = 3},
  [1014] = {.lex_state = 1, .external_lex_state = 3},
  [1015] = {.lex_state = 1, .external_lex_state = 3},
  [1016] = {.lex_state = 1, .external_lex_state = 3},
  [1017] = {.lex_state = 1, .external_lex_state = 3},
  [1018] = {.lex_state = 1, .external_lex_state = 3},
  [1019] = {.lex_state = 35},
  [1020] = {.lex_state = 1, .external_lex_state = 3},
  [1021] = {.lex_state = 1, .external_lex_state = 3},
  [1022] = {.lex_state = 1, .external_lex_state = 3},
  [1023] = {.lex_state = 1, .external_lex_state = 3},
  [1024] = {.lex_state = 35},
  [1025] = {.lex_state = 1, .external_lex_state = 3},
  [1026] = {.lex_state = 1, .external_lex_state = 3},
  [1027] = {.lex_state = 35},
  [1028] = {.lex_state = 1, .external_lex_state = 3},
  [1029] = {.lex_state = 35},
  [1030] = {.lex_state = 1, .external_lex_state = 3},
  [1031] = {.lex_state = 1, .external_lex_state = 3},
  [1032] = {.lex_state = 1, .external_lex_state = 3},
  [1033] = {.lex_state = 35},
  [1034] = {.lex_state = 1, .external_lex_state = 3},
  [1035] = {.lex_state = 35, .external_lex_state = 2},
  [1036] = {.lex_state = 1, .external_lex_state = 3},
  [1037] = {.lex_state = 35, .external_lex_state = 2},
  [1038] = {.lex_state = 35},
  [1039] = {.lex_state = 35},
  [1040] = {.lex_state = 35, .external_lex_state = 2},
  [1041] = {.lex_state = 35},
  [1042] = {.lex_state = 1, .external_lex_state = 3},
  [1043] = {.lex_state = 1, .external_lex_state = 3},
  [1044] = {.lex_state = 1, .external_lex_state = 3},
  [1045] = {.lex_state = 35},
  [1046] = {.lex_state = 35},
  [1047] = {.lex_state = 35},
  [1048] = {.lex_state = 35, .external_lex_state = 2},
  [1049] = {.lex_state = 1, .external_lex_state = 3},
  [1050] = {.lex_state = 1, .external_lex_state = 3},
  [1051] = {.lex_state = 35},
  [1052] = {.lex_state = 35},
  [1053] = {.lex_state = 35, .external_lex_state = 2},
  [1054] = {.lex_state = 1, .external_lex_state = 3},
  [1055] = {.lex_state = 1, .external_lex_state = 3},
  [1056] = {.lex_state = 35},
  [1057] = {.lex_state = 33},
  [1058] = {.lex_state = 1, .external_lex_state = 3},
  [1059] = {.lex_state = 1, .external_lex_state = 3},
  [1060] = {.lex_state = 1, .external_lex_state = 3},
  [1061] = {.lex_state = 33},
  [1062] = {.lex_state = 1, .external_lex_state = 3},
  [1063] = {.lex_state = 35},
  [1064] = {.lex_state = 35},
  [1065] = {.lex_state = 1, .external_lex_state = 3},
  [1066] = {.lex_state = 35},
  [1067] = {.lex_state = 35},
  [1068] = {.lex_state = 35},
  [1069] = {.lex_state = 35},
  [1070] = {.lex_state = 1, .external_lex_state = 3},
  [1071] = {.lex_state = 1, .external_lex_state = 3},
  [1072] = {.lex_state = 35, .external_lex_state = 2},
  [1073] = {.lex_state = 1, .external_lex_state = 3},
  [1074] = {.lex_state = 1, .external_lex_state = 3},
  [1075] = {.lex_state = 35},
  [1076] = {.lex_state = 1, .external_lex_state = 3},
  [1077] = {.lex_state = 1, .external_lex_state = 3},
  [1078] = {.lex_state = 1, .external_lex_state = 3},
  [1079] = {.lex_state = 1, .external_lex_state = 3},
  [1080] = {.lex_state = 1, .external_lex_state = 3},
  [1081] = {.lex_state = 1, .external_lex_state = 3},
  [1082] = {.lex_state = 35},
  [1083] = {.lex_state = 35},
  [1084] = {.lex_state = 1, .external_lex_state = 3},
  [1085] = {.lex_state = 1, .external_lex_state = 3},
  [1086] = {.lex_state = 1, .external_lex_state = 3},
  [1087] = {.lex_state = 35, .external_lex_state = 2},
  [1088] = {.lex_state = 1, .external_lex_state = 3},
  [1089] = {.lex_state = 1, .external_lex_state = 3},
  [1090] = {.lex_state = 35, .external_lex_state = 2},
  [1091] = {.lex_state = 35},
  [1092] = {.lex_state = 1, .external_lex_state = 3},
  [1093] = {.lex_state = 35, .external_lex_state = 2},
  [1094] = {.lex_state = 1, .external_lex_state = 3},
  [1095] = {.lex_state = 1, .external_lex_state = 3},
  [1096] = {.lex_state = 1, .external_lex_state = 3},
  [1097] = {.lex_state = 1, .external_lex_state = 3},
  [1098] = {.lex_state = 1, .external_lex_state = 3},
  [1099] = {.lex_state = 1, .external_lex_state = 3},
  [1100] = {.lex_state = 1, .external_lex_state = 3},
  [1101] = {.lex_state = 1, .external_lex_state = 3},
  [1102] = {.lex_state = 35, .external_lex_state = 2},
  [1103] = {.lex_state = 1, .external_lex_state = 3},
  [1104] = {.lex_state = 1, .external_lex_state = 3},
  [1105] = {.lex_state = 36},
  [1106] = {.lex_state = 1, .external_lex_state = 3},
  [1107] = {.lex_state = 35},
  [1108] = {.lex_state = 35, .external_lex_state = 2},
  [1109] = {.lex_state = 1, .external_lex_state = 3},
  [1110] = {.lex_state = 1, .external_lex_state = 3},
  [1111] = {.lex_state = 1, .external_lex_state = 3},
  [1112] = {.lex_state = 1, .external_lex_state = 3},
  [1113] = {.lex_state = 1, .external_lex_state = 3},
  [1114] = {.lex_state = 1, .external_lex_state = 3},
  [1115] = {.lex_state = 1, .external_lex_state = 3},
  [1116] = {.lex_state = 1, .external_lex_state = 3},
  [1117] = {.lex_state = 1, .external_lex_state = 3},
  [1118] = {.lex_state = 1, .external_lex_state = 3},
  [1119] = {.lex_state = 1, .external_lex_state = 3},
  [1120] = {.lex_state = 1, .external_lex_state = 3},
  [1121] = {.lex_state = 1, .external_lex_state = 3},
  [1122] = {.lex_state = 1, .external_lex_state = 3},
  [1123] = {.lex_state = 1, .external_lex_state = 3},
  [1124] = {.lex_state = 1, .external_lex_state = 3},
  [1125] = {.lex_state = 1, .external_lex_state = 3},
  [1126] = {.lex_state = 1, .external_lex_state = 3},
  [1127] = {.lex_state = 1, .external_lex_state = 3},
  [1128] = {.lex_state = 1, .external_lex_state = 3},
  [1129] = {.lex_state = 1, .external_lex_state = 3},
  [1130] = {.lex_state = 1, .external_lex_state = 3},
  [1131] = {.lex_state = 1, .external_lex_state = 3},
  [1132] = {.lex_state = 1, .external_lex_state = 3},
  [1133] = {.lex_state = 1, .external_lex_state = 3},
  [1134] = {.lex_state = 34},
  [1135] = {.lex_state = 35},
  [1136] = {.lex_state = 1, .external_lex_state = 3},
  [1137] = {.lex_state = 1, .external_lex_state = 3},
  [1138] = {.lex_state = 35},
  [1139] = {.lex_state = 35, .external_lex_state = 2},
  [1140] = {.lex_state = 1, .external_lex_state = 3},
  [1141] = {.lex_state = 1, .external_lex_state = 3},
  [1142] = {.lex_state = 1, .external_lex_state = 3},
  [1143] = {.lex_state = 1, .external_lex_state = 3},
  [1144] = {.lex_state = 1, .external_lex_state = 3},
  [1145] = {.lex_state = 1, .external_lex_state = 3},
  [1146] = {.lex_state = 1, .external_lex_state = 3},
  [1147] = {.lex_state = 1, .external_lex_state = 3},
  [1148] = {.lex_state = 1, .external_lex_state = 3},
  [1149] = {.lex_state = 1, .external_lex_state = 3},
  [1150] = {.lex_state = 1, .external_lex_state = 3},
  [1151] = {.lex_state = 1, .external_lex_state = 3},
  [1152] = {.lex_state = 1, .external_lex_state = 3},
  [1153] = {.lex_state = 1, .external_lex_state = 3},
  [1154] = {.lex_state = 1, .external_lex_state = 3},
  [1155] = {.lex_state = 1, .external_lex_state = 3},
  [1156] = {.lex_state = 1, .external_lex_state = 3},
  [1157] = {.lex_state = 1, .external_lex_state = 3},
  [1158] = {.lex_state = 1, .external_lex_state = 3},
  [1159] = {.lex_state = 1, .external_lex_state = 3},
  [1160] = {.lex_state = 1, .external_lex_state = 3},
  [1161] = {.lex_state = 1, .external_lex_state = 3},
  [1162] = {.lex_state = 1, .external_lex_state = 3},
  [1163] = {.lex_state = 1, .external_lex_state = 3},
  [1164] = {.lex_state = 1, .external_lex_state = 3},
  [1165] = {.lex_state = 1, .external_lex_state = 3},
  [1166] = {.lex_state = 1, .external_lex_state = 3},
  [1167] = {.lex_state = 1, .external_lex_state = 3},
  [1168] = {.lex_state = 1, .external_lex_state = 3},
  [1169] = {.lex_state = 1, .external_lex_state = 3},
  [1170] = {.lex_state = 1, .external_lex_state = 3},
  [1171] = {.lex_state = 33, .external_lex_state = 2},
  [1172] = {.lex_state = 1, .external_lex_state = 3},
  [1173] = {.lex_state = 1, .external_lex_state = 3},
  [1174] = {.lex_state = 1, .external_lex_state = 3},
  [1175] = {.lex_state = 1, .external_lex_state = 3},
  [1176] = {.lex_state = 1, .external_lex_state = 3},
  [1177] = {.lex_state = 1, .external_lex_state = 3},
  [1178] = {.lex_state = 1, .external_lex_state = 3},
  [1179] = {.lex_state = 1, .external_lex_state = 3},
  [1180] = {.lex_state = 1, .external_lex_state = 3},
  [1181] = {.lex_state = 1, .external_lex_state = 3},
  [1182] = {.lex_state = 1, .external_lex_state = 3},
  [1183] = {.lex_state = 1, .external_lex_state = 3},
  [1184] = {.lex_state = 1, .external_lex_state = 3},
  [1185] = {.lex_state = 1, .external_lex_state = 3},
  [1186] = {.lex_state = 1, .external_lex_state = 3},
  [1187] = {.lex_state = 1, .external_lex_state = 3},
  [1188] = {.lex_state = 1, .external_lex_state = 3},
  [1189] = {.lex_state = 1, .external_lex_state = 3},
  [1190] = {.lex_state = 1, .external_lex_state = 3},
  [1191] = {.lex_state = 1, .external_lex_state = 3},
  [1192] = {.lex_state = 1, .external_lex_state = 3},
  [1193] = {.lex_state = 1, .external_lex_state = 3},
  [1194] = {.lex_state = 1, .external_lex_state = 3},
  [1195] = {.lex_state = 1, .external_lex_state = 3},
  [1196] = {.lex_state = 1, .external_lex_state = 3},
  [1197] = {.lex_state = 1, .external_lex_state = 3},
  [1198] = {.lex_state = 1, .external_lex_state = 3},
  [1199] = {.lex_state = 1, .external_lex_state = 3},
  [1200] = {.lex_state = 1, .external_lex_state = 3},
  [1201] = {.lex_state = 1, .external_lex_state = 3},
  [1202] = {.lex_state = 1, .external_lex_state = 3},
  [1203] = {.lex_state = 1, .external_lex_state = 3},
  [1204] = {.lex_state = 1, .external_lex_state = 3},
  [1205] = {.lex_state = 1, .external_lex_state = 3},
  [1206] = {.lex_state = 1, .external_lex_state = 3},
  [1207] = {.lex_state = 1, .external_lex_state = 3},
  [1208] = {.lex_state = 1, .external_lex_state = 3},
  [1209] = {.lex_state = 1, .external_lex_state = 3},
  [1210] = {.lex_state = 1, .external_lex_state = 3},
  [1211] = {.lex_state = 1, .external_lex_state = 3},
  [1212] = {.lex_state = 1, .external_lex_state = 3},
  [1213] = {.lex_state = 1, .external_lex_state = 3},
  [1214] = {.lex_state = 35, .external_lex_state = 2},
  [1215] = {.lex_state = 1, .external_lex_state = 3},
  [1216] = {.lex_state = 1, .external_lex_state = 3},
  [1217] = {.lex_state = 1, .external_lex_state = 3},
  [1218] = {.lex_state = 1, .external_lex_state = 3},
  [1219] = {.lex_state = 1, .external_lex_state = 3},
  [1220] = {.lex_state = 1, .external_lex_state = 3},
  [1221] = {.lex_state = 1, .external_lex_state = 3},
  [1222] = {.lex_state = 1, .external_lex_state = 3},
  [1223] = {.lex_state = 1, .external_lex_state = 3},
  [1224] = {.lex_state = 1, .external_lex_state = 3},
  [1225] = {.lex_state = 1, .external_lex_state = 3},
  [1226] = {.lex_state = 1, .external_lex_state = 3},
  [1227] = {.lex_state = 1, .external_lex_state = 3},
  [1228] = {.lex_state = 1, .external_lex_state = 3},
  [1229] = {.lex_state = 1, .external_lex_state = 3},
  [1230] = {.lex_state = 1, .external_lex_state = 3},
  [1231] = {.lex_state = 1, .external_lex_state = 3},
  [1232] = {.lex_state = 1, .external_lex_state = 3},
  [1233] = {.lex_state = 1, .external_lex_state = 3},
  [1234] = {.lex_state = 1, .external_lex_state = 3},
  [1235] = {.lex_state = 1, .external_lex_state = 3},
  [1236] = {.lex_state = 1, .external_lex_state = 3},
  [1237] = {.lex_state = 1, .external_lex_state = 3},
  [1238] = {.lex_state = 1, .external_lex_state = 3},
  [1239] = {.lex_state = 1, .external_lex_state = 3},
  [1240] = {.lex_state = 1, .external_lex_state = 3},
  [1241] = {.lex_state = 35},
  [1242] = {.lex_state = 1, .external_lex_state = 3},
  [1243] = {.lex_state = 1, .external_lex_state = 3},
  [1244] = {.lex_state = 35},
  [1245] = {.lex_state = 1, .external_lex_state = 3},
  [1246] = {.lex_state = 1, .external_lex_state = 3},
  [1247] = {.lex_state = 1, .external_lex_state = 3},
  [1248] = {.lex_state = 1, .external_lex_state = 3},
  [1249] = {.lex_state = 1, .external_lex_state = 3},
  [1250] = {.lex_state = 1, .external_lex_state = 3},
  [1251] = {.lex_state = 1, .external_lex_state = 3},
  [1252] = {.lex_state = 1, .external_lex_state = 3},
  [1253] = {.lex_state = 1, .external_lex_state = 3},
  [1254] = {.lex_state = 1, .external_lex_state = 3},
  [1255] = {.lex_state = 1, .external_lex_state = 3},
  [1256] = {.lex_state = 1, .external_lex_state = 3},
  [1257] = {.lex_state = 1, .external_lex_state = 3},
  [1258] = {.lex_state = 1, .external_lex_state = 3},
  [1259] = {.lex_state = 1, .external_lex_state = 3},
  [1260] = {.lex_state = 1, .external_lex_state = 3},
  [1261] = {.lex_state = 1, .external_lex_state = 3},
  [1262] = {.lex_state = 35},
  [1263] = {.lex_state = 1, .external_lex_state = 3},
  [1264] = {.lex_state = 1, .external_lex_state = 3},
  [1265] = {.lex_state = 1, .external_lex_state = 3},
  [1266] = {.lex_state = 1, .external_lex_state = 3},
  [1267] = {.lex_state = 1, .external_lex_state = 3},
  [1268] = {.lex_state = 1, .external_lex_state = 3},
  [1269] = {.lex_state = 1, .external_lex_state = 3},
  [1270] = {.lex_state = 1, .external_lex_state = 3},
  [1271] = {.lex_state = 35},
  [1272] = {.lex_state = 1, .external_lex_state = 3},
  [1273] = {.lex_state = 1, .external_lex_state = 3},
  [1274] = {.lex_state = 1, .external_lex_state = 3},
  [1275] = {.lex_state = 1, .external_lex_state = 3},
  [1276] = {.lex_state = 1, .external_lex_state = 3},
  [1277] = {.lex_state = 1, .external_lex_state = 3},
  [1278] = {.lex_state = 35},
  [1279] = {.lex_state = 1, .external_lex_state = 3},
  [1280] = {.lex_state = 1, .external_lex_state = 3},
  [1281] = {.lex_state = 1, .external_lex_state = 3},
  [1282] = {.lex_state = 1, .external_lex_state = 3},
  [1283] = {.lex_state = 35, .external_lex_state = 2},
  [1284] = {.lex_state = 35, .external_lex_state = 2},
  [1285] = {.lex_state = 1, .external_lex_state = 3},
  [1286] = {.lex_state = 35},
  [1287] = {.lex_state = 1, .external_lex_state = 3},
  [1288] = {.lex_state = 35},
  [1289] = {.lex_state = 1, .external_lex_state = 3},
  [1290] = {.lex_state = 1, .external_lex_state = 3},
  [1291] = {.lex_state = 1, .external_lex_state = 3},
  [1292] = {.lex_state = 1, .external_lex_state = 3},
  [1293] = {.lex_state = 1, .external_lex_state = 3},
  [1294] = {.lex_state = 1, .external_lex_state = 3},
  [1295] = {.lex_state = 1, .external_lex_state = 3},
  [1296] = {.lex_state = 1, .external_lex_state = 3},
  [1297] = {.lex_state = 1, .external_lex_state = 3},
  [1298] = {.lex_state = 1, .external_lex_state = 3},
  [1299] = {.lex_state = 1, .external_lex_state = 3},
  [1300] = {.lex_state = 1, .external_lex_state = 3},
  [1301] = {.lex_state = 35, .external_lex_state = 2},
  [1302] = {.lex_state = 35},
  [1303] = {.lex_state = 33, .external_lex_state = 2},
  [1304] = {.lex_state = 1, .external_lex_state = 3},
  [1305] = {.lex_state = 1, .external_lex_state = 3},
  [1306] = {.lex_state = 1, .external_lex_state = 3},
  [1307] = {.lex_state = 1, .external_lex_state = 3},
  [1308] = {.lex_state = 1, .external_lex_state = 3},
  [1309] = {.lex_state = 1, .external_lex_state = 3},
  [1310] = {.lex_state = 1, .external_lex_state = 3},
  [1311] = {.lex_state = 1, .external_lex_state = 3},
  [1312] = {.lex_state = 1, .external_lex_state = 3},
  [1313] = {.lex_state = 1, .external_lex_state = 3},
  [1314] = {.lex_state = 1, .external_lex_state = 3},
  [1315] = {.lex_state = 1, .external_lex_state = 3},
  [1316] = {.lex_state = 1, .external_lex_state = 3},
  [1317] = {.lex_state = 1, .external_lex_state = 3},
  [1318] = {.lex_state = 1, .external_lex_state = 3},
  [1319] = {.lex_state = 35, .external_lex_state = 2},
  [1320] = {.lex_state = 1, .external_lex_state = 3},
  [1321] = {.lex_state = 1, .external_lex_state = 3},
  [1322] = {.lex_state = 1, .external_lex_state = 3},
  [1323] = {.lex_state = 1, .external_lex_state = 3},
  [1324] = {.lex_state = 1, .external_lex_state = 3},
  [1325] = {.lex_state = 1, .external_lex_state = 3},
  [1326] = {.lex_state = 1, .external_lex_state = 3},
  [1327] = {.lex_state = 1, .external_lex_state = 3},
  [1328] = {.lex_state = 1, .external_lex_state = 3},
  [1329] = {.lex_state = 1, .external_lex_state = 3},
  [1330] = {.lex_state = 1, .external_lex_state = 3},
  [1331] = {.lex_state = 1, .external_lex_state = 3},
  [1332] = {.lex_state = 1, .external_lex_state = 3},
  [1333] = {.lex_state = 1, .external_lex_state = 3},
  [1334] = {.lex_state = 1, .external_lex_state = 3},
  [1335] = {.lex_state = 1, .external_lex_state = 3},
  [1336] = {.lex_state = 1, .external_lex_state = 3},
  [1337] = {.lex_state = 1, .external_lex_state = 3},
  [1338] = {.lex_state = 1, .external_lex_state = 3},
  [1339] = {.lex_state = 1, .external_lex_state = 3},
  [1340] = {.lex_state = 1, .external_lex_state = 3},
  [1341] = {.lex_state = 1, .external_lex_state = 3},
  [1342] = {.lex_state = 1, .external_lex_state = 3},
  [1343] = {.lex_state = 1, .external_lex_state = 3},
  [1344] = {.lex_state = 35, .external_lex_state = 2},
  [1345] = {.lex_state = 1, .external_lex_state = 3},
  [1346] = {.lex_state = 35, .external_lex_state = 2},
  [1347] = {.lex_state = 1, .external_lex_state = 3},
  [1348] = {.lex_state = 1, .external_lex_state = 3},
  [1349] = {.lex_state = 1, .external_lex_state = 3},
  [1350] = {.lex_state = 1, .external_lex_state = 3},
  [1351] = {.lex_state = 1, .external_lex_state = 3},
  [1352] = {.lex_state = 1, .external_lex_state = 3},
  [1353] = {.lex_state = 35, .external_lex_state = 2},
  [1354] = {.lex_state = 1, .external_lex_state = 3},
  [1355] = {.lex_state = 1, .external_lex_state = 3},
  [1356] = {.lex_state = 35},
  [1357] = {.lex_state = 35},
  [1358] = {.lex_state = 35},
  [1359] = {.lex_state = 35},
  [1360] = {.lex_state = 35},
  [1361] = {.lex_state = 1, .external_lex_state = 3},
  [1362] = {.lex_state = 1, .external_lex_state = 3},
  [1363] = {.lex_state = 1, .external_lex_state = 3},
  [1364] = {.lex_state = 1, .external_lex_state = 3},
  [1365] = {.lex_state = 1, .external_lex_state = 3},
  [1366] = {.lex_state = 1, .external_lex_state = 3},
  [1367] = {.lex_state = 1, .external_lex_state = 3},
  [1368] = {.lex_state = 1, .external_lex_state = 3},
  [1369] = {.lex_state = 1, .external_lex_state = 3},
  [1370] = {.lex_state = 1, .external_lex_state = 3},
  [1371] = {.lex_state = 1, .external_lex_state = 3},
  [1372] = {.lex_state = 1, .external_lex_state = 3},
  [1373] = {.lex_state = 1, .external_lex_state = 3},
  [1374] = {.lex_state = 1, .external_lex_state = 3},
  [1375] = {.lex_state = 1, .external_lex_state = 3},
  [1376] = {.lex_state = 1, .external_lex_state = 3},
  [1377] = {.lex_state = 35, .external_lex_state = 2},
  [1378] = {.lex_state = 35},
  [1379] = {.lex_state = 1, .external_lex_state = 3},
  [1380] = {.lex_state = 1, .external_lex_state = 3},
  [1381] = {.lex_state = 1, .external_lex_state = 3},
  [1382] = {.lex_state = 1, .external_lex_state = 3},
  [1383] = {.lex_state = 1, .external_lex_state = 3},
  [1384] = {.lex_state = 35, .external_lex_state = 2},
  [1385] = {.lex_state = 1, .external_lex_state = 3},
  [1386] = {.lex_state = 1, .external_lex_state = 3},
  [1387] = {.lex_state = 1, .external_lex_state = 3},
  [1388] = {.lex_state = 36},
  [1389] = {.lex_state = 1, .external_lex_state = 3},
  [1390] = {.lex_state = 35},
  [1391] = {.lex_state = 1, .external_lex_state = 3},
  [1392] = {.lex_state = 1, .external_lex_state = 3},
  [1393] = {.lex_state = 1, .external_lex_state = 3},
  [1394] = {.lex_state = 1, .external_lex_state = 3},
  [1395] = {.lex_state = 1, .external_lex_state = 3},
  [1396] = {.lex_state = 1, .external_lex_state = 3},
  [1397] = {.lex_state = 1, .external_lex_state = 3},
  [1398] = {.lex_state = 1, .external_lex_state = 3},
  [1399] = {.lex_state = 1, .external_lex_state = 3},
  [1400] = {.lex_state = 1, .external_lex_state = 3},
  [1401] = {.lex_state = 1, .external_lex_state = 3},
  [1402] = {.lex_state = 1, .external_lex_state = 3},
  [1403] = {.lex_state = 1, .external_lex_state = 3},
  [1404] = {.lex_state = 1, .external_lex_state = 3},
  [1405] = {.lex_state = 1, .external_lex_state = 3},
  [1406] = {.lex_state = 1, .external_lex_state = 3},
  [1407] = {.lex_state = 1, .external_lex_state = 3},
  [1408] = {.lex_state = 1, .external_lex_state = 3},
  [1409] = {.lex_state = 1, .external_lex_state = 3},
  [1410] = {.lex_state = 1, .external_lex_state = 3},
  [1411] = {.lex_state = 1, .external_lex_state = 3},
  [1412] = {.lex_state = 1, .external_lex_state = 3},
  [1413] = {.lex_state = 1, .external_lex_state = 3},
  [1414] = {.lex_state = 1, .external_lex_state = 3},
  [1415] = {.lex_state = 1, .external_lex_state = 3},
  [1416] = {.lex_state = 1, .external_lex_state = 3},
  [1417] = {.lex_state = 1, .external_lex_state = 3},
  [1418] = {.lex_state = 1, .external_lex_state = 3},
  [1419] = {.lex_state = 1, .external_lex_state = 3},
  [1420] = {.lex_state = 1, .external_lex_state = 3},
  [1421] = {.lex_state = 1, .external_lex_state = 3},
  [1422] = {.lex_state = 1, .external_lex_state = 3},
  [1423] = {.lex_state = 1, .external_lex_state = 3},
  [1424] = {.lex_state = 1, .external_lex_state = 3},
  [1425] = {.lex_state = 1, .external_lex_state = 3},
  [1426] = {.lex_state = 1, .external_lex_state = 3},
  [1427] = {.lex_state = 1, .external_lex_state = 3},
  [1428] = {.lex_state = 1, .external_lex_state = 3},
  [1429] = {.lex_state = 1, .external_lex_state = 3},
  [1430] = {.lex_state = 1, .external_lex_state = 3},
  [1431] = {.lex_state = 1, .external_lex_state = 3},
  [1432] = {.lex_state = 35},
  [1433] = {.lex_state = 1, .external_lex_state = 3},
  [1434] = {.lex_state = 1, .external_lex_state = 3},
  [1435] = {.lex_state = 1, .external_lex_state = 3},
  [1436] = {.lex_state = 1, .external_lex_state = 3},
  [1437] = {.lex_state = 1, .external_lex_state = 3},
  [1438] = {.lex_state = 1, .external_lex_state = 3},
  [1439] = {.lex_state = 1, .external_lex_state = 3},
  [1440] = {.lex_state = 35},
  [1441] = {.lex_state = 1, .external_lex_state = 3},
  [1442] = {.lex_state = 1, .external_lex_state = 3},
  [1443] = {.lex_state = 1, .external_lex_state = 3},
  [1444] = {.lex_state = 1, .external_lex_state = 3},
  [1445] = {.lex_state = 1, .external_lex_state = 3},
  [1446] = {.lex_state = 1, .external_lex_state = 3},
  [1447] = {.lex_state = 1, .external_lex_state = 3},
  [1448] = {.lex_state = 1, .external_lex_state = 3},
  [1449] = {.lex_state = 1, .external_lex_state = 3},
  [1450] = {.lex_state = 1, .external_lex_state = 3},
  [1451] = {.lex_state = 1, .external_lex_state = 3},
  [1452] = {.lex_state = 1, .external_lex_state = 3},
  [1453] = {.lex_state = 1, .external_lex_state = 3},
  [1454] = {.lex_state = 1, .external_lex_state = 3},
  [1455] = {.lex_state = 1, .external_lex_state = 3},
  [1456] = {.lex_state = 1, .external_lex_state = 3},
  [1457] = {.lex_state = 1, .external_lex_state = 3},
  [1458] = {.lex_state = 1, .external_lex_state = 3},
  [1459] = {.lex_state = 1, .external_lex_state = 3},
  [1460] = {.lex_state = 1, .external_lex_state = 3},
  [1461] = {.lex_state = 1, .external_lex_state = 3},
  [1462] = {.lex_state = 1, .external_lex_state = 3},
  [1463] = {.lex_state = 1, .external_lex_state = 3},
  [1464] = {.lex_state = 1, .external_lex_state = 3},
  [1465] = {.lex_state = 1, .external_lex_state = 3},
  [1466] = {.lex_state = 1, .external_lex_state = 3},
  [1467] = {.lex_state = 1, .external_lex_state = 3},
  [1468] = {.lex_state = 1, .external_lex_state = 3},
  [1469] = {.lex_state = 1, .external_lex_state = 3},
  [1470] = {.lex_state = 1, .external_lex_state = 3},
  [1471] = {.lex_state = 1, .external_lex_state = 3},
  [1472] = {.lex_state = 1, .external_lex_state = 3},
  [1473] = {.lex_state = 35},
  [1474] = {.lex_state = 35},
  [1475] = {.lex_state = 1, .external_lex_state = 3},
  [1476] = {.lex_state = 1, .external_lex_state = 3},
  [1477] = {.lex_state = 1, .external_lex_state = 3},
  [1478] = {.lex_state = 1, .external_lex_state = 3},
  [1479] = {.lex_state = 1, .external_lex_state = 3},
  [1480] = {.lex_state = 1, .external_lex_state = 3},
  [1481] = {.lex_state = 1, .external_lex_state = 3},
  [1482] = {.lex_state = 1, .external_lex_state = 3},
  [1483] = {.lex_state = 1, .external_lex_state = 3},
  [1484] = {.lex_state = 1, .external_lex_state = 3},
  [1485] = {.lex_state = 1, .external_lex_state = 3},
  [1486] = {.lex_state = 1, .external_lex_state = 3},
  [1487] = {.lex_state = 35, .external_lex_state = 2},
  [1488] = {.lex_state = 1, .external_lex_state = 3},
  [1489] = {.lex_state = 1, .external_lex_state = 3},
  [1490] = {.lex_state = 1, .external_lex_state = 3},
  [1491] = {.lex_state = 1, .external_lex_state = 3},
  [1492] = {.lex_state = 1, .external_lex_state = 3},
  [1493] = {.lex_state = 1, .external_lex_state = 3},
  [1494] = {.lex_state = 1, .external_lex_state = 3},
  [1495] = {.lex_state = 1, .external_lex_state = 3},
  [1496] = {.lex_state = 1, .external_lex_state = 3},
  [1497] = {.lex_state = 1, .external_lex_state = 3},
  [1498] = {.lex_state = 1, .external_lex_state = 3},
  [1499] = {.lex_state = 35},
  [1500] = {.lex_state = 1, .external_lex_state = 3},
  [1501] = {.lex_state = 1, .external_lex_state = 3},
  [1502] = {.lex_state = 1, .external_lex_state = 3},
  [1503] = {.lex_state = 1, .external_lex_state = 3},
  [1504] = {.lex_state = 1, .external_lex_state = 3},
  [1505] = {.lex_state = 1, .external_lex_state = 3},
  [1506] = {.lex_state = 1, .external_lex_state = 3},
  [1507] = {.lex_state = 1, .external_lex_state = 3},
  [1508] = {.lex_state = 1, .external_lex_state = 3},
  [1509] = {.lex_state = 1, .external_lex_state = 3},
  [1510] = {.lex_state = 1, .external_lex_state = 3},
  [1511] = {.lex_state = 1, .external_lex_state = 3},
  [1512] = {.lex_state = 1, .external_lex_state = 3},
  [1513] = {.lex_state = 1, .external_lex_state = 3},
  [1514] = {.lex_state = 1, .external_lex_state = 3},
  [1515] = {.lex_state = 1, .external_lex_state = 3},
  [1516] = {.lex_state = 1, .external_lex_state = 3},
  [1517] = {.lex_state = 1, .external_lex_state = 3},
  [1518] = {.lex_state = 1, .external_lex_state = 3},
  [1519] = {.lex_state = 1, .external_lex_state = 3},
  [1520] = {.lex_state = 1, .external_lex_state = 3},
  [1521] = {.lex_state = 1, .external_lex_state = 3},
  [1522] = {.lex_state = 1, .external_lex_state = 3},
  [1523] = {.lex_state = 1, .external_lex_state = 3},
  [1524] = {.lex_state = 1, .external_lex_state = 3},
  [1525] = {.lex_state = 1, .external_lex_state = 3},
  [1526] = {.lex_state = 1, .external_lex_state = 3},
  [1527] = {.lex_state = 1, .external_lex_state = 3},
  [1528] = {.lex_state = 1, .external_lex_state = 3},
  [1529] = {.lex_state = 1, .external_lex_state = 3},
  [1530] = {.lex_state = 1, .external_lex_state = 3},
  [1531] = {.lex_state = 33},
  [1532] = {.lex_state = 35, .external_lex_state = 2},
  [1533] = {.lex_state = 1, .external_lex_state = 3},
  [1534] = {.lex_state = 1, .external_lex_state = 3},
  [1535] = {.lex_state = 1, .external_lex_state = 3},
  [1536] = {.lex_state = 1, .external_lex_state = 3},
  [1537] = {.lex_state = 35, .external_lex_state = 2},
  [1538] = {.lex_state = 1, .external_lex_state = 3},
  [1539] = {.lex_state = 1, .external_lex_state = 3},
  [1540] = {.lex_state = 1, .external_lex_state = 3},
  [1541] = {.lex_state = 1, .external_lex_state = 3},
  [1542] = {.lex_state = 1, .external_lex_state = 3},
  [1543] = {.lex_state = 1, .external_lex_state = 3},
  [1544] = {.lex_state = 1, .external_lex_state = 3},
  [1545] = {.lex_state = 1, .external_lex_state = 3},
  [1546] = {.lex_state = 1, .external_lex_state = 3},
  [1547] = {.lex_state = 35, .external_lex_state = 2},
  [1548] = {.lex_state = 1, .external_lex_state = 3},
  [1549] = {.lex_state = 1, .external_lex_state = 3},
  [1550] = {.lex_state = 1, .external_lex_state = 3},
  [1551] = {.lex_state = 1, .external_lex_state = 3},
  [1552] = {.lex_state = 1, .external_lex_state = 3},
  [1553] = {.lex_state = 1, .external_lex_state = 3},
  [1554] = {.lex_state = 35, .external_lex_state = 2},
  [1555] = {.lex_state = 1, .external_lex_state = 3},
  [1556] = {.lex_state = 1, .external_lex_state = 3},
  [1557] = {.lex_state = 1, .external_lex_state = 3},
  [1558] = {.lex_state = 1, .external_lex_state = 3},
  [1559] = {.lex_state = 1, .external_lex_state = 3},
  [1560] = {.lex_state = 1, .external_lex_state = 3},
  [1561] = {.lex_state = 1, .external_lex_state = 3},
  [1562] = {.lex_state = 1, .external_lex_state = 3},
  [1563] = {.lex_state = 1, .external_lex_state = 3},
  [1564] = {.lex_state = 1, .external_lex_state = 3},
  [1565] = {.lex_state = 1, .external_lex_state = 3},
  [1566] = {.lex_state = 1, .external_lex_state = 3},
  [1567] = {.lex_state = 1, .external_lex_state = 3},
  [1568] = {.lex_state = 1, .external_lex_state = 3},
  [1569] = {.lex_state = 1, .external_lex_state = 3},
  [1570] = {.lex_state = 1, .external_lex_state = 3},
  [1571] = {.lex_state = 1, .external_lex_state = 3},
  [1572] = {.lex_state = 1, .external_lex_state = 3},
  [1573] = {.lex_state = 1, .external_lex_state = 3},
  [1574] = {.lex_state = 1, .external_lex_state = 3},
  [1575] = {.lex_state = 1, .external_lex_state = 3},
  [1576] = {.lex_state = 1, .external_lex_state = 3},
  [1577] = {.lex_state = 36},
  [1578] = {.lex_state = 1, .external_lex_state = 3},
  [1579] = {.lex_state = 36},
  [1580] = {.lex_state = 36},
  [1581] = {.lex_state = 1, .external_lex_state = 3},
  [1582] = {.lex_state = 1, .external_lex_state = 3},
  [1583] = {.lex_state = 1, .external_lex_state = 3},
  [1584] = {.lex_state = 1, .external_lex_state = 3},
  [1585] = {.lex_state = 1, .external_lex_state = 3},
  [1586] = {.lex_state = 1, .external_lex_state = 3},
  [1587] = {.lex_state = 1, .external_lex_state = 3},
  [1588] = {.lex_state = 1, .external_lex_state = 3},
  [1589] = {.lex_state = 36},
  [1590] = {.lex_state = 36},
  [1591] = {.lex_state = 1, .external_lex_state = 3},
  [1592] = {.lex_state = 1, .external_lex_state = 3},
  [1593] = {.lex_state = 1, .external_lex_state = 3},
  [1594] = {.lex_state = 1, .external_lex_state = 3},
  [1595] = {.lex_state = 1, .external_lex_state = 3},
  [1596] = {.lex_state = 1, .external_lex_state = 3},
  [1597] = {.lex_state = 1, .external_lex_state = 3},
  [1598] = {.lex_state = 1, .external_lex_state = 3},
  [1599] = {.lex_state = 36},
  [1600] = {.lex_state = 35, .external_lex_state = 2},
  [1601] = {.lex_state = 1, .external_lex_state = 3},
  [1602] = {.lex_state = 35, .external_lex_state = 2},
  [1603] = {.lex_state = 36},
  [1604] = {.lex_state = 1, .external_lex_state = 3},
  [1605] = {.lex_state = 1, .external_lex_state = 3},
  [1606] = {.lex_state = 1, .external_lex_state = 3},
  [1607] = {.lex_state = 1, .external_lex_state = 3},
  [1608] = {.lex_state = 35},
  [1609] = {.lex_state = 1, .external_lex_state = 3},
  [1610] = {.lex_state = 1, .external_lex_state = 3},
  [1611] = {.lex_state = 1, .external_lex_state = 3},
  [1612] = {.lex_state = 1, .external_lex_state = 3},
  [1613] = {.lex_state = 1, .external_lex_state = 3},
  [1614] = {.lex_state = 1, .external_lex_state = 3},
  [1615] = {.lex_state = 1, .external_lex_state = 3},
  [1616] = {.lex_state = 35, .external_lex_state = 2},
  [1617] = {.lex_state = 35},
  [1618] = {.lex_state = 1, .external_lex_state = 3},
  [1619] = {.lex_state = 1, .external_lex_state = 3},
  [1620] = {.lex_state = 35},
  [1621] = {.lex_state = 1, .external_lex_state = 3},
  [1622] = {.lex_state = 35, .external_lex_state = 2},
  [1623] = {.lex_state = 1, .external_lex_state = 3},
  [1624] = {.lex_state = 35, .external_lex_state = 2},
  [1625] = {.lex_state = 1, .external_lex_state = 3},
  [1626] = {.lex_state = 1, .external_lex_state = 3},
  [1627] = {.lex_state = 1, .external_lex_state = 3},
  [1628] = {.lex_state = 1, .external_lex_state = 3},
  [1629] = {.lex_state = 1, .external_lex_state = 3},
  [1630] = {.lex_state = 1, .external_lex_state = 3},
  [1631] = {.lex_state = 1, .external_lex_state = 3},
  [1632] = {.lex_state = 1, .external_lex_state = 3},
  [1633] = {.lex_state = 1, .external_lex_state = 3},
  [1634] = {.lex_state = 1, .external_lex_state = 3},
  [1635] = {.lex_state = 1, .external_lex_state = 3},
  [1636] = {.lex_state = 1, .external_lex_state = 3},
  [1637] = {.lex_state = 35, .external_lex_state = 2},
  [1638] = {.lex_state = 1, .external_lex_state = 3},
  [1639] = {.lex_state = 1, .external_lex_state = 3},
  [1640] = {.lex_state = 1, .external_lex_state = 3},
  [1641] = {.lex_state = 1, .external_lex_state = 3},
  [1642] = {.lex_state = 1, .external_lex_state = 3},
  [1643] = {.lex_state = 1, .external_lex_state = 3},
  [1644] = {.lex_state = 1, .external_lex_state = 3},
  [1645] = {.lex_state = 1, .external_lex_state = 3},
  [1646] = {.lex_state = 1, .external_lex_state = 3},
  [1647] = {.lex_state = 1, .external_lex_state = 3},
  [1648] = {.lex_state = 1, .external_lex_state = 3},
  [1649] = {.lex_state = 1, .external_lex_state = 3},
  [1650] = {.lex_state = 1, .external_lex_state = 3},
  [1651] = {.lex_state = 1, .external_lex_state = 3},
  [1652] = {.lex_state = 1, .external_lex_state = 3},
  [1653] = {.lex_state = 1, .external_lex_state = 3},
  [1654] = {.lex_state = 1, .external_lex_state = 3},
  [1655] = {.lex_state = 1, .external_lex_state = 3},
  [1656] = {.lex_state = 1, .external_lex_state = 3},
  [1657] = {.lex_state = 1, .external_lex_state = 3},
  [1658] = {.lex_state = 1, .external_lex_state = 3},
  [1659] = {.lex_state = 1, .external_lex_state = 3},
  [1660] = {.lex_state = 1, .external_lex_state = 3},
  [1661] = {.lex_state = 1, .external_lex_state = 3},
  [1662] = {.lex_state = 1, .external_lex_state = 3},
  [1663] = {.lex_state = 1, .external_lex_state = 3},
  [1664] = {.lex_state = 1, .external_lex_state = 3},
  [1665] = {.lex_state = 1, .external_lex_state = 3},
  [1666] = {.lex_state = 1, .external_lex_state = 3},
  [1667] = {.lex_state = 1, .external_lex_state = 3},
  [1668] = {.lex_state = 1, .external_lex_state = 3},
  [1669] = {.lex_state = 1, .external_lex_state = 3},
  [1670] = {.lex_state = 1, .external_lex_state = 3},
  [1671] = {.lex_state = 1, .external_lex_state = 3},
  [1672] = {.lex_state = 1, .external_lex_state = 3},
  [1673] = {.lex_state = 35, .external_lex_state = 2},
  [1674] = {.lex_state = 1, .external_lex_state = 3},
  [1675] = {.lex_state = 35, .external_lex_state = 2},
  [1676] = {.lex_state = 1, .external_lex_state = 3},
  [1677] = {.lex_state = 1, .external_lex_state = 3},
  [1678] = {.lex_state = 1, .external_lex_state = 3},
  [1679] = {.lex_state = 1, .external_lex_state = 3},
  [1680] = {.lex_state = 36},
  [1681] = {.lex_state = 35},
  [1682] = {.lex_state = 1, .external_lex_state = 3},
  [1683] = {.lex_state = 1, .external_lex_state = 3},
  [1684] = {.lex_state = 1, .external_lex_state = 3},
  [1685] = {.lex_state = 1, .external_lex_state = 3},
  [1686] = {.lex_state = 1, .external_lex_state = 3},
  [1687] = {.lex_state = 1, .external_lex_state = 3},
  [1688] = {.lex_state = 1, .external_lex_state = 3},
  [1689] = {.lex_state = 1, .external_lex_state = 3},
  [1690] = {.lex_state = 1, .external_lex_state = 3},
  [1691] = {.lex_state = 1, .external_lex_state = 3},
  [1692] = {.lex_state = 1, .external_lex_state = 3},
  [1693] = {.lex_state = 1, .external_lex_state = 3},
  [1694] = {.lex_state = 1, .external_lex_state = 3},
  [1695] = {.lex_state = 1, .external_lex_state = 3},
  [1696] = {.lex_state = 1, .external_lex_state = 3},
  [1697] = {.lex_state = 1, .external_lex_state = 3},
  [1698] = {.lex_state = 1, .external_lex_state = 3},
  [1699] = {.lex_state = 1, .external_lex_state = 3},
  [1700] = {.lex_state = 1, .external_lex_state = 3},
  [1701] = {.lex_state = 1, .external_lex_state = 3},
  [1702] = {.lex_state = 1, .external_lex_state = 3},
  [1703] = {.lex_state = 1, .external_lex_state = 3},
  [1704] = {.lex_state = 1, .external_lex_state = 3},
  [1705] = {.lex_state = 36},
  [1706] = {.lex_state = 1, .external_lex_state = 3},
  [1707] = {.lex_state = 36},
  [1708] = {.lex_state = 1, .external_lex_state = 3},
  [1709] = {.lex_state = 1, .external_lex_state = 3},
  [1710] = {.lex_state = 1, .external_lex_state = 3},
  [1711] = {.lex_state = 36},
  [1712] = {.lex_state = 36},
  [1713] = {.lex_state = 1, .external_lex_state = 3},
  [1714] = {.lex_state = 36},
  [1715] = {.lex_state = 1, .external_lex_state = 3},
  [1716] = {.lex_state = 1, .external_lex_state = 3},
  [1717] = {.lex_state = 36},
  [1718] = {.lex_state = 1, .external_lex_state = 3},
  [1719] = {.lex_state = 1, .external_lex_state = 3},
  [1720] = {.lex_state = 1, .external_lex_state = 3},
  [1721] = {.lex_state = 1, .external_lex_state = 3},
  [1722] = {.lex_state = 1, .external_lex_state = 3},
  [1723] = {.lex_state = 1, .external_lex_state = 3},
  [1724] = {.lex_state = 1, .external_lex_state = 3},
  [1725] = {.lex_state = 1, .external_lex_state = 3},
  [1726] = {.lex_state = 1, .external_lex_state = 3},
  [1727] = {.lex_state = 1, .external_lex_state = 3},
  [1728] = {.lex_state = 1, .external_lex_state = 3},
  [1729] = {.lex_state = 1, .external_lex_state = 3},
  [1730] = {.lex_state = 1, .external_lex_state = 3},
  [1731] = {.lex_state = 1, .external_lex_state = 3},
  [1732] = {.lex_state = 1, .external_lex_state = 3},
  [1733] = {.lex_state = 1, .external_lex_state = 3},
  [1734] = {.lex_state = 1, .external_lex_state = 3},
  [1735] = {.lex_state = 1, .external_lex_state = 3},
  [1736] = {.lex_state = 1, .external_lex_state = 3},
  [1737] = {.lex_state = 1, .external_lex_state = 3},
  [1738] = {.lex_state = 1, .external_lex_state = 3},
  [1739] = {.lex_state = 1, .external_lex_state = 3},
  [1740] = {.lex_state = 1, .external_lex_state = 3},
  [1741] = {.lex_state = 1, .external_lex_state = 3},
  [1742] = {.lex_state = 1, .external_lex_state = 3},
  [1743] = {.lex_state = 1, .external_lex_state = 3},
  [1744] = {.lex_state = 36},
  [1745] = {.lex_state = 1, .external_lex_state = 3},
  [1746] = {.lex_state = 1, .external_lex_state = 3},
  [1747] = {.lex_state = 1, .external_lex_state = 3},
  [1748] = {.lex_state = 1, .external_lex_state = 3},
  [1749] = {.lex_state = 1, .external_lex_state = 3},
  [1750] = {.lex_state = 1, .external_lex_state = 3},
  [1751] = {.lex_state = 1, .external_lex_state = 3},
  [1752] = {.lex_state = 1, .external_lex_state = 3},
  [1753] = {.lex_state = 1, .external_lex_state = 3},
  [1754] = {.lex_state = 1, .external_lex_state = 3},
  [1755] = {.lex_state = 1, .external_lex_state = 3},
  [1756] = {.lex_state = 1, .external_lex_state = 3},
  [1757] = {.lex_state = 1, .external_lex_state = 3},
  [1758] = {.lex_state = 1, .external_lex_state = 3},
  [1759] = {.lex_state = 1, .external_lex_state = 3},
  [1760] = {.lex_state = 1, .external_lex_state = 3},
  [1761] = {.lex_state = 1, .external_lex_state = 3},
  [1762] = {.lex_state = 1, .external_lex_state = 3},
  [1763] = {.lex_state = 35},
  [1764] = {.lex_state = 1, .external_lex_state = 3},
  [1765] = {.lex_state = 1, .external_lex_state = 3},
  [1766] = {.lex_state = 1, .external_lex_state = 3},
  [1767] = {.lex_state = 1, .external_lex_state = 3},
  [1768] = {.lex_state = 1, .external_lex_state = 3},
  [1769] = {.lex_state = 35},
  [1770] = {.lex_state = 1, .external_lex_state = 3},
  [1771] = {.lex_state = 1, .external_lex_state = 3},
  [1772] = {.lex_state = 1, .external_lex_state = 3},
  [1773] = {.lex_state = 1, .external_lex_state = 3},
  [1774] = {.lex_state = 1, .external_lex_state = 3},
  [1775] = {.lex_state = 1, .external_lex_state = 3},
  [1776] = {.lex_state = 1, .external_lex_state = 3},
  [1777] = {.lex_state = 35},
  [1778] = {.lex_state = 1, .external_lex_state = 3},
  [1779] = {.lex_state = 1, .external_lex_state = 3},
  [1780] = {.lex_state = 1, .external_lex_state = 3},
  [1781] = {.lex_state = 35},
  [1782] = {.lex_state = 1, .external_lex_state = 3},
  [1783] = {.lex_state = 1, .external_lex_state = 3},
  [1784] = {.lex_state = 35, .external_lex_state = 2},
  [1785] = {.lex_state = 1, .external_lex_state = 3},
  [1786] = {.lex_state = 1, .external_lex_state = 3},
  [1787] = {.lex_state = 1, .external_lex_state = 3},
  [1788] = {.lex_state = 1, .external_lex_state = 3},
  [1789] = {.lex_state = 35},
  [1790] = {.lex_state = 1, .external_lex_state = 3},
  [1791] = {.lex_state = 1, .external_lex_state = 3},
  [1792] = {.lex_state = 1, .external_lex_state = 3},
  [1793] = {.lex_state = 1, .external_lex_state = 3},
  [1794] = {.lex_state = 1, .external_lex_state = 3},
  [1795] = {.lex_state = 1, .external_lex_state = 3},
  [1796] = {.lex_state = 1, .external_lex_state = 3},
  [1797] = {.lex_state = 1, .external_lex_state = 3},
  [1798] = {.lex_state = 1, .external_lex_state = 3},
  [1799] = {.lex_state = 1, .external_lex_state = 3},
  [1800] = {.lex_state = 1, .external_lex_state = 3},
  [1801] = {.lex_state = 1, .external_lex_state = 3},
  [1802] = {.lex_state = 1, .external_lex_state = 3},
  [1803] = {.lex_state = 1, .external_lex_state = 3},
  [1804] = {.lex_state = 1, .external_lex_state = 3},
  [1805] = {.lex_state = 1, .external_lex_state = 3},
  [1806] = {.lex_state = 1, .external_lex_state = 3},
  [1807] = {.lex_state = 1, .external_lex_state = 3},
  [1808] = {.lex_state = 1, .external_lex_state = 3},
  [1809] = {.lex_state = 1, .external_lex_state = 3},
  [1810] = {.lex_state = 1, .external_lex_state = 3},
  [1811] = {.lex_state = 1, .external_lex_state = 3},
  [1812] = {.lex_state = 1, .external_lex_state = 3},
  [1813] = {.lex_state = 1, .external_lex_state = 3},
  [1814] = {.lex_state = 1, .external_lex_state = 3},
  [1815] = {.lex_state = 1, .external_lex_state = 3},
  [1816] = {.lex_state = 1, .external_lex_state = 3},
  [1817] = {.lex_state = 1, .external_lex_state = 3},
  [1818] = {.lex_state = 1, .external_lex_state = 3},
  [1819] = {.lex_state = 1, .external_lex_state = 3},
  [1820] = {.lex_state = 1, .external_lex_state = 3},
  [1821] = {.lex_state = 1, .external_lex_state = 3},
  [1822] = {.lex_state = 1, .external_lex_state = 3},
  [1823] = {.lex_state = 1, .external_lex_state = 3},
  [1824] = {.lex_state = 1, .external_lex_state = 3},
  [1825] = {.lex_state = 1, .external_lex_state = 3},
  [1826] = {.lex_state = 1, .external_lex_state = 3},
  [1827] = {.lex_state = 1, .external_lex_state = 3},
  [1828] = {.lex_state = 1, .external_lex_state = 3},
  [1829] = {.lex_state = 1, .external_lex_state = 3},
  [1830] = {.lex_state = 1, .external_lex_state = 3},
  [1831] = {.lex_state = 1, .external_lex_state = 3},
  [1832] = {.lex_state = 1, .external_lex_state = 3},
  [1833] = {.lex_state = 1, .external_lex_state = 3},
  [1834] = {.lex_state = 1, .external_lex_state = 3},
  [1835] = {.lex_state = 1, .external_lex_state = 3},
  [1836] = {.lex_state = 1, .external_lex_state = 3},
  [1837] = {.lex_state = 1, .external_lex_state = 3},
  [1838] = {.lex_state = 1, .external_lex_state = 3},
  [1839] = {.lex_state = 1, .external_lex_state = 3},
  [1840] = {.lex_state = 1, .external_lex_state = 3},
  [1841] = {.lex_state = 1, .external_lex_state = 3},
  [1842] = {.lex_state = 1, .external_lex_state = 3},
  [1843] = {.lex_state = 1, .external_lex_state = 3},
  [1844] = {.lex_state = 1, .external_lex_state = 3},
  [1845] = {.lex_state = 1, .external_lex_state = 3},
  [1846] = {.lex_state = 1, .external_lex_state = 3},
  [1847] = {.lex_state = 1, .external_lex_state = 3},
  [1848] = {.lex_state = 1, .external_lex_state = 3},
  [1849] = {.lex_state = 1, .external_lex_state = 3},
  [1850] = {.lex_state = 1, .external_lex_state = 3},
  [1851] = {.lex_state = 1, .external_lex_state = 3},
  [1852] = {.lex_state = 1, .external_lex_state = 3},
  [1853] = {.lex_state = 1, .external_lex_state = 3},
  [1854] = {.lex_state = 1, .external_lex_state = 3},
  [1855] = {.lex_state = 1, .external_lex_state = 3},
  [1856] = {.lex_state = 1, .external_lex_state = 3},
  [1857] = {.lex_state = 1, .external_lex_state = 3},
  [1858] = {.lex_state = 1, .external_lex_state = 3},
  [1859] = {.lex_state = 1, .external_lex_state = 3},
  [1860] = {.lex_state = 1, .external_lex_state = 3},
  [1861] = {.lex_state = 1, .external_lex_state = 3},
  [1862] = {.lex_state = 1, .external_lex_state = 3},
  [1863] = {.lex_state = 1, .external_lex_state = 3},
  [1864] = {.lex_state = 1, .external_lex_state = 3},
  [1865] = {.lex_state = 1, .external_lex_state = 3},
  [1866] = {.lex_state = 1, .external_lex_state = 3},
  [1867] = {.lex_state = 1, .external_lex_state = 3},
  [1868] = {.lex_state = 34},
  [1869] = {.lex_state = 1, .external_lex_state = 3},
  [1870] = {.lex_state = 1, .external_lex_state = 3},
  [1871] = {.lex_state = 1, .external_lex_state = 3},
  [1872] = {.lex_state = 1, .external_lex_state = 3},
  [1873] = {.lex_state = 1, .external_lex_state = 3},
  [1874] = {.lex_state = 1, .external_lex_state = 3},
  [1875] = {.lex_state = 1, .external_lex_state = 3},
  [1876] = {.lex_state = 1, .external_lex_state = 3},
  [1877] = {.lex_state = 1, .external_lex_state = 3},
  [1878] = {.lex_state = 1, .external_lex_state = 3},
  [1879] = {.lex_state = 1, .external_lex_state = 3},
  [1880] = {.lex_state = 1, .external_lex_state = 3},
  [1881] = {.lex_state = 1, .external_lex_state = 3},
  [1882] = {.lex_state = 1, .external_lex_state = 3},
  [1883] = {.lex_state = 1, .external_lex_state = 3},
  [1884] = {.lex_state = 35, .external_lex_state = 2},
  [1885] = {.lex_state = 35, .external_lex_state = 2},
  [1886] = {.lex_state = 35},
  [1887] = {.lex_state = 35},
  [1888] = {.lex_state = 35},
  [1889] = {.lex_state = 35, .external_lex_state = 2},
  [1890] = {.lex_state = 35},
  [1891] = {.lex_state = 33},
  [1892] = {.lex_state = 34},
  [1893] = {.lex_state = 35, .external_lex_state = 2},
  [1894] = {.lex_state = 35, .external_lex_state = 2},
  [1895] = {.lex_state = 35},
  [1896] = {.lex_state = 35},
  [1897] = {.lex_state = 35, .external_lex_state = 2},
  [1898] = {.lex_state = 35, .external_lex_state = 2},
  [1899] = {.lex_state = 35},
  [1900] = {.lex_state = 35},
  [1901] = {.lex_state = 35},
  [1902] = {.lex_state = 35},
  [1903] = {.lex_state = 35},
  [1904] = {.lex_state = 35},
  [1905] = {.lex_state = 35},
  [1906] = {.lex_state = 35},
  [1907] = {.lex_state = 35},
  [1908] = {.lex_state = 35},
  [1909] = {.lex_state = 35},
  [1910] = {.lex_state = 35},
  [1911] = {.lex_state = 35},
  [1912] = {.lex_state = 35},
  [1913] = {.lex_state = 35},
  [1914] = {.lex_state = 35},
  [1915] = {.lex_state = 35},
  [1916] = {.lex_state = 35},
  [1917] = {.lex_state = 35},
  [1918] = {.lex_state = 35},
  [1919] = {.lex_state = 35},
  [1920] = {.lex_state = 35},
  [1921] = {.lex_state = 35},
  [1922] = {.lex_state = 35},
  [1923] = {.lex_state = 35},
  [1924] = {.lex_state = 35},
  [1925] = {.lex_state = 35},
  [1926] = {.lex_state = 35},
  [1927] = {.lex_state = 35},
  [1928] = {.lex_state = 35},
  [1929] = {.lex_state = 35},
  [1930] = {.lex_state = 35},
  [1931] = {.lex_state = 35},
  [1932] = {.lex_state = 35},
  [1933] = {.lex_state = 35},
  [1934] = {.lex_state = 35},
  [1935] = {.lex_state = 35},
  [1936] = {.lex_state = 35},
  [1937] = {.lex_state = 35},
  [1938] = {.lex_state = 35, .external_lex_state = 2},
  [1939] = {.lex_state = 35},
  [1940] = {.lex_state = 35},
  [1941] = {.lex_state = 36},
  [1942] = {.lex_state = 35},
  [1943] = {.lex_state = 36},
  [1944] = {.lex_state = 35},
  [1945] = {.lex_state = 35},
  [1946] = {.lex_state = 35},
  [1947] = {.lex_state = 35},
  [1948] = {.lex_state = 35},
  [1949] = {.lex_state = 35},
  [1950] = {.lex_state = 35},
  [1951] = {.lex_state = 35},
  [1952] = {.lex_state = 35, .external_lex_state = 2},
  [1953] = {.lex_state = 36},
  [1954] = {.lex_state = 36},
  [1955] = {.lex_state = 36},
  [1956] = {.lex_state = 36},
  [1957] = {.lex_state = 36},
  [1958] = {.lex_state = 36},
  [1959] = {.lex_state = 35},
  [1960] = {.lex_state = 36},
  [1961] = {.lex_state = 35},
  [1962] = {.lex_state = 35, .external_lex_state = 2},
  [1963] = {.lex_state = 35, .external_lex_state = 2},
  [1964] = {.lex_state = 35},
  [1965] = {.lex_state = 35},
  [1966] = {.lex_state = 35},
  [1967] = {.lex_state = 35, .external_lex_state = 2},
  [1968] = {.lex_state = 35},
  [1969] = {.lex_state = 35, .external_lex_state = 2},
  [1970] = {.lex_state = 35},
  [1971] = {.lex_state = 35},
  [1972] = {.lex_state = 35},
  [1973] = {.lex_state = 35},
  [1974] = {.lex_state = 35, .external_lex_state = 2},
  [1975] = {.lex_state = 35, .external_lex_state = 2},
  [1976] = {.lex_state = 35},
  [1977] = {.lex_state = 35},
  [1978] = {.lex_state = 35, .external_lex_state = 2},
  [1979] = {.lex_state = 35, .external_lex_state = 2},
  [1980] = {.lex_state = 35},
  [1981] = {.lex_state = 35, .external_lex_state = 2},
  [1982] = {.lex_state = 35, .external_lex_state = 2},
  [1983] = {.lex_state = 35},
  [1984] = {.lex_state = 33, .external_lex_state = 2},
  [1985] = {.lex_state = 35},
  [1986] = {.lex_state = 35},
  [1987] = {.lex_state = 35, .external_lex_state = 2},
  [1988] = {.lex_state = 35, .external_lex_state = 2},
  [1989] = {.lex_state = 35},
  [1990] = {.lex_state = 36},
  [1991] = {.lex_state = 36},
  [1992] = {.lex_state = 35},
  [1993] = {.lex_state = 35},
  [1994] = {.lex_state = 35, .external_lex_state = 2},
  [1995] = {.lex_state = 35},
  [1996] = {.lex_state = 35},
  [1997] = {.lex_state = 35},
  [1998] = {.lex_state = 35},
  [1999] = {.lex_state = 35},
  [2000] = {.lex_state = 35},
  [2001] = {.lex_state = 35},
  [2002] = {.lex_state = 35, .external_lex_state = 2},
  [2003] = {.lex_state = 35, .external_lex_state = 2},
  [2004] = {.lex_state = 35, .external_lex_state = 2},
  [2005] = {.lex_state = 35},
  [2006] = {.lex_state = 35},
  [2007] = {.lex_state = 35, .external_lex_state = 2},
  [2008] = {.lex_state = 35},
  [2009] = {.lex_state = 35},
  [2010] = {.lex_state = 35},
  [2011] = {.lex_state = 35},
  [2012] = {.lex_state = 35, .external_lex_state = 2},
  [2013] = {.lex_state = 35},
  [2014] = {.lex_state = 36},
  [2015] = {.lex_state = 35, .external_lex_state = 2},
  [2016] = {.lex_state = 35},
  [2017] = {.lex_state = 35},
  [2018] = {.lex_state = 35},
  [2019] = {.lex_state = 35},
  [2020] = {.lex_state = 35, .external_lex_state = 2},
  [2021] = {.lex_state = 35},
  [2022] = {.lex_state = 35, .external_lex_state = 2},
  [2023] = {.lex_state = 35},
  [2024] = {.lex_state = 35},
  [2025] = {.lex_state = 35},
  [2026] = {.lex_state = 35},
  [2027] = {.lex_state = 35},
  [2028] = {.lex_state = 35},
  [2029] = {.lex_state = 35},
  [2030] = {.lex_state = 35},
  [2031] = {.lex_state = 35},
  [2032] = {.lex_state = 35},
  [2033] = {.lex_state = 35},
  [2034] = {.lex_state = 35},
  [2035] = {.lex_state = 35},
  [2036] = {.lex_state = 35},
  [2037] = {.lex_state = 35},
  [2038] = {.lex_state = 35, .external_lex_state = 2},
  [2039] = {.lex_state = 35, .external_lex_state = 2},
  [2040] = {.lex_state = 35, .external_lex_state = 2},
  [2041] = {.lex_state = 35},
  [2042] = {.lex_state = 35},
  [2043] = {.lex_state = 35},
  [2044] = {.lex_state = 35},
  [2045] = {.lex_state = 35},
  [2046] = {.lex_state = 35},
  [2047] = {.lex_state = 35},
  [2048] = {.lex_state = 35},
  [2049] = {.lex_state = 35},
  [2050] = {.lex_state = 35},
  [2051] = {.lex_state = 35},
  [2052] = {.lex_state = 35},
  [2053] = {.lex_state = 35},
  [2054] = {.lex_state = 35},
  [2055] = {.lex_state = 36},
  [2056] = {.lex_state = 35},
  [2057] = {.lex_state = 35},
  [2058] = {.lex_state = 35},
  [2059] = {.lex_state = 35},
  [2060] = {.lex_state = 35},
  [2061] = {.lex_state = 35, .external_lex_state = 2},
  [2062] = {.lex_state = 35, .external_lex_state = 2},
  [2063] = {.lex_state = 35},
  [2064] = {.lex_state = 35},
  [2065] = {.lex_state = 35, .external_lex_state = 2},
  [2066] = {.lex_state = 35},
  [2067] = {.lex_state = 35},
  [2068] = {.lex_state = 35},
  [2069] = {.lex_state = 35},
  [2070] = {.lex_state = 35},
  [2071] = {.lex_state = 35},
  [2072] = {.lex_state = 35},
  [2073] = {.lex_state = 35},
  [2074] = {.lex_state = 35, .external_lex_state = 2},
  [2075] = {.lex_state = 35, .external_lex_state = 2},
  [2076] = {.lex_state = 35, .external_lex_state = 2},
  [2077] = {.lex_state = 36},
  [2078] = {.lex_state = 35, .external_lex_state = 2},
  [2079] = {.lex_state = 35, .external_lex_state = 2},
  [2080] = {.lex_state = 36},
  [2081] = {.lex_state = 35, .external_lex_state = 2},
  [2082] = {.lex_state = 35},
  [2083] = {.lex_state = 35, .external_lex_state = 2},
  [2084] = {.lex_state = 35, .external_lex_state = 2},
  [2085] = {.lex_state = 35, .external_lex_state = 2},
  [2086] = {.lex_state = 35, .external_lex_state = 2},
  [2087] = {.lex_state = 36},
  [2088] = {.lex_state = 35, .external_lex_state = 2},
  [2089] = {.lex_state = 36},
  [2090] = {.lex_state = 36},
  [2091] = {.lex_state = 36},
  [2092] = {.lex_state = 36},
  [2093] = {.lex_state = 36},
  [2094] = {.lex_state = 36},
  [2095] = {.lex_state = 35, .external_lex_state = 2},
  [2096] = {.lex_state = 36},
  [2097] = {.lex_state = 36},
  [2098] = {.lex_state = 35},
  [2099] = {.lex_state = 36},
  [2100] = {.lex_state = 35},
  [2101] = {.lex_state = 35},
  [2102] = {.lex_state = 35},
  [2103] = {.lex_state = 35, .external_lex_state = 2},
  [2104] = {.lex_state = 35},
  [2105] = {.lex_state = 35},
  [2106] = {.lex_state = 35},
  [2107] = {.lex_state = 36},
  [2108] = {.lex_state = 35},
  [2109] = {.lex_state = 35, .external_lex_state = 2},
  [2110] = {.lex_state = 35},
  [2111] = {.lex_state = 35, .external_lex_state = 2},
  [2112] = {.lex_state = 35},
  [2113] = {.lex_state = 35, .external_lex_state = 2},
  [2114] = {.lex_state = 36},
  [2115] = {.lex_state = 35, .external_lex_state = 2},
  [2116] = {.lex_state = 35, .external_lex_state = 2},
  [2117] = {.lex_state = 35, .external_lex_state = 2},
  [2118] = {.lex_state = 35},
  [2119] = {.lex_state = 35, .external_lex_state = 2},
  [2120] = {.lex_state = 35},
  [2121] = {.lex_state = 35, .external_lex_state = 2},
  [2122] = {.lex_state = 35, .external_lex_state = 2},
  [2123] = {.lex_state = 35},
  [2124] = {.lex_state = 35, .external_lex_state = 2},
  [2125] = {.lex_state = 35},
  [2126] = {.lex_state = 35, .external_lex_state = 2},
  [2127] = {.lex_state = 35},
  [2128] = {.lex_state = 35},
  [2129] = {.lex_state = 36},
  [2130] = {.lex_state = 35},
  [2131] = {.lex_state = 35},
  [2132] = {.lex_state = 35},
  [2133] = {.lex_state = 35},
  [2134] = {.lex_state = 35},
  [2135] = {.lex_state = 35, .external_lex_state = 2},
  [2136] = {.lex_state = 35},
  [2137] = {.lex_state = 36},
  [2138] = {.lex_state = 35},
  [2139] = {.lex_state = 35},
  [2140] = {.lex_state = 35},
  [2141] = {.lex_state = 35, .external_lex_state = 2},
  [2142] = {.lex_state = 35},
  [2143] = {.lex_state = 35},
  [2144] = {.lex_state = 35, .external_lex_state = 2},
  [2145] = {.lex_state = 35},
  [2146] = {.lex_state = 35},
  [2147] = {.lex_state = 35},
  [2148] = {.lex_state = 35},
  [2149] = {.lex_state = 35},
  [2150] = {.lex_state = 35},
  [2151] = {.lex_state = 35, .external_lex_state = 2},
  [2152] = {.lex_state = 36},
  [2153] = {.lex_state = 35},
  [2154] = {.lex_state = 35},
  [2155] = {.lex_state = 35, .external_lex_state = 2},
  [2156] = {.lex_state = 35},
  [2157] = {.lex_state = 35},
  [2158] = {.lex_state = 35},
  [2159] = {.lex_state = 35, .external_lex_state = 2},
  [2160] = {.lex_state = 35},
  [2161] = {.lex_state = 35},
  [2162] = {.lex_state = 35},
  [2163] = {.lex_state = 35, .external_lex_state = 2},
  [2164] = {.lex_state = 35},
  [2165] = {.lex_state = 35},
  [2166] = {.lex_state = 35},
  [2167] = {.lex_state = 35},
  [2168] = {.lex_state = 35},
  [2169] = {.lex_state = 35, .external_lex_state = 2},
  [2170] = {.lex_state = 35, .external_lex_state = 2},
  [2171] = {.lex_state = 35},
  [2172] = {.lex_state = 35, .external_lex_state = 2},
  [2173] = {.lex_state = 35, .external_lex_state = 2},
  [2174] = {.lex_state = 35},
  [2175] = {.lex_state = 35, .external_lex_state = 2},
  [2176] = {.lex_state = 35, .external_lex_state = 2},
  [2177] = {.lex_state = 35, .external_lex_state = 2},
  [2178] = {.lex_state = 35, .external_lex_state = 2},
  [2179] = {.lex_state = 35},
  [2180] = {.lex_state = 35, .external_lex_state = 2},
  [2181] = {.lex_state = 35},
  [2182] = {.lex_state = 35},
  [2183] = {.lex_state = 35},
  [2184] = {.lex_state = 35},
  [2185] = {.lex_state = 35, .external_lex_state = 2},
  [2186] = {.lex_state = 35, .external_lex_state = 2},
  [2187] = {.lex_state = 36},
  [2188] = {.lex_state = 35, .external_lex_state = 2},
  [2189] = {.lex_state = 35},
  [2190] = {.lex_state = 36},
  [2191] = {.lex_state = 35},
  [2192] = {.lex_state = 35},
  [2193] = {.lex_state = 36},
  [2194] = {.lex_state = 35},
  [2195] = {.lex_state = 35},
  [2196] = {.lex_state = 36},
  [2197] = {.lex_state = 35},
  [2198] = {.lex_state = 35},
  [2199] = {.lex_state = 35, .external_lex_state = 2},
  [2200] = {.lex_state = 35},
  [2201] = {.lex_state = 36},
  [2202] = {.lex_state = 35, .external_lex_state = 2},
  [2203] = {.lex_state = 36},
  [2204] = {.lex_state = 35, .external_lex_state = 2},
  [2205] = {.lex_state = 35, .external_lex_state = 2},
  [2206] = {.lex_state = 35, .external_lex_state = 2},
  [2207] = {.lex_state = 35, .external_lex_state = 2},
  [2208] = {.lex_state = 36},
  [2209] = {.lex_state = 35},
  [2210] = {.lex_state = 35},
  [2211] = {.lex_state = 35},
  [2212] = {.lex_state = 35},
  [2213] = {.lex_state = 36},
  [2214] = {.lex_state = 35, .external_lex_state = 2},
  [2215] = {.lex_state = 35},
  [2216] = {.lex_state = 35, .external_lex_state = 2},
  [2217] = {.lex_state = 35, .external_lex_state = 2},
  [2218] = {.lex_state = 35},
  [2219] = {.lex_state = 35},
  [2220] = {.lex_state = 36},
  [2221] = {.lex_state = 36},
  [2222] = {.lex_state = 36},
  [2223] = {.lex_state = 35, .external_lex_state = 2},
  [2224] = {.lex_state = 35, .external_lex_state = 2},
  [2225] = {.lex_state = 35},
  [2226] = {.lex_state = 35},
  [2227] = {.lex_state = 35},
  [2228] = {.lex_state = 35},
  [2229] = {.lex_state = 35},
  [2230] = {.lex_state = 35},
  [2231] = {.lex_state = 35, .external_lex_state = 2},
  [2232] = {.lex_state = 35, .external_lex_state = 2},
  [2233] = {.lex_state = 35, .external_lex_state = 2},
  [2234] = {.lex_state = 35, .external_lex_state = 2},
  [2235] = {.lex_state = 35},
  [2236] = {.lex_state = 35, .external_lex_state = 2},
  [2237] = {.lex_state = 35, .external_lex_state = 2},
  [2238] = {.lex_state = 35, .external_lex_state = 2},
  [2239] = {.lex_state = 35, .external_lex_state = 2},
  [2240] = {.lex_state = 35, .external_lex_state = 2},
  [2241] = {.lex_state = 35, .external_lex_state = 2},
  [2242] = {.lex_state = 35},
  [2243] = {.lex_state = 35, .external_lex_state = 2},
  [2244] = {.lex_state = 35, .external_lex_state = 2},
  [2245] = {.lex_state = 35, .external_lex_state = 2},
  [2246] = {.lex_state = 35, .external_lex_state = 2},
  [2247] = {.lex_state = 35},
  [2248] = {.lex_state = 35, .external_lex_state = 2},
  [2249] = {.lex_state = 35},
  [2250] = {.lex_state = 35},
  [2251] = {.lex_state = 35, .external_lex_state = 2},
  [2252] = {.lex_state = 35, .external_lex_state = 2},
  [2253] = {.lex_state = 35, .external_lex_state = 2},
  [2254] = {.lex_state = 35, .external_lex_state = 2},
  [2255] = {.lex_state = 35, .external_lex_state = 2},
  [2256] = {.lex_state = 36},
  [2257] = {.lex_state = 35, .external_lex_state = 2},
  [2258] = {.lex_state = 35, .external_lex_state = 2},
  [2259] = {.lex_state = 35, .external_lex_state = 2},
  [2260] = {.lex_state = 35},
  [2261] = {.lex_state = 35, .external_lex_state = 2},
  [2262] = {.lex_state = 35},
  [2263] = {.lex_state = 35},
  [2264] = {.lex_state = 35},
  [2265] = {.lex_state = 35, .external_lex_state = 2},
  [2266] = {.lex_state = 35, .external_lex_state = 2},
  [2267] = {.lex_state = 36},
  [2268] = {.lex_state = 36},
  [2269] = {.lex_state = 35, .external_lex_state = 2},
  [2270] = {.lex_state = 35, .external_lex_state = 2},
  [2271] = {.lex_state = 35, .external_lex_state = 2},
  [2272] = {.lex_state = 35, .external_lex_state = 2},
  [2273] = {.lex_state = 35, .external_lex_state = 2},
  [2274] = {.lex_state = 36},
  [2275] = {.lex_state = 35, .external_lex_state = 2},
  [2276] = {.lex_state = 35, .external_lex_state = 2},
  [2277] = {.lex_state = 36},
  [2278] = {.lex_state = 35, .external_lex_state = 2},
  [2279] = {.lex_state = 35, .external_lex_state = 2},
  [2280] = {.lex_state = 35, .external_lex_state = 2},
  [2281] = {.lex_state = 36},
  [2282] = {.lex_state = 35, .external_lex_state = 2},
  [2283] = {.lex_state = 35, .external_lex_state = 2},
  [2284] = {.lex_state = 36},
  [2285] = {.lex_state = 35, .external_lex_state = 2},
  [2286] = {.lex_state = 35, .external_lex_state = 2},
  [2287] = {.lex_state = 35, .external_lex_state = 2},
  [2288] = {.lex_state = 36},
  [2289] = {.lex_state = 35, .external_lex_state = 2},
  [2290] = {.lex_state = 36},
  [2291] = {.lex_state = 35},
  [2292] = {.lex_state = 35, .external_lex_state = 2},
  [2293] = {.lex_state = 35, .external_lex_state = 2},
  [2294] = {.lex_state = 35, .external_lex_state = 2},
  [2295] = {.lex_state = 35, .external_lex_state = 2},
  [2296] = {.lex_state = 35, .external_lex_state = 2},
  [2297] = {.lex_state = 35, .external_lex_state = 2},
  [2298] = {.lex_state = 35, .external_lex_state = 2},
  [2299] = {.lex_state = 35, .external_lex_state = 2},
  [2300] = {.lex_state = 35, .external_lex_state = 2},
  [2301] = {.lex_state = 35, .external_lex_state = 2},
  [2302] = {.lex_state = 35, .external_lex_state = 2},
  [2303] = {.lex_state = 35, .external_lex_state = 2},
  [2304] = {.lex_state = 35, .external_lex_state = 2},
  [2305] = {.lex_state = 35, .external_lex_state = 2},
  [2306] = {.lex_state = 35, .external_lex_state = 2},
  [2307] = {.lex_state = 35, .external_lex_state = 2},
  [2308] = {.lex_state = 35, .external_lex_state = 2},
  [2309] = {.lex_state = 35, .external_lex_state = 2},
  [2310] = {.lex_state = 35, .external_lex_state = 2},
  [2311] = {.lex_state = 35, .external_lex_state = 2},
  [2312] = {.lex_state = 36},
  [2313] = {.lex_state = 35, .external_lex_state = 2},
  [2314] = {.lex_state = 35, .external_lex_state = 2},
  [2315] = {.lex_state = 35, .external_lex_state = 2},
  [2316] = {.lex_state = 35, .external_lex_state = 2},
  [2317] = {.lex_state = 35, .external_lex_state = 2},
  [2318] = {.lex_state = 35, .external_lex_state = 2},
  [2319] = {.lex_state = 35, .external_lex_state = 2},
  [2320] = {.lex_state = 35, .external_lex_state = 2},
  [2321] = {.lex_state = 35, .external_lex_state = 2},
  [2322] = {.lex_state = 35},
  [2323] = {.lex_state = 35},
  [2324] = {.lex_state = 35, .external_lex_state = 2},
  [2325] = {.lex_state = 35, .external_lex_state = 2},
  [2326] = {.lex_state = 35},
  [2327] = {.lex_state = 35, .external_lex_state = 2},
  [2328] = {.lex_state = 35, .external_lex_state = 2},
  [2329] = {.lex_state = 35, .external_lex_state = 2},
  [2330] = {.lex_state = 35, .external_lex_state = 2},
  [2331] = {.lex_state = 35, .external_lex_state = 2},
  [2332] = {.lex_state = 35},
  [2333] = {.lex_state = 35, .external_lex_state = 2},
  [2334] = {.lex_state = 35},
  [2335] = {.lex_state = 35, .external_lex_state = 2},
  [2336] = {.lex_state = 35},
  [2337] = {.lex_state = 35},
  [2338] = {.lex_state = 35},
  [2339] = {.lex_state = 35},
  [2340] = {.lex_state = 35},
  [2341] = {.lex_state = 35},
  [2342] = {.lex_state = 35},
  [2343] = {.lex_state = 35},
  [2344] = {.lex_state = 35, .external_lex_state = 2},
  [2345] = {.lex_state = 35, .external_lex_state = 2},
  [2346] = {.lex_state = 35, .external_lex_state = 2},
  [2347] = {.lex_state = 36},
  [2348] = {.lex_state = 36},
  [2349] = {.lex_state = 36},
  [2350] = {.lex_state = 35, .external_lex_state = 2},
  [2351] = {.lex_state = 35, .external_lex_state = 2},
  [2352] = {.lex_state = 36},
  [2353] = {.lex_state = 35, .external_lex_state = 2},
  [2354] = {.lex_state = 36},
  [2355] = {.lex_state = 35},
  [2356] = {.lex_state = 36},
  [2357] = {.lex_state = 35},
  [2358] = {.lex_state = 35},
  [2359] = {.lex_state = 35},
  [2360] = {.lex_state = 35},
  [2361] = {.lex_state = 35},
  [2362] = {.lex_state = 35},
  [2363] = {.lex_state = 36},
  [2364] = {.lex_state = 35},
  [2365] = {.lex_state = 35},
  [2366] = {.lex_state = 35, .external_lex_state = 2},
  [2367] = {.lex_state = 35},
  [2368] = {.lex_state = 36},
  [2369] = {.lex_state = 35},
  [2370] = {.lex_state = 35},
  [2371] = {.lex_state = 36},
  [2372] = {.lex_state = 36},
  [2373] = {.lex_state = 36},
  [2374] = {.lex_state = 36},
  [2375] = {.lex_state = 36},
  [2376] = {.lex_state = 36},
  [2377] = {.lex_state = 35, .external_lex_state = 2},
  [2378] = {.lex_state = 35},
  [2379] = {.lex_state = 35},
  [2380] = {.lex_state = 35, .external_lex_state = 2},
  [2381] = {.lex_state = 35},
  [2382] = {.lex_state = 36},
  [2383] = {.lex_state = 35},
  [2384] = {.lex_state = 35},
  [2385] = {.lex_state = 35},
  [2386] = {.lex_state = 35, .external_lex_state = 2},
  [2387] = {.lex_state = 36},
  [2388] = {.lex_state = 36},
  [2389] = {.lex_state = 35, .external_lex_state = 2},
  [2390] = {.lex_state = 36},
  [2391] = {.lex_state = 36},
  [2392] = {.lex_state = 36},
  [2393] = {.lex_state = 35},
  [2394] = {.lex_state = 36},
  [2395] = {.lex_state = 36},
  [2396] = {.lex_state = 35},
  [2397] = {.lex_state = 35},
  [2398] = {.lex_state = 35},
  [2399] = {.lex_state = 35, .external_lex_state = 2},
  [2400] = {.lex_state = 35},
  [2401] = {.lex_state = 35},
  [2402] = {.lex_state = 35},
  [2403] = {.lex_state = 35},
  [2404] = {.lex_state = 35},
  [2405] = {.lex_state = 36},
  [2406] = {.lex_state = 35, .external_lex_state = 2},
  [2407] = {.lex_state = 35},
  [2408] = {.lex_state = 35},
  [2409] = {.lex_state = 35},
  [2410] = {.lex_state = 35},
  [2411] = {.lex_state = 35},
  [2412] = {.lex_state = 35},
  [2413] = {.lex_state = 35},
  [2414] = {.lex_state = 35},
  [2415] = {.lex_state = 35, .external_lex_state = 2},
  [2416] = {.lex_state = 35, .external_lex_state = 2},
  [2417] = {.lex_state = 35, .external_lex_state = 2},
  [2418] = {.lex_state = 35, .external_lex_state = 2},
  [2419] = {.lex_state = 35},
  [2420] = {.lex_state = 35},
  [2421] = {.lex_state = 35},
  [2422] = {.lex_state = 35, .external_lex_state = 2},
  [2423] = {.lex_state = 35, .external_lex_state = 2},
  [2424] = {.lex_state = 35},
  [2425] = {.lex_state = 35, .external_lex_state = 2},
  [2426] = {.lex_state = 35, .external_lex_state = 2},
  [2427] = {.lex_state = 35},
  [2428] = {.lex_state = 35},
  [2429] = {.lex_state = 35, .external_lex_state = 2},
  [2430] = {.lex_state = 35, .external_lex_state = 2},
  [2431] = {.lex_state = 35, .external_lex_state = 2},
  [2432] = {.lex_state = 36},
  [2433] = {.lex_state = 36},
  [2434] = {.lex_state = 35},
  [2435] = {.lex_state = 35},
  [2436] = {.lex_state = 35},
  [2437] = {.lex_state = 35},
  [2438] = {.lex_state = 36},
  [2439] = {.lex_state = 36},
  [2440] = {.lex_state = 36},
  [2441] = {.lex_state = 36},
  [2442] = {.lex_state = 35, .external_lex_state = 2},
  [2443] = {.lex_state = 35, .external_lex_state = 2},
  [2444] = {.lex_state = 35},
  [2445] = {.lex_state = 35},
  [2446] = {.lex_state = 35},
  [2447] = {.lex_state = 35},
  [2448] = {.lex_state = 35},
  [2449] = {.lex_state = 35},
  [2450] = {.lex_state = 35, .external_lex_state = 2},
  [2451] = {.lex_state = 35, .external_lex_state = 2},
  [2452] = {.lex_state = 36},
  [2453] = {.lex_state = 36},
  [2454] = {.lex_state = 36},
  [2455] = {.lex_state = 36},
  [2456] = {.lex_state = 36},
  [2457] = {.lex_state = 35, .external_lex_state = 2},
  [2458] = {.lex_state = 35, .external_lex_state = 2},
  [2459] = {.lex_state = 35, .external_lex_state = 2},
  [2460] = {.lex_state = 35, .external_lex_state = 2},
  [2461] = {.lex_state = 36},
  [2462] = {.lex_state = 36},
  [2463] = {.lex_state = 35, .external_lex_state = 2},
  [2464] = {.lex_state = 35},
  [2465] = {.lex_state = 36},
  [2466] = {.lex_state = 36},
  [2467] = {.lex_state = 35, .external_lex_state = 2},
  [2468] = {.lex_state = 35},
  [2469] = {.lex_state = 35, .external_lex_state = 2},
  [2470] = {.lex_state = 35, .external_lex_state = 2},
  [2471] = {.lex_state = 35, .external_lex_state = 2},
  [2472] = {.lex_state = 35},
  [2473] = {.lex_state = 35, .external_lex_state = 2},
  [2474] = {.lex_state = 35, .external_lex_state = 2},
  [2475] = {.lex_state = 35, .external_lex_state = 2},
  [2476] = {.lex_state = 35, .external_lex_state = 2},
  [2477] = {.lex_state = 35, .external_lex_state = 2},
  [2478] = {.lex_state = 35, .external_lex_state = 2},
  [2479] = {.lex_state = 35, .external_lex_state = 2},
  [2480] = {.lex_state = 35, .external_lex_state = 2},
  [2481] = {.lex_state = 35, .external_lex_state = 2},
  [2482] = {.lex_state = 35, .external_lex_state = 2},
  [2483] = {.lex_state = 35, .external_lex_state = 2},
  [2484] = {.lex_state = 36},
  [2485] = {.lex_state = 35, .external_lex_state = 2},
  [2486] = {.lex_state = 36},
  [2487] = {.lex_state = 35, .external_lex_state = 2},
  [2488] = {.lex_state = 36},
  [2489] = {.lex_state = 35, .external_lex_state = 2},
  [2490] = {.lex_state = 35},
  [2491] = {.lex_state = 36},
  [2492] = {.lex_state = 35, .external_lex_state = 2},
  [2493] = {.lex_state = 35, .external_lex_state = 2},
  [2494] = {.lex_state = 35, .external_lex_state = 2},
  [2495] = {.lex_state = 35},
  [2496] = {.lex_state = 35, .external_lex_state = 2},
  [2497] = {.lex_state = 35, .external_lex_state = 2},
  [2498] = {.lex_state = 35, .external_lex_state = 2},
  [2499] = {.lex_state = 35, .external_lex_state = 2},
  [2500] = {.lex_state = 35, .external_lex_state = 2},
  [2501] = {.lex_state = 36},
  [2502] = {.lex_state = 36},
  [2503] = {.lex_state = 36},
  [2504] = {.lex_state = 36},
  [2505] = {.lex_state = 36},
  [2506] = {.lex_state = 36},
  [2507] = {.lex_state = 36},
  [2508] = {.lex_state = 36},
  [2509] = {.lex_state = 35, .external_lex_state = 2},
  [2510] = {.lex_state = 36},
  [2511] = {.lex_state = 35, .external_lex_state = 2},
  [2512] = {.lex_state = 36},
  [2513] = {.lex_state = 36},
  [2514] = {.lex_state = 36},
  [2515] = {.lex_state = 36},
  [2516] = {.lex_state = 36},
  [2517] = {.lex_state = 35, .external_lex_state = 2},
  [2518] = {.lex_state = 35, .external_lex_state = 2},
  [2519] = {.lex_state = 35, .external_lex_state = 2},
  [2520] = {.lex_state = 35, .external_lex_state = 2},
  [2521] = {.lex_state = 35, .external_lex_state = 2},
  [2522] = {.lex_state = 35, .external_lex_state = 2},
  [2523] = {.lex_state = 35, .external_lex_state = 2},
  [2524] = {.lex_state = 35, .external_lex_state = 2},
  [2525] = {.lex_state = 35, .external_lex_state = 2},
  [2526] = {.lex_state = 35, .external_lex_state = 2},
  [2527] = {.lex_state = 35, .external_lex_state = 2},
  [2528] = {.lex_state = 35, .external_lex_state = 2},
  [2529] = {.lex_state = 35},
  [2530] = {.lex_state = 35, .external_lex_state = 2},
  [2531] = {.lex_state = 35, .external_lex_state = 2},
  [2532] = {.lex_state = 35},
  [2533] = {.lex_state = 35},
  [2534] = {.lex_state = 35},
  [2535] = {.lex_state = 36},
  [2536] = {.lex_state = 35, .external_lex_state = 2},
  [2537] = {.lex_state = 36},
  [2538] = {.lex_state = 35, .external_lex_state = 2},
  [2539] = {.lex_state = 36},
  [2540] = {.lex_state = 35},
  [2541] = {.lex_state = 35, .external_lex_state = 2},
  [2542] = {.lex_state = 35, .external_lex_state = 2},
  [2543] = {.lex_state = 35, .external_lex_state = 2},
  [2544] = {.lex_state = 36},
  [2545] = {.lex_state = 35},
  [2546] = {.lex_state = 35, .external_lex_state = 2},
  [2547] = {.lex_state = 35, .external_lex_state = 2},
  [2548] = {.lex_state = 36},
  [2549] = {.lex_state = 36},
  [2550] = {.lex_state = 36},
  [2551] = {.lex_state = 35, .external_lex_state = 2},
  [2552] = {.lex_state = 35, .external_lex_state = 2},
  [2553] = {.lex_state = 35, .external_lex_state = 2},
  [2554] = {.lex_state = 35, .external_lex_state = 2},
  [2555] = {.lex_state = 35, .external_lex_state = 2},
  [2556] = {.lex_state = 35, .external_lex_state = 2},
  [2557] = {.lex_state = 35, .external_lex_state = 2},
  [2558] = {.lex_state = 35, .external_lex_state = 2},
  [2559] = {.lex_state = 35, .external_lex_state = 2},
  [2560] = {.lex_state = 35},
  [2561] = {.lex_state = 35, .external_lex_state = 2},
  [2562] = {.lex_state = 35},
  [2563] = {.lex_state = 35, .external_lex_state = 2},
  [2564] = {.lex_state = 35, .external_lex_state = 2},
  [2565] = {.lex_state = 35, .external_lex_state = 2},
  [2566] = {.lex_state = 35},
  [2567] = {.lex_state = 35, .external_lex_state = 2},
  [2568] = {.lex_state = 35},
  [2569] = {.lex_state = 35, .external_lex_state = 2},
  [2570] = {.lex_state = 35, .external_lex_state = 2},
  [2571] = {.lex_state = 36},
  [2572] = {.lex_state = 35, .external_lex_state = 2},
  [2573] = {.lex_state = 35},
  [2574] = {.lex_state = 35, .external_lex_state = 2},
  [2575] = {.lex_state = 35, .external_lex_state = 2},
  [2576] = {.lex_state = 35, .external_lex_state = 2},
  [2577] = {.lex_state = 35},
  [2578] = {.lex_state = 35},
  [2579] = {.lex_state = 35},
  [2580] = {.lex_state = 35},
  [2581] = {.lex_state = 35, .external_lex_state = 2},
  [2582] = {.lex_state = 35},
  [2583] = {.lex_state = 35},
  [2584] = {.lex_state = 35},
  [2585] = {.lex_state = 35, .external_lex_state = 2},
  [2586] = {.lex_state = 35, .external_lex_state = 2},
  [2587] = {.lex_state = 35},
  [2588] = {.lex_state = 35},
  [2589] = {.lex_state = 35},
  [2590] = {.lex_state = 35},
  [2591] = {.lex_state = 33},
  [2592] = {.lex_state = 35, .external_lex_state = 2},
  [2593] = {.lex_state = 35},
  [2594] = {.lex_state = 35},
  [2595] = {.lex_state = 35, .external_lex_state = 2},
  [2596] = {.lex_state = 35},
  [2597] = {.lex_state = 35},
  [2598] = {.lex_state = 35, .external_lex_state = 2},
  [2599] = {.lex_state = 35, .external_lex_state = 2},
  [2600] = {.lex_state = 35, .external_lex_state = 2},
  [2601] = {.lex_state = 35},
  [2602] = {.lex_state = 35},
  [2603] = {.lex_state = 35},
  [2604] = {.lex_state = 35},
  [2605] = {.lex_state = 35},
  [2606] = {.lex_state = 35, .external_lex_state = 2},
  [2607] = {.lex_state = 35, .external_lex_state = 2},
  [2608] = {.lex_state = 36},
  [2609] = {.lex_state = 36},
  [2610] = {.lex_state = 35, .external_lex_state = 2},
  [2611] = {.lex_state = 35, .external_lex_state = 2},
  [2612] = {.lex_state = 35, .external_lex_state = 2},
  [2613] = {.lex_state = 35, .external_lex_state = 2},
  [2614] = {.lex_state = 35, .external_lex_state = 2},
  [2615] = {.lex_state = 35, .external_lex_state = 2},
  [2616] = {.lex_state = 35, .external_lex_state = 2},
  [2617] = {.lex_state = 35},
  [2618] = {.lex_state = 35, .external_lex_state = 2},
  [2619] = {.lex_state = 35, .external_lex_state = 2},
  [2620] = {.lex_state = 35},
  [2621] = {.lex_state = 35},
  [2622] = {.lex_state = 35, .external_lex_state = 2},
  [2623] = {.lex_state = 35},
  [2624] = {.lex_state = 35},
  [2625] = {.lex_state = 35, .external_lex_state = 2},
  [2626] = {.lex_state = 35, .external_lex_state = 2},
  [2627] = {.lex_state = 35, .external_lex_state = 2},
  [2628] = {.lex_state = 33},
  [2629] = {.lex_state = 35, .external_lex_state = 2},
  [2630] = {.lex_state = 33},
  [2631] = {.lex_state = 36},
  [2632] = {.lex_state = 35},
  [2633] = {.lex_state = 35},
  [2634] = {.lex_state = 35, .external_lex_state = 2},
  [2635] = {.lex_state = 35},
  [2636] = {.lex_state = 35},
  [2637] = {.lex_state = 36},
  [2638] = {.lex_state = 35, .external_lex_state = 2},
  [2639] = {.lex_state = 36},
  [2640] = {.lex_state = 35, .external_lex_state = 2},
  [2641] = {.lex_state = 35, .external_lex_state = 2},
  [2642] = {.lex_state = 35},
  [2643] = {.lex_state = 35},
  [2644] = {.lex_state = 35, .external_lex_state = 2},
  [2645] = {.lex_state = 35, .external_lex_state = 2},
  [2646] = {.lex_state = 35, .external_lex_state = 2},
  [2647] = {.lex_state = 35, .external_lex_state = 2},
  [2648] = {.lex_state = 35, .external_lex_state = 2},
  [2649] = {.lex_state = 35, .external_lex_state = 2},
  [2650] = {.lex_state = 35, .external_lex_state = 2},
  [2651] = {.lex_state = 35, .external_lex_state = 2},
  [2652] = {.lex_state = 35},
  [2653] = {.lex_state = 35, .external_lex_state = 2},
  [2654] = {.lex_state = 35, .external_lex_state = 2},
  [2655] = {.lex_state = 35, .external_lex_state = 2},
  [2656] = {.lex_state = 35},
  [2657] = {.lex_state = 35},
  [2658] = {.lex_state = 35, .external_lex_state = 2},
  [2659] = {.lex_state = 35, .external_lex_state = 2},
  [2660] = {.lex_state = 35, .external_lex_state = 2},
  [2661] = {.lex_state = 35, .external_lex_state = 2},
  [2662] = {.lex_state = 35},
  [2663] = {.lex_state = 35},
  [2664] = {.lex_state = 35},
  [2665] = {.lex_state = 35},
  [2666] = {.lex_state = 35},
  [2667] = {.lex_state = 35},
  [2668] = {.lex_state = 35},
  [2669] = {.lex_state = 35},
  [2670] = {.lex_state = 35},
  [2671] = {.lex_state = 35},
  [2672] = {.lex_state = 35},
  [2673] = {.lex_state = 35},
  [2674] = {.lex_state = 35},
  [2675] = {.lex_state = 35, .external_lex_state = 2},
  [2676] = {.lex_state = 35},
  [2677] = {.lex_state = 35, .external_lex_state = 2},
  [2678] = {.lex_state = 35, .external_lex_state = 2},
  [2679] = {.lex_state = 35, .external_lex_state = 2},
  [2680] = {.lex_state = 35, .external_lex_state = 2},
  [2681] = {.lex_state = 35, .external_lex_state = 2},
  [2682] = {.lex_state = 35, .external_lex_state = 2},
  [2683] = {.lex_state = 35, .external_lex_state = 2},
  [2684] = {.lex_state = 35, .external_lex_state = 2},
  [2685] = {.lex_state = 36},
  [2686] = {.lex_state = 35},
  [2687] = {.lex_state = 35, .external_lex_state = 2},
  [2688] = {.lex_state = 35, .external_lex_state = 2},
  [2689] = {.lex_state = 35, .external_lex_state = 2},
  [2690] = {.lex_state = 35},
  [2691] = {.lex_state = 35, .external_lex_state = 2},
  [2692] = {.lex_state = 35, .external_lex_state = 2},
  [2693] = {.lex_state = 35, .external_lex_state = 2},
  [2694] = {.lex_state = 35},
  [2695] = {.lex_state = 35},
  [2696] = {.lex_state = 35, .external_lex_state = 2},
  [2697] = {.lex_state = 35},
  [2698] = {.lex_state = 35, .external_lex_state = 2},
  [2699] = {.lex_state = 35},
  [2700] = {.lex_state = 35, .external_lex_state = 2},
  [2701] = {.lex_state = 35, .external_lex_state = 2},
  [2702] = {.lex_state = 35},
  [2703] = {.lex_state = 35},
  [2704] = {.lex_state = 35},
  [2705] = {.lex_state = 35, .external_lex_state = 2},
  [2706] = {.lex_state = 35},
  [2707] = {.lex_state = 35},
  [2708] = {.lex_state = 35},
  [2709] = {.lex_state = 35},
  [2710] = {.lex_state = 33},
  [2711] = {.lex_state = 33},
  [2712] = {.lex_state = 35, .external_lex_state = 2},
  [2713] = {.lex_state = 35},
  [2714] = {.lex_state = 35},
  [2715] = {.lex_state = 35},
  [2716] = {.lex_state = 35},
  [2717] = {.lex_state = 35},
  [2718] = {.lex_state = 35},
  [2719] = {.lex_state = 35},
  [2720] = {.lex_state = 35},
  [2721] = {.lex_state = 35},
  [2722] = {.lex_state = 35},
  [2723] = {.lex_state = 35, .external_lex_state = 2},
  [2724] = {.lex_state = 35},
  [2725] = {.lex_state = 35},
  [2726] = {.lex_state = 35, .external_lex_state = 2},
  [2727] = {.lex_state = 35},
  [2728] = {.lex_state = 35},
  [2729] = {.lex_state = 35},
  [2730] = {.lex_state = 35},
  [2731] = {.lex_state = 35, .external_lex_state = 2},
  [2732] = {.lex_state = 35, .external_lex_state = 2},
  [2733] = {.lex_state = 33},
  [2734] = {.lex_state = 35},
  [2735] = {.lex_state = 35},
  [2736] = {.lex_state = 35, .external_lex_state = 2},
  [2737] = {.lex_state = 35, .external_lex_state = 2},
  [2738] = {.lex_state = 35, .external_lex_state = 2},
  [2739] = {.lex_state = 35, .external_lex_state = 2},
  [2740] = {.lex_state = 35},
  [2741] = {.lex_state = 35},
  [2742] = {.lex_state = 35},
  [2743] = {.lex_state = 35},
  [2744] = {.lex_state = 35, .external_lex_state = 2},
  [2745] = {.lex_state = 35, .external_lex_state = 2},
  [2746] = {.lex_state = 35, .external_lex_state = 2},
  [2747] = {.lex_state = 35, .external_lex_state = 2},
  [2748] = {.lex_state = 35, .external_lex_state = 2},
  [2749] = {.lex_state = 35, .external_lex_state = 2},
  [2750] = {.lex_state = 35, .external_lex_state = 2},
  [2751] = {.lex_state = 35, .external_lex_state = 2},
  [2752] = {.lex_state = 35, .external_lex_state = 2},
  [2753] = {.lex_state = 35, .external_lex_state = 2},
  [2754] = {.lex_state = 35, .external_lex_state = 2},
  [2755] = {.lex_state = 35},
  [2756] = {.lex_state = 35, .external_lex_state = 2},
  [2757] = {.lex_state = 35, .external_lex_state = 2},
  [2758] = {.lex_state = 35},
  [2759] = {.lex_state = 35, .external_lex_state = 2},
  [2760] = {.lex_state = 35, .external_lex_state = 2},
  [2761] = {.lex_state = 35},
  [2762] = {.lex_state = 35, .external_lex_state = 2},
  [2763] = {.lex_state = 35},
  [2764] = {.lex_state = 35},
  [2765] = {.lex_state = 35},
  [2766] = {.lex_state = 35},
  [2767] = {.lex_state = 35, .external_lex_state = 2},
  [2768] = {.lex_state = 35, .external_lex_state = 2},
  [2769] = {.lex_state = 35},
  [2770] = {.lex_state = 35},
  [2771] = {.lex_state = 35},
  [2772] = {.lex_state = 35, .external_lex_state = 2},
  [2773] = {.lex_state = 33, .external_lex_state = 2},
  [2774] = {.lex_state = 35, .external_lex_state = 2},
  [2775] = {.lex_state = 35},
  [2776] = {.lex_state = 35},
  [2777] = {.lex_state = 35},
  [2778] = {.lex_state = 33},
  [2779] = {.lex_state = 35, .external_lex_state = 2},
  [2780] = {.lex_state = 35},
  [2781] = {.lex_state = 35},
  [2782] = {.lex_state = 35},
  [2783] = {.lex_state = 35},
  [2784] = {.lex_state = 35},
  [2785] = {.lex_state = 35},
  [2786] = {.lex_state = 35},
  [2787] = {.lex_state = 35},
  [2788] = {.lex_state = 35},
  [2789] = {.lex_state = 35},
  [2790] = {.lex_state = 35, .external_lex_state = 2},
  [2791] = {.lex_state = 35},
  [2792] = {.lex_state = 35},
  [2793] = {.lex_state = 35},
  [2794] = {.lex_state = 35, .external_lex_state = 2},
  [2795] = {.lex_state = 35, .external_lex_state = 2},
  [2796] = {.lex_state = 35, .external_lex_state = 2},
  [2797] = {.lex_state = 35},
  [2798] = {.lex_state = 35},
  [2799] = {.lex_state = 35},
  [2800] = {.lex_state = 35},
  [2801] = {.lex_state = 35},
  [2802] = {.lex_state = 35},
  [2803] = {.lex_state = 35},
  [2804] = {.lex_state = 35},
  [2805] = {.lex_state = 35},
  [2806] = {.lex_state = 35},
  [2807] = {.lex_state = 35},
  [2808] = {.lex_state = 35},
  [2809] = {.lex_state = 35},
  [2810] = {.lex_state = 35},
  [2811] = {.lex_state = 35},
  [2812] = {.lex_state = 35},
  [2813] = {.lex_state = 35},
  [2814] = {.lex_state = 35},
  [2815] = {.lex_state = 35, .external_lex_state = 2},
  [2816] = {.lex_state = 35, .external_lex_state = 2},
  [2817] = {.lex_state = 35},
  [2818] = {.lex_state = 35},
  [2819] = {.lex_state = 35},
  [2820] = {.lex_state = 35},
  [2821] = {.lex_state = 35},
  [2822] = {.lex_state = 35},
  [2823] = {.lex_state = 35},
  [2824] = {.lex_state = 35},
  [2825] = {.lex_state = 35},
  [2826] = {.lex_state = 35},
  [2827] = {.lex_state = 35},
  [2828] = {.lex_state = 35},
  [2829] = {.lex_state = 33},
  [2830] = {.lex_state = 35},
  [2831] = {.lex_state = 35, .external_lex_state = 2},
  [2832] = {.lex_state = 35},
  [2833] = {.lex_state = 35, .external_lex_state = 2},
  [2834] = {.lex_state = 35},
  [2835] = {.lex_state = 35},
  [2836] = {.lex_state = 35, .external_lex_state = 2},
  [2837] = {.lex_state = 35},
  [2838] = {.lex_state = 35, .external_lex_state = 2},
  [2839] = {.lex_state = 35, .external_lex_state = 2},
  [2840] = {.lex_state = 35, .external_lex_state = 2},
  [2841] = {.lex_state = 35, .external_lex_state = 2},
  [2842] = {.lex_state = 35, .external_lex_state = 2},
  [2843] = {.lex_state = 35, .external_lex_state = 2},
  [2844] = {.lex_state = 35, .external_lex_state = 2},
  [2845] = {.lex_state = 35, .external_lex_state = 2},
  [2846] = {.lex_state = 35},
  [2847] = {.lex_state = 35, .external_lex_state = 2},
  [2848] = {.lex_state = 35},
  [2849] = {.lex_state = 35},
  [2850] = {.lex_state = 35, .external_lex_state = 2},
  [2851] = {.lex_state = 33, .external_lex_state = 2},
  [2852] = {.lex_state = 35, .external_lex_state = 2},
  [2853] = {.lex_state = 35, .external_lex_state = 2},
  [2854] = {.lex_state = 35},
  [2855] = {.lex_state = 35},
  [2856] = {.lex_state = 35, .external_lex_state = 2},
  [2857] = {.lex_state = 35, .external_lex_state = 2},
  [2858] = {.lex_state = 35, .external_lex_state = 2},
  [2859] = {.lex_state = 35, .external_lex_state = 2},
  [2860] = {.lex_state = 35, .external_lex_state = 2},
  [2861] = {.lex_state = 35, .external_lex_state = 2},
  [2862] = {.lex_state = 35},
  [2863] = {.lex_state = 35, .external_lex_state = 2},
  [2864] = {.lex_state = 35, .external_lex_state = 2},
  [2865] = {.lex_state = 35},
  [2866] = {.lex_state = 35, .external_lex_state = 2},
  [2867] = {.lex_state = 35},
  [2868] = {.lex_state = 35, .external_lex_state = 2},
  [2869] = {.lex_state = 35},
  [2870] = {.lex_state = 35, .external_lex_state = 2},
  [2871] = {.lex_state = 35, .external_lex_state = 2},
  [2872] = {.lex_state = 35},
  [2873] = {.lex_state = 35, .external_lex_state = 2},
  [2874] = {.lex_state = 35, .external_lex_state = 2},
  [2875] = {.lex_state = 35},
  [2876] = {.lex_state = 35},
  [2877] = {.lex_state = 35},
  [2878] = {.lex_state = 35},
  [2879] = {.lex_state = 35},
  [2880] = {.lex_state = 35},
  [2881] = {.lex_state = 35},
  [2882] = {.lex_state = 33, .external_lex_state = 2},
  [2883] = {.lex_state = 35, .external_lex_state = 2},
  [2884] = {.lex_state = 35, .external_lex_state = 2},
  [2885] = {.lex_state = 35, .external_lex_state = 2},
  [2886] = {.lex_state = 35},
  [2887] = {.lex_state = 35, .external_lex_state = 2},
  [2888] = {.lex_state = 35, .external_lex_state = 2},
  [2889] = {.lex_state = 35, .external_lex_state = 2},
  [2890] = {.lex_state = 35},
  [2891] = {.lex_state = 35},
  [2892] = {.lex_state = 35},
  [2893] = {.lex_state = 35},
  [2894] = {.lex_state = 35},
  [2895] = {.lex_state = 35, .external_lex_state = 2},
  [2896] = {.lex_state = 35},
  [2897] = {.lex_state = 35, .external_lex_state = 2},
  [2898] = {.lex_state = 35, .external_lex_state = 2},
  [2899] = {.lex_state = 35},
  [2900] = {.lex_state = 35, .external_lex_state = 2},
  [2901] = {.lex_state = 35},
  [2902] = {.lex_state = 35},
  [2903] = {.lex_state = 35},
  [2904] = {.lex_state = 35, .external_lex_state = 2},
  [2905] = {.lex_state = 35},
  [2906] = {.lex_state = 35, .external_lex_state = 2},
  [2907] = {.lex_state = 35},
  [2908] = {.lex_state = 35},
  [2909] = {.lex_state = 35},
  [2910] = {.lex_state = 35},
  [2911] = {.lex_state = 35, .external_lex_state = 2},
  [2912] = {.lex_state = 35},
  [2913] = {.lex_state = 35, .external_lex_state = 2},
  [2914] = {.lex_state = 33},
  [2915] = {.lex_state = 35},
  [2916] = {.lex_state = 35},
  [2917] = {.lex_state = 35},
  [2918] = {.lex_state = 35},
  [2919] = {.lex_state = 35},
  [2920] = {.lex_state = 35, .external_lex_state = 2},
  [2921] = {.lex_state = 35, .external_lex_state = 2},
  [2922] = {.lex_state = 35},
  [2923] = {.lex_state = 35, .external_lex_state = 2},
  [2924] = {.lex_state = 35},
  [2925] = {.lex_state = 35, .external_lex_state = 2},
  [2926] = {.lex_state = 35, .external_lex_state = 2},
  [2927] = {.lex_state = 35},
  [2928] = {.lex_state = 35},
  [2929] = {.lex_state = 35, .external_lex_state = 2},
  [2930] = {.lex_state = 35},
  [2931] = {.lex_state = 35},
  [2932] = {.lex_state = 35},
  [2933] = {.lex_state = 35},
  [2934] = {.lex_state = 35, .external_lex_state = 2},
  [2935] = {.lex_state = 35, .external_lex_state = 2},
  [2936] = {.lex_state = 35},
  [2937] = {.lex_state = 35},
  [2938] = {.lex_state = 35},
  [2939] = {.lex_state = 35, .external_lex_state = 2},
  [2940] = {.lex_state = 35, .external_lex_state = 2},
  [2941] = {.lex_state = 35},
  [2942] = {.lex_state = 35},
  [2943] = {.lex_state = 35},
  [2944] = {.lex_state = 35},
  [2945] = {.lex_state = 35},
  [2946] = {.lex_state = 35, .external_lex_state = 2},
  [2947] = {.lex_state = 35, .external_lex_state = 2},
  [2948] = {.lex_state = 35, .external_lex_state = 2},
  [2949] = {.lex_state = 35, .external_lex_state = 2},
  [2950] = {.lex_state = 35, .external_lex_state = 2},
  [2951] = {.lex_state = 35},
  [2952] = {.lex_state = 35, .external_lex_state = 2},
  [2953] = {.lex_state = 35, .external_lex_state = 2},
  [2954] = {.lex_state = 35, .external_lex_state = 2},
  [2955] = {.lex_state = 35, .external_lex_state = 2},
  [2956] = {.lex_state = 35, .external_lex_state = 2},
  [2957] = {.lex_state = 35, .external_lex_state = 2},
  [2958] = {.lex_state = 33, .external_lex_state = 2},
  [2959] = {.lex_state = 35},
  [2960] = {.lex_state = 35},
  [2961] = {.lex_state = 33, .external_lex_state = 2},
  [2962] = {.lex_state = 35},
  [2963] = {.lex_state = 35},
  [2964] = {.lex_state = 35},
  [2965] = {.lex_state = 35},
  [2966] = {.lex_state = 35},
  [2967] = {.lex_state = 35},
  [2968] = {.lex_state = 35, .external_lex_state = 2},
  [2969] = {.lex_state = 35},
  [2970] = {.lex_state = 35},
  [2971] = {.lex_state = 35, .external_lex_state = 2},
  [2972] = {.lex_state = 35, .external_lex_state = 2},
  [2973] = {.lex_state = 35},
  [2974] = {.lex_state = 35, .external_lex_state = 2},
  [2975] = {.lex_state = 35, .external_lex_state = 2},
  [2976] = {.lex_state = 35},
  [2977] = {.lex_state = 35},
  [2978] = {.lex_state = 35},
  [2979] = {.lex_state = 35},
  [2980] = {.lex_state = 35},
  [2981] = {.lex_state = 35},
  [2982] = {.lex_state = 35},
  [2983] = {.lex_state = 35},
  [2984] = {.lex_state = 35},
  [2985] = {.lex_state = 35},
  [2986] = {.lex_state = 35},
  [2987] = {.lex_state = 35},
  [2988] = {.lex_state = 35},
  [2989] = {.lex_state = 35},
  [2990] = {.lex_state = 35},
  [2991] = {.lex_state = 35},
  [2992] = {.lex_state = 35},
  [2993] = {.lex_state = 35},
  [2994] = {.lex_state = 35},
  [2995] = {.lex_state = 35},
  [2996] = {.lex_state = 35, .external_lex_state = 2},
  [2997] = {.lex_state = 35},
  [2998] = {.lex_state = 33},
  [2999] = {.lex_state = 35},
  [3000] = {.lex_state = 35, .external_lex_state = 2},
  [3001] = {.lex_state = 35},
  [3002] = {.lex_state = 35},
  [3003] = {.lex_state = 35, .external_lex_state = 2},
  [3004] = {.lex_state = 35},
  [3005] = {.lex_state = 35, .external_lex_state = 2},
  [3006] = {.lex_state = 35, .external_lex_state = 2},
  [3007] = {.lex_state = 35, .external_lex_state = 2},
  [3008] = {.lex_state = 35},
  [3009] = {.lex_state = 35},
  [3010] = {.lex_state = 35, .external_lex_state = 2},
  [3011] = {.lex_state = 35, .external_lex_state = 2},
  [3012] = {.lex_state = 35, .external_lex_state = 2},
  [3013] = {.lex_state = 35, .external_lex_state = 2},
  [3014] = {.lex_state = 35, .external_lex_state = 2},
  [3015] = {.lex_state = 35, .external_lex_state = 2},
  [3016] = {.lex_state = 35},
  [3017] = {.lex_state = 35, .external_lex_state = 2},
  [3018] = {.lex_state = 35},
  [3019] = {.lex_state = 35, .external_lex_state = 2},
  [3020] = {.lex_state = 35},
  [3021] = {.lex_state = 35, .external_lex_state = 2},
  [3022] = {.lex_state = 35},
  [3023] = {.lex_state = 35},
  [3024] = {.lex_state = 35},
  [3025] = {.lex_state = 35, .external_lex_state = 2},
  [3026] = {.lex_state = 35, .external_lex_state = 2},
  [3027] = {.lex_state = 35, .external_lex_state = 2},
  [3028] = {.lex_state = 35, .external_lex_state = 2},
  [3029] = {.lex_state = 35, .external_lex_state = 2},
  [3030] = {.lex_state = 35},
  [3031] = {.lex_state = 35},
  [3032] = {.lex_state = 35},
  [3033] = {.lex_state = 35, .external_lex_state = 2},
  [3034] = {.lex_state = 35, .external_lex_state = 2},
  [3035] = {.lex_state = 33, .external_lex_state = 2},
  [3036] = {.lex_state = 35, .external_lex_state = 2},
  [3037] = {.lex_state = 35, .external_lex_state = 2},
  [3038] = {.lex_state = 35, .external_lex_state = 2},
  [3039] = {.lex_state = 35, .external_lex_state = 2},
  [3040] = {.lex_state = 35, .external_lex_state = 2},
  [3041] = {.lex_state = 35, .external_lex_state = 2},
  [3042] = {.lex_state = 35},
  [3043] = {.lex_state = 35},
  [3044] = {.lex_state = 35},
  [3045] = {.lex_state = 35},
  [3046] = {.lex_state = 35},
  [3047] = {.lex_state = 35},
  [3048] = {.lex_state = 35},
  [3049] = {.lex_state = 35, .external_lex_state = 2},
  [3050] = {.lex_state = 35},
  [3051] = {.lex_state = 35},
  [3052] = {.lex_state = 35, .external_lex_state = 2},
  [3053] = {.lex_state = 35, .external_lex_state = 2},
  [3054] = {.lex_state = 35, .external_lex_state = 2},
  [3055] = {.lex_state = 35, .external_lex_state = 2},
  [3056] = {.lex_state = 35, .external_lex_state = 2},
  [3057] = {.lex_state = 35, .external_lex_state = 2},
  [3058] = {.lex_state = 35},
  [3059] = {.lex_state = 35, .external_lex_state = 2},
  [3060] = {.lex_state = 35, .external_lex_state = 2},
  [3061] = {.lex_state = 35, .external_lex_state = 2},
  [3062] = {.lex_state = 35, .external_lex_state = 2},
  [3063] = {.lex_state = 35},
  [3064] = {.lex_state = 35, .external_lex_state = 2},
  [3065] = {.lex_state = 35},
  [3066] = {.lex_state = 35, .external_lex_state = 2},
  [3067] = {.lex_state = 35},
  [3068] = {.lex_state = 35},
  [3069] = {.lex_state = 35},
  [3070] = {.lex_state = 35, .external_lex_state = 2},
  [3071] = {.lex_state = 33},
  [3072] = {.lex_state = 35, .external_lex_state = 2},
  [3073] = {.lex_state = 35},
  [3074] = {.lex_state = 35},
  [3075] = {.lex_state = 35, .external_lex_state = 2},
  [3076] = {.lex_state = 35, .external_lex_state = 2},
  [3077] = {.lex_state = 35, .external_lex_state = 2},
  [3078] = {.lex_state = 35},
  [3079] = {.lex_state = 35},
  [3080] = {.lex_state = 35, .external_lex_state = 2},
  [3081] = {.lex_state = 35, .external_lex_state = 2},
  [3082] = {.lex_state = 35},
  [3083] = {.lex_state = 35, .external_lex_state = 2},
  [3084] = {.lex_state = 35, .external_lex_state = 2},
  [3085] = {.lex_state = 35},
  [3086] = {.lex_state = 35},
  [3087] = {.lex_state = 35},
  [3088] = {.lex_state = 35, .external_lex_state = 2},
  [3089] = {.lex_state = 35},
  [3090] = {.lex_state = 35},
  [3091] = {.lex_state = 35, .external_lex_state = 2},
  [3092] = {.lex_state = 35},
  [3093] = {.lex_state = 35},
  [3094] = {.lex_state = 35},
  [3095] = {.lex_state = 35, .external_lex_state = 2},
  [3096] = {.lex_state = 35},
  [3097] = {.lex_state = 35},
  [3098] = {.lex_state = 35, .external_lex_state = 2},
  [3099] = {.lex_state = 35, .external_lex_state = 2},
  [3100] = {.lex_state = 35},
  [3101] = {.lex_state = 35, .external_lex_state = 2},
  [3102] = {.lex_state = 35},
  [3103] = {.lex_state = 35},
  [3104] = {.lex_state = 35},
  [3105] = {.lex_state = 35},
  [3106] = {.lex_state = 35},
  [3107] = {.lex_state = 35},
  [3108] = {.lex_state = 35},
  [3109] = {.lex_state = 35},
  [3110] = {.lex_state = 35},
  [3111] = {.lex_state = 35},
  [3112] = {.lex_state = 35},
  [3113] = {.lex_state = 35},
  [3114] = {.lex_state = 35},
  [3115] = {.lex_state = 35},
  [3116] = {.lex_state = 35},
  [3117] = {.lex_state = 35},
  [3118] = {.lex_state = 35},
  [3119] = {.lex_state = 35},
  [3120] = {.lex_state = 35},
  [3121] = {.lex_state = 35},
  [3122] = {.lex_state = 35},
  [3123] = {.lex_state = 35, .external_lex_state = 2},
  [3124] = {.lex_state = 35},
  [3125] = {.lex_state = 35, .external_lex_state = 2},
  [3126] = {.lex_state = 35, .external_lex_state = 2},
  [3127] = {.lex_state = 35},
  [3128] = {.lex_state = 35},
  [3129] = {.lex_state = 35},
  [3130] = {.lex_state = 35},
  [3131] = {.lex_state = 35},
  [3132] = {.lex_state = 35},
  [3133] = {.lex_state = 35, .external_lex_state = 2},
  [3134] = {.lex_state = 35},
  [3135] = {.lex_state = 35},
  [3136] = {.lex_state = 35},
  [3137] = {.lex_state = 35},
  [3138] = {.lex_state = 35},
  [3139] = {.lex_state = 35},
  [3140] = {.lex_state = 35},
  [3141] = {.lex_state = 35},
  [3142] = {.lex_state = 35},
  [3143] = {.lex_state = 35},
  [3144] = {.lex_state = 35},
  [3145] = {.lex_state = 35},
  [3146] = {.lex_state = 35},
  [3147] = {.lex_state = 35},
  [3148] = {.lex_state = 35},
  [3149] = {.lex_state = 35, .external_lex_state = 2},
  [3150] = {.lex_state = 35, .external_lex_state = 2},
  [3151] = {.lex_state = 35, .external_lex_state = 2},
  [3152] = {.lex_state = 35, .external_lex_state = 2},
  [3153] = {.lex_state = 35, .external_lex_state = 2},
  [3154] = {.lex_state = 35},
  [3155] = {.lex_state = 35},
  [3156] = {.lex_state = 35, .external_lex_state = 2},
  [3157] = {.lex_state = 35, .external_lex_state = 2},
  [3158] = {.lex_state = 35, .external_lex_state = 2},
  [3159] = {.lex_state = 35},
  [3160] = {.lex_state = 35, .external_lex_state = 2},
  [3161] = {.lex_state = 35},
  [3162] = {.lex_state = 35, .external_lex_state = 2},
  [3163] = {.lex_state = 35, .external_lex_state = 2},
  [3164] = {.lex_state = 35},
  [3165] = {.lex_state = 35, .external_lex_state = 2},
  [3166] = {.lex_state = 35},
  [3167] = {.lex_state = 35},
  [3168] = {.lex_state = 35, .external_lex_state = 2},
  [3169] = {.lex_state = 35, .external_lex_state = 2},
  [3170] = {.lex_state = 35},
  [3171] = {.lex_state = 35},
  [3172] = {.lex_state = 35},
  [3173] = {.lex_state = 35, .external_lex_state = 2},
  [3174] = {.lex_state = 35, .external_lex_state = 2},
  [3175] = {.lex_state = 35, .external_lex_state = 2},
  [3176] = {.lex_state = 35, .external_lex_state = 2},
  [3177] = {.lex_state = 35},
  [3178] = {.lex_state = 35},
  [3179] = {.lex_state = 35, .external_lex_state = 2},
  [3180] = {.lex_state = 35},
  [3181] = {.lex_state = 35},
  [3182] = {.lex_state = 35, .external_lex_state = 2},
  [3183] = {.lex_state = 35, .external_lex_state = 2},
  [3184] = {.lex_state = 35, .external_lex_state = 2},
  [3185] = {.lex_state = 33, .external_lex_state = 2},
  [3186] = {.lex_state = 35},
  [3187] = {.lex_state = 35, .external_lex_state = 2},
  [3188] = {.lex_state = 35},
  [3189] = {.lex_state = 35},
  [3190] = {.lex_state = 35},
  [3191] = {.lex_state = 35},
  [3192] = {.lex_state = 35},
  [3193] = {.lex_state = 35},
  [3194] = {.lex_state = 35},
  [3195] = {.lex_state = 35},
  [3196] = {.lex_state = 35},
  [3197] = {.lex_state = 35},
  [3198] = {.lex_state = 35},
  [3199] = {.lex_state = 35},
  [3200] = {.lex_state = 35},
  [3201] = {.lex_state = 35, .external_lex_state = 2},
  [3202] = {.lex_state = 35},
  [3203] = {.lex_state = 35},
  [3204] = {.lex_state = 35, .external_lex_state = 2},
  [3205] = {.lex_state = 35},
  [3206] = {.lex_state = 35},
  [3207] = {.lex_state = 35},
  [3208] = {.lex_state = 35},
  [3209] = {.lex_state = 35},
  [3210] = {.lex_state = 35},
  [3211] = {.lex_state = 35, .external_lex_state = 2},
  [3212] = {.lex_state = 35, .external_lex_state = 2},
  [3213] = {.lex_state = 35},
  [3214] = {.lex_state = 35, .external_lex_state = 2},
  [3215] = {.lex_state = 35, .external_lex_state = 2},
  [3216] = {.lex_state = 35},
  [3217] = {.lex_state = 35, .external_lex_state = 2},
  [3218] = {.lex_state = 35, .external_lex_state = 2},
  [3219] = {.lex_state = 35},
  [3220] = {.lex_state = 35, .external_lex_state = 2},
  [3221] = {.lex_state = 35},
  [3222] = {.lex_state = 35},
  [3223] = {.lex_state = 35},
  [3224] = {.lex_state = 35, .external_lex_state = 2},
  [3225] = {.lex_state = 35, .external_lex_state = 2},
  [3226] = {.lex_state = 35, .external_lex_state = 2},
  [3227] = {.lex_state = 35, .external_lex_state = 2},
  [3228] = {.lex_state = 35, .external_lex_state = 2},
  [3229] = {.lex_state = 35},
  [3230] = {.lex_state = 35},
  [3231] = {.lex_state = 35},
  [3232] = {.lex_state = 35, .external_lex_state = 2},
  [3233] = {.lex_state = 35, .external_lex_state = 2},
  [3234] = {.lex_state = 35},
  [3235] = {.lex_state = 35, .external_lex_state = 2},
  [3236] = {.lex_state = 35, .external_lex_state = 2},
  [3237] = {.lex_state = 35, .external_lex_state = 2},
  [3238] = {.lex_state = 35},
  [3239] = {.lex_state = 35, .external_lex_state = 2},
  [3240] = {.lex_state = 35, .external_lex_state = 2},
  [3241] = {.lex_state = 35, .external_lex_state = 2},
  [3242] = {.lex_state = 35, .external_lex_state = 2},
  [3243] = {.lex_state = 35},
  [3244] = {.lex_state = 35},
  [3245] = {.lex_state = 35},
  [3246] = {.lex_state = 35},
  [3247] = {.lex_state = 35},
  [3248] = {.lex_state = 35},
  [3249] = {.lex_state = 35},
  [3250] = {.lex_state = 33, .external_lex_state = 2},
  [3251] = {.lex_state = 35},
  [3252] = {.lex_state = 35},
  [3253] = {.lex_state = 35},
  [3254] = {.lex_state = 35, .external_lex_state = 2},
  [3255] = {.lex_state = 35, .external_lex_state = 2},
  [3256] = {.lex_state = 35, .external_lex_state = 2},
  [3257] = {.lex_state = 35, .external_lex_state = 2},
  [3258] = {.lex_state = 35},
  [3259] = {.lex_state = 35},
  [3260] = {.lex_state = 35},
  [3261] = {.lex_state = 35},
  [3262] = {.lex_state = 35},
  [3263] = {.lex_state = 35},
  [3264] = {.lex_state = 35},
  [3265] = {.lex_state = 35},
  [3266] = {.lex_state = 35},
  [3267] = {.lex_state = 35, .external_lex_state = 2},
  [3268] = {.lex_state = 35},
  [3269] = {.lex_state = 35, .external_lex_state = 2},
  [3270] = {.lex_state = 35},
  [3271] = {.lex_state = 35, .external_lex_state = 2},
  [3272] = {.lex_state = 35, .external_lex_state = 2},
  [3273] = {.lex_state = 35},
  [3274] = {.lex_state = 35, .external_lex_state = 2},
  [3275] = {.lex_state = 35},
  [3276] = {.lex_state = 35},
  [3277] = {.lex_state = 35},
  [3278] = {.lex_state = 35, .external_lex_state = 2},
  [3279] = {.lex_state = 35},
  [3280] = {.lex_state = 35},
  [3281] = {.lex_state = 35, .external_lex_state = 2},
  [3282] = {.lex_state = 35},
  [3283] = {.lex_state = 35, .external_lex_state = 2},
  [3284] = {.lex_state = 35},
  [3285] = {.lex_state = 35},
  [3286] = {.lex_state = 35},
  [3287] = {.lex_state = 33, .external_lex_state = 2},
  [3288] = {.lex_state = 35, .external_lex_state = 2},
  [3289] = {.lex_state = 35, .external_lex_state = 2},
  [3290] = {.lex_state = 35},
  [3291] = {.lex_state = 33, .external_lex_state = 2},
  [3292] = {.lex_state = 35, .external_lex_state = 2},
  [3293] = {.lex_state = 35},
  [3294] = {.lex_state = 35},
  [3295] = {.lex_state = 35},
  [3296] = {.lex_state = 35},
  [3297] = {.lex_state = 35},
  [3298] = {.lex_state = 35},
  [3299] = {.lex_state = 35, .external_lex_state = 2},
  [3300] = {.lex_state = 35, .external_lex_state = 2},
  [3301] = {.lex_state = 35, .external_lex_state = 2},
  [3302] = {.lex_state = 35, .external_lex_state = 2},
  [3303] = {.lex_state = 35},
  [3304] = {.lex_state = 35},
  [3305] = {.lex_state = 35},
  [3306] = {.lex_state = 35},
  [3307] = {.lex_state = 35},
  [3308] = {.lex_state = 35, .external_lex_state = 2},
  [3309] = {.lex_state = 35},
  [3310] = {.lex_state = 35},
  [3311] = {.lex_state = 35},
  [3312] = {.lex_state = 35, .external_lex_state = 2},
  [3313] = {.lex_state = 35},
  [3314] = {.lex_state = 35},
  [3315] = {.lex_state = 35},
  [3316] = {.lex_state = 33},
  [3317] = {.lex_state = 35},
  [3318] = {.lex_state = 35, .external_lex_state = 2},
  [3319] = {.lex_state = 35, .external_lex_state = 2},
  [3320] = {.lex_state = 35, .external_lex_state = 2},
  [3321] = {.lex_state = 35},
  [3322] = {.lex_state = 35},
  [3323] = {.lex_state = 35},
  [3324] = {.lex_state = 35},
  [3325] = {.lex_state = 35},
  [3326] = {.lex_state = 35},
  [3327] = {.lex_state = 35},
  [3328] = {.lex_state = 35},
  [3329] = {.lex_state = 35},
  [3330] = {.lex_state = 35},
  [3331] = {.lex_state = 35},
  [3332] = {.lex_state = 35},
  [3333] = {.lex_state = 35, .external_lex_state = 2},
  [3334] = {.lex_state = 35},
  [3335] = {.lex_state = 35},
  [3336] = {.lex_state = 35, .external_lex_state = 2},
  [3337] = {.lex_state = 35},
  [3338] = {.lex_state = 35, .external_lex_state = 2},
  [3339] = {.lex_state = 35},
  [3340] = {.lex_state = 35, .external_lex_state = 2},
  [3341] = {.lex_state = 35},
  [3342] = {.lex_state = 35, .external_lex_state = 2},
  [3343] = {.lex_state = 35, .external_lex_state = 2},
  [3344] = {.lex_state = 35},
  [3345] = {.lex_state = 35, .external_lex_state = 2},
  [3346] = {.lex_state = 35},
  [3347] = {.lex_state = 35},
  [3348] = {.lex_state = 35, .external_lex_state = 2},
  [3349] = {.lex_state = 35, .external_lex_state = 2},
  [3350] = {.lex_state = 35, .external_lex_state = 2},
  [3351] = {.lex_state = 35, .external_lex_state = 2},
  [3352] = {.lex_state = 35},
  [3353] = {.lex_state = 35, .external_lex_state = 2},
  [3354] = {.lex_state = 35},
  [3355] = {.lex_state = 35, .external_lex_state = 2},
  [3356] = {.lex_state = 35},
  [3357] = {.lex_state = 35, .external_lex_state = 2},
  [3358] = {.lex_state = 35, .external_lex_state = 2},
  [3359] = {.lex_state = 35, .external_lex_state = 2},
  [3360] = {.lex_state = 35, .external_lex_state = 2},
  [3361] = {.lex_state = 35, .external_lex_state = 2},
  [3362] = {.lex_state = 35},
  [3363] = {.lex_state = 35, .external_lex_state = 2},
  [3364] = {.lex_state = 35},
  [3365] = {.lex_state = 35},
  [3366] = {.lex_state = 35},
  [3367] = {.lex_state = 35},
  [3368] = {.lex_state = 35, .external_lex_state = 2},
  [3369] = {.lex_state = 35},
  [3370] = {.lex_state = 35},
  [3371] = {.lex_state = 35, .external_lex_state = 2},
  [3372] = {.lex_state = 35},
  [3373] = {.lex_state = 35},
  [3374] = {.lex_state = 35},
  [3375] = {.lex_state = 35},
  [3376] = {.lex_state = 35},
  [3377] = {.lex_state = 35},
  [3378] = {.lex_state = 35},
  [3379] = {.lex_state = 35},
  [3380] = {.lex_state = 35, .external_lex_state = 2},
  [3381] = {.lex_state = 35, .external_lex_state = 2},
  [3382] = {.lex_state = 35},
  [3383] = {.lex_state = 35, .external_lex_state = 2},
  [3384] = {.lex_state = 35},
  [3385] = {.lex_state = 35},
  [3386] = {.lex_state = 35, .external_lex_state = 2},
  [3387] = {.lex_state = 35, .external_lex_state = 2},
  [3388] = {.lex_state = 35, .external_lex_state = 2},
  [3389] = {.lex_state = 35, .external_lex_state = 2},
  [3390] = {.lex_state = 35},
  [3391] = {.lex_state = 35},
  [3392] = {.lex_state = 35, .external_lex_state = 2},
  [3393] = {.lex_state = 35},
  [3394] = {.lex_state = 35, .external_lex_state = 2},
  [3395] = {.lex_state = 35, .external_lex_state = 2},
  [3396] = {.lex_state = 35},
  [3397] = {.lex_state = 35},
  [3398] = {.lex_state = 35},
  [3399] = {.lex_state = 35},
  [3400] = {.lex_state = 35},
  [3401] = {.lex_state = 35},
  [3402] = {.lex_state = 35},
  [3403] = {.lex_state = 35},
  [3404] = {.lex_state = 35},
  [3405] = {.lex_state = 35, .external_lex_state = 2},
  [3406] = {.lex_state = 35},
  [3407] = {.lex_state = 35},
  [3408] = {.lex_state = 35},
  [3409] = {.lex_state = 35},
  [3410] = {.lex_state = 35},
  [3411] = {.lex_state = 35},
  [3412] = {.lex_state = 35},
  [3413] = {.lex_state = 35},
  [3414] = {.lex_state = 35},
  [3415] = {.lex_state = 35},
  [3416] = {.lex_state = 35},
  [3417] = {.lex_state = 35},
  [3418] = {.lex_state = 35},
  [3419] = {.lex_state = 35},
  [3420] = {.lex_state = 35},
  [3421] = {.lex_state = 35},
  [3422] = {.lex_state = 35},
  [3423] = {.lex_state = 35},
  [3424] = {.lex_state = 35},
  [3425] = {.lex_state = 35},
  [3426] = {.lex_state = 35, .external_lex_state = 2},
  [3427] = {.lex_state = 35},
  [3428] = {.lex_state = 35, .external_lex_state = 2},
  [3429] = {.lex_state = 35, .external_lex_state = 2},
  [3430] = {.lex_state = 35, .external_lex_state = 2},
  [3431] = {.lex_state = 35},
  [3432] = {.lex_state = 35},
  [3433] = {.lex_state = 35, .external_lex_state = 2},
  [3434] = {.lex_state = 35},
  [3435] = {.lex_state = 35},
  [3436] = {.lex_state = 35, .external_lex_state = 2},
  [3437] = {.lex_state = 35},
  [3438] = {.lex_state = 35},
  [3439] = {.lex_state = 35},
  [3440] = {.lex_state = 35},
  [3441] = {.lex_state = 35, .external_lex_state = 2},
  [3442] = {.lex_state = 35},
  [3443] = {.lex_state = 35, .external_lex_state = 2},
  [3444] = {.lex_state = 35},
  [3445] = {.lex_state = 35},
  [3446] = {.lex_state = 35},
  [3447] = {.lex_state = 35, .external_lex_state = 2},
  [3448] = {.lex_state = 35},
  [3449] = {.lex_state = 35},
  [3450] = {.lex_state = 35},
  [3451] = {.lex_state = 35},
  [3452] = {.lex_state = 35},
  [3453] = {.lex_state = 35},
  [3454] = {.lex_state = 35},
  [3455] = {.lex_state = 35, .external_lex_state = 2},
  [3456] = {.lex_state = 35},
  [3457] = {.lex_state = 35},
  [3458] = {.lex_state = 35},
  [3459] = {.lex_state = 35},
  [3460] = {.lex_state = 35, .external_lex_state = 2},
  [3461] = {.lex_state = 35},
  [3462] = {.lex_state = 35},
  [3463] = {.lex_state = 35, .external_lex_state = 2},
  [3464] = {.lex_state = 35, .external_lex_state = 2},
  [3465] = {.lex_state = 35},
  [3466] = {.lex_state = 35},
  [3467] = {.lex_state = 35},
  [3468] = {.lex_state = 35},
  [3469] = {.lex_state = 35},
  [3470] = {.lex_state = 35},
  [3471] = {.lex_state = 35},
  [3472] = {.lex_state = 35},
  [3473] = {.lex_state = 35},
  [3474] = {.lex_state = 35},
  [3475] = {.lex_state = 35},
  [3476] = {.lex_state = 35},
  [3477] = {.lex_state = 35, .external_lex_state = 2},
  [3478] = {.lex_state = 35},
  [3479] = {.lex_state = 35},
  [3480] = {.lex_state = 35, .external_lex_state = 2},
  [3481] = {.lex_state = 35, .external_lex_state = 2},
  [3482] = {.lex_state = 35},
  [3483] = {.lex_state = 35, .external_lex_state = 2},
  [3484] = {.lex_state = 35},
  [3485] = {.lex_state = 35},
  [3486] = {.lex_state = 35, .external_lex_state = 2},
  [3487] = {.lex_state = 35},
  [3488] = {.lex_state = 35, .external_lex_state = 2},
  [3489] = {.lex_state = 35},
  [3490] = {.lex_state = 35},
  [3491] = {.lex_state = 35, .external_lex_state = 2},
  [3492] = {.lex_state = 35},
  [3493] = {.lex_state = 35},
  [3494] = {.lex_state = 35},
  [3495] = {.lex_state = 35},
  [3496] = {.lex_state = 35, .external_lex_state = 2},
  [3497] = {.lex_state = 35, .external_lex_state = 2},
  [3498] = {.lex_state = 35, .external_lex_state = 2},
  [3499] = {.lex_state = 35},
  [3500] = {.lex_state = 35, .external_lex_state = 2},
  [3501] = {.lex_state = 35},
  [3502] = {.lex_state = 35},
  [3503] = {.lex_state = 35},
  [3504] = {.lex_state = 35},
  [3505] = {.lex_state = 35},
  [3506] = {.lex_state = 35},
  [3507] = {.lex_state = 35},
  [3508] = {.lex_state = 35},
  [3509] = {.lex_state = 35},
  [3510] = {.lex_state = 35},
  [3511] = {.lex_state = 35},
  [3512] = {.lex_state = 35},
  [3513] = {.lex_state = 35, .external_lex_state = 2},
  [3514] = {.lex_state = 35},
  [3515] = {.lex_state = 35, .external_lex_state = 2},
  [3516] = {.lex_state = 35},
  [3517] = {.lex_state = 35},
  [3518] = {.lex_state = 35, .external_lex_state = 2},
  [3519] = {.lex_state = 35},
  [3520] = {.lex_state = 35, .external_lex_state = 2},
  [3521] = {.lex_state = 35, .external_lex_state = 2},
  [3522] = {.lex_state = 35},
  [3523] = {.lex_state = 35},
  [3524] = {.lex_state = 35},
  [3525] = {.lex_state = 35},
  [3526] = {.lex_state = 35},
  [3527] = {.lex_state = 35},
  [3528] = {.lex_state = 35, .external_lex_state = 2},
  [3529] = {.lex_state = 35, .external_lex_state = 2},
  [3530] = {.lex_state = 35},
  [3531] = {.lex_state = 35},
  [3532] = {.lex_state = 35, .external_lex_state = 2},
  [3533] = {.lex_state = 35, .external_lex_state = 2},
  [3534] = {.lex_state = 35},
  [3535] = {.lex_state = 35},
  [3536] = {.lex_state = 35},
  [3537] = {.lex_state = 35},
  [3538] = {.lex_state = 35, .external_lex_state = 2},
  [3539] = {.lex_state = 35},
  [3540] = {.lex_state = 35, .external_lex_state = 2},
  [3541] = {.lex_state = 35},
  [3542] = {.lex_state = 35},
  [3543] = {.lex_state = 35},
  [3544] = {.lex_state = 35},
  [3545] = {.lex_state = 35, .external_lex_state = 2},
  [3546] = {.lex_state = 35},
  [3547] = {.lex_state = 35},
  [3548] = {.lex_state = 35},
  [3549] = {.lex_state = 35},
  [3550] = {.lex_state = 35, .external_lex_state = 2},
  [3551] = {.lex_state = 35},
  [3552] = {.lex_state = 35},
  [3553] = {.lex_state = 35},
  [3554] = {.lex_state = 35, .external_lex_state = 2},
  [3555] = {.lex_state = 35},
  [3556] = {.lex_state = 35},
  [3557] = {.lex_state = 35},
  [3558] = {.lex_state = 35},
  [3559] = {.lex_state = 35, .external_lex_state = 2},
  [3560] = {.lex_state = 35},
  [3561] = {.lex_state = 35, .external_lex_state = 2},
  [3562] = {.lex_state = 35},
  [3563] = {.lex_state = 35},
  [3564] = {.lex_state = 35},
  [3565] = {.lex_state = 35},
  [3566] = {.lex_state = 35},
  [3567] = {.lex_state = 35},
  [3568] = {.lex_state = 35, .external_lex_state = 2},
  [3569] = {.lex_state = 35},
  [3570] = {.lex_state = 35, .external_lex_state = 2},
  [3571] = {.lex_state = 35, .external_lex_state = 2},
  [3572] = {.lex_state = 35, .external_lex_state = 2},
  [3573] = {.lex_state = 35, .external_lex_state = 2},
  [3574] = {.lex_state = 35, .external_lex_state = 2},
  [3575] = {.lex_state = 35, .external_lex_state = 2},
  [3576] = {.lex_state = 35, .external_lex_state = 2},
  [3577] = {.lex_state = 35, .external_lex_state = 2},
  [3578] = {.lex_state = 35, .external_lex_state = 2},
  [3579] = {.lex_state = 35},
  [3580] = {.lex_state = 35},
  [3581] = {.lex_state = 35},
  [3582] = {.lex_state = 35},
  [3583] = {.lex_state = 35, .external_lex_state = 2},
  [3584] = {.lex_state = 35},
  [3585] = {.lex_state = 35},
  [3586] = {.lex_state = 35},
  [3587] = {.lex_state = 35},
  [3588] = {.lex_state = 35},
  [3589] = {.lex_state = 35},
  [3590] = {.lex_state = 35},
  [3591] = {.lex_state = 35},
  [3592] = {.lex_state = 35},
  [3593] = {.lex_state = 35},
  [3594] = {.lex_state = 35, .external_lex_state = 2},
  [3595] = {.lex_state = 35, .external_lex_state = 2},
  [3596] = {.lex_state = 35},
  [3597] = {.lex_state = 35},
  [3598] = {.lex_state = 35},
  [3599] = {.lex_state = 35},
  [3600] = {.lex_state = 35},
  [3601] = {.lex_state = 35},
  [3602] = {.lex_state = 35},
  [3603] = {.lex_state = 35},
  [3604] = {.lex_state = 35},
  [3605] = {.lex_state = 35},
  [3606] = {.lex_state = 35},
  [3607] = {.lex_state = 35},
  [3608] = {.lex_state = 35},
  [3609] = {.lex_state = 35},
  [3610] = {.lex_state = 35, .external_lex_state = 2},
  [3611] = {.lex_state = 33, .external_lex_state = 2},
  [3612] = {.lex_state = 35},
  [3613] = {.lex_state = 35},
  [3614] = {.lex_state = 35},
  [3615] = {.lex_state = 35},
  [3616] = {.lex_state = 35, .external_lex_state = 2},
  [3617] = {.lex_state = 35, .external_lex_state = 2},
  [3618] = {.lex_state = 35, .external_lex_state = 2},
  [3619] = {.lex_state = 35},
  [3620] = {.lex_state = 35, .external_lex_state = 2},
  [3621] = {.lex_state = 35, .external_lex_state = 2},
  [3622] = {.lex_state = 35, .external_lex_state = 2},
  [3623] = {.lex_state = 35},
  [3624] = {.lex_state = 35},
  [3625] = {.lex_state = 35, .external_lex_state = 2},
  [3626] = {.lex_state = 35, .external_lex_state = 2},
  [3627] = {.lex_state = 35, .external_lex_state = 2},
  [3628] = {.lex_state = 35, .external_lex_state = 2},
  [3629] = {.lex_state = 35, .external_lex_state = 2},
  [3630] = {.lex_state = 35},
  [3631] = {.lex_state = 35},
  [3632] = {.lex_state = 35, .external_lex_state = 2},
  [3633] = {.lex_state = 35},
  [3634] = {.lex_state = 35, .external_lex_state = 2},
  [3635] = {.lex_state = 35, .external_lex_state = 2},
  [3636] = {.lex_state = 35, .external_lex_state = 2},
  [3637] = {.lex_state = 35},
  [3638] = {.lex_state = 35, .external_lex_state = 2},
  [3639] = {.lex_state = 35, .external_lex_state = 2},
  [3640] = {.lex_state = 35},
  [3641] = {.lex_state = 35, .external_lex_state = 2},
  [3642] = {.lex_state = 35, .external_lex_state = 2},
  [3643] = {.lex_state = 35},
  [3644] = {.lex_state = 35},
  [3645] = {.lex_state = 35},
  [3646] = {.lex_state = 35},
  [3647] = {.lex_state = 35},
  [3648] = {.lex_state = 35},
  [3649] = {.lex_state = 35, .external_lex_state = 2},
  [3650] = {.lex_state = 35},
  [3651] = {.lex_state = 35, .external_lex_state = 2},
  [3652] = {.lex_state = 35, .external_lex_state = 2},
  [3653] = {.lex_state = 35, .external_lex_state = 2},
  [3654] = {.lex_state = 35, .external_lex_state = 2},
  [3655] = {.lex_state = 35, .external_lex_state = 2},
  [3656] = {.lex_state = 35},
  [3657] = {.lex_state = 35, .external_lex_state = 2},
  [3658] = {.lex_state = 35, .external_lex_state = 2},
  [3659] = {.lex_state = 35},
  [3660] = {.lex_state = 35},
  [3661] = {.lex_state = 35},
  [3662] = {.lex_state = 35},
  [3663] = {.lex_state = 35, .external_lex_state = 2},
  [3664] = {.lex_state = 35, .external_lex_state = 2},
  [3665] = {.lex_state = 35},
  [3666] = {.lex_state = 35},
  [3667] = {.lex_state = 35},
  [3668] = {.lex_state = 35},
  [3669] = {.lex_state = 35},
  [3670] = {.lex_state = 35, .external_lex_state = 2},
  [3671] = {.lex_state = 35},
  [3672] = {.lex_state = 35},
  [3673] = {.lex_state = 35, .external_lex_state = 2},
  [3674] = {.lex_state = 35},
  [3675] = {.lex_state = 35},
  [3676] = {.lex_state = 35},
  [3677] = {.lex_state = 35, .external_lex_state = 2},
  [3678] = {.lex_state = 35, .external_lex_state = 2},
  [3679] = {.lex_state = 35, .external_lex_state = 2},
  [3680] = {.lex_state = 35},
  [3681] = {.lex_state = 35, .external_lex_state = 2},
  [3682] = {.lex_state = 35, .external_lex_state = 2},
  [3683] = {.lex_state = 35, .external_lex_state = 2},
  [3684] = {.lex_state = 35, .external_lex_state = 2},
  [3685] = {.lex_state = 35},
  [3686] = {.lex_state = 35, .external_lex_state = 2},
  [3687] = {.lex_state = 35, .external_lex_state = 2},
  [3688] = {.lex_state = 35},
  [3689] = {.lex_state = 35},
  [3690] = {.lex_state = 35, .external_lex_state = 2},
  [3691] = {.lex_state = 35},
  [3692] = {.lex_state = 35, .external_lex_state = 2},
  [3693] = {.lex_state = 35},
  [3694] = {.lex_state = 35, .external_lex_state = 2},
  [3695] = {.lex_state = 35},
  [3696] = {.lex_state = 35, .external_lex_state = 2},
  [3697] = {.lex_state = 35, .external_lex_state = 2},
  [3698] = {.lex_state = 35},
  [3699] = {.lex_state = 35},
  [3700] = {.lex_state = 35},
  [3701] = {.lex_state = 35},
  [3702] = {.lex_state = 35, .external_lex_state = 2},
  [3703] = {.lex_state = 35, .external_lex_state = 2},
  [3704] = {.lex_state = 35},
  [3705] = {.lex_state = 35},
  [3706] = {.lex_state = 35, .external_lex_state = 2},
  [3707] = {.lex_state = 35, .external_lex_state = 2},
  [3708] = {.lex_state = 35, .external_lex_state = 2},
  [3709] = {.lex_state = 35},
  [3710] = {.lex_state = 35},
  [3711] = {.lex_state = 35, .external_lex_state = 2},
  [3712] = {.lex_state = 35, .external_lex_state = 2},
  [3713] = {.lex_state = 35, .external_lex_state = 2},
  [3714] = {.lex_state = 35, .external_lex_state = 2},
  [3715] = {.lex_state = 35, .external_lex_state = 2},
  [3716] = {.lex_state = 35, .external_lex_state = 2},
  [3717] = {.lex_state = 35},
  [3718] = {.lex_state = 35, .external_lex_state = 2},
  [3719] = {.lex_state = 35},
  [3720] = {.lex_state = 35, .external_lex_state = 2},
  [3721] = {.lex_state = 35},
  [3722] = {.lex_state = 35},
  [3723] = {.lex_state = 35},
  [3724] = {.lex_state = 35},
  [3725] = {.lex_state = 35},
  [3726] = {.lex_state = 35},
  [3727] = {.lex_state = 35, .external_lex_state = 2},
  [3728] = {.lex_state = 35},
  [3729] = {.lex_state = 35, .external_lex_state = 2},
  [3730] = {.lex_state = 35},
  [3731] = {.lex_state = 35},
  [3732] = {.lex_state = 35, .external_lex_state = 2},
  [3733] = {.lex_state = 35},
  [3734] = {.lex_state = 35},
  [3735] = {.lex_state = 35},
  [3736] = {.lex_state = 35},
  [3737] = {.lex_state = 35},
  [3738] = {.lex_state = 35},
  [3739] = {.lex_state = 35, .external_lex_state = 2},
  [3740] = {.lex_state = 35},
  [3741] = {.lex_state = 35},
  [3742] = {.lex_state = 35, .external_lex_state = 2},
  [3743] = {.lex_state = 35, .external_lex_state = 2},
  [3744] = {.lex_state = 35},
  [3745] = {.lex_state = 35},
  [3746] = {.lex_state = 35},
  [3747] = {.lex_state = 35, .external_lex_state = 2},
  [3748] = {.lex_state = 35},
  [3749] = {.lex_state = 35, .external_lex_state = 2},
  [3750] = {.lex_state = 35},
  [3751] = {.lex_state = 35},
  [3752] = {.lex_state = 35},
  [3753] = {.lex_state = 35, .external_lex_state = 2},
  [3754] = {.lex_state = 35},
  [3755] = {.lex_state = 35},
  [3756] = {.lex_state = 35, .external_lex_state = 2},
  [3757] = {.lex_state = 35, .external_lex_state = 2},
  [3758] = {.lex_state = 35, .external_lex_state = 2},
  [3759] = {.lex_state = 35, .external_lex_state = 2},
  [3760] = {.lex_state = 35},
  [3761] = {.lex_state = 35},
  [3762] = {.lex_state = 35},
  [3763] = {.lex_state = 35},
  [3764] = {.lex_state = 35},
  [3765] = {.lex_state = 35},
  [3766] = {.lex_state = 35},
  [3767] = {.lex_state = 35},
  [3768] = {.lex_state = 35},
  [3769] = {.lex_state = 35, .external_lex_state = 2},
  [3770] = {.lex_state = 35},
  [3771] = {.lex_state = 35, .external_lex_state = 2},
  [3772] = {.lex_state = 35},
  [3773] = {.lex_state = 35},
  [3774] = {.lex_state = 35},
  [3775] = {.lex_state = 35},
  [3776] = {.lex_state = 35},
  [3777] = {.lex_state = 35},
  [3778] = {.lex_state = 35},
  [3779] = {.lex_state = 35},
  [3780] = {.lex_state = 35, .external_lex_state = 2},
  [3781] = {.lex_state = 35, .external_lex_state = 2},
  [3782] = {.lex_state = 35},
  [3783] = {.lex_state = 35},
  [3784] = {.lex_state = 35, .external_lex_state = 2},
  [3785] = {.lex_state = 35},
  [3786] = {.lex_state = 35},
  [3787] = {.lex_state = 35},
  [3788] = {.lex_state = 35},
  [3789] = {.lex_state = 35, .external_lex_state = 2},
  [3790] = {.lex_state = 35},
  [3791] = {.lex_state = 35},
  [3792] = {.lex_state = 35},
  [3793] = {.lex_state = 35},
  [3794] = {.lex_state = 35},
  [3795] = {.lex_state = 35},
  [3796] = {.lex_state = 35},
  [3797] = {.lex_state = 35},
  [3798] = {.lex_state = 35},
  [3799] = {.lex_state = 35},
  [3800] = {.lex_state = 35},
  [3801] = {.lex_state = 35},
  [3802] = {.lex_state = 35},
  [3803] = {.lex_state = 35},
  [3804] = {.lex_state = 35},
  [3805] = {.lex_state = 35},
  [3806] = {.lex_state = 35},
  [3807] = {.lex_state = 35},
  [3808] = {.lex_state = 35},
  [3809] = {.lex_state = 35},
  [3810] = {.lex_state = 35},
  [3811] = {.lex_state = 35},
  [3812] = {.lex_state = 35, .external_lex_state = 2},
  [3813] = {.lex_state = 35},
  [3814] = {.lex_state = 35},
  [3815] = {.lex_state = 35, .external_lex_state = 2},
  [3816] = {.lex_state = 35, .external_lex_state = 2},
  [3817] = {.lex_state = 35},
  [3818] = {.lex_state = 35},
  [3819] = {.lex_state = 35, .external_lex_state = 2},
  [3820] = {.lex_state = 35},
  [3821] = {.lex_state = 35},
  [3822] = {.lex_state = 35},
  [3823] = {.lex_state = 35},
  [3824] = {.lex_state = 35},
  [3825] = {.lex_state = 35, .external_lex_state = 2},
  [3826] = {.lex_state = 35},
  [3827] = {.lex_state = 35},
  [3828] = {.lex_state = 35, .external_lex_state = 2},
  [3829] = {.lex_state = 35},
  [3830] = {.lex_state = 35, .external_lex_state = 2},
  [3831] = {.lex_state = 35},
  [3832] = {.lex_state = 35, .external_lex_state = 2},
  [3833] = {.lex_state = 35},
  [3834] = {.lex_state = 35, .external_lex_state = 2},
  [3835] = {.lex_state = 35, .external_lex_state = 2},
  [3836] = {.lex_state = 35},
  [3837] = {.lex_state = 35, .external_lex_state = 2},
  [3838] = {.lex_state = 35},
  [3839] = {.lex_state = 35, .external_lex_state = 2},
  [3840] = {.lex_state = 35, .external_lex_state = 2},
  [3841] = {.lex_state = 35, .external_lex_state = 2},
  [3842] = {.lex_state = 35, .external_lex_state = 2},
  [3843] = {.lex_state = 35, .external_lex_state = 2},
  [3844] = {.lex_state = 35, .external_lex_state = 2},
  [3845] = {.lex_state = 35, .external_lex_state = 2},
  [3846] = {.lex_state = 35, .external_lex_state = 2},
  [3847] = {.lex_state = 35, .external_lex_state = 2},
  [3848] = {.lex_state = 35, .external_lex_state = 2},
  [3849] = {.lex_state = 35},
  [3850] = {.lex_state = 35},
  [3851] = {.lex_state = 35, .external_lex_state = 2},
  [3852] = {.lex_state = 35, .external_lex_state = 2},
  [3853] = {.lex_state = 35, .external_lex_state = 2},
  [3854] = {.lex_state = 35, .external_lex_state = 2},
  [3855] = {.lex_state = 35, .external_lex_state = 2},
  [3856] = {.lex_state = 35, .external_lex_state = 2},
  [3857] = {.lex_state = 35, .external_lex_state = 2},
  [3858] = {.lex_state = 35},
  [3859] = {.lex_state = 35, .external_lex_state = 2},
  [3860] = {.lex_state = 35},
  [3861] = {.lex_state = 35, .external_lex_state = 2},
  [3862] = {.lex_state = 35},
  [3863] = {.lex_state = 35, .external_lex_state = 2},
  [3864] = {.lex_state = 35},
  [3865] = {.lex_state = 35, .external_lex_state = 2},
  [3866] = {.lex_state = 35},
  [3867] = {.lex_state = 35},
  [3868] = {.lex_state = 35, .external_lex_state = 2},
  [3869] = {.lex_state = 35},
  [3870] = {.lex_state = 35, .external_lex_state = 2},
  [3871] = {.lex_state = 35, .external_lex_state = 2},
  [3872] = {.lex_state = 35, .external_lex_state = 2},
  [3873] = {.lex_state = 35, .external_lex_state = 2},
  [3874] = {.lex_state = 35, .external_lex_state = 2},
  [3875] = {.lex_state = 35},
  [3876] = {.lex_state = 35, .external_lex_state = 2},
  [3877] = {.lex_state = 35},
  [3878] = {.lex_state = 35},
  [3879] = {.lex_state = 35},
  [3880] = {.lex_state = 35, .external_lex_state = 2},
  [3881] = {.lex_state = 35},
  [3882] = {.lex_state = 35},
  [3883] = {.lex_state = 35, .external_lex_state = 2},
  [3884] = {.lex_state = 35, .external_lex_state = 2},
  [3885] = {.lex_state = 35},
  [3886] = {.lex_state = 35, .external_lex_state = 2},
  [3887] = {.lex_state = 35, .external_lex_state = 2},
  [3888] = {.lex_state = 35, .external_lex_state = 2},
  [3889] = {.lex_state = 35},
  [3890] = {.lex_state = 35, .external_lex_state = 2},
  [3891] = {.lex_state = 35, .external_lex_state = 2},
  [3892] = {.lex_state = 35},
  [3893] = {.lex_state = 35},
  [3894] = {.lex_state = 35},
  [3895] = {.lex_state = 35},
  [3896] = {.lex_state = 35, .external_lex_state = 2},
  [3897] = {.lex_state = 35, .external_lex_state = 2},
  [3898] = {.lex_state = 35},
  [3899] = {.lex_state = 35},
  [3900] = {.lex_state = 35},
  [3901] = {.lex_state = 35, .external_lex_state = 2},
  [3902] = {.lex_state = 35},
  [3903] = {.lex_state = 35, .external_lex_state = 2},
  [3904] = {.lex_state = 35, .external_lex_state = 2},
  [3905] = {.lex_state = 35, .external_lex_state = 2},
  [3906] = {.lex_state = 35, .external_lex_state = 2},
  [3907] = {.lex_state = 35, .external_lex_state = 2},
  [3908] = {.lex_state = 35, .external_lex_state = 2},
  [3909] = {.lex_state = 35, .external_lex_state = 2},
  [3910] = {.lex_state = 35, .external_lex_state = 2},
  [3911] = {.lex_state = 35, .external_lex_state = 2},
  [3912] = {.lex_state = 35, .external_lex_state = 2},
  [3913] = {.lex_state = 35, .external_lex_state = 2},
  [3914] = {.lex_state = 35},
  [3915] = {.lex_state = 35, .external_lex_state = 2},
  [3916] = {.lex_state = 35, .external_lex_state = 2},
  [3917] = {.lex_state = 35},
  [3918] = {.lex_state = 35},
  [3919] = {.lex_state = 35, .external_lex_state = 2},
  [3920] = {.lex_state = 35},
  [3921] = {.lex_state = 35},
  [3922] = {.lex_state = 35, .external_lex_state = 2},
  [3923] = {.lex_state = 35},
  [3924] = {.lex_state = 35, .external_lex_state = 2},
  [3925] = {.lex_state = 35, .external_lex_state = 2},
  [3926] = {.lex_state = 35},
  [3927] = {.lex_state = 35},
  [3928] = {.lex_state = 35},
  [3929] = {.lex_state = 33, .external_lex_state = 2},
  [3930] = {.lex_state = 35},
  [3931] = {.lex_state = 35, .external_lex_state = 2},
  [3932] = {.lex_state = 35, .external_lex_state = 2},
  [3933] = {.lex_state = 35, .external_lex_state = 2},
  [3934] = {.lex_state = 35},
  [3935] = {.lex_state = 35, .external_lex_state = 2},
  [3936] = {.lex_state = 35, .external_lex_state = 2},
  [3937] = {.lex_state = 35},
  [3938] = {.lex_state = 35, .external_lex_state = 2},
  [3939] = {.lex_state = 35},
  [3940] = {.lex_state = 35},
  [3941] = {.lex_state = 35},
  [3942] = {.lex_state = 35},
  [3943] = {.lex_state = 35},
  [3944] = {.lex_state = 35, .external_lex_state = 2},
  [3945] = {.lex_state = 35, .external_lex_state = 2},
  [3946] = {.lex_state = 35},
  [3947] = {.lex_state = 35},
  [3948] = {.lex_state = 35, .external_lex_state = 2},
  [3949] = {.lex_state = 35},
  [3950] = {.lex_state = 35, .external_lex_state = 2},
  [3951] = {.lex_state = 35},
  [3952] = {.lex_state = 35},
  [3953] = {.lex_state = 35, .external_lex_state = 2},
  [3954] = {.lex_state = 35},
  [3955] = {.lex_state = 35},
  [3956] = {.lex_state = 35, .external_lex_state = 2},
  [3957] = {.lex_state = 35},
  [3958] = {.lex_state = 35},
  [3959] = {.lex_state = 35},
  [3960] = {.lex_state = 35, .external_lex_state = 2},
  [3961] = {.lex_state = 35, .external_lex_state = 2},
  [3962] = {.lex_state = 35, .external_lex_state = 2},
  [3963] = {.lex_state = 35, .external_lex_state = 2},
  [3964] = {.lex_state = 35},
  [3965] = {.lex_state = 35},
  [3966] = {.lex_state = 35, .external_lex_state = 2},
  [3967] = {.lex_state = 35, .external_lex_state = 2},
  [3968] = {.lex_state = 35},
  [3969] = {.lex_state = 35, .external_lex_state = 2},
  [3970] = {.lex_state = 35},
  [3971] = {.lex_state = 35, .external_lex_state = 2},
  [3972] = {.lex_state = 35, .external_lex_state = 2},
  [3973] = {.lex_state = 35, .external_lex_state = 2},
  [3974] = {.lex_state = 35, .external_lex_state = 2},
  [3975] = {.lex_state = 35, .external_lex_state = 2},
  [3976] = {.lex_state = 35, .external_lex_state = 2},
  [3977] = {.lex_state = 35},
  [3978] = {.lex_state = 35, .external_lex_state = 2},
  [3979] = {.lex_state = 35},
  [3980] = {.lex_state = 35, .external_lex_state = 2},
  [3981] = {.lex_state = 35, .external_lex_state = 2},
  [3982] = {.lex_state = 35, .external_lex_state = 2},
  [3983] = {.lex_state = 35},
  [3984] = {.lex_state = 35},
  [3985] = {.lex_state = 35, .external_lex_state = 2},
  [3986] = {.lex_state = 35},
  [3987] = {.lex_state = 35, .external_lex_state = 2},
  [3988] = {.lex_state = 35},
  [3989] = {.lex_state = 35, .external_lex_state = 2},
  [3990] = {.lex_state = 35, .external_lex_state = 2},
  [3991] = {.lex_state = 35},
  [3992] = {.lex_state = 35, .external_lex_state = 2},
  [3993] = {.lex_state = 35, .external_lex_state = 2},
  [3994] = {.lex_state = 35, .external_lex_state = 2},
  [3995] = {.lex_state = 35, .external_lex_state = 2},
  [3996] = {.lex_state = 35, .external_lex_state = 2},
  [3997] = {.lex_state = 35, .external_lex_state = 2},
  [3998] = {.lex_state = 35, .external_lex_state = 2},
  [3999] = {.lex_state = 35, .external_lex_state = 2},
  [4000] = {.lex_state = 35, .external_lex_state = 2},
  [4001] = {.lex_state = 35},
  [4002] = {.lex_state = 35, .external_lex_state = 2},
  [4003] = {.lex_state = 35, .external_lex_state = 2},
  [4004] = {.lex_state = 35, .external_lex_state = 2},
  [4005] = {.lex_state = 35, .external_lex_state = 2},
  [4006] = {.lex_state = 35},
  [4007] = {.lex_state = 35},
  [4008] = {.lex_state = 35, .external_lex_state = 2},
  [4009] = {.lex_state = 35, .external_lex_state = 2},
  [4010] = {.lex_state = 35, .external_lex_state = 2},
  [4011] = {.lex_state = 35},
  [4012] = {.lex_state = 35},
  [4013] = {.lex_state = 35, .external_lex_state = 2},
  [4014] = {.lex_state = 35},
  [4015] = {.lex_state = 35},
  [4016] = {.lex_state = 35},
  [4017] = {.lex_state = 35, .external_lex_state = 2},
  [4018] = {.lex_state = 35},
  [4019] = {.lex_state = 35},
  [4020] = {.lex_state = 35},
  [4021] = {.lex_state = 35, .external_lex_state = 2},
  [4022] = {.lex_state = 35},
  [4023] = {.lex_state = 35},
  [4024] = {.lex_state = 35, .external_lex_state = 2},
  [4025] = {.lex_state = 35},
  [4026] = {.lex_state = 35},
  [4027] = {.lex_state = 35, .external_lex_state = 2},
  [4028] = {.lex_state = 35},
  [4029] = {.lex_state = 35, .external_lex_state = 2},
  [4030] = {.lex_state = 35},
  [4031] = {.lex_state = 35, .external_lex_state = 2},
  [4032] = {.lex_state = 35, .external_lex_state = 2},
  [4033] = {.lex_state = 35},
  [4034] = {.lex_state = 35},
  [4035] = {.lex_state = 35},
  [4036] = {.lex_state = 35, .external_lex_state = 2},
  [4037] = {.lex_state = 35, .external_lex_state = 2},
  [4038] = {.lex_state = 35, .external_lex_state = 2},
  [4039] = {.lex_state = 35, .external_lex_state = 2},
  [4040] = {.lex_state = 35, .external_lex_state = 2},
  [4041] = {.lex_state = 35},
  [4042] = {.lex_state = 35, .external_lex_state = 2},
  [4043] = {.lex_state = 35, .external_lex_state = 2},
  [4044] = {.lex_state = 35},
  [4045] = {.lex_state = 35, .external_lex_state = 2},
  [4046] = {.lex_state = 35, .external_lex_state = 2},
  [4047] = {.lex_state = 35, .external_lex_state = 2},
  [4048] = {.lex_state = 35},
  [4049] = {.lex_state = 35, .external_lex_state = 2},
  [4050] = {.lex_state = 35},
  [4051] = {.lex_state = 35},
  [4052] = {.lex_state = 35},
  [4053] = {.lex_state = 35},
  [4054] = {.lex_state = 35},
  [4055] = {.lex_state = 35},
  [4056] = {.lex_state = 35, .external_lex_state = 2},
  [4057] = {.lex_state = 35, .external_lex_state = 2},
  [4058] = {.lex_state = 35, .external_lex_state = 2},
  [4059] = {.lex_state = 35, .external_lex_state = 2},
  [4060] = {.lex_state = 35, .external_lex_state = 2},
  [4061] = {.lex_state = 35, .external_lex_state = 2},
  [4062] = {.lex_state = 35, .external_lex_state = 2},
  [4063] = {.lex_state = 35, .external_lex_state = 2},
  [4064] = {.lex_state = 35, .external_lex_state = 2},
  [4065] = {.lex_state = 35, .external_lex_state = 2},
  [4066] = {.lex_state = 35},
  [4067] = {.lex_state = 35, .external_lex_state = 2},
  [4068] = {.lex_state = 35, .external_lex_state = 2},
  [4069] = {.lex_state = 35, .external_lex_state = 2},
  [4070] = {.lex_state = 35, .external_lex_state = 2},
  [4071] = {.lex_state = 35},
  [4072] = {.lex_state = 35},
  [4073] = {.lex_state = 35, .external_lex_state = 2},
  [4074] = {.lex_state = 35, .external_lex_state = 2},
  [4075] = {.lex_state = 35},
  [4076] = {.lex_state = 35},
  [4077] = {.lex_state = 35},
  [4078] = {.lex_state = 35},
  [4079] = {.lex_state = 35},
  [4080] = {.lex_state = 35},
  [4081] = {.lex_state = 35},
  [4082] = {.lex_state = 35, .external_lex_state = 2},
  [4083] = {.lex_state = 35},
  [4084] = {.lex_state = 35},
  [4085] = {.lex_state = 35, .external_lex_state = 2},
  [4086] = {.lex_state = 35},
  [4087] = {.lex_state = 35},
  [4088] = {.lex_state = 35},
  [4089] = {.lex_state = 35},
  [4090] = {.lex_state = 35, .external_lex_state = 2},
  [4091] = {.lex_state = 35, .external_lex_state = 2},
  [4092] = {.lex_state = 35, .external_lex_state = 2},
  [4093] = {.lex_state = 35},
  [4094] = {.lex_state = 35},
  [4095] = {.lex_state = 35, .external_lex_state = 2},
  [4096] = {.lex_state = 35, .external_lex_state = 2},
  [4097] = {.lex_state = 35},
  [4098] = {.lex_state = 35},
  [4099] = {.lex_state = 35},
  [4100] = {.lex_state = 35},
  [4101] = {.lex_state = 35},
  [4102] = {.lex_state = 35, .external_lex_state = 2},
  [4103] = {.lex_state = 35},
  [4104] = {.lex_state = 35},
  [4105] = {.lex_state = 35, .external_lex_state = 2},
  [4106] = {.lex_state = 35},
  [4107] = {.lex_state = 35, .external_lex_state = 2},
  [4108] = {.lex_state = 35, .external_lex_state = 2},
  [4109] = {.lex_state = 35},
  [4110] = {.lex_state = 35},
  [4111] = {.lex_state = 35, .external_lex_state = 2},
  [4112] = {.lex_state = 35},
  [4113] = {.lex_state = 35},
  [4114] = {.lex_state = 35, .external_lex_state = 2},
  [4115] = {.lex_state = 35},
  [4116] = {.lex_state = 35, .external_lex_state = 2},
  [4117] = {.lex_state = 35},
  [4118] = {.lex_state = 35, .external_lex_state = 2},
  [4119] = {.lex_state = 35, .external_lex_state = 2},
  [4120] = {.lex_state = 35},
  [4121] = {.lex_state = 35, .external_lex_state = 2},
  [4122] = {.lex_state = 35},
  [4123] = {.lex_state = 35},
  [4124] = {.lex_state = 35},
  [4125] = {.lex_state = 35, .external_lex_state = 2},
  [4126] = {.lex_state = 35, .external_lex_state = 2},
  [4127] = {.lex_state = 35, .external_lex_state = 2},
  [4128] = {.lex_state = 35, .external_lex_state = 2},
  [4129] = {.lex_state = 35},
  [4130] = {.lex_state = 35},
  [4131] = {.lex_state = 35},
  [4132] = {.lex_state = 35},
  [4133] = {.lex_state = 35},
  [4134] = {.lex_state = 35, .external_lex_state = 2},
  [4135] = {.lex_state = 35},
  [4136] = {.lex_state = 35, .external_lex_state = 2},
  [4137] = {.lex_state = 35, .external_lex_state = 2},
  [4138] = {.lex_state = 35, .external_lex_state = 2},
  [4139] = {.lex_state = 35, .external_lex_state = 2},
  [4140] = {.lex_state = 35, .external_lex_state = 2},
  [4141] = {.lex_state = 35, .external_lex_state = 2},
  [4142] = {.lex_state = 35, .external_lex_state = 2},
  [4143] = {.lex_state = 35},
  [4144] = {.lex_state = 35, .external_lex_state = 2},
  [4145] = {.lex_state = 35, .external_lex_state = 2},
  [4146] = {.lex_state = 35, .external_lex_state = 2},
  [4147] = {.lex_state = 35, .external_lex_state = 2},
  [4148] = {.lex_state = 35, .external_lex_state = 2},
  [4149] = {.lex_state = 35, .external_lex_state = 2},
  [4150] = {.lex_state = 35, .external_lex_state = 2},
  [4151] = {.lex_state = 35, .external_lex_state = 2},
  [4152] = {.lex_state = 35, .external_lex_state = 2},
  [4153] = {.lex_state = 35},
  [4154] = {.lex_state = 35},
  [4155] = {.lex_state = 35, .external_lex_state = 2},
  [4156] = {.lex_state = 35, .external_lex_state = 2},
  [4157] = {.lex_state = 35, .external_lex_state = 2},
  [4158] = {.lex_state = 35, .external_lex_state = 2},
  [4159] = {.lex_state = 35, .external_lex_state = 2},
  [4160] = {.lex_state = 35, .external_lex_state = 2},
  [4161] = {.lex_state = 35, .external_lex_state = 2},
  [4162] = {.lex_state = 35, .external_lex_state = 2},
  [4163] = {.lex_state = 35},
  [4164] = {.lex_state = 35},
  [4165] = {.lex_state = 35, .external_lex_state = 2},
  [4166] = {.lex_state = 35},
  [4167] = {.lex_state = 35},
  [4168] = {.lex_state = 35, .external_lex_state = 2},
  [4169] = {.lex_state = 35},
  [4170] = {.lex_state = 35},
  [4171] = {.lex_state = 35, .external_lex_state = 2},
  [4172] = {.lex_state = 35},
  [4173] = {.lex_state = 35},
  [4174] = {.lex_state = 35},
  [4175] = {.lex_state = 35},
  [4176] = {.lex_state = 35, .external_lex_state = 2},
  [4177] = {.lex_state = 35, .external_lex_state = 2},
  [4178] = {.lex_state = 35},
  [4179] = {.lex_state = 35},
  [4180] = {.lex_state = 35, .external_lex_state = 2},
  [4181] = {.lex_state = 35, .external_lex_state = 2},
  [4182] = {.lex_state = 35, .external_lex_state = 2},
  [4183] = {.lex_state = 35},
  [4184] = {.lex_state = 35},
  [4185] = {.lex_state = 35},
  [4186] = {.lex_state = 35},
  [4187] = {.lex_state = 35, .external_lex_state = 2},
  [4188] = {.lex_state = 35},
  [4189] = {.lex_state = 35, .external_lex_state = 2},
  [4190] = {.lex_state = 35},
  [4191] = {.lex_state = 35},
  [4192] = {.lex_state = 35, .external_lex_state = 2},
  [4193] = {.lex_state = 35, .external_lex_state = 2},
  [4194] = {.lex_state = 35},
  [4195] = {.lex_state = 35},
  [4196] = {.lex_state = 33, .external_lex_state = 2},
  [4197] = {.lex_state = 35},
  [4198] = {.lex_state = 35, .external_lex_state = 2},
  [4199] = {.lex_state = 35},
  [4200] = {.lex_state = 35},
  [4201] = {.lex_state = 35},
  [4202] = {.lex_state = 35},
  [4203] = {.lex_state = 35},
  [4204] = {.lex_state = 35, .external_lex_state = 2},
  [4205] = {.lex_state = 35, .external_lex_state = 2},
  [4206] = {.lex_state = 35, .external_lex_state = 2},
  [4207] = {.lex_state = 35, .external_lex_state = 2},
  [4208] = {.lex_state = 35},
  [4209] = {.lex_state = 35},
  [4210] = {.lex_state = 35},
  [4211] = {.lex_state = 35, .external_lex_state = 2},
  [4212] = {.lex_state = 35, .external_lex_state = 2},
  [4213] = {.lex_state = 35, .external_lex_state = 2},
  [4214] = {.lex_state = 35},
  [4215] = {.lex_state = 35, .external_lex_state = 2},
  [4216] = {.lex_state = 35, .external_lex_state = 2},
  [4217] = {.lex_state = 35, .external_lex_state = 2},
  [4218] = {.lex_state = 35},
  [4219] = {.lex_state = 35, .external_lex_state = 2},
  [4220] = {.lex_state = 35, .external_lex_state = 2},
  [4221] = {.lex_state = 35},
  [4222] = {.lex_state = 35},
  [4223] = {.lex_state = 35, .external_lex_state = 2},
  [4224] = {.lex_state = 35, .external_lex_state = 2},
  [4225] = {.lex_state = 35, .external_lex_state = 2},
  [4226] = {.lex_state = 35, .external_lex_state = 2},
  [4227] = {.lex_state = 35, .external_lex_state = 2},
  [4228] = {.lex_state = 35},
  [4229] = {.lex_state = 35},
  [4230] = {.lex_state = 35},
  [4231] = {.lex_state = 35},
  [4232] = {.lex_state = 35},
  [4233] = {.lex_state = 35},
  [4234] = {.lex_state = 35, .external_lex_state = 2},
  [4235] = {.lex_state = 35},
  [4236] = {.lex_state = 35},
  [4237] = {.lex_state = 35, .external_lex_state = 2},
  [4238] = {.lex_state = 35},
  [4239] = {.lex_state = 35},
  [4240] = {.lex_state = 35},
  [4241] = {.lex_state = 35},
  [4242] = {.lex_state = 35, .external_lex_state = 2},
  [4243] = {.lex_state = 35},
  [4244] = {.lex_state = 35, .external_lex_state = 2},
  [4245] = {.lex_state = 35},
  [4246] = {.lex_state = 35},
  [4247] = {.lex_state = 35},
  [4248] = {.lex_state = 35, .external_lex_state = 2},
  [4249] = {.lex_state = 35},
  [4250] = {.lex_state = 35, .external_lex_state = 2},
  [4251] = {.lex_state = 35, .external_lex_state = 2},
  [4252] = {.lex_state = 35, .external_lex_state = 2},
  [4253] = {.lex_state = 35, .external_lex_state = 2},
  [4254] = {.lex_state = 35, .external_lex_state = 2},
  [4255] = {.lex_state = 35},
  [4256] = {.lex_state = 35, .external_lex_state = 2},
  [4257] = {.lex_state = 35, .external_lex_state = 2},
  [4258] = {.lex_state = 35, .external_lex_state = 2},
  [4259] = {.lex_state = 35, .external_lex_state = 2},
  [4260] = {.lex_state = 35, .external_lex_state = 2},
  [4261] = {.lex_state = 35, .external_lex_state = 2},
  [4262] = {.lex_state = 35},
  [4263] = {.lex_state = 35},
  [4264] = {.lex_state = 35, .external_lex_state = 2},
  [4265] = {.lex_state = 35},
  [4266] = {.lex_state = 35},
  [4267] = {.lex_state = 35},
  [4268] = {.lex_state = 35},
  [4269] = {.lex_state = 35, .external_lex_state = 2},
  [4270] = {.lex_state = 35, .external_lex_state = 2},
  [4271] = {.lex_state = 35},
  [4272] = {.lex_state = 35},
  [4273] = {.lex_state = 35, .external_lex_state = 2},
  [4274] = {.lex_state = 35},
  [4275] = {.lex_state = 35},
  [4276] = {.lex_state = 35, .external_lex_state = 2},
  [4277] = {.lex_state = 35, .external_lex_state = 2},
  [4278] = {.lex_state = 35, .external_lex_state = 2},
  [4279] = {.lex_state = 35},
  [4280] = {.lex_state = 35},
  [4281] = {.lex_state = 35, .external_lex_state = 2},
  [4282] = {.lex_state = 35},
  [4283] = {.lex_state = 35},
  [4284] = {.lex_state = 35},
  [4285] = {.lex_state = 35},
  [4286] = {.lex_state = 35},
  [4287] = {.lex_state = 35, .external_lex_state = 2},
  [4288] = {.lex_state = 35, .external_lex_state = 2},
  [4289] = {.lex_state = 35},
  [4290] = {.lex_state = 35, .external_lex_state = 2},
  [4291] = {.lex_state = 35, .external_lex_state = 2},
  [4292] = {.lex_state = 35, .external_lex_state = 2},
  [4293] = {.lex_state = 35},
  [4294] = {.lex_state = 35},
  [4295] = {.lex_state = 35, .external_lex_state = 2},
  [4296] = {.lex_state = 35},
  [4297] = {.lex_state = 35},
  [4298] = {.lex_state = 35},
  [4299] = {.lex_state = 35, .external_lex_state = 2},
  [4300] = {.lex_state = 35, .external_lex_state = 2},
  [4301] = {.lex_state = 35, .external_lex_state = 2},
  [4302] = {.lex_state = 35, .external_lex_state = 2},
  [4303] = {.lex_state = 35, .external_lex_state = 2},
  [4304] = {.lex_state = 35},
  [4305] = {.lex_state = 35, .external_lex_state = 2},
  [4306] = {.lex_state = 35, .external_lex_state = 2},
  [4307] = {.lex_state = 35},
  [4308] = {.lex_state = 35, .external_lex_state = 2},
  [4309] = {.lex_state = 35},
  [4310] = {.lex_state = 35, .external_lex_state = 2},
  [4311] = {.lex_state = 35, .external_lex_state = 2},
  [4312] = {.lex_state = 35, .external_lex_state = 2},
  [4313] = {.lex_state = 35},
  [4314] = {.lex_state = 35, .external_lex_state = 2},
  [4315] = {.lex_state = 35},
  [4316] = {.lex_state = 35, .external_lex_state = 2},
  [4317] = {.lex_state = 35},
  [4318] = {.lex_state = 35, .external_lex_state = 2},
  [4319] = {.lex_state = 35, .external_lex_state = 2},
  [4320] = {.lex_state = 35, .external_lex_state = 2},
  [4321] = {.lex_state = 35, .external_lex_state = 2},
  [4322] = {.lex_state = 35},
  [4323] = {.lex_state = 35},
  [4324] = {.lex_state = 35, .external_lex_state = 2},
  [4325] = {.lex_state = 35},
  [4326] = {.lex_state = 35, .external_lex_state = 2},
  [4327] = {.lex_state = 35},
  [4328] = {.lex_state = 35, .external_lex_state = 2},
  [4329] = {.lex_state = 35},
  [4330] = {.lex_state = 35},
  [4331] = {.lex_state = 35, .external_lex_state = 2},
  [4332] = {.lex_state = 35, .external_lex_state = 2},
  [4333] = {.lex_state = 35, .external_lex_state = 2},
  [4334] = {.lex_state = 35, .external_lex_state = 2},
  [4335] = {.lex_state = 35, .external_lex_state = 2},
  [4336] = {.lex_state = 35},
  [4337] = {.lex_state = 35, .external_lex_state = 2},
  [4338] = {.lex_state = 35},
  [4339] = {.lex_state = 35},
  [4340] = {.lex_state = 35},
  [4341] = {.lex_state = 35, .external_lex_state = 2},
  [4342] = {.lex_state = 35},
  [4343] = {.lex_state = 35},
  [4344] = {.lex_state = 35},
  [4345] = {.lex_state = 35},
  [4346] = {.lex_state = 35},
  [4347] = {.lex_state = 35},
  [4348] = {.lex_state = 35},
  [4349] = {.lex_state = 35},
  [4350] = {.lex_state = 35},
  [4351] = {.lex_state = 35},
  [4352] = {.lex_state = 35},
  [4353] = {.lex_state = 35},
  [4354] = {.lex_state = 35},
  [4355] = {.lex_state = 35},
  [4356] = {.lex_state = 35},
  [4357] = {.lex_state = 35, .external_lex_state = 2},
  [4358] = {.lex_state = 35},
  [4359] = {.lex_state = 35},
  [4360] = {.lex_state = 35, .external_lex_state = 2},
  [4361] = {.lex_state = 35},
  [4362] = {.lex_state = 35, .external_lex_state = 2},
  [4363] = {.lex_state = 35},
  [4364] = {.lex_state = 35},
  [4365] = {.lex_state = 35, .external_lex_state = 2},
  [4366] = {.lex_state = 35, .external_lex_state = 2},
  [4367] = {.lex_state = 35},
  [4368] = {.lex_state = 35},
  [4369] = {.lex_state = 35},
  [4370] = {.lex_state = 35},
  [4371] = {.lex_state = 35},
  [4372] = {.lex_state = 33, .external_lex_state = 2},
  [4373] = {.lex_state = 35, .external_lex_state = 2},
  [4374] = {.lex_state = 35, .external_lex_state = 2},
  [4375] = {.lex_state = 35, .external_lex_state = 2},
  [4376] = {.lex_state = 35, .external_lex_state = 2},
  [4377] = {.lex_state = 35},
  [4378] = {.lex_state = 33},
  [4379] = {.lex_state = 35, .external_lex_state = 2},
  [4380] = {.lex_state = 35},
  [4381] = {.lex_state = 35, .external_lex_state = 2},
  [4382] = {.lex_state = 35},
  [4383] = {.lex_state = 35},
  [4384] = {.lex_state = 35},
  [4385] = {.lex_state = 35, .external_lex_state = 2},
  [4386] = {.lex_state = 35, .external_lex_state = 2},
  [4387] = {.lex_state = 35, .external_lex_state = 2},
  [4388] = {.lex_state = 35, .external_lex_state = 2},
  [4389] = {.lex_state = 35, .external_lex_state = 2},
  [4390] = {.lex_state = 35, .external_lex_state = 2},
  [4391] = {.lex_state = 35, .external_lex_state = 2},
  [4392] = {.lex_state = 35, .external_lex_state = 2},
  [4393] = {.lex_state = 35, .external_lex_state = 2},
  [4394] = {.lex_state = 35},
  [4395] = {.lex_state = 35, .external_lex_state = 2},
  [4396] = {.lex_state = 35},
  [4397] = {.lex_state = 35, .external_lex_state = 2},
  [4398] = {.lex_state = 35},
  [4399] = {.lex_state = 35},
  [4400] = {.lex_state = 35},
  [4401] = {.lex_state = 35},
  [4402] = {.lex_state = 35, .external_lex_state = 2},
  [4403] = {.lex_state = 35, .external_lex_state = 2},
  [4404] = {.lex_state = 35, .external_lex_state = 2},
  [4405] = {.lex_state = 35},
  [4406] = {.lex_state = 35, .external_lex_state = 2},
  [4407] = {.lex_state = 35},
  [4408] = {.lex_state = 35},
  [4409] = {.lex_state = 35},
  [4410] = {.lex_state = 35},
  [4411] = {.lex_state = 35},
  [4412] = {.lex_state = 35, .external_lex_state = 2},
  [4413] = {.lex_state = 35},
  [4414] = {.lex_state = 35, .external_lex_state = 2},
  [4415] = {.lex_state = 35, .external_lex_state = 2},
  [4416] = {.lex_state = 35},
  [4417] = {.lex_state = 35},
  [4418] = {.lex_state = 35, .external_lex_state = 2},
  [4419] = {.lex_state = 35, .external_lex_state = 2},
  [4420] = {.lex_state = 35},
  [4421] = {.lex_state = 35},
  [4422] = {.lex_state = 35},
  [4423] = {.lex_state = 35},
  [4424] = {.lex_state = 35},
  [4425] = {.lex_state = 35, .external_lex_state = 2},
  [4426] = {.lex_state = 35, .external_lex_state = 2},
  [4427] = {.lex_state = 35},
  [4428] = {.lex_state = 35, .external_lex_state = 2},
  [4429] = {.lex_state = 35, .external_lex_state = 2},
  [4430] = {.lex_state = 35, .external_lex_state = 2},
  [4431] = {.lex_state = 35, .external_lex_state = 2},
  [4432] = {.lex_state = 35, .external_lex_state = 2},
  [4433] = {.lex_state = 35},
  [4434] = {.lex_state = 35, .external_lex_state = 2},
  [4435] = {.lex_state = 35, .external_lex_state = 2},
  [4436] = {.lex_state = 35, .external_lex_state = 2},
  [4437] = {.lex_state = 35, .external_lex_state = 2},
  [4438] = {.lex_state = 35, .external_lex_state = 2},
  [4439] = {.lex_state = 35},
  [4440] = {.lex_state = 35},
  [4441] = {.lex_state = 35, .external_lex_state = 2},
  [4442] = {.lex_state = 35},
  [4443] = {.lex_state = 35},
  [4444] = {.lex_state = 35, .external_lex_state = 2},
  [4445] = {.lex_state = 35},
  [4446] = {.lex_state = 35, .external_lex_state = 2},
  [4447] = {.lex_state = 35},
  [4448] = {.lex_state = 35, .external_lex_state = 2},
  [4449] = {.lex_state = 35, .external_lex_state = 2},
  [4450] = {.lex_state = 35, .external_lex_state = 2},
  [4451] = {.lex_state = 35, .external_lex_state = 2},
  [4452] = {.lex_state = 35, .external_lex_state = 2},
  [4453] = {.lex_state = 35, .external_lex_state = 2},
  [4454] = {.lex_state = 35, .external_lex_state = 2},
  [4455] = {.lex_state = 35, .external_lex_state = 2},
  [4456] = {.lex_state = 35, .external_lex_state = 2},
  [4457] = {.lex_state = 35, .external_lex_state = 2},
  [4458] = {.lex_state = 35, .external_lex_state = 2},
  [4459] = {.lex_state = 35},
  [4460] = {.lex_state = 35},
  [4461] = {.lex_state = 35, .external_lex_state = 2},
  [4462] = {.lex_state = 35},
  [4463] = {.lex_state = 35, .external_lex_state = 2},
  [4464] = {.lex_state = 35, .external_lex_state = 2},
  [4465] = {.lex_state = 35, .external_lex_state = 2},
  [4466] = {.lex_state = 35, .external_lex_state = 2},
  [4467] = {.lex_state = 35, .external_lex_state = 2},
  [4468] = {.lex_state = 35, .external_lex_state = 2},
  [4469] = {.lex_state = 35, .external_lex_state = 2},
  [4470] = {.lex_state = 35, .external_lex_state = 2},
  [4471] = {.lex_state = 35},
  [4472] = {.lex_state = 35, .external_lex_state = 2},
  [4473] = {.lex_state = 35},
  [4474] = {.lex_state = 35},
  [4475] = {.lex_state = 35, .external_lex_state = 2},
  [4476] = {.lex_state = 35, .external_lex_state = 2},
  [4477] = {.lex_state = 35, .external_lex_state = 2},
  [4478] = {.lex_state = 35, .external_lex_state = 2},
  [4479] = {.lex_state = 35, .external_lex_state = 2},
  [4480] = {.lex_state = 35, .external_lex_state = 2},
  [4481] = {.lex_state = 35, .external_lex_state = 2},
  [4482] = {.lex_state = 35, .external_lex_state = 2},
  [4483] = {.lex_state = 35, .external_lex_state = 2},
  [4484] = {.lex_state = 35, .external_lex_state = 2},
  [4485] = {.lex_state = 35, .external_lex_state = 2},
  [4486] = {.lex_state = 35, .external_lex_state = 2},
  [4487] = {.lex_state = 35, .external_lex_state = 2},
  [4488] = {.lex_state = 35},
  [4489] = {.lex_state = 35, .external_lex_state = 2},
  [4490] = {.lex_state = 35, .external_lex_state = 2},
  [4491] = {.lex_state = 35, .external_lex_state = 2},
  [4492] = {.lex_state = 35, .external_lex_state = 2},
  [4493] = {.lex_state = 35, .external_lex_state = 2},
  [4494] = {.lex_state = 35, .external_lex_state = 2},
  [4495] = {.lex_state = 35, .external_lex_state = 2},
  [4496] = {.lex_state = 35, .external_lex_state = 2},
  [4497] = {.lex_state = 35, .external_lex_state = 2},
  [4498] = {.lex_state = 35, .external_lex_state = 2},
  [4499] = {.lex_state = 35, .external_lex_state = 2},
  [4500] = {.lex_state = 35, .external_lex_state = 2},
  [4501] = {.lex_state = 35, .external_lex_state = 2},
  [4502] = {.lex_state = 35, .external_lex_state = 2},
  [4503] = {.lex_state = 35, .external_lex_state = 2},
  [4504] = {.lex_state = 35, .external_lex_state = 2},
  [4505] = {.lex_state = 35, .external_lex_state = 2},
  [4506] = {.lex_state = 35, .external_lex_state = 2},
  [4507] = {.lex_state = 35, .external_lex_state = 2},
  [4508] = {.lex_state = 35, .external_lex_state = 2},
  [4509] = {.lex_state = 35, .external_lex_state = 2},
  [4510] = {.lex_state = 35},
  [4511] = {.lex_state = 35},
  [4512] = {.lex_state = 35, .external_lex_state = 2},
  [4513] = {.lex_state = 35, .external_lex_state = 2},
  [4514] = {.lex_state = 35, .external_lex_state = 2},
  [4515] = {.lex_state = 35, .external_lex_state = 2},
  [4516] = {.lex_state = 35, .external_lex_state = 2},
  [4517] = {.lex_state = 35, .external_lex_state = 2},
  [4518] = {.lex_state = 35, .external_lex_state = 2},
  [4519] = {.lex_state = 35},
  [4520] = {.lex_state = 35},
  [4521] = {.lex_state = 35, .external_lex_state = 2},
  [4522] = {.lex_state = 35},
  [4523] = {.lex_state = 35},
  [4524] = {.lex_state = 35, .external_lex_state = 2},
  [4525] = {.lex_state = 35},
  [4526] = {.lex_state = 35, .external_lex_state = 2},
  [4527] = {.lex_state = 35, .external_lex_state = 2},
  [4528] = {.lex_state = 35},
  [4529] = {.lex_state = 35},
  [4530] = {.lex_state = 35, .external_lex_state = 2},
  [4531] = {.lex_state = 35, .external_lex_state = 2},
  [4532] = {.lex_state = 35, .external_lex_state = 2},
  [4533] = {.lex_state = 35, .external_lex_state = 2},
  [4534] = {.lex_state = 35, .external_lex_state = 2},
  [4535] = {.lex_state = 35, .external_lex_state = 2},
  [4536] = {.lex_state = 35, .external_lex_state = 2},
  [4537] = {.lex_state = 35, .external_lex_state = 2},
  [4538] = {.lex_state = 35, .external_lex_state = 2},
  [4539] = {.lex_state = 35, .external_lex_state = 2},
  [4540] = {.lex_state = 35, .external_lex_state = 2},
  [4541] = {.lex_state = 35, .external_lex_state = 2},
  [4542] = {.lex_state = 35, .external_lex_state = 2},
  [4543] = {.lex_state = 35, .external_lex_state = 2},
  [4544] = {.lex_state = 35, .external_lex_state = 2},
  [4545] = {.lex_state = 35, .external_lex_state = 2},
  [4546] = {.lex_state = 35, .external_lex_state = 2},
  [4547] = {.lex_state = 35, .external_lex_state = 2},
  [4548] = {.lex_state = 35, .external_lex_state = 2},
  [4549] = {.lex_state = 35, .external_lex_state = 2},
  [4550] = {.lex_state = 35, .external_lex_state = 2},
  [4551] = {.lex_state = 35, .external_lex_state = 2},
  [4552] = {.lex_state = 35, .external_lex_state = 2},
  [4553] = {.lex_state = 35, .external_lex_state = 2},
  [4554] = {.lex_state = 35, .external_lex_state = 2},
  [4555] = {.lex_state = 35, .external_lex_state = 2},
  [4556] = {.lex_state = 35, .external_lex_state = 2},
  [4557] = {.lex_state = 35, .external_lex_state = 2},
  [4558] = {.lex_state = 35, .external_lex_state = 2},
  [4559] = {.lex_state = 35, .external_lex_state = 2},
  [4560] = {.lex_state = 35, .external_lex_state = 2},
  [4561] = {.lex_state = 35, .external_lex_state = 2},
  [4562] = {.lex_state = 35},
  [4563] = {.lex_state = 35, .external_lex_state = 2},
  [4564] = {.lex_state = 35, .external_lex_state = 2},
  [4565] = {.lex_state = 35, .external_lex_state = 2},
  [4566] = {.lex_state = 35},
  [4567] = {.lex_state = 35, .external_lex_state = 2},
  [4568] = {.lex_state = 35},
  [4569] = {.lex_state = 35, .external_lex_state = 2},
  [4570] = {.lex_state = 35, .external_lex_state = 2},
  [4571] = {.lex_state = 35, .external_lex_state = 2},
  [4572] = {.lex_state = 35, .external_lex_state = 2},
  [4573] = {.lex_state = 35, .external_lex_state = 2},
  [4574] = {.lex_state = 35, .external_lex_state = 2},
  [4575] = {.lex_state = 35, .external_lex_state = 2},
  [4576] = {.lex_state = 35, .external_lex_state = 2},
  [4577] = {.lex_state = 35, .external_lex_state = 2},
  [4578] = {.lex_state = 35, .external_lex_state = 2},
  [4579] = {.lex_state = 35, .external_lex_state = 2},
  [4580] = {.lex_state = 35, .external_lex_state = 2},
  [4581] = {.lex_state = 35, .external_lex_state = 2},
  [4582] = {.lex_state = 35, .external_lex_state = 2},
  [4583] = {.lex_state = 35, .external_lex_state = 2},
  [4584] = {.lex_state = 35, .external_lex_state = 2},
  [4585] = {.lex_state = 35, .external_lex_state = 2},
  [4586] = {.lex_state = 35, .external_lex_state = 2},
  [4587] = {.lex_state = 35, .external_lex_state = 2},
  [4588] = {.lex_state = 35, .external_lex_state = 2},
  [4589] = {.lex_state = 35, .external_lex_state = 2},
  [4590] = {.lex_state = 35, .external_lex_state = 2},
  [4591] = {.lex_state = 35, .external_lex_state = 2},
  [4592] = {.lex_state = 35, .external_lex_state = 2},
  [4593] = {.lex_state = 35, .external_lex_state = 2},
  [4594] = {.lex_state = 35},
  [4595] = {.lex_state = 35, .external_lex_state = 2},
  [4596] = {.lex_state = 35, .external_lex_state = 2},
  [4597] = {.lex_state = 35, .external_lex_state = 2},
  [4598] = {.lex_state = 35, .external_lex_state = 2},
  [4599] = {.lex_state = 33},
  [4600] = {.lex_state = 35, .external_lex_state = 2},
  [4601] = {.lex_state = 35, .external_lex_state = 2},
  [4602] = {.lex_state = 35, .external_lex_state = 2},
  [4603] = {.lex_state = 35, .external_lex_state = 2},
  [4604] = {.lex_state = 35, .external_lex_state = 2},
  [4605] = {.lex_state = 35, .external_lex_state = 2},
  [4606] = {.lex_state = 35},
  [4607] = {.lex_state = 35, .external_lex_state = 2},
  [4608] = {.lex_state = 35, .external_lex_state = 2},
  [4609] = {.lex_state = 35, .external_lex_state = 2},
  [4610] = {.lex_state = 35, .external_lex_state = 2},
  [4611] = {.lex_state = 35, .external_lex_state = 2},
  [4612] = {.lex_state = 35, .external_lex_state = 2},
  [4613] = {.lex_state = 35, .external_lex_state = 2},
  [4614] = {.lex_state = 35, .external_lex_state = 2},
  [4615] = {.lex_state = 35},
  [4616] = {.lex_state = 35, .external_lex_state = 2},
  [4617] = {.lex_state = 35, .external_lex_state = 2},
  [4618] = {.lex_state = 35},
  [4619] = {.lex_state = 35, .external_lex_state = 2},
  [4620] = {.lex_state = 35, .external_lex_state = 2},
  [4621] = {.lex_state = 35, .external_lex_state = 2},
  [4622] = {.lex_state = 35, .external_lex_state = 2},
  [4623] = {.lex_state = 35, .external_lex_state = 2},
  [4624] = {.lex_state = 35},
  [4625] = {.lex_state = 35, .external_lex_state = 2},
  [4626] = {.lex_state = 35, .external_lex_state = 2},
  [4627] = {.lex_state = 35, .external_lex_state = 2},
  [4628] = {.lex_state = 35, .external_lex_state = 2},
  [4629] = {.lex_state = 35, .external_lex_state = 2},
  [4630] = {.lex_state = 35, .external_lex_state = 2},
  [4631] = {.lex_state = 35, .external_lex_state = 2},
  [4632] = {.lex_state = 35, .external_lex_state = 2},
  [4633] = {.lex_state = 35, .external_lex_state = 2},
  [4634] = {.lex_state = 35, .external_lex_state = 2},
  [4635] = {.lex_state = 35, .external_lex_state = 2},
  [4636] = {.lex_state = 35, .external_lex_state = 2},
  [4637] = {.lex_state = 35, .external_lex_state = 2},
  [4638] = {.lex_state = 35, .external_lex_state = 2},
  [4639] = {.lex_state = 35, .external_lex_state = 2},
  [4640] = {.lex_state = 35, .external_lex_state = 2},
  [4641] = {.lex_state = 35, .external_lex_state = 2},
  [4642] = {.lex_state = 35, .external_lex_state = 2},
  [4643] = {.lex_state = 35, .external_lex_state = 2},
  [4644] = {.lex_state = 35, .external_lex_state = 2},
  [4645] = {.lex_state = 35, .external_lex_state = 2},
  [4646] = {.lex_state = 35, .external_lex_state = 2},
  [4647] = {.lex_state = 35, .external_lex_state = 2},
  [4648] = {.lex_state = 35, .external_lex_state = 2},
  [4649] = {.lex_state = 35, .external_lex_state = 2},
  [4650] = {.lex_state = 35},
  [4651] = {.lex_state = 35},
  [4652] = {.lex_state = 35, .external_lex_state = 2},
  [4653] = {.lex_state = 35, .external_lex_state = 2},
  [4654] = {.lex_state = 35},
  [4655] = {.lex_state = 35},
  [4656] = {.lex_state = 35, .external_lex_state = 2},
  [4657] = {.lex_state = 35},
  [4658] = {.lex_state = 35, .external_lex_state = 2},
  [4659] = {.lex_state = 35, .external_lex_state = 2},
  [4660] = {.lex_state = 35, .external_lex_state = 2},
  [4661] = {.lex_state = 35},
  [4662] = {.lex_state = 35, .external_lex_state = 2},
  [4663] = {.lex_state = 35},
  [4664] = {.lex_state = 35, .external_lex_state = 2},
  [4665] = {.lex_state = 35},
  [4666] = {.lex_state = 35, .external_lex_state = 2},
  [4667] = {.lex_state = 35, .external_lex_state = 2},
  [4668] = {.lex_state = 35, .external_lex_state = 2},
  [4669] = {.lex_state = 35, .external_lex_state = 2},
  [4670] = {.lex_state = 35},
  [4671] = {.lex_state = 35, .external_lex_state = 2},
  [4672] = {.lex_state = 35, .external_lex_state = 2},
  [4673] = {.lex_state = 35, .external_lex_state = 2},
  [4674] = {.lex_state = 35, .external_lex_state = 2},
  [4675] = {.lex_state = 35, .external_lex_state = 2},
  [4676] = {.lex_state = 35, .external_lex_state = 2},
  [4677] = {.lex_state = 35, .external_lex_state = 2},
  [4678] = {.lex_state = 35},
  [4679] = {.lex_state = 35, .external_lex_state = 2},
  [4680] = {.lex_state = 35, .external_lex_state = 2},
  [4681] = {.lex_state = 35},
  [4682] = {.lex_state = 35, .external_lex_state = 2},
  [4683] = {.lex_state = 35},
  [4684] = {.lex_state = 35, .external_lex_state = 2},
  [4685] = {.lex_state = 35, .external_lex_state = 2},
  [4686] = {.lex_state = 35, .external_lex_state = 2},
  [4687] = {.lex_state = 35, .external_lex_state = 2},
  [4688] = {.lex_state = 35, .external_lex_state = 2},
  [4689] = {.lex_state = 35, .external_lex_state = 2},
  [4690] = {.lex_state = 35},
  [4691] = {.lex_state = 35, .external_lex_state = 2},
  [4692] = {.lex_state = 35, .external_lex_state = 2},
  [4693] = {.lex_state = 35, .external_lex_state = 2},
  [4694] = {.lex_state = 35, .external_lex_state = 2},
  [4695] = {.lex_state = 35},
  [4696] = {.lex_state = 35},
  [4697] = {.lex_state = 35, .external_lex_state = 2},
  [4698] = {.lex_state = 35, .external_lex_state = 2},
  [4699] = {.lex_state = 35, .external_lex_state = 2},
  [4700] = {.lex_state = 35, .external_lex_state = 2},
  [4701] = {.lex_state = 35, .external_lex_state = 2},
  [4702] = {.lex_state = 35, .external_lex_state = 2},
  [4703] = {.lex_state = 35, .external_lex_state = 2},
  [4704] = {.lex_state = 35},
  [4705] = {.lex_state = 35, .external_lex_state = 2},
  [4706] = {.lex_state = 35, .external_lex_state = 2},
  [4707] = {.lex_state = 35, .external_lex_state = 2},
  [4708] = {.lex_state = 35},
  [4709] = {.lex_state = 35},
  [4710] = {.lex_state = 35},
  [4711] = {.lex_state = 35},
  [4712] = {.lex_state = 35},
  [4713] = {.lex_state = 35},
  [4714] = {.lex_state = 35},
  [4715] = {.lex_state = 35},
  [4716] = {.lex_state = 35, .external_lex_state = 2},
  [4717] = {.lex_state = 35},
  [4718] = {.lex_state = 35, .external_lex_state = 2},
  [4719] = {.lex_state = 35, .external_lex_state = 2},
  [4720] = {.lex_state = 35, .external_lex_state = 2},
  [4721] = {.lex_state = 35},
  [4722] = {.lex_state = 35, .external_lex_state = 2},
  [4723] = {.lex_state = 35, .external_lex_state = 2},
  [4724] = {.lex_state = 35, .external_lex_state = 2},
  [4725] = {.lex_state = 35, .external_lex_state = 2},
  [4726] = {.lex_state = 35, .external_lex_state = 2},
  [4727] = {.lex_state = 35, .external_lex_state = 2},
  [4728] = {.lex_state = 35},
  [4729] = {.lex_state = 35},
  [4730] = {.lex_state = 35, .external_lex_state = 2},
  [4731] = {.lex_state = 35},
  [4732] = {.lex_state = 35},
  [4733] = {.lex_state = 35, .external_lex_state = 2},
  [4734] = {.lex_state = 35, .external_lex_state = 2},
  [4735] = {.lex_state = 35, .external_lex_state = 2},
  [4736] = {.lex_state = 35, .external_lex_state = 2},
  [4737] = {.lex_state = 35, .external_lex_state = 2},
  [4738] = {.lex_state = 35, .external_lex_state = 2},
  [4739] = {.lex_state = 35, .external_lex_state = 2},
  [4740] = {.lex_state = 35, .external_lex_state = 2},
  [4741] = {.lex_state = 35, .external_lex_state = 2},
  [4742] = {.lex_state = 35, .external_lex_state = 2},
  [4743] = {.lex_state = 35},
  [4744] = {.lex_state = 35, .external_lex_state = 2},
  [4745] = {.lex_state = 35},
  [4746] = {.lex_state = 35, .external_lex_state = 2},
  [4747] = {.lex_state = 35},
  [4748] = {.lex_state = 35, .external_lex_state = 2},
  [4749] = {.lex_state = 35},
  [4750] = {.lex_state = 35},
  [4751] = {.lex_state = 35, .external_lex_state = 2},
  [4752] = {.lex_state = 35, .external_lex_state = 2},
  [4753] = {.lex_state = 35, .external_lex_state = 2},
  [4754] = {.lex_state = 35, .external_lex_state = 2},
  [4755] = {.lex_state = 35, .external_lex_state = 2},
  [4756] = {.lex_state = 35, .external_lex_state = 2},
  [4757] = {.lex_state = 35},
  [4758] = {.lex_state = 35, .external_lex_state = 2},
  [4759] = {.lex_state = 35, .external_lex_state = 2},
  [4760] = {.lex_state = 35, .external_lex_state = 2},
  [4761] = {.lex_state = 35, .external_lex_state = 2},
  [4762] = {.lex_state = 35, .external_lex_state = 2},
  [4763] = {.lex_state = 35, .external_lex_state = 2},
  [4764] = {.lex_state = 35, .external_lex_state = 2},
  [4765] = {.lex_state = 35},
  [4766] = {.lex_state = 35},
  [4767] = {.lex_state = 35},
  [4768] = {.lex_state = 35},
  [4769] = {.lex_state = 35},
  [4770] = {.lex_state = 35, .external_lex_state = 2},
  [4771] = {.lex_state = 35, .external_lex_state = 2},
  [4772] = {.lex_state = 35, .external_lex_state = 2},
  [4773] = {.lex_state = 35},
  [4774] = {.lex_state = 35, .external_lex_state = 2},
  [4775] = {.lex_state = 35, .external_lex_state = 2},
  [4776] = {.lex_state = 35, .external_lex_state = 2},
  [4777] = {.lex_state = 35, .external_lex_state = 2},
  [4778] = {.lex_state = 35, .external_lex_state = 2},
  [4779] = {.lex_state = 35, .external_lex_state = 2},
  [4780] = {.lex_state = 35},
  [4781] = {.lex_state = 35},
  [4782] = {.lex_state = 35},
  [4783] = {.lex_state = 35},
  [4784] = {.lex_state = 33, .external_lex_state = 2},
  [4785] = {.lex_state = 35, .external_lex_state = 2},
  [4786] = {.lex_state = 35},
  [4787] = {.lex_state = 35, .external_lex_state = 2},
  [4788] = {.lex_state = 35},
  [4789] = {.lex_state = 35},
  [4790] = {.lex_state = 35},
  [4791] = {.lex_state = 35},
  [4792] = {.lex_state = 35, .external_lex_state = 2},
  [4793] = {.lex_state = 35},
  [4794] = {.lex_state = 35, .external_lex_state = 2},
  [4795] = {.lex_state = 35},
  [4796] = {.lex_state = 35, .external_lex_state = 2},
  [4797] = {.lex_state = 35, .external_lex_state = 2},
  [4798] = {.lex_state = 35, .external_lex_state = 2},
  [4799] = {.lex_state = 35, .external_lex_state = 2},
  [4800] = {.lex_state = 35},
  [4801] = {.lex_state = 35, .external_lex_state = 2},
  [4802] = {.lex_state = 35, .external_lex_state = 2},
  [4803] = {.lex_state = 35, .external_lex_state = 2},
  [4804] = {.lex_state = 35, .external_lex_state = 2},
  [4805] = {.lex_state = 35, .external_lex_state = 2},
  [4806] = {.lex_state = 35, .external_lex_state = 2},
  [4807] = {.lex_state = 35, .external_lex_state = 2},
  [4808] = {.lex_state = 35, .external_lex_state = 2},
  [4809] = {.lex_state = 35, .external_lex_state = 2},
  [4810] = {.lex_state = 35, .external_lex_state = 2},
  [4811] = {.lex_state = 35, .external_lex_state = 2},
  [4812] = {.lex_state = 35, .external_lex_state = 2},
  [4813] = {.lex_state = 35, .external_lex_state = 2},
  [4814] = {.lex_state = 35, .external_lex_state = 2},
  [4815] = {.lex_state = 35, .external_lex_state = 2},
  [4816] = {.lex_state = 35, .external_lex_state = 2},
  [4817] = {.lex_state = 35, .external_lex_state = 2},
  [4818] = {.lex_state = 35, .external_lex_state = 2},
  [4819] = {.lex_state = 35, .external_lex_state = 2},
  [4820] = {.lex_state = 35, .external_lex_state = 2},
  [4821] = {.lex_state = 35, .external_lex_state = 2},
  [4822] = {.lex_state = 35, .external_lex_state = 2},
  [4823] = {.lex_state = 35},
  [4824] = {.lex_state = 35, .external_lex_state = 2},
  [4825] = {.lex_state = 35, .external_lex_state = 2},
  [4826] = {.lex_state = 35, .external_lex_state = 2},
  [4827] = {.lex_state = 35, .external_lex_state = 2},
  [4828] = {.lex_state = 35, .external_lex_state = 2},
  [4829] = {.lex_state = 35, .external_lex_state = 2},
  [4830] = {.lex_state = 35, .external_lex_state = 2},
  [4831] = {.lex_state = 35},
  [4832] = {.lex_state = 35, .external_lex_state = 2},
  [4833] = {.lex_state = 35, .external_lex_state = 2},
  [4834] = {.lex_state = 35},
  [4835] = {.lex_state = 35, .external_lex_state = 2},
  [4836] = {.lex_state = 35, .external_lex_state = 2},
  [4837] = {.lex_state = 35},
  [4838] = {.lex_state = 35},
  [4839] = {.lex_state = 35},
  [4840] = {.lex_state = 35, .external_lex_state = 2},
  [4841] = {.lex_state = 35, .external_lex_state = 2},
  [4842] = {.lex_state = 35, .external_lex_state = 2},
  [4843] = {.lex_state = 35, .external_lex_state = 2},
  [4844] = {.lex_state = 35},
  [4845] = {.lex_state = 35, .external_lex_state = 2},
  [4846] = {.lex_state = 35},
  [4847] = {.lex_state = 35, .external_lex_state = 2},
  [4848] = {.lex_state = 35, .external_lex_state = 2},
  [4849] = {.lex_state = 35, .external_lex_state = 2},
  [4850] = {.lex_state = 35},
  [4851] = {.lex_state = 35, .external_lex_state = 2},
  [4852] = {.lex_state = 35, .external_lex_state = 2},
  [4853] = {.lex_state = 35},
  [4854] = {.lex_state = 35, .external_lex_state = 2},
  [4855] = {.lex_state = 35, .external_lex_state = 2},
  [4856] = {.lex_state = 35, .external_lex_state = 2},
  [4857] = {.lex_state = 35, .external_lex_state = 2},
  [4858] = {.lex_state = 35, .external_lex_state = 2},
  [4859] = {.lex_state = 35, .external_lex_state = 2},
  [4860] = {.lex_state = 35, .external_lex_state = 2},
  [4861] = {.lex_state = 35, .external_lex_state = 2},
  [4862] = {.lex_state = 35, .external_lex_state = 2},
  [4863] = {.lex_state = 35, .external_lex_state = 2},
  [4864] = {.lex_state = 35},
  [4865] = {.lex_state = 35, .external_lex_state = 2},
  [4866] = {.lex_state = 35, .external_lex_state = 2},
  [4867] = {.lex_state = 33, .external_lex_state = 2},
  [4868] = {.lex_state = 35, .external_lex_state = 2},
  [4869] = {.lex_state = 35, .external_lex_state = 2},
  [4870] = {.lex_state = 35, .external_lex_state = 2},
  [4871] = {.lex_state = 35, .external_lex_state = 2},
  [4872] = {.lex_state = 35, .external_lex_state = 2},
  [4873] = {.lex_state = 35, .external_lex_state = 2},
  [4874] = {.lex_state = 35, .external_lex_state = 2},
  [4875] = {.lex_state = 35, .external_lex_state = 2},
  [4876] = {.lex_state = 35, .external_lex_state = 2},
  [4877] = {.lex_state = 35, .external_lex_state = 2},
  [4878] = {.lex_state = 35, .external_lex_state = 2},
  [4879] = {.lex_state = 35, .external_lex_state = 2},
  [4880] = {.lex_state = 35, .external_lex_state = 2},
  [4881] = {.lex_state = 35, .external_lex_state = 2},
  [4882] = {.lex_state = 35, .external_lex_state = 2},
  [4883] = {.lex_state = 35},
  [4884] = {.lex_state = 33},
  [4885] = {.lex_state = 35, .external_lex_state = 2},
  [4886] = {.lex_state = 35},
  [4887] = {.lex_state = 35},
  [4888] = {.lex_state = 35},
  [4889] = {.lex_state = 35},
  [4890] = {.lex_state = 35},
  [4891] = {.lex_state = 35},
  [4892] = {.lex_state = 35},
  [4893] = {.lex_state = 35, .external_lex_state = 2},
  [4894] = {.lex_state = 35},
  [4895] = {.lex_state = 35},
  [4896] = {.lex_state = 35},
  [4897] = {.lex_state = 35},
  [4898] = {.lex_state = 35, .external_lex_state = 2},
  [4899] = {.lex_state = 35, .external_lex_state = 2},
  [4900] = {.lex_state = 35},
  [4901] = {.lex_state = 35},
  [4902] = {.lex_state = 35, .external_lex_state = 2},
  [4903] = {.lex_state = 35, .external_lex_state = 2},
  [4904] = {.lex_state = 35},
  [4905] = {.lex_state = 35, .external_lex_state = 2},
  [4906] = {.lex_state = 35},
  [4907] = {.lex_state = 35},
  [4908] = {.lex_state = 35, .external_lex_state = 2},
  [4909] = {.lex_state = 35},
  [4910] = {.lex_state = 35},
  [4911] = {.lex_state = 35, .external_lex_state = 2},
  [4912] = {.lex_state = 35},
  [4913] = {.lex_state = 35},
  [4914] = {.lex_state = 35},
  [4915] = {.lex_state = 33, .external_lex_state = 2},
  [4916] = {.lex_state = 35, .external_lex_state = 2},
  [4917] = {.lex_state = 35, .external_lex_state = 2},
  [4918] = {.lex_state = 35},
  [4919] = {.lex_state = 35},
  [4920] = {.lex_state = 35},
  [4921] = {.lex_state = 35},
  [4922] = {.lex_state = 35},
  [4923] = {.lex_state = 35},
  [4924] = {.lex_state = 35},
  [4925] = {.lex_state = 35},
  [4926] = {.lex_state = 35},
  [4927] = {.lex_state = 35},
  [4928] = {.lex_state = 35},
  [4929] = {.lex_state = 35},
  [4930] = {.lex_state = 35},
  [4931] = {.lex_state = 35},
  [4932] = {.lex_state = 35},
  [4933] = {.lex_state = 35},
  [4934] = {.lex_state = 35},
  [4935] = {.lex_state = 35},
  [4936] = {.lex_state = 35},
  [4937] = {.lex_state = 35},
  [4938] = {.lex_state = 35},
  [4939] = {.lex_state = 35},
  [4940] = {.lex_state = 35, .external_lex_state = 2},
  [4941] = {.lex_state = 35, .external_lex_state = 2},
  [4942] = {.lex_state = 35, .external_lex_state = 2},
  [4943] = {.lex_state = 35},
  [4944] = {.lex_state = 35},
  [4945] = {.lex_state = 35},
  [4946] = {.lex_state = 35},
  [4947] = {.lex_state = 35},
  [4948] = {.lex_state = 35},
  [4949] = {.lex_state = 35},
  [4950] = {.lex_state = 35},
  [4951] = {.lex_state = 35, .external_lex_state = 2},
  [4952] = {.lex_state = 35},
  [4953] = {.lex_state = 35},
  [4954] = {.lex_state = 35},
  [4955] = {.lex_state = 35},
  [4956] = {.lex_state = 35},
  [4957] = {.lex_state = 35},
  [4958] = {.lex_state = 35},
  [4959] = {.lex_state = 35},
  [4960] = {.lex_state = 35},
  [4961] = {.lex_state = 35},
  [4962] = {.lex_state = 35},
  [4963] = {.lex_state = 35},
  [4964] = {.lex_state = 35, .external_lex_state = 2},
  [4965] = {.lex_state = 35, .external_lex_state = 2},
  [4966] = {.lex_state = 35, .external_lex_state = 2},
  [4967] = {.lex_state = 35},
  [4968] = {.lex_state = 35},
  [4969] = {.lex_state = 35},
  [4970] = {.lex_state = 35},
  [4971] = {.lex_state = 35},
  [4972] = {.lex_state = 35},
  [4973] = {.lex_state = 35},
  [4974] = {.lex_state = 35},
  [4975] = {.lex_state = 35},
  [4976] = {.lex_state = 35},
  [4977] = {.lex_state = 35},
  [4978] = {.lex_state = 35},
  [4979] = {.lex_state = 35},
  [4980] = {.lex_state = 35},
  [4981] = {.lex_state = 35},
  [4982] = {.lex_state = 35},
  [4983] = {.lex_state = 35, .external_lex_state = 2},
  [4984] = {.lex_state = 35, .external_lex_state = 2},
  [4985] = {.lex_state = 35, .external_lex_state = 2},
  [4986] = {.lex_state = 35, .external_lex_state = 2},
  [4987] = {.lex_state = 35, .external_lex_state = 2},
  [4988] = {.lex_state = 35},
  [4989] = {.lex_state = 35, .external_lex_state = 2},
  [4990] = {.lex_state = 35},
  [4991] = {.lex_state = 35, .external_lex_state = 2},
  [4992] = {.lex_state = 35, .external_lex_state = 2},
  [4993] = {.lex_state = 35, .external_lex_state = 2},
  [4994] = {.lex_state = 35, .external_lex_state = 2},
  [4995] = {.lex_state = 35},
  [4996] = {.lex_state = 35, .external_lex_state = 2},
  [4997] = {.lex_state = 35, .external_lex_state = 2},
  [4998] = {.lex_state = 35, .external_lex_state = 2},
  [4999] = {.lex_state = 35, .external_lex_state = 2},
  [5000] = {.lex_state = 35, .external_lex_state = 2},
  [5001] = {.lex_state = 35},
  [5002] = {.lex_state = 35, .external_lex_state = 2},
  [5003] = {.lex_state = 35},
  [5004] = {.lex_state = 35},
  [5005] = {.lex_state = 35},
  [5006] = {.lex_state = 35},
  [5007] = {.lex_state = 35, .external_lex_state = 2},
  [5008] = {.lex_state = 35},
  [5009] = {.lex_state = 35},
  [5010] = {.lex_state = 35},
  [5011] = {.lex_state = 35},
  [5012] = {.lex_state = 35},
  [5013] = {.lex_state = 33},
  [5014] = {.lex_state = 35},
  [5015] = {.lex_state = 35, .external_lex_state = 2},
  [5016] = {.lex_state = 35},
  [5017] = {.lex_state = 35},
  [5018] = {.lex_state = 33},
  [5019] = {.lex_state = 35},
  [5020] = {.lex_state = 35, .external_lex_state = 2},
  [5021] = {.lex_state = 35, .external_lex_state = 2},
  [5022] = {.lex_state = 35},
  [5023] = {.lex_state = 35},
  [5024] = {.lex_state = 35},
  [5025] = {.lex_state = 35},
  [5026] = {.lex_state = 35, .external_lex_state = 2},
  [5027] = {.lex_state = 35},
  [5028] = {.lex_state = 35},
  [5029] = {.lex_state = 35},
  [5030] = {.lex_state = 35},
  [5031] = {.lex_state = 35},
  [5032] = {.lex_state = 35},
  [5033] = {.lex_state = 35},
  [5034] = {.lex_state = 35},
  [5035] = {.lex_state = 35, .external_lex_state = 2},
  [5036] = {.lex_state = 35, .external_lex_state = 2},
  [5037] = {.lex_state = 35},
  [5038] = {.lex_state = 35, .external_lex_state = 2},
  [5039] = {.lex_state = 35},
  [5040] = {.lex_state = 35, .external_lex_state = 2},
  [5041] = {.lex_state = 35, .external_lex_state = 2},
  [5042] = {.lex_state = 35},
  [5043] = {.lex_state = 35, .external_lex_state = 2},
  [5044] = {.lex_state = 35},
  [5045] = {.lex_state = 35},
  [5046] = {.lex_state = 35},
  [5047] = {.lex_state = 35, .external_lex_state = 2},
  [5048] = {.lex_state = 35},
  [5049] = {.lex_state = 35, .external_lex_state = 2},
  [5050] = {.lex_state = 35, .external_lex_state = 2},
  [5051] = {.lex_state = 35, .external_lex_state = 2},
  [5052] = {.lex_state = 35, .external_lex_state = 2},
  [5053] = {.lex_state = 35, .external_lex_state = 2},
  [5054] = {.lex_state = 35, .external_lex_state = 2},
  [5055] = {.lex_state = 35},
  [5056] = {.lex_state = 35},
  [5057] = {.lex_state = 35},
  [5058] = {.lex_state = 35},
  [5059] = {.lex_state = 35},
  [5060] = {.lex_state = 35},
  [5061] = {.lex_state = 35},
  [5062] = {.lex_state = 35},
  [5063] = {.lex_state = 35, .external_lex_state = 2},
  [5064] = {.lex_state = 35, .external_lex_state = 2},
  [5065] = {.lex_state = 35, .external_lex_state = 2},
  [5066] = {.lex_state = 35},
  [5067] = {.lex_state = 35, .external_lex_state = 2},
  [5068] = {.lex_state = 35, .external_lex_state = 2},
  [5069] = {.lex_state = 35},
  [5070] = {.lex_state = 35},
  [5071] = {.lex_state = 35, .external_lex_state = 2},
  [5072] = {.lex_state = 35, .external_lex_state = 2},
  [5073] = {.lex_state = 35, .external_lex_state = 2},
  [5074] = {.lex_state = 35, .external_lex_state = 2},
  [5075] = {.lex_state = 35, .external_lex_state = 2},
  [5076] = {.lex_state = 35},
  [5077] = {.lex_state = 35, .external_lex_state = 2},
  [5078] = {.lex_state = 35, .external_lex_state = 2},
  [5079] = {.lex_state = 35, .external_lex_state = 2},
  [5080] = {.lex_state = 35, .external_lex_state = 2},
  [5081] = {.lex_state = 35, .external_lex_state = 2},
  [5082] = {.lex_state = 35, .external_lex_state = 2},
  [5083] = {.lex_state = 35, .external_lex_state = 2},
  [5084] = {.lex_state = 35},
  [5085] = {.lex_state = 35, .external_lex_state = 2},
  [5086] = {.lex_state = 35, .external_lex_state = 2},
  [5087] = {.lex_state = 35},
  [5088] = {.lex_state = 35},
  [5089] = {.lex_state = 35},
  [5090] = {.lex_state = 35},
  [5091] = {.lex_state = 35},
  [5092] = {.lex_state = 35},
  [5093] = {.lex_state = 35},
  [5094] = {.lex_state = 35, .external_lex_state = 2},
  [5095] = {.lex_state = 35},
  [5096] = {.lex_state = 35},
  [5097] = {.lex_state = 35},
  [5098] = {.lex_state = 35},
  [5099] = {.lex_state = 35},
  [5100] = {.lex_state = 35},
  [5101] = {.lex_state = 35, .external_lex_state = 2},
  [5102] = {.lex_state = 35},
  [5103] = {.lex_state = 35},
  [5104] = {.lex_state = 35},
  [5105] = {.lex_state = 35},
  [5106] = {.lex_state = 35},
  [5107] = {.lex_state = 35},
  [5108] = {.lex_state = 35},
  [5109] = {.lex_state = 35, .external_lex_state = 2},
  [5110] = {.lex_state = 35},
  [5111] = {.lex_state = 35},
  [5112] = {.lex_state = 35},
  [5113] = {.lex_state = 35},
  [5114] = {.lex_state = 35},
  [5115] = {.lex_state = 35},
  [5116] = {.lex_state = 35},
  [5117] = {.lex_state = 35},
  [5118] = {.lex_state = 35},
  [5119] = {.lex_state = 35},
  [5120] = {.lex_state = 35},
  [5121] = {.lex_state = 35},
  [5122] = {.lex_state = 35},
  [5123] = {.lex_state = 35},
  [5124] = {.lex_state = 35},
  [5125] = {.lex_state = 35, .external_lex_state = 2},
  [5126] = {.lex_state = 35, .external_lex_state = 2},
  [5127] = {.lex_state = 35},
  [5128] = {.lex_state = 35},
  [5129] = {.lex_state = 35, .external_lex_state = 2},
  [5130] = {.lex_state = 35},
  [5131] = {.lex_state = 35},
  [5132] = {.lex_state = 35},
  [5133] = {.lex_state = 35, .external_lex_state = 2},
  [5134] = {.lex_state = 35},
  [5135] = {.lex_state = 35},
  [5136] = {.lex_state = 35, .external_lex_state = 2},
  [5137] = {.lex_state = 35, .external_lex_state = 2},
  [5138] = {.lex_state = 35, .external_lex_state = 2},
  [5139] = {.lex_state = 35},
  [5140] = {.lex_state = 35, .external_lex_state = 2},
  [5141] = {.lex_state = 35},
  [5142] = {.lex_state = 35},
  [5143] = {.lex_state = 35, .external_lex_state = 2},
  [5144] = {.lex_state = 35},
  [5145] = {.lex_state = 35, .external_lex_state = 2},
  [5146] = {.lex_state = 35},
  [5147] = {.lex_state = 35, .external_lex_state = 2},
  [5148] = {.lex_state = 35},
  [5149] = {.lex_state = 35, .external_lex_state = 2},
  [5150] = {.lex_state = 35},
  [5151] = {.lex_state = 35},
  [5152] = {.lex_state = 35, .external_lex_state = 2},
  [5153] = {.lex_state = 35},
  [5154] = {.lex_state = 35},
  [5155] = {.lex_state = 35},
  [5156] = {.lex_state = 35},
  [5157] = {.lex_state = 35},
  [5158] = {.lex_state = 35},
  [5159] = {.lex_state = 35},
  [5160] = {.lex_state = 35, .external_lex_state = 2},
  [5161] = {.lex_state = 35, .external_lex_state = 2},
  [5162] = {.lex_state = 35},
  [5163] = {.lex_state = 35, .external_lex_state = 2},
  [5164] = {.lex_state = 35},
  [5165] = {.lex_state = 35, .external_lex_state = 2},
  [5166] = {.lex_state = 35, .external_lex_state = 2},
  [5167] = {.lex_state = 35, .external_lex_state = 2},
  [5168] = {.lex_state = 35, .external_lex_state = 2},
  [5169] = {.lex_state = 35},
  [5170] = {.lex_state = 35},
  [5171] = {.lex_state = 35},
  [5172] = {.lex_state = 35},
  [5173] = {.lex_state = 35},
  [5174] = {.lex_state = 35},
  [5175] = {.lex_state = 35},
  [5176] = {.lex_state = 35, .external_lex_state = 2},
  [5177] = {.lex_state = 35, .external_lex_state = 2},
  [5178] = {.lex_state = 35, .external_lex_state = 2},
  [5179] = {.lex_state = 35, .external_lex_state = 2},
  [5180] = {.lex_state = 35, .external_lex_state = 2},
  [5181] = {.lex_state = 35, .external_lex_state = 2},
  [5182] = {.lex_state = 35, .external_lex_state = 2},
  [5183] = {.lex_state = 35, .external_lex_state = 2},
  [5184] = {.lex_state = 35, .external_lex_state = 2},
  [5185] = {.lex_state = 35, .external_lex_state = 2},
  [5186] = {.lex_state = 35, .external_lex_state = 2},
  [5187] = {.lex_state = 35, .external_lex_state = 2},
  [5188] = {.lex_state = 35},
  [5189] = {.lex_state = 35},
  [5190] = {.lex_state = 35},
  [5191] = {.lex_state = 35},
  [5192] = {.lex_state = 35},
  [5193] = {.lex_state = 35},
  [5194] = {.lex_state = 35, .external_lex_state = 2},
  [5195] = {.lex_state = 35},
  [5196] = {.lex_state = 35, .external_lex_state = 2},
  [5197] = {.lex_state = 35},
  [5198] = {.lex_state = 35},
  [5199] = {.lex_state = 35},
  [5200] = {.lex_state = 35},
  [5201] = {.lex_state = 35},
  [5202] = {.lex_state = 35},
  [5203] = {.lex_state = 35},
  [5204] = {.lex_state = 35},
  [5205] = {.lex_state = 35, .external_lex_state = 2},
  [5206] = {.lex_state = 35, .external_lex_state = 2},
  [5207] = {.lex_state = 35, .external_lex_state = 2},
  [5208] = {.lex_state = 35},
  [5209] = {.lex_state = 35},
  [5210] = {.lex_state = 35},
  [5211] = {.lex_state = 35, .external_lex_state = 2},
  [5212] = {.lex_state = 35, .external_lex_state = 2},
  [5213] = {.lex_state = 35},
  [5214] = {.lex_state = 35, .external_lex_state = 2},
  [5215] = {.lex_state = 35, .external_lex_state = 2},
  [5216] = {.lex_state = 35},
  [5217] = {.lex_state = 35, .external_lex_state = 2},
  [5218] = {.lex_state = 35, .external_lex_state = 2},
  [5219] = {.lex_state = 35, .external_lex_state = 2},
  [5220] = {.lex_state = 35},
  [5221] = {.lex_state = 35, .external_lex_state = 2},
  [5222] = {.lex_state = 35},
  [5223] = {.lex_state = 35, .external_lex_state = 2},
  [5224] = {.lex_state = 35},
  [5225] = {.lex_state = 35, .external_lex_state = 2},
  [5226] = {.lex_state = 35},
  [5227] = {.lex_state = 35, .external_lex_state = 2},
  [5228] = {.lex_state = 35},
  [5229] = {.lex_state = 35, .external_lex_state = 2},
  [5230] = {.lex_state = 35},
  [5231] = {.lex_state = 35},
  [5232] = {.lex_state = 35},
  [5233] = {.lex_state = 35},
  [5234] = {.lex_state = 35, .external_lex_state = 2},
  [5235] = {.lex_state = 35},
  [5236] = {.lex_state = 35},
  [5237] = {.lex_state = 35},
  [5238] = {.lex_state = 35},
  [5239] = {.lex_state = 35},
  [5240] = {.lex_state = 35},
  [5241] = {.lex_state = 35},
  [5242] = {.lex_state = 35},
  [5243] = {.lex_state = 35},
  [5244] = {.lex_state = 35},
  [5245] = {.lex_state = 35, .external_lex_state = 2},
  [5246] = {.lex_state = 35},
  [5247] = {.lex_state = 35, .external_lex_state = 2},
  [5248] = {.lex_state = 35, .external_lex_state = 2},
  [5249] = {.lex_state = 35, .external_lex_state = 2},
  [5250] = {.lex_state = 35},
  [5251] = {.lex_state = 35},
  [5252] = {.lex_state = 35, .external_lex_state = 2},
  [5253] = {.lex_state = 35, .external_lex_state = 2},
  [5254] = {.lex_state = 35, .external_lex_state = 2},
  [5255] = {.lex_state = 35, .external_lex_state = 2},
  [5256] = {.lex_state = 35, .external_lex_state = 2},
  [5257] = {.lex_state = 35},
  [5258] = {.lex_state = 35},
  [5259] = {.lex_state = 35},
  [5260] = {.lex_state = 35, .external_lex_state = 2},
  [5261] = {.lex_state = 35, .external_lex_state = 2},
  [5262] = {.lex_state = 35},
  [5263] = {.lex_state = 35, .external_lex_state = 2},
  [5264] = {.lex_state = 35},
  [5265] = {.lex_state = 35},
  [5266] = {.lex_state = 35},
  [5267] = {.lex_state = 35},
  [5268] = {.lex_state = 35, .external_lex_state = 2},
  [5269] = {.lex_state = 35},
  [5270] = {.lex_state = 35},
  [5271] = {.lex_state = 35, .external_lex_state = 2},
  [5272] = {.lex_state = 35, .external_lex_state = 2},
  [5273] = {.lex_state = 35},
  [5274] = {.lex_state = 35, .external_lex_state = 2},
  [5275] = {.lex_state = 35},
  [5276] = {.lex_state = 35, .external_lex_state = 2},
  [5277] = {.lex_state = 35},
  [5278] = {.lex_state = 35},
  [5279] = {.lex_state = 35},
  [5280] = {.lex_state = 35},
  [5281] = {.lex_state = 35},
  [5282] = {.lex_state = 35, .external_lex_state = 2},
  [5283] = {.lex_state = 35},
  [5284] = {.lex_state = 35},
  [5285] = {.lex_state = 35},
  [5286] = {.lex_state = 35},
  [5287] = {.lex_state = 35},
  [5288] = {.lex_state = 35},
  [5289] = {.lex_state = 35},
  [5290] = {.lex_state = 35, .external_lex_state = 2},
  [5291] = {.lex_state = 35},
  [5292] = {.lex_state = 35},
  [5293] = {.lex_state = 35},
  [5294] = {.lex_state = 35},
  [5295] = {.lex_state = 35},
  [5296] = {.lex_state = 35},
  [5297] = {.lex_state = 35},
  [5298] = {.lex_state = 35},
  [5299] = {.lex_state = 35},
  [5300] = {.lex_state = 35},
  [5301] = {.lex_state = 35},
  [5302] = {.lex_state = 35},
  [5303] = {.lex_state = 35},
  [5304] = {.lex_state = 35},
  [5305] = {.lex_state = 35},
  [5306] = {.lex_state = 35},
  [5307] = {.lex_state = 35},
  [5308] = {.lex_state = 35},
  [5309] = {.lex_state = 35},
  [5310] = {.lex_state = 35},
  [5311] = {.lex_state = 35},
  [5312] = {.lex_state = 35},
  [5313] = {.lex_state = 35},
  [5314] = {.lex_state = 35},
  [5315] = {.lex_state = 35},
  [5316] = {.lex_state = 35, .external_lex_state = 2},
  [5317] = {.lex_state = 35},
  [5318] = {.lex_state = 35},
  [5319] = {.lex_state = 35, .external_lex_state = 2},
  [5320] = {.lex_state = 35},
  [5321] = {.lex_state = 35, .external_lex_state = 2},
  [5322] = {.lex_state = 35, .external_lex_state = 2},
  [5323] = {.lex_state = 35},
  [5324] = {.lex_state = 35},
  [5325] = {.lex_state = 35},
  [5326] = {.lex_state = 35},
  [5327] = {.lex_state = 35},
  [5328] = {.lex_state = 35},
  [5329] = {.lex_state = 35},
  [5330] = {.lex_state = 35},
  [5331] = {.lex_state = 35},
  [5332] = {.lex_state = 35},
  [5333] = {.lex_state = 35},
  [5334] = {.lex_state = 35},
  [5335] = {.lex_state = 35},
  [5336] = {.lex_state = 35},
  [5337] = {.lex_state = 35, .external_lex_state = 2},
  [5338] = {.lex_state = 35},
  [5339] = {.lex_state = 35},
  [5340] = {.lex_state = 35, .external_lex_state = 2},
  [5341] = {.lex_state = 35},
  [5342] = {.lex_state = 35, .external_lex_state = 2},
  [5343] = {.lex_state = 35},
  [5344] = {.lex_state = 35},
  [5345] = {.lex_state = 35},
  [5346] = {.lex_state = 35},
  [5347] = {.lex_state = 35},
  [5348] = {.lex_state = 35},
  [5349] = {.lex_state = 35},
  [5350] = {.lex_state = 35},
  [5351] = {.lex_state = 35, .external_lex_state = 2},
  [5352] = {.lex_state = 35},
  [5353] = {.lex_state = 35},
  [5354] = {.lex_state = 35},
  [5355] = {.lex_state = 35},
  [5356] = {.lex_state = 35},
  [5357] = {.lex_state = 35},
  [5358] = {.lex_state = 35},
  [5359] = {.lex_state = 35},
  [5360] = {.lex_state = 35, .external_lex_state = 2},
  [5361] = {.lex_state = 35},
  [5362] = {.lex_state = 35},
  [5363] = {.lex_state = 35},
  [5364] = {.lex_state = 35},
  [5365] = {.lex_state = 35, .external_lex_state = 2},
  [5366] = {.lex_state = 35},
  [5367] = {.lex_state = 35},
  [5368] = {.lex_state = 35},
  [5369] = {.lex_state = 35},
  [5370] = {.lex_state = 35},
  [5371] = {.lex_state = 35},
  [5372] = {.lex_state = 35},
  [5373] = {.lex_state = 35},
  [5374] = {.lex_state = 35},
  [5375] = {.lex_state = 35},
  [5376] = {.lex_state = 35},
  [5377] = {.lex_state = 35},
  [5378] = {.lex_state = 35},
  [5379] = {.lex_state = 35},
  [5380] = {.lex_state = 35},
  [5381] = {.lex_state = 35},
  [5382] = {.lex_state = 35, .external_lex_state = 2},
  [5383] = {.lex_state = 35, .external_lex_state = 2},
  [5384] = {.lex_state = 35, .external_lex_state = 2},
  [5385] = {.lex_state = 35, .external_lex_state = 2},
  [5386] = {.lex_state = 35},
  [5387] = {.lex_state = 35},
  [5388] = {.lex_state = 35},
  [5389] = {.lex_state = 35, .external_lex_state = 2},
  [5390] = {.lex_state = 35, .external_lex_state = 2},
  [5391] = {.lex_state = 35},
  [5392] = {.lex_state = 35},
  [5393] = {.lex_state = 35, .external_lex_state = 2},
  [5394] = {.lex_state = 35},
  [5395] = {.lex_state = 35},
  [5396] = {.lex_state = 35, .external_lex_state = 2},
  [5397] = {.lex_state = 35},
  [5398] = {.lex_state = 35},
  [5399] = {.lex_state = 35, .external_lex_state = 2},
  [5400] = {.lex_state = 35},
  [5401] = {.lex_state = 35},
  [5402] = {.lex_state = 35},
  [5403] = {.lex_state = 35},
  [5404] = {.lex_state = 35},
  [5405] = {.lex_state = 35, .external_lex_state = 2},
  [5406] = {.lex_state = 35, .external_lex_state = 2},
  [5407] = {.lex_state = 35},
  [5408] = {.lex_state = 35},
  [5409] = {.lex_state = 35},
  [5410] = {.lex_state = 35},
  [5411] = {.lex_state = 35},
  [5412] = {.lex_state = 35},
  [5413] = {.lex_state = 35, .external_lex_state = 2},
  [5414] = {.lex_state = 35},
  [5415] = {.lex_state = 35},
  [5416] = {.lex_state = 35},
  [5417] = {.lex_state = 35, .external_lex_state = 2},
  [5418] = {.lex_state = 35},
  [5419] = {.lex_state = 35, .external_lex_state = 2},
  [5420] = {.lex_state = 35, .external_lex_state = 2},
  [5421] = {.lex_state = 35, .external_lex_state = 2},
  [5422] = {.lex_state = 35, .external_lex_state = 2},
  [5423] = {.lex_state = 35, .external_lex_state = 2},
  [5424] = {.lex_state = 35},
  [5425] = {.lex_state = 35},
  [5426] = {.lex_state = 35, .external_lex_state = 2},
  [5427] = {.lex_state = 35, .external_lex_state = 2},
  [5428] = {.lex_state = 35, .external_lex_state = 2},
  [5429] = {.lex_state = 35},
  [5430] = {.lex_state = 35},
  [5431] = {.lex_state = 35},
  [5432] = {.lex_state = 35, .external_lex_state = 2},
  [5433] = {.lex_state = 35, .external_lex_state = 2},
  [5434] = {.lex_state = 35, .external_lex_state = 2},
  [5435] = {.lex_state = 35, .external_lex_state = 2},
  [5436] = {.lex_state = 35},
  [5437] = {.lex_state = 33},
  [5438] = {.lex_state = 35},
  [5439] = {.lex_state = 35},
  [5440] = {.lex_state = 35},
  [5441] = {.lex_state = 35},
  [5442] = {.lex_state = 35, .external_lex_state = 2},
  [5443] = {.lex_state = 35, .external_lex_state = 2},
  [5444] = {.lex_state = 35, .external_lex_state = 2},
  [5445] = {.lex_state = 35, .external_lex_state = 2},
  [5446] = {.lex_state = 35},
  [5447] = {.lex_state = 35, .external_lex_state = 2},
  [5448] = {.lex_state = 35, .external_lex_state = 2},
  [5449] = {.lex_state = 35, .external_lex_state = 2},
  [5450] = {.lex_state = 35},
  [5451] = {.lex_state = 35, .external_lex_state = 2},
  [5452] = {.lex_state = 35},
  [5453] = {.lex_state = 35},
  [5454] = {.lex_state = 35, .external_lex_state = 2},
  [5455] = {.lex_state = 35},
  [5456] = {.lex_state = 35, .external_lex_state = 2},
  [5457] = {.lex_state = 35, .external_lex_state = 2},
  [5458] = {.lex_state = 35, .external_lex_state = 2},
  [5459] = {.lex_state = 35, .external_lex_state = 2},
  [5460] = {.lex_state = 35, .external_lex_state = 2},
  [5461] = {.lex_state = 35, .external_lex_state = 2},
  [5462] = {.lex_state = 35, .external_lex_state = 2},
  [5463] = {.lex_state = 35},
  [5464] = {.lex_state = 35, .external_lex_state = 2},
  [5465] = {.lex_state = 35, .external_lex_state = 2},
  [5466] = {.lex_state = 35, .external_lex_state = 2},
  [5467] = {.lex_state = 35, .external_lex_state = 2},
  [5468] = {.lex_state = 35, .external_lex_state = 2},
  [5469] = {.lex_state = 35, .external_lex_state = 2},
  [5470] = {.lex_state = 35, .external_lex_state = 2},
  [5471] = {.lex_state = 35},
  [5472] = {.lex_state = 35, .external_lex_state = 2},
  [5473] = {.lex_state = 35, .external_lex_state = 2},
  [5474] = {.lex_state = 35},
  [5475] = {.lex_state = 35},
  [5476] = {.lex_state = 35},
  [5477] = {.lex_state = 35},
  [5478] = {.lex_state = 35},
  [5479] = {.lex_state = 35},
  [5480] = {.lex_state = 35},
  [5481] = {.lex_state = 35},
  [5482] = {.lex_state = 35, .external_lex_state = 2},
  [5483] = {.lex_state = 35, .external_lex_state = 2},
  [5484] = {.lex_state = 35, .external_lex_state = 2},
  [5485] = {.lex_state = 35, .external_lex_state = 2},
  [5486] = {.lex_state = 35},
  [5487] = {.lex_state = 35},
  [5488] = {.lex_state = 35},
  [5489] = {.lex_state = 35},
  [5490] = {.lex_state = 35, .external_lex_state = 2},
  [5491] = {.lex_state = 35},
  [5492] = {.lex_state = 35, .external_lex_state = 2},
  [5493] = {.lex_state = 35},
  [5494] = {.lex_state = 33},
  [5495] = {.lex_state = 35},
  [5496] = {.lex_state = 35, .external_lex_state = 2},
  [5497] = {.lex_state = 35, .external_lex_state = 2},
  [5498] = {.lex_state = 35, .external_lex_state = 2},
  [5499] = {.lex_state = 35},
  [5500] = {.lex_state = 35},
  [5501] = {.lex_state = 35},
  [5502] = {.lex_state = 35},
  [5503] = {.lex_state = 35, .external_lex_state = 2},
  [5504] = {.lex_state = 35},
  [5505] = {.lex_state = 35},
  [5506] = {.lex_state = 35},
  [5507] = {.lex_state = 35, .external_lex_state = 2},
  [5508] = {.lex_state = 35, .external_lex_state = 2},
  [5509] = {.lex_state = 35, .external_lex_state = 2},
  [5510] = {.lex_state = 35},
  [5511] = {.lex_state = 35, .external_lex_state = 2},
  [5512] = {.lex_state = 35},
  [5513] = {.lex_state = 35},
  [5514] = {.lex_state = 35, .external_lex_state = 2},
  [5515] = {.lex_state = 35},
  [5516] = {.lex_state = 35, .external_lex_state = 2},
  [5517] = {.lex_state = 35},
  [5518] = {.lex_state = 35, .external_lex_state = 2},
  [5519] = {.lex_state = 35, .external_lex_state = 2},
  [5520] = {.lex_state = 35},
  [5521] = {.lex_state = 35},
  [5522] = {.lex_state = 35, .external_lex_state = 2},
  [5523] = {.lex_state = 35},
  [5524] = {.lex_state = 35, .external_lex_state = 2},
  [5525] = {.lex_state = 35, .external_lex_state = 2},
  [5526] = {.lex_state = 35},
  [5527] = {.lex_state = 35, .external_lex_state = 2},
  [5528] = {.lex_state = 35, .external_lex_state = 2},
  [5529] = {.lex_state = 35},
  [5530] = {.lex_state = 35},
  [5531] = {.lex_state = 35},
  [5532] = {.lex_state = 35},
  [5533] = {.lex_state = 35, .external_lex_state = 2},
  [5534] = {.lex_state = 35, .external_lex_state = 2},
  [5535] = {.lex_state = 35, .external_lex_state = 2},
  [5536] = {.lex_state = 35},
  [5537] = {.lex_state = 35, .external_lex_state = 2},
  [5538] = {.lex_state = 35, .external_lex_state = 2},
  [5539] = {.lex_state = 35, .external_lex_state = 2},
  [5540] = {.lex_state = 35, .external_lex_state = 2},
  [5541] = {.lex_state = 35},
  [5542] = {.lex_state = 35, .external_lex_state = 2},
  [5543] = {.lex_state = 35, .external_lex_state = 2},
  [5544] = {.lex_state = 35, .external_lex_state = 2},
  [5545] = {.lex_state = 35, .external_lex_state = 2},
  [5546] = {.lex_state = 35},
  [5547] = {.lex_state = 35},
  [5548] = {.lex_state = 35, .external_lex_state = 2},
  [5549] = {.lex_state = 35, .external_lex_state = 2},
  [5550] = {.lex_state = 35, .external_lex_state = 2},
  [5551] = {.lex_state = 35, .external_lex_state = 2},
  [5552] = {.lex_state = 35, .external_lex_state = 2},
  [5553] = {.lex_state = 35, .external_lex_state = 2},
  [5554] = {.lex_state = 35},
  [5555] = {.lex_state = 35, .external_lex_state = 2},
  [5556] = {.lex_state = 35, .external_lex_state = 2},
  [5557] = {.lex_state = 35, .external_lex_state = 2},
  [5558] = {.lex_state = 35, .external_lex_state = 2},
  [5559] = {.lex_state = 35, .external_lex_state = 2},
  [5560] = {.lex_state = 35, .external_lex_state = 2},
  [5561] = {.lex_state = 35, .external_lex_state = 2},
  [5562] = {.lex_state = 35, .external_lex_state = 2},
  [5563] = {.lex_state = 35},
  [5564] = {.lex_state = 35},
  [5565] = {.lex_state = 35, .external_lex_state = 2},
  [5566] = {.lex_state = 35, .external_lex_state = 2},
  [5567] = {.lex_state = 35, .external_lex_state = 2},
  [5568] = {.lex_state = 35, .external_lex_state = 2},
  [5569] = {.lex_state = 35, .external_lex_state = 2},
  [5570] = {.lex_state = 35, .external_lex_state = 2},
  [5571] = {.lex_state = 35},
  [5572] = {.lex_state = 35, .external_lex_state = 2},
  [5573] = {.lex_state = 35},
  [5574] = {.lex_state = 35, .external_lex_state = 2},
  [5575] = {.lex_state = 35},
  [5576] = {.lex_state = 35},
  [5577] = {.lex_state = 35, .external_lex_state = 2},
  [5578] = {.lex_state = 35, .external_lex_state = 2},
  [5579] = {.lex_state = 35},
  [5580] = {.lex_state = 35, .external_lex_state = 2},
  [5581] = {.lex_state = 35, .external_lex_state = 2},
  [5582] = {.lex_state = 35, .external_lex_state = 2},
  [5583] = {.lex_state = 35},
  [5584] = {.lex_state = 35},
  [5585] = {.lex_state = 35, .external_lex_state = 2},
  [5586] = {.lex_state = 35},
  [5587] = {.lex_state = 35, .external_lex_state = 2},
  [5588] = {.lex_state = 35, .external_lex_state = 2},
  [5589] = {.lex_state = 35},
  [5590] = {.lex_state = 35},
  [5591] = {.lex_state = 35},
  [5592] = {.lex_state = 35},
  [5593] = {.lex_state = 35},
  [5594] = {.lex_state = 35},
  [5595] = {.lex_state = 35, .external_lex_state = 2},
  [5596] = {.lex_state = 35, .external_lex_state = 2},
  [5597] = {.lex_state = 35, .external_lex_state = 2},
  [5598] = {.lex_state = 35, .external_lex_state = 2},
  [5599] = {.lex_state = 35},
  [5600] = {.lex_state = 35, .external_lex_state = 2},
  [5601] = {.lex_state = 35, .external_lex_state = 2},
  [5602] = {.lex_state = 35, .external_lex_state = 2},
  [5603] = {.lex_state = 35},
  [5604] = {.lex_state = 35, .external_lex_state = 2},
  [5605] = {.lex_state = 35},
  [5606] = {.lex_state = 35},
  [5607] = {.lex_state = 35, .external_lex_state = 2},
  [5608] = {.lex_state = 35},
  [5609] = {.lex_state = 35, .external_lex_state = 2},
  [5610] = {.lex_state = 35},
  [5611] = {.lex_state = 35, .external_lex_state = 2},
  [5612] = {.lex_state = 35},
  [5613] = {.lex_state = 35, .external_lex_state = 2},
  [5614] = {.lex_state = 35},
  [5615] = {.lex_state = 35, .external_lex_state = 2},
  [5616] = {.lex_state = 35},
  [5617] = {.lex_state = 35, .external_lex_state = 2},
  [5618] = {.lex_state = 35},
  [5619] = {.lex_state = 35, .external_lex_state = 2},
  [5620] = {.lex_state = 35, .external_lex_state = 2},
  [5621] = {.lex_state = 35, .external_lex_state = 2},
  [5622] = {.lex_state = 35, .external_lex_state = 2},
  [5623] = {.lex_state = 35, .external_lex_state = 2},
  [5624] = {.lex_state = 35, .external_lex_state = 2},
  [5625] = {.lex_state = 35},
  [5626] = {.lex_state = 35},
  [5627] = {.lex_state = 35, .external_lex_state = 2},
  [5628] = {.lex_state = 35},
  [5629] = {.lex_state = 35},
  [5630] = {.lex_state = 35},
  [5631] = {.lex_state = 35},
  [5632] = {.lex_state = 35, .external_lex_state = 2},
  [5633] = {.lex_state = 35},
  [5634] = {.lex_state = 35},
  [5635] = {.lex_state = 35},
  [5636] = {.lex_state = 35},
  [5637] = {.lex_state = 35},
  [5638] = {.lex_state = 35},
  [5639] = {.lex_state = 35, .external_lex_state = 2},
  [5640] = {.lex_state = 35},
  [5641] = {.lex_state = 35, .external_lex_state = 2},
  [5642] = {.lex_state = 35, .external_lex_state = 2},
  [5643] = {.lex_state = 35},
  [5644] = {.lex_state = 35},
  [5645] = {.lex_state = 35},
  [5646] = {.lex_state = 35},
  [5647] = {.lex_state = 35},
  [5648] = {.lex_state = 35},
  [5649] = {.lex_state = 35},
  [5650] = {.lex_state = 35, .external_lex_state = 2},
  [5651] = {.lex_state = 35, .external_lex_state = 2},
  [5652] = {.lex_state = 35, .external_lex_state = 2},
  [5653] = {.lex_state = 35},
  [5654] = {.lex_state = 35},
  [5655] = {.lex_state = 35},
  [5656] = {.lex_state = 35},
  [5657] = {.lex_state = 35},
  [5658] = {.lex_state = 35},
  [5659] = {.lex_state = 35},
  [5660] = {.lex_state = 35},
  [5661] = {.lex_state = 35},
  [5662] = {.lex_state = 35},
  [5663] = {.lex_state = 35},
  [5664] = {.lex_state = 35},
  [5665] = {.lex_state = 35},
  [5666] = {.lex_state = 35, .external_lex_state = 2},
  [5667] = {.lex_state = 35, .external_lex_state = 2},
  [5668] = {.lex_state = 35},
  [5669] = {.lex_state = 35, .external_lex_state = 2},
  [5670] = {.lex_state = 35},
  [5671] = {.lex_state = 35, .external_lex_state = 2},
  [5672] = {.lex_state = 35},
  [5673] = {.lex_state = 35},
  [5674] = {.lex_state = 35, .external_lex_state = 2},
  [5675] = {.lex_state = 35, .external_lex_state = 2},
  [5676] = {.lex_state = 35, .external_lex_state = 2},
  [5677] = {.lex_state = 35},
  [5678] = {.lex_state = 35},
  [5679] = {.lex_state = 35},
  [5680] = {.lex_state = 35},
  [5681] = {.lex_state = 35, .external_lex_state = 2},
  [5682] = {.lex_state = 35, .external_lex_state = 2},
  [5683] = {.lex_state = 35},
  [5684] = {.lex_state = 35, .external_lex_state = 2},
  [5685] = {.lex_state = 35},
  [5686] = {.lex_state = 35},
  [5687] = {.lex_state = 35},
  [5688] = {.lex_state = 35},
  [5689] = {.lex_state = 35},
  [5690] = {.lex_state = 35},
  [5691] = {.lex_state = 35},
  [5692] = {.lex_state = 35},
  [5693] = {.lex_state = 35},
  [5694] = {.lex_state = 35, .external_lex_state = 2},
  [5695] = {.lex_state = 35},
  [5696] = {.lex_state = 35},
  [5697] = {.lex_state = 35},
  [5698] = {.lex_state = 35},
  [5699] = {.lex_state = 35},
  [5700] = {.lex_state = 35},
  [5701] = {.lex_state = 35},
  [5702] = {.lex_state = 35},
  [5703] = {.lex_state = 35},
  [5704] = {.lex_state = 35},
  [5705] = {.lex_state = 35},
  [5706] = {.lex_state = 35},
  [5707] = {.lex_state = 35},
  [5708] = {.lex_state = 35},
  [5709] = {.lex_state = 35},
  [5710] = {.lex_state = 35},
  [5711] = {.lex_state = 35},
  [5712] = {.lex_state = 35},
  [5713] = {.lex_state = 35},
  [5714] = {.lex_state = 35},
  [5715] = {.lex_state = 35},
  [5716] = {.lex_state = 35},
  [5717] = {.lex_state = 35},
  [5718] = {.lex_state = 35, .external_lex_state = 2},
  [5719] = {.lex_state = 35},
  [5720] = {.lex_state = 35},
  [5721] = {.lex_state = 35},
  [5722] = {.lex_state = 35, .external_lex_state = 2},
  [5723] = {.lex_state = 35},
  [5724] = {.lex_state = 35},
  [5725] = {.lex_state = 35},
  [5726] = {.lex_state = 35},
  [5727] = {.lex_state = 35, .external_lex_state = 2},
  [5728] = {.lex_state = 35},
  [5729] = {.lex_state = 35},
  [5730] = {.lex_state = 35},
  [5731] = {.lex_state = 35},
  [5732] = {.lex_state = 35, .external_lex_state = 2},
  [5733] = {.lex_state = 35},
  [5734] = {.lex_state = 35, .external_lex_state = 2},
  [5735] = {.lex_state = 35},
  [5736] = {.lex_state = 35},
  [5737] = {.lex_state = 35},
  [5738] = {.lex_state = 35},
  [5739] = {.lex_state = 35},
  [5740] = {.lex_state = 35},
  [5741] = {.lex_state = 35, .external_lex_state = 2},
  [5742] = {.lex_state = 35, .external_lex_state = 2},
  [5743] = {.lex_state = 35, .external_lex_state = 2},
  [5744] = {.lex_state = 35},
  [5745] = {.lex_state = 35},
  [5746] = {.lex_state = 35},
  [5747] = {.lex_state = 35},
  [5748] = {.lex_state = 35},
  [5749] = {.lex_state = 35},
  [5750] = {.lex_state = 35},
  [5751] = {.lex_state = 35},
  [5752] = {.lex_state = 35},
  [5753] = {.lex_state = 35, .external_lex_state = 2},
  [5754] = {.lex_state = 35, .external_lex_state = 2},
  [5755] = {.lex_state = 35, .external_lex_state = 2},
  [5756] = {.lex_state = 35},
  [5757] = {.lex_state = 35},
  [5758] = {.lex_state = 35},
  [5759] = {.lex_state = 35},
  [5760] = {.lex_state = 35},
  [5761] = {.lex_state = 35},
  [5762] = {.lex_state = 35},
  [5763] = {.lex_state = 35},
  [5764] = {.lex_state = 35},
  [5765] = {.lex_state = 35},
  [5766] = {.lex_state = 35},
  [5767] = {.lex_state = 35},
  [5768] = {.lex_state = 35},
  [5769] = {.lex_state = 35},
  [5770] = {.lex_state = 35},
  [5771] = {.lex_state = 35},
  [5772] = {.lex_state = 35},
  [5773] = {.lex_state = 35},
  [5774] = {.lex_state = 35},
  [5775] = {.lex_state = 35},
  [5776] = {.lex_state = 35},
  [5777] = {.lex_state = 35},
  [5778] = {.lex_state = 35},
  [5779] = {.lex_state = 35},
  [5780] = {.lex_state = 35},
  [5781] = {.lex_state = 35},
  [5782] = {.lex_state = 35},
  [5783] = {.lex_state = 35},
  [5784] = {.lex_state = 35},
  [5785] = {.lex_state = 35},
  [5786] = {.lex_state = 35},
  [5787] = {.lex_state = 35},
  [5788] = {.lex_state = 35},
  [5789] = {.lex_state = 35},
  [5790] = {.lex_state = 35},
  [5791] = {.lex_state = 35},
  [5792] = {.lex_state = 35},
  [5793] = {.lex_state = 35},
  [5794] = {.lex_state = 35},
  [5795] = {.lex_state = 35},
  [5796] = {.lex_state = 35},
  [5797] = {.lex_state = 35},
  [5798] = {.lex_state = 35},
  [5799] = {.lex_state = 35},
  [5800] = {.lex_state = 35},
  [5801] = {.lex_state = 35},
  [5802] = {.lex_state = 35},
  [5803] = {.lex_state = 35},
  [5804] = {.lex_state = 35},
  [5805] = {.lex_state = 35},
  [5806] = {.lex_state = 35},
  [5807] = {.lex_state = 35},
  [5808] = {.lex_state = 35},
  [5809] = {.lex_state = 35},
  [5810] = {.lex_state = 35},
  [5811] = {.lex_state = 35},
  [5812] = {.lex_state = 35},
  [5813] = {.lex_state = 35},
  [5814] = {.lex_state = 35},
  [5815] = {.lex_state = 35},
  [5816] = {.lex_state = 35},
  [5817] = {.lex_state = 35},
  [5818] = {.lex_state = 35},
  [5819] = {.lex_state = 35},
  [5820] = {.lex_state = 35},
  [5821] = {.lex_state = 35},
  [5822] = {.lex_state = 35},
  [5823] = {.lex_state = 35},
  [5824] = {.lex_state = 35},
  [5825] = {.lex_state = 35},
  [5826] = {.lex_state = 35},
  [5827] = {.lex_state = 35},
  [5828] = {.lex_state = 35},
  [5829] = {.lex_state = 35},
  [5830] = {.lex_state = 35},
  [5831] = {.lex_state = 35},
  [5832] = {.lex_state = 35},
  [5833] = {.lex_state = 35},
  [5834] = {.lex_state = 35},
  [5835] = {.lex_state = 35},
  [5836] = {.lex_state = 35},
  [5837] = {.lex_state = 35},
  [5838] = {.lex_state = 35},
  [5839] = {.lex_state = 35},
  [5840] = {.lex_state = 35},
  [5841] = {.lex_state = 35},
  [5842] = {.lex_state = 35},
  [5843] = {.lex_state = 35},
  [5844] = {.lex_state = 35},
  [5845] = {.lex_state = 35},
  [5846] = {.lex_state = 35},
  [5847] = {.lex_state = 35},
  [5848] = {.lex_state = 35},
  [5849] = {.lex_state = 35},
  [5850] = {.lex_state = 35},
  [5851] = {.lex_state = 35},
  [5852] = {.lex_state = 35},
  [5853] = {.lex_state = 35},
  [5854] = {.lex_state = 35},
  [5855] = {.lex_state = 35},
  [5856] = {.lex_state = 35},
  [5857] = {.lex_state = 35},
  [5858] = {.lex_state = 35},
  [5859] = {.lex_state = 35},
  [5860] = {.lex_state = 35},
  [5861] = {.lex_state = 35},
  [5862] = {.lex_state = 35},
  [5863] = {.lex_state = 35},
  [5864] = {.lex_state = 35},
  [5865] = {.lex_state = 35},
  [5866] = {.lex_state = 35},
  [5867] = {.lex_state = 35},
  [5868] = {.lex_state = 35},
  [5869] = {.lex_state = 35},
  [5870] = {.lex_state = 35},
  [5871] = {.lex_state = 35},
  [5872] = {.lex_state = 35},
  [5873] = {.lex_state = 35},
  [5874] = {.lex_state = 35},
  [5875] = {.lex_state = 35},
  [5876] = {.lex_state = 35},
  [5877] = {.lex_state = 35},
  [5878] = {.lex_state = 35},
  [5879] = {.lex_state = 35},
  [5880] = {.lex_state = 35},
  [5881] = {.lex_state = 35},
  [5882] = {.lex_state = 35},
  [5883] = {.lex_state = 35},
  [5884] = {.lex_state = 35},
  [5885] = {.lex_state = 35},
  [5886] = {.lex_state = 35},
  [5887] = {.lex_state = 35},
  [5888] = {.lex_state = 35},
  [5889] = {.lex_state = 35},
  [5890] = {.lex_state = 35},
  [5891] = {.lex_state = 35},
  [5892] = {.lex_state = 35},
  [5893] = {.lex_state = 35},
  [5894] = {.lex_state = 35},
  [5895] = {.lex_state = 35},
  [5896] = {.lex_state = 33, .external_lex_state = 3},
  [5897] = {.lex_state = 35},
  [5898] = {.lex_state = 35},
  [5899] = {.lex_state = 35},
  [5900] = {.lex_state = 35},
  [5901] = {.lex_state = 35},
  [5902] = {.lex_state = 35},
  [5903] = {.lex_state = 35},
  [5904] = {.lex_state = 35},
  [5905] = {.lex_state = 35},
  [5906] = {.lex_state = 35},
  [5907] = {.lex_state = 35},
  [5908] = {.lex_state = 35},
  [5909] = {.lex_state = 35},
  [5910] = {.lex_state = 35},
  [5911] = {.lex_state = 35},
  [5912] = {.lex_state = 35},
  [5913] = {.lex_state = 35},
  [5914] = {.lex_state = 35},
  [5915] = {.lex_state = 35},
  [5916] = {.lex_state = 35},
  [5917] = {.lex_state = 35},
  [5918] = {.lex_state = 35},
  [5919] = {.lex_state = 35},
  [5920] = {.lex_state = 35},
  [5921] = {.lex_state = 35},
  [5922] = {.lex_state = 35},
  [5923] = {.lex_state = 35},
  [5924] = {.lex_state = 35},
  [5925] = {.lex_state = 35},
  [5926] = {.lex_state = 35},
  [5927] = {.lex_state = 35},
  [5928] = {.lex_state = 35},
  [5929] = {.lex_state = 35},
  [5930] = {.lex_state = 35},
  [5931] = {.lex_state = 35},
  [5932] = {.lex_state = 35},
  [5933] = {.lex_state = 35},
  [5934] = {.lex_state = 35},
  [5935] = {.lex_state = 35},
  [5936] = {.lex_state = 35},
  [5937] = {.lex_state = 35},
  [5938] = {.lex_state = 35},
  [5939] = {.lex_state = 35},
  [5940] = {.lex_state = 35},
  [5941] = {.lex_state = 35},
  [5942] = {.lex_state = 35},
  [5943] = {.lex_state = 35},
  [5944] = {.lex_state = 35},
  [5945] = {.lex_state = 35},
  [5946] = {.lex_state = 35},
  [5947] = {.lex_state = 35},
  [5948] = {.lex_state = 35},
  [5949] = {.lex_state = 35},
  [5950] = {.lex_state = 35},
  [5951] = {.lex_state = 35},
  [5952] = {.lex_state = 35},
  [5953] = {.lex_state = 35},
  [5954] = {.lex_state = 35},
  [5955] = {.lex_state = 35},
  [5956] = {.lex_state = 35},
  [5957] = {.lex_state = 35},
  [5958] = {.lex_state = 35},
  [5959] = {.lex_state = 35},
  [5960] = {.lex_state = 35},
  [5961] = {.lex_state = 35},
  [5962] = {.lex_state = 35},
  [5963] = {.lex_state = 35},
  [5964] = {.lex_state = 35},
  [5965] = {.lex_state = 35},
  [5966] = {.lex_state = 35, .external_lex_state = 2},
  [5967] = {.lex_state = 35},
  [5968] = {.lex_state = 35},
  [5969] = {.lex_state = 35, .external_lex_state = 2},
  [5970] = {.lex_state = 35},
  [5971] = {.lex_state = 35},
  [5972] = {.lex_state = 35},
  [5973] = {.lex_state = 35},
  [5974] = {.lex_state = 35},
  [5975] = {.lex_state = 35},
  [5976] = {.lex_state = 35},
  [5977] = {.lex_state = 35},
  [5978] = {.lex_state = 35},
  [5979] = {.lex_state = 35},
  [5980] = {.lex_state = 35},
  [5981] = {.lex_state = 35},
  [5982] = {.lex_state = 35},
  [5983] = {.lex_state = 35},
  [5984] = {.lex_state = 35},
  [5985] = {.lex_state = 35},
  [5986] = {.lex_state = 35},
  [5987] = {.lex_state = 35},
  [5988] = {.lex_state = 35},
  [5989] = {.lex_state = 35},
  [5990] = {.lex_state = 35},
  [5991] = {.lex_state = 35},
  [5992] = {.lex_state = 35},
  [5993] = {.lex_state = 35},
  [5994] = {.lex_state = 35},
  [5995] = {.lex_state = 35},
  [5996] = {.lex_state = 35},
  [5997] = {.lex_state = 35},
  [5998] = {.lex_state = 35},
  [5999] = {.lex_state = 35},
  [6000] = {.lex_state = 35},
  [6001] = {.lex_state = 35},
  [6002] = {.lex_state = 35},
  [6003] = {.lex_state = 35, .external_lex_state = 2},
  [6004] = {.lex_state = 35},
  [6005] = {.lex_state = 35, .external_lex_state = 2},
  [6006] = {.lex_state = 35},
  [6007] = {.lex_state = 35},
  [6008] = {.lex_state = 35},
  [6009] = {.lex_state = 35},
  [6010] = {.lex_state = 35},
  [6011] = {.lex_state = 35},
  [6012] = {.lex_state = 35},
  [6013] = {.lex_state = 35},
  [6014] = {.lex_state = 35, .external_lex_state = 2},
  [6015] = {.lex_state = 33, .external_lex_state = 3},
  [6016] = {.lex_state = 35},
  [6017] = {.lex_state = 35},
  [6018] = {.lex_state = 35},
  [6019] = {.lex_state = 35},
  [6020] = {.lex_state = 35},
  [6021] = {.lex_state = 35},
  [6022] = {.lex_state = 35},
  [6023] = {.lex_state = 35},
  [6024] = {.lex_state = 35},
  [6025] = {.lex_state = 35},
  [6026] = {.lex_state = 35},
  [6027] = {.lex_state = 35},
  [6028] = {.lex_state = 35},
  [6029] = {.lex_state = 35},
  [6030] = {.lex_state = 35},
  [6031] = {.lex_state = 35},
  [6032] = {.lex_state = 35},
  [6033] = {.lex_state = 35},
  [6034] = {.lex_state = 35},
  [6035] = {.lex_state = 35},
  [6036] = {.lex_state = 35},
  [6037] = {.lex_state = 35},
  [6038] = {.lex_state = 35},
  [6039] = {.lex_state = 35},
  [6040] = {.lex_state = 35},
  [6041] = {.lex_state = 35},
  [6042] = {.lex_state = 35, .external_lex_state = 2},
  [6043] = {.lex_state = 35},
  [6044] = {.lex_state = 35},
  [6045] = {.lex_state = 35},
  [6046] = {.lex_state = 35},
  [6047] = {.lex_state = 35},
  [6048] = {.lex_state = 35},
  [6049] = {.lex_state = 35},
  [6050] = {.lex_state = 35},
  [6051] = {.lex_state = 35},
  [6052] = {.lex_state = 35},
  [6053] = {.lex_state = 35},
  [6054] = {.lex_state = 35},
  [6055] = {.lex_state = 35},
  [6056] = {.lex_state = 35},
  [6057] = {.lex_state = 35},
  [6058] = {.lex_state = 35},
  [6059] = {.lex_state = 35},
  [6060] = {.lex_state = 35},
  [6061] = {.lex_state = 35},
  [6062] = {.lex_state = 35},
  [6063] = {.lex_state = 35},
  [6064] = {.lex_state = 35},
  [6065] = {.lex_state = 35},
  [6066] = {.lex_state = 35},
  [6067] = {.lex_state = 35},
  [6068] = {.lex_state = 35},
  [6069] = {.lex_state = 35},
  [6070] = {.lex_state = 35},
  [6071] = {.lex_state = 35},
  [6072] = {.lex_state = 35},
  [6073] = {.lex_state = 35},
  [6074] = {.lex_state = 35},
  [6075] = {.lex_state = 35},
  [6076] = {.lex_state = 35},
  [6077] = {.lex_state = 35},
  [6078] = {.lex_state = 35},
  [6079] = {.lex_state = 35},
  [6080] = {.lex_state = 35},
  [6081] = {.lex_state = 35},
  [6082] = {.lex_state = 35},
  [6083] = {.lex_state = 35},
  [6084] = {.lex_state = 35},
  [6085] = {.lex_state = 35},
  [6086] = {.lex_state = 35},
  [6087] = {.lex_state = 35},
  [6088] = {.lex_state = 35},
  [6089] = {.lex_state = 35},
  [6090] = {.lex_state = 35},
  [6091] = {.lex_state = 35},
  [6092] = {.lex_state = 35},
  [6093] = {.lex_state = 35},
  [6094] = {.lex_state = 35},
  [6095] = {.lex_state = 35},
  [6096] = {.lex_state = 35},
  [6097] = {.lex_state = 35},
  [6098] = {.lex_state = 35},
  [6099] = {.lex_state = 35},
  [6100] = {.lex_state = 35},
  [6101] = {.lex_state = 35},
  [6102] = {.lex_state = 35},
  [6103] = {.lex_state = 35},
  [6104] = {.lex_state = 35},
  [6105] = {.lex_state = 35},
  [6106] = {.lex_state = 35},
  [6107] = {.lex_state = 35},
  [6108] = {.lex_state = 35},
  [6109] = {.lex_state = 35},
  [6110] = {.lex_state = 35},
  [6111] = {.lex_state = 35},
  [6112] = {.lex_state = 35},
  [6113] = {.lex_state = 35},
  [6114] = {.lex_state = 33, .external_lex_state = 4},
  [6115] = {.lex_state = 35},
  [6116] = {.lex_state = 35},
  [6117] = {.lex_state = 35},
  [6118] = {.lex_state = 35},
  [6119] = {.lex_state = 35},
  [6120] = {.lex_state = 35},
  [6121] = {.lex_state = 35},
  [6122] = {.lex_state = 35},
  [6123] = {.lex_state = 35},
  [6124] = {.lex_state = 35},
  [6125] = {.lex_state = 35},
  [6126] = {.lex_state = 35},
  [6127] = {.lex_state = 35},
  [6128] = {.lex_state = 35},
  [6129] = {.lex_state = 35},
  [6130] = {.lex_state = 35},
  [6131] = {.lex_state = 35},
  [6132] = {.lex_state = 35},
  [6133] = {.lex_state = 35},
  [6134] = {.lex_state = 35},
  [6135] = {.lex_state = 35},
  [6136] = {.lex_state = 35},
  [6137] = {.lex_state = 35},
  [6138] = {.lex_state = 35},
  [6139] = {.lex_state = 35},
  [6140] = {.lex_state = 35},
  [6141] = {.lex_state = 35},
  [6142] = {.lex_state = 35},
  [6143] = {.lex_state = 35},
  [6144] = {.lex_state = 35},
  [6145] = {.lex_state = 35},
  [6146] = {.lex_state = 35},
  [6147] = {.lex_state = 35},
  [6148] = {.lex_state = 35},
  [6149] = {.lex_state = 35},
  [6150] = {.lex_state = 35},
  [6151] = {.lex_state = 35},
  [6152] = {.lex_state = 35},
  [6153] = {.lex_state = 35},
  [6154] = {.lex_state = 35},
  [6155] = {.lex_state = 35},
  [6156] = {.lex_state = 35},
  [6157] = {.lex_state = 35},
  [6158] = {.lex_state = 33, .external_lex_state = 4},
  [6159] = {.lex_state = 35},
  [6160] = {.lex_state = 35},
  [6161] = {.lex_state = 35},
  [6162] = {.lex_state = 35},
  [6163] = {.lex_state = 35},
  [6164] = {.lex_state = 35},
  [6165] = {.lex_state = 35},
  [6166] = {.lex_state = 33, .external_lex_state = 4},
  [6167] = {.lex_state = 33, .external_lex_state = 4},
  [6168] = {.lex_state = 33, .external_lex_state = 4},
  [6169] = {.lex_state = 35},
  [6170] = {.lex_state = 35},
  [6171] = {.lex_state = 35},
  [6172] = {.lex_state = 35},
  [6173] = {.lex_state = 35},
  [6174] = {.lex_state = 35},
  [6175] = {.lex_state = 35},
  [6176] = {.lex_state = 35},
  [6177] = {.lex_state = 35},
  [6178] = {.lex_state = 33, .external_lex_state = 4},
  [6179] = {.lex_state = 35, .external_lex_state = 2},
  [6180] = {.lex_state = 35},
  [6181] = {.lex_state = 35},
  [6182] = {.lex_state = 35},
  [6183] = {.lex_state = 35},
  [6184] = {.lex_state = 35},
  [6185] = {.lex_state = 35},
  [6186] = {.lex_state = 35},
  [6187] = {.lex_state = 35},
  [6188] = {.lex_state = 35},
  [6189] = {.lex_state = 35},
  [6190] = {.lex_state = 35},
  [6191] = {.lex_state = 35},
  [6192] = {.lex_state = 33, .external_lex_state = 3},
  [6193] = {.lex_state = 35},
  [6194] = {.lex_state = 35},
  [6195] = {.lex_state = 35},
  [6196] = {.lex_state = 35},
  [6197] = {.lex_state = 35},
  [6198] = {.lex_state = 35},
  [6199] = {.lex_state = 35},
  [6200] = {.lex_state = 35},
  [6201] = {.lex_state = 35},
  [6202] = {.lex_state = 33, .external_lex_state = 4},
  [6203] = {.lex_state = 35},
  [6204] = {.lex_state = 35},
  [6205] = {.lex_state = 35},
  [6206] = {.lex_state = 35},
  [6207] = {.lex_state = 35},
  [6208] = {.lex_state = 35},
  [6209] = {.lex_state = 35},
  [6210] = {.lex_state = 35},
  [6211] = {.lex_state = 33, .external_lex_state = 3},
  [6212] = {.lex_state = 35},
  [6213] = {.lex_state = 35},
  [6214] = {.lex_state = 35},
  [6215] = {.lex_state = 35},
  [6216] = {.lex_state = 35},
  [6217] = {.lex_state = 35},
  [6218] = {.lex_state = 35},
  [6219] = {.lex_state = 33, .external_lex_state = 3},
  [6220] = {.lex_state = 35},
  [6221] = {.lex_state = 35},
  [6222] = {.lex_state = 35},
  [6223] = {.lex_state = 35},
  [6224] = {.lex_state = 35},
  [6225] = {.lex_state = 35},
  [6226] = {.lex_state = 35},
  [6227] = {.lex_state = 35},
  [6228] = {.lex_state = 35},
  [6229] = {.lex_state = 35},
  [6230] = {.lex_state = 35},
  [6231] = {.lex_state = 35},
  [6232] = {.lex_state = 35},
  [6233] = {.lex_state = 35},
  [6234] = {.lex_state = 35},
  [6235] = {.lex_state = 35},
  [6236] = {.lex_state = 35},
  [6237] = {.lex_state = 35},
  [6238] = {.lex_state = 35},
  [6239] = {.lex_state = 35},
  [6240] = {.lex_state = 35},
  [6241] = {.lex_state = 35},
  [6242] = {.lex_state = 35},
  [6243] = {.lex_state = 35},
  [6244] = {.lex_state = 35},
  [6245] = {.lex_state = 35},
  [6246] = {.lex_state = 35},
  [6247] = {.lex_state = 35},
  [6248] = {.lex_state = 35},
  [6249] = {.lex_state = 35},
  [6250] = {.lex_state = 35},
  [6251] = {.lex_state = 35},
  [6252] = {.lex_state = 35},
  [6253] = {.lex_state = 35},
  [6254] = {.lex_state = 35},
  [6255] = {.lex_state = 35},
  [6256] = {.lex_state = 35},
  [6257] = {.lex_state = 35},
  [6258] = {.lex_state = 35},
  [6259] = {.lex_state = 35},
  [6260] = {.lex_state = 35},
  [6261] = {.lex_state = 35},
  [6262] = {.lex_state = 35},
  [6263] = {.lex_state = 35},
  [6264] = {.lex_state = 35},
  [6265] = {.lex_state = 35},
  [6266] = {.lex_state = 35},
  [6267] = {.lex_state = 35},
  [6268] = {.lex_state = 35},
  [6269] = {.lex_state = 35},
  [6270] = {.lex_state = 35},
  [6271] = {.lex_state = 35},
  [6272] = {.lex_state = 35},
  [6273] = {.lex_state = 35},
  [6274] = {.lex_state = 35},
  [6275] = {.lex_state = 35},
  [6276] = {.lex_state = 35},
  [6277] = {.lex_state = 35},
  [6278] = {.lex_state = 35},
  [6279] = {.lex_state = 35},
  [6280] = {.lex_state = 35},
  [6281] = {.lex_state = 35},
  [6282] = {.lex_state = 35},
  [6283] = {.lex_state = 35},
  [6284] = {.lex_state = 35},
  [6285] = {.lex_state = 35},
  [6286] = {.lex_state = 35},
  [6287] = {.lex_state = 35},
  [6288] = {.lex_state = 35},
  [6289] = {.lex_state = 35},
  [6290] = {.lex_state = 35},
  [6291] = {.lex_state = 35},
  [6292] = {.lex_state = 33, .external_lex_state = 3},
  [6293] = {.lex_state = 35},
  [6294] = {.lex_state = 35},
  [6295] = {.lex_state = 35},
  [6296] = {.lex_state = 33, .external_lex_state = 3},
  [6297] = {.lex_state = 35},
  [6298] = {.lex_state = 35},
  [6299] = {.lex_state = 35},
  [6300] = {.lex_state = 35},
  [6301] = {.lex_state = 35},
  [6302] = {.lex_state = 35},
  [6303] = {.lex_state = 35},
  [6304] = {.lex_state = 35},
  [6305] = {.lex_state = 35},
  [6306] = {.lex_state = 35},
  [6307] = {.lex_state = 35},
  [6308] = {.lex_state = 35},
  [6309] = {.lex_state = 35},
  [6310] = {.lex_state = 35},
  [6311] = {.lex_state = 35},
  [6312] = {.lex_state = 35},
  [6313] = {.lex_state = 35},
  [6314] = {.lex_state = 35},
  [6315] = {.lex_state = 35},
  [6316] = {.lex_state = 35},
  [6317] = {.lex_state = 35},
  [6318] = {.lex_state = 35},
  [6319] = {.lex_state = 35},
  [6320] = {.lex_state = 35},
  [6321] = {.lex_state = 35},
  [6322] = {.lex_state = 35},
  [6323] = {.lex_state = 35},
  [6324] = {.lex_state = 35},
  [6325] = {.lex_state = 35},
  [6326] = {.lex_state = 35},
  [6327] = {.lex_state = 35},
  [6328] = {.lex_state = 35},
  [6329] = {.lex_state = 33, .external_lex_state = 3},
  [6330] = {.lex_state = 35},
  [6331] = {.lex_state = 35},
  [6332] = {.lex_state = 35},
  [6333] = {.lex_state = 35},
  [6334] = {.lex_state = 35},
  [6335] = {.lex_state = 35},
  [6336] = {.lex_state = 35},
  [6337] = {.lex_state = 33, .external_lex_state = 3},
  [6338] = {.lex_state = 35},
  [6339] = {.lex_state = 33, .external_lex_state = 3},
  [6340] = {.lex_state = 33, .external_lex_state = 3},
  [6341] = {.lex_state = 33, .external_lex_state = 3},
  [6342] = {.lex_state = 35, .external_lex_state = 2},
  [6343] = {.lex_state = 33, .external_lex_state = 3},
  [6344] = {.lex_state = 35},
  [6345] = {.lex_state = 35, .external_lex_state = 2},
  [6346] = {.lex_state = 35, .external_lex_state = 2},
  [6347] = {.lex_state = 35, .external_lex_state = 2},
  [6348] = {.lex_state = 35},
  [6349] = {.lex_state = 33, .external_lex_state = 3},
  [6350] = {.lex_state = 35},
  [6351] = {.lex_state = 35},
  [6352] = {.lex_state = 33, .external_lex_state = 3},
  [6353] = {.lex_state = 35},
  [6354] = {.lex_state = 35},
  [6355] = {.lex_state = 33, .external_lex_state = 3},
  [6356] = {.lex_state = 33, .external_lex_state = 3},
  [6357] = {.lex_state = 35, .external_lex_state = 2},
  [6358] = {.lex_state = 35, .external_lex_state = 2},
  [6359] = {.lex_state = 35},
  [6360] = {.lex_state = 33, .external_lex_state = 3},
  [6361] = {.lex_state = 33, .external_lex_state = 3},
  [6362] = {.lex_state = 33, .external_lex_state = 3},
  [6363] = {.lex_state = 33, .external_lex_state = 3},
  [6364] = {.lex_state = 35},
  [6365] = {.lex_state = 33, .external_lex_state = 3},
  [6366] = {.lex_state = 35},
  [6367] = {.lex_state = 33, .external_lex_state = 3},
  [6368] = {.lex_state = 35},
  [6369] = {.lex_state = 33, .external_lex_state = 3},
  [6370] = {.lex_state = 35},
  [6371] = {.lex_state = 33, .external_lex_state = 3},
  [6372] = {.lex_state = 33, .external_lex_state = 3},
  [6373] = {.lex_state = 33, .external_lex_state = 3},
  [6374] = {.lex_state = 33, .external_lex_state = 3},
  [6375] = {.lex_state = 35},
  [6376] = {.lex_state = 35},
  [6377] = {.lex_state = 35},
  [6378] = {.lex_state = 33, .external_lex_state = 3},
  [6379] = {.lex_state = 33, .external_lex_state = 3},
  [6380] = {.lex_state = 33, .external_lex_state = 3},
  [6381] = {.lex_state = 33, .external_lex_state = 3},
  [6382] = {.lex_state = 33, .external_lex_state = 3},
  [6383] = {.lex_state = 35},
  [6384] = {.lex_state = 35},
  [6385] = {.lex_state = 35},
  [6386] = {.lex_state = 35},
  [6387] = {.lex_state = 35},
  [6388] = {.lex_state = 33, .external_lex_state = 3},
  [6389] = {.lex_state = 33, .external_lex_state = 3},
  [6390] = {.lex_state = 35},
  [6391] = {.lex_state = 35},
  [6392] = {.lex_state = 35},
  [6393] = {.lex_state = 35},
  [6394] = {.lex_state = 35},
  [6395] = {.lex_state = 35},
  [6396] = {.lex_state = 35},
  [6397] = {.lex_state = 35},
  [6398] = {.lex_state = 35},
  [6399] = {.lex_state = 35},
  [6400] = {.lex_state = 35},
  [6401] = {.lex_state = 35},
  [6402] = {.lex_state = 35},
  [6403] = {.lex_state = 35},
  [6404] = {.lex_state = 35},
  [6405] = {.lex_state = 35},
  [6406] = {.lex_state = 35},
  [6407] = {.lex_state = 35},
  [6408] = {.lex_state = 35},
  [6409] = {.lex_state = 35},
  [6410] = {.lex_state = 35},
  [6411] = {.lex_state = 35},
  [6412] = {.lex_state = 35},
  [6413] = {.lex_state = 35},
  [6414] = {.lex_state = 36},
  [6415] = {.lex_state = 35},
  [6416] = {.lex_state = 35},
  [6417] = {.lex_state = 35, .external_lex_state = 2},
  [6418] = {.lex_state = 35, .external_lex_state = 2},
  [6419] = {.lex_state = 35, .external_lex_state = 2},
  [6420] = {.lex_state = 35, .external_lex_state = 2},
  [6421] = {.lex_state = 35},
  [6422] = {.lex_state = 35},
  [6423] = {.lex_state = 35, .external_lex_state = 2},
  [6424] = {.lex_state = 35, .external_lex_state = 2},
  [6425] = {.lex_state = 35, .external_lex_state = 2},
  [6426] = {.lex_state = 35},
  [6427] = {.lex_state = 35},
  [6428] = {.lex_state = 33},
  [6429] = {.lex_state = 35},
  [6430] = {.lex_state = 33, .external_lex_state = 3},
  [6431] = {.lex_state = 35},
  [6432] = {.lex_state = 35},
  [6433] = {.lex_state = 33, .external_lex_state = 3},
  [6434] = {.lex_state = 35},
  [6435] = {.lex_state = 35},
  [6436] = {.lex_state = 35},
  [6437] = {.lex_state = 35},
  [6438] = {.lex_state = 35},
  [6439] = {.lex_state = 35},
  [6440] = {.lex_state = 35},
  [6441] = {.lex_state = 35},
  [6442] = {.lex_state = 35},
  [6443] = {.lex_state = 35},
  [6444] = {.lex_state = 35},
  [6445] = {.lex_state = 35},
  [6446] = {.lex_state = 35},
  [6447] = {.lex_state = 33, .external_lex_state = 3},
  [6448] = {.lex_state = 35},
  [6449] = {.lex_state = 35},
  [6450] = {.lex_state = 35},
  [6451] = {.lex_state = 35},
  [6452] = {.lex_state = 35},
  [6453] = {.lex_state = 35},
  [6454] = {.lex_state = 33, .external_lex_state = 3},
  [6455] = {.lex_state = 35},
  [6456] = {.lex_state = 33, .external_lex_state = 3},
  [6457] = {.lex_state = 35},
  [6458] = {.lex_state = 35},
  [6459] = {.lex_state = 35},
  [6460] = {.lex_state = 35},
  [6461] = {.lex_state = 35},
  [6462] = {.lex_state = 35},
  [6463] = {.lex_state = 33, .external_lex_state = 3},
  [6464] = {.lex_state = 35},
  [6465] = {.lex_state = 33, .external_lex_state = 3},
  [6466] = {.lex_state = 35},
  [6467] = {.lex_state = 35},
  [6468] = {.lex_state = 35},
  [6469] = {.lex_state = 35},
  [6470] = {.lex_state = 35},
  [6471] = {.lex_state = 35},
  [6472] = {.lex_state = 35},
  [6473] = {.lex_state = 35},
  [6474] = {.lex_state = 35},
  [6475] = {.lex_state = 35},
  [6476] = {.lex_state = 35},
  [6477] = {.lex_state = 35, .external_lex_state = 2},
  [6478] = {.lex_state = 35},
  [6479] = {.lex_state = 35},
  [6480] = {.lex_state = 35},
  [6481] = {.lex_state = 35},
  [6482] = {.lex_state = 35},
  [6483] = {.lex_state = 35, .external_lex_state = 2},
  [6484] = {.lex_state = 35},
  [6485] = {.lex_state = 35},
  [6486] = {.lex_state = 33},
  [6487] = {.lex_state = 35},
  [6488] = {.lex_state = 35, .external_lex_state = 2},
  [6489] = {.lex_state = 35},
  [6490] = {.lex_state = 35},
  [6491] = {.lex_state = 35},
  [6492] = {.lex_state = 35},
  [6493] = {.lex_state = 35},
  [6494] = {.lex_state = 35},
  [6495] = {.lex_state = 35},
  [6496] = {.lex_state = 35, .external_lex_state = 2},
  [6497] = {.lex_state = 35, .external_lex_state = 2},
  [6498] = {.lex_state = 35, .external_lex_state = 2},
  [6499] = {.lex_state = 35, .external_lex_state = 2},
  [6500] = {.lex_state = 35, .external_lex_state = 2},
  [6501] = {.lex_state = 35, .external_lex_state = 2},
  [6502] = {.lex_state = 35},
  [6503] = {.lex_state = 35},
  [6504] = {.lex_state = 35},
  [6505] = {.lex_state = 35},
  [6506] = {.lex_state = 35},
  [6507] = {.lex_state = 35},
  [6508] = {.lex_state = 33, .external_lex_state = 3},
  [6509] = {.lex_state = 35},
  [6510] = {.lex_state = 35, .external_lex_state = 2},
  [6511] = {.lex_state = 35},
  [6512] = {.lex_state = 35},
  [6513] = {.lex_state = 35},
  [6514] = {.lex_state = 35},
  [6515] = {.lex_state = 35, .external_lex_state = 2},
  [6516] = {.lex_state = 33, .external_lex_state = 3},
  [6517] = {.lex_state = 35, .external_lex_state = 2},
  [6518] = {.lex_state = 35, .external_lex_state = 2},
  [6519] = {.lex_state = 35},
  [6520] = {.lex_state = 35},
  [6521] = {.lex_state = 35, .external_lex_state = 2},
  [6522] = {.lex_state = 35},
  [6523] = {.lex_state = 35, .external_lex_state = 2},
  [6524] = {.lex_state = 35, .external_lex_state = 2},
  [6525] = {.lex_state = 35, .external_lex_state = 2},
  [6526] = {.lex_state = 35},
  [6527] = {.lex_state = 35},
  [6528] = {.lex_state = 35},
  [6529] = {.lex_state = 35},
  [6530] = {.lex_state = 35},
  [6531] = {.lex_state = 35, .external_lex_state = 2},
  [6532] = {.lex_state = 35, .external_lex_state = 2},
  [6533] = {.lex_state = 35},
  [6534] = {.lex_state = 35},
  [6535] = {.lex_state = 33, .external_lex_state = 3},
  [6536] = {.lex_state = 35, .external_lex_state = 2},
  [6537] = {.lex_state = 35, .external_lex_state = 2},
  [6538] = {.lex_state = 35, .external_lex_state = 2},
  [6539] = {.lex_state = 35, .external_lex_state = 2},
  [6540] = {.lex_state = 35},
  [6541] = {.lex_state = 35},
  [6542] = {.lex_state = 35, .external_lex_state = 2},
  [6543] = {.lex_state = 35},
  [6544] = {.lex_state = 35},
  [6545] = {.lex_state = 35},
  [6546] = {.lex_state = 35},
  [6547] = {.lex_state = 35, .external_lex_state = 2},
  [6548] = {.lex_state = 35},
  [6549] = {.lex_state = 35, .external_lex_state = 2},
  [6550] = {.lex_state = 35, .external_lex_state = 2},
  [6551] = {.lex_state = 33, .external_lex_state = 3},
  [6552] = {.lex_state = 35, .external_lex_state = 2},
  [6553] = {.lex_state = 35},
  [6554] = {.lex_state = 35, .external_lex_state = 2},
  [6555] = {.lex_state = 35, .external_lex_state = 2},
  [6556] = {.lex_state = 35, .external_lex_state = 2},
  [6557] = {.lex_state = 35, .external_lex_state = 2},
  [6558] = {.lex_state = 35, .external_lex_state = 2},
  [6559] = {.lex_state = 35, .external_lex_state = 2},
  [6560] = {.lex_state = 35, .external_lex_state = 2},
  [6561] = {.lex_state = 35},
  [6562] = {.lex_state = 35, .external_lex_state = 2},
  [6563] = {.lex_state = 35},
  [6564] = {.lex_state = 35},
  [6565] = {.lex_state = 35},
  [6566] = {.lex_state = 35, .external_lex_state = 2},
  [6567] = {.lex_state = 35},
  [6568] = {.lex_state = 35, .external_lex_state = 2},
  [6569] = {.lex_state = 35},
  [6570] = {.lex_state = 35, .external_lex_state = 2},
  [6571] = {.lex_state = 35},
  [6572] = {.lex_state = 35, .external_lex_state = 2},
  [6573] = {.lex_state = 35},
  [6574] = {.lex_state = 33, .external_lex_state = 4},
  [6575] = {.lex_state = 35},
  [6576] = {.lex_state = 35},
  [6577] = {.lex_state = 35},
  [6578] = {.lex_state = 35},
  [6579] = {.lex_state = 35},
  [6580] = {.lex_state = 35, .external_lex_state = 2},
  [6581] = {.lex_state = 35},
  [6582] = {.lex_state = 33, .external_lex_state = 4},
  [6583] = {.lex_state = 35},
  [6584] = {.lex_state = 33, .external_lex_state = 4},
  [6585] = {.lex_state = 35},
  [6586] = {.lex_state = 35},
  [6587] = {.lex_state = 35},
  [6588] = {.lex_state = 35, .external_lex_state = 2},
  [6589] = {.lex_state = 35},
  [6590] = {.lex_state = 35, .external_lex_state = 2},
  [6591] = {.lex_state = 1, .external_lex_state = 3},
  [6592] = {.lex_state = 35, .external_lex_state = 2},
  [6593] = {.lex_state = 33, .external_lex_state = 3},
  [6594] = {.lex_state = 35, .external_lex_state = 2},
  [6595] = {.lex_state = 35},
  [6596] = {.lex_state = 35, .external_lex_state = 2},
  [6597] = {.lex_state = 35, .external_lex_state = 2},
  [6598] = {.lex_state = 35, .external_lex_state = 2},
  [6599] = {.lex_state = 35, .external_lex_state = 2},
  [6600] = {.lex_state = 1, .external_lex_state = 3},
  [6601] = {.lex_state = 1, .external_lex_state = 3},
  [6602] = {.lex_state = 1, .external_lex_state = 3},
  [6603] = {.lex_state = 35},
  [6604] = {.lex_state = 35},
  [6605] = {.lex_state = 35, .external_lex_state = 2},
  [6606] = {.lex_state = 35},
  [6607] = {.lex_state = 35, .external_lex_state = 2},
  [6608] = {.lex_state = 35, .external_lex_state = 2},
  [6609] = {.lex_state = 1, .external_lex_state = 3},
  [6610] = {.lex_state = 35, .external_lex_state = 2},
  [6611] = {.lex_state = 35},
  [6612] = {.lex_state = 35},
  [6613] = {.lex_state = 35, .external_lex_state = 2},
  [6614] = {.lex_state = 35, .external_lex_state = 2},
  [6615] = {.lex_state = 35, .external_lex_state = 2},
  [6616] = {.lex_state = 35, .external_lex_state = 2},
  [6617] = {.lex_state = 1, .external_lex_state = 3},
  [6618] = {.lex_state = 35, .external_lex_state = 2},
  [6619] = {.lex_state = 35},
  [6620] = {.lex_state = 35},
  [6621] = {.lex_state = 35},
  [6622] = {.lex_state = 35},
  [6623] = {.lex_state = 35},
  [6624] = {.lex_state = 35},
  [6625] = {.lex_state = 33, .external_lex_state = 4},
  [6626] = {.lex_state = 35},
  [6627] = {.lex_state = 35},
  [6628] = {.lex_state = 35},
  [6629] = {.lex_state = 35},
  [6630] = {.lex_state = 35},
  [6631] = {.lex_state = 35},
  [6632] = {.lex_state = 35},
  [6633] = {.lex_state = 35},
  [6634] = {.lex_state = 35},
  [6635] = {.lex_state = 35},
  [6636] = {.lex_state = 1, .external_lex_state = 3},
  [6637] = {.lex_state = 35, .external_lex_state = 2},
  [6638] = {.lex_state = 35, .external_lex_state = 2},
  [6639] = {.lex_state = 35},
  [6640] = {.lex_state = 35},
  [6641] = {.lex_state = 35},
  [6642] = {.lex_state = 1, .external_lex_state = 3},
  [6643] = {.lex_state = 35},
  [6644] = {.lex_state = 1, .external_lex_state = 3},
  [6645] = {.lex_state = 35},
  [6646] = {.lex_state = 35},
  [6647] = {.lex_state = 33, .external_lex_state = 3},
  [6648] = {.lex_state = 1, .external_lex_state = 3},
  [6649] = {.lex_state = 33, .external_lex_state = 3},
  [6650] = {.lex_state = 33, .external_lex_state = 3},
  [6651] = {.lex_state = 35},
  [6652] = {.lex_state = 35},
  [6653] = {.lex_state = 35, .external_lex_state = 2},
  [6654] = {.lex_state = 35},
  [6655] = {.lex_state = 35},
  [6656] = {.lex_state = 35},
  [6657] = {.lex_state = 33, .external_lex_state = 3},
  [6658] = {.lex_state = 35, .external_lex_state = 2},
  [6659] = {.lex_state = 35, .external_lex_state = 2},
  [6660] = {.lex_state = 35},
  [6661] = {.lex_state = 35, .external_lex_state = 2},
  [6662] = {.lex_state = 35},
  [6663] = {.lex_state = 33, .external_lex_state = 3},
  [6664] = {.lex_state = 35},
  [6665] = {.lex_state = 35},
  [6666] = {.lex_state = 35},
  [6667] = {.lex_state = 33, .external_lex_state = 4},
  [6668] = {.lex_state = 35, .external_lex_state = 2},
  [6669] = {.lex_state = 35},
  [6670] = {.lex_state = 35, .external_lex_state = 2},
  [6671] = {.lex_state = 35},
  [6672] = {.lex_state = 35},
  [6673] = {.lex_state = 35, .external_lex_state = 2},
  [6674] = {.lex_state = 35},
  [6675] = {.lex_state = 1, .external_lex_state = 3},
  [6676] = {.lex_state = 35},
  [6677] = {.lex_state = 33, .external_lex_state = 4},
  [6678] = {.lex_state = 35},
  [6679] = {.lex_state = 33, .external_lex_state = 3},
  [6680] = {.lex_state = 35},
  [6681] = {.lex_state = 1, .external_lex_state = 3},
  [6682] = {.lex_state = 35},
  [6683] = {.lex_state = 35, .external_lex_state = 2},
  [6684] = {.lex_state = 35},
  [6685] = {.lex_state = 35},
  [6686] = {.lex_state = 33, .external_lex_state = 4},
  [6687] = {.lex_state = 33, .external_lex_state = 3},
  [6688] = {.lex_state = 35},
  [6689] = {.lex_state = 1, .external_lex_state = 3},
  [6690] = {.lex_state = 1, .external_lex_state = 3},
  [6691] = {.lex_state = 35},
  [6692] = {.lex_state = 35, .external_lex_state = 2},
  [6693] = {.lex_state = 35},
  [6694] = {.lex_state = 35},
  [6695] = {.lex_state = 35},
  [6696] = {.lex_state = 35},
  [6697] = {.lex_state = 35},
  [6698] = {.lex_state = 35},
  [6699] = {.lex_state = 33, .external_lex_state = 3},
  [6700] = {.lex_state = 33, .external_lex_state = 3},
  [6701] = {.lex_state = 35, .external_lex_state = 2},
  [6702] = {.lex_state = 33, .external_lex_state = 3},
  [6703] = {.lex_state = 1, .external_lex_state = 3},
  [6704] = {.lex_state = 1, .external_lex_state = 3},
  [6705] = {.lex_state = 33, .external_lex_state = 4},
  [6706] = {.lex_state = 33, .external_lex_state = 3},
  [6707] = {.lex_state = 1, .external_lex_state = 3},
  [6708] = {.lex_state = 1, .external_lex_state = 3},
  [6709] = {.lex_state = 1, .external_lex_state = 3},
  [6710] = {.lex_state = 35},
  [6711] = {.lex_state = 35},
  [6712] = {.lex_state = 33, .external_lex_state = 4},
  [6713] = {.lex_state = 35},
  [6714] = {.lex_state = 33, .external_lex_state = 3},
  [6715] = {.lex_state = 33, .external_lex_state = 3},
  [6716] = {.lex_state = 35},
  [6717] = {.lex_state = 33, .external_lex_state = 3},
  [6718] = {.lex_state = 33, .external_lex_state = 4},
  [6719] = {.lex_state = 35, .external_lex_state = 2},
  [6720] = {.lex_state = 35},
  [6721] = {.lex_state = 33, .external_lex_state = 3},
  [6722] = {.lex_state = 1, .external_lex_state = 3},
  [6723] = {.lex_state = 35, .external_lex_state = 2},
  [6724] = {.lex_state = 33, .external_lex_state = 3},
  [6725] = {.lex_state = 33, .external_lex_state = 3},
  [6726] = {.lex_state = 33, .external_lex_state = 3},
  [6727] = {.lex_state = 33, .external_lex_state = 3},
  [6728] = {.lex_state = 33, .external_lex_state = 3},
  [6729] = {.lex_state = 33, .external_lex_state = 3},
  [6730] = {.lex_state = 33, .external_lex_state = 3},
  [6731] = {.lex_state = 33, .external_lex_state = 3},
  [6732] = {.lex_state = 33, .external_lex_state = 3},
  [6733] = {.lex_state = 33, .external_lex_state = 3},
  [6734] = {.lex_state = 35},
  [6735] = {.lex_state = 1, .external_lex_state = 3},
  [6736] = {.lex_state = 33, .external_lex_state = 3},
  [6737] = {.lex_state = 33, .external_lex_state = 3},
  [6738] = {.lex_state = 35},
  [6739] = {.lex_state = 33, .external_lex_state = 3},
  [6740] = {.lex_state = 33, .external_lex_state = 3},
  [6741] = {.lex_state = 33, .external_lex_state = 3},
  [6742] = {.lex_state = 35, .external_lex_state = 2},
  [6743] = {.lex_state = 35},
  [6744] = {.lex_state = 35, .external_lex_state = 2},
  [6745] = {.lex_state = 33, .external_lex_state = 3},
  [6746] = {.lex_state = 1, .external_lex_state = 3},
  [6747] = {.lex_state = 33, .external_lex_state = 3},
  [6748] = {.lex_state = 1, .external_lex_state = 3},
  [6749] = {.lex_state = 35},
  [6750] = {.lex_state = 1, .external_lex_state = 3},
  [6751] = {.lex_state = 1, .external_lex_state = 3},
  [6752] = {.lex_state = 1, .external_lex_state = 3},
  [6753] = {.lex_state = 1, .external_lex_state = 3},
  [6754] = {.lex_state = 35},
  [6755] = {.lex_state = 35, .external_lex_state = 2},
  [6756] = {.lex_state = 33, .external_lex_state = 3},
  [6757] = {.lex_state = 35, .external_lex_state = 2},
  [6758] = {.lex_state = 35, .external_lex_state = 2},
  [6759] = {.lex_state = 33, .external_lex_state = 3},
  [6760] = {.lex_state = 35},
  [6761] = {.lex_state = 35},
  [6762] = {.lex_state = 35},
  [6763] = {.lex_state = 35},
  [6764] = {.lex_state = 33, .external_lex_state = 3},
  [6765] = {.lex_state = 35, .external_lex_state = 2},
  [6766] = {.lex_state = 33, .external_lex_state = 3},
  [6767] = {.lex_state = 33, .external_lex_state = 3},
  [6768] = {.lex_state = 33, .external_lex_state = 3},
  [6769] = {.lex_state = 35},
  [6770] = {.lex_state = 33, .external_lex_state = 3},
  [6771] = {.lex_state = 33, .external_lex_state = 3},
  [6772] = {.lex_state = 35, .external_lex_state = 2},
  [6773] = {.lex_state = 35, .external_lex_state = 2},
  [6774] = {.lex_state = 35, .external_lex_state = 2},
  [6775] = {.lex_state = 35, .external_lex_state = 2},
  [6776] = {.lex_state = 33, .external_lex_state = 3},
  [6777] = {.lex_state = 35, .external_lex_state = 2},
  [6778] = {.lex_state = 33, .external_lex_state = 4},
  [6779] = {.lex_state = 35},
  [6780] = {.lex_state = 35},
  [6781] = {.lex_state = 35},
  [6782] = {.lex_state = 35},
  [6783] = {.lex_state = 33, .external_lex_state = 4},
  [6784] = {.lex_state = 33, .external_lex_state = 4},
  [6785] = {.lex_state = 1, .external_lex_state = 3},
  [6786] = {.lex_state = 1, .external_lex_state = 3},
  [6787] = {.lex_state = 35},
  [6788] = {.lex_state = 1, .external_lex_state = 3},
  [6789] = {.lex_state = 33, .external_lex_state = 4},
  [6790] = {.lex_state = 1, .external_lex_state = 3},
  [6791] = {.lex_state = 35},
  [6792] = {.lex_state = 1, .external_lex_state = 3},
  [6793] = {.lex_state = 33, .external_lex_state = 4},
  [6794] = {.lex_state = 1, .external_lex_state = 3},
  [6795] = {.lex_state = 35, .external_lex_state = 2},
  [6796] = {.lex_state = 35},
  [6797] = {.lex_state = 35, .external_lex_state = 2},
  [6798] = {.lex_state = 35, .external_lex_state = 2},
  [6799] = {.lex_state = 35, .external_lex_state = 2},
  [6800] = {.lex_state = 35},
  [6801] = {.lex_state = 35},
  [6802] = {.lex_state = 33, .external_lex_state = 4},
  [6803] = {.lex_state = 1, .external_lex_state = 3},
  [6804] = {.lex_state = 33, .external_lex_state = 4},
  [6805] = {.lex_state = 33, .external_lex_state = 4},
  [6806] = {.lex_state = 1, .external_lex_state = 3},
  [6807] = {.lex_state = 33, .external_lex_state = 4},
  [6808] = {.lex_state = 35},
  [6809] = {.lex_state = 1, .external_lex_state = 3},
  [6810] = {.lex_state = 33, .external_lex_state = 4},
  [6811] = {.lex_state = 33, .external_lex_state = 4},
  [6812] = {.lex_state = 35},
  [6813] = {.lex_state = 33, .external_lex_state = 4},
  [6814] = {.lex_state = 33, .external_lex_state = 4},
  [6815] = {.lex_state = 33, .external_lex_state = 4},
  [6816] = {.lex_state = 33, .external_lex_state = 4},
  [6817] = {.lex_state = 35},
  [6818] = {.lex_state = 35, .external_lex_state = 2},
  [6819] = {.lex_state = 35, .external_lex_state = 2},
  [6820] = {.lex_state = 35},
  [6821] = {.lex_state = 1, .external_lex_state = 3},
  [6822] = {.lex_state = 35},
  [6823] = {.lex_state = 33, .external_lex_state = 4},
  [6824] = {.lex_state = 33, .external_lex_state = 4},
  [6825] = {.lex_state = 33, .external_lex_state = 4},
  [6826] = {.lex_state = 33, .external_lex_state = 4},
  [6827] = {.lex_state = 35},
  [6828] = {.lex_state = 1, .external_lex_state = 3},
  [6829] = {.lex_state = 35, .external_lex_state = 2},
  [6830] = {.lex_state = 35},
  [6831] = {.lex_state = 33, .external_lex_state = 4},
  [6832] = {.lex_state = 33, .external_lex_state = 4},
  [6833] = {.lex_state = 33, .external_lex_state = 4},
  [6834] = {.lex_state = 1, .external_lex_state = 3},
  [6835] = {.lex_state = 33, .external_lex_state = 4},
  [6836] = {.lex_state = 33, .external_lex_state = 4},
  [6837] = {.lex_state = 1, .external_lex_state = 3},
  [6838] = {.lex_state = 35},
  [6839] = {.lex_state = 33, .external_lex_state = 4},
  [6840] = {.lex_state = 33, .external_lex_state = 4},
  [6841] = {.lex_state = 1, .external_lex_state = 3},
  [6842] = {.lex_state = 33, .external_lex_state = 4},
  [6843] = {.lex_state = 1, .external_lex_state = 3},
  [6844] = {.lex_state = 1, .external_lex_state = 3},
  [6845] = {.lex_state = 1, .external_lex_state = 3},
  [6846] = {.lex_state = 1, .external_lex_state = 3},
  [6847] = {.lex_state = 1, .external_lex_state = 3},
  [6848] = {.lex_state = 1, .external_lex_state = 3},
  [6849] = {.lex_state = 33, .external_lex_state = 4},
  [6850] = {.lex_state = 35},
  [6851] = {.lex_state = 1, .external_lex_state = 3},
  [6852] = {.lex_state = 1, .external_lex_state = 3},
  [6853] = {.lex_state = 1, .external_lex_state = 3},
  [6854] = {.lex_state = 1, .external_lex_state = 3},
  [6855] = {.lex_state = 33, .external_lex_state = 4},
  [6856] = {.lex_state = 35},
  [6857] = {.lex_state = 35},
  [6858] = {.lex_state = 33, .external_lex_state = 4},
  [6859] = {.lex_state = 1, .external_lex_state = 3},
  [6860] = {.lex_state = 35},
  [6861] = {.lex_state = 1, .external_lex_state = 3},
  [6862] = {.lex_state = 33, .external_lex_state = 4},
  [6863] = {.lex_state = 35, .external_lex_state = 2},
  [6864] = {.lex_state = 33, .external_lex_state = 4},
  [6865] = {.lex_state = 33, .external_lex_state = 4},
  [6866] = {.lex_state = 33, .external_lex_state = 4},
  [6867] = {.lex_state = 1, .external_lex_state = 3},
  [6868] = {.lex_state = 1, .external_lex_state = 3},
  [6869] = {.lex_state = 35, .external_lex_state = 2},
  [6870] = {.lex_state = 1, .external_lex_state = 3},
  [6871] = {.lex_state = 1, .external_lex_state = 3},
  [6872] = {.lex_state = 33, .external_lex_state = 4},
  [6873] = {.lex_state = 35},
  [6874] = {.lex_state = 35},
  [6875] = {.lex_state = 35},
  [6876] = {.lex_state = 35},
  [6877] = {.lex_state = 35},
  [6878] = {.lex_state = 35},
  [6879] = {.lex_state = 35, .external_lex_state = 2},
  [6880] = {.lex_state = 35, .external_lex_state = 2},
  [6881] = {.lex_state = 35},
  [6882] = {.lex_state = 35},
  [6883] = {.lex_state = 35},
  [6884] = {.lex_state = 35},
  [6885] = {.lex_state = 35},
  [6886] = {.lex_state = 35},
  [6887] = {.lex_state = 35},
  [6888] = {.lex_state = 35},
  [6889] = {.lex_state = 35},
  [6890] = {.lex_state = 35},
  [6891] = {.lex_state = 35, .external_lex_state = 2},
  [6892] = {.lex_state = 35},
  [6893] = {.lex_state = 35},
  [6894] = {.lex_state = 35},
  [6895] = {.lex_state = 35, .external_lex_state = 2},
  [6896] = {.lex_state = 35},
  [6897] = {.lex_state = 35, .external_lex_state = 2},
  [6898] = {.lex_state = 35, .external_lex_state = 2},
  [6899] = {.lex_state = 35, .external_lex_state = 2},
  [6900] = {.lex_state = 35, .external_lex_state = 2},
  [6901] = {.lex_state = 35, .external_lex_state = 2},
  [6902] = {.lex_state = 35, .external_lex_state = 2},
  [6903] = {.lex_state = 35, .external_lex_state = 2},
  [6904] = {.lex_state = 35, .external_lex_state = 2},
  [6905] = {.lex_state = 35, .external_lex_state = 2},
  [6906] = {.lex_state = 35, .external_lex_state = 2},
  [6907] = {.lex_state = 35, .external_lex_state = 2},
  [6908] = {.lex_state = 35, .external_lex_state = 2},
  [6909] = {.lex_state = 35, .external_lex_state = 2},
  [6910] = {.lex_state = 35, .external_lex_state = 2},
  [6911] = {.lex_state = 35, .external_lex_state = 2},
  [6912] = {.lex_state = 35, .external_lex_state = 2},
  [6913] = {.lex_state = 35, .external_lex_state = 2},
  [6914] = {.lex_state = 35, .external_lex_state = 2},
  [6915] = {.lex_state = 35, .external_lex_state = 2},
  [6916] = {.lex_state = 35, .external_lex_state = 2},
  [6917] = {.lex_state = 35, .external_lex_state = 2},
  [6918] = {.lex_state = 35},
  [6919] = {.lex_state = 35},
  [6920] = {.lex_state = 35, .external_lex_state = 2},
  [6921] = {.lex_state = 35},
  [6922] = {.lex_state = 35, .external_lex_state = 2},
  [6923] = {.lex_state = 35, .external_lex_state = 2},
  [6924] = {.lex_state = 35, .external_lex_state = 2},
  [6925] = {.lex_state = 35, .external_lex_state = 2},
  [6926] = {.lex_state = 35, .external_lex_state = 2},
  [6927] = {.lex_state = 35, .external_lex_state = 2},
  [6928] = {.lex_state = 35, .external_lex_state = 2},
  [6929] = {.lex_state = 35, .external_lex_state = 2},
  [6930] = {.lex_state = 35, .external_lex_state = 2},
  [6931] = {.lex_state = 35},
  [6932] = {.lex_state = 35, .external_lex_state = 2},
  [6933] = {.lex_state = 35},
  [6934] = {.lex_state = 35, .external_lex_state = 2},
  [6935] = {.lex_state = 35, .external_lex_state = 2},
  [6936] = {.lex_state = 35, .external_lex_state = 2},
  [6937] = {.lex_state = 35, .external_lex_state = 2},
  [6938] = {.lex_state = 35, .external_lex_state = 2},
  [6939] = {.lex_state = 35, .external_lex_state = 2},
  [6940] = {.lex_state = 35, .external_lex_state = 2},
  [6941] = {.lex_state = 35, .external_lex_state = 2},
  [6942] = {.lex_state = 35, .external_lex_state = 2},
  [6943] = {.lex_state = 35, .external_lex_state = 2},
  [6944] = {.lex_state = 35, .external_lex_state = 2},
  [6945] = {.lex_state = 35},
  [6946] = {.lex_state = 35, .external_lex_state = 2},
  [6947] = {.lex_state = 35},
  [6948] = {.lex_state = 35, .external_lex_state = 2},
  [6949] = {.lex_state = 35},
  [6950] = {.lex_state = 35, .external_lex_state = 2},
  [6951] = {.lex_state = 35, .external_lex_state = 2},
  [6952] = {.lex_state = 35, .external_lex_state = 2},
  [6953] = {.lex_state = 35},
  [6954] = {.lex_state = 35},
  [6955] = {.lex_state = 35, .external_lex_state = 2},
  [6956] = {.lex_state = 35},
  [6957] = {.lex_state = 35, .external_lex_state = 2},
  [6958] = {.lex_state = 35, .external_lex_state = 2},
  [6959] = {.lex_state = 35, .external_lex_state = 2},
  [6960] = {.lex_state = 35, .external_lex_state = 2},
  [6961] = {.lex_state = 35},
  [6962] = {.lex_state = 35, .external_lex_state = 2},
  [6963] = {.lex_state = 35},
  [6964] = {.lex_state = 35},
  [6965] = {.lex_state = 35},
  [6966] = {.lex_state = 35},
  [6967] = {.lex_state = 35},
  [6968] = {.lex_state = 35},
  [6969] = {.lex_state = 35, .external_lex_state = 2},
  [6970] = {.lex_state = 35, .external_lex_state = 2},
  [6971] = {.lex_state = 35},
  [6972] = {.lex_state = 35},
  [6973] = {.lex_state = 35},
  [6974] = {.lex_state = 35},
  [6975] = {.lex_state = 35, .external_lex_state = 2},
  [6976] = {.lex_state = 35},
  [6977] = {.lex_state = 35},
  [6978] = {.lex_state = 35},
  [6979] = {.lex_state = 35},
  [6980] = {.lex_state = 35},
  [6981] = {.lex_state = 35},
  [6982] = {.lex_state = 35},
  [6983] = {.lex_state = 35, .external_lex_state = 2},
  [6984] = {.lex_state = 35, .external_lex_state = 2},
  [6985] = {.lex_state = 35},
  [6986] = {.lex_state = 35, .external_lex_state = 2},
  [6987] = {.lex_state = 35},
  [6988] = {.lex_state = 35},
  [6989] = {.lex_state = 35, .external_lex_state = 2},
  [6990] = {.lex_state = 35},
  [6991] = {.lex_state = 35, .external_lex_state = 2},
  [6992] = {.lex_state = 35},
  [6993] = {.lex_state = 35},
  [6994] = {.lex_state = 35, .external_lex_state = 2},
  [6995] = {.lex_state = 35, .external_lex_state = 2},
  [6996] = {.lex_state = 35, .external_lex_state = 2},
  [6997] = {.lex_state = 35, .external_lex_state = 2},
  [6998] = {.lex_state = 35},
  [6999] = {.lex_state = 35, .external_lex_state = 2},
  [7000] = {.lex_state = 35},
  [7001] = {.lex_state = 35, .external_lex_state = 2},
  [7002] = {.lex_state = 35},
  [7003] = {.lex_state = 35, .external_lex_state = 2},
  [7004] = {.lex_state = 35, .external_lex_state = 2},
  [7005] = {.lex_state = 35},
  [7006] = {.lex_state = 35, .external_lex_state = 2},
  [7007] = {.lex_state = 35},
  [7008] = {.lex_state = 35},
  [7009] = {.lex_state = 35, .external_lex_state = 2},
  [7010] = {.lex_state = 35, .external_lex_state = 2},
  [7011] = {.lex_state = 35},
  [7012] = {.lex_state = 35},
  [7013] = {.lex_state = 35},
  [7014] = {.lex_state = 35},
  [7015] = {.lex_state = 35, .external_lex_state = 2},
  [7016] = {.lex_state = 35},
  [7017] = {.lex_state = 35, .external_lex_state = 2},
  [7018] = {.lex_state = 35},
  [7019] = {.lex_state = 35},
  [7020] = {.lex_state = 35, .external_lex_state = 2},
  [7021] = {.lex_state = 35},
  [7022] = {.lex_state = 33, .external_lex_state = 3},
  [7023] = {.lex_state = 35, .external_lex_state = 2},
  [7024] = {.lex_state = 35},
  [7025] = {.lex_state = 35},
  [7026] = {.lex_state = 35},
  [7027] = {.lex_state = 35},
  [7028] = {.lex_state = 35, .external_lex_state = 2},
  [7029] = {.lex_state = 33, .external_lex_state = 3},
  [7030] = {.lex_state = 35},
  [7031] = {.lex_state = 35, .external_lex_state = 2},
  [7032] = {.lex_state = 35},
  [7033] = {.lex_state = 35, .external_lex_state = 2},
  [7034] = {.lex_state = 35, .external_lex_state = 2},
  [7035] = {.lex_state = 35, .external_lex_state = 2},
  [7036] = {.lex_state = 35, .external_lex_state = 2},
  [7037] = {.lex_state = 35, .external_lex_state = 2},
  [7038] = {.lex_state = 35, .external_lex_state = 2},
  [7039] = {.lex_state = 35, .external_lex_state = 2},
  [7040] = {.lex_state = 35, .external_lex_state = 2},
  [7041] = {.lex_state = 35, .external_lex_state = 2},
  [7042] = {.lex_state = 35, .external_lex_state = 2},
  [7043] = {.lex_state = 35, .external_lex_state = 2},
  [7044] = {.lex_state = 35, .external_lex_state = 2},
  [7045] = {.lex_state = 35},
  [7046] = {.lex_state = 35, .external_lex_state = 2},
  [7047] = {.lex_state = 35, .external_lex_state = 2},
  [7048] = {.lex_state = 35, .external_lex_state = 2},
  [7049] = {.lex_state = 35, .external_lex_state = 2},
  [7050] = {.lex_state = 35, .external_lex_state = 2},
  [7051] = {.lex_state = 35},
  [7052] = {.lex_state = 35, .external_lex_state = 2},
  [7053] = {.lex_state = 35, .external_lex_state = 2},
  [7054] = {.lex_state = 35},
  [7055] = {.lex_state = 35, .external_lex_state = 2},
  [7056] = {.lex_state = 35, .external_lex_state = 2},
  [7057] = {.lex_state = 35, .external_lex_state = 2},
  [7058] = {.lex_state = 35, .external_lex_state = 2},
  [7059] = {.lex_state = 35, .external_lex_state = 2},
  [7060] = {.lex_state = 35, .external_lex_state = 2},
  [7061] = {.lex_state = 35, .external_lex_state = 2},
  [7062] = {.lex_state = 35, .external_lex_state = 2},
  [7063] = {.lex_state = 35},
  [7064] = {.lex_state = 35, .external_lex_state = 2},
  [7065] = {.lex_state = 35, .external_lex_state = 2},
  [7066] = {.lex_state = 35, .external_lex_state = 2},
  [7067] = {.lex_state = 35, .external_lex_state = 2},
  [7068] = {.lex_state = 35, .external_lex_state = 2},
  [7069] = {.lex_state = 35, .external_lex_state = 2},
  [7070] = {.lex_state = 35, .external_lex_state = 2},
  [7071] = {.lex_state = 35, .external_lex_state = 2},
  [7072] = {.lex_state = 35, .external_lex_state = 2},
  [7073] = {.lex_state = 35, .external_lex_state = 2},
  [7074] = {.lex_state = 35, .external_lex_state = 2},
  [7075] = {.lex_state = 35, .external_lex_state = 2},
  [7076] = {.lex_state = 35, .external_lex_state = 2},
  [7077] = {.lex_state = 35, .external_lex_state = 2},
  [7078] = {.lex_state = 35, .external_lex_state = 2},
  [7079] = {.lex_state = 35, .external_lex_state = 2},
  [7080] = {.lex_state = 35, .external_lex_state = 2},
  [7081] = {.lex_state = 35, .external_lex_state = 2},
  [7082] = {.lex_state = 35, .external_lex_state = 2},
  [7083] = {.lex_state = 35, .external_lex_state = 2},
  [7084] = {.lex_state = 35, .external_lex_state = 2},
  [7085] = {.lex_state = 35, .external_lex_state = 2},
  [7086] = {.lex_state = 35, .external_lex_state = 2},
  [7087] = {.lex_state = 35, .external_lex_state = 2},
  [7088] = {.lex_state = 35, .external_lex_state = 2},
  [7089] = {.lex_state = 35, .external_lex_state = 2},
  [7090] = {.lex_state = 35, .external_lex_state = 2},
  [7091] = {.lex_state = 35, .external_lex_state = 2},
  [7092] = {.lex_state = 35, .external_lex_state = 2},
  [7093] = {.lex_state = 35, .external_lex_state = 2},
  [7094] = {.lex_state = 35, .external_lex_state = 2},
  [7095] = {.lex_state = 35, .external_lex_state = 2},
  [7096] = {.lex_state = 35, .external_lex_state = 2},
  [7097] = {.lex_state = 35, .external_lex_state = 2},
  [7098] = {.lex_state = 35, .external_lex_state = 2},
  [7099] = {.lex_state = 35, .external_lex_state = 2},
  [7100] = {.lex_state = 35, .external_lex_state = 2},
  [7101] = {.lex_state = 35, .external_lex_state = 2},
  [7102] = {.lex_state = 35},
  [7103] = {.lex_state = 35},
  [7104] = {.lex_state = 35},
  [7105] = {.lex_state = 35, .external_lex_state = 2},
  [7106] = {.lex_state = 35, .external_lex_state = 2},
  [7107] = {.lex_state = 35, .external_lex_state = 2},
  [7108] = {.lex_state = 35, .external_lex_state = 2},
  [7109] = {.lex_state = 35},
  [7110] = {.lex_state = 33},
  [7111] = {.lex_state = 35, .external_lex_state = 2},
  [7112] = {.lex_state = 35, .external_lex_state = 2},
  [7113] = {.lex_state = 35, .external_lex_state = 2},
  [7114] = {.lex_state = 35, .external_lex_state = 2},
  [7115] = {.lex_state = 35, .external_lex_state = 2},
  [7116] = {.lex_state = 35, .external_lex_state = 2},
  [7117] = {.lex_state = 35, .external_lex_state = 2},
  [7118] = {.lex_state = 35, .external_lex_state = 2},
  [7119] = {.lex_state = 35, .external_lex_state = 2},
  [7120] = {.lex_state = 36},
  [7121] = {.lex_state = 35, .external_lex_state = 2},
  [7122] = {.lex_state = 35, .external_lex_state = 2},
  [7123] = {.lex_state = 35, .external_lex_state = 2},
  [7124] = {.lex_state = 35},
  [7125] = {.lex_state = 35},
  [7126] = {.lex_state = 35},
  [7127] = {.lex_state = 36},
  [7128] = {.lex_state = 35, .external_lex_state = 2},
  [7129] = {.lex_state = 35},
  [7130] = {.lex_state = 35, .external_lex_state = 2},
  [7131] = {.lex_state = 35, .external_lex_state = 2},
  [7132] = {.lex_state = 35, .external_lex_state = 2},
  [7133] = {.lex_state = 35, .external_lex_state = 2},
  [7134] = {.lex_state = 35},
  [7135] = {.lex_state = 35, .external_lex_state = 2},
  [7136] = {.lex_state = 35, .external_lex_state = 2},
  [7137] = {.lex_state = 35, .external_lex_state = 2},
  [7138] = {.lex_state = 35, .external_lex_state = 2},
  [7139] = {.lex_state = 35, .external_lex_state = 2},
  [7140] = {.lex_state = 35, .external_lex_state = 2},
  [7141] = {.lex_state = 35, .external_lex_state = 2},
  [7142] = {.lex_state = 35, .external_lex_state = 2},
  [7143] = {.lex_state = 35, .external_lex_state = 2},
  [7144] = {.lex_state = 35, .external_lex_state = 2},
  [7145] = {.lex_state = 35, .external_lex_state = 2},
  [7146] = {.lex_state = 35, .external_lex_state = 2},
  [7147] = {.lex_state = 35, .external_lex_state = 2},
  [7148] = {.lex_state = 35, .external_lex_state = 2},
  [7149] = {.lex_state = 35, .external_lex_state = 2},
  [7150] = {.lex_state = 35, .external_lex_state = 2},
  [7151] = {.lex_state = 35, .external_lex_state = 2},
  [7152] = {.lex_state = 35, .external_lex_state = 2},
  [7153] = {.lex_state = 35, .external_lex_state = 2},
  [7154] = {.lex_state = 35, .external_lex_state = 2},
  [7155] = {.lex_state = 35, .external_lex_state = 2},
  [7156] = {.lex_state = 35, .external_lex_state = 2},
  [7157] = {.lex_state = 35, .external_lex_state = 2},
  [7158] = {.lex_state = 35, .external_lex_state = 2},
  [7159] = {.lex_state = 35, .external_lex_state = 2},
  [7160] = {.lex_state = 35, .external_lex_state = 2},
  [7161] = {.lex_state = 35, .external_lex_state = 2},
  [7162] = {.lex_state = 35, .external_lex_state = 2},
  [7163] = {.lex_state = 35, .external_lex_state = 2},
  [7164] = {.lex_state = 35, .external_lex_state = 2},
  [7165] = {.lex_state = 35},
  [7166] = {.lex_state = 35},
  [7167] = {.lex_state = 35},
  [7168] = {.lex_state = 35},
  [7169] = {.lex_state = 35},
  [7170] = {.lex_state = 35},
  [7171] = {.lex_state = 35},
  [7172] = {.lex_state = 35, .external_lex_state = 2},
  [7173] = {.lex_state = 35},
  [7174] = {.lex_state = 35},
  [7175] = {.lex_state = 35},
  [7176] = {.lex_state = 35},
  [7177] = {.lex_state = 35},
  [7178] = {.lex_state = 35},
  [7179] = {.lex_state = 35},
  [7180] = {.lex_state = 35, .external_lex_state = 2},
  [7181] = {.lex_state = 35},
  [7182] = {.lex_state = 35},
  [7183] = {.lex_state = 35},
  [7184] = {.lex_state = 33, .external_lex_state = 3},
  [7185] = {.lex_state = 35},
  [7186] = {.lex_state = 35},
  [7187] = {.lex_state = 33, .external_lex_state = 3},
  [7188] = {.lex_state = 35},
  [7189] = {.lex_state = 35},
  [7190] = {.lex_state = 35},
  [7191] = {.lex_state = 35},
  [7192] = {.lex_state = 35},
  [7193] = {.lex_state = 35},
  [7194] = {.lex_state = 35},
  [7195] = {.lex_state = 33, .external_lex_state = 2},
  [7196] = {.lex_state = 35},
  [7197] = {.lex_state = 35},
  [7198] = {.lex_state = 35},
  [7199] = {.lex_state = 35},
  [7200] = {.lex_state = 35},
  [7201] = {.lex_state = 35},
  [7202] = {.lex_state = 35},
  [7203] = {.lex_state = 35},
  [7204] = {.lex_state = 35},
  [7205] = {.lex_state = 35},
  [7206] = {.lex_state = 35, .external_lex_state = 2},
  [7207] = {.lex_state = 35, .external_lex_state = 2},
  [7208] = {.lex_state = 35},
  [7209] = {.lex_state = 35},
  [7210] = {.lex_state = 35},
  [7211] = {.lex_state = 35},
  [7212] = {.lex_state = 35},
  [7213] = {.lex_state = 35},
  [7214] = {.lex_state = 35},
  [7215] = {.lex_state = 33, .external_lex_state = 3},
  [7216] = {.lex_state = 35},
  [7217] = {.lex_state = 35},
  [7218] = {.lex_state = 35},
  [7219] = {.lex_state = 35},
  [7220] = {.lex_state = 35},
  [7221] = {.lex_state = 35},
  [7222] = {.lex_state = 35},
  [7223] = {.lex_state = 35, .external_lex_state = 2},
  [7224] = {.lex_state = 35},
  [7225] = {.lex_state = 35},
  [7226] = {.lex_state = 33, .external_lex_state = 3},
  [7227] = {.lex_state = 35, .external_lex_state = 2},
  [7228] = {.lex_state = 35, .external_lex_state = 2},
  [7229] = {.lex_state = 35},
  [7230] = {.lex_state = 35},
  [7231] = {.lex_state = 35},
  [7232] = {.lex_state = 35, .external_lex_state = 2},
  [7233] = {.lex_state = 35},
  [7234] = {.lex_state = 35},
  [7235] = {.lex_state = 35},
  [7236] = {.lex_state = 35},
  [7237] = {.lex_state = 35, .external_lex_state = 2},
  [7238] = {.lex_state = 35},
  [7239] = {.lex_state = 35, .external_lex_state = 2},
  [7240] = {.lex_state = 35, .external_lex_state = 2},
  [7241] = {.lex_state = 35},
  [7242] = {.lex_state = 35, .external_lex_state = 2},
  [7243] = {.lex_state = 35},
  [7244] = {.lex_state = 35},
  [7245] = {.lex_state = 35, .external_lex_state = 2},
  [7246] = {.lex_state = 35, .external_lex_state = 2},
  [7247] = {.lex_state = 35, .external_lex_state = 2},
  [7248] = {.lex_state = 35, .external_lex_state = 2},
  [7249] = {.lex_state = 35, .external_lex_state = 2},
  [7250] = {.lex_state = 35, .external_lex_state = 2},
  [7251] = {.lex_state = 35, .external_lex_state = 2},
  [7252] = {.lex_state = 35, .external_lex_state = 2},
  [7253] = {.lex_state = 35, .external_lex_state = 2},
  [7254] = {.lex_state = 35, .external_lex_state = 2},
  [7255] = {.lex_state = 35, .external_lex_state = 2},
  [7256] = {.lex_state = 35},
  [7257] = {.lex_state = 35},
  [7258] = {.lex_state = 35},
  [7259] = {.lex_state = 35, .external_lex_state = 2},
  [7260] = {.lex_state = 35},
  [7261] = {.lex_state = 35},
  [7262] = {.lex_state = 35, .external_lex_state = 2},
  [7263] = {.lex_state = 35},
  [7264] = {.lex_state = 33, .external_lex_state = 3},
  [7265] = {.lex_state = 35},
  [7266] = {.lex_state = 35},
  [7267] = {.lex_state = 35},
  [7268] = {.lex_state = 35},
  [7269] = {.lex_state = 35},
  [7270] = {.lex_state = 35},
  [7271] = {.lex_state = 35},
  [7272] = {.lex_state = 35},
  [7273] = {.lex_state = 35, .external_lex_state = 2},
  [7274] = {.lex_state = 35, .external_lex_state = 2},
  [7275] = {.lex_state = 35},
  [7276] = {.lex_state = 35, .external_lex_state = 2},
  [7277] = {.lex_state = 35},
  [7278] = {.lex_state = 35},
  [7279] = {.lex_state = 33, .external_lex_state = 3},
  [7280] = {.lex_state = 35},
  [7281] = {.lex_state = 35},
  [7282] = {.lex_state = 35},
  [7283] = {.lex_state = 35},
  [7284] = {.lex_state = 35},
  [7285] = {.lex_state = 35},
  [7286] = {.lex_state = 35},
  [7287] = {.lex_state = 35},
  [7288] = {.lex_state = 35, .external_lex_state = 2},
  [7289] = {.lex_state = 35},
  [7290] = {.lex_state = 35},
  [7291] = {.lex_state = 35},
  [7292] = {.lex_state = 35},
  [7293] = {.lex_state = 35},
  [7294] = {.lex_state = 35},
  [7295] = {.lex_state = 35},
  [7296] = {.lex_state = 35},
  [7297] = {.lex_state = 33, .external_lex_state = 3},
  [7298] = {.lex_state = 35},
  [7299] = {.lex_state = 33, .external_lex_state = 3},
  [7300] = {.lex_state = 35},
  [7301] = {.lex_state = 35},
  [7302] = {.lex_state = 35},
  [7303] = {.lex_state = 35},
  [7304] = {.lex_state = 35},
  [7305] = {.lex_state = 35},
  [7306] = {.lex_state = 35},
  [7307] = {.lex_state = 35},
  [7308] = {.lex_state = 35, .external_lex_state = 2},
  [7309] = {.lex_state = 35},
  [7310] = {.lex_state = 35},
  [7311] = {.lex_state = 35},
  [7312] = {.lex_state = 35},
  [7313] = {.lex_state = 35},
  [7314] = {.lex_state = 35},
  [7315] = {.lex_state = 35},
  [7316] = {.lex_state = 35},
  [7317] = {.lex_state = 35, .external_lex_state = 2},
  [7318] = {.lex_state = 35},
  [7319] = {.lex_state = 35},
  [7320] = {.lex_state = 35},
  [7321] = {.lex_state = 35},
  [7322] = {.lex_state = 35, .external_lex_state = 2},
  [7323] = {.lex_state = 35},
  [7324] = {.lex_state = 35},
  [7325] = {.lex_state = 35},
  [7326] = {.lex_state = 35, .external_lex_state = 2},
  [7327] = {.lex_state = 35},
  [7328] = {.lex_state = 35, .external_lex_state = 2},
  [7329] = {.lex_state = 35},
  [7330] = {.lex_state = 35, .external_lex_state = 2},
  [7331] = {.lex_state = 35},
  [7332] = {.lex_state = 35, .external_lex_state = 2},
  [7333] = {.lex_state = 35, .external_lex_state = 2},
  [7334] = {.lex_state = 35},
  [7335] = {.lex_state = 35, .external_lex_state = 2},
  [7336] = {.lex_state = 35},
  [7337] = {.lex_state = 35},
  [7338] = {.lex_state = 35},
  [7339] = {.lex_state = 35},
  [7340] = {.lex_state = 35},
  [7341] = {.lex_state = 35, .external_lex_state = 2},
  [7342] = {.lex_state = 35, .external_lex_state = 2},
  [7343] = {.lex_state = 35, .external_lex_state = 2},
  [7344] = {.lex_state = 35},
  [7345] = {.lex_state = 35, .external_lex_state = 2},
  [7346] = {.lex_state = 35},
  [7347] = {.lex_state = 35},
  [7348] = {.lex_state = 35},
  [7349] = {.lex_state = 33, .external_lex_state = 3},
  [7350] = {.lex_state = 35},
  [7351] = {.lex_state = 35},
  [7352] = {.lex_state = 35},
  [7353] = {.lex_state = 35},
  [7354] = {.lex_state = 35, .external_lex_state = 2},
  [7355] = {.lex_state = 33, .external_lex_state = 3},
  [7356] = {.lex_state = 33, .external_lex_state = 3},
  [7357] = {.lex_state = 35, .external_lex_state = 2},
  [7358] = {.lex_state = 35},
  [7359] = {.lex_state = 35},
  [7360] = {.lex_state = 35, .external_lex_state = 2},
  [7361] = {.lex_state = 35},
  [7362] = {.lex_state = 35, .external_lex_state = 2},
  [7363] = {.lex_state = 35, .external_lex_state = 2},
  [7364] = {.lex_state = 35, .external_lex_state = 2},
  [7365] = {.lex_state = 35},
  [7366] = {.lex_state = 35},
  [7367] = {.lex_state = 35},
  [7368] = {.lex_state = 35},
  [7369] = {.lex_state = 35},
  [7370] = {.lex_state = 35, .external_lex_state = 2},
  [7371] = {.lex_state = 35},
  [7372] = {.lex_state = 33, .external_lex_state = 3},
  [7373] = {.lex_state = 35, .external_lex_state = 2},
  [7374] = {.lex_state = 35},
  [7375] = {.lex_state = 35},
  [7376] = {.lex_state = 35},
  [7377] = {.lex_state = 35},
  [7378] = {.lex_state = 33, .external_lex_state = 3},
  [7379] = {.lex_state = 35},
  [7380] = {.lex_state = 35},
  [7381] = {.lex_state = 35},
  [7382] = {.lex_state = 35},
  [7383] = {.lex_state = 35},
  [7384] = {.lex_state = 35},
  [7385] = {.lex_state = 35},
  [7386] = {.lex_state = 35},
  [7387] = {.lex_state = 35},
  [7388] = {.lex_state = 35},
  [7389] = {.lex_state = 35},
  [7390] = {.lex_state = 35},
  [7391] = {.lex_state = 35},
  [7392] = {.lex_state = 35},
  [7393] = {.lex_state = 35},
  [7394] = {.lex_state = 35},
  [7395] = {.lex_state = 35},
  [7396] = {.lex_state = 35},
  [7397] = {.lex_state = 35},
  [7398] = {.lex_state = 35},
  [7399] = {.lex_state = 35},
  [7400] = {.lex_state = 35},
  [7401] = {.lex_state = 35, .external_lex_state = 2},
  [7402] = {.lex_state = 35},
  [7403] = {.lex_state = 35},
  [7404] = {.lex_state = 35},
  [7405] = {.lex_state = 35},
  [7406] = {.lex_state = 35},
  [7407] = {.lex_state = 36},
  [7408] = {.lex_state = 35},
  [7409] = {.lex_state = 35, .external_lex_state = 2},
  [7410] = {.lex_state = 35, .external_lex_state = 2},
  [7411] = {.lex_state = 35},
  [7412] = {.lex_state = 35},
  [7413] = {.lex_state = 33, .external_lex_state = 3},
  [7414] = {.lex_state = 35, .external_lex_state = 2},
  [7415] = {.lex_state = 35, .external_lex_state = 2},
  [7416] = {.lex_state = 35},
  [7417] = {.lex_state = 35, .external_lex_state = 2},
  [7418] = {.lex_state = 35, .external_lex_state = 2},
  [7419] = {.lex_state = 33, .external_lex_state = 3},
  [7420] = {.lex_state = 35, .external_lex_state = 2},
  [7421] = {.lex_state = 35, .external_lex_state = 2},
  [7422] = {.lex_state = 35},
  [7423] = {.lex_state = 35},
  [7424] = {.lex_state = 33, .external_lex_state = 3},
  [7425] = {.lex_state = 35},
  [7426] = {.lex_state = 35, .external_lex_state = 2},
  [7427] = {.lex_state = 33, .external_lex_state = 3},
  [7428] = {.lex_state = 33, .external_lex_state = 3},
  [7429] = {.lex_state = 35},
  [7430] = {.lex_state = 35},
  [7431] = {.lex_state = 33, .external_lex_state = 3},
  [7432] = {.lex_state = 33, .external_lex_state = 3},
  [7433] = {.lex_state = 35},
  [7434] = {.lex_state = 33, .external_lex_state = 3},
  [7435] = {.lex_state = 33, .external_lex_state = 3},
  [7436] = {.lex_state = 35},
  [7437] = {.lex_state = 35, .external_lex_state = 2},
  [7438] = {.lex_state = 35, .external_lex_state = 2},
  [7439] = {.lex_state = 35},
  [7440] = {.lex_state = 33, .external_lex_state = 3},
  [7441] = {.lex_state = 35},
  [7442] = {.lex_state = 35, .external_lex_state = 2},
  [7443] = {.lex_state = 33, .external_lex_state = 3},
  [7444] = {.lex_state = 33, .external_lex_state = 3},
  [7445] = {.lex_state = 33, .external_lex_state = 3},
  [7446] = {.lex_state = 35, .external_lex_state = 2},
  [7447] = {.lex_state = 35, .external_lex_state = 2},
  [7448] = {.lex_state = 35, .external_lex_state = 2},
  [7449] = {.lex_state = 35, .external_lex_state = 2},
  [7450] = {.lex_state = 35, .external_lex_state = 2},
  [7451] = {.lex_state = 35},
  [7452] = {.lex_state = 33, .external_lex_state = 3},
  [7453] = {.lex_state = 35},
  [7454] = {.lex_state = 35},
  [7455] = {.lex_state = 35},
  [7456] = {.lex_state = 35, .external_lex_state = 2},
  [7457] = {.lex_state = 35, .external_lex_state = 2},
  [7458] = {.lex_state = 35, .external_lex_state = 2},
  [7459] = {.lex_state = 35},
  [7460] = {.lex_state = 35, .external_lex_state = 2},
  [7461] = {.lex_state = 35},
  [7462] = {.lex_state = 35, .external_lex_state = 2},
  [7463] = {.lex_state = 35, .external_lex_state = 2},
  [7464] = {.lex_state = 33, .external_lex_state = 3},
  [7465] = {.lex_state = 33, .external_lex_state = 3},
  [7466] = {.lex_state = 35, .external_lex_state = 2},
  [7467] = {.lex_state = 35, .external_lex_state = 2},
  [7468] = {.lex_state = 35},
  [7469] = {.lex_state = 33, .external_lex_state = 3},
  [7470] = {.lex_state = 35, .external_lex_state = 2},
  [7471] = {.lex_state = 35},
  [7472] = {.lex_state = 35, .external_lex_state = 2},
  [7473] = {.lex_state = 35, .external_lex_state = 2},
  [7474] = {.lex_state = 33, .external_lex_state = 3},
  [7475] = {.lex_state = 35},
  [7476] = {.lex_state = 35, .external_lex_state = 2},
  [7477] = {.lex_state = 33, .external_lex_state = 3},
  [7478] = {.lex_state = 33, .external_lex_state = 3},
  [7479] = {.lex_state = 35},
  [7480] = {.lex_state = 35},
  [7481] = {.lex_state = 35},
  [7482] = {.lex_state = 35, .external_lex_state = 2},
  [7483] = {.lex_state = 35, .external_lex_state = 2},
  [7484] = {.lex_state = 35, .external_lex_state = 2},
  [7485] = {.lex_state = 33, .external_lex_state = 3},
  [7486] = {.lex_state = 35, .external_lex_state = 2},
  [7487] = {.lex_state = 33, .external_lex_state = 3},
  [7488] = {.lex_state = 35, .external_lex_state = 2},
  [7489] = {.lex_state = 33, .external_lex_state = 3},
  [7490] = {.lex_state = 35, .external_lex_state = 2},
  [7491] = {.lex_state = 35, .external_lex_state = 2},
  [7492] = {.lex_state = 35, .external_lex_state = 2},
  [7493] = {.lex_state = 35, .external_lex_state = 2},
  [7494] = {.lex_state = 35},
  [7495] = {.lex_state = 33, .external_lex_state = 3},
  [7496] = {.lex_state = 35},
  [7497] = {.lex_state = 35, .external_lex_state = 2},
  [7498] = {.lex_state = 35},
  [7499] = {.lex_state = 35},
  [7500] = {.lex_state = 33, .external_lex_state = 3},
  [7501] = {.lex_state = 35},
  [7502] = {.lex_state = 35, .external_lex_state = 2},
  [7503] = {.lex_state = 36},
  [7504] = {.lex_state = 33, .external_lex_state = 3},
  [7505] = {.lex_state = 35, .external_lex_state = 2},
  [7506] = {.lex_state = 35, .external_lex_state = 2},
  [7507] = {.lex_state = 35, .external_lex_state = 2},
  [7508] = {.lex_state = 35, .external_lex_state = 2},
  [7509] = {.lex_state = 35, .external_lex_state = 2},
  [7510] = {.lex_state = 35, .external_lex_state = 2},
  [7511] = {.lex_state = 35, .external_lex_state = 2},
  [7512] = {.lex_state = 35, .external_lex_state = 2},
  [7513] = {.lex_state = 35, .external_lex_state = 2},
  [7514] = {.lex_state = 35},
  [7515] = {.lex_state = 35},
  [7516] = {.lex_state = 35, .external_lex_state = 2},
  [7517] = {.lex_state = 35},
  [7518] = {.lex_state = 35, .external_lex_state = 2},
  [7519] = {.lex_state = 35},
  [7520] = {.lex_state = 35, .external_lex_state = 2},
  [7521] = {.lex_state = 35},
  [7522] = {.lex_state = 35, .external_lex_state = 2},
  [7523] = {.lex_state = 35, .external_lex_state = 2},
  [7524] = {.lex_state = 35},
  [7525] = {.lex_state = 35},
  [7526] = {.lex_state = 35},
  [7527] = {.lex_state = 35, .external_lex_state = 2},
  [7528] = {.lex_state = 35},
  [7529] = {.lex_state = 35, .external_lex_state = 2},
  [7530] = {.lex_state = 35},
  [7531] = {.lex_state = 35},
  [7532] = {.lex_state = 35},
  [7533] = {.lex_state = 35},
  [7534] = {.lex_state = 35},
  [7535] = {.lex_state = 35},
  [7536] = {.lex_state = 35},
  [7537] = {.lex_state = 35},
  [7538] = {.lex_state = 35},
  [7539] = {.lex_state = 35},
  [7540] = {.lex_state = 35},
  [7541] = {.lex_state = 35},
  [7542] = {.lex_state = 35},
  [7543] = {.lex_state = 35, .external_lex_state = 2},
  [7544] = {.lex_state = 35},
  [7545] = {.lex_state = 35},
  [7546] = {.lex_state = 35},
  [7547] = {.lex_state = 35},
  [7548] = {.lex_state = 35, .external_lex_state = 2},
  [7549] = {.lex_state = 35},
  [7550] = {.lex_state = 35},
  [7551] = {.lex_state = 35},
  [7552] = {.lex_state = 35, .external_lex_state = 2},
  [7553] = {.lex_state = 35},
  [7554] = {.lex_state = 35},
  [7555] = {.lex_state = 35},
  [7556] = {.lex_state = 35},
  [7557] = {.lex_state = 35, .external_lex_state = 2},
  [7558] = {.lex_state = 35},
  [7559] = {.lex_state = 35},
  [7560] = {.lex_state = 35},
  [7561] = {.lex_state = 35},
  [7562] = {.lex_state = 35},
  [7563] = {.lex_state = 35},
  [7564] = {.lex_state = 35},
  [7565] = {.lex_state = 35},
  [7566] = {.lex_state = 35},
  [7567] = {.lex_state = 35},
  [7568] = {.lex_state = 35},
  [7569] = {.lex_state = 35},
  [7570] = {.lex_state = 35},
  [7571] = {.lex_state = 35},
  [7572] = {.lex_state = 35},
  [7573] = {.lex_state = 35},
  [7574] = {.lex_state = 35},
  [7575] = {.lex_state = 35},
  [7576] = {.lex_state = 35},
  [7577] = {.lex_state = 35},
  [7578] = {.lex_state = 35},
  [7579] = {.lex_state = 35},
  [7580] = {.lex_state = 35},
  [7581] = {.lex_state = 35, .external_lex_state = 2},
  [7582] = {.lex_state = 35},
  [7583] = {.lex_state = 35, .external_lex_state = 2},
  [7584] = {.lex_state = 35},
  [7585] = {.lex_state = 35},
  [7586] = {.lex_state = 35},
  [7587] = {.lex_state = 35},
  [7588] = {.lex_state = 35},
  [7589] = {.lex_state = 35},
  [7590] = {.lex_state = 35},
  [7591] = {.lex_state = 35},
  [7592] = {.lex_state = 35},
  [7593] = {.lex_state = 35},
  [7594] = {.lex_state = 35},
  [7595] = {.lex_state = 35},
  [7596] = {.lex_state = 33, .external_lex_state = 3},
  [7597] = {.lex_state = 35},
  [7598] = {.lex_state = 35, .external_lex_state = 2},
  [7599] = {.lex_state = 35, .external_lex_state = 2},
  [7600] = {.lex_state = 35, .external_lex_state = 2},
  [7601] = {.lex_state = 35, .external_lex_state = 2},
  [7602] = {.lex_state = 35},
  [7603] = {.lex_state = 35},
  [7604] = {.lex_state = 35},
  [7605] = {.lex_state = 35},
  [7606] = {.lex_state = 33, .external_lex_state = 3},
  [7607] = {.lex_state = 35, .external_lex_state = 2},
  [7608] = {.lex_state = 35},
  [7609] = {.lex_state = 35},
  [7610] = {.lex_state = 33, .external_lex_state = 3},
  [7611] = {.lex_state = 35, .external_lex_state = 2},
  [7612] = {.lex_state = 35, .external_lex_state = 2},
  [7613] = {.lex_state = 35},
  [7614] = {.lex_state = 35, .external_lex_state = 2},
  [7615] = {.lex_state = 35, .external_lex_state = 2},
  [7616] = {.lex_state = 35, .external_lex_state = 2},
  [7617] = {.lex_state = 35},
  [7618] = {.lex_state = 35, .external_lex_state = 2},
  [7619] = {.lex_state = 35},
  [7620] = {.lex_state = 35, .external_lex_state = 2},
  [7621] = {.lex_state = 33, .external_lex_state = 3},
  [7622] = {.lex_state = 35, .external_lex_state = 2},
  [7623] = {.lex_state = 35},
  [7624] = {.lex_state = 33, .external_lex_state = 3},
  [7625] = {.lex_state = 33, .external_lex_state = 3},
  [7626] = {.lex_state = 35},
  [7627] = {.lex_state = 35},
  [7628] = {.lex_state = 33, .external_lex_state = 3},
  [7629] = {.lex_state = 35},
  [7630] = {.lex_state = 33, .external_lex_state = 3},
  [7631] = {.lex_state = 35, .external_lex_state = 2},
  [7632] = {.lex_state = 35, .external_lex_state = 2},
  [7633] = {.lex_state = 35},
  [7634] = {.lex_state = 35, .external_lex_state = 2},
  [7635] = {.lex_state = 35},
  [7636] = {.lex_state = 35},
  [7637] = {.lex_state = 33, .external_lex_state = 3},
  [7638] = {.lex_state = 35, .external_lex_state = 2},
  [7639] = {.lex_state = 35},
  [7640] = {.lex_state = 35, .external_lex_state = 2},
  [7641] = {.lex_state = 35},
  [7642] = {.lex_state = 33, .external_lex_state = 3},
  [7643] = {.lex_state = 35, .external_lex_state = 2},
  [7644] = {.lex_state = 35},
  [7645] = {.lex_state = 35, .external_lex_state = 2},
  [7646] = {.lex_state = 35},
  [7647] = {.lex_state = 35},
  [7648] = {.lex_state = 33, .external_lex_state = 3},
  [7649] = {.lex_state = 35},
  [7650] = {.lex_state = 35},
  [7651] = {.lex_state = 33, .external_lex_state = 3},
  [7652] = {.lex_state = 35},
  [7653] = {.lex_state = 35},
  [7654] = {.lex_state = 35, .external_lex_state = 2},
  [7655] = {.lex_state = 35, .external_lex_state = 2},
  [7656] = {.lex_state = 35, .external_lex_state = 2},
  [7657] = {.lex_state = 35},
  [7658] = {.lex_state = 35, .external_lex_state = 2},
  [7659] = {.lex_state = 35},
  [7660] = {.lex_state = 35},
  [7661] = {.lex_state = 35},
  [7662] = {.lex_state = 35},
  [7663] = {.lex_state = 35},
  [7664] = {.lex_state = 35, .external_lex_state = 2},
  [7665] = {.lex_state = 35, .external_lex_state = 2},
  [7666] = {.lex_state = 35, .external_lex_state = 2},
  [7667] = {.lex_state = 35, .external_lex_state = 2},
  [7668] = {.lex_state = 35, .external_lex_state = 2},
  [7669] = {.lex_state = 35, .external_lex_state = 2},
  [7670] = {.lex_state = 35, .external_lex_state = 2},
  [7671] = {.lex_state = 35, .external_lex_state = 2},
  [7672] = {.lex_state = 33, .external_lex_state = 3},
  [7673] = {.lex_state = 35, .external_lex_state = 2},
  [7674] = {.lex_state = 33, .external_lex_state = 3},
  [7675] = {.lex_state = 35},
  [7676] = {.lex_state = 33, .external_lex_state = 3},
  [7677] = {.lex_state = 35},
  [7678] = {.lex_state = 35, .external_lex_state = 2},
  [7679] = {.lex_state = 35, .external_lex_state = 2},
  [7680] = {.lex_state = 35},
  [7681] = {.lex_state = 35},
  [7682] = {.lex_state = 35},
  [7683] = {.lex_state = 35},
  [7684] = {.lex_state = 35},
  [7685] = {.lex_state = 33, .external_lex_state = 3},
  [7686] = {.lex_state = 35, .external_lex_state = 2},
  [7687] = {.lex_state = 35},
  [7688] = {.lex_state = 35},
  [7689] = {.lex_state = 35},
  [7690] = {.lex_state = 35},
  [7691] = {.lex_state = 35},
  [7692] = {.lex_state = 35},
  [7693] = {.lex_state = 35},
  [7694] = {.lex_state = 33, .external_lex_state = 3},
  [7695] = {.lex_state = 35},
  [7696] = {.lex_state = 35},
  [7697] = {.lex_state = 33, .external_lex_state = 3},
  [7698] = {.lex_state = 33, .external_lex_state = 3},
  [7699] = {.lex_state = 35},
  [7700] = {.lex_state = 35},
  [7701] = {.lex_state = 35},
  [7702] = {.lex_state = 33, .external_lex_state = 3},
  [7703] = {.lex_state = 33, .external_lex_state = 3},
  [7704] = {.lex_state = 35},
  [7705] = {.lex_state = 35},
  [7706] = {.lex_state = 35},
  [7707] = {.lex_state = 35, .external_lex_state = 2},
  [7708] = {.lex_state = 33, .external_lex_state = 3},
  [7709] = {.lex_state = 35},
  [7710] = {.lex_state = 35},
  [7711] = {.lex_state = 33, .external_lex_state = 3},
  [7712] = {.lex_state = 35},
  [7713] = {.lex_state = 35},
  [7714] = {.lex_state = 33, .external_lex_state = 3},
  [7715] = {.lex_state = 35},
  [7716] = {.lex_state = 35},
  [7717] = {.lex_state = 35},
  [7718] = {.lex_state = 35, .external_lex_state = 2},
  [7719] = {.lex_state = 35},
  [7720] = {.lex_state = 35},
  [7721] = {.lex_state = 35},
  [7722] = {.lex_state = 35},
  [7723] = {.lex_state = 35},
  [7724] = {.lex_state = 35},
  [7725] = {.lex_state = 35},
  [7726] = {.lex_state = 35},
  [7727] = {.lex_state = 35},
  [7728] = {.lex_state = 35},
  [7729] = {.lex_state = 35},
  [7730] = {.lex_state = 35},
  [7731] = {.lex_state = 35},
  [7732] = {.lex_state = 35, .external_lex_state = 2},
  [7733] = {.lex_state = 35},
  [7734] = {.lex_state = 35},
  [7735] = {.lex_state = 35},
  [7736] = {.lex_state = 33, .external_lex_state = 3},
  [7737] = {.lex_state = 35},
  [7738] = {.lex_state = 35},
  [7739] = {.lex_state = 35, .external_lex_state = 2},
  [7740] = {.lex_state = 35},
  [7741] = {.lex_state = 35},
  [7742] = {.lex_state = 35},
  [7743] = {.lex_state = 35, .external_lex_state = 2},
  [7744] = {.lex_state = 35},
  [7745] = {.lex_state = 35},
  [7746] = {.lex_state = 35},
  [7747] = {.lex_state = 35},
  [7748] = {.lex_state = 35},
  [7749] = {.lex_state = 35},
  [7750] = {.lex_state = 35},
  [7751] = {.lex_state = 35},
  [7752] = {.lex_state = 35},
  [7753] = {.lex_state = 35},
  [7754] = {.lex_state = 35},
  [7755] = {.lex_state = 35},
  [7756] = {.lex_state = 35},
  [7757] = {.lex_state = 35},
  [7758] = {.lex_state = 35},
  [7759] = {.lex_state = 35},
  [7760] = {.lex_state = 35},
  [7761] = {.lex_state = 35},
  [7762] = {.lex_state = 35},
  [7763] = {.lex_state = 35},
  [7764] = {.lex_state = 35},
  [7765] = {.lex_state = 35},
  [7766] = {.lex_state = 35},
  [7767] = {.lex_state = 35},
  [7768] = {.lex_state = 35},
  [7769] = {.lex_state = 35},
  [7770] = {.lex_state = 35},
  [7771] = {.lex_state = 35},
  [7772] = {.lex_state = 35},
  [7773] = {.lex_state = 35},
  [7774] = {.lex_state = 35},
  [7775] = {.lex_state = 35},
  [7776] = {.lex_state = 35},
  [7777] = {.lex_state = 35},
  [7778] = {.lex_state = 35},
  [7779] = {.lex_state = 35},
  [7780] = {.lex_state = 35},
  [7781] = {.lex_state = 35},
  [7782] = {.lex_state = 33, .external_lex_state = 3},
  [7783] = {.lex_state = 35},
  [7784] = {.lex_state = 35},
  [7785] = {.lex_state = 35},
  [7786] = {.lex_state = 35},
  [7787] = {.lex_state = 35},
  [7788] = {.lex_state = 35},
  [7789] = {.lex_state = 35},
  [7790] = {.lex_state = 35},
  [7791] = {.lex_state = 35},
  [7792] = {.lex_state = 35},
  [7793] = {.lex_state = 35},
  [7794] = {.lex_state = 35},
  [7795] = {.lex_state = 35},
  [7796] = {.lex_state = 35},
  [7797] = {.lex_state = 35},
  [7798] = {.lex_state = 35},
  [7799] = {.lex_state = 35},
  [7800] = {.lex_state = 35},
  [7801] = {.lex_state = 35},
  [7802] = {.lex_state = 35},
  [7803] = {.lex_state = 35},
  [7804] = {.lex_state = 35},
  [7805] = {.lex_state = 35},
  [7806] = {.lex_state = 35},
  [7807] = {.lex_state = 35},
  [7808] = {.lex_state = 35},
  [7809] = {.lex_state = 35},
  [7810] = {.lex_state = 35},
  [7811] = {.lex_state = 33, .external_lex_state = 3},
  [7812] = {.lex_state = 35},
  [7813] = {.lex_state = 33, .external_lex_state = 3},
  [7814] = {.lex_state = 35},
  [7815] = {.lex_state = 35},
  [7816] = {.lex_state = 35},
  [7817] = {.lex_state = 35},
  [7818] = {.lex_state = 33, .external_lex_state = 3},
  [7819] = {.lex_state = 35},
  [7820] = {.lex_state = 35},
  [7821] = {.lex_state = 35},
  [7822] = {.lex_state = 35},
  [7823] = {.lex_state = 35},
  [7824] = {.lex_state = 35},
  [7825] = {.lex_state = 35},
  [7826] = {.lex_state = 35, .external_lex_state = 2},
  [7827] = {.lex_state = 35},
  [7828] = {.lex_state = 35},
  [7829] = {.lex_state = 35},
  [7830] = {.lex_state = 35, .external_lex_state = 2},
  [7831] = {.lex_state = 35, .external_lex_state = 2},
  [7832] = {.lex_state = 35, .external_lex_state = 2},
  [7833] = {.lex_state = 35},
  [7834] = {.lex_state = 35},
  [7835] = {.lex_state = 33, .external_lex_state = 3},
  [7836] = {.lex_state = 35},
  [7837] = {.lex_state = 35},
  [7838] = {.lex_state = 33, .external_lex_state = 3},
  [7839] = {.lex_state = 35},
  [7840] = {.lex_state = 35},
  [7841] = {.lex_state = 35},
  [7842] = {.lex_state = 35},
  [7843] = {.lex_state = 35},
  [7844] = {.lex_state = 35},
  [7845] = {.lex_state = 35},
  [7846] = {.lex_state = 33, .external_lex_state = 3},
  [7847] = {.lex_state = 35},
  [7848] = {.lex_state = 35},
  [7849] = {.lex_state = 35},
  [7850] = {.lex_state = 35},
  [7851] = {.lex_state = 35},
  [7852] = {.lex_state = 35},
  [7853] = {.lex_state = 35},
  [7854] = {.lex_state = 35},
  [7855] = {.lex_state = 35, .external_lex_state = 2},
  [7856] = {.lex_state = 35},
  [7857] = {.lex_state = 35},
  [7858] = {.lex_state = 35},
  [7859] = {.lex_state = 35},
  [7860] = {.lex_state = 35},
  [7861] = {.lex_state = 35, .external_lex_state = 2},
  [7862] = {.lex_state = 35},
  [7863] = {.lex_state = 35},
  [7864] = {.lex_state = 35},
  [7865] = {.lex_state = 35},
  [7866] = {.lex_state = 35},
  [7867] = {.lex_state = 35},
  [7868] = {.lex_state = 35},
  [7869] = {.lex_state = 35, .external_lex_state = 2},
  [7870] = {.lex_state = 35},
  [7871] = {.lex_state = 35},
  [7872] = {.lex_state = 33, .external_lex_state = 3},
  [7873] = {.lex_state = 35},
  [7874] = {.lex_state = 35},
  [7875] = {.lex_state = 35},
  [7876] = {.lex_state = 35},
  [7877] = {.lex_state = 35},
  [7878] = {.lex_state = 35},
  [7879] = {.lex_state = 35},
  [7880] = {.lex_state = 35},
  [7881] = {.lex_state = 35},
  [7882] = {.lex_state = 35},
  [7883] = {.lex_state = 35},
  [7884] = {.lex_state = 35},
  [7885] = {.lex_state = 35},
  [7886] = {.lex_state = 35},
  [7887] = {.lex_state = 35},
  [7888] = {.lex_state = 35},
  [7889] = {.lex_state = 35},
  [7890] = {.lex_state = 33, .external_lex_state = 3},
  [7891] = {.lex_state = 35},
  [7892] = {.lex_state = 35},
  [7893] = {.lex_state = 35},
  [7894] = {.lex_state = 35},
  [7895] = {.lex_state = 35},
  [7896] = {.lex_state = 35},
  [7897] = {.lex_state = 35},
  [7898] = {.lex_state = 35},
  [7899] = {.lex_state = 35},
  [7900] = {.lex_state = 35},
  [7901] = {.lex_state = 35},
  [7902] = {.lex_state = 35},
  [7903] = {.lex_state = 35},
  [7904] = {.lex_state = 35},
  [7905] = {.lex_state = 35},
  [7906] = {.lex_state = 35},
  [7907] = {.lex_state = 35},
  [7908] = {.lex_state = 35},
  [7909] = {.lex_state = 35},
  [7910] = {.lex_state = 35},
  [7911] = {.lex_state = 35},
  [7912] = {.lex_state = 35},
  [7913] = {.lex_state = 35},
  [7914] = {.lex_state = 35},
  [7915] = {.lex_state = 33, .external_lex_state = 3},
  [7916] = {.lex_state = 35},
  [7917] = {.lex_state = 35},
  [7918] = {.lex_state = 35},
  [7919] = {.lex_state = 35},
  [7920] = {.lex_state = 35},
  [7921] = {.lex_state = 35},
  [7922] = {.lex_state = 35, .external_lex_state = 2},
  [7923] = {.lex_state = 35},
  [7924] = {.lex_state = 35},
  [7925] = {.lex_state = 35},
  [7926] = {.lex_state = 33, .external_lex_state = 3},
  [7927] = {.lex_state = 35},
  [7928] = {.lex_state = 35},
  [7929] = {.lex_state = 35, .external_lex_state = 2},
  [7930] = {.lex_state = 35},
  [7931] = {.lex_state = 35, .external_lex_state = 2},
  [7932] = {.lex_state = 35},
  [7933] = {.lex_state = 35, .external_lex_state = 2},
  [7934] = {.lex_state = 35},
  [7935] = {.lex_state = 35},
  [7936] = {.lex_state = 35, .external_lex_state = 2},
  [7937] = {.lex_state = 35},
  [7938] = {.lex_state = 35},
  [7939] = {.lex_state = 35},
  [7940] = {.lex_state = 35},
  [7941] = {.lex_state = 35},
  [7942] = {.lex_state = 35},
  [7943] = {.lex_state = 35},
  [7944] = {.lex_state = 35},
  [7945] = {.lex_state = 35},
  [7946] = {.lex_state = 35},
  [7947] = {.lex_state = 35},
  [7948] = {.lex_state = 35},
  [7949] = {.lex_state = 35},
  [7950] = {.lex_state = 35},
  [7951] = {.lex_state = 35},
  [7952] = {.lex_state = 35},
  [7953] = {.lex_state = 35},
  [7954] = {.lex_state = 35},
  [7955] = {.lex_state = 35},
  [7956] = {.lex_state = 35},
  [7957] = {.lex_state = 35},
  [7958] = {.lex_state = 35},
  [7959] = {.lex_state = 35},
  [7960] = {.lex_state = 35},
  [7961] = {.lex_state = 35},
  [7962] = {.lex_state = 35},
  [7963] = {.lex_state = 35},
  [7964] = {.lex_state = 35},
  [7965] = {.lex_state = 35},
  [7966] = {.lex_state = 35},
  [7967] = {.lex_state = 35},
  [7968] = {.lex_state = 35},
  [7969] = {.lex_state = 35},
  [7970] = {.lex_state = 35},
  [7971] = {.lex_state = 35},
  [7972] = {.lex_state = 35},
  [7973] = {.lex_state = 35},
  [7974] = {.lex_state = 35},
  [7975] = {.lex_state = 35},
  [7976] = {.lex_state = 35},
  [7977] = {.lex_state = 33, .external_lex_state = 3},
  [7978] = {.lex_state = 35},
  [7979] = {.lex_state = 35},
  [7980] = {.lex_state = 35},
  [7981] = {.lex_state = 35},
  [7982] = {.lex_state = 35},
  [7983] = {.lex_state = 35},
  [7984] = {.lex_state = 35},
  [7985] = {.lex_state = 35},
  [7986] = {.lex_state = 35},
  [7987] = {.lex_state = 35},
  [7988] = {.lex_state = 35},
  [7989] = {.lex_state = 33, .external_lex_state = 3},
  [7990] = {.lex_state = 35},
  [7991] = {.lex_state = 35},
  [7992] = {.lex_state = 35},
  [7993] = {.lex_state = 35},
  [7994] = {.lex_state = 35},
  [7995] = {.lex_state = 35},
  [7996] = {.lex_state = 35},
  [7997] = {.lex_state = 35},
  [7998] = {.lex_state = 35},
  [7999] = {.lex_state = 35},
  [8000] = {.lex_state = 35},
  [8001] = {.lex_state = 35},
  [8002] = {.lex_state = 35},
  [8003] = {.lex_state = 33, .external_lex_state = 3},
  [8004] = {.lex_state = 35},
  [8005] = {.lex_state = 35},
  [8006] = {.lex_state = 35},
  [8007] = {.lex_state = 35},
  [8008] = {.lex_state = 33, .external_lex_state = 3},
  [8009] = {.lex_state = 33, .external_lex_state = 3},
  [8010] = {.lex_state = 35},
  [8011] = {.lex_state = 35},
  [8012] = {.lex_state = 35},
  [8013] = {.lex_state = 35},
  [8014] = {.lex_state = 35},
  [8015] = {.lex_state = 35},
  [8016] = {.lex_state = 35},
  [8017] = {.lex_state = 35},
  [8018] = {.lex_state = 35},
  [8019] = {.lex_state = 35},
  [8020] = {.lex_state = 35},
  [8021] = {.lex_state = 35},
  [8022] = {.lex_state = 35},
  [8023] = {.lex_state = 35},
  [8024] = {.lex_state = 33, .external_lex_state = 3},
  [8025] = {.lex_state = 33, .external_lex_state = 3},
  [8026] = {.lex_state = 35},
  [8027] = {.lex_state = 35},
  [8028] = {.lex_state = 35},
  [8029] = {.lex_state = 35},
  [8030] = {.lex_state = 35},
  [8031] = {.lex_state = 35},
  [8032] = {.lex_state = 35},
  [8033] = {.lex_state = 35},
  [8034] = {.lex_state = 35},
  [8035] = {.lex_state = 35},
  [8036] = {.lex_state = 35, .external_lex_state = 2},
  [8037] = {.lex_state = 35},
  [8038] = {.lex_state = 35, .external_lex_state = 2},
  [8039] = {.lex_state = 35},
  [8040] = {.lex_state = 35, .external_lex_state = 2},
  [8041] = {.lex_state = 35, .external_lex_state = 2},
  [8042] = {.lex_state = 35},
  [8043] = {.lex_state = 35, .external_lex_state = 2},
  [8044] = {.lex_state = 35},
  [8045] = {.lex_state = 35},
  [8046] = {.lex_state = 35, .external_lex_state = 2},
  [8047] = {.lex_state = 35},
  [8048] = {.lex_state = 35},
  [8049] = {.lex_state = 33, .external_lex_state = 3},
  [8050] = {.lex_state = 35},
  [8051] = {.lex_state = 35},
  [8052] = {.lex_state = 35},
  [8053] = {.lex_state = 35},
  [8054] = {.lex_state = 35},
  [8055] = {.lex_state = 33, .external_lex_state = 3},
  [8056] = {.lex_state = 35},
  [8057] = {.lex_state = 35},
  [8058] = {.lex_state = 35},
  [8059] = {.lex_state = 35},
  [8060] = {.lex_state = 35},
  [8061] = {.lex_state = 35},
  [8062] = {.lex_state = 35},
  [8063] = {.lex_state = 35},
  [8064] = {.lex_state = 35},
  [8065] = {.lex_state = 35},
  [8066] = {.lex_state = 35},
  [8067] = {.lex_state = 35},
  [8068] = {.lex_state = 35, .external_lex_state = 2},
  [8069] = {.lex_state = 35},
  [8070] = {.lex_state = 35, .external_lex_state = 2},
  [8071] = {.lex_state = 35},
  [8072] = {.lex_state = 35},
  [8073] = {.lex_state = 35},
  [8074] = {.lex_state = 35},
  [8075] = {.lex_state = 35, .external_lex_state = 2},
  [8076] = {.lex_state = 35, .external_lex_state = 2},
  [8077] = {.lex_state = 35},
  [8078] = {.lex_state = 35},
  [8079] = {.lex_state = 35},
  [8080] = {.lex_state = 35, .external_lex_state = 2},
  [8081] = {.lex_state = 35, .external_lex_state = 2},
  [8082] = {.lex_state = 35},
  [8083] = {.lex_state = 35},
  [8084] = {.lex_state = 35},
  [8085] = {.lex_state = 35, .external_lex_state = 2},
  [8086] = {.lex_state = 35},
  [8087] = {.lex_state = 35, .external_lex_state = 2},
  [8088] = {.lex_state = 35},
  [8089] = {.lex_state = 35},
  [8090] = {.lex_state = 35},
  [8091] = {.lex_state = 35},
  [8092] = {.lex_state = 35},
  [8093] = {.lex_state = 33, .external_lex_state = 3},
  [8094] = {.lex_state = 35},
  [8095] = {.lex_state = 35, .external_lex_state = 2},
  [8096] = {.lex_state = 35, .external_lex_state = 2},
  [8097] = {.lex_state = 35},
  [8098] = {.lex_state = 33, .external_lex_state = 3},
  [8099] = {.lex_state = 35},
  [8100] = {.lex_state = 35},
  [8101] = {.lex_state = 35},
  [8102] = {.lex_state = 35},
  [8103] = {.lex_state = 35},
  [8104] = {.lex_state = 35},
  [8105] = {.lex_state = 33, .external_lex_state = 3},
  [8106] = {.lex_state = 35},
  [8107] = {.lex_state = 35},
  [8108] = {.lex_state = 35},
  [8109] = {.lex_state = 35},
  [8110] = {.lex_state = 35},
  [8111] = {.lex_state = 35},
  [8112] = {.lex_state = 35, .external_lex_state = 2},
  [8113] = {.lex_state = 35},
  [8114] = {.lex_state = 35},
  [8115] = {.lex_state = 33, .external_lex_state = 3},
  [8116] = {.lex_state = 35},
  [8117] = {.lex_state = 35},
  [8118] = {.lex_state = 35},
  [8119] = {.lex_state = 35},
  [8120] = {.lex_state = 35},
  [8121] = {.lex_state = 35},
  [8122] = {.lex_state = 35},
  [8123] = {.lex_state = 35},
  [8124] = {.lex_state = 35},
  [8125] = {.lex_state = 35},
  [8126] = {.lex_state = 35},
  [8127] = {.lex_state = 35},
  [8128] = {.lex_state = 35},
  [8129] = {.lex_state = 35, .external_lex_state = 2},
  [8130] = {.lex_state = 35},
  [8131] = {.lex_state = 35},
  [8132] = {.lex_state = 35, .external_lex_state = 2},
  [8133] = {.lex_state = 35},
  [8134] = {.lex_state = 35},
  [8135] = {.lex_state = 35, .external_lex_state = 2},
  [8136] = {.lex_state = 35},
  [8137] = {.lex_state = 35},
  [8138] = {.lex_state = 35},
  [8139] = {.lex_state = 33},
  [8140] = {.lex_state = 35},
  [8141] = {.lex_state = 35},
  [8142] = {.lex_state = 33},
  [8143] = {.lex_state = 33},
  [8144] = {.lex_state = 35, .external_lex_state = 2},
  [8145] = {.lex_state = 35},
  [8146] = {.lex_state = 35},
  [8147] = {.lex_state = 35},
  [8148] = {.lex_state = 35},
  [8149] = {.lex_state = 35},
  [8150] = {.lex_state = 35},
  [8151] = {.lex_state = 35},
  [8152] = {.lex_state = 35},
  [8153] = {.lex_state = 35, .external_lex_state = 2},
  [8154] = {.lex_state = 35},
  [8155] = {.lex_state = 35},
  [8156] = {.lex_state = 35},
  [8157] = {.lex_state = 35},
  [8158] = {.lex_state = 35, .external_lex_state = 2},
  [8159] = {.lex_state = 35, .external_lex_state = 2},
  [8160] = {.lex_state = 35},
  [8161] = {.lex_state = 35},
  [8162] = {.lex_state = 35},
  [8163] = {.lex_state = 35},
  [8164] = {.lex_state = 35, .external_lex_state = 2},
  [8165] = {.lex_state = 35},
  [8166] = {.lex_state = 35},
  [8167] = {.lex_state = 35},
  [8168] = {.lex_state = 35},
  [8169] = {.lex_state = 35},
  [8170] = {.lex_state = 35},
  [8171] = {.lex_state = 35},
  [8172] = {.lex_state = 35, .external_lex_state = 2},
  [8173] = {.lex_state = 35},
  [8174] = {.lex_state = 35},
  [8175] = {.lex_state = 33, .external_lex_state = 3},
  [8176] = {.lex_state = 35},
  [8177] = {.lex_state = 35},
  [8178] = {.lex_state = 35},
  [8179] = {.lex_state = 35},
  [8180] = {.lex_state = 35},
  [8181] = {.lex_state = 35},
  [8182] = {.lex_state = 35},
  [8183] = {.lex_state = 35},
  [8184] = {.lex_state = 35},
  [8185] = {.lex_state = 35},
  [8186] = {.lex_state = 35, .external_lex_state = 2},
  [8187] = {.lex_state = 33, .external_lex_state = 3},
  [8188] = {.lex_state = 35},
  [8189] = {.lex_state = 35},
  [8190] = {.lex_state = 35},
  [8191] = {.lex_state = 35},
  [8192] = {.lex_state = 35},
  [8193] = {.lex_state = 35},
  [8194] = {.lex_state = 35},
  [8195] = {.lex_state = 35},
  [8196] = {.lex_state = 35},
  [8197] = {.lex_state = 35},
  [8198] = {.lex_state = 35},
  [8199] = {.lex_state = 35},
  [8200] = {.lex_state = 35},
  [8201] = {.lex_state = 35},
  [8202] = {.lex_state = 35},
  [8203] = {.lex_state = 35},
  [8204] = {.lex_state = 35},
  [8205] = {.lex_state = 35},
  [8206] = {.lex_state = 35, .external_lex_state = 2},
  [8207] = {.lex_state = 35},
  [8208] = {.lex_state = 35},
  [8209] = {.lex_state = 35},
  [8210] = {.lex_state = 35},
  [8211] = {.lex_state = 35},
  [8212] = {.lex_state = 35},
  [8213] = {.lex_state = 35},
  [8214] = {.lex_state = 35},
  [8215] = {.lex_state = 35},
  [8216] = {.lex_state = 35},
  [8217] = {.lex_state = 35},
  [8218] = {.lex_state = 35},
  [8219] = {.lex_state = 35},
  [8220] = {.lex_state = 35},
  [8221] = {.lex_state = 35, .external_lex_state = 2},
  [8222] = {.lex_state = 35},
  [8223] = {.lex_state = 35},
  [8224] = {.lex_state = 35},
  [8225] = {.lex_state = 35, .external_lex_state = 2},
  [8226] = {.lex_state = 35},
  [8227] = {.lex_state = 35, .external_lex_state = 2},
  [8228] = {.lex_state = 35},
  [8229] = {.lex_state = 35},
  [8230] = {.lex_state = 35},
  [8231] = {.lex_state = 33},
  [8232] = {.lex_state = 35},
  [8233] = {.lex_state = 35},
  [8234] = {.lex_state = 35},
  [8235] = {.lex_state = 35},
  [8236] = {.lex_state = 35},
  [8237] = {.lex_state = 35},
  [8238] = {.lex_state = 35},
  [8239] = {.lex_state = 35},
  [8240] = {.lex_state = 35},
  [8241] = {.lex_state = 35},
  [8242] = {.lex_state = 35},
  [8243] = {.lex_state = 35},
  [8244] = {.lex_state = 35},
  [8245] = {.lex_state = 35},
  [8246] = {.lex_state = 35},
  [8247] = {.lex_state = 35},
  [8248] = {.lex_state = 35, .external_lex_state = 2},
  [8249] = {.lex_state = 35},
  [8250] = {.lex_state = 35},
  [8251] = {.lex_state = 35, .external_lex_state = 2},
  [8252] = {.lex_state = 35},
  [8253] = {.lex_state = 35},
  [8254] = {.lex_state = 35},
  [8255] = {.lex_state = 35},
  [8256] = {.lex_state = 33, .external_lex_state = 3},
  [8257] = {.lex_state = 35, .external_lex_state = 2},
  [8258] = {.lex_state = 35, .external_lex_state = 2},
  [8259] = {.lex_state = 35},
  [8260] = {.lex_state = 35},
  [8261] = {.lex_state = 35},
  [8262] = {.lex_state = 35},
  [8263] = {.lex_state = 35, .external_lex_state = 2},
  [8264] = {.lex_state = 35},
  [8265] = {.lex_state = 35},
  [8266] = {.lex_state = 35},
  [8267] = {.lex_state = 35},
  [8268] = {.lex_state = 35, .external_lex_state = 2},
  [8269] = {.lex_state = 35},
  [8270] = {.lex_state = 35},
  [8271] = {.lex_state = 35},
  [8272] = {.lex_state = 35},
  [8273] = {.lex_state = 35, .external_lex_state = 2},
  [8274] = {.lex_state = 35},
  [8275] = {.lex_state = 35},
  [8276] = {.lex_state = 35},
  [8277] = {.lex_state = 35},
  [8278] = {.lex_state = 35},
  [8279] = {.lex_state = 35},
  [8280] = {.lex_state = 35},
  [8281] = {.lex_state = 35},
  [8282] = {.lex_state = 35},
  [8283] = {.lex_state = 35},
  [8284] = {.lex_state = 35},
  [8285] = {.lex_state = 35},
  [8286] = {.lex_state = 35},
  [8287] = {.lex_state = 35},
  [8288] = {.lex_state = 35},
  [8289] = {.lex_state = 35},
  [8290] = {.lex_state = 35},
  [8291] = {.lex_state = 35},
  [8292] = {.lex_state = 35},
  [8293] = {.lex_state = 35},
  [8294] = {.lex_state = 35},
  [8295] = {.lex_state = 35},
  [8296] = {.lex_state = 35},
  [8297] = {.lex_state = 35},
  [8298] = {.lex_state = 35, .external_lex_state = 2},
  [8299] = {.lex_state = 35},
  [8300] = {.lex_state = 35},
  [8301] = {.lex_state = 35},
  [8302] = {.lex_state = 35},
  [8303] = {.lex_state = 35},
  [8304] = {.lex_state = 33},
  [8305] = {.lex_state = 35},
  [8306] = {.lex_state = 35, .external_lex_state = 2},
  [8307] = {.lex_state = 35},
  [8308] = {.lex_state = 35},
  [8309] = {.lex_state = 35},
  [8310] = {.lex_state = 35, .external_lex_state = 2},
  [8311] = {.lex_state = 35},
  [8312] = {.lex_state = 35, .external_lex_state = 2},
  [8313] = {.lex_state = 35},
  [8314] = {.lex_state = 35},
  [8315] = {.lex_state = 35},
  [8316] = {.lex_state = 35},
  [8317] = {.lex_state = 35},
  [8318] = {.lex_state = 35},
  [8319] = {.lex_state = 35},
  [8320] = {.lex_state = 35},
  [8321] = {.lex_state = 35, .external_lex_state = 2},
  [8322] = {.lex_state = 35},
  [8323] = {.lex_state = 35},
  [8324] = {.lex_state = 35},
  [8325] = {.lex_state = 35},
  [8326] = {.lex_state = 35, .external_lex_state = 2},
  [8327] = {.lex_state = 35},
  [8328] = {.lex_state = 35},
  [8329] = {.lex_state = 35},
  [8330] = {.lex_state = 35},
  [8331] = {.lex_state = 35},
  [8332] = {.lex_state = 35},
  [8333] = {.lex_state = 35},
  [8334] = {.lex_state = 35},
  [8335] = {.lex_state = 35},
  [8336] = {.lex_state = 35},
  [8337] = {.lex_state = 35, .external_lex_state = 2},
  [8338] = {.lex_state = 35},
  [8339] = {.lex_state = 35},
  [8340] = {.lex_state = 35},
  [8341] = {.lex_state = 35},
  [8342] = {.lex_state = 35},
  [8343] = {.lex_state = 35},
  [8344] = {.lex_state = 35},
  [8345] = {.lex_state = 35},
  [8346] = {.lex_state = 35},
  [8347] = {.lex_state = 35},
  [8348] = {.lex_state = 35, .external_lex_state = 2},
  [8349] = {.lex_state = 35},
  [8350] = {.lex_state = 35},
  [8351] = {.lex_state = 35, .external_lex_state = 2},
  [8352] = {.lex_state = 35},
  [8353] = {.lex_state = 35, .external_lex_state = 2},
  [8354] = {.lex_state = 35},
  [8355] = {.lex_state = 35},
  [8356] = {.lex_state = 35},
  [8357] = {.lex_state = 35},
  [8358] = {.lex_state = 35},
  [8359] = {.lex_state = 35},
  [8360] = {.lex_state = 35},
  [8361] = {.lex_state = 35},
  [8362] = {.lex_state = 35},
  [8363] = {.lex_state = 35},
  [8364] = {.lex_state = 35, .external_lex_state = 2},
  [8365] = {.lex_state = 35},
  [8366] = {.lex_state = 35},
  [8367] = {.lex_state = 35},
  [8368] = {.lex_state = 35},
  [8369] = {.lex_state = 35},
  [8370] = {.lex_state = 35},
  [8371] = {.lex_state = 35},
  [8372] = {.lex_state = 35},
  [8373] = {.lex_state = 35},
  [8374] = {.lex_state = 35, .external_lex_state = 2},
  [8375] = {.lex_state = 35},
  [8376] = {.lex_state = 35},
  [8377] = {.lex_state = 35},
  [8378] = {.lex_state = 35},
  [8379] = {.lex_state = 35},
  [8380] = {.lex_state = 35, .external_lex_state = 2},
  [8381] = {.lex_state = 35},
  [8382] = {.lex_state = 35},
  [8383] = {.lex_state = 35},
  [8384] = {.lex_state = 35},
  [8385] = {.lex_state = 35},
  [8386] = {.lex_state = 35},
  [8387] = {.lex_state = 35},
  [8388] = {.lex_state = 35},
  [8389] = {.lex_state = 35},
  [8390] = {.lex_state = 35},
  [8391] = {.lex_state = 35},
  [8392] = {.lex_state = 35},
  [8393] = {.lex_state = 33, .external_lex_state = 3},
  [8394] = {.lex_state = 35},
  [8395] = {.lex_state = 35},
  [8396] = {.lex_state = 35, .external_lex_state = 2},
  [8397] = {.lex_state = 35},
  [8398] = {.lex_state = 35},
  [8399] = {.lex_state = 35},
  [8400] = {.lex_state = 35},
  [8401] = {.lex_state = 0, .external_lex_state = 3},
  [8402] = {.lex_state = 35},
  [8403] = {.lex_state = 35},
  [8404] = {.lex_state = 35},
  [8405] = {.lex_state = 35},
  [8406] = {.lex_state = 35},
  [8407] = {.lex_state = 35},
  [8408] = {.lex_state = 35},
  [8409] = {.lex_state = 35},
  [8410] = {.lex_state = 35},
  [8411] = {.lex_state = 35},
  [8412] = {.lex_state = 35},
  [8413] = {.lex_state = 35},
  [8414] = {.lex_state = 35},
  [8415] = {.lex_state = 35},
  [8416] = {.lex_state = 35},
  [8417] = {.lex_state = 35},
  [8418] = {.lex_state = 35},
  [8419] = {.lex_state = 35},
  [8420] = {.lex_state = 35},
  [8421] = {.lex_state = 35, .external_lex_state = 2},
  [8422] = {.lex_state = 35},
  [8423] = {.lex_state = 35},
  [8424] = {.lex_state = 35},
  [8425] = {.lex_state = 35},
  [8426] = {.lex_state = 35},
  [8427] = {.lex_state = 33},
  [8428] = {.lex_state = 35},
  [8429] = {.lex_state = 35},
  [8430] = {.lex_state = 35},
  [8431] = {.lex_state = 33, .external_lex_state = 3},
  [8432] = {.lex_state = 35, .external_lex_state = 2},
  [8433] = {.lex_state = 35},
  [8434] = {.lex_state = 35},
  [8435] = {.lex_state = 35},
  [8436] = {.lex_state = 35, .external_lex_state = 2},
  [8437] = {.lex_state = 33, .external_lex_state = 3},
  [8438] = {.lex_state = 35},
  [8439] = {.lex_state = 35, .external_lex_state = 2},
  [8440] = {.lex_state = 35},
  [8441] = {.lex_state = 35},
  [8442] = {.lex_state = 35},
  [8443] = {.lex_state = 35},
  [8444] = {.lex_state = 35},
  [8445] = {.lex_state = 35},
  [8446] = {.lex_state = 35},
  [8447] = {.lex_state = 35},
  [8448] = {.lex_state = 35},
  [8449] = {.lex_state = 35},
  [8450] = {.lex_state = 35},
  [8451] = {.lex_state = 35, .external_lex_state = 2},
  [8452] = {.lex_state = 35, .external_lex_state = 2},
  [8453] = {.lex_state = 35},
  [8454] = {.lex_state = 35},
  [8455] = {.lex_state = 35},
  [8456] = {.lex_state = 35},
  [8457] = {.lex_state = 35},
  [8458] = {.lex_state = 35},
  [8459] = {.lex_state = 35},
  [8460] = {.lex_state = 35},
  [8461] = {.lex_state = 35},
  [8462] = {.lex_state = 35},
  [8463] = {.lex_state = 35},
  [8464] = {.lex_state = 35},
  [8465] = {.lex_state = 35},
  [8466] = {.lex_state = 35, .external_lex_state = 2},
  [8467] = {.lex_state = 35},
  [8468] = {.lex_state = 35, .external_lex_state = 2},
  [8469] = {.lex_state = 35},
  [8470] = {.lex_state = 35},
  [8471] = {.lex_state = 35},
  [8472] = {.lex_state = 35},
  [8473] = {.lex_state = 35},
  [8474] = {.lex_state = 35},
  [8475] = {.lex_state = 35},
  [8476] = {.lex_state = 35},
  [8477] = {.lex_state = 35},
  [8478] = {.lex_state = 35},
  [8479] = {.lex_state = 35, .external_lex_state = 2},
  [8480] = {.lex_state = 35},
  [8481] = {.lex_state = 33, .external_lex_state = 3},
  [8482] = {.lex_state = 35},
  [8483] = {.lex_state = 33},
  [8484] = {.lex_state = 35},
  [8485] = {.lex_state = 35},
  [8486] = {.lex_state = 35},
  [8487] = {.lex_state = 35},
  [8488] = {.lex_state = 35},
  [8489] = {.lex_state = 35},
  [8490] = {.lex_state = 35},
  [8491] = {.lex_state = 35},
  [8492] = {.lex_state = 35},
  [8493] = {.lex_state = 35},
  [8494] = {.lex_state = 35},
  [8495] = {.lex_state = 0, .external_lex_state = 3},
  [8496] = {.lex_state = 33, .external_lex_state = 3},
  [8497] = {.lex_state = 35},
  [8498] = {.lex_state = 35, .external_lex_state = 2},
  [8499] = {.lex_state = 35},
  [8500] = {.lex_state = 35},
  [8501] = {.lex_state = 35},
  [8502] = {.lex_state = 35},
  [8503] = {.lex_state = 35},
  [8504] = {.lex_state = 35},
  [8505] = {.lex_state = 35},
  [8506] = {.lex_state = 35},
  [8507] = {.lex_state = 35},
  [8508] = {.lex_state = 35},
  [8509] = {.lex_state = 35},
  [8510] = {.lex_state = 35},
  [8511] = {.lex_state = 35},
  [8512] = {.lex_state = 35},
  [8513] = {.lex_state = 35},
  [8514] = {.lex_state = 35},
  [8515] = {.lex_state = 35},
  [8516] = {.lex_state = 35},
  [8517] = {.lex_state = 35},
  [8518] = {.lex_state = 35},
  [8519] = {.lex_state = 35},
  [8520] = {.lex_state = 35},
  [8521] = {.lex_state = 35},
  [8522] = {.lex_state = 35},
  [8523] = {.lex_state = 35},
  [8524] = {.lex_state = 35, .external_lex_state = 2},
  [8525] = {.lex_state = 35},
  [8526] = {.lex_state = 35},
  [8527] = {.lex_state = 35},
  [8528] = {.lex_state = 35},
  [8529] = {.lex_state = 35},
  [8530] = {.lex_state = 35},
  [8531] = {.lex_state = 35, .external_lex_state = 2},
  [8532] = {.lex_state = 35},
  [8533] = {.lex_state = 35},
  [8534] = {.lex_state = 35},
  [8535] = {.lex_state = 35},
  [8536] = {.lex_state = 35},
  [8537] = {.lex_state = 35},
  [8538] = {.lex_state = 35},
  [8539] = {.lex_state = 33, .external_lex_state = 3},
  [8540] = {.lex_state = 35},
  [8541] = {.lex_state = 35},
  [8542] = {.lex_state = 35},
  [8543] = {.lex_state = 35},
  [8544] = {.lex_state = 35},
  [8545] = {.lex_state = 35},
  [8546] = {.lex_state = 35},
  [8547] = {.lex_state = 35},
  [8548] = {.lex_state = 35},
  [8549] = {.lex_state = 35},
  [8550] = {.lex_state = 35},
  [8551] = {.lex_state = 35},
  [8552] = {.lex_state = 35},
  [8553] = {.lex_state = 35},
  [8554] = {.lex_state = 35},
  [8555] = {.lex_state = 35, .external_lex_state = 2},
  [8556] = {.lex_state = 35},
  [8557] = {.lex_state = 35},
  [8558] = {.lex_state = 35},
  [8559] = {.lex_state = 35},
  [8560] = {.lex_state = 35},
  [8561] = {.lex_state = 35},
  [8562] = {.lex_state = 35},
  [8563] = {.lex_state = 35},
  [8564] = {.lex_state = 35},
  [8565] = {.lex_state = 35},
  [8566] = {.lex_state = 35},
  [8567] = {.lex_state = 35},
  [8568] = {.lex_state = 35},
  [8569] = {.lex_state = 35},
  [8570] = {.lex_state = 35},
  [8571] = {.lex_state = 35},
  [8572] = {.lex_state = 35},
  [8573] = {.lex_state = 35},
  [8574] = {.lex_state = 35},
  [8575] = {.lex_state = 35},
  [8576] = {.lex_state = 35},
  [8577] = {.lex_state = 35},
  [8578] = {.lex_state = 35},
  [8579] = {.lex_state = 35},
  [8580] = {.lex_state = 35},
  [8581] = {.lex_state = 35},
  [8582] = {.lex_state = 35},
  [8583] = {.lex_state = 33, .external_lex_state = 3},
  [8584] = {.lex_state = 35},
  [8585] = {.lex_state = 35},
  [8586] = {.lex_state = 35},
  [8587] = {.lex_state = 35},
  [8588] = {.lex_state = 35, .external_lex_state = 2},
  [8589] = {.lex_state = 35},
  [8590] = {.lex_state = 35},
  [8591] = {.lex_state = 35},
  [8592] = {.lex_state = 35, .external_lex_state = 2},
  [8593] = {.lex_state = 35},
  [8594] = {.lex_state = 35},
  [8595] = {.lex_state = 35},
  [8596] = {.lex_state = 35},
  [8597] = {.lex_state = 35},
  [8598] = {.lex_state = 35, .external_lex_state = 2},
  [8599] = {.lex_state = 35},
  [8600] = {.lex_state = 35},
  [8601] = {.lex_state = 35},
  [8602] = {.lex_state = 35, .external_lex_state = 2},
  [8603] = {.lex_state = 35, .external_lex_state = 2},
  [8604] = {.lex_state = 35},
  [8605] = {.lex_state = 35},
  [8606] = {.lex_state = 35, .external_lex_state = 2},
  [8607] = {.lex_state = 35},
  [8608] = {.lex_state = 33, .external_lex_state = 3},
  [8609] = {.lex_state = 35},
  [8610] = {.lex_state = 35, .external_lex_state = 2},
  [8611] = {.lex_state = 35},
  [8612] = {.lex_state = 35},
  [8613] = {.lex_state = 35},
  [8614] = {.lex_state = 35},
  [8615] = {.lex_state = 35},
  [8616] = {.lex_state = 35},
  [8617] = {.lex_state = 35},
  [8618] = {.lex_state = 35, .external_lex_state = 2},
  [8619] = {.lex_state = 35},
  [8620] = {.lex_state = 35},
  [8621] = {.lex_state = 35},
  [8622] = {.lex_state = 35},
  [8623] = {.lex_state = 35},
  [8624] = {.lex_state = 35},
  [8625] = {.lex_state = 35},
  [8626] = {.lex_state = 35},
  [8627] = {.lex_state = 35},
  [8628] = {.lex_state = 35},
  [8629] = {.lex_state = 35, .external_lex_state = 2},
  [8630] = {.lex_state = 33, .external_lex_state = 3},
  [8631] = {.lex_state = 35},
  [8632] = {.lex_state = 35},
  [8633] = {.lex_state = 35},
  [8634] = {.lex_state = 35},
  [8635] = {.lex_state = 35},
  [8636] = {.lex_state = 35},
  [8637] = {.lex_state = 35},
  [8638] = {.lex_state = 35},
  [8639] = {.lex_state = 35, .external_lex_state = 2},
  [8640] = {.lex_state = 35},
  [8641] = {.lex_state = 35},
  [8642] = {.lex_state = 35},
  [8643] = {.lex_state = 35, .external_lex_state = 2},
  [8644] = {.lex_state = 35},
  [8645] = {.lex_state = 35},
  [8646] = {.lex_state = 35},
  [8647] = {.lex_state = 35},
  [8648] = {.lex_state = 33},
  [8649] = {.lex_state = 35},
  [8650] = {.lex_state = 35},
  [8651] = {.lex_state = 35},
  [8652] = {.lex_state = 35},
  [8653] = {.lex_state = 35},
  [8654] = {.lex_state = 35},
  [8655] = {.lex_state = 35},
  [8656] = {.lex_state = 35, .external_lex_state = 2},
  [8657] = {.lex_state = 35},
  [8658] = {.lex_state = 35},
  [8659] = {.lex_state = 35},
  [8660] = {.lex_state = 35},
  [8661] = {.lex_state = 35},
  [8662] = {.lex_state = 35},
  [8663] = {.lex_state = 35},
  [8664] = {.lex_state = 35},
  [8665] = {.lex_state = 35},
  [8666] = {.lex_state = 35},
  [8667] = {.lex_state = 35},
  [8668] = {.lex_state = 33, .external_lex_state = 3},
  [8669] = {.lex_state = 35},
  [8670] = {.lex_state = 35},
  [8671] = {.lex_state = 35},
  [8672] = {.lex_state = 35},
  [8673] = {.lex_state = 35},
  [8674] = {.lex_state = 35, .external_lex_state = 2},
  [8675] = {.lex_state = 35},
  [8676] = {.lex_state = 35},
  [8677] = {.lex_state = 0, .external_lex_state = 3},
  [8678] = {.lex_state = 35},
  [8679] = {.lex_state = 35},
  [8680] = {.lex_state = 35},
  [8681] = {.lex_state = 35},
  [8682] = {.lex_state = 1},
  [8683] = {.lex_state = 35},
  [8684] = {.lex_state = 35},
  [8685] = {.lex_state = 35},
  [8686] = {.lex_state = 0, .external_lex_state = 3},
  [8687] = {.lex_state = 0, .external_lex_state = 3},
  [8688] = {.lex_state = 35},
  [8689] = {.lex_state = 1},
  [8690] = {.lex_state = 35},
  [8691] = {.lex_state = 1},
  [8692] = {.lex_state = 0, .external_lex_state = 3},
  [8693] = {.lex_state = 35, .external_lex_state = 2},
  [8694] = {.lex_state = 0, .external_lex_state = 3},
  [8695] = {.lex_state = 35},
  [8696] = {.lex_state = 1},
  [8697] = {.lex_state = 35},
  [8698] = {.lex_state = 35, .external_lex_state = 2},
  [8699] = {.lex_state = 35},
  [8700] = {.lex_state = 35},
  [8701] = {.lex_state = 1},
  [8702] = {.lex_state = 35},
  [8703] = {.lex_state = 35},
  [8704] = {.lex_state = 35, .external_lex_state = 2},
  [8705] = {.lex_state = 35},
  [8706] = {.lex_state = 35, .external_lex_state = 2},
  [8707] = {.lex_state = 35, .external_lex_state = 2},
  [8708] = {.lex_state = 35, .external_lex_state = 2},
  [8709] = {.lex_state = 0, .external_lex_state = 3},
  [8710] = {.lex_state = 35, .external_lex_state = 2},
  [8711] = {.lex_state = 35, .external_lex_state = 2},
  [8712] = {.lex_state = 35, .external_lex_state = 2},
  [8713] = {.lex_state = 35},
  [8714] = {.lex_state = 35},
  [8715] = {.lex_state = 35, .external_lex_state = 2},
  [8716] = {.lex_state = 35},
  [8717] = {.lex_state = 35},
  [8718] = {.lex_state = 35},
  [8719] = {.lex_state = 35, .external_lex_state = 2},
  [8720] = {.lex_state = 35, .external_lex_state = 2},
  [8721] = {.lex_state = 35},
  [8722] = {.lex_state = 0},
  [8723] = {.lex_state = 35},
  [8724] = {.lex_state = 0},
  [8725] = {.lex_state = 0},
  [8726] = {.lex_state = 35, .external_lex_state = 2},
  [8727] = {.lex_state = 35},
  [8728] = {.lex_state = 35},
  [8729] = {.lex_state = 35, .external_lex_state = 2},
  [8730] = {.lex_state = 35},
  [8731] = {.lex_state = 35, .external_lex_state = 2},
  [8732] = {.lex_state = 35, .external_lex_state = 2},
  [8733] = {.lex_state = 35},
  [8734] = {.lex_state = 35},
  [8735] = {.lex_state = 35, .external_lex_state = 2},
  [8736] = {.lex_state = 35},
  [8737] = {.lex_state = 35},
  [8738] = {.lex_state = 35},
  [8739] = {.lex_state = 35, .external_lex_state = 2},
  [8740] = {.lex_state = 35},
  [8741] = {.lex_state = 35, .external_lex_state = 2},
  [8742] = {.lex_state = 35, .external_lex_state = 2},
  [8743] = {.lex_state = 35},
  [8744] = {.lex_state = 35, .external_lex_state = 2},
  [8745] = {.lex_state = 35},
  [8746] = {.lex_state = 1},
  [8747] = {.lex_state = 35},
  [8748] = {.lex_state = 35},
  [8749] = {.lex_state = 35},
  [8750] = {.lex_state = 35, .external_lex_state = 2},
  [8751] = {.lex_state = 35, .external_lex_state = 2},
  [8752] = {.lex_state = 35},
  [8753] = {.lex_state = 35, .external_lex_state = 2},
  [8754] = {.lex_state = 35, .external_lex_state = 2},
  [8755] = {.lex_state = 35, .external_lex_state = 2},
  [8756] = {.lex_state = 35},
  [8757] = {.lex_state = 35},
  [8758] = {.lex_state = 0, .external_lex_state = 3},
  [8759] = {.lex_state = 0, .external_lex_state = 3},
  [8760] = {.lex_state = 35},
  [8761] = {.lex_state = 35},
  [8762] = {.lex_state = 35},
  [8763] = {.lex_state = 35},
  [8764] = {.lex_state = 35},
  [8765] = {.lex_state = 35},
  [8766] = {.lex_state = 35, .external_lex_state = 2},
  [8767] = {.lex_state = 35},
  [8768] = {.lex_state = 35},
  [8769] = {.lex_state = 35},
  [8770] = {.lex_state = 35, .external_lex_state = 2},
  [8771] = {.lex_state = 35},
  [8772] = {.lex_state = 35, .external_lex_state = 2},
  [8773] = {.lex_state = 35},
  [8774] = {.lex_state = 35, .external_lex_state = 2},
  [8775] = {.lex_state = 35},
  [8776] = {.lex_state = 35},
  [8777] = {.lex_state = 0, .external_lex_state = 3},
  [8778] = {.lex_state = 0, .external_lex_state = 3},
  [8779] = {.lex_state = 0, .external_lex_state = 3},
  [8780] = {.lex_state = 35, .external_lex_state = 2},
  [8781] = {.lex_state = 35},
  [8782] = {.lex_state = 35},
  [8783] = {.lex_state = 35, .external_lex_state = 2},
  [8784] = {.lex_state = 35, .external_lex_state = 2},
  [8785] = {.lex_state = 35},
  [8786] = {.lex_state = 35},
  [8787] = {.lex_state = 35, .external_lex_state = 2},
  [8788] = {.lex_state = 35},
  [8789] = {.lex_state = 35},
  [8790] = {.lex_state = 35},
  [8791] = {.lex_state = 35},
  [8792] = {.lex_state = 35, .external_lex_state = 2},
  [8793] = {.lex_state = 1},
  [8794] = {.lex_state = 35},
  [8795] = {.lex_state = 35},
  [8796] = {.lex_state = 35},
  [8797] = {.lex_state = 35},
  [8798] = {.lex_state = 35},
  [8799] = {.lex_state = 35},
  [8800] = {.lex_state = 35},
  [8801] = {.lex_state = 35},
  [8802] = {.lex_state = 0, .external_lex_state = 3},
  [8803] = {.lex_state = 35, .external_lex_state = 2},
  [8804] = {.lex_state = 35},
  [8805] = {.lex_state = 35},
  [8806] = {.lex_state = 35},
  [8807] = {.lex_state = 35},
  [8808] = {.lex_state = 35, .external_lex_state = 2},
  [8809] = {.lex_state = 0, .external_lex_state = 3},
  [8810] = {.lex_state = 35, .external_lex_state = 2},
  [8811] = {.lex_state = 0, .external_lex_state = 3},
  [8812] = {.lex_state = 35, .external_lex_state = 2},
  [8813] = {.lex_state = 35},
  [8814] = {.lex_state = 35},
  [8815] = {.lex_state = 35},
  [8816] = {.lex_state = 35},
  [8817] = {.lex_state = 35},
  [8818] = {.lex_state = 35, .external_lex_state = 2},
  [8819] = {.lex_state = 35},
  [8820] = {.lex_state = 35},
  [8821] = {.lex_state = 35},
  [8822] = {.lex_state = 35},
  [8823] = {.lex_state = 35, .external_lex_state = 2},
  [8824] = {.lex_state = 35},
  [8825] = {.lex_state = 35},
  [8826] = {.lex_state = 35},
  [8827] = {.lex_state = 35},
  [8828] = {.lex_state = 35},
  [8829] = {.lex_state = 35},
  [8830] = {.lex_state = 35},
  [8831] = {.lex_state = 35},
  [8832] = {.lex_state = 35},
  [8833] = {.lex_state = 35},
  [8834] = {.lex_state = 35},
  [8835] = {.lex_state = 35},
  [8836] = {.lex_state = 0},
  [8837] = {.lex_state = 35},
  [8838] = {.lex_state = 0, .external_lex_state = 3},
  [8839] = {.lex_state = 35},
  [8840] = {.lex_state = 1},
  [8841] = {.lex_state = 35},
  [8842] = {.lex_state = 35},
  [8843] = {.lex_state = 35, .external_lex_state = 2},
  [8844] = {.lex_state = 35, .external_lex_state = 2},
  [8845] = {.lex_state = 35},
  [8846] = {.lex_state = 35},
  [8847] = {.lex_state = 35},
  [8848] = {.lex_state = 0, .external_lex_state = 3},
  [8849] = {.lex_state = 35},
  [8850] = {.lex_state = 35},
  [8851] = {.lex_state = 35, .external_lex_state = 2},
  [8852] = {.lex_state = 35, .external_lex_state = 2},
  [8853] = {.lex_state = 35},
  [8854] = {.lex_state = 35},
  [8855] = {.lex_state = 35},
  [8856] = {.lex_state = 35},
  [8857] = {.lex_state = 35},
  [8858] = {.lex_state = 35},
  [8859] = {.lex_state = 35},
  [8860] = {.lex_state = 35},
  [8861] = {.lex_state = 0, .external_lex_state = 3},
  [8862] = {.lex_state = 35},
  [8863] = {.lex_state = 35},
  [8864] = {.lex_state = 35},
  [8865] = {.lex_state = 35, .external_lex_state = 2},
  [8866] = {.lex_state = 35},
  [8867] = {.lex_state = 35, .external_lex_state = 2},
  [8868] = {.lex_state = 35},
  [8869] = {.lex_state = 35, .external_lex_state = 2},
  [8870] = {.lex_state = 35},
  [8871] = {.lex_state = 35},
  [8872] = {.lex_state = 35},
  [8873] = {.lex_state = 35},
  [8874] = {.lex_state = 35},
  [8875] = {.lex_state = 35, .external_lex_state = 2},
  [8876] = {.lex_state = 0},
  [8877] = {.lex_state = 35, .external_lex_state = 2},
  [8878] = {.lex_state = 35},
  [8879] = {.lex_state = 0},
  [8880] = {.lex_state = 35},
  [8881] = {.lex_state = 35},
  [8882] = {.lex_state = 35},
  [8883] = {.lex_state = 35, .external_lex_state = 2},
  [8884] = {.lex_state = 35, .external_lex_state = 2},
  [8885] = {.lex_state = 35},
  [8886] = {.lex_state = 1},
  [8887] = {.lex_state = 35},
  [8888] = {.lex_state = 35},
  [8889] = {.lex_state = 35, .external_lex_state = 2},
  [8890] = {.lex_state = 35},
  [8891] = {.lex_state = 35},
  [8892] = {.lex_state = 35},
  [8893] = {.lex_state = 35, .external_lex_state = 2},
  [8894] = {.lex_state = 0, .external_lex_state = 3},
  [8895] = {.lex_state = 35, .external_lex_state = 2},
  [8896] = {.lex_state = 35, .external_lex_state = 2},
  [8897] = {.lex_state = 0, .external_lex_state = 3},
  [8898] = {.lex_state = 35},
  [8899] = {.lex_state = 10},
  [8900] = {.lex_state = 35},
  [8901] = {.lex_state = 35},
  [8902] = {.lex_state = 10},
  [8903] = {.lex_state = 35},
  [8904] = {.lex_state = 35, .external_lex_state = 2},
  [8905] = {.lex_state = 35, .external_lex_state = 2},
  [8906] = {.lex_state = 35},
  [8907] = {.lex_state = 35},
  [8908] = {.lex_state = 35, .external_lex_state = 2},
  [8909] = {.lex_state = 35},
  [8910] = {.lex_state = 35},
  [8911] = {.lex_state = 35, .external_lex_state = 2},
  [8912] = {.lex_state = 0, .external_lex_state = 3},
  [8913] = {.lex_state = 35},
  [8914] = {.lex_state = 35},
  [8915] = {.lex_state = 35},
  [8916] = {.lex_state = 35},
  [8917] = {.lex_state = 35, .external_lex_state = 2},
  [8918] = {.lex_state = 35},
  [8919] = {.lex_state = 35},
  [8920] = {.lex_state = 35, .external_lex_state = 2},
  [8921] = {.lex_state = 1},
  [8922] = {.lex_state = 35},
  [8923] = {.lex_state = 35},
  [8924] = {.lex_state = 35, .external_lex_state = 2},
  [8925] = {.lex_state = 35},
  [8926] = {.lex_state = 35},
  [8927] = {.lex_state = 0, .external_lex_state = 3},
  [8928] = {.lex_state = 10},
  [8929] = {.lex_state = 10},
  [8930] = {.lex_state = 35},
  [8931] = {.lex_state = 35},
  [8932] = {.lex_state = 35},
  [8933] = {.lex_state = 35},
  [8934] = {.lex_state = 35},
  [8935] = {.lex_state = 35},
  [8936] = {.lex_state = 0, .external_lex_state = 3},
  [8937] = {.lex_state = 35},
  [8938] = {.lex_state = 35},
  [8939] = {.lex_state = 35},
  [8940] = {.lex_state = 35},
  [8941] = {.lex_state = 35, .external_lex_state = 2},
  [8942] = {.lex_state = 35},
  [8943] = {.lex_state = 35},
  [8944] = {.lex_state = 35},
  [8945] = {.lex_state = 35},
  [8946] = {.lex_state = 35},
  [8947] = {.lex_state = 35},
  [8948] = {.lex_state = 35},
  [8949] = {.lex_state = 35},
  [8950] = {.lex_state = 35},
  [8951] = {.lex_state = 35},
  [8952] = {.lex_state = 35},
  [8953] = {.lex_state = 35},
  [8954] = {.lex_state = 35},
  [8955] = {.lex_state = 35},
  [8956] = {.lex_state = 35},
  [8957] = {.lex_state = 35},
  [8958] = {.lex_state = 35},
  [8959] = {.lex_state = 35},
  [8960] = {.lex_state = 1},
  [8961] = {.lex_state = 35},
  [8962] = {.lex_state = 1},
  [8963] = {.lex_state = 35},
  [8964] = {.lex_state = 35},
  [8965] = {.lex_state = 35},
  [8966] = {.lex_state = 35},
  [8967] = {.lex_state = 35, .external_lex_state = 2},
  [8968] = {.lex_state = 35},
  [8969] = {.lex_state = 35},
  [8970] = {.lex_state = 35, .external_lex_state = 2},
  [8971] = {.lex_state = 35, .external_lex_state = 2},
  [8972] = {.lex_state = 35},
  [8973] = {.lex_state = 35},
  [8974] = {.lex_state = 35, .external_lex_state = 2},
  [8975] = {.lex_state = 35},
  [8976] = {.lex_state = 35},
  [8977] = {.lex_state = 35},
  [8978] = {.lex_state = 35},
  [8979] = {.lex_state = 35},
  [8980] = {.lex_state = 35},
  [8981] = {.lex_state = 0, .external_lex_state = 3},
  [8982] = {.lex_state = 0, .external_lex_state = 3},
  [8983] = {.lex_state = 35},
  [8984] = {.lex_state = 35},
  [8985] = {.lex_state = 35},
  [8986] = {.lex_state = 35, .external_lex_state = 2},
  [8987] = {.lex_state = 35},
  [8988] = {.lex_state = 35, .external_lex_state = 2},
  [8989] = {.lex_state = 35},
  [8990] = {.lex_state = 35},
  [8991] = {.lex_state = 35},
  [8992] = {.lex_state = 35},
  [8993] = {.lex_state = 35},
  [8994] = {.lex_state = 0, .external_lex_state = 3},
  [8995] = {.lex_state = 0},
  [8996] = {.lex_state = 35},
  [8997] = {.lex_state = 35},
  [8998] = {.lex_state = 35},
  [8999] = {.lex_state = 35},
  [9000] = {.lex_state = 35},
  [9001] = {.lex_state = 0},
  [9002] = {.lex_state = 1},
  [9003] = {.lex_state = 35},
  [9004] = {.lex_state = 35},
  [9005] = {.lex_state = 0},
  [9006] = {.lex_state = 35},
  [9007] = {.lex_state = 0, .external_lex_state = 3},
  [9008] = {.lex_state = 0, .external_lex_state = 3},
  [9009] = {.lex_state = 35},
  [9010] = {.lex_state = 35},
  [9011] = {.lex_state = 35},
  [9012] = {.lex_state = 35},
  [9013] = {.lex_state = 0, .external_lex_state = 3},
  [9014] = {.lex_state = 0, .external_lex_state = 3},
  [9015] = {.lex_state = 35},
  [9016] = {.lex_state = 35, .external_lex_state = 2},
  [9017] = {.lex_state = 0, .external_lex_state = 3},
  [9018] = {.lex_state = 0, .external_lex_state = 3},
  [9019] = {.lex_state = 35, .external_lex_state = 2},
  [9020] = {.lex_state = 35, .external_lex_state = 2},
  [9021] = {.lex_state = 35},
  [9022] = {.lex_state = 35},
  [9023] = {.lex_state = 0, .external_lex_state = 3},
  [9024] = {.lex_state = 0, .external_lex_state = 3},
  [9025] = {.lex_state = 0, .external_lex_state = 3},
  [9026] = {.lex_state = 0, .external_lex_state = 3},
  [9027] = {.lex_state = 0, .external_lex_state = 3},
  [9028] = {.lex_state = 35},
  [9029] = {.lex_state = 0, .external_lex_state = 3},
  [9030] = {.lex_state = 35, .external_lex_state = 2},
  [9031] = {.lex_state = 35},
  [9032] = {.lex_state = 1},
  [9033] = {.lex_state = 35},
  [9034] = {.lex_state = 35},
  [9035] = {.lex_state = 35},
  [9036] = {.lex_state = 35},
  [9037] = {.lex_state = 0, .external_lex_state = 3},
  [9038] = {.lex_state = 0, .external_lex_state = 3},
  [9039] = {.lex_state = 35},
  [9040] = {.lex_state = 35},
  [9041] = {.lex_state = 35},
  [9042] = {.lex_state = 35},
  [9043] = {.lex_state = 35},
  [9044] = {.lex_state = 35},
  [9045] = {.lex_state = 35},
  [9046] = {.lex_state = 0, .external_lex_state = 3},
  [9047] = {.lex_state = 35},
  [9048] = {.lex_state = 35},
  [9049] = {.lex_state = 35},
  [9050] = {.lex_state = 0, .external_lex_state = 3},
  [9051] = {.lex_state = 35},
  [9052] = {.lex_state = 35},
  [9053] = {.lex_state = 0, .external_lex_state = 3},
  [9054] = {.lex_state = 35, .external_lex_state = 2},
  [9055] = {.lex_state = 1},
  [9056] = {.lex_state = 0, .external_lex_state = 3},
  [9057] = {.lex_state = 35},
  [9058] = {.lex_state = 35},
  [9059] = {.lex_state = 35},
  [9060] = {.lex_state = 0, .external_lex_state = 3},
  [9061] = {.lex_state = 0, .external_lex_state = 3},
  [9062] = {.lex_state = 35},
  [9063] = {.lex_state = 35},
  [9064] = {.lex_state = 35},
  [9065] = {.lex_state = 0, .external_lex_state = 3},
  [9066] = {.lex_state = 0, .external_lex_state = 3},
  [9067] = {.lex_state = 0, .external_lex_state = 3},
  [9068] = {.lex_state = 0, .external_lex_state = 3},
  [9069] = {.lex_state = 0, .external_lex_state = 3},
  [9070] = {.lex_state = 35},
  [9071] = {.lex_state = 0, .external_lex_state = 3},
  [9072] = {.lex_state = 35},
  [9073] = {.lex_state = 35},
  [9074] = {.lex_state = 35},
  [9075] = {.lex_state = 35, .external_lex_state = 2},
  [9076] = {.lex_state = 0, .external_lex_state = 3},
  [9077] = {.lex_state = 35, .external_lex_state = 2},
  [9078] = {.lex_state = 35},
  [9079] = {.lex_state = 35, .external_lex_state = 2},
  [9080] = {.lex_state = 35},
  [9081] = {.lex_state = 35, .external_lex_state = 2},
  [9082] = {.lex_state = 0, .external_lex_state = 3},
  [9083] = {.lex_state = 0},
  [9084] = {.lex_state = 0, .external_lex_state = 3},
  [9085] = {.lex_state = 0},
  [9086] = {.lex_state = 0, .external_lex_state = 3},
  [9087] = {.lex_state = 0, .external_lex_state = 3},
  [9088] = {.lex_state = 35},
  [9089] = {.lex_state = 35},
  [9090] = {.lex_state = 35},
  [9091] = {.lex_state = 0, .external_lex_state = 3},
  [9092] = {.lex_state = 35},
  [9093] = {.lex_state = 35},
  [9094] = {.lex_state = 35},
  [9095] = {.lex_state = 35, .external_lex_state = 2},
  [9096] = {.lex_state = 0, .external_lex_state = 3},
  [9097] = {.lex_state = 1},
  [9098] = {.lex_state = 35},
  [9099] = {.lex_state = 35},
  [9100] = {.lex_state = 35},
  [9101] = {.lex_state = 35},
  [9102] = {.lex_state = 35},
  [9103] = {.lex_state = 35},
  [9104] = {.lex_state = 35},
  [9105] = {.lex_state = 35},
  [9106] = {.lex_state = 35},
  [9107] = {.lex_state = 35},
  [9108] = {.lex_state = 35},
  [9109] = {.lex_state = 0, .external_lex_state = 3},
  [9110] = {.lex_state = 35},
  [9111] = {.lex_state = 35},
  [9112] = {.lex_state = 0, .external_lex_state = 3},
  [9113] = {.lex_state = 35},
  [9114] = {.lex_state = 35},
  [9115] = {.lex_state = 35},
  [9116] = {.lex_state = 35},
  [9117] = {.lex_state = 35},
  [9118] = {.lex_state = 0, .external_lex_state = 3},
  [9119] = {.lex_state = 35},
  [9120] = {.lex_state = 35},
  [9121] = {.lex_state = 0, .external_lex_state = 3},
  [9122] = {.lex_state = 35},
  [9123] = {.lex_state = 35},
  [9124] = {.lex_state = 0, .external_lex_state = 3},
  [9125] = {.lex_state = 0, .external_lex_state = 3},
  [9126] = {.lex_state = 35},
  [9127] = {.lex_state = 35},
  [9128] = {.lex_state = 35, .external_lex_state = 2},
  [9129] = {.lex_state = 35},
  [9130] = {.lex_state = 0, .external_lex_state = 3},
  [9131] = {.lex_state = 35},
  [9132] = {.lex_state = 0, .external_lex_state = 3},
  [9133] = {.lex_state = 35},
  [9134] = {.lex_state = 0, .external_lex_state = 3},
  [9135] = {.lex_state = 0, .external_lex_state = 3},
  [9136] = {.lex_state = 35},
  [9137] = {.lex_state = 0, .external_lex_state = 3},
  [9138] = {.lex_state = 35},
  [9139] = {.lex_state = 0, .external_lex_state = 3},
  [9140] = {.lex_state = 0, .external_lex_state = 3},
  [9141] = {.lex_state = 35},
  [9142] = {.lex_state = 35},
  [9143] = {.lex_state = 0, .external_lex_state = 3},
  [9144] = {.lex_state = 0, .external_lex_state = 3},
  [9145] = {.lex_state = 0, .external_lex_state = 3},
  [9146] = {.lex_state = 35},
  [9147] = {.lex_state = 0, .external_lex_state = 3},
  [9148] = {.lex_state = 35},
  [9149] = {.lex_state = 35},
  [9150] = {.lex_state = 35, .external_lex_state = 2},
  [9151] = {.lex_state = 35},
  [9152] = {.lex_state = 0, .external_lex_state = 3},
  [9153] = {.lex_state = 0, .external_lex_state = 3},
  [9154] = {.lex_state = 1},
  [9155] = {.lex_state = 0, .external_lex_state = 3},
  [9156] = {.lex_state = 35},
  [9157] = {.lex_state = 35},
  [9158] = {.lex_state = 35},
  [9159] = {.lex_state = 0, .external_lex_state = 3},
  [9160] = {.lex_state = 0, .external_lex_state = 3},
  [9161] = {.lex_state = 35, .external_lex_state = 2},
  [9162] = {.lex_state = 0, .external_lex_state = 3},
  [9163] = {.lex_state = 35},
  [9164] = {.lex_state = 35},
  [9165] = {.lex_state = 35},
  [9166] = {.lex_state = 35},
  [9167] = {.lex_state = 35},
  [9168] = {.lex_state = 10},
  [9169] = {.lex_state = 35},
  [9170] = {.lex_state = 10},
  [9171] = {.lex_state = 35},
  [9172] = {.lex_state = 35},
  [9173] = {.lex_state = 35},
  [9174] = {.lex_state = 35},
  [9175] = {.lex_state = 0, .external_lex_state = 3},
  [9176] = {.lex_state = 35},
  [9177] = {.lex_state = 33, .external_lex_state = 3},
  [9178] = {.lex_state = 0, .external_lex_state = 3},
  [9179] = {.lex_state = 0, .external_lex_state = 3},
  [9180] = {.lex_state = 0, .external_lex_state = 3},
  [9181] = {.lex_state = 35},
  [9182] = {.lex_state = 35},
  [9183] = {.lex_state = 0, .external_lex_state = 3},
  [9184] = {.lex_state = 0, .external_lex_state = 3},
  [9185] = {.lex_state = 0, .external_lex_state = 3},
  [9186] = {.lex_state = 0, .external_lex_state = 3},
  [9187] = {.lex_state = 35, .external_lex_state = 2},
  [9188] = {.lex_state = 35, .external_lex_state = 2},
  [9189] = {.lex_state = 35},
  [9190] = {.lex_state = 35},
  [9191] = {.lex_state = 35},
  [9192] = {.lex_state = 35},
  [9193] = {.lex_state = 0, .external_lex_state = 3},
  [9194] = {.lex_state = 35},
  [9195] = {.lex_state = 35},
  [9196] = {.lex_state = 35},
  [9197] = {.lex_state = 35},
  [9198] = {.lex_state = 0, .external_lex_state = 3},
  [9199] = {.lex_state = 35, .external_lex_state = 2},
  [9200] = {.lex_state = 0, .external_lex_state = 3},
  [9201] = {.lex_state = 0, .external_lex_state = 3},
  [9202] = {.lex_state = 35},
  [9203] = {.lex_state = 0, .external_lex_state = 3},
  [9204] = {.lex_state = 0, .external_lex_state = 3},
  [9205] = {.lex_state = 35},
  [9206] = {.lex_state = 35},
  [9207] = {.lex_state = 35},
  [9208] = {.lex_state = 35},
  [9209] = {.lex_state = 35},
  [9210] = {.lex_state = 35, .external_lex_state = 2},
  [9211] = {.lex_state = 35},
  [9212] = {.lex_state = 0, .external_lex_state = 3},
  [9213] = {.lex_state = 35},
  [9214] = {.lex_state = 35},
  [9215] = {.lex_state = 0, .external_lex_state = 3},
  [9216] = {.lex_state = 35},
  [9217] = {.lex_state = 35},
  [9218] = {.lex_state = 0, .external_lex_state = 3},
  [9219] = {.lex_state = 35, .external_lex_state = 2},
  [9220] = {.lex_state = 35},
  [9221] = {.lex_state = 0, .external_lex_state = 3},
  [9222] = {.lex_state = 35},
  [9223] = {.lex_state = 35},
  [9224] = {.lex_state = 0, .external_lex_state = 3},
  [9225] = {.lex_state = 35},
  [9226] = {.lex_state = 35},
  [9227] = {.lex_state = 35},
  [9228] = {.lex_state = 35},
  [9229] = {.lex_state = 35},
  [9230] = {.lex_state = 35},
  [9231] = {.lex_state = 0, .external_lex_state = 3},
  [9232] = {.lex_state = 1},
  [9233] = {.lex_state = 35, .external_lex_state = 2},
  [9234] = {.lex_state = 35},
  [9235] = {.lex_state = 35},
  [9236] = {.lex_state = 35},
  [9237] = {.lex_state = 35},
  [9238] = {.lex_state = 35, .external_lex_state = 2},
  [9239] = {.lex_state = 35},
  [9240] = {.lex_state = 35, .external_lex_state = 2},
  [9241] = {.lex_state = 35},
  [9242] = {.lex_state = 35},
  [9243] = {.lex_state = 35},
  [9244] = {.lex_state = 35},
  [9245] = {.lex_state = 35},
  [9246] = {.lex_state = 35},
  [9247] = {.lex_state = 35},
  [9248] = {.lex_state = 35},
  [9249] = {.lex_state = 35},
  [9250] = {.lex_state = 33, .external_lex_state = 3},
  [9251] = {.lex_state = 35},
  [9252] = {.lex_state = 35},
  [9253] = {.lex_state = 35},
  [9254] = {.lex_state = 35},
  [9255] = {.lex_state = 35},
  [9256] = {.lex_state = 0, .external_lex_state = 3},
  [9257] = {.lex_state = 35},
  [9258] = {.lex_state = 0, .external_lex_state = 3},
  [9259] = {.lex_state = 0, .external_lex_state = 3},
  [9260] = {.lex_state = 0, .external_lex_state = 3},
  [9261] = {.lex_state = 0, .external_lex_state = 3},
  [9262] = {.lex_state = 0, .external_lex_state = 3},
  [9263] = {.lex_state = 35},
  [9264] = {.lex_state = 35, .external_lex_state = 2},
  [9265] = {.lex_state = 0, .external_lex_state = 3},
  [9266] = {.lex_state = 0, .external_lex_state = 3},
  [9267] = {.lex_state = 35},
  [9268] = {.lex_state = 35},
  [9269] = {.lex_state = 35, .external_lex_state = 2},
  [9270] = {.lex_state = 35},
  [9271] = {.lex_state = 0, .external_lex_state = 3},
  [9272] = {.lex_state = 0, .external_lex_state = 3},
  [9273] = {.lex_state = 35},
  [9274] = {.lex_state = 0, .external_lex_state = 3},
  [9275] = {.lex_state = 10},
  [9276] = {.lex_state = 0, .external_lex_state = 3},
  [9277] = {.lex_state = 10},
  [9278] = {.lex_state = 0, .external_lex_state = 3},
  [9279] = {.lex_state = 35},
  [9280] = {.lex_state = 35},
  [9281] = {.lex_state = 35},
  [9282] = {.lex_state = 35},
  [9283] = {.lex_state = 35},
  [9284] = {.lex_state = 35},
  [9285] = {.lex_state = 35, .external_lex_state = 2},
  [9286] = {.lex_state = 35},
  [9287] = {.lex_state = 35},
  [9288] = {.lex_state = 0, .external_lex_state = 3},
  [9289] = {.lex_state = 0, .external_lex_state = 3},
  [9290] = {.lex_state = 0, .external_lex_state = 3},
  [9291] = {.lex_state = 0, .external_lex_state = 3},
  [9292] = {.lex_state = 0, .external_lex_state = 3},
  [9293] = {.lex_state = 35},
  [9294] = {.lex_state = 0, .external_lex_state = 3},
  [9295] = {.lex_state = 35},
  [9296] = {.lex_state = 35},
  [9297] = {.lex_state = 35},
  [9298] = {.lex_state = 35},
  [9299] = {.lex_state = 35, .external_lex_state = 2},
  [9300] = {.lex_state = 0},
  [9301] = {.lex_state = 0, .external_lex_state = 3},
  [9302] = {.lex_state = 0, .external_lex_state = 3},
  [9303] = {.lex_state = 0, .external_lex_state = 3},
  [9304] = {.lex_state = 35},
  [9305] = {.lex_state = 35},
  [9306] = {.lex_state = 0, .external_lex_state = 3},
  [9307] = {.lex_state = 35, .external_lex_state = 2},
  [9308] = {.lex_state = 0, .external_lex_state = 3},
  [9309] = {.lex_state = 1},
  [9310] = {.lex_state = 0},
  [9311] = {.lex_state = 35},
  [9312] = {.lex_state = 35},
  [9313] = {.lex_state = 0},
  [9314] = {.lex_state = 35},
  [9315] = {.lex_state = 35},
  [9316] = {.lex_state = 35, .external_lex_state = 2},
  [9317] = {.lex_state = 35},
  [9318] = {.lex_state = 35},
  [9319] = {.lex_state = 35},
  [9320] = {.lex_state = 35, .external_lex_state = 2},
  [9321] = {.lex_state = 35},
  [9322] = {.lex_state = 35},
  [9323] = {.lex_state = 35},
  [9324] = {.lex_state = 35},
  [9325] = {.lex_state = 0, .external_lex_state = 3},
  [9326] = {.lex_state = 0, .external_lex_state = 3},
  [9327] = {.lex_state = 0, .external_lex_state = 3},
  [9328] = {.lex_state = 35, .external_lex_state = 2},
  [9329] = {.lex_state = 35},
  [9330] = {.lex_state = 35},
  [9331] = {.lex_state = 35},
  [9332] = {.lex_state = 35},
  [9333] = {.lex_state = 35, .external_lex_state = 2},
  [9334] = {.lex_state = 35},
  [9335] = {.lex_state = 0, .external_lex_state = 3},
  [9336] = {.lex_state = 35},
  [9337] = {.lex_state = 35, .external_lex_state = 2},
  [9338] = {.lex_state = 35},
  [9339] = {.lex_state = 35},
  [9340] = {.lex_state = 35},
  [9341] = {.lex_state = 35},
  [9342] = {.lex_state = 35},
  [9343] = {.lex_state = 35},
  [9344] = {.lex_state = 35, .external_lex_state = 2},
  [9345] = {.lex_state = 35},
  [9346] = {.lex_state = 35},
  [9347] = {.lex_state = 35},
  [9348] = {.lex_state = 35},
  [9349] = {.lex_state = 0, .external_lex_state = 3},
  [9350] = {.lex_state = 0, .external_lex_state = 3},
  [9351] = {.lex_state = 35},
  [9352] = {.lex_state = 35},
  [9353] = {.lex_state = 35},
  [9354] = {.lex_state = 35},
  [9355] = {.lex_state = 35},
  [9356] = {.lex_state = 35},
  [9357] = {.lex_state = 35},
  [9358] = {.lex_state = 35},
  [9359] = {.lex_state = 35},
  [9360] = {.lex_state = 35},
  [9361] = {.lex_state = 35},
  [9362] = {.lex_state = 35},
  [9363] = {.lex_state = 0, .external_lex_state = 3},
  [9364] = {.lex_state = 35},
  [9365] = {.lex_state = 35},
  [9366] = {.lex_state = 35},
  [9367] = {.lex_state = 35},
  [9368] = {.lex_state = 35},
  [9369] = {.lex_state = 35},
  [9370] = {.lex_state = 35},
  [9371] = {.lex_state = 35},
  [9372] = {.lex_state = 35},
  [9373] = {.lex_state = 35},
  [9374] = {.lex_state = 35},
  [9375] = {.lex_state = 35},
  [9376] = {.lex_state = 35},
  [9377] = {.lex_state = 35},
  [9378] = {.lex_state = 35},
  [9379] = {.lex_state = 35},
  [9380] = {.lex_state = 35},
  [9381] = {.lex_state = 35},
  [9382] = {.lex_state = 0, .external_lex_state = 3},
  [9383] = {.lex_state = 35},
  [9384] = {.lex_state = 1},
  [9385] = {.lex_state = 35},
  [9386] = {.lex_state = 35},
  [9387] = {.lex_state = 35},
  [9388] = {.lex_state = 35},
  [9389] = {.lex_state = 35},
  [9390] = {.lex_state = 35},
  [9391] = {.lex_state = 35},
  [9392] = {.lex_state = 0},
  [9393] = {.lex_state = 35},
  [9394] = {.lex_state = 0},
  [9395] = {.lex_state = 35},
  [9396] = {.lex_state = 35},
  [9397] = {.lex_state = 0},
  [9398] = {.lex_state = 35},
  [9399] = {.lex_state = 0},
  [9400] = {.lex_state = 35},
  [9401] = {.lex_state = 35},
  [9402] = {.lex_state = 35},
  [9403] = {.lex_state = 0, .external_lex_state = 3},
  [9404] = {.lex_state = 0, .external_lex_state = 3},
  [9405] = {.lex_state = 35},
  [9406] = {.lex_state = 35},
  [9407] = {.lex_state = 35},
  [9408] = {.lex_state = 35},
  [9409] = {.lex_state = 0, .external_lex_state = 3},
  [9410] = {.lex_state = 0, .external_lex_state = 3},
  [9411] = {.lex_state = 35},
  [9412] = {.lex_state = 35},
  [9413] = {.lex_state = 35},
  [9414] = {.lex_state = 35},
  [9415] = {.lex_state = 35},
  [9416] = {.lex_state = 35},
  [9417] = {.lex_state = 35},
  [9418] = {.lex_state = 35},
  [9419] = {.lex_state = 35},
  [9420] = {.lex_state = 35},
  [9421] = {.lex_state = 35},
  [9422] = {.lex_state = 35},
  [9423] = {.lex_state = 35},
  [9424] = {.lex_state = 35},
  [9425] = {.lex_state = 35},
  [9426] = {.lex_state = 0, .external_lex_state = 3},
  [9427] = {.lex_state = 0, .external_lex_state = 3},
  [9428] = {.lex_state = 35},
  [9429] = {.lex_state = 35},
  [9430] = {.lex_state = 35},
  [9431] = {.lex_state = 35},
  [9432] = {.lex_state = 35},
  [9433] = {.lex_state = 35},
  [9434] = {.lex_state = 0, .external_lex_state = 3},
  [9435] = {.lex_state = 35},
  [9436] = {.lex_state = 35, .external_lex_state = 2},
  [9437] = {.lex_state = 35},
  [9438] = {.lex_state = 35},
  [9439] = {.lex_state = 35, .external_lex_state = 2},
  [9440] = {.lex_state = 35},
  [9441] = {.lex_state = 35},
  [9442] = {.lex_state = 35},
  [9443] = {.lex_state = 35},
  [9444] = {.lex_state = 35},
  [9445] = {.lex_state = 35},
  [9446] = {.lex_state = 35},
  [9447] = {.lex_state = 35},
  [9448] = {.lex_state = 35},
  [9449] = {.lex_state = 35},
  [9450] = {.lex_state = 35},
  [9451] = {.lex_state = 35},
  [9452] = {.lex_state = 0},
  [9453] = {.lex_state = 35},
  [9454] = {.lex_state = 35},
  [9455] = {.lex_state = 35},
  [9456] = {.lex_state = 35},
  [9457] = {.lex_state = 35},
  [9458] = {.lex_state = 35},
  [9459] = {.lex_state = 35},
  [9460] = {.lex_state = 35},
  [9461] = {.lex_state = 35},
  [9462] = {.lex_state = 35},
  [9463] = {.lex_state = 35},
  [9464] = {.lex_state = 35},
  [9465] = {.lex_state = 35},
  [9466] = {.lex_state = 35},
  [9467] = {.lex_state = 35},
  [9468] = {.lex_state = 35},
  [9469] = {.lex_state = 35},
  [9470] = {.lex_state = 35},
  [9471] = {.lex_state = 35},
  [9472] = {.lex_state = 35},
  [9473] = {.lex_state = 35},
  [9474] = {.lex_state = 35},
  [9475] = {.lex_state = 35},
  [9476] = {.lex_state = 35},
  [9477] = {.lex_state = 35},
  [9478] = {.lex_state = 35},
  [9479] = {.lex_state = 35},
  [9480] = {.lex_state = 35},
  [9481] = {.lex_state = 35},
  [9482] = {.lex_state = 35},
  [9483] = {.lex_state = 35},
  [9484] = {.lex_state = 35},
  [9485] = {.lex_state = 35},
  [9486] = {.lex_state = 35},
  [9487] = {.lex_state = 35},
  [9488] = {.lex_state = 35},
  [9489] = {.lex_state = 35},
  [9490] = {.lex_state = 35},
  [9491] = {.lex_state = 35},
  [9492] = {.lex_state = 35},
  [9493] = {.lex_state = 35},
  [9494] = {.lex_state = 35},
  [9495] = {.lex_state = 35, .external_lex_state = 2},
  [9496] = {.lex_state = 35},
  [9497] = {.lex_state = 35},
  [9498] = {.lex_state = 35},
  [9499] = {.lex_state = 35},
  [9500] = {.lex_state = 35},
  [9501] = {.lex_state = 35},
  [9502] = {.lex_state = 35},
  [9503] = {.lex_state = 35},
  [9504] = {.lex_state = 35},
  [9505] = {.lex_state = 35},
  [9506] = {.lex_state = 0},
  [9507] = {.lex_state = 35},
  [9508] = {.lex_state = 35},
  [9509] = {.lex_state = 35},
  [9510] = {.lex_state = 35},
  [9511] = {.lex_state = 35},
  [9512] = {.lex_state = 35},
  [9513] = {.lex_state = 35},
  [9514] = {.lex_state = 35},
  [9515] = {.lex_state = 35},
  [9516] = {.lex_state = 35},
  [9517] = {.lex_state = 35},
  [9518] = {.lex_state = 35},
  [9519] = {.lex_state = 35},
  [9520] = {.lex_state = 35},
  [9521] = {.lex_state = 35},
  [9522] = {.lex_state = 35},
  [9523] = {.lex_state = 35},
  [9524] = {.lex_state = 35},
  [9525] = {.lex_state = 35},
  [9526] = {.lex_state = 35},
  [9527] = {.lex_state = 35},
  [9528] = {.lex_state = 35},
  [9529] = {.lex_state = 35},
  [9530] = {.lex_state = 35},
  [9531] = {.lex_state = 35},
  [9532] = {.lex_state = 35},
  [9533] = {.lex_state = 35},
  [9534] = {.lex_state = 35},
  [9535] = {.lex_state = 35},
  [9536] = {.lex_state = 35},
  [9537] = {.lex_state = 35},
  [9538] = {.lex_state = 35},
  [9539] = {.lex_state = 35},
  [9540] = {.lex_state = 35},
  [9541] = {.lex_state = 35},
  [9542] = {.lex_state = 35},
  [9543] = {.lex_state = 35},
  [9544] = {.lex_state = 35},
  [9545] = {.lex_state = 35},
  [9546] = {.lex_state = 35},
  [9547] = {.lex_state = 35},
  [9548] = {.lex_state = 35},
  [9549] = {.lex_state = 35},
  [9550] = {.lex_state = 0},
  [9551] = {.lex_state = 35},
  [9552] = {.lex_state = 35},
  [9553] = {.lex_state = 35},
  [9554] = {.lex_state = 35},
  [9555] = {.lex_state = 35},
  [9556] = {.lex_state = 35},
  [9557] = {.lex_state = 35},
  [9558] = {.lex_state = 35},
  [9559] = {.lex_state = 35},
  [9560] = {.lex_state = 35},
  [9561] = {.lex_state = 35},
  [9562] = {.lex_state = 35, .external_lex_state = 2},
  [9563] = {.lex_state = 35},
  [9564] = {.lex_state = 35},
  [9565] = {.lex_state = 35},
  [9566] = {.lex_state = 35},
  [9567] = {.lex_state = 35},
  [9568] = {.lex_state = 35},
  [9569] = {.lex_state = 35},
  [9570] = {.lex_state = 0},
  [9571] = {.lex_state = 35},
  [9572] = {.lex_state = 35},
  [9573] = {.lex_state = 35},
  [9574] = {.lex_state = 35, .external_lex_state = 2},
  [9575] = {.lex_state = 35},
  [9576] = {.lex_state = 35},
  [9577] = {.lex_state = 35},
  [9578] = {.lex_state = 35},
  [9579] = {.lex_state = 35},
  [9580] = {.lex_state = 35},
  [9581] = {.lex_state = 35},
  [9582] = {.lex_state = 35},
  [9583] = {.lex_state = 35},
  [9584] = {.lex_state = 35},
  [9585] = {.lex_state = 35},
  [9586] = {.lex_state = 0},
  [9587] = {.lex_state = 0},
  [9588] = {.lex_state = 35},
  [9589] = {.lex_state = 35},
  [9590] = {.lex_state = 35},
  [9591] = {.lex_state = 35},
  [9592] = {.lex_state = 35},
  [9593] = {.lex_state = 35},
  [9594] = {.lex_state = 35},
  [9595] = {.lex_state = 35},
  [9596] = {.lex_state = 35},
  [9597] = {.lex_state = 0},
  [9598] = {.lex_state = 35},
  [9599] = {.lex_state = 35},
  [9600] = {.lex_state = 0},
  [9601] = {.lex_state = 0},
  [9602] = {.lex_state = 35},
  [9603] = {.lex_state = 35},
  [9604] = {.lex_state = 35},
  [9605] = {.lex_state = 35},
  [9606] = {.lex_state = 35},
  [9607] = {.lex_state = 35, .external_lex_state = 2},
  [9608] = {.lex_state = 35},
  [9609] = {.lex_state = 35},
  [9610] = {.lex_state = 35},
  [9611] = {.lex_state = 35},
  [9612] = {.lex_state = 35},
  [9613] = {.lex_state = 35},
  [9614] = {.lex_state = 35},
  [9615] = {.lex_state = 35},
  [9616] = {.lex_state = 35},
  [9617] = {.lex_state = 35},
  [9618] = {.lex_state = 35},
  [9619] = {.lex_state = 35},
  [9620] = {.lex_state = 0},
  [9621] = {.lex_state = 0},
  [9622] = {.lex_state = 35},
  [9623] = {.lex_state = 35},
  [9624] = {.lex_state = 35},
  [9625] = {.lex_state = 35},
  [9626] = {.lex_state = 35},
  [9627] = {.lex_state = 1},
  [9628] = {.lex_state = 35},
  [9629] = {.lex_state = 0},
  [9630] = {.lex_state = 0},
  [9631] = {.lex_state = 35},
  [9632] = {.lex_state = 35},
  [9633] = {.lex_state = 35},
  [9634] = {.lex_state = 35},
  [9635] = {.lex_state = 35},
  [9636] = {.lex_state = 35},
  [9637] = {.lex_state = 35},
  [9638] = {.lex_state = 35},
  [9639] = {.lex_state = 35},
  [9640] = {.lex_state = 35},
  [9641] = {.lex_state = 35},
  [9642] = {.lex_state = 35},
  [9643] = {.lex_state = 35},
  [9644] = {.lex_state = 35},
  [9645] = {.lex_state = 35},
  [9646] = {.lex_state = 35},
  [9647] = {.lex_state = 35},
  [9648] = {.lex_state = 35},
  [9649] = {.lex_state = 0},
  [9650] = {.lex_state = 35},
  [9651] = {.lex_state = 35},
  [9652] = {.lex_state = 35},
  [9653] = {.lex_state = 35},
  [9654] = {.lex_state = 35},
  [9655] = {.lex_state = 35},
  [9656] = {.lex_state = 35},
  [9657] = {.lex_state = 35},
  [9658] = {.lex_state = 35, .external_lex_state = 2},
  [9659] = {.lex_state = 35},
  [9660] = {.lex_state = 35},
  [9661] = {.lex_state = 35},
  [9662] = {.lex_state = 35},
  [9663] = {.lex_state = 35},
  [9664] = {.lex_state = 35},
  [9665] = {.lex_state = 0},
  [9666] = {.lex_state = 35},
  [9667] = {.lex_state = 0},
  [9668] = {.lex_state = 35},
  [9669] = {.lex_state = 35, .external_lex_state = 2},
  [9670] = {.lex_state = 35},
  [9671] = {.lex_state = 35},
  [9672] = {.lex_state = 35},
  [9673] = {.lex_state = 0},
  [9674] = {.lex_state = 35},
  [9675] = {.lex_state = 35},
  [9676] = {.lex_state = 35},
  [9677] = {.lex_state = 35},
  [9678] = {.lex_state = 35},
  [9679] = {.lex_state = 35},
  [9680] = {.lex_state = 35},
  [9681] = {.lex_state = 35},
  [9682] = {.lex_state = 35},
  [9683] = {.lex_state = 35},
  [9684] = {.lex_state = 35},
  [9685] = {.lex_state = 35},
  [9686] = {.lex_state = 35},
  [9687] = {.lex_state = 0},
  [9688] = {.lex_state = 35},
  [9689] = {.lex_state = 35},
  [9690] = {.lex_state = 35, .external_lex_state = 2},
  [9691] = {.lex_state = 0},
  [9692] = {.lex_state = 0},
  [9693] = {.lex_state = 35},
  [9694] = {.lex_state = 0},
  [9695] = {.lex_state = 35},
  [9696] = {.lex_state = 35, .external_lex_state = 2},
  [9697] = {.lex_state = 35},
  [9698] = {.lex_state = 35},
  [9699] = {.lex_state = 35},
  [9700] = {.lex_state = 35},
  [9701] = {.lex_state = 35},
  [9702] = {.lex_state = 35},
  [9703] = {.lex_state = 35},
  [9704] = {.lex_state = 1},
  [9705] = {.lex_state = 0},
  [9706] = {.lex_state = 35},
  [9707] = {.lex_state = 35},
  [9708] = {.lex_state = 35},
  [9709] = {.lex_state = 35},
  [9710] = {.lex_state = 35},
  [9711] = {.lex_state = 35},
  [9712] = {.lex_state = 35, .external_lex_state = 2},
  [9713] = {.lex_state = 0},
  [9714] = {.lex_state = 35},
  [9715] = {.lex_state = 35},
  [9716] = {.lex_state = 35, .external_lex_state = 2},
  [9717] = {.lex_state = 35},
  [9718] = {.lex_state = 35},
  [9719] = {.lex_state = 35, .external_lex_state = 2},
  [9720] = {.lex_state = 35},
  [9721] = {.lex_state = 35},
  [9722] = {.lex_state = 35},
  [9723] = {.lex_state = 0},
  [9724] = {.lex_state = 35},
  [9725] = {.lex_state = 0},
  [9726] = {.lex_state = 35},
  [9727] = {.lex_state = 35},
  [9728] = {.lex_state = 35},
  [9729] = {.lex_state = 35},
  [9730] = {.lex_state = 35, .external_lex_state = 2},
  [9731] = {.lex_state = 35},
  [9732] = {.lex_state = 35, .external_lex_state = 2},
  [9733] = {.lex_state = 35},
  [9734] = {.lex_state = 35},
  [9735] = {.lex_state = 35},
  [9736] = {.lex_state = 35},
  [9737] = {.lex_state = 35},
  [9738] = {.lex_state = 0},
  [9739] = {.lex_state = 0},
  [9740] = {.lex_state = 35},
  [9741] = {.lex_state = 0},
  [9742] = {.lex_state = 0},
  [9743] = {.lex_state = 35},
  [9744] = {.lex_state = 0},
  [9745] = {.lex_state = 35},
  [9746] = {.lex_state = 35},
  [9747] = {.lex_state = 35, .external_lex_state = 2},
  [9748] = {.lex_state = 35},
  [9749] = {.lex_state = 0},
  [9750] = {.lex_state = 35},
  [9751] = {.lex_state = 0},
  [9752] = {.lex_state = 35},
  [9753] = {.lex_state = 35},
  [9754] = {.lex_state = 35},
  [9755] = {.lex_state = 35},
  [9756] = {.lex_state = 1},
  [9757] = {.lex_state = 35},
  [9758] = {.lex_state = 35},
  [9759] = {.lex_state = 35},
  [9760] = {.lex_state = 0},
  [9761] = {.lex_state = 35},
  [9762] = {.lex_state = 35},
  [9763] = {.lex_state = 35},
  [9764] = {.lex_state = 35},
  [9765] = {.lex_state = 35},
  [9766] = {.lex_state = 35},
  [9767] = {.lex_state = 35},
  [9768] = {.lex_state = 35},
  [9769] = {.lex_state = 35},
  [9770] = {.lex_state = 35},
  [9771] = {.lex_state = 35},
  [9772] = {.lex_state = 35},
  [9773] = {.lex_state = 35},
  [9774] = {.lex_state = 35},
  [9775] = {.lex_state = 35},
  [9776] = {.lex_state = 35},
  [9777] = {.lex_state = 35},
  [9778] = {.lex_state = 35},
  [9779] = {.lex_state = 35},
  [9780] = {.lex_state = 35},
  [9781] = {.lex_state = 35},
  [9782] = {.lex_state = 0},
  [9783] = {.lex_state = 35, .external_lex_state = 2},
  [9784] = {.lex_state = 35},
  [9785] = {.lex_state = 35, .external_lex_state = 2},
  [9786] = {.lex_state = 35},
  [9787] = {.lex_state = 35},
  [9788] = {.lex_state = 35},
  [9789] = {.lex_state = 35},
  [9790] = {.lex_state = 35},
  [9791] = {.lex_state = 35},
  [9792] = {.lex_state = 35},
  [9793] = {.lex_state = 0},
  [9794] = {.lex_state = 35, .external_lex_state = 2},
  [9795] = {.lex_state = 35, .external_lex_state = 2},
  [9796] = {.lex_state = 35},
  [9797] = {.lex_state = 35},
  [9798] = {.lex_state = 35},
  [9799] = {.lex_state = 35},
  [9800] = {.lex_state = 35},
  [9801] = {.lex_state = 35},
  [9802] = {.lex_state = 35},
  [9803] = {.lex_state = 35},
  [9804] = {.lex_state = 35},
  [9805] = {.lex_state = 35},
  [9806] = {.lex_state = 35, .external_lex_state = 2},
  [9807] = {.lex_state = 0, .external_lex_state = 2},
  [9808] = {.lex_state = 0},
  [9809] = {.lex_state = 0, .external_lex_state = 2},
  [9810] = {.lex_state = 35},
  [9811] = {.lex_state = 35},
  [9812] = {.lex_state = 35},
  [9813] = {.lex_state = 35},
  [9814] = {.lex_state = 35},
  [9815] = {.lex_state = 35},
  [9816] = {.lex_state = 35},
  [9817] = {.lex_state = 35},
  [9818] = {.lex_state = 35},
  [9819] = {.lex_state = 35},
  [9820] = {.lex_state = 0},
  [9821] = {.lex_state = 35},
  [9822] = {.lex_state = 35},
  [9823] = {.lex_state = 35, .external_lex_state = 2},
  [9824] = {.lex_state = 35},
  [9825] = {.lex_state = 35},
  [9826] = {.lex_state = 35},
  [9827] = {.lex_state = 35},
  [9828] = {.lex_state = 35, .external_lex_state = 2},
  [9829] = {.lex_state = 35, .external_lex_state = 2},
  [9830] = {.lex_state = 35},
  [9831] = {.lex_state = 35},
  [9832] = {.lex_state = 35, .external_lex_state = 2},
  [9833] = {.lex_state = 35},
  [9834] = {.lex_state = 35},
  [9835] = {.lex_state = 35},
  [9836] = {.lex_state = 35},
  [9837] = {.lex_state = 35},
  [9838] = {.lex_state = 35},
  [9839] = {.lex_state = 35},
  [9840] = {.lex_state = 35},
  [9841] = {.lex_state = 0},
  [9842] = {.lex_state = 1},
  [9843] = {.lex_state = 35},
  [9844] = {.lex_state = 35},
  [9845] = {.lex_state = 35},
  [9846] = {.lex_state = 0},
  [9847] = {.lex_state = 0},
  [9848] = {.lex_state = 0},
  [9849] = {.lex_state = 35},
  [9850] = {.lex_state = 35, .external_lex_state = 2},
  [9851] = {.lex_state = 35},
  [9852] = {.lex_state = 35},
  [9853] = {.lex_state = 35},
  [9854] = {.lex_state = 35},
  [9855] = {.lex_state = 35, .external_lex_state = 2},
  [9856] = {.lex_state = 35},
  [9857] = {.lex_state = 35},
  [9858] = {.lex_state = 35},
  [9859] = {.lex_state = 35},
  [9860] = {.lex_state = 35},
  [9861] = {.lex_state = 0, .external_lex_state = 2},
  [9862] = {.lex_state = 35},
  [9863] = {.lex_state = 0},
  [9864] = {.lex_state = 35},
  [9865] = {.lex_state = 35},
  [9866] = {.lex_state = 0, .external_lex_state = 5},
  [9867] = {.lex_state = 35},
  [9868] = {.lex_state = 35},
  [9869] = {.lex_state = 35},
  [9870] = {.lex_state = 35},
  [9871] = {.lex_state = 0},
  [9872] = {.lex_state = 35},
  [9873] = {.lex_state = 35},
  [9874] = {.lex_state = 35, .external_lex_state = 2},
  [9875] = {.lex_state = 35},
  [9876] = {.lex_state = 35},
  [9877] = {.lex_state = 35},
  [9878] = {.lex_state = 35},
  [9879] = {.lex_state = 35},
  [9880] = {.lex_state = 35},
  [9881] = {.lex_state = 35},
  [9882] = {.lex_state = 35},
  [9883] = {.lex_state = 35},
  [9884] = {.lex_state = 35},
  [9885] = {.lex_state = 35},
  [9886] = {.lex_state = 35},
  [9887] = {.lex_state = 35},
  [9888] = {.lex_state = 35},
  [9889] = {.lex_state = 35},
  [9890] = {.lex_state = 35},
  [9891] = {.lex_state = 35},
  [9892] = {.lex_state = 35},
  [9893] = {.lex_state = 35},
  [9894] = {.lex_state = 0, .external_lex_state = 2},
  [9895] = {.lex_state = 35},
  [9896] = {.lex_state = 35},
  [9897] = {.lex_state = 35},
  [9898] = {.lex_state = 35},
  [9899] = {.lex_state = 35},
  [9900] = {.lex_state = 35},
  [9901] = {.lex_state = 35},
  [9902] = {.lex_state = 35},
  [9903] = {.lex_state = 35},
  [9904] = {.lex_state = 35},
  [9905] = {.lex_state = 35},
  [9906] = {.lex_state = 35},
  [9907] = {.lex_state = 35},
  [9908] = {.lex_state = 35},
  [9909] = {.lex_state = 35},
  [9910] = {.lex_state = 35},
  [9911] = {.lex_state = 0},
  [9912] = {.lex_state = 35},
  [9913] = {.lex_state = 1},
  [9914] = {.lex_state = 35},
  [9915] = {.lex_state = 35},
  [9916] = {.lex_state = 35},
  [9917] = {.lex_state = 33},
  [9918] = {.lex_state = 0},
  [9919] = {.lex_state = 35},
  [9920] = {.lex_state = 35},
  [9921] = {.lex_state = 0},
  [9922] = {.lex_state = 35},
  [9923] = {.lex_state = 35},
  [9924] = {.lex_state = 35},
  [9925] = {.lex_state = 35},
  [9926] = {.lex_state = 35},
  [9927] = {.lex_state = 35},
  [9928] = {.lex_state = 35, .external_lex_state = 2},
  [9929] = {.lex_state = 1},
  [9930] = {.lex_state = 1},
  [9931] = {.lex_state = 35},
  [9932] = {.lex_state = 35},
  [9933] = {.lex_state = 35},
  [9934] = {.lex_state = 0},
  [9935] = {.lex_state = 35},
  [9936] = {.lex_state = 35},
  [9937] = {.lex_state = 35},
  [9938] = {.lex_state = 35},
  [9939] = {.lex_state = 35},
  [9940] = {.lex_state = 35},
  [9941] = {.lex_state = 35, .external_lex_state = 2},
  [9942] = {.lex_state = 35, .external_lex_state = 2},
  [9943] = {.lex_state = 0},
  [9944] = {.lex_state = 0},
  [9945] = {.lex_state = 35, .external_lex_state = 2},
  [9946] = {.lex_state = 35},
  [9947] = {.lex_state = 35},
  [9948] = {.lex_state = 35},
  [9949] = {.lex_state = 35},
  [9950] = {.lex_state = 35},
  [9951] = {.lex_state = 35},
  [9952] = {.lex_state = 35},
  [9953] = {.lex_state = 0, .external_lex_state = 2},
  [9954] = {.lex_state = 35},
  [9955] = {.lex_state = 0},
  [9956] = {.lex_state = 35},
  [9957] = {.lex_state = 35},
  [9958] = {.lex_state = 0, .external_lex_state = 2},
  [9959] = {.lex_state = 0, .external_lex_state = 2},
  [9960] = {.lex_state = 0, .external_lex_state = 2},
  [9961] = {.lex_state = 0},
  [9962] = {.lex_state = 0, .external_lex_state = 2},
  [9963] = {.lex_state = 35},
  [9964] = {.lex_state = 35},
  [9965] = {.lex_state = 0},
  [9966] = {.lex_state = 0},
  [9967] = {.lex_state = 35},
  [9968] = {.lex_state = 35, .external_lex_state = 2},
  [9969] = {.lex_state = 35},
  [9970] = {.lex_state = 35},
  [9971] = {.lex_state = 0},
  [9972] = {.lex_state = 35},
  [9973] = {.lex_state = 35, .external_lex_state = 2},
  [9974] = {.lex_state = 35},
  [9975] = {.lex_state = 35},
  [9976] = {.lex_state = 0},
  [9977] = {.lex_state = 35, .external_lex_state = 2},
  [9978] = {.lex_state = 35, .external_lex_state = 2},
  [9979] = {.lex_state = 35},
  [9980] = {.lex_state = 0},
  [9981] = {.lex_state = 0},
  [9982] = {.lex_state = 35},
  [9983] = {.lex_state = 35},
  [9984] = {.lex_state = 0},
  [9985] = {.lex_state = 35},
  [9986] = {.lex_state = 0, .external_lex_state = 2},
  [9987] = {.lex_state = 35},
  [9988] = {.lex_state = 35},
  [9989] = {.lex_state = 35},
  [9990] = {.lex_state = 0},
  [9991] = {.lex_state = 1},
  [9992] = {.lex_state = 35},
  [9993] = {.lex_state = 35},
  [9994] = {.lex_state = 35},
  [9995] = {.lex_state = 35},
  [9996] = {.lex_state = 35},
  [9997] = {.lex_state = 35},
  [9998] = {.lex_state = 35},
  [9999] = {.lex_state = 35},
  [10000] = {.lex_state = 1},
  [10001] = {.lex_state = 35},
  [10002] = {.lex_state = 35},
  [10003] = {.lex_state = 35},
  [10004] = {.lex_state = 35},
  [10005] = {.lex_state = 35},
  [10006] = {.lex_state = 35},
  [10007] = {.lex_state = 35},
  [10008] = {.lex_state = 35},
  [10009] = {.lex_state = 35},
  [10010] = {.lex_state = 35},
  [10011] = {.lex_state = 35},
  [10012] = {.lex_state = 35, .external_lex_state = 2},
  [10013] = {.lex_state = 35, .external_lex_state = 2},
  [10014] = {.lex_state = 35},
  [10015] = {.lex_state = 1},
  [10016] = {.lex_state = 35, .external_lex_state = 2},
  [10017] = {.lex_state = 35},
  [10018] = {.lex_state = 35},
  [10019] = {.lex_state = 35},
  [10020] = {.lex_state = 35},
  [10021] = {.lex_state = 0},
  [10022] = {.lex_state = 35},
  [10023] = {.lex_state = 35},
  [10024] = {.lex_state = 35},
  [10025] = {.lex_state = 35, .external_lex_state = 2},
  [10026] = {.lex_state = 35},
  [10027] = {.lex_state = 35},
  [10028] = {.lex_state = 35},
  [10029] = {.lex_state = 35},
  [10030] = {.lex_state = 0, .external_lex_state = 2},
  [10031] = {.lex_state = 35},
  [10032] = {.lex_state = 35},
  [10033] = {.lex_state = 35},
  [10034] = {.lex_state = 35},
  [10035] = {.lex_state = 35},
  [10036] = {.lex_state = 35},
  [10037] = {.lex_state = 1},
  [10038] = {.lex_state = 35},
  [10039] = {.lex_state = 35, .external_lex_state = 2},
  [10040] = {.lex_state = 35, .external_lex_state = 2},
  [10041] = {.lex_state = 35, .external_lex_state = 2},
  [10042] = {.lex_state = 35},
  [10043] = {.lex_state = 35},
  [10044] = {.lex_state = 35},
  [10045] = {.lex_state = 0},
  [10046] = {.lex_state = 35},
  [10047] = {.lex_state = 35},
  [10048] = {.lex_state = 35},
  [10049] = {.lex_state = 35},
  [10050] = {.lex_state = 35},
  [10051] = {.lex_state = 35},
  [10052] = {.lex_state = 0},
  [10053] = {.lex_state = 35},
  [10054] = {.lex_state = 35, .external_lex_state = 2},
  [10055] = {.lex_state = 35},
  [10056] = {.lex_state = 35, .external_lex_state = 2},
  [10057] = {.lex_state = 35, .external_lex_state = 2},
  [10058] = {.lex_state = 35},
  [10059] = {.lex_state = 35},
  [10060] = {.lex_state = 35},
  [10061] = {.lex_state = 35},
  [10062] = {.lex_state = 35},
  [10063] = {.lex_state = 35},
  [10064] = {.lex_state = 35},
  [10065] = {.lex_state = 35},
  [10066] = {.lex_state = 35},
  [10067] = {.lex_state = 35},
  [10068] = {.lex_state = 35},
  [10069] = {.lex_state = 35, .external_lex_state = 2},
  [10070] = {.lex_state = 1},
  [10071] = {.lex_state = 0, .external_lex_state = 2},
  [10072] = {.lex_state = 35},
  [10073] = {.lex_state = 35},
  [10074] = {.lex_state = 35},
  [10075] = {.lex_state = 1},
  [10076] = {.lex_state = 35},
  [10077] = {.lex_state = 35},
  [10078] = {.lex_state = 35},
  [10079] = {.lex_state = 35},
  [10080] = {.lex_state = 35},
  [10081] = {.lex_state = 35, .external_lex_state = 2},
  [10082] = {.lex_state = 35},
  [10083] = {.lex_state = 35},
  [10084] = {.lex_state = 1},
  [10085] = {.lex_state = 35},
  [10086] = {.lex_state = 35},
  [10087] = {.lex_state = 35},
  [10088] = {.lex_state = 1},
  [10089] = {.lex_state = 0, .external_lex_state = 2},
  [10090] = {.lex_state = 35},
  [10091] = {.lex_state = 35},
  [10092] = {.lex_state = 0, .external_lex_state = 2},
  [10093] = {.lex_state = 35},
  [10094] = {.lex_state = 35},
  [10095] = {.lex_state = 35},
  [10096] = {.lex_state = 35},
  [10097] = {.lex_state = 35},
  [10098] = {.lex_state = 0, .external_lex_state = 2},
  [10099] = {.lex_state = 35},
  [10100] = {.lex_state = 35},
  [10101] = {.lex_state = 1},
  [10102] = {.lex_state = 35},
  [10103] = {.lex_state = 35},
  [10104] = {.lex_state = 35},
  [10105] = {.lex_state = 35},
  [10106] = {.lex_state = 35},
  [10107] = {.lex_state = 35},
  [10108] = {.lex_state = 33},
  [10109] = {.lex_state = 35},
  [10110] = {.lex_state = 0, .external_lex_state = 2},
  [10111] = {.lex_state = 35},
  [10112] = {.lex_state = 1},
  [10113] = {.lex_state = 35},
  [10114] = {.lex_state = 35},
  [10115] = {.lex_state = 35},
  [10116] = {.lex_state = 35},
  [10117] = {.lex_state = 35},
  [10118] = {.lex_state = 35},
  [10119] = {.lex_state = 35, .external_lex_state = 2},
  [10120] = {.lex_state = 35},
  [10121] = {.lex_state = 0},
  [10122] = {.lex_state = 35, .external_lex_state = 2},
  [10123] = {.lex_state = 35},
  [10124] = {.lex_state = 35},
  [10125] = {.lex_state = 35},
  [10126] = {.lex_state = 35},
  [10127] = {.lex_state = 35, .external_lex_state = 2},
  [10128] = {.lex_state = 35},
  [10129] = {.lex_state = 35},
  [10130] = {.lex_state = 35},
  [10131] = {.lex_state = 35},
  [10132] = {.lex_state = 1},
  [10133] = {.lex_state = 35},
  [10134] = {.lex_state = 35},
  [10135] = {.lex_state = 35},
  [10136] = {.lex_state = 35},
  [10137] = {.lex_state = 35},
  [10138] = {.lex_state = 0, .external_lex_state = 2},
  [10139] = {.lex_state = 35},
  [10140] = {.lex_state = 35},
  [10141] = {.lex_state = 0, .external_lex_state = 2},
  [10142] = {.lex_state = 35},
  [10143] = {.lex_state = 35},
  [10144] = {.lex_state = 0, .external_lex_state = 5},
  [10145] = {.lex_state = 35, .external_lex_state = 2},
  [10146] = {.lex_state = 35},
  [10147] = {.lex_state = 35, .external_lex_state = 2},
  [10148] = {.lex_state = 35},
  [10149] = {.lex_state = 35},
  [10150] = {.lex_state = 35},
  [10151] = {.lex_state = 35},
  [10152] = {.lex_state = 35},
  [10153] = {.lex_state = 0, .external_lex_state = 2},
  [10154] = {.lex_state = 1},
  [10155] = {.lex_state = 0, .external_lex_state = 2},
  [10156] = {.lex_state = 1},
  [10157] = {.lex_state = 35},
  [10158] = {.lex_state = 35},
  [10159] = {.lex_state = 0},
  [10160] = {.lex_state = 35},
  [10161] = {.lex_state = 35},
  [10162] = {.lex_state = 35, .external_lex_state = 2},
  [10163] = {.lex_state = 35, .external_lex_state = 2},
  [10164] = {.lex_state = 35},
  [10165] = {.lex_state = 35},
  [10166] = {.lex_state = 35, .external_lex_state = 2},
  [10167] = {.lex_state = 0},
  [10168] = {.lex_state = 35, .external_lex_state = 2},
  [10169] = {.lex_state = 35, .external_lex_state = 2},
  [10170] = {.lex_state = 35},
  [10171] = {.lex_state = 35, .external_lex_state = 2},
  [10172] = {.lex_state = 35},
  [10173] = {.lex_state = 35, .external_lex_state = 2},
  [10174] = {.lex_state = 0},
  [10175] = {.lex_state = 35},
  [10176] = {.lex_state = 35},
  [10177] = {.lex_state = 35},
  [10178] = {.lex_state = 35, .external_lex_state = 2},
  [10179] = {.lex_state = 35},
  [10180] = {.lex_state = 0, .external_lex_state = 2},
  [10181] = {.lex_state = 0},
  [10182] = {.lex_state = 35},
  [10183] = {.lex_state = 35},
  [10184] = {.lex_state = 35},
  [10185] = {.lex_state = 0, .external_lex_state = 2},
  [10186] = {.lex_state = 35, .external_lex_state = 2},
  [10187] = {.lex_state = 35, .external_lex_state = 2},
  [10188] = {.lex_state = 35},
  [10189] = {.lex_state = 35},
  [10190] = {.lex_state = 35},
  [10191] = {.lex_state = 35},
  [10192] = {.lex_state = 35},
  [10193] = {.lex_state = 35, .external_lex_state = 2},
  [10194] = {.lex_state = 35},
  [10195] = {.lex_state = 35},
  [10196] = {.lex_state = 35},
  [10197] = {.lex_state = 35},
  [10198] = {.lex_state = 35},
  [10199] = {.lex_state = 35, .external_lex_state = 2},
  [10200] = {.lex_state = 35},
  [10201] = {.lex_state = 35},
  [10202] = {.lex_state = 35},
  [10203] = {.lex_state = 35},
  [10204] = {.lex_state = 0},
  [10205] = {.lex_state = 35, .external_lex_state = 2},
  [10206] = {.lex_state = 35},
  [10207] = {.lex_state = 35, .external_lex_state = 2},
  [10208] = {.lex_state = 35},
  [10209] = {.lex_state = 35, .external_lex_state = 2},
  [10210] = {.lex_state = 35},
  [10211] = {.lex_state = 0, .external_lex_state = 2},
  [10212] = {.lex_state = 0, .external_lex_state = 2},
  [10213] = {.lex_state = 35},
  [10214] = {.lex_state = 35},
  [10215] = {.lex_state = 35},
  [10216] = {.lex_state = 35},
  [10217] = {.lex_state = 35},
  [10218] = {.lex_state = 35},
  [10219] = {.lex_state = 0, .external_lex_state = 2},
  [10220] = {.lex_state = 35},
  [10221] = {.lex_state = 35},
  [10222] = {.lex_state = 35},
  [10223] = {.lex_state = 35},
  [10224] = {.lex_state = 35, .external_lex_state = 2},
  [10225] = {.lex_state = 0},
  [10226] = {.lex_state = 0, .external_lex_state = 2},
  [10227] = {.lex_state = 35},
  [10228] = {.lex_state = 35},
  [10229] = {.lex_state = 0},
  [10230] = {.lex_state = 0, .external_lex_state = 2},
  [10231] = {.lex_state = 0, .external_lex_state = 2},
  [10232] = {.lex_state = 0, .external_lex_state = 2},
  [10233] = {.lex_state = 0, .external_lex_state = 2},
  [10234] = {.lex_state = 0, .external_lex_state = 2},
  [10235] = {.lex_state = 0, .external_lex_state = 2},
  [10236] = {.lex_state = 35, .external_lex_state = 2},
  [10237] = {.lex_state = 0, .external_lex_state = 2},
  [10238] = {.lex_state = 0, .external_lex_state = 2},
  [10239] = {.lex_state = 35},
  [10240] = {.lex_state = 35},
  [10241] = {.lex_state = 35},
  [10242] = {.lex_state = 35},
  [10243] = {.lex_state = 0},
  [10244] = {.lex_state = 0},
  [10245] = {.lex_state = 0, .external_lex_state = 2},
  [10246] = {.lex_state = 0},
  [10247] = {.lex_state = 35},
  [10248] = {.lex_state = 0},
  [10249] = {.lex_state = 35},
  [10250] = {.lex_state = 0, .external_lex_state = 2},
  [10251] = {.lex_state = 0},
  [10252] = {.lex_state = 0},
  [10253] = {.lex_state = 35},
  [10254] = {.lex_state = 0},
  [10255] = {.lex_state = 0},
  [10256] = {.lex_state = 35, .external_lex_state = 2},
  [10257] = {.lex_state = 0},
  [10258] = {.lex_state = 0, .external_lex_state = 2},
  [10259] = {.lex_state = 0},
  [10260] = {.lex_state = 0},
  [10261] = {.lex_state = 0},
  [10262] = {.lex_state = 0},
  [10263] = {.lex_state = 0},
  [10264] = {.lex_state = 0},
  [10265] = {.lex_state = 0},
  [10266] = {.lex_state = 35},
  [10267] = {.lex_state = 35},
  [10268] = {.lex_state = 0},
  [10269] = {.lex_state = 0},
  [10270] = {.lex_state = 0},
  [10271] = {.lex_state = 35},
  [10272] = {.lex_state = 35},
  [10273] = {.lex_state = 0},
  [10274] = {.lex_state = 0},
  [10275] = {.lex_state = 35},
  [10276] = {.lex_state = 35, .external_lex_state = 2},
  [10277] = {.lex_state = 35},
  [10278] = {.lex_state = 0},
  [10279] = {.lex_state = 35},
  [10280] = {.lex_state = 35, .external_lex_state = 2},
  [10281] = {.lex_state = 0},
  [10282] = {.lex_state = 35},
  [10283] = {.lex_state = 0},
  [10284] = {.lex_state = 0},
  [10285] = {.lex_state = 0},
  [10286] = {.lex_state = 0},
  [10287] = {.lex_state = 35, .external_lex_state = 2},
  [10288] = {.lex_state = 0},
  [10289] = {.lex_state = 35},
  [10290] = {.lex_state = 35},
  [10291] = {.lex_state = 0},
  [10292] = {.lex_state = 35},
  [10293] = {.lex_state = 35},
  [10294] = {.lex_state = 35},
  [10295] = {.lex_state = 0},
  [10296] = {.lex_state = 0},
  [10297] = {.lex_state = 0},
  [10298] = {.lex_state = 0},
  [10299] = {.lex_state = 0},
  [10300] = {.lex_state = 0},
  [10301] = {.lex_state = 35},
  [10302] = {.lex_state = 0},
  [10303] = {.lex_state = 0},
  [10304] = {.lex_state = 35, .external_lex_state = 2},
  [10305] = {.lex_state = 35, .external_lex_state = 2},
  [10306] = {.lex_state = 0},
  [10307] = {.lex_state = 0},
  [10308] = {.lex_state = 0},
  [10309] = {.lex_state = 35, .external_lex_state = 2},
  [10310] = {.lex_state = 35, .external_lex_state = 2},
  [10311] = {.lex_state = 35},
  [10312] = {.lex_state = 0},
  [10313] = {.lex_state = 0},
  [10314] = {.lex_state = 0},
  [10315] = {.lex_state = 35},
  [10316] = {.lex_state = 35},
  [10317] = {.lex_state = 0},
  [10318] = {.lex_state = 35, .external_lex_state = 2},
  [10319] = {.lex_state = 35},
  [10320] = {.lex_state = 35, .external_lex_state = 2},
  [10321] = {.lex_state = 35},
  [10322] = {.lex_state = 35, .external_lex_state = 2},
  [10323] = {.lex_state = 0},
  [10324] = {.lex_state = 0},
  [10325] = {.lex_state = 0},
  [10326] = {.lex_state = 35, .external_lex_state = 2},
  [10327] = {.lex_state = 35},
  [10328] = {.lex_state = 35},
  [10329] = {.lex_state = 0},
  [10330] = {.lex_state = 35, .external_lex_state = 2},
  [10331] = {.lex_state = 35},
  [10332] = {.lex_state = 35},
  [10333] = {.lex_state = 0},
  [10334] = {.lex_state = 35},
  [10335] = {.lex_state = 35, .external_lex_state = 2},
  [10336] = {.lex_state = 35, .external_lex_state = 2},
  [10337] = {.lex_state = 0},
  [10338] = {.lex_state = 0},
  [10339] = {.lex_state = 35, .external_lex_state = 2},
  [10340] = {.lex_state = 35, .external_lex_state = 2},
  [10341] = {.lex_state = 35},
  [10342] = {.lex_state = 35},
  [10343] = {.lex_state = 0},
  [10344] = {.lex_state = 0},
  [10345] = {.lex_state = 0},
  [10346] = {.lex_state = 35, .external_lex_state = 2},
  [10347] = {.lex_state = 35, .external_lex_state = 2},
  [10348] = {.lex_state = 35, .external_lex_state = 2},
  [10349] = {.lex_state = 35, .external_lex_state = 2},
  [10350] = {.lex_state = 35},
  [10351] = {.lex_state = 0},
  [10352] = {.lex_state = 35},
  [10353] = {.lex_state = 0},
  [10354] = {.lex_state = 35},
  [10355] = {.lex_state = 35},
  [10356] = {.lex_state = 35},
  [10357] = {.lex_state = 0},
  [10358] = {.lex_state = 0},
  [10359] = {.lex_state = 0},
  [10360] = {.lex_state = 0, .external_lex_state = 2},
  [10361] = {.lex_state = 0, .external_lex_state = 2},
  [10362] = {.lex_state = 0, .external_lex_state = 2},
  [10363] = {.lex_state = 35, .external_lex_state = 2},
  [10364] = {.lex_state = 0},
  [10365] = {.lex_state = 0, .external_lex_state = 2},
  [10366] = {.lex_state = 0},
  [10367] = {.lex_state = 0},
  [10368] = {.lex_state = 35},
  [10369] = {.lex_state = 0},
  [10370] = {.lex_state = 0},
  [10371] = {.lex_state = 0},
  [10372] = {.lex_state = 0, .external_lex_state = 2},
  [10373] = {.lex_state = 0, .external_lex_state = 2},
  [10374] = {.lex_state = 0, .external_lex_state = 2},
  [10375] = {.lex_state = 0},
  [10376] = {.lex_state = 35},
  [10377] = {.lex_state = 35},
  [10378] = {.lex_state = 0},
  [10379] = {.lex_state = 0},
  [10380] = {.lex_state = 0, .external_lex_state = 2},
  [10381] = {.lex_state = 0},
  [10382] = {.lex_state = 0, .external_lex_state = 2},
  [10383] = {.lex_state = 0},
  [10384] = {.lex_state = 35},
  [10385] = {.lex_state = 35},
  [10386] = {.lex_state = 35},
  [10387] = {.lex_state = 35},
  [10388] = {.lex_state = 0},
  [10389] = {.lex_state = 0},
  [10390] = {.lex_state = 35},
  [10391] = {.lex_state = 35},
  [10392] = {.lex_state = 0},
  [10393] = {.lex_state = 35},
  [10394] = {.lex_state = 0},
  [10395] = {.lex_state = 35},
  [10396] = {.lex_state = 0},
  [10397] = {.lex_state = 0},
  [10398] = {.lex_state = 0},
  [10399] = {.lex_state = 35},
  [10400] = {.lex_state = 0},
  [10401] = {.lex_state = 0},
  [10402] = {.lex_state = 35},
  [10403] = {.lex_state = 0},
  [10404] = {.lex_state = 0},
  [10405] = {.lex_state = 35, .external_lex_state = 2},
  [10406] = {.lex_state = 0},
  [10407] = {.lex_state = 35},
  [10408] = {.lex_state = 35},
  [10409] = {.lex_state = 0},
  [10410] = {.lex_state = 0},
  [10411] = {.lex_state = 0},
  [10412] = {.lex_state = 35},
  [10413] = {.lex_state = 0},
  [10414] = {.lex_state = 35},
  [10415] = {.lex_state = 35},
  [10416] = {.lex_state = 35},
  [10417] = {.lex_state = 0},
  [10418] = {.lex_state = 0},
  [10419] = {.lex_state = 35},
  [10420] = {.lex_state = 0},
  [10421] = {.lex_state = 0, .external_lex_state = 2},
  [10422] = {.lex_state = 35},
  [10423] = {.lex_state = 0, .external_lex_state = 2},
  [10424] = {.lex_state = 35},
  [10425] = {.lex_state = 0},
  [10426] = {.lex_state = 0},
  [10427] = {.lex_state = 0},
  [10428] = {.lex_state = 0, .external_lex_state = 2},
  [10429] = {.lex_state = 35},
  [10430] = {.lex_state = 0},
  [10431] = {.lex_state = 35},
  [10432] = {.lex_state = 0},
  [10433] = {.lex_state = 0},
  [10434] = {.lex_state = 0},
  [10435] = {.lex_state = 0},
  [10436] = {.lex_state = 35, .external_lex_state = 2},
  [10437] = {.lex_state = 0},
  [10438] = {.lex_state = 0},
  [10439] = {.lex_state = 0},
  [10440] = {.lex_state = 35},
  [10441] = {.lex_state = 35},
  [10442] = {.lex_state = 0},
  [10443] = {.lex_state = 35, .external_lex_state = 2},
  [10444] = {.lex_state = 0},
  [10445] = {.lex_state = 35},
  [10446] = {.lex_state = 0},
  [10447] = {.lex_state = 35},
  [10448] = {.lex_state = 0},
  [10449] = {.lex_state = 35},
  [10450] = {.lex_state = 0},
  [10451] = {.lex_state = 35, .external_lex_state = 2},
  [10452] = {.lex_state = 35, .external_lex_state = 2},
  [10453] = {.lex_state = 35},
  [10454] = {.lex_state = 0, .external_lex_state = 2},
  [10455] = {.lex_state = 35},
  [10456] = {.lex_state = 0},
  [10457] = {.lex_state = 0},
  [10458] = {.lex_state = 35},
  [10459] = {.lex_state = 0},
  [10460] = {.lex_state = 0},
  [10461] = {.lex_state = 0},
  [10462] = {.lex_state = 0},
  [10463] = {.lex_state = 0},
  [10464] = {.lex_state = 35},
  [10465] = {.lex_state = 0},
  [10466] = {.lex_state = 0},
  [10467] = {.lex_state = 35, .external_lex_state = 2},
  [10468] = {.lex_state = 0},
  [10469] = {.lex_state = 35},
  [10470] = {.lex_state = 35, .external_lex_state = 2},
  [10471] = {.lex_state = 0},
  [10472] = {.lex_state = 0},
  [10473] = {.lex_state = 0},
  [10474] = {.lex_state = 0},
  [10475] = {.lex_state = 0},
  [10476] = {.lex_state = 0},
  [10477] = {.lex_state = 0},
  [10478] = {.lex_state = 35, .external_lex_state = 2},
  [10479] = {.lex_state = 0},
  [10480] = {.lex_state = 0},
  [10481] = {.lex_state = 0},
  [10482] = {.lex_state = 35},
  [10483] = {.lex_state = 0},
  [10484] = {.lex_state = 0},
  [10485] = {.lex_state = 35},
  [10486] = {.lex_state = 0},
  [10487] = {.lex_state = 35, .external_lex_state = 2},
  [10488] = {.lex_state = 35},
  [10489] = {.lex_state = 35},
  [10490] = {.lex_state = 35, .external_lex_state = 2},
  [10491] = {.lex_state = 0},
  [10492] = {.lex_state = 0},
  [10493] = {.lex_state = 0},
  [10494] = {.lex_state = 35, .external_lex_state = 2},
  [10495] = {.lex_state = 35},
  [10496] = {.lex_state = 0},
  [10497] = {.lex_state = 35, .external_lex_state = 2},
  [10498] = {.lex_state = 0},
  [10499] = {.lex_state = 35},
  [10500] = {.lex_state = 0},
  [10501] = {.lex_state = 0},
  [10502] = {.lex_state = 35},
  [10503] = {.lex_state = 35, .external_lex_state = 2},
  [10504] = {.lex_state = 0},
  [10505] = {.lex_state = 35, .external_lex_state = 2},
  [10506] = {.lex_state = 35},
  [10507] = {.lex_state = 0},
  [10508] = {.lex_state = 35},
  [10509] = {.lex_state = 0},
  [10510] = {.lex_state = 0},
  [10511] = {.lex_state = 35, .external_lex_state = 2},
  [10512] = {.lex_state = 0},
  [10513] = {.lex_state = 0},
  [10514] = {.lex_state = 0},
  [10515] = {.lex_state = 0},
  [10516] = {.lex_state = 35, .external_lex_state = 2},
  [10517] = {.lex_state = 0},
  [10518] = {.lex_state = 0, .external_lex_state = 2},
  [10519] = {.lex_state = 0, .external_lex_state = 2},
  [10520] = {.lex_state = 35, .external_lex_state = 2},
  [10521] = {.lex_state = 0},
  [10522] = {.lex_state = 0},
  [10523] = {.lex_state = 0},
  [10524] = {.lex_state = 0, .external_lex_state = 2},
  [10525] = {.lex_state = 0, .external_lex_state = 2},
  [10526] = {.lex_state = 35},
  [10527] = {.lex_state = 0},
  [10528] = {.lex_state = 35},
  [10529] = {.lex_state = 35},
  [10530] = {.lex_state = 0},
  [10531] = {.lex_state = 0},
  [10532] = {.lex_state = 0},
  [10533] = {.lex_state = 0, .external_lex_state = 2},
  [10534] = {.lex_state = 0},
  [10535] = {.lex_state = 0},
  [10536] = {.lex_state = 0, .external_lex_state = 2},
  [10537] = {.lex_state = 35},
  [10538] = {.lex_state = 0},
  [10539] = {.lex_state = 0},
  [10540] = {.lex_state = 0},
  [10541] = {.lex_state = 0, .external_lex_state = 2},
  [10542] = {.lex_state = 35},
  [10543] = {.lex_state = 0},
  [10544] = {.lex_state = 35},
  [10545] = {.lex_state = 0},
  [10546] = {.lex_state = 0},
  [10547] = {.lex_state = 0},
  [10548] = {.lex_state = 0},
  [10549] = {.lex_state = 0},
  [10550] = {.lex_state = 0},
  [10551] = {.lex_state = 0},
  [10552] = {.lex_state = 0},
  [10553] = {.lex_state = 0, .external_lex_state = 2},
  [10554] = {.lex_state = 35},
  [10555] = {.lex_state = 35, .external_lex_state = 2},
  [10556] = {.lex_state = 35},
  [10557] = {.lex_state = 35},
  [10558] = {.lex_state = 0, .external_lex_state = 2},
  [10559] = {.lex_state = 0},
  [10560] = {.lex_state = 35},
  [10561] = {.lex_state = 35},
  [10562] = {.lex_state = 35},
  [10563] = {.lex_state = 0},
  [10564] = {.lex_state = 35},
  [10565] = {.lex_state = 35},
  [10566] = {.lex_state = 0},
  [10567] = {.lex_state = 35},
  [10568] = {.lex_state = 35},
  [10569] = {.lex_state = 35},
  [10570] = {.lex_state = 0},
  [10571] = {.lex_state = 0},
  [10572] = {.lex_state = 0},
  [10573] = {.lex_state = 0},
  [10574] = {.lex_state = 35},
  [10575] = {.lex_state = 0},
  [10576] = {.lex_state = 0},
  [10577] = {.lex_state = 35},
  [10578] = {.lex_state = 0},
  [10579] = {.lex_state = 0},
  [10580] = {.lex_state = 35},
  [10581] = {.lex_state = 35},
  [10582] = {.lex_state = 35},
  [10583] = {.lex_state = 35},
  [10584] = {.lex_state = 35},
  [10585] = {.lex_state = 35, .external_lex_state = 2},
  [10586] = {.lex_state = 0},
  [10587] = {.lex_state = 0},
  [10588] = {.lex_state = 35, .external_lex_state = 2},
  [10589] = {.lex_state = 35},
  [10590] = {.lex_state = 0},
  [10591] = {.lex_state = 35},
  [10592] = {.lex_state = 0},
  [10593] = {.lex_state = 0},
  [10594] = {.lex_state = 0},
  [10595] = {.lex_state = 35},
  [10596] = {.lex_state = 35},
  [10597] = {.lex_state = 0},
  [10598] = {.lex_state = 0},
  [10599] = {.lex_state = 35},
  [10600] = {.lex_state = 35},
  [10601] = {.lex_state = 35},
  [10602] = {.lex_state = 35},
  [10603] = {.lex_state = 0},
  [10604] = {.lex_state = 0},
  [10605] = {.lex_state = 0},
  [10606] = {.lex_state = 0},
  [10607] = {.lex_state = 0, .external_lex_state = 2},
  [10608] = {.lex_state = 0},
  [10609] = {.lex_state = 0},
  [10610] = {.lex_state = 35},
  [10611] = {.lex_state = 0},
  [10612] = {.lex_state = 0},
  [10613] = {.lex_state = 35, .external_lex_state = 2},
  [10614] = {.lex_state = 0},
  [10615] = {.lex_state = 0},
  [10616] = {.lex_state = 35, .external_lex_state = 2},
  [10617] = {.lex_state = 0},
  [10618] = {.lex_state = 0},
  [10619] = {.lex_state = 35, .external_lex_state = 2},
  [10620] = {.lex_state = 0},
  [10621] = {.lex_state = 35},
  [10622] = {.lex_state = 35},
  [10623] = {.lex_state = 0},
  [10624] = {.lex_state = 0},
  [10625] = {.lex_state = 0},
  [10626] = {.lex_state = 35},
  [10627] = {.lex_state = 0},
  [10628] = {.lex_state = 35},
  [10629] = {.lex_state = 0},
  [10630] = {.lex_state = 0},
  [10631] = {.lex_state = 0},
  [10632] = {.lex_state = 35},
  [10633] = {.lex_state = 0},
  [10634] = {.lex_state = 35, .external_lex_state = 2},
  [10635] = {.lex_state = 35, .external_lex_state = 2},
  [10636] = {.lex_state = 0},
  [10637] = {.lex_state = 35, .external_lex_state = 2},
  [10638] = {.lex_state = 0},
  [10639] = {.lex_state = 35},
  [10640] = {.lex_state = 0},
  [10641] = {.lex_state = 0},
  [10642] = {.lex_state = 35},
  [10643] = {.lex_state = 0},
  [10644] = {.lex_state = 35, .external_lex_state = 2},
  [10645] = {.lex_state = 0},
  [10646] = {.lex_state = 0},
  [10647] = {.lex_state = 0},
  [10648] = {.lex_state = 35},
  [10649] = {.lex_state = 0},
  [10650] = {.lex_state = 35},
  [10651] = {.lex_state = 0},
  [10652] = {.lex_state = 0},
  [10653] = {.lex_state = 0},
  [10654] = {.lex_state = 0},
  [10655] = {.lex_state = 35},
  [10656] = {.lex_state = 0},
  [10657] = {.lex_state = 35},
  [10658] = {.lex_state = 0},
  [10659] = {.lex_state = 0},
  [10660] = {.lex_state = 0},
  [10661] = {.lex_state = 0},
  [10662] = {.lex_state = 35},
  [10663] = {.lex_state = 0},
  [10664] = {.lex_state = 0},
  [10665] = {.lex_state = 35},
  [10666] = {.lex_state = 0},
  [10667] = {.lex_state = 35},
  [10668] = {.lex_state = 0},
  [10669] = {.lex_state = 0},
  [10670] = {.lex_state = 0},
  [10671] = {.lex_state = 0},
  [10672] = {.lex_state = 35, .external_lex_state = 2},
  [10673] = {.lex_state = 35, .external_lex_state = 2},
  [10674] = {.lex_state = 35},
  [10675] = {.lex_state = 0},
  [10676] = {.lex_state = 0},
  [10677] = {.lex_state = 35, .external_lex_state = 2},
  [10678] = {.lex_state = 35, .external_lex_state = 2},
  [10679] = {.lex_state = 0},
  [10680] = {.lex_state = 35, .external_lex_state = 2},
  [10681] = {.lex_state = 35},
  [10682] = {.lex_state = 35, .external_lex_state = 2},
  [10683] = {.lex_state = 0},
  [10684] = {.lex_state = 0},
  [10685] = {.lex_state = 35, .external_lex_state = 2},
  [10686] = {.lex_state = 35, .external_lex_state = 2},
  [10687] = {.lex_state = 0},
  [10688] = {.lex_state = 0},
  [10689] = {.lex_state = 35},
  [10690] = {.lex_state = 0},
  [10691] = {.lex_state = 0},
  [10692] = {.lex_state = 35},
  [10693] = {.lex_state = 35},
  [10694] = {.lex_state = 35},
  [10695] = {.lex_state = 35},
  [10696] = {.lex_state = 35},
  [10697] = {.lex_state = 0},
  [10698] = {.lex_state = 0},
  [10699] = {.lex_state = 35, .external_lex_state = 2},
  [10700] = {.lex_state = 35, .external_lex_state = 2},
  [10701] = {.lex_state = 0, .external_lex_state = 2},
  [10702] = {.lex_state = 35},
  [10703] = {.lex_state = 35},
  [10704] = {.lex_state = 0, .external_lex_state = 2},
  [10705] = {.lex_state = 0},
  [10706] = {.lex_state = 0},
  [10707] = {.lex_state = 35},
  [10708] = {.lex_state = 35},
  [10709] = {.lex_state = 0, .external_lex_state = 2},
  [10710] = {.lex_state = 0},
  [10711] = {.lex_state = 0, .external_lex_state = 2},
  [10712] = {.lex_state = 0, .external_lex_state = 2},
  [10713] = {.lex_state = 0},
  [10714] = {.lex_state = 35},
  [10715] = {.lex_state = 0},
  [10716] = {.lex_state = 0},
  [10717] = {.lex_state = 0},
  [10718] = {.lex_state = 35},
  [10719] = {.lex_state = 35},
  [10720] = {.lex_state = 0, .external_lex_state = 2},
  [10721] = {.lex_state = 0},
  [10722] = {.lex_state = 0},
  [10723] = {.lex_state = 35},
  [10724] = {.lex_state = 35, .external_lex_state = 2},
  [10725] = {.lex_state = 35},
  [10726] = {.lex_state = 35, .external_lex_state = 2},
  [10727] = {.lex_state = 0},
  [10728] = {.lex_state = 0},
  [10729] = {.lex_state = 0},
  [10730] = {.lex_state = 0},
  [10731] = {.lex_state = 35},
  [10732] = {.lex_state = 0},
  [10733] = {.lex_state = 0},
  [10734] = {.lex_state = 35},
  [10735] = {.lex_state = 35},
  [10736] = {.lex_state = 0},
  [10737] = {.lex_state = 0},
  [10738] = {.lex_state = 35},
  [10739] = {.lex_state = 0},
  [10740] = {.lex_state = 0, .external_lex_state = 2},
  [10741] = {.lex_state = 35},
  [10742] = {.lex_state = 35},
  [10743] = {.lex_state = 0},
  [10744] = {.lex_state = 0},
  [10745] = {.lex_state = 0},
  [10746] = {.lex_state = 35, .external_lex_state = 2},
  [10747] = {.lex_state = 35},
  [10748] = {.lex_state = 35},
  [10749] = {.lex_state = 0},
  [10750] = {.lex_state = 0},
  [10751] = {.lex_state = 0},
  [10752] = {.lex_state = 35},
  [10753] = {.lex_state = 0},
  [10754] = {.lex_state = 35},
  [10755] = {.lex_state = 0},
  [10756] = {.lex_state = 0},
  [10757] = {.lex_state = 0, .external_lex_state = 2},
  [10758] = {.lex_state = 35},
  [10759] = {.lex_state = 0},
  [10760] = {.lex_state = 0},
  [10761] = {.lex_state = 35},
  [10762] = {.lex_state = 35},
  [10763] = {.lex_state = 35},
  [10764] = {.lex_state = 0},
  [10765] = {.lex_state = 0},
  [10766] = {.lex_state = 35},
  [10767] = {.lex_state = 0, .external_lex_state = 2},
  [10768] = {.lex_state = 35},
  [10769] = {.lex_state = 0},
  [10770] = {.lex_state = 35, .external_lex_state = 2},
  [10771] = {.lex_state = 35, .external_lex_state = 2},
  [10772] = {.lex_state = 0},
  [10773] = {.lex_state = 0},
  [10774] = {.lex_state = 35},
  [10775] = {.lex_state = 0},
  [10776] = {.lex_state = 0},
  [10777] = {.lex_state = 0},
  [10778] = {.lex_state = 35},
  [10779] = {.lex_state = 0},
  [10780] = {.lex_state = 35},
  [10781] = {.lex_state = 0},
  [10782] = {.lex_state = 0},
  [10783] = {.lex_state = 0},
  [10784] = {.lex_state = 0},
  [10785] = {.lex_state = 0},
  [10786] = {.lex_state = 35},
  [10787] = {.lex_state = 0},
  [10788] = {.lex_state = 35},
  [10789] = {.lex_state = 35, .external_lex_state = 2},
  [10790] = {.lex_state = 35},
  [10791] = {.lex_state = 0},
  [10792] = {.lex_state = 35},
  [10793] = {.lex_state = 35},
  [10794] = {.lex_state = 35, .external_lex_state = 2},
  [10795] = {.lex_state = 0},
  [10796] = {.lex_state = 35},
  [10797] = {.lex_state = 0},
  [10798] = {.lex_state = 0},
  [10799] = {.lex_state = 0},
  [10800] = {.lex_state = 35, .external_lex_state = 2},
  [10801] = {.lex_state = 35, .external_lex_state = 2},
  [10802] = {.lex_state = 0},
  [10803] = {.lex_state = 35},
  [10804] = {.lex_state = 0},
  [10805] = {.lex_state = 0},
  [10806] = {.lex_state = 35},
  [10807] = {.lex_state = 0},
  [10808] = {.lex_state = 0},
  [10809] = {.lex_state = 0},
  [10810] = {.lex_state = 35, .external_lex_state = 2},
  [10811] = {.lex_state = 35, .external_lex_state = 2},
  [10812] = {.lex_state = 0},
  [10813] = {.lex_state = 0},
  [10814] = {.lex_state = 0},
  [10815] = {.lex_state = 0},
  [10816] = {.lex_state = 0},
  [10817] = {.lex_state = 0},
  [10818] = {.lex_state = 0},
  [10819] = {.lex_state = 0},
  [10820] = {.lex_state = 0},
  [10821] = {.lex_state = 0},
  [10822] = {.lex_state = 35, .external_lex_state = 2},
  [10823] = {.lex_state = 35, .external_lex_state = 2},
  [10824] = {.lex_state = 0},
  [10825] = {.lex_state = 35, .external_lex_state = 2},
  [10826] = {.lex_state = 0, .external_lex_state = 2},
  [10827] = {.lex_state = 0},
  [10828] = {.lex_state = 0, .external_lex_state = 2},
  [10829] = {.lex_state = 0, .external_lex_state = 2},
  [10830] = {.lex_state = 35, .external_lex_state = 2},
  [10831] = {.lex_state = 0},
  [10832] = {.lex_state = 0},
  [10833] = {.lex_state = 35},
  [10834] = {.lex_state = 0},
  [10835] = {.lex_state = 0},
  [10836] = {.lex_state = 0},
  [10837] = {.lex_state = 0},
  [10838] = {.lex_state = 0},
  [10839] = {.lex_state = 0},
  [10840] = {.lex_state = 0},
  [10841] = {.lex_state = 0},
  [10842] = {.lex_state = 35, .external_lex_state = 2},
  [10843] = {.lex_state = 0},
  [10844] = {.lex_state = 0},
  [10845] = {.lex_state = 0},
  [10846] = {.lex_state = 0},
  [10847] = {.lex_state = 35, .external_lex_state = 2},
  [10848] = {.lex_state = 0},
  [10849] = {.lex_state = 35},
  [10850] = {.lex_state = 0},
  [10851] = {.lex_state = 0},
  [10852] = {.lex_state = 0, .external_lex_state = 2},
  [10853] = {.lex_state = 0},
  [10854] = {.lex_state = 35},
  [10855] = {.lex_state = 0},
  [10856] = {.lex_state = 35},
  [10857] = {.lex_state = 35},
  [10858] = {.lex_state = 35},
  [10859] = {.lex_state = 35, .external_lex_state = 2},
  [10860] = {.lex_state = 0},
  [10861] = {.lex_state = 0},
  [10862] = {.lex_state = 35},
  [10863] = {.lex_state = 35},
  [10864] = {.lex_state = 0},
  [10865] = {.lex_state = 35, .external_lex_state = 2},
  [10866] = {.lex_state = 0},
  [10867] = {.lex_state = 35},
  [10868] = {.lex_state = 0},
  [10869] = {.lex_state = 0},
  [10870] = {.lex_state = 35, .external_lex_state = 2},
  [10871] = {.lex_state = 35},
  [10872] = {.lex_state = 35, .external_lex_state = 2},
  [10873] = {.lex_state = 35},
  [10874] = {.lex_state = 0},
  [10875] = {.lex_state = 0},
  [10876] = {.lex_state = 35, .external_lex_state = 2},
  [10877] = {.lex_state = 35},
  [10878] = {.lex_state = 0},
  [10879] = {.lex_state = 35},
  [10880] = {.lex_state = 0},
  [10881] = {.lex_state = 0},
  [10882] = {.lex_state = 0},
  [10883] = {.lex_state = 0},
  [10884] = {.lex_state = 0},
  [10885] = {.lex_state = 0},
  [10886] = {.lex_state = 35, .external_lex_state = 2},
  [10887] = {.lex_state = 0},
  [10888] = {.lex_state = 35, .external_lex_state = 2},
  [10889] = {.lex_state = 35, .external_lex_state = 2},
  [10890] = {.lex_state = 0},
  [10891] = {.lex_state = 35, .external_lex_state = 2},
  [10892] = {.lex_state = 0},
  [10893] = {.lex_state = 35, .external_lex_state = 2},
  [10894] = {.lex_state = 0},
  [10895] = {.lex_state = 35},
  [10896] = {.lex_state = 0},
  [10897] = {.lex_state = 0},
  [10898] = {.lex_state = 35},
  [10899] = {.lex_state = 0},
  [10900] = {.lex_state = 0},
  [10901] = {.lex_state = 35},
  [10902] = {.lex_state = 35, .external_lex_state = 2},
  [10903] = {.lex_state = 0},
  [10904] = {.lex_state = 35},
  [10905] = {.lex_state = 0},
  [10906] = {.lex_state = 0},
  [10907] = {.lex_state = 0},
  [10908] = {.lex_state = 0},
  [10909] = {.lex_state = 0, .external_lex_state = 2},
  [10910] = {.lex_state = 0},
  [10911] = {.lex_state = 0},
  [10912] = {.lex_state = 35},
  [10913] = {.lex_state = 0},
  [10914] = {.lex_state = 0},
  [10915] = {.lex_state = 0},
  [10916] = {.lex_state = 35},
  [10917] = {.lex_state = 0},
  [10918] = {.lex_state = 0},
  [10919] = {.lex_state = 0},
  [10920] = {.lex_state = 0},
  [10921] = {.lex_state = 0},
  [10922] = {.lex_state = 0},
  [10923] = {.lex_state = 0},
  [10924] = {.lex_state = 0},
  [10925] = {.lex_state = 35, .external_lex_state = 2},
  [10926] = {.lex_state = 0},
  [10927] = {.lex_state = 0},
  [10928] = {.lex_state = 0},
  [10929] = {.lex_state = 35},
  [10930] = {.lex_state = 35, .external_lex_state = 2},
  [10931] = {.lex_state = 0},
  [10932] = {.lex_state = 35},
  [10933] = {.lex_state = 35, .external_lex_state = 2},
  [10934] = {.lex_state = 0},
  [10935] = {.lex_state = 35},
  [10936] = {.lex_state = 35},
  [10937] = {.lex_state = 0},
  [10938] = {.lex_state = 35},
  [10939] = {.lex_state = 0},
  [10940] = {.lex_state = 0},
  [10941] = {.lex_state = 35, .external_lex_state = 2},
  [10942] = {.lex_state = 35},
  [10943] = {.lex_state = 0},
  [10944] = {.lex_state = 35},
  [10945] = {.lex_state = 0},
  [10946] = {.lex_state = 0},
  [10947] = {.lex_state = 0},
  [10948] = {.lex_state = 35, .external_lex_state = 2},
  [10949] = {.lex_state = 35, .external_lex_state = 2},
  [10950] = {.lex_state = 0},
  [10951] = {.lex_state = 35, .external_lex_state = 2},
  [10952] = {.lex_state = 0},
  [10953] = {.lex_state = 0},
  [10954] = {.lex_state = 35, .external_lex_state = 2},
  [10955] = {.lex_state = 0},
  [10956] = {.lex_state = 0},
  [10957] = {.lex_state = 0},
  [10958] = {.lex_state = 0},
  [10959] = {.lex_state = 0},
  [10960] = {.lex_state = 0},
  [10961] = {.lex_state = 35},
  [10962] = {.lex_state = 0},
  [10963] = {.lex_state = 0},
  [10964] = {.lex_state = 35},
  [10965] = {.lex_state = 0},
  [10966] = {.lex_state = 35},
  [10967] = {.lex_state = 35, .external_lex_state = 2},
  [10968] = {.lex_state = 0},
  [10969] = {.lex_state = 35},
  [10970] = {.lex_state = 0},
  [10971] = {.lex_state = 0},
  [10972] = {.lex_state = 35, .external_lex_state = 2},
  [10973] = {.lex_state = 35},
  [10974] = {.lex_state = 0},
  [10975] = {.lex_state = 35},
  [10976] = {.lex_state = 0},
  [10977] = {.lex_state = 35},
  [10978] = {.lex_state = 35},
  [10979] = {.lex_state = 35, .external_lex_state = 2},
  [10980] = {.lex_state = 35, .external_lex_state = 2},
  [10981] = {.lex_state = 35, .external_lex_state = 2},
  [10982] = {.lex_state = 0},
  [10983] = {.lex_state = 0},
  [10984] = {.lex_state = 0},
  [10985] = {.lex_state = 0},
  [10986] = {.lex_state = 35},
  [10987] = {.lex_state = 35},
  [10988] = {.lex_state = 35, .external_lex_state = 2},
  [10989] = {.lex_state = 35, .external_lex_state = 2},
  [10990] = {.lex_state = 35, .external_lex_state = 2},
  [10991] = {.lex_state = 0},
  [10992] = {.lex_state = 35},
  [10993] = {.lex_state = 0},
  [10994] = {.lex_state = 0},
  [10995] = {.lex_state = 35},
  [10996] = {.lex_state = 0},
  [10997] = {.lex_state = 35},
  [10998] = {.lex_state = 0},
  [10999] = {.lex_state = 0},
  [11000] = {.lex_state = 0},
  [11001] = {.lex_state = 0},
  [11002] = {.lex_state = 0},
  [11003] = {.lex_state = 0},
  [11004] = {.lex_state = 35},
  [11005] = {.lex_state = 35},
  [11006] = {.lex_state = 0},
  [11007] = {.lex_state = 0},
  [11008] = {.lex_state = 0},
  [11009] = {.lex_state = 0},
  [11010] = {.lex_state = 0},
  [11011] = {.lex_state = 35, .external_lex_state = 2},
  [11012] = {.lex_state = 0},
  [11013] = {.lex_state = 35, .external_lex_state = 2},
  [11014] = {.lex_state = 0},
  [11015] = {.lex_state = 0},
  [11016] = {.lex_state = 35, .external_lex_state = 2},
  [11017] = {.lex_state = 35, .external_lex_state = 2},
  [11018] = {.lex_state = 0},
  [11019] = {.lex_state = 0},
  [11020] = {.lex_state = 35, .external_lex_state = 2},
  [11021] = {.lex_state = 35, .external_lex_state = 2},
  [11022] = {.lex_state = 0},
  [11023] = {.lex_state = 0},
  [11024] = {.lex_state = 0},
  [11025] = {.lex_state = 0},
  [11026] = {.lex_state = 0},
  [11027] = {.lex_state = 0},
  [11028] = {.lex_state = 35},
  [11029] = {.lex_state = 0},
  [11030] = {.lex_state = 0},
  [11031] = {.lex_state = 35},
  [11032] = {.lex_state = 0},
  [11033] = {.lex_state = 0},
  [11034] = {.lex_state = 0},
  [11035] = {.lex_state = 0},
  [11036] = {.lex_state = 35},
  [11037] = {.lex_state = 0},
  [11038] = {.lex_state = 35, .external_lex_state = 2},
  [11039] = {.lex_state = 0},
  [11040] = {.lex_state = 35, .external_lex_state = 2},
  [11041] = {.lex_state = 0},
  [11042] = {.lex_state = 0},
  [11043] = {.lex_state = 35, .external_lex_state = 2},
  [11044] = {.lex_state = 35, .external_lex_state = 2},
  [11045] = {.lex_state = 35, .external_lex_state = 2},
  [11046] = {.lex_state = 0},
  [11047] = {.lex_state = 35},
  [11048] = {.lex_state = 35, .external_lex_state = 2},
  [11049] = {.lex_state = 0},
  [11050] = {.lex_state = 35},
  [11051] = {.lex_state = 0},
  [11052] = {.lex_state = 0},
  [11053] = {.lex_state = 35},
  [11054] = {.lex_state = 0},
  [11055] = {.lex_state = 0},
  [11056] = {.lex_state = 35},
  [11057] = {.lex_state = 0},
  [11058] = {.lex_state = 0},
  [11059] = {.lex_state = 35, .external_lex_state = 2},
  [11060] = {.lex_state = 35},
  [11061] = {.lex_state = 35, .external_lex_state = 2},
  [11062] = {.lex_state = 0},
  [11063] = {.lex_state = 35, .external_lex_state = 2},
  [11064] = {.lex_state = 0},
  [11065] = {.lex_state = 35},
  [11066] = {.lex_state = 35, .external_lex_state = 2},
  [11067] = {.lex_state = 0},
  [11068] = {.lex_state = 35, .external_lex_state = 2},
  [11069] = {.lex_state = 35, .external_lex_state = 2},
  [11070] = {.lex_state = 35},
  [11071] = {.lex_state = 35},
  [11072] = {.lex_state = 35},
  [11073] = {.lex_state = 0},
  [11074] = {.lex_state = 35},
  [11075] = {.lex_state = 35},
  [11076] = {.lex_state = 35},
  [11077] = {.lex_state = 35},
  [11078] = {.lex_state = 0},
  [11079] = {.lex_state = 0},
  [11080] = {.lex_state = 0},
  [11081] = {.lex_state = 0},
  [11082] = {.lex_state = 0},
  [11083] = {.lex_state = 0},
  [11084] = {.lex_state = 0},
  [11085] = {.lex_state = 0},
  [11086] = {.lex_state = 0},
  [11087] = {.lex_state = 35},
  [11088] = {.lex_state = 0},
  [11089] = {.lex_state = 0},
  [11090] = {.lex_state = 0},
  [11091] = {.lex_state = 0},
  [11092] = {.lex_state = 0},
  [11093] = {.lex_state = 0},
  [11094] = {.lex_state = 35},
  [11095] = {.lex_state = 0},
  [11096] = {.lex_state = 0},
  [11097] = {.lex_state = 0},
  [11098] = {.lex_state = 0},
  [11099] = {.lex_state = 0},
  [11100] = {.lex_state = 0},
  [11101] = {.lex_state = 0},
  [11102] = {.lex_state = 35, .external_lex_state = 2},
  [11103] = {.lex_state = 0},
  [11104] = {.lex_state = 0},
  [11105] = {.lex_state = 0},
  [11106] = {.lex_state = 0},
  [11107] = {.lex_state = 35, .external_lex_state = 2},
  [11108] = {.lex_state = 35, .external_lex_state = 2},
  [11109] = {.lex_state = 35, .external_lex_state = 2},
  [11110] = {.lex_state = 35},
  [11111] = {.lex_state = 0},
  [11112] = {.lex_state = 0},
  [11113] = {.lex_state = 0},
  [11114] = {.lex_state = 0},
  [11115] = {.lex_state = 0},
  [11116] = {.lex_state = 0},
  [11117] = {.lex_state = 0},
  [11118] = {.lex_state = 0},
  [11119] = {.lex_state = 0},
  [11120] = {.lex_state = 0},
  [11121] = {.lex_state = 0},
  [11122] = {.lex_state = 0},
  [11123] = {.lex_state = 35, .external_lex_state = 2},
  [11124] = {.lex_state = 0},
  [11125] = {.lex_state = 0},
  [11126] = {.lex_state = 35, .external_lex_state = 2},
  [11127] = {.lex_state = 35, .external_lex_state = 2},
  [11128] = {.lex_state = 0},
  [11129] = {.lex_state = 0},
  [11130] = {.lex_state = 35},
  [11131] = {.lex_state = 0},
  [11132] = {.lex_state = 0},
  [11133] = {.lex_state = 0},
  [11134] = {.lex_state = 0},
  [11135] = {.lex_state = 0},
  [11136] = {.lex_state = 0},
  [11137] = {.lex_state = 0},
  [11138] = {.lex_state = 0},
  [11139] = {.lex_state = 0},
  [11140] = {.lex_state = 35, .external_lex_state = 2},
  [11141] = {.lex_state = 0},
  [11142] = {.lex_state = 0},
  [11143] = {.lex_state = 35},
  [11144] = {.lex_state = 0},
  [11145] = {.lex_state = 0},
  [11146] = {.lex_state = 0},
  [11147] = {.lex_state = 35},
  [11148] = {.lex_state = 0},
  [11149] = {.lex_state = 35},
  [11150] = {.lex_state = 0},
  [11151] = {.lex_state = 0},
  [11152] = {.lex_state = 0},
  [11153] = {.lex_state = 0},
  [11154] = {.lex_state = 35},
  [11155] = {.lex_state = 0},
  [11156] = {.lex_state = 35, .external_lex_state = 2},
  [11157] = {.lex_state = 0},
  [11158] = {.lex_state = 0},
  [11159] = {.lex_state = 35},
  [11160] = {.lex_state = 0},
  [11161] = {.lex_state = 0},
  [11162] = {.lex_state = 35, .external_lex_state = 2},
  [11163] = {.lex_state = 0},
  [11164] = {.lex_state = 35},
  [11165] = {.lex_state = 35, .external_lex_state = 2},
  [11166] = {.lex_state = 35, .external_lex_state = 2},
  [11167] = {.lex_state = 0},
  [11168] = {.lex_state = 0},
  [11169] = {.lex_state = 35, .external_lex_state = 2},
  [11170] = {.lex_state = 35, .external_lex_state = 2},
  [11171] = {.lex_state = 0},
  [11172] = {.lex_state = 0},
  [11173] = {.lex_state = 35, .external_lex_state = 2},
  [11174] = {.lex_state = 0},
  [11175] = {.lex_state = 0},
  [11176] = {.lex_state = 35},
  [11177] = {.lex_state = 0},
  [11178] = {.lex_state = 0},
  [11179] = {.lex_state = 0},
  [11180] = {.lex_state = 35, .external_lex_state = 2},
  [11181] = {.lex_state = 35, .external_lex_state = 2},
  [11182] = {.lex_state = 0},
  [11183] = {.lex_state = 0},
  [11184] = {.lex_state = 0},
  [11185] = {.lex_state = 35, .external_lex_state = 2},
  [11186] = {.lex_state = 35},
  [11187] = {.lex_state = 0},
  [11188] = {.lex_state = 35, .external_lex_state = 2},
  [11189] = {.lex_state = 0},
  [11190] = {.lex_state = 0},
  [11191] = {.lex_state = 0},
  [11192] = {.lex_state = 35},
  [11193] = {.lex_state = 0},
  [11194] = {.lex_state = 35},
  [11195] = {.lex_state = 0},
  [11196] = {.lex_state = 35, .external_lex_state = 2},
  [11197] = {.lex_state = 35, .external_lex_state = 2},
  [11198] = {.lex_state = 0},
  [11199] = {.lex_state = 0},
  [11200] = {.lex_state = 0},
  [11201] = {.lex_state = 0},
  [11202] = {.lex_state = 0},
  [11203] = {.lex_state = 0},
  [11204] = {.lex_state = 35, .external_lex_state = 2},
  [11205] = {.lex_state = 0},
  [11206] = {.lex_state = 0},
  [11207] = {.lex_state = 0},
  [11208] = {.lex_state = 0},
  [11209] = {.lex_state = 0},
  [11210] = {.lex_state = 0},
  [11211] = {.lex_state = 0},
  [11212] = {.lex_state = 0},
  [11213] = {.lex_state = 0},
  [11214] = {.lex_state = 35},
  [11215] = {.lex_state = 0},
  [11216] = {.lex_state = 35, .external_lex_state = 2},
  [11217] = {.lex_state = 0},
  [11218] = {.lex_state = 0},
  [11219] = {.lex_state = 0},
  [11220] = {.lex_state = 0},
  [11221] = {.lex_state = 0},
  [11222] = {.lex_state = 0},
  [11223] = {.lex_state = 0},
  [11224] = {.lex_state = 0},
  [11225] = {.lex_state = 0},
  [11226] = {.lex_state = 0},
  [11227] = {.lex_state = 0},
  [11228] = {.lex_state = 0, .external_lex_state = 2},
  [11229] = {.lex_state = 0, .external_lex_state = 2},
  [11230] = {.lex_state = 0, .external_lex_state = 2},
  [11231] = {.lex_state = 0, .external_lex_state = 2},
  [11232] = {.lex_state = 0, .external_lex_state = 2},
  [11233] = {.lex_state = 0, .external_lex_state = 2},
  [11234] = {.lex_state = 0, .external_lex_state = 2},
  [11235] = {.lex_state = 0, .external_lex_state = 2},
  [11236] = {.lex_state = 0, .external_lex_state = 2},
  [11237] = {.lex_state = 0},
  [11238] = {.lex_state = 0},
  [11239] = {.lex_state = 0},
  [11240] = {.lex_state = 0, .external_lex_state = 2},
  [11241] = {.lex_state = 0, .external_lex_state = 2},
  [11242] = {.lex_state = 1},
  [11243] = {.lex_state = 0, .external_lex_state = 2},
  [11244] = {.lex_state = 0, .external_lex_state = 2},
  [11245] = {.lex_state = 0, .external_lex_state = 2},
  [11246] = {.lex_state = 0, .external_lex_state = 2},
  [11247] = {.lex_state = 0, .external_lex_state = 2},
  [11248] = {.lex_state = 0, .external_lex_state = 2},
  [11249] = {.lex_state = 0, .external_lex_state = 2},
  [11250] = {.lex_state = 0, .external_lex_state = 2},
  [11251] = {.lex_state = 0, .external_lex_state = 2},
  [11252] = {.lex_state = 0, .external_lex_state = 2},
  [11253] = {.lex_state = 0, .external_lex_state = 2},
  [11254] = {.lex_state = 0, .external_lex_state = 2},
  [11255] = {.lex_state = 0, .external_lex_state = 2},
  [11256] = {.lex_state = 0, .external_lex_state = 2},
  [11257] = {.lex_state = 0, .external_lex_state = 2},
  [11258] = {.lex_state = 0, .external_lex_state = 2},
  [11259] = {.lex_state = 0, .external_lex_state = 2},
  [11260] = {.lex_state = 0, .external_lex_state = 2},
  [11261] = {.lex_state = 0},
  [11262] = {.lex_state = 0, .external_lex_state = 2},
  [11263] = {.lex_state = 0},
  [11264] = {.lex_state = 0, .external_lex_state = 2},
  [11265] = {.lex_state = 0, .external_lex_state = 2},
  [11266] = {.lex_state = 0, .external_lex_state = 2},
  [11267] = {.lex_state = 0, .external_lex_state = 2},
  [11268] = {.lex_state = 0, .external_lex_state = 2},
  [11269] = {.lex_state = 0, .external_lex_state = 2},
  [11270] = {.lex_state = 0},
  [11271] = {.lex_state = 0, .external_lex_state = 2},
  [11272] = {.lex_state = 0, .external_lex_state = 2},
  [11273] = {.lex_state = 35},
  [11274] = {.lex_state = 0},
  [11275] = {.lex_state = 0, .external_lex_state = 2},
  [11276] = {.lex_state = 0, .external_lex_state = 2},
  [11277] = {.lex_state = 0, .external_lex_state = 2},
  [11278] = {.lex_state = 0, .external_lex_state = 2},
  [11279] = {.lex_state = 0, .external_lex_state = 2},
  [11280] = {.lex_state = 0, .external_lex_state = 2},
  [11281] = {.lex_state = 0, .external_lex_state = 2},
  [11282] = {.lex_state = 0, .external_lex_state = 2},
  [11283] = {.lex_state = 0, .external_lex_state = 2},
  [11284] = {.lex_state = 0, .external_lex_state = 2},
  [11285] = {.lex_state = 0, .external_lex_state = 2},
  [11286] = {.lex_state = 0, .external_lex_state = 2},
  [11287] = {.lex_state = 0},
  [11288] = {.lex_state = 0, .external_lex_state = 2},
  [11289] = {.lex_state = 1},
  [11290] = {.lex_state = 0, .external_lex_state = 2},
  [11291] = {.lex_state = 0, .external_lex_state = 2},
  [11292] = {.lex_state = 0, .external_lex_state = 2},
  [11293] = {.lex_state = 0, .external_lex_state = 2},
  [11294] = {.lex_state = 0, .external_lex_state = 2},
  [11295] = {.lex_state = 0, .external_lex_state = 2},
  [11296] = {.lex_state = 0, .external_lex_state = 2},
  [11297] = {.lex_state = 0},
  [11298] = {.lex_state = 0},
  [11299] = {.lex_state = 0, .external_lex_state = 2},
  [11300] = {.lex_state = 0, .external_lex_state = 2},
  [11301] = {.lex_state = 0},
  [11302] = {.lex_state = 0, .external_lex_state = 2},
  [11303] = {.lex_state = 0, .external_lex_state = 2},
  [11304] = {.lex_state = 0},
  [11305] = {.lex_state = 0, .external_lex_state = 2},
  [11306] = {.lex_state = 0, .external_lex_state = 2},
  [11307] = {.lex_state = 0, .external_lex_state = 2},
  [11308] = {.lex_state = 0, .external_lex_state = 2},
  [11309] = {.lex_state = 0, .external_lex_state = 2},
  [11310] = {.lex_state = 0, .external_lex_state = 2},
  [11311] = {.lex_state = 0, .external_lex_state = 2},
  [11312] = {.lex_state = 0, .external_lex_state = 2},
  [11313] = {.lex_state = 0, .external_lex_state = 2},
  [11314] = {.lex_state = 0, .external_lex_state = 2},
  [11315] = {.lex_state = 0, .external_lex_state = 2},
  [11316] = {.lex_state = 0},
  [11317] = {.lex_state = 0, .external_lex_state = 2},
  [11318] = {.lex_state = 0, .external_lex_state = 2},
  [11319] = {.lex_state = 0, .external_lex_state = 2},
  [11320] = {.lex_state = 0, .external_lex_state = 2},
  [11321] = {.lex_state = 0},
  [11322] = {.lex_state = 0, .external_lex_state = 2},
  [11323] = {.lex_state = 0, .external_lex_state = 2},
  [11324] = {.lex_state = 0, .external_lex_state = 2},
  [11325] = {.lex_state = 0, .external_lex_state = 2},
  [11326] = {.lex_state = 0},
  [11327] = {.lex_state = 0, .external_lex_state = 2},
  [11328] = {.lex_state = 0, .external_lex_state = 2},
  [11329] = {.lex_state = 0},
  [11330] = {.lex_state = 0},
  [11331] = {.lex_state = 0, .external_lex_state = 2},
  [11332] = {.lex_state = 35},
  [11333] = {.lex_state = 0, .external_lex_state = 2},
  [11334] = {.lex_state = 0},
  [11335] = {.lex_state = 0},
  [11336] = {.lex_state = 0},
  [11337] = {.lex_state = 0, .external_lex_state = 2},
  [11338] = {.lex_state = 0, .external_lex_state = 2},
  [11339] = {.lex_state = 0, .external_lex_state = 2},
  [11340] = {.lex_state = 35},
  [11341] = {.lex_state = 0, .external_lex_state = 2},
  [11342] = {.lex_state = 0, .external_lex_state = 2},
  [11343] = {.lex_state = 0, .external_lex_state = 2},
  [11344] = {.lex_state = 35},
  [11345] = {.lex_state = 0, .external_lex_state = 2},
  [11346] = {.lex_state = 0, .external_lex_state = 2},
  [11347] = {.lex_state = 0},
  [11348] = {.lex_state = 0, .external_lex_state = 2},
  [11349] = {.lex_state = 0, .external_lex_state = 2},
  [11350] = {.lex_state = 0, .external_lex_state = 2},
  [11351] = {.lex_state = 0, .external_lex_state = 2},
  [11352] = {.lex_state = 0, .external_lex_state = 2},
  [11353] = {.lex_state = 0, .external_lex_state = 2},
  [11354] = {.lex_state = 0, .external_lex_state = 2},
  [11355] = {.lex_state = 35},
  [11356] = {.lex_state = 0, .external_lex_state = 2},
  [11357] = {.lex_state = 0, .external_lex_state = 2},
  [11358] = {.lex_state = 0, .external_lex_state = 2},
  [11359] = {.lex_state = 0, .external_lex_state = 2},
  [11360] = {.lex_state = 0},
  [11361] = {.lex_state = 0},
  [11362] = {.lex_state = 0},
  [11363] = {.lex_state = 1},
  [11364] = {.lex_state = 0, .external_lex_state = 2},
  [11365] = {.lex_state = 0, .external_lex_state = 2},
  [11366] = {.lex_state = 0, .external_lex_state = 2},
  [11367] = {.lex_state = 0, .external_lex_state = 2},
  [11368] = {.lex_state = 0, .external_lex_state = 2},
  [11369] = {.lex_state = 0, .external_lex_state = 2},
  [11370] = {.lex_state = 0, .external_lex_state = 2},
  [11371] = {.lex_state = 0, .external_lex_state = 2},
  [11372] = {.lex_state = 0},
  [11373] = {.lex_state = 0, .external_lex_state = 2},
  [11374] = {.lex_state = 0, .external_lex_state = 2},
  [11375] = {.lex_state = 0, .external_lex_state = 2},
  [11376] = {.lex_state = 0, .external_lex_state = 2},
  [11377] = {.lex_state = 0, .external_lex_state = 2},
  [11378] = {.lex_state = 0, .external_lex_state = 2},
  [11379] = {.lex_state = 0, .external_lex_state = 2},
  [11380] = {.lex_state = 0, .external_lex_state = 2},
  [11381] = {.lex_state = 0},
  [11382] = {.lex_state = 0, .external_lex_state = 2},
  [11383] = {.lex_state = 0},
  [11384] = {.lex_state = 1},
  [11385] = {.lex_state = 0, .external_lex_state = 2},
  [11386] = {.lex_state = 0},
  [11387] = {.lex_state = 0, .external_lex_state = 2},
  [11388] = {.lex_state = 0},
  [11389] = {.lex_state = 0, .external_lex_state = 2},
  [11390] = {.lex_state = 0, .external_lex_state = 2},
  [11391] = {.lex_state = 0},
  [11392] = {.lex_state = 0, .external_lex_state = 2},
  [11393] = {.lex_state = 0},
  [11394] = {.lex_state = 0, .external_lex_state = 2},
  [11395] = {.lex_state = 0, .external_lex_state = 2},
  [11396] = {.lex_state = 35},
  [11397] = {.lex_state = 35},
  [11398] = {.lex_state = 35},
  [11399] = {.lex_state = 0},
  [11400] = {.lex_state = 0},
  [11401] = {.lex_state = 0},
  [11402] = {.lex_state = 35},
  [11403] = {.lex_state = 0, .external_lex_state = 2},
  [11404] = {.lex_state = 35},
  [11405] = {.lex_state = 35},
  [11406] = {.lex_state = 35},
  [11407] = {.lex_state = 0},
  [11408] = {.lex_state = 0},
  [11409] = {.lex_state = 0},
  [11410] = {.lex_state = 35},
  [11411] = {.lex_state = 35},
  [11412] = {.lex_state = 35},
  [11413] = {.lex_state = 0, .external_lex_state = 2},
  [11414] = {.lex_state = 35},
  [11415] = {.lex_state = 35},
  [11416] = {.lex_state = 0},
  [11417] = {.lex_state = 0},
  [11418] = {.lex_state = 0},
  [11419] = {.lex_state = 35},
  [11420] = {.lex_state = 35},
  [11421] = {.lex_state = 35},
  [11422] = {.lex_state = 0},
  [11423] = {.lex_state = 0, .external_lex_state = 2},
  [11424] = {.lex_state = 35},
  [11425] = {.lex_state = 35},
  [11426] = {.lex_state = 0},
  [11427] = {.lex_state = 0},
  [11428] = {.lex_state = 0},
  [11429] = {.lex_state = 0},
  [11430] = {.lex_state = 0},
  [11431] = {.lex_state = 35},
  [11432] = {.lex_state = 1},
  [11433] = {.lex_state = 35},
  [11434] = {.lex_state = 0},
  [11435] = {.lex_state = 35},
  [11436] = {.lex_state = 35},
  [11437] = {.lex_state = 35},
  [11438] = {.lex_state = 35},
  [11439] = {.lex_state = 35},
  [11440] = {.lex_state = 35},
  [11441] = {.lex_state = 35},
  [11442] = {.lex_state = 35},
  [11443] = {.lex_state = 35},
  [11444] = {.lex_state = 0},
  [11445] = {.lex_state = 0},
  [11446] = {.lex_state = 0},
  [11447] = {.lex_state = 35},
  [11448] = {.lex_state = 35},
  [11449] = {.lex_state = 35},
  [11450] = {.lex_state = 33},
  [11451] = {.lex_state = 35},
  [11452] = {.lex_state = 35},
  [11453] = {.lex_state = 0},
  [11454] = {.lex_state = 35},
  [11455] = {.lex_state = 35},
  [11456] = {.lex_state = 0},
  [11457] = {.lex_state = 0},
  [11458] = {.lex_state = 35},
  [11459] = {.lex_state = 35},
  [11460] = {.lex_state = 0},
  [11461] = {.lex_state = 35},
  [11462] = {.lex_state = 35},
  [11463] = {.lex_state = 0},
  [11464] = {.lex_state = 0},
  [11465] = {.lex_state = 35},
  [11466] = {.lex_state = 35},
  [11467] = {.lex_state = 0},
  [11468] = {.lex_state = 35},
  [11469] = {.lex_state = 35},
  [11470] = {.lex_state = 0},
  [11471] = {.lex_state = 0},
  [11472] = {.lex_state = 0},
  [11473] = {.lex_state = 35},
  [11474] = {.lex_state = 35},
  [11475] = {.lex_state = 0},
  [11476] = {.lex_state = 35},
  [11477] = {.lex_state = 35},
  [11478] = {.lex_state = 35},
  [11479] = {.lex_state = 35},
  [11480] = {.lex_state = 35},
  [11481] = {.lex_state = 35},
  [11482] = {.lex_state = 35},
  [11483] = {.lex_state = 1},
  [11484] = {.lex_state = 35},
  [11485] = {.lex_state = 35},
  [11486] = {.lex_state = 35},
  [11487] = {.lex_state = 0},
  [11488] = {.lex_state = 0},
  [11489] = {.lex_state = 35},
  [11490] = {.lex_state = 35},
  [11491] = {.lex_state = 35},
  [11492] = {.lex_state = 35},
  [11493] = {.lex_state = 35},
  [11494] = {.lex_state = 35},
  [11495] = {.lex_state = 35},
  [11496] = {.lex_state = 35},
  [11497] = {.lex_state = 0},
  [11498] = {.lex_state = 0},
  [11499] = {.lex_state = 35},
  [11500] = {.lex_state = 35},
  [11501] = {.lex_state = 35},
  [11502] = {.lex_state = 0},
  [11503] = {.lex_state = 0},
  [11504] = {.lex_state = 0},
  [11505] = {.lex_state = 35},
  [11506] = {.lex_state = 35},
  [11507] = {.lex_state = 35},
  [11508] = {.lex_state = 0},
  [11509] = {.lex_state = 0},
  [11510] = {.lex_state = 0},
  [11511] = {.lex_state = 0},
  [11512] = {.lex_state = 35},
  [11513] = {.lex_state = 35},
  [11514] = {.lex_state = 0},
  [11515] = {.lex_state = 35},
  [11516] = {.lex_state = 35},
  [11517] = {.lex_state = 0},
  [11518] = {.lex_state = 35},
  [11519] = {.lex_state = 0},
  [11520] = {.lex_state = 0},
  [11521] = {.lex_state = 35},
  [11522] = {.lex_state = 0},
  [11523] = {.lex_state = 35},
  [11524] = {.lex_state = 0},
  [11525] = {.lex_state = 35},
  [11526] = {.lex_state = 35},
  [11527] = {.lex_state = 35},
  [11528] = {.lex_state = 35},
  [11529] = {.lex_state = 35},
  [11530] = {.lex_state = 35},
  [11531] = {.lex_state = 35},
  [11532] = {.lex_state = 35},
  [11533] = {.lex_state = 35},
  [11534] = {.lex_state = 35},
  [11535] = {.lex_state = 35},
  [11536] = {.lex_state = 35},
  [11537] = {.lex_state = 35},
  [11538] = {.lex_state = 0},
  [11539] = {.lex_state = 0},
  [11540] = {.lex_state = 35},
  [11541] = {.lex_state = 35},
  [11542] = {.lex_state = 0, .external_lex_state = 2},
  [11543] = {.lex_state = 0},
  [11544] = {.lex_state = 0},
  [11545] = {.lex_state = 0},
  [11546] = {.lex_state = 0},
  [11547] = {.lex_state = 35},
  [11548] = {.lex_state = 0},
  [11549] = {.lex_state = 35},
  [11550] = {.lex_state = 0},
  [11551] = {.lex_state = 0},
  [11552] = {.lex_state = 0},
  [11553] = {.lex_state = 0},
  [11554] = {.lex_state = 35},
  [11555] = {.lex_state = 0},
  [11556] = {.lex_state = 0},
  [11557] = {.lex_state = 35},
  [11558] = {.lex_state = 0},
  [11559] = {.lex_state = 0},
  [11560] = {.lex_state = 35},
  [11561] = {.lex_state = 35},
  [11562] = {.lex_state = 0},
  [11563] = {.lex_state = 35},
  [11564] = {.lex_state = 35},
  [11565] = {.lex_state = 0},
  [11566] = {.lex_state = 0},
  [11567] = {.lex_state = 0},
  [11568] = {.lex_state = 35},
  [11569] = {.lex_state = 35},
  [11570] = {.lex_state = 35},
  [11571] = {.lex_state = 1},
  [11572] = {.lex_state = 0},
  [11573] = {.lex_state = 35},
  [11574] = {.lex_state = 35},
  [11575] = {.lex_state = 35},
  [11576] = {.lex_state = 35},
  [11577] = {.lex_state = 0},
  [11578] = {.lex_state = 35},
  [11579] = {.lex_state = 0},
  [11580] = {.lex_state = 0},
  [11581] = {.lex_state = 0},
  [11582] = {.lex_state = 35},
  [11583] = {.lex_state = 35},
  [11584] = {.lex_state = 35},
  [11585] = {.lex_state = 35},
  [11586] = {.lex_state = 35},
  [11587] = {.lex_state = 35},
  [11588] = {.lex_state = 0},
  [11589] = {.lex_state = 0},
  [11590] = {.lex_state = 0},
  [11591] = {.lex_state = 0},
  [11592] = {.lex_state = 35},
  [11593] = {.lex_state = 0},
  [11594] = {.lex_state = 35},
  [11595] = {.lex_state = 35},
  [11596] = {.lex_state = 35},
  [11597] = {.lex_state = 0},
  [11598] = {.lex_state = 1},
  [11599] = {.lex_state = 35},
  [11600] = {.lex_state = 0},
  [11601] = {.lex_state = 35},
  [11602] = {.lex_state = 0},
  [11603] = {.lex_state = 0},
  [11604] = {.lex_state = 35},
  [11605] = {.lex_state = 35},
  [11606] = {.lex_state = 35},
  [11607] = {.lex_state = 35},
  [11608] = {.lex_state = 35},
  [11609] = {.lex_state = 35},
  [11610] = {.lex_state = 35},
  [11611] = {.lex_state = 35},
  [11612] = {.lex_state = 35},
  [11613] = {.lex_state = 35},
  [11614] = {.lex_state = 0},
  [11615] = {.lex_state = 0},
  [11616] = {.lex_state = 0},
  [11617] = {.lex_state = 0},
  [11618] = {.lex_state = 0},
  [11619] = {.lex_state = 35},
  [11620] = {.lex_state = 35},
  [11621] = {.lex_state = 35},
  [11622] = {.lex_state = 35},
  [11623] = {.lex_state = 35},
  [11624] = {.lex_state = 0},
  [11625] = {.lex_state = 0},
  [11626] = {.lex_state = 0},
  [11627] = {.lex_state = 35},
  [11628] = {.lex_state = 0},
  [11629] = {.lex_state = 35},
  [11630] = {.lex_state = 0},
  [11631] = {.lex_state = 0},
  [11632] = {.lex_state = 0},
  [11633] = {.lex_state = 35},
  [11634] = {.lex_state = 35},
  [11635] = {.lex_state = 0},
  [11636] = {.lex_state = 0},
  [11637] = {.lex_state = 0},
  [11638] = {.lex_state = 35},
  [11639] = {.lex_state = 35},
  [11640] = {.lex_state = 0},
  [11641] = {.lex_state = 35},
  [11642] = {.lex_state = 0},
  [11643] = {.lex_state = 35},
  [11644] = {.lex_state = 35},
  [11645] = {.lex_state = 0},
  [11646] = {.lex_state = 35},
  [11647] = {.lex_state = 0},
  [11648] = {.lex_state = 35},
  [11649] = {.lex_state = 35},
  [11650] = {.lex_state = 35},
  [11651] = {.lex_state = 35},
  [11652] = {.lex_state = 35},
  [11653] = {.lex_state = 0},
  [11654] = {.lex_state = 35},
  [11655] = {.lex_state = 0},
  [11656] = {.lex_state = 35},
  [11657] = {.lex_state = 0},
  [11658] = {.lex_state = 0},
  [11659] = {.lex_state = 35},
  [11660] = {.lex_state = 0},
  [11661] = {.lex_state = 0},
  [11662] = {.lex_state = 0},
  [11663] = {.lex_state = 35},
  [11664] = {.lex_state = 0},
  [11665] = {.lex_state = 0},
  [11666] = {.lex_state = 35},
  [11667] = {.lex_state = 35},
  [11668] = {.lex_state = 35},
  [11669] = {.lex_state = 35},
  [11670] = {.lex_state = 0},
  [11671] = {.lex_state = 35},
  [11672] = {.lex_state = 35},
  [11673] = {.lex_state = 35},
  [11674] = {.lex_state = 0},
  [11675] = {.lex_state = 0},
  [11676] = {.lex_state = 0},
  [11677] = {.lex_state = 35},
  [11678] = {.lex_state = 0},
  [11679] = {.lex_state = 0},
  [11680] = {.lex_state = 0},
  [11681] = {.lex_state = 1},
  [11682] = {.lex_state = 0},
  [11683] = {.lex_state = 35},
  [11684] = {.lex_state = 35},
  [11685] = {.lex_state = 0},
  [11686] = {.lex_state = 35},
  [11687] = {.lex_state = 35},
  [11688] = {.lex_state = 35},
  [11689] = {.lex_state = 0},
  [11690] = {.lex_state = 35},
  [11691] = {.lex_state = 35},
  [11692] = {.lex_state = 35},
  [11693] = {.lex_state = 35},
  [11694] = {.lex_state = 35},
  [11695] = {.lex_state = 35},
  [11696] = {.lex_state = 0},
  [11697] = {.lex_state = 35},
  [11698] = {.lex_state = 0},
  [11699] = {.lex_state = 0},
  [11700] = {.lex_state = 0, .external_lex_state = 2},
  [11701] = {.lex_state = 35},
  [11702] = {.lex_state = 35},
  [11703] = {.lex_state = 35},
  [11704] = {.lex_state = 35},
  [11705] = {.lex_state = 0},
  [11706] = {.lex_state = 35},
  [11707] = {.lex_state = 35},
  [11708] = {.lex_state = 0},
  [11709] = {.lex_state = 35},
  [11710] = {.lex_state = 35},
  [11711] = {.lex_state = 35},
  [11712] = {.lex_state = 35},
  [11713] = {.lex_state = 35},
  [11714] = {.lex_state = 35},
  [11715] = {.lex_state = 35},
  [11716] = {.lex_state = 35},
  [11717] = {.lex_state = 35},
  [11718] = {.lex_state = 0},
  [11719] = {.lex_state = 0},
  [11720] = {.lex_state = 35},
  [11721] = {.lex_state = 35},
  [11722] = {.lex_state = 0},
  [11723] = {.lex_state = 0},
  [11724] = {.lex_state = 35},
  [11725] = {.lex_state = 0},
  [11726] = {.lex_state = 35},
  [11727] = {.lex_state = 35},
  [11728] = {.lex_state = 35},
  [11729] = {.lex_state = 0},
  [11730] = {.lex_state = 35},
  [11731] = {.lex_state = 35},
  [11732] = {.lex_state = 35},
  [11733] = {.lex_state = 35},
  [11734] = {.lex_state = 35},
  [11735] = {.lex_state = 35},
  [11736] = {.lex_state = 0},
  [11737] = {.lex_state = 35},
  [11738] = {.lex_state = 0, .external_lex_state = 2},
  [11739] = {.lex_state = 0},
  [11740] = {.lex_state = 35},
  [11741] = {.lex_state = 35},
  [11742] = {.lex_state = 0},
  [11743] = {.lex_state = 0},
  [11744] = {.lex_state = 0},
  [11745] = {.lex_state = 35},
  [11746] = {.lex_state = 35},
  [11747] = {.lex_state = 35},
  [11748] = {.lex_state = 0},
  [11749] = {.lex_state = 0},
  [11750] = {.lex_state = 35},
  [11751] = {.lex_state = 35},
  [11752] = {.lex_state = 35},
  [11753] = {.lex_state = 35},
  [11754] = {.lex_state = 35},
  [11755] = {.lex_state = 35},
  [11756] = {.lex_state = 0, .external_lex_state = 2},
  [11757] = {.lex_state = 35},
  [11758] = {.lex_state = 35},
  [11759] = {.lex_state = 35},
  [11760] = {.lex_state = 35},
  [11761] = {.lex_state = 35},
  [11762] = {.lex_state = 35},
  [11763] = {.lex_state = 35},
  [11764] = {.lex_state = 35},
  [11765] = {.lex_state = 35},
  [11766] = {.lex_state = 35},
  [11767] = {.lex_state = 35},
  [11768] = {.lex_state = 35},
  [11769] = {.lex_state = 35},
  [11770] = {.lex_state = 0},
  [11771] = {.lex_state = 0},
  [11772] = {.lex_state = 35},
  [11773] = {.lex_state = 0},
  [11774] = {.lex_state = 1},
  [11775] = {.lex_state = 35},
  [11776] = {.lex_state = 0},
  [11777] = {.lex_state = 35},
  [11778] = {.lex_state = 0},
  [11779] = {.lex_state = 35},
  [11780] = {.lex_state = 0},
  [11781] = {.lex_state = 0},
  [11782] = {.lex_state = 35},
  [11783] = {.lex_state = 35},
  [11784] = {.lex_state = 1},
  [11785] = {.lex_state = 0},
  [11786] = {.lex_state = 35},
  [11787] = {.lex_state = 35},
  [11788] = {.lex_state = 35},
  [11789] = {.lex_state = 0},
  [11790] = {.lex_state = 0},
  [11791] = {.lex_state = 0},
  [11792] = {.lex_state = 0},
  [11793] = {.lex_state = 0},
  [11794] = {.lex_state = 0},
  [11795] = {.lex_state = 0},
  [11796] = {.lex_state = 35},
  [11797] = {.lex_state = 0},
  [11798] = {.lex_state = 35},
  [11799] = {.lex_state = 0},
  [11800] = {.lex_state = 35},
  [11801] = {.lex_state = 0},
  [11802] = {.lex_state = 35},
  [11803] = {.lex_state = 0},
  [11804] = {.lex_state = 35},
  [11805] = {.lex_state = 1},
  [11806] = {.lex_state = 35},
  [11807] = {.lex_state = 0},
  [11808] = {.lex_state = 0},
  [11809] = {.lex_state = 0},
  [11810] = {.lex_state = 35},
  [11811] = {.lex_state = 35},
  [11812] = {.lex_state = 35},
  [11813] = {.lex_state = 35},
  [11814] = {.lex_state = 0},
  [11815] = {.lex_state = 35},
  [11816] = {.lex_state = 35},
  [11817] = {.lex_state = 0},
  [11818] = {.lex_state = 0},
  [11819] = {.lex_state = 35},
  [11820] = {.lex_state = 0},
  [11821] = {.lex_state = 0},
  [11822] = {.lex_state = 0},
  [11823] = {.lex_state = 0},
  [11824] = {.lex_state = 35},
  [11825] = {.lex_state = 0},
  [11826] = {.lex_state = 0},
  [11827] = {.lex_state = 0},
  [11828] = {.lex_state = 0},
  [11829] = {.lex_state = 35},
  [11830] = {.lex_state = 35},
  [11831] = {.lex_state = 0},
  [11832] = {.lex_state = 0},
  [11833] = {.lex_state = 35},
  [11834] = {.lex_state = 35},
  [11835] = {.lex_state = 0},
  [11836] = {.lex_state = 0},
  [11837] = {.lex_state = 35},
  [11838] = {.lex_state = 35},
  [11839] = {.lex_state = 0},
  [11840] = {.lex_state = 0},
  [11841] = {.lex_state = 0},
  [11842] = {.lex_state = 35},
  [11843] = {.lex_state = 0},
  [11844] = {.lex_state = 0},
  [11845] = {.lex_state = 0},
  [11846] = {.lex_state = 0},
  [11847] = {.lex_state = 1},
  [11848] = {.lex_state = 0},
  [11849] = {.lex_state = 0},
  [11850] = {.lex_state = 0},
  [11851] = {.lex_state = 0},
  [11852] = {.lex_state = 35},
  [11853] = {.lex_state = 0},
  [11854] = {.lex_state = 0},
  [11855] = {.lex_state = 0},
  [11856] = {.lex_state = 35},
  [11857] = {.lex_state = 0},
  [11858] = {.lex_state = 35},
  [11859] = {.lex_state = 35},
  [11860] = {.lex_state = 35},
  [11861] = {.lex_state = 0},
  [11862] = {.lex_state = 35},
  [11863] = {.lex_state = 0},
  [11864] = {.lex_state = 35},
  [11865] = {.lex_state = 0},
  [11866] = {.lex_state = 0},
  [11867] = {.lex_state = 0},
  [11868] = {.lex_state = 0},
  [11869] = {.lex_state = 0},
  [11870] = {.lex_state = 0},
  [11871] = {.lex_state = 35},
  [11872] = {.lex_state = 35},
  [11873] = {.lex_state = 35},
  [11874] = {.lex_state = 35},
  [11875] = {.lex_state = 0},
  [11876] = {.lex_state = 35},
  [11877] = {.lex_state = 0},
  [11878] = {.lex_state = 1},
  [11879] = {.lex_state = 1},
  [11880] = {.lex_state = 35},
  [11881] = {.lex_state = 35},
  [11882] = {.lex_state = 0},
  [11883] = {.lex_state = 35},
  [11884] = {.lex_state = 0},
  [11885] = {.lex_state = 35},
  [11886] = {.lex_state = 35},
  [11887] = {.lex_state = 0},
  [11888] = {.lex_state = 35},
  [11889] = {.lex_state = 0},
  [11890] = {.lex_state = 35},
  [11891] = {.lex_state = 0},
  [11892] = {.lex_state = 35},
  [11893] = {.lex_state = 35},
  [11894] = {.lex_state = 35},
  [11895] = {.lex_state = 0},
  [11896] = {.lex_state = 0},
  [11897] = {.lex_state = 0},
  [11898] = {.lex_state = 0},
  [11899] = {.lex_state = 0},
  [11900] = {.lex_state = 35},
  [11901] = {.lex_state = 35},
  [11902] = {.lex_state = 35},
  [11903] = {.lex_state = 0},
  [11904] = {.lex_state = 0},
  [11905] = {.lex_state = 35},
  [11906] = {.lex_state = 35},
  [11907] = {.lex_state = 0},
  [11908] = {.lex_state = 35},
  [11909] = {.lex_state = 0},
  [11910] = {.lex_state = 0},
  [11911] = {.lex_state = 35},
  [11912] = {.lex_state = 35},
  [11913] = {.lex_state = 35},
  [11914] = {.lex_state = 35},
  [11915] = {.lex_state = 35},
  [11916] = {.lex_state = 0},
  [11917] = {.lex_state = 35},
  [11918] = {.lex_state = 35},
  [11919] = {.lex_state = 0},
  [11920] = {.lex_state = 35},
  [11921] = {.lex_state = 35},
  [11922] = {.lex_state = 0},
  [11923] = {.lex_state = 35},
  [11924] = {.lex_state = 0},
  [11925] = {.lex_state = 0},
  [11926] = {.lex_state = 35},
  [11927] = {.lex_state = 1},
  [11928] = {.lex_state = 35},
  [11929] = {.lex_state = 0},
  [11930] = {.lex_state = 0},
  [11931] = {.lex_state = 35},
  [11932] = {.lex_state = 35},
  [11933] = {.lex_state = 35},
  [11934] = {.lex_state = 0},
  [11935] = {.lex_state = 0},
  [11936] = {.lex_state = 0},
  [11937] = {.lex_state = 35},
  [11938] = {.lex_state = 0},
  [11939] = {.lex_state = 35},
  [11940] = {.lex_state = 35},
  [11941] = {.lex_state = 0},
  [11942] = {.lex_state = 0},
  [11943] = {.lex_state = 35},
  [11944] = {.lex_state = 35},
  [11945] = {.lex_state = 35},
  [11946] = {.lex_state = 35},
  [11947] = {.lex_state = 35},
  [11948] = {.lex_state = 35},
  [11949] = {.lex_state = 35},
  [11950] = {.lex_state = 35},
  [11951] = {.lex_state = 35},
  [11952] = {.lex_state = 0},
  [11953] = {.lex_state = 0},
  [11954] = {.lex_state = 35},
  [11955] = {.lex_state = 0},
  [11956] = {.lex_state = 0},
  [11957] = {.lex_state = 0},
  [11958] = {.lex_state = 35},
  [11959] = {.lex_state = 35},
  [11960] = {.lex_state = 0},
  [11961] = {.lex_state = 1},
  [11962] = {.lex_state = 0},
  [11963] = {.lex_state = 35},
  [11964] = {.lex_state = 35},
  [11965] = {.lex_state = 35},
  [11966] = {.lex_state = 0},
  [11967] = {.lex_state = 0},
  [11968] = {.lex_state = 0},
  [11969] = {.lex_state = 0},
  [11970] = {.lex_state = 0},
  [11971] = {.lex_state = 0},
  [11972] = {.lex_state = 35},
  [11973] = {.lex_state = 35},
  [11974] = {.lex_state = 0},
  [11975] = {.lex_state = 35},
  [11976] = {.lex_state = 35},
  [11977] = {.lex_state = 35},
  [11978] = {.lex_state = 1},
  [11979] = {.lex_state = 0},
  [11980] = {.lex_state = 35},
  [11981] = {.lex_state = 0},
  [11982] = {.lex_state = 0},
  [11983] = {.lex_state = 0},
  [11984] = {.lex_state = 35},
  [11985] = {.lex_state = 0},
  [11986] = {.lex_state = 35},
  [11987] = {.lex_state = 35},
  [11988] = {.lex_state = 35},
  [11989] = {.lex_state = 35},
  [11990] = {.lex_state = 35},
  [11991] = {.lex_state = 0},
  [11992] = {.lex_state = 35},
  [11993] = {.lex_state = 1},
  [11994] = {.lex_state = 35},
  [11995] = {.lex_state = 0},
  [11996] = {.lex_state = 0},
  [11997] = {.lex_state = 0},
  [11998] = {.lex_state = 0},
  [11999] = {.lex_state = 0},
  [12000] = {.lex_state = 0},
  [12001] = {.lex_state = 0},
  [12002] = {.lex_state = 0},
  [12003] = {.lex_state = 0},
  [12004] = {.lex_state = 0},
  [12005] = {.lex_state = 35},
  [12006] = {.lex_state = 35},
  [12007] = {.lex_state = 35},
  [12008] = {.lex_state = 0},
  [12009] = {.lex_state = 0},
  [12010] = {.lex_state = 1},
  [12011] = {.lex_state = 35},
  [12012] = {.lex_state = 0},
  [12013] = {.lex_state = 0},
  [12014] = {.lex_state = 35},
  [12015] = {.lex_state = 0},
  [12016] = {.lex_state = 0},
  [12017] = {.lex_state = 35},
  [12018] = {.lex_state = 0},
  [12019] = {.lex_state = 0},
  [12020] = {.lex_state = 0},
  [12021] = {.lex_state = 35},
  [12022] = {.lex_state = 0},
  [12023] = {.lex_state = 0},
  [12024] = {.lex_state = 0},
  [12025] = {.lex_state = 0},
  [12026] = {.lex_state = 0},
  [12027] = {.lex_state = 0},
  [12028] = {.lex_state = 0},
  [12029] = {.lex_state = 35},
  [12030] = {.lex_state = 0},
  [12031] = {.lex_state = 35},
  [12032] = {.lex_state = 0},
  [12033] = {.lex_state = 0},
  [12034] = {.lex_state = 0},
  [12035] = {.lex_state = 0},
  [12036] = {.lex_state = 0},
  [12037] = {.lex_state = 0},
  [12038] = {.lex_state = 0},
  [12039] = {.lex_state = 0},
  [12040] = {.lex_state = 35},
  [12041] = {.lex_state = 0},
  [12042] = {.lex_state = 35},
  [12043] = {.lex_state = 35},
  [12044] = {.lex_state = 0},
  [12045] = {.lex_state = 0},
  [12046] = {.lex_state = 0},
  [12047] = {.lex_state = 35},
  [12048] = {.lex_state = 0},
  [12049] = {.lex_state = 35},
  [12050] = {.lex_state = 0},
  [12051] = {.lex_state = 0},
  [12052] = {.lex_state = 0},
  [12053] = {.lex_state = 35},
  [12054] = {.lex_state = 0},
  [12055] = {.lex_state = 0},
  [12056] = {.lex_state = 0},
  [12057] = {.lex_state = 35},
  [12058] = {.lex_state = 0},
  [12059] = {.lex_state = 35},
  [12060] = {.lex_state = 0},
  [12061] = {.lex_state = 33},
  [12062] = {.lex_state = 0},
  [12063] = {.lex_state = 0},
  [12064] = {.lex_state = 35},
  [12065] = {.lex_state = 0},
  [12066] = {.lex_state = 35},
  [12067] = {.lex_state = 0},
  [12068] = {.lex_state = 0},
  [12069] = {.lex_state = 0},
  [12070] = {.lex_state = 0},
  [12071] = {.lex_state = 0},
  [12072] = {.lex_state = 35},
  [12073] = {.lex_state = 0},
  [12074] = {.lex_state = 35},
  [12075] = {.lex_state = 0},
  [12076] = {.lex_state = 35},
  [12077] = {.lex_state = 35},
  [12078] = {.lex_state = 0},
  [12079] = {.lex_state = 0},
  [12080] = {.lex_state = 0},
  [12081] = {.lex_state = 0},
  [12082] = {.lex_state = 0},
  [12083] = {.lex_state = 0},
  [12084] = {.lex_state = 0},
  [12085] = {.lex_state = 0},
  [12086] = {.lex_state = 0},
  [12087] = {.lex_state = 0},
  [12088] = {.lex_state = 0},
  [12089] = {.lex_state = 0},
  [12090] = {.lex_state = 0},
  [12091] = {.lex_state = 0},
  [12092] = {.lex_state = 35},
  [12093] = {.lex_state = 35},
  [12094] = {.lex_state = 0},
  [12095] = {.lex_state = 0},
  [12096] = {.lex_state = 0},
  [12097] = {.lex_state = 0},
  [12098] = {.lex_state = 0},
  [12099] = {.lex_state = 35},
  [12100] = {.lex_state = 0},
  [12101] = {.lex_state = 35},
  [12102] = {.lex_state = 0},
  [12103] = {.lex_state = 0},
  [12104] = {.lex_state = 0},
  [12105] = {.lex_state = 0},
  [12106] = {.lex_state = 0},
  [12107] = {.lex_state = 35},
  [12108] = {.lex_state = 35},
  [12109] = {.lex_state = 0},
  [12110] = {.lex_state = 0},
  [12111] = {.lex_state = 0},
  [12112] = {.lex_state = 0},
  [12113] = {.lex_state = 0},
  [12114] = {.lex_state = 0},
  [12115] = {.lex_state = 0},
  [12116] = {.lex_state = 0},
  [12117] = {.lex_state = 0},
  [12118] = {.lex_state = 0},
  [12119] = {.lex_state = 0},
  [12120] = {.lex_state = 35},
  [12121] = {.lex_state = 0},
  [12122] = {.lex_state = 0},
  [12123] = {.lex_state = 0},
  [12124] = {.lex_state = 0},
  [12125] = {.lex_state = 0},
  [12126] = {.lex_state = 0},
  [12127] = {.lex_state = 0},
  [12128] = {.lex_state = 35},
  [12129] = {.lex_state = 35},
  [12130] = {.lex_state = 0},
  [12131] = {.lex_state = 0},
  [12132] = {.lex_state = 35},
  [12133] = {.lex_state = 0},
  [12134] = {.lex_state = 0},
  [12135] = {.lex_state = 0},
  [12136] = {.lex_state = 35},
  [12137] = {.lex_state = 35},
  [12138] = {.lex_state = 35},
  [12139] = {.lex_state = 0},
  [12140] = {.lex_state = 35},
  [12141] = {.lex_state = 35},
  [12142] = {.lex_state = 0},
  [12143] = {.lex_state = 0},
  [12144] = {.lex_state = 0},
  [12145] = {.lex_state = 0},
  [12146] = {.lex_state = 0},
  [12147] = {.lex_state = 0},
  [12148] = {.lex_state = 0},
  [12149] = {.lex_state = 0},
  [12150] = {.lex_state = 0},
  [12151] = {.lex_state = 0},
  [12152] = {.lex_state = 0},
  [12153] = {.lex_state = 0},
  [12154] = {.lex_state = 0},
  [12155] = {.lex_state = 0},
  [12156] = {.lex_state = 35},
  [12157] = {.lex_state = 0},
  [12158] = {.lex_state = 0},
  [12159] = {.lex_state = 0},
  [12160] = {.lex_state = 0},
  [12161] = {.lex_state = 0},
  [12162] = {.lex_state = 0},
  [12163] = {.lex_state = 0},
  [12164] = {.lex_state = 0},
  [12165] = {.lex_state = 0},
  [12166] = {.lex_state = 0},
  [12167] = {.lex_state = 35},
  [12168] = {.lex_state = 0},
  [12169] = {.lex_state = 0},
  [12170] = {.lex_state = 0},
  [12171] = {.lex_state = 0},
  [12172] = {.lex_state = 0},
  [12173] = {.lex_state = 0},
  [12174] = {.lex_state = 0},
  [12175] = {.lex_state = 0},
  [12176] = {.lex_state = 0},
  [12177] = {.lex_state = 0},
  [12178] = {.lex_state = 0},
  [12179] = {.lex_state = 0},
  [12180] = {.lex_state = 0},
  [12181] = {.lex_state = 0},
  [12182] = {.lex_state = 0},
  [12183] = {.lex_state = 0},
  [12184] = {.lex_state = 0},
  [12185] = {.lex_state = 0},
  [12186] = {.lex_state = 0},
  [12187] = {.lex_state = 0},
  [12188] = {.lex_state = 0},
  [12189] = {.lex_state = 0},
  [12190] = {.lex_state = 0},
  [12191] = {.lex_state = 0},
  [12192] = {.lex_state = 0},
  [12193] = {.lex_state = 0},
  [12194] = {.lex_state = 0},
  [12195] = {.lex_state = 0},
  [12196] = {.lex_state = 0},
  [12197] = {.lex_state = 35},
  [12198] = {.lex_state = 0},
  [12199] = {.lex_state = 0},
  [12200] = {.lex_state = 0},
  [12201] = {.lex_state = 0},
  [12202] = {.lex_state = 0},
  [12203] = {.lex_state = 0},
  [12204] = {.lex_state = 0},
  [12205] = {.lex_state = 0},
  [12206] = {.lex_state = 35},
  [12207] = {.lex_state = 0},
  [12208] = {.lex_state = 0},
  [12209] = {.lex_state = 0},
  [12210] = {.lex_state = 35},
  [12211] = {.lex_state = 35},
  [12212] = {.lex_state = 0},
  [12213] = {.lex_state = 35},
  [12214] = {.lex_state = 0},
  [12215] = {.lex_state = 0},
  [12216] = {.lex_state = 35},
  [12217] = {.lex_state = 0},
  [12218] = {.lex_state = 0},
  [12219] = {.lex_state = 0},
  [12220] = {.lex_state = 0},
  [12221] = {.lex_state = 0},
  [12222] = {.lex_state = 0},
  [12223] = {.lex_state = 0},
  [12224] = {.lex_state = 0},
  [12225] = {.lex_state = 0},
  [12226] = {.lex_state = 0},
  [12227] = {.lex_state = 0},
  [12228] = {.lex_state = 35},
  [12229] = {.lex_state = 35},
  [12230] = {.lex_state = 0},
  [12231] = {.lex_state = 0},
  [12232] = {.lex_state = 0},
  [12233] = {.lex_state = 0},
  [12234] = {.lex_state = 0},
  [12235] = {.lex_state = 0},
  [12236] = {.lex_state = 0},
  [12237] = {.lex_state = 0},
  [12238] = {.lex_state = 0},
  [12239] = {.lex_state = 0},
  [12240] = {.lex_state = 0},
  [12241] = {.lex_state = 0},
  [12242] = {.lex_state = 0},
  [12243] = {.lex_state = 0},
  [12244] = {.lex_state = 35},
  [12245] = {.lex_state = 0},
  [12246] = {.lex_state = 0},
  [12247] = {.lex_state = 0},
  [12248] = {.lex_state = 0},
  [12249] = {.lex_state = 0},
  [12250] = {.lex_state = 0},
  [12251] = {.lex_state = 0},
  [12252] = {.lex_state = 0},
  [12253] = {.lex_state = 0},
  [12254] = {.lex_state = 0},
  [12255] = {.lex_state = 0},
  [12256] = {.lex_state = 35},
  [12257] = {.lex_state = 0},
  [12258] = {.lex_state = 35},
  [12259] = {.lex_state = 35},
  [12260] = {.lex_state = 0},
  [12261] = {.lex_state = 0},
  [12262] = {.lex_state = 0},
  [12263] = {.lex_state = 0},
  [12264] = {.lex_state = 0},
  [12265] = {.lex_state = 0},
  [12266] = {.lex_state = 0},
  [12267] = {.lex_state = 0},
  [12268] = {.lex_state = 0},
  [12269] = {.lex_state = 0},
  [12270] = {.lex_state = 0},
  [12271] = {.lex_state = 0},
  [12272] = {.lex_state = 0},
  [12273] = {.lex_state = 0},
  [12274] = {.lex_state = 0},
  [12275] = {.lex_state = 35},
  [12276] = {.lex_state = 0},
  [12277] = {.lex_state = 0},
  [12278] = {.lex_state = 0},
  [12279] = {.lex_state = 0},
  [12280] = {.lex_state = 0},
  [12281] = {.lex_state = 35},
  [12282] = {.lex_state = 0},
  [12283] = {.lex_state = 0},
  [12284] = {.lex_state = 35},
  [12285] = {.lex_state = 35},
  [12286] = {.lex_state = 0},
  [12287] = {.lex_state = 0},
  [12288] = {.lex_state = 0},
  [12289] = {.lex_state = 0},
  [12290] = {.lex_state = 0},
  [12291] = {.lex_state = 0},
  [12292] = {.lex_state = 0},
  [12293] = {.lex_state = 35},
  [12294] = {.lex_state = 0},
  [12295] = {.lex_state = 0},
  [12296] = {.lex_state = 0},
  [12297] = {.lex_state = 35},
  [12298] = {.lex_state = 35},
  [12299] = {.lex_state = 35},
  [12300] = {.lex_state = 35},
  [12301] = {.lex_state = 0},
  [12302] = {.lex_state = 0},
  [12303] = {.lex_state = 0},
  [12304] = {.lex_state = 35},
  [12305] = {.lex_state = 0},
  [12306] = {.lex_state = 0},
  [12307] = {.lex_state = 0},
  [12308] = {.lex_state = 0},
  [12309] = {.lex_state = 0},
  [12310] = {.lex_state = 35},
  [12311] = {.lex_state = 35},
  [12312] = {.lex_state = 0},
  [12313] = {.lex_state = 0},
  [12314] = {.lex_state = 0},
  [12315] = {.lex_state = 0},
  [12316] = {.lex_state = 0},
  [12317] = {.lex_state = 0},
  [12318] = {.lex_state = 0},
  [12319] = {.lex_state = 0},
  [12320] = {.lex_state = 0},
  [12321] = {.lex_state = 0},
  [12322] = {.lex_state = 0},
  [12323] = {.lex_state = 0},
  [12324] = {.lex_state = 0},
  [12325] = {.lex_state = 0},
  [12326] = {.lex_state = 35},
  [12327] = {.lex_state = 0},
  [12328] = {.lex_state = 0},
  [12329] = {.lex_state = 0},
  [12330] = {.lex_state = 0},
  [12331] = {.lex_state = 0},
  [12332] = {.lex_state = 0},
  [12333] = {.lex_state = 0},
  [12334] = {.lex_state = 0},
  [12335] = {.lex_state = 0},
  [12336] = {.lex_state = 0},
  [12337] = {.lex_state = 0},
  [12338] = {.lex_state = 0},
  [12339] = {.lex_state = 0},
  [12340] = {.lex_state = 0},
  [12341] = {.lex_state = 0},
  [12342] = {.lex_state = 0},
  [12343] = {.lex_state = 0},
  [12344] = {.lex_state = 0},
  [12345] = {.lex_state = 0},
  [12346] = {.lex_state = 0},
  [12347] = {.lex_state = 0},
  [12348] = {.lex_state = 0},
  [12349] = {.lex_state = 0},
  [12350] = {.lex_state = 0},
  [12351] = {.lex_state = 0},
  [12352] = {.lex_state = 35},
  [12353] = {.lex_state = 0},
  [12354] = {.lex_state = 0},
  [12355] = {.lex_state = 0},
  [12356] = {.lex_state = 0},
  [12357] = {.lex_state = 0},
  [12358] = {.lex_state = 0},
  [12359] = {.lex_state = 0},
  [12360] = {.lex_state = 0},
  [12361] = {.lex_state = 0},
  [12362] = {.lex_state = 0},
  [12363] = {.lex_state = 0},
  [12364] = {.lex_state = 0},
  [12365] = {.lex_state = 0},
  [12366] = {.lex_state = 35},
  [12367] = {.lex_state = 0},
  [12368] = {.lex_state = 0},
  [12369] = {.lex_state = 0},
  [12370] = {.lex_state = 0},
  [12371] = {.lex_state = 0},
  [12372] = {.lex_state = 35},
  [12373] = {.lex_state = 0},
  [12374] = {.lex_state = 0},
  [12375] = {.lex_state = 35},
  [12376] = {.lex_state = 0},
  [12377] = {.lex_state = 0},
  [12378] = {.lex_state = 35},
  [12379] = {.lex_state = 35},
  [12380] = {.lex_state = 35},
  [12381] = {.lex_state = 0},
  [12382] = {.lex_state = 0},
  [12383] = {.lex_state = 0},
  [12384] = {.lex_state = 0},
  [12385] = {.lex_state = 0},
  [12386] = {.lex_state = 0},
  [12387] = {.lex_state = 0},
  [12388] = {.lex_state = 35},
  [12389] = {.lex_state = 35},
  [12390] = {.lex_state = 0},
  [12391] = {.lex_state = 0},
  [12392] = {.lex_state = 35},
  [12393] = {.lex_state = 0},
  [12394] = {.lex_state = 35},
  [12395] = {.lex_state = 0},
  [12396] = {.lex_state = 0},
  [12397] = {.lex_state = 0},
  [12398] = {.lex_state = 0},
  [12399] = {.lex_state = 0},
  [12400] = {.lex_state = 0},
  [12401] = {.lex_state = 0},
  [12402] = {.lex_state = 0},
  [12403] = {.lex_state = 0},
  [12404] = {.lex_state = 0},
  [12405] = {.lex_state = 35},
  [12406] = {.lex_state = 0},
  [12407] = {.lex_state = 0},
  [12408] = {.lex_state = 0},
  [12409] = {.lex_state = 0},
  [12410] = {.lex_state = 0},
  [12411] = {.lex_state = 0},
  [12412] = {.lex_state = 0},
  [12413] = {.lex_state = 0},
  [12414] = {.lex_state = 0},
  [12415] = {.lex_state = 0},
  [12416] = {.lex_state = 0},
  [12417] = {.lex_state = 0},
  [12418] = {.lex_state = 35},
  [12419] = {.lex_state = 0},
  [12420] = {.lex_state = 0},
  [12421] = {.lex_state = 0},
  [12422] = {.lex_state = 0},
  [12423] = {.lex_state = 0},
  [12424] = {.lex_state = 0},
  [12425] = {.lex_state = 0},
  [12426] = {.lex_state = 0},
  [12427] = {.lex_state = 0},
  [12428] = {.lex_state = 0},
  [12429] = {.lex_state = 0},
  [12430] = {.lex_state = 0},
  [12431] = {.lex_state = 0},
  [12432] = {.lex_state = 0},
  [12433] = {.lex_state = 35},
  [12434] = {.lex_state = 0},
  [12435] = {.lex_state = 0},
  [12436] = {.lex_state = 0},
  [12437] = {.lex_state = 0},
  [12438] = {.lex_state = 0},
  [12439] = {.lex_state = 0},
  [12440] = {.lex_state = 0},
  [12441] = {.lex_state = 0},
  [12442] = {.lex_state = 0},
  [12443] = {.lex_state = 0},
  [12444] = {.lex_state = 0},
  [12445] = {.lex_state = 0},
  [12446] = {.lex_state = 0},
  [12447] = {.lex_state = 0},
  [12448] = {.lex_state = 0},
  [12449] = {.lex_state = 0},
  [12450] = {.lex_state = 0},
  [12451] = {.lex_state = 0},
  [12452] = {.lex_state = 0},
  [12453] = {.lex_state = 35},
  [12454] = {.lex_state = 0},
  [12455] = {.lex_state = 0},
  [12456] = {.lex_state = 0},
  [12457] = {.lex_state = 0},
  [12458] = {.lex_state = 35},
  [12459] = {.lex_state = 0},
  [12460] = {.lex_state = 0},
  [12461] = {.lex_state = 35},
  [12462] = {.lex_state = 0},
  [12463] = {.lex_state = 35},
  [12464] = {.lex_state = 35},
  [12465] = {.lex_state = 0},
  [12466] = {.lex_state = 0},
  [12467] = {.lex_state = 0},
  [12468] = {.lex_state = 0},
  [12469] = {.lex_state = 0},
  [12470] = {.lex_state = 0},
  [12471] = {.lex_state = 0},
  [12472] = {.lex_state = 0},
  [12473] = {.lex_state = 0},
  [12474] = {.lex_state = 0},
  [12475] = {.lex_state = 0},
  [12476] = {.lex_state = 0},
  [12477] = {.lex_state = 35},
  [12478] = {.lex_state = 0},
  [12479] = {.lex_state = 0},
  [12480] = {.lex_state = 0},
  [12481] = {.lex_state = 0},
  [12482] = {.lex_state = 0},
  [12483] = {.lex_state = 0},
  [12484] = {.lex_state = 0},
  [12485] = {.lex_state = 0},
  [12486] = {.lex_state = 0},
  [12487] = {.lex_state = 0},
  [12488] = {.lex_state = 0},
  [12489] = {.lex_state = 0},
  [12490] = {.lex_state = 0},
  [12491] = {.lex_state = 35},
  [12492] = {.lex_state = 0},
  [12493] = {.lex_state = 0},
  [12494] = {.lex_state = 0},
  [12495] = {.lex_state = 0},
  [12496] = {.lex_state = 0},
  [12497] = {.lex_state = 0},
  [12498] = {.lex_state = 0},
  [12499] = {.lex_state = 0},
  [12500] = {.lex_state = 0},
  [12501] = {.lex_state = 0},
  [12502] = {.lex_state = 0},
  [12503] = {.lex_state = 0},
  [12504] = {.lex_state = 0},
  [12505] = {.lex_state = 0},
  [12506] = {.lex_state = 0},
  [12507] = {.lex_state = 0},
  [12508] = {.lex_state = 0},
  [12509] = {.lex_state = 0},
  [12510] = {.lex_state = 0},
  [12511] = {.lex_state = 0},
  [12512] = {.lex_state = 0},
  [12513] = {.lex_state = 0},
  [12514] = {.lex_state = 0},
  [12515] = {.lex_state = 0},
  [12516] = {.lex_state = 0},
  [12517] = {.lex_state = 0},
  [12518] = {.lex_state = 0},
  [12519] = {.lex_state = 0},
  [12520] = {.lex_state = 0},
  [12521] = {.lex_state = 0},
  [12522] = {.lex_state = 0},
  [12523] = {.lex_state = 0},
  [12524] = {.lex_state = 0},
  [12525] = {.lex_state = 0},
  [12526] = {.lex_state = 0},
  [12527] = {.lex_state = 0},
  [12528] = {.lex_state = 0},
  [12529] = {.lex_state = 0},
  [12530] = {.lex_state = 0},
  [12531] = {.lex_state = 0},
  [12532] = {.lex_state = 0},
  [12533] = {.lex_state = 35},
  [12534] = {.lex_state = 35},
  [12535] = {.lex_state = 0},
  [12536] = {.lex_state = 0},
  [12537] = {.lex_state = 35},
  [12538] = {.lex_state = 0},
  [12539] = {.lex_state = 0},
  [12540] = {.lex_state = 0},
  [12541] = {.lex_state = 0},
  [12542] = {.lex_state = 0},
  [12543] = {.lex_state = 0},
  [12544] = {.lex_state = 0},
  [12545] = {.lex_state = 0},
  [12546] = {.lex_state = 0},
  [12547] = {.lex_state = 0},
  [12548] = {.lex_state = 0},
  [12549] = {.lex_state = 35},
  [12550] = {.lex_state = 0},
  [12551] = {.lex_state = 0},
  [12552] = {.lex_state = 0},
  [12553] = {.lex_state = 0},
  [12554] = {.lex_state = 0},
  [12555] = {.lex_state = 0},
  [12556] = {.lex_state = 0},
  [12557] = {.lex_state = 0},
  [12558] = {.lex_state = 0},
  [12559] = {.lex_state = 0},
  [12560] = {.lex_state = 0},
  [12561] = {.lex_state = 35},
  [12562] = {.lex_state = 0},
  [12563] = {.lex_state = 0},
  [12564] = {.lex_state = 0},
  [12565] = {.lex_state = 35},
  [12566] = {.lex_state = 0},
  [12567] = {.lex_state = 0},
  [12568] = {.lex_state = 0},
  [12569] = {.lex_state = 0},
  [12570] = {.lex_state = 0},
  [12571] = {.lex_state = 0},
  [12572] = {.lex_state = 0},
  [12573] = {.lex_state = 0},
  [12574] = {.lex_state = 0},
  [12575] = {.lex_state = 0},
  [12576] = {.lex_state = 35},
  [12577] = {.lex_state = 0},
  [12578] = {.lex_state = 0},
  [12579] = {.lex_state = 35},
  [12580] = {.lex_state = 0},
  [12581] = {.lex_state = 0},
  [12582] = {.lex_state = 0},
  [12583] = {.lex_state = 0},
  [12584] = {.lex_state = 0},
  [12585] = {.lex_state = 0},
  [12586] = {.lex_state = 0},
  [12587] = {.lex_state = 0},
  [12588] = {.lex_state = 0},
  [12589] = {.lex_state = 0},
  [12590] = {.lex_state = 0},
  [12591] = {.lex_state = 0},
  [12592] = {.lex_state = 35},
  [12593] = {.lex_state = 0},
  [12594] = {.lex_state = 0},
  [12595] = {.lex_state = 0},
  [12596] = {.lex_state = 0},
  [12597] = {.lex_state = 0},
  [12598] = {.lex_state = 0},
  [12599] = {.lex_state = 0},
  [12600] = {.lex_state = 0},
  [12601] = {.lex_state = 35},
  [12602] = {.lex_state = 35},
  [12603] = {.lex_state = 0},
  [12604] = {.lex_state = 0},
  [12605] = {.lex_state = 0},
  [12606] = {.lex_state = 0},
  [12607] = {.lex_state = 0},
  [12608] = {.lex_state = 0},
  [12609] = {.lex_state = 0},
  [12610] = {.lex_state = 0},
  [12611] = {.lex_state = 0},
  [12612] = {.lex_state = 0},
  [12613] = {.lex_state = 0},
  [12614] = {.lex_state = 0},
  [12615] = {.lex_state = 0},
  [12616] = {.lex_state = 0},
  [12617] = {.lex_state = 0},
  [12618] = {.lex_state = 0},
  [12619] = {.lex_state = 0},
  [12620] = {.lex_state = 35},
  [12621] = {.lex_state = 0},
  [12622] = {.lex_state = 0},
  [12623] = {.lex_state = 0},
  [12624] = {.lex_state = 0},
  [12625] = {.lex_state = 0},
  [12626] = {.lex_state = 0},
  [12627] = {.lex_state = 0},
  [12628] = {.lex_state = 0},
  [12629] = {.lex_state = 0},
  [12630] = {.lex_state = 35},
  [12631] = {.lex_state = 0},
  [12632] = {.lex_state = 0},
  [12633] = {.lex_state = 0},
  [12634] = {.lex_state = 0},
  [12635] = {.lex_state = 0},
  [12636] = {.lex_state = 0},
  [12637] = {.lex_state = 0},
  [12638] = {.lex_state = 0},
  [12639] = {.lex_state = 0},
  [12640] = {.lex_state = 0},
  [12641] = {.lex_state = 0},
  [12642] = {.lex_state = 0},
  [12643] = {.lex_state = 0},
  [12644] = {.lex_state = 0},
  [12645] = {.lex_state = 0},
  [12646] = {.lex_state = 0},
  [12647] = {.lex_state = 0},
  [12648] = {.lex_state = 0},
  [12649] = {.lex_state = 0},
  [12650] = {.lex_state = 35},
  [12651] = {.lex_state = 0},
  [12652] = {.lex_state = 0},
  [12653] = {.lex_state = 0},
  [12654] = {.lex_state = 0},
  [12655] = {.lex_state = 0},
  [12656] = {.lex_state = 35},
  [12657] = {.lex_state = 0},
  [12658] = {.lex_state = 0},
  [12659] = {.lex_state = 0},
  [12660] = {.lex_state = 0},
  [12661] = {.lex_state = 0},
  [12662] = {.lex_state = 0},
  [12663] = {.lex_state = 0},
  [12664] = {.lex_state = 0},
  [12665] = {.lex_state = 0},
  [12666] = {.lex_state = 0},
  [12667] = {.lex_state = 0},
  [12668] = {.lex_state = 0},
  [12669] = {.lex_state = 0},
  [12670] = {.lex_state = 0},
  [12671] = {.lex_state = 0},
  [12672] = {.lex_state = 0},
  [12673] = {.lex_state = 0},
  [12674] = {.lex_state = 0},
  [12675] = {.lex_state = 0},
  [12676] = {.lex_state = 0},
  [12677] = {.lex_state = 0},
  [12678] = {.lex_state = 0},
  [12679] = {.lex_state = 35},
  [12680] = {.lex_state = 0},
  [12681] = {.lex_state = 0},
  [12682] = {.lex_state = 0},
  [12683] = {.lex_state = 0},
  [12684] = {.lex_state = 0},
  [12685] = {.lex_state = 0},
  [12686] = {.lex_state = 0},
  [12687] = {.lex_state = 0},
  [12688] = {.lex_state = 0},
  [12689] = {.lex_state = 0},
  [12690] = {.lex_state = 0},
  [12691] = {.lex_state = 0},
  [12692] = {.lex_state = 0},
  [12693] = {.lex_state = 35},
  [12694] = {.lex_state = 0},
  [12695] = {.lex_state = 0},
  [12696] = {.lex_state = 0},
  [12697] = {.lex_state = 0},
  [12698] = {.lex_state = 0},
  [12699] = {.lex_state = 0},
  [12700] = {.lex_state = 0},
  [12701] = {.lex_state = 35},
  [12702] = {.lex_state = 35},
  [12703] = {.lex_state = 35},
  [12704] = {.lex_state = 0},
  [12705] = {.lex_state = 0},
  [12706] = {.lex_state = 0},
  [12707] = {.lex_state = 0},
  [12708] = {.lex_state = 0},
  [12709] = {.lex_state = 35},
  [12710] = {.lex_state = 0},
  [12711] = {.lex_state = 0},
  [12712] = {.lex_state = 0},
  [12713] = {.lex_state = 35},
  [12714] = {.lex_state = 0},
  [12715] = {.lex_state = 0},
  [12716] = {.lex_state = 0},
  [12717] = {.lex_state = 0},
  [12718] = {.lex_state = 0},
  [12719] = {.lex_state = 0},
  [12720] = {.lex_state = 0},
  [12721] = {.lex_state = 0},
  [12722] = {.lex_state = 0},
  [12723] = {.lex_state = 0},
  [12724] = {.lex_state = 0},
  [12725] = {.lex_state = 0},
  [12726] = {.lex_state = 0},
  [12727] = {.lex_state = 35},
  [12728] = {.lex_state = 0},
  [12729] = {.lex_state = 0},
  [12730] = {.lex_state = 0},
  [12731] = {.lex_state = 0},
  [12732] = {.lex_state = 0},
  [12733] = {.lex_state = 0},
  [12734] = {.lex_state = 0},
  [12735] = {.lex_state = 0},
  [12736] = {.lex_state = 0},
  [12737] = {.lex_state = 0},
  [12738] = {.lex_state = 35},
  [12739] = {.lex_state = 0},
  [12740] = {.lex_state = 0},
  [12741] = {.lex_state = 0},
  [12742] = {.lex_state = 0},
  [12743] = {.lex_state = 0},
  [12744] = {.lex_state = 0},
  [12745] = {.lex_state = 0},
  [12746] = {.lex_state = 0},
  [12747] = {.lex_state = 0},
  [12748] = {.lex_state = 35},
  [12749] = {.lex_state = 35},
  [12750] = {.lex_state = 35},
  [12751] = {.lex_state = 35},
  [12752] = {.lex_state = 0},
  [12753] = {.lex_state = 0},
  [12754] = {.lex_state = 0},
  [12755] = {.lex_state = 0},
  [12756] = {.lex_state = 0},
  [12757] = {.lex_state = 0},
  [12758] = {.lex_state = 0},
  [12759] = {.lex_state = 0},
  [12760] = {.lex_state = 35},
  [12761] = {.lex_state = 0},
  [12762] = {.lex_state = 0},
  [12763] = {.lex_state = 0},
  [12764] = {.lex_state = 0},
  [12765] = {.lex_state = 0},
  [12766] = {.lex_state = 0},
  [12767] = {.lex_state = 35},
  [12768] = {.lex_state = 0},
  [12769] = {.lex_state = 0},
  [12770] = {.lex_state = 0},
  [12771] = {.lex_state = 0},
  [12772] = {.lex_state = 0},
  [12773] = {.lex_state = 0},
  [12774] = {.lex_state = 0},
  [12775] = {.lex_state = 0},
  [12776] = {.lex_state = 35},
  [12777] = {.lex_state = 0},
  [12778] = {.lex_state = 35},
  [12779] = {.lex_state = 35},
  [12780] = {.lex_state = 0},
  [12781] = {.lex_state = 35},
  [12782] = {.lex_state = 35},
  [12783] = {.lex_state = 35},
  [12784] = {.lex_state = 35},
  [12785] = {.lex_state = 0},
  [12786] = {.lex_state = 35},
  [12787] = {.lex_state = 0},
  [12788] = {.lex_state = 0},
  [12789] = {.lex_state = 0},
  [12790] = {.lex_state = 0},
  [12791] = {.lex_state = 0},
  [12792] = {.lex_state = 0},
  [12793] = {.lex_state = 0},
  [12794] = {.lex_state = 0},
  [12795] = {.lex_state = 0},
  [12796] = {.lex_state = 0},
  [12797] = {.lex_state = 35},
  [12798] = {.lex_state = 0},
  [12799] = {.lex_state = 0},
  [12800] = {.lex_state = 0},
  [12801] = {.lex_state = 0},
  [12802] = {.lex_state = 0},
  [12803] = {.lex_state = 0},
  [12804] = {.lex_state = 0},
  [12805] = {.lex_state = 0},
  [12806] = {.lex_state = 0},
  [12807] = {.lex_state = 0},
  [12808] = {.lex_state = 0},
  [12809] = {.lex_state = 35},
  [12810] = {.lex_state = 0},
  [12811] = {.lex_state = 0},
  [12812] = {.lex_state = 0},
  [12813] = {.lex_state = 0},
  [12814] = {.lex_state = 0},
  [12815] = {.lex_state = 0},
  [12816] = {.lex_state = 0},
  [12817] = {.lex_state = 0},
  [12818] = {.lex_state = 35},
  [12819] = {.lex_state = 35},
  [12820] = {.lex_state = 0},
  [12821] = {.lex_state = 0},
  [12822] = {.lex_state = 0},
  [12823] = {.lex_state = 0},
  [12824] = {.lex_state = 0},
  [12825] = {.lex_state = 0},
  [12826] = {.lex_state = 0},
  [12827] = {.lex_state = 0},
  [12828] = {.lex_state = 0},
  [12829] = {.lex_state = 0},
  [12830] = {.lex_state = 0},
  [12831] = {.lex_state = 0},
  [12832] = {.lex_state = 0},
  [12833] = {.lex_state = 35},
  [12834] = {.lex_state = 0},
  [12835] = {.lex_state = 0},
  [12836] = {.lex_state = 0},
  [12837] = {.lex_state = 0},
  [12838] = {.lex_state = 0},
  [12839] = {.lex_state = 0},
  [12840] = {.lex_state = 0},
  [12841] = {.lex_state = 0},
  [12842] = {.lex_state = 0},
  [12843] = {.lex_state = 0},
  [12844] = {.lex_state = 0},
  [12845] = {.lex_state = 0},
  [12846] = {.lex_state = 0},
  [12847] = {.lex_state = 0},
  [12848] = {.lex_state = 0},
  [12849] = {.lex_state = 0},
  [12850] = {.lex_state = 0},
  [12851] = {.lex_state = 0},
  [12852] = {.lex_state = 0},
  [12853] = {.lex_state = 0},
  [12854] = {.lex_state = 0},
  [12855] = {.lex_state = 0},
  [12856] = {.lex_state = 35},
  [12857] = {.lex_state = 0},
  [12858] = {.lex_state = 0},
  [12859] = {.lex_state = 0},
  [12860] = {.lex_state = 0},
  [12861] = {.lex_state = 0},
  [12862] = {.lex_state = 0},
  [12863] = {.lex_state = 0},
  [12864] = {.lex_state = 0},
  [12865] = {.lex_state = 0},
  [12866] = {.lex_state = 0},
  [12867] = {.lex_state = 0},
  [12868] = {.lex_state = 0},
  [12869] = {.lex_state = 0},
  [12870] = {.lex_state = 0},
  [12871] = {.lex_state = 0},
  [12872] = {.lex_state = 0},
  [12873] = {.lex_state = 0},
  [12874] = {.lex_state = 0},
  [12875] = {.lex_state = 0},
  [12876] = {.lex_state = 0},
  [12877] = {.lex_state = 35},
  [12878] = {.lex_state = 0},
  [12879] = {.lex_state = 0},
  [12880] = {.lex_state = 35},
  [12881] = {.lex_state = 0},
  [12882] = {.lex_state = 0},
  [12883] = {.lex_state = 0},
  [12884] = {.lex_state = 0},
  [12885] = {.lex_state = 0},
  [12886] = {.lex_state = 35},
  [12887] = {.lex_state = 0},
  [12888] = {.lex_state = 0},
  [12889] = {.lex_state = 0},
  [12890] = {.lex_state = 0},
  [12891] = {.lex_state = 0},
  [12892] = {.lex_state = 0},
  [12893] = {.lex_state = 0},
  [12894] = {.lex_state = 0},
  [12895] = {.lex_state = 35},
  [12896] = {.lex_state = 35},
  [12897] = {.lex_state = 35},
  [12898] = {.lex_state = 0},
  [12899] = {.lex_state = 0},
  [12900] = {.lex_state = 0},
  [12901] = {.lex_state = 0},
  [12902] = {.lex_state = 35},
  [12903] = {.lex_state = 35},
  [12904] = {.lex_state = 35},
  [12905] = {.lex_state = 0},
  [12906] = {.lex_state = 0},
  [12907] = {.lex_state = 0},
  [12908] = {.lex_state = 0},
  [12909] = {.lex_state = 0},
  [12910] = {.lex_state = 0},
  [12911] = {.lex_state = 0},
  [12912] = {.lex_state = 0},
  [12913] = {.lex_state = 35},
  [12914] = {.lex_state = 0},
  [12915] = {.lex_state = 35},
  [12916] = {.lex_state = 0},
  [12917] = {.lex_state = 0},
  [12918] = {.lex_state = 0},
  [12919] = {.lex_state = 0},
  [12920] = {.lex_state = 0},
  [12921] = {.lex_state = 0},
  [12922] = {.lex_state = 0},
  [12923] = {.lex_state = 0},
  [12924] = {.lex_state = 0},
  [12925] = {.lex_state = 0},
  [12926] = {.lex_state = 0},
  [12927] = {.lex_state = 35},
  [12928] = {.lex_state = 0},
  [12929] = {.lex_state = 0},
  [12930] = {.lex_state = 0},
  [12931] = {.lex_state = 0},
  [12932] = {.lex_state = 0},
  [12933] = {.lex_state = 0},
  [12934] = {.lex_state = 0},
  [12935] = {.lex_state = 0},
  [12936] = {.lex_state = 0},
  [12937] = {.lex_state = 0},
  [12938] = {.lex_state = 0},
  [12939] = {.lex_state = 0},
  [12940] = {.lex_state = 0},
  [12941] = {.lex_state = 0},
  [12942] = {.lex_state = 0},
  [12943] = {.lex_state = 0},
  [12944] = {.lex_state = 0},
  [12945] = {.lex_state = 33},
  [12946] = {.lex_state = 0},
  [12947] = {.lex_state = 0},
  [12948] = {.lex_state = 0},
  [12949] = {.lex_state = 0},
  [12950] = {.lex_state = 0},
  [12951] = {.lex_state = 0},
  [12952] = {.lex_state = 0},
  [12953] = {.lex_state = 0},
  [12954] = {.lex_state = 0},
  [12955] = {.lex_state = 0},
  [12956] = {.lex_state = 35},
  [12957] = {.lex_state = 0},
  [12958] = {.lex_state = 0},
  [12959] = {.lex_state = 0},
  [12960] = {.lex_state = 0},
  [12961] = {.lex_state = 0},
  [12962] = {.lex_state = 0},
  [12963] = {.lex_state = 0},
  [12964] = {.lex_state = 0},
  [12965] = {.lex_state = 0},
  [12966] = {.lex_state = 0},
  [12967] = {.lex_state = 0},
  [12968] = {.lex_state = 0},
  [12969] = {.lex_state = 0},
  [12970] = {.lex_state = 0},
  [12971] = {.lex_state = 0},
  [12972] = {.lex_state = 35},
  [12973] = {.lex_state = 0},
  [12974] = {.lex_state = 35},
  [12975] = {.lex_state = 0},
  [12976] = {.lex_state = 0},
  [12977] = {.lex_state = 0},
  [12978] = {.lex_state = 0},
  [12979] = {.lex_state = 0},
  [12980] = {.lex_state = 0},
  [12981] = {.lex_state = 0},
  [12982] = {.lex_state = 0},
  [12983] = {.lex_state = 0},
  [12984] = {.lex_state = 35},
  [12985] = {.lex_state = 0},
  [12986] = {.lex_state = 0},
  [12987] = {.lex_state = 35},
  [12988] = {.lex_state = 0},
  [12989] = {.lex_state = 0},
  [12990] = {.lex_state = 0},
  [12991] = {.lex_state = 0},
  [12992] = {.lex_state = 0},
  [12993] = {.lex_state = 0},
  [12994] = {.lex_state = 0},
  [12995] = {.lex_state = 35},
  [12996] = {.lex_state = 0},
  [12997] = {.lex_state = 35},
  [12998] = {.lex_state = 0},
  [12999] = {.lex_state = 0},
  [13000] = {.lex_state = 0},
  [13001] = {.lex_state = 0},
  [13002] = {.lex_state = 0},
  [13003] = {.lex_state = 0},
  [13004] = {.lex_state = 35},
  [13005] = {.lex_state = 0},
  [13006] = {.lex_state = 0},
  [13007] = {.lex_state = 0},
  [13008] = {.lex_state = 0},
  [13009] = {.lex_state = 0},
  [13010] = {.lex_state = 35},
  [13011] = {.lex_state = 0},
  [13012] = {.lex_state = 0},
  [13013] = {.lex_state = 35},
  [13014] = {.lex_state = 0},
  [13015] = {.lex_state = 0},
  [13016] = {.lex_state = 0},
  [13017] = {.lex_state = 0},
  [13018] = {.lex_state = 0},
  [13019] = {.lex_state = 0},
  [13020] = {.lex_state = 0},
  [13021] = {.lex_state = 0},
  [13022] = {.lex_state = 35},
  [13023] = {.lex_state = 0},
  [13024] = {.lex_state = 0},
  [13025] = {.lex_state = 0},
  [13026] = {.lex_state = 0},
  [13027] = {.lex_state = 0},
  [13028] = {.lex_state = 0},
  [13029] = {.lex_state = 0},
  [13030] = {.lex_state = 0},
  [13031] = {.lex_state = 35},
  [13032] = {.lex_state = 0},
  [13033] = {.lex_state = 35},
  [13034] = {.lex_state = 0},
  [13035] = {.lex_state = 0},
  [13036] = {.lex_state = 0},
  [13037] = {.lex_state = 0},
  [13038] = {.lex_state = 0},
  [13039] = {.lex_state = 0},
  [13040] = {.lex_state = 0},
  [13041] = {.lex_state = 0},
  [13042] = {.lex_state = 0},
  [13043] = {.lex_state = 0},
  [13044] = {.lex_state = 0},
  [13045] = {.lex_state = 35},
  [13046] = {.lex_state = 0},
  [13047] = {.lex_state = 0},
  [13048] = {.lex_state = 0},
  [13049] = {.lex_state = 0},
  [13050] = {.lex_state = 0},
  [13051] = {.lex_state = 0},
  [13052] = {.lex_state = 0},
  [13053] = {.lex_state = 0},
  [13054] = {.lex_state = 35},
  [13055] = {.lex_state = 0},
  [13056] = {.lex_state = 0},
  [13057] = {.lex_state = 35},
  [13058] = {.lex_state = 0},
  [13059] = {.lex_state = 0},
  [13060] = {.lex_state = 0},
  [13061] = {.lex_state = 0},
  [13062] = {.lex_state = 0},
  [13063] = {.lex_state = 0},
  [13064] = {.lex_state = 0},
  [13065] = {.lex_state = 0},
  [13066] = {.lex_state = 0},
  [13067] = {.lex_state = 0},
  [13068] = {.lex_state = 0},
  [13069] = {.lex_state = 0},
  [13070] = {.lex_state = 0},
  [13071] = {.lex_state = 0},
  [13072] = {.lex_state = 0},
  [13073] = {.lex_state = 0},
  [13074] = {.lex_state = 35},
  [13075] = {.lex_state = 0},
  [13076] = {.lex_state = 35},
  [13077] = {.lex_state = 0},
  [13078] = {.lex_state = 0},
  [13079] = {.lex_state = 35},
  [13080] = {.lex_state = 0},
  [13081] = {.lex_state = 35},
  [13082] = {.lex_state = 0},
  [13083] = {.lex_state = 0},
  [13084] = {.lex_state = 0},
  [13085] = {.lex_state = 0},
  [13086] = {.lex_state = 0},
  [13087] = {.lex_state = 0},
  [13088] = {.lex_state = 0},
  [13089] = {.lex_state = 0},
  [13090] = {.lex_state = 0},
  [13091] = {.lex_state = 0},
  [13092] = {.lex_state = 35},
  [13093] = {.lex_state = 0},
  [13094] = {.lex_state = 0},
  [13095] = {.lex_state = 0},
  [13096] = {.lex_state = 0},
  [13097] = {.lex_state = 0},
  [13098] = {.lex_state = 0},
  [13099] = {.lex_state = 0},
  [13100] = {.lex_state = 0},
  [13101] = {.lex_state = 0},
  [13102] = {.lex_state = 0},
  [13103] = {.lex_state = 0},
  [13104] = {.lex_state = 0},
  [13105] = {.lex_state = 0},
  [13106] = {.lex_state = 0},
  [13107] = {.lex_state = 0},
  [13108] = {.lex_state = 0},
  [13109] = {.lex_state = 0},
  [13110] = {.lex_state = 0},
  [13111] = {.lex_state = 0},
  [13112] = {.lex_state = 0},
  [13113] = {.lex_state = 0},
  [13114] = {.lex_state = 0},
  [13115] = {.lex_state = 0},
  [13116] = {.lex_state = 0},
  [13117] = {.lex_state = 0},
  [13118] = {.lex_state = 0},
  [13119] = {.lex_state = 0},
  [13120] = {.lex_state = 0},
  [13121] = {.lex_state = 35},
  [13122] = {.lex_state = 35},
  [13123] = {.lex_state = 0},
  [13124] = {.lex_state = 0},
  [13125] = {.lex_state = 0},
  [13126] = {.lex_state = 35},
  [13127] = {.lex_state = 0},
  [13128] = {.lex_state = 0},
  [13129] = {.lex_state = 0},
  [13130] = {.lex_state = 0},
  [13131] = {.lex_state = 35},
  [13132] = {.lex_state = 35},
  [13133] = {.lex_state = 0},
  [13134] = {.lex_state = 0},
  [13135] = {.lex_state = 0},
  [13136] = {.lex_state = 0},
  [13137] = {.lex_state = 0},
  [13138] = {.lex_state = 0},
  [13139] = {.lex_state = 0},
  [13140] = {.lex_state = 35},
  [13141] = {.lex_state = 0},
  [13142] = {.lex_state = 0},
  [13143] = {.lex_state = 0},
  [13144] = {.lex_state = 0},
  [13145] = {.lex_state = 0},
  [13146] = {.lex_state = 0},
  [13147] = {.lex_state = 0},
  [13148] = {.lex_state = 0},
  [13149] = {.lex_state = 0},
  [13150] = {.lex_state = 0},
  [13151] = {.lex_state = 35},
  [13152] = {.lex_state = 0},
  [13153] = {.lex_state = 0},
  [13154] = {.lex_state = 0},
  [13155] = {.lex_state = 0},
  [13156] = {.lex_state = 0},
  [13157] = {.lex_state = 0},
  [13158] = {.lex_state = 0},
  [13159] = {.lex_state = 0},
  [13160] = {.lex_state = 0},
  [13161] = {.lex_state = 35},
  [13162] = {.lex_state = 0},
  [13163] = {.lex_state = 35},
  [13164] = {.lex_state = 0},
  [13165] = {.lex_state = 0},
  [13166] = {.lex_state = 0},
  [13167] = {.lex_state = 0},
  [13168] = {.lex_state = 0},
  [13169] = {.lex_state = 0},
  [13170] = {.lex_state = 0},
  [13171] = {.lex_state = 0},
  [13172] = {.lex_state = 0},
  [13173] = {.lex_state = 0},
  [13174] = {.lex_state = 0},
  [13175] = {.lex_state = 35},
  [13176] = {.lex_state = 0},
  [13177] = {.lex_state = 0},
  [13178] = {.lex_state = 0},
  [13179] = {.lex_state = 0},
  [13180] = {.lex_state = 35},
  [13181] = {.lex_state = 0},
  [13182] = {.lex_state = 0},
  [13183] = {.lex_state = 0},
  [13184] = {.lex_state = 0},
  [13185] = {.lex_state = 0},
  [13186] = {.lex_state = 0},
  [13187] = {.lex_state = 0},
  [13188] = {.lex_state = 0},
  [13189] = {.lex_state = 0},
  [13190] = {.lex_state = 33},
  [13191] = {.lex_state = 0},
  [13192] = {.lex_state = 0},
  [13193] = {.lex_state = 0},
  [13194] = {.lex_state = 0},
  [13195] = {.lex_state = 0},
  [13196] = {.lex_state = 0},
  [13197] = {.lex_state = 0},
  [13198] = {.lex_state = 0},
  [13199] = {.lex_state = 0},
  [13200] = {.lex_state = 0},
  [13201] = {.lex_state = 35},
  [13202] = {.lex_state = 0},
  [13203] = {.lex_state = 0},
  [13204] = {.lex_state = 0},
  [13205] = {.lex_state = 0},
  [13206] = {.lex_state = 0},
  [13207] = {.lex_state = 0},
  [13208] = {.lex_state = 0},
  [13209] = {.lex_state = 0},
  [13210] = {.lex_state = 0},
  [13211] = {.lex_state = 0},
  [13212] = {.lex_state = 0},
  [13213] = {.lex_state = 0},
  [13214] = {.lex_state = 0},
  [13215] = {.lex_state = 0},
  [13216] = {.lex_state = 0},
  [13217] = {.lex_state = 0},
  [13218] = {.lex_state = 0},
  [13219] = {.lex_state = 0},
  [13220] = {.lex_state = 0},
  [13221] = {.lex_state = 0},
  [13222] = {.lex_state = 0},
  [13223] = {.lex_state = 0},
  [13224] = {.lex_state = 0},
  [13225] = {.lex_state = 0},
  [13226] = {.lex_state = 0},
  [13227] = {.lex_state = 0},
  [13228] = {.lex_state = 0},
  [13229] = {.lex_state = 0},
  [13230] = {.lex_state = 0},
  [13231] = {.lex_state = 0},
  [13232] = {.lex_state = 0},
  [13233] = {.lex_state = 0},
  [13234] = {.lex_state = 0},
  [13235] = {.lex_state = 0},
  [13236] = {.lex_state = 0},
  [13237] = {.lex_state = 35},
  [13238] = {.lex_state = 0},
  [13239] = {.lex_state = 35},
  [13240] = {.lex_state = 0},
  [13241] = {.lex_state = 0},
  [13242] = {.lex_state = 0},
  [13243] = {.lex_state = 0},
  [13244] = {.lex_state = 0},
  [13245] = {.lex_state = 0},
  [13246] = {.lex_state = 0},
  [13247] = {.lex_state = 0},
  [13248] = {.lex_state = 0},
  [13249] = {.lex_state = 0},
  [13250] = {.lex_state = 0},
  [13251] = {.lex_state = 0},
  [13252] = {.lex_state = 0},
  [13253] = {.lex_state = 0},
  [13254] = {.lex_state = 0},
  [13255] = {.lex_state = 0},
  [13256] = {.lex_state = 0},
  [13257] = {.lex_state = 0},
  [13258] = {.lex_state = 0},
  [13259] = {.lex_state = 0},
  [13260] = {.lex_state = 0},
  [13261] = {.lex_state = 0},
  [13262] = {.lex_state = 0},
  [13263] = {.lex_state = 35},
  [13264] = {.lex_state = 35},
  [13265] = {.lex_state = 0},
  [13266] = {.lex_state = 35},
  [13267] = {.lex_state = 0},
  [13268] = {.lex_state = 0},
  [13269] = {.lex_state = 0},
  [13270] = {.lex_state = 0},
  [13271] = {.lex_state = 35},
  [13272] = {.lex_state = 0},
  [13273] = {.lex_state = 0},
  [13274] = {.lex_state = 0},
  [13275] = {.lex_state = 0},
  [13276] = {.lex_state = 0},
  [13277] = {.lex_state = 0},
  [13278] = {.lex_state = 0},
  [13279] = {.lex_state = 0},
  [13280] = {.lex_state = 0},
  [13281] = {.lex_state = 0},
  [13282] = {.lex_state = 0},
  [13283] = {.lex_state = 0},
  [13284] = {.lex_state = 0},
  [13285] = {.lex_state = 0},
  [13286] = {.lex_state = 0},
  [13287] = {.lex_state = 0},
  [13288] = {.lex_state = 0},
  [13289] = {.lex_state = 35},
  [13290] = {.lex_state = 35},
  [13291] = {.lex_state = 0},
  [13292] = {.lex_state = 35},
  [13293] = {.lex_state = 0},
  [13294] = {.lex_state = 35},
  [13295] = {.lex_state = 35},
  [13296] = {.lex_state = 35},
  [13297] = {.lex_state = 0},
  [13298] = {.lex_state = 0},
  [13299] = {.lex_state = 0},
  [13300] = {.lex_state = 35},
  [13301] = {.lex_state = 35},
  [13302] = {.lex_state = 0},
  [13303] = {.lex_state = 0},
  [13304] = {.lex_state = 0},
  [13305] = {.lex_state = 0},
  [13306] = {.lex_state = 0},
  [13307] = {.lex_state = 0},
  [13308] = {.lex_state = 35},
  [13309] = {.lex_state = 35},
  [13310] = {.lex_state = 0},
  [13311] = {.lex_state = 0},
  [13312] = {.lex_state = 35},
  [13313] = {.lex_state = 0},
  [13314] = {.lex_state = 0},
  [13315] = {.lex_state = 35},
  [13316] = {.lex_state = 0},
  [13317] = {.lex_state = 0},
  [13318] = {.lex_state = 0},
  [13319] = {.lex_state = 0},
  [13320] = {.lex_state = 35},
  [13321] = {.lex_state = 0},
  [13322] = {.lex_state = 0},
  [13323] = {.lex_state = 35},
  [13324] = {.lex_state = 0},
  [13325] = {.lex_state = 0},
  [13326] = {.lex_state = 0},
  [13327] = {.lex_state = 0},
  [13328] = {.lex_state = 35},
  [13329] = {.lex_state = 0},
  [13330] = {.lex_state = 0},
  [13331] = {.lex_state = 0},
  [13332] = {.lex_state = 0},
  [13333] = {.lex_state = 0},
  [13334] = {.lex_state = 0},
  [13335] = {.lex_state = 0},
  [13336] = {.lex_state = 35},
  [13337] = {.lex_state = 0},
  [13338] = {.lex_state = 0},
  [13339] = {.lex_state = 0},
  [13340] = {.lex_state = 0},
  [13341] = {.lex_state = 0},
  [13342] = {.lex_state = 0},
  [13343] = {.lex_state = 0},
  [13344] = {.lex_state = 0},
  [13345] = {.lex_state = 35},
  [13346] = {.lex_state = 0},
  [13347] = {.lex_state = 0},
  [13348] = {.lex_state = 0},
  [13349] = {.lex_state = 35},
  [13350] = {.lex_state = 0},
  [13351] = {.lex_state = 0},
  [13352] = {.lex_state = 0},
  [13353] = {.lex_state = 35},
  [13354] = {.lex_state = 35},
  [13355] = {.lex_state = 0},
  [13356] = {.lex_state = 35},
  [13357] = {.lex_state = 0},
  [13358] = {.lex_state = 35},
  [13359] = {.lex_state = 0},
  [13360] = {.lex_state = 0},
  [13361] = {.lex_state = 0},
  [13362] = {.lex_state = 0},
  [13363] = {.lex_state = 0},
  [13364] = {.lex_state = 0},
  [13365] = {.lex_state = 0},
  [13366] = {.lex_state = 0},
  [13367] = {.lex_state = 0},
  [13368] = {.lex_state = 35},
  [13369] = {.lex_state = 35},
  [13370] = {.lex_state = 0},
  [13371] = {.lex_state = 0},
  [13372] = {.lex_state = 0},
  [13373] = {.lex_state = 0},
  [13374] = {.lex_state = 35},
  [13375] = {.lex_state = 0},
  [13376] = {.lex_state = 0},
  [13377] = {.lex_state = 0},
  [13378] = {.lex_state = 0},
  [13379] = {.lex_state = 0},
  [13380] = {.lex_state = 35},
  [13381] = {.lex_state = 35},
  [13382] = {.lex_state = 35},
  [13383] = {.lex_state = 33},
  [13384] = {.lex_state = 0},
  [13385] = {.lex_state = 0},
  [13386] = {.lex_state = 0},
  [13387] = {.lex_state = 0},
  [13388] = {.lex_state = 35},
  [13389] = {.lex_state = 0},
  [13390] = {.lex_state = 35},
  [13391] = {.lex_state = 35},
  [13392] = {.lex_state = 35},
  [13393] = {.lex_state = 0},
  [13394] = {.lex_state = 35},
  [13395] = {.lex_state = 0},
  [13396] = {.lex_state = 0},
  [13397] = {.lex_state = 35},
  [13398] = {.lex_state = 35},
  [13399] = {.lex_state = 0},
  [13400] = {.lex_state = 35},
  [13401] = {.lex_state = 35},
  [13402] = {.lex_state = 0},
  [13403] = {.lex_state = 35},
  [13404] = {.lex_state = 0},
  [13405] = {.lex_state = 0},
  [13406] = {.lex_state = 35},
  [13407] = {.lex_state = 0},
  [13408] = {.lex_state = 35},
  [13409] = {.lex_state = 0},
  [13410] = {.lex_state = 0},
  [13411] = {.lex_state = 35},
  [13412] = {.lex_state = 0},
  [13413] = {.lex_state = 35},
  [13414] = {.lex_state = 35},
  [13415] = {.lex_state = 0},
  [13416] = {.lex_state = 35},
  [13417] = {.lex_state = 0},
  [13418] = {.lex_state = 0},
  [13419] = {.lex_state = 0},
  [13420] = {.lex_state = 0},
  [13421] = {.lex_state = 35},
  [13422] = {.lex_state = 35},
  [13423] = {.lex_state = 0},
  [13424] = {.lex_state = 35},
  [13425] = {.lex_state = 0},
  [13426] = {.lex_state = 0},
  [13427] = {.lex_state = 0},
  [13428] = {.lex_state = 0},
  [13429] = {.lex_state = 35},
  [13430] = {.lex_state = 35},
  [13431] = {.lex_state = 0},
  [13432] = {.lex_state = 0},
  [13433] = {.lex_state = 0},
  [13434] = {.lex_state = 0},
  [13435] = {.lex_state = 0},
  [13436] = {.lex_state = 0},
  [13437] = {.lex_state = 0},
  [13438] = {.lex_state = 0},
  [13439] = {.lex_state = 0},
  [13440] = {.lex_state = 0},
  [13441] = {.lex_state = 0},
  [13442] = {.lex_state = 0},
  [13443] = {.lex_state = 0},
  [13444] = {.lex_state = 0},
  [13445] = {.lex_state = 0},
  [13446] = {.lex_state = 35},
  [13447] = {.lex_state = 0},
  [13448] = {.lex_state = 0},
  [13449] = {.lex_state = 35},
  [13450] = {.lex_state = 35},
  [13451] = {.lex_state = 35},
  [13452] = {.lex_state = 35},
  [13453] = {.lex_state = 35},
  [13454] = {.lex_state = 35},
  [13455] = {.lex_state = 0},
  [13456] = {.lex_state = 0},
  [13457] = {.lex_state = 35},
  [13458] = {.lex_state = 35},
  [13459] = {.lex_state = 35},
  [13460] = {.lex_state = 35},
  [13461] = {.lex_state = 0},
  [13462] = {.lex_state = 0},
  [13463] = {.lex_state = 35},
  [13464] = {.lex_state = 35},
  [13465] = {.lex_state = 0},
  [13466] = {.lex_state = 0},
  [13467] = {.lex_state = 0},
  [13468] = {.lex_state = 35},
  [13469] = {.lex_state = 0},
  [13470] = {.lex_state = 0},
  [13471] = {.lex_state = 0, .external_lex_state = 2},
  [13472] = {.lex_state = 35},
  [13473] = {.lex_state = 35},
  [13474] = {.lex_state = 0},
  [13475] = {.lex_state = 35},
  [13476] = {.lex_state = 0},
  [13477] = {.lex_state = 0},
  [13478] = {.lex_state = 0},
  [13479] = {.lex_state = 0},
  [13480] = {.lex_state = 35},
  [13481] = {.lex_state = 0},
  [13482] = {.lex_state = 0, .external_lex_state = 2},
  [13483] = {.lex_state = 35},
  [13484] = {.lex_state = 0},
  [13485] = {.lex_state = 0},
  [13486] = {.lex_state = 0},
  [13487] = {.lex_state = 35},
  [13488] = {.lex_state = 0},
  [13489] = {.lex_state = 35},
  [13490] = {.lex_state = 0},
  [13491] = {.lex_state = 35},
  [13492] = {.lex_state = 0},
  [13493] = {.lex_state = 0},
  [13494] = {.lex_state = 0},
  [13495] = {.lex_state = 35},
  [13496] = {.lex_state = 0},
  [13497] = {.lex_state = 35},
  [13498] = {.lex_state = 35},
  [13499] = {.lex_state = 0},
  [13500] = {.lex_state = 35},
  [13501] = {.lex_state = 0},
  [13502] = {.lex_state = 35},
  [13503] = {.lex_state = 0},
  [13504] = {.lex_state = 0},
  [13505] = {.lex_state = 0},
  [13506] = {.lex_state = 35},
  [13507] = {.lex_state = 35},
  [13508] = {.lex_state = 0},
  [13509] = {.lex_state = 35},
  [13510] = {.lex_state = 0},
  [13511] = {.lex_state = 0},
  [13512] = {.lex_state = 35},
  [13513] = {.lex_state = 35},
  [13514] = {.lex_state = 0},
  [13515] = {.lex_state = 35},
  [13516] = {.lex_state = 0},
  [13517] = {.lex_state = 0},
  [13518] = {.lex_state = 35},
  [13519] = {.lex_state = 0, .external_lex_state = 2},
  [13520] = {.lex_state = 0},
  [13521] = {.lex_state = 0},
  [13522] = {.lex_state = 35},
  [13523] = {.lex_state = 0},
  [13524] = {.lex_state = 0},
  [13525] = {.lex_state = 0},
  [13526] = {.lex_state = 0},
  [13527] = {.lex_state = 35},
  [13528] = {.lex_state = 0},
  [13529] = {.lex_state = 35},
  [13530] = {.lex_state = 35},
  [13531] = {.lex_state = 0},
  [13532] = {.lex_state = 35},
  [13533] = {.lex_state = 0},
  [13534] = {.lex_state = 0},
  [13535] = {.lex_state = 0},
  [13536] = {.lex_state = 35},
  [13537] = {.lex_state = 0},
  [13538] = {.lex_state = 0},
  [13539] = {.lex_state = 0},
  [13540] = {.lex_state = 0},
  [13541] = {.lex_state = 35},
  [13542] = {.lex_state = 0},
  [13543] = {.lex_state = 0},
  [13544] = {.lex_state = 35},
  [13545] = {.lex_state = 0},
  [13546] = {.lex_state = 0},
  [13547] = {.lex_state = 35},
  [13548] = {.lex_state = 35},
  [13549] = {.lex_state = 35},
  [13550] = {.lex_state = 0},
  [13551] = {.lex_state = 0},
  [13552] = {.lex_state = 0},
  [13553] = {.lex_state = 35},
  [13554] = {.lex_state = 0},
  [13555] = {.lex_state = 0},
  [13556] = {.lex_state = 0},
  [13557] = {.lex_state = 0},
  [13558] = {.lex_state = 0},
  [13559] = {.lex_state = 0},
  [13560] = {.lex_state = 0},
  [13561] = {.lex_state = 0},
  [13562] = {.lex_state = 0},
  [13563] = {.lex_state = 0},
  [13564] = {.lex_state = 0},
  [13565] = {.lex_state = 35},
  [13566] = {.lex_state = 35},
  [13567] = {.lex_state = 0},
  [13568] = {.lex_state = 0},
  [13569] = {.lex_state = 35},
  [13570] = {.lex_state = 35},
  [13571] = {.lex_state = 35},
  [13572] = {.lex_state = 0},
  [13573] = {.lex_state = 35},
  [13574] = {.lex_state = 0},
  [13575] = {.lex_state = 0},
  [13576] = {.lex_state = 0},
  [13577] = {.lex_state = 0},
  [13578] = {.lex_state = 0},
  [13579] = {.lex_state = 0},
  [13580] = {.lex_state = 0},
  [13581] = {.lex_state = 0},
  [13582] = {.lex_state = 0},
  [13583] = {.lex_state = 35},
  [13584] = {.lex_state = 35},
  [13585] = {.lex_state = 35},
  [13586] = {.lex_state = 35},
  [13587] = {.lex_state = 0},
  [13588] = {.lex_state = 0},
  [13589] = {.lex_state = 0},
  [13590] = {.lex_state = 0},
  [13591] = {.lex_state = 0},
  [13592] = {.lex_state = 35},
  [13593] = {.lex_state = 35},
  [13594] = {.lex_state = 35},
  [13595] = {.lex_state = 0},
  [13596] = {.lex_state = 0},
  [13597] = {.lex_state = 0},
  [13598] = {.lex_state = 0},
  [13599] = {.lex_state = 0},
  [13600] = {.lex_state = 0},
  [13601] = {.lex_state = 0},
  [13602] = {.lex_state = 35},
  [13603] = {.lex_state = 0},
  [13604] = {.lex_state = 0},
  [13605] = {.lex_state = 0},
  [13606] = {.lex_state = 35},
  [13607] = {.lex_state = 35},
  [13608] = {.lex_state = 0},
  [13609] = {.lex_state = 0},
  [13610] = {.lex_state = 0},
  [13611] = {.lex_state = 0},
  [13612] = {.lex_state = 0},
  [13613] = {.lex_state = 0},
  [13614] = {.lex_state = 0},
  [13615] = {.lex_state = 0},
  [13616] = {.lex_state = 0},
  [13617] = {.lex_state = 0},
  [13618] = {.lex_state = 0},
  [13619] = {.lex_state = 0},
  [13620] = {.lex_state = 35},
  [13621] = {.lex_state = 35},
  [13622] = {.lex_state = 35},
  [13623] = {.lex_state = 0},
  [13624] = {.lex_state = 0},
  [13625] = {.lex_state = 35},
  [13626] = {.lex_state = 35},
  [13627] = {.lex_state = 35},
  [13628] = {.lex_state = 35},
  [13629] = {.lex_state = 35},
  [13630] = {.lex_state = 0},
  [13631] = {.lex_state = 0},
  [13632] = {.lex_state = 0},
  [13633] = {.lex_state = 0},
  [13634] = {.lex_state = 0},
  [13635] = {.lex_state = 35},
  [13636] = {.lex_state = 35},
  [13637] = {.lex_state = 0},
  [13638] = {.lex_state = 35},
  [13639] = {.lex_state = 0},
  [13640] = {.lex_state = 0},
  [13641] = {.lex_state = 35},
  [13642] = {.lex_state = 35},
  [13643] = {.lex_state = 0},
  [13644] = {.lex_state = 0},
  [13645] = {.lex_state = 35},
  [13646] = {.lex_state = 0},
  [13647] = {.lex_state = 0},
  [13648] = {.lex_state = 0},
  [13649] = {.lex_state = 0},
  [13650] = {.lex_state = 0},
  [13651] = {.lex_state = 0},
  [13652] = {.lex_state = 0},
  [13653] = {.lex_state = 0},
  [13654] = {.lex_state = 0},
  [13655] = {.lex_state = 0},
  [13656] = {.lex_state = 0},
  [13657] = {.lex_state = 0},
  [13658] = {.lex_state = 0},
  [13659] = {.lex_state = 0},
  [13660] = {.lex_state = 0},
  [13661] = {.lex_state = 0},
  [13662] = {.lex_state = 0},
  [13663] = {.lex_state = 0},
  [13664] = {.lex_state = 0},
  [13665] = {.lex_state = 0},
  [13666] = {.lex_state = 0},
  [13667] = {.lex_state = 0},
  [13668] = {.lex_state = 0},
  [13669] = {.lex_state = 0},
  [13670] = {.lex_state = 0},
  [13671] = {.lex_state = 35},
  [13672] = {.lex_state = 35},
  [13673] = {.lex_state = 35},
  [13674] = {.lex_state = 35},
  [13675] = {.lex_state = 35},
  [13676] = {.lex_state = 0},
  [13677] = {.lex_state = 35},
  [13678] = {.lex_state = 35},
  [13679] = {.lex_state = 0},
  [13680] = {.lex_state = 35},
  [13681] = {.lex_state = 0},
  [13682] = {.lex_state = 0},
  [13683] = {.lex_state = 35},
  [13684] = {.lex_state = 0},
  [13685] = {.lex_state = 0},
  [13686] = {.lex_state = 0},
  [13687] = {.lex_state = 35},
  [13688] = {.lex_state = 0},
  [13689] = {.lex_state = 0},
  [13690] = {.lex_state = 0},
  [13691] = {.lex_state = 0},
  [13692] = {.lex_state = 0},
  [13693] = {.lex_state = 0},
  [13694] = {.lex_state = 0},
  [13695] = {.lex_state = 0},
  [13696] = {.lex_state = 35},
  [13697] = {.lex_state = 0},
  [13698] = {.lex_state = 0},
  [13699] = {.lex_state = 0},
  [13700] = {.lex_state = 0},
  [13701] = {.lex_state = 0},
  [13702] = {.lex_state = 0},
  [13703] = {.lex_state = 35},
  [13704] = {.lex_state = 0},
  [13705] = {.lex_state = 0},
  [13706] = {.lex_state = 0},
  [13707] = {.lex_state = 0},
  [13708] = {.lex_state = 0},
  [13709] = {.lex_state = 0},
  [13710] = {.lex_state = 35},
  [13711] = {.lex_state = 0},
  [13712] = {.lex_state = 0},
  [13713] = {.lex_state = 0},
  [13714] = {.lex_state = 0},
  [13715] = {.lex_state = 0},
  [13716] = {.lex_state = 0},
  [13717] = {.lex_state = 0},
  [13718] = {.lex_state = 0},
  [13719] = {.lex_state = 0},
  [13720] = {.lex_state = 0},
  [13721] = {.lex_state = 0},
  [13722] = {.lex_state = 0},
  [13723] = {.lex_state = 0},
  [13724] = {.lex_state = 0},
  [13725] = {.lex_state = 35},
  [13726] = {.lex_state = 35},
  [13727] = {.lex_state = 35},
  [13728] = {.lex_state = 35},
  [13729] = {.lex_state = 0},
  [13730] = {.lex_state = 0},
  [13731] = {.lex_state = 35},
  [13732] = {.lex_state = 0},
  [13733] = {.lex_state = 35},
  [13734] = {.lex_state = 0},
  [13735] = {.lex_state = 0},
  [13736] = {.lex_state = 0},
  [13737] = {.lex_state = 0},
  [13738] = {.lex_state = 35},
  [13739] = {.lex_state = 35},
  [13740] = {.lex_state = 0},
  [13741] = {.lex_state = 0},
  [13742] = {.lex_state = 35},
  [13743] = {.lex_state = 35},
  [13744] = {.lex_state = 33},
  [13745] = {.lex_state = 35},
  [13746] = {.lex_state = 35},
  [13747] = {.lex_state = 0},
  [13748] = {.lex_state = 0},
  [13749] = {.lex_state = 0},
  [13750] = {.lex_state = 35},
  [13751] = {.lex_state = 0},
  [13752] = {.lex_state = 35},
  [13753] = {.lex_state = 0},
  [13754] = {.lex_state = 0},
  [13755] = {.lex_state = 0},
  [13756] = {.lex_state = 0},
  [13757] = {.lex_state = 0},
  [13758] = {.lex_state = 0},
  [13759] = {.lex_state = 35},
  [13760] = {.lex_state = 0},
  [13761] = {.lex_state = 0},
  [13762] = {.lex_state = 0},
  [13763] = {.lex_state = 0},
  [13764] = {.lex_state = 0},
  [13765] = {.lex_state = 35},
  [13766] = {.lex_state = 35},
  [13767] = {.lex_state = 0},
  [13768] = {.lex_state = 35},
  [13769] = {.lex_state = 0},
  [13770] = {.lex_state = 0},
  [13771] = {.lex_state = 35},
  [13772] = {.lex_state = 0},
  [13773] = {.lex_state = 0},
  [13774] = {.lex_state = 35},
  [13775] = {.lex_state = 0},
  [13776] = {.lex_state = 0},
  [13777] = {.lex_state = 0},
  [13778] = {.lex_state = 35},
  [13779] = {.lex_state = 0},
  [13780] = {.lex_state = 0},
  [13781] = {.lex_state = 0},
  [13782] = {.lex_state = 0},
  [13783] = {.lex_state = 0},
  [13784] = {.lex_state = 35},
  [13785] = {.lex_state = 35},
  [13786] = {.lex_state = 0},
  [13787] = {.lex_state = 0},
  [13788] = {.lex_state = 0},
  [13789] = {.lex_state = 0},
  [13790] = {.lex_state = 35},
  [13791] = {.lex_state = 0},
  [13792] = {.lex_state = 0},
  [13793] = {.lex_state = 0},
  [13794] = {.lex_state = 35},
  [13795] = {.lex_state = 35},
  [13796] = {.lex_state = 0},
  [13797] = {.lex_state = 35},
  [13798] = {.lex_state = 35},
  [13799] = {.lex_state = 0},
  [13800] = {.lex_state = 0},
  [13801] = {.lex_state = 0},
  [13802] = {.lex_state = 0},
  [13803] = {.lex_state = 35},
  [13804] = {.lex_state = 35},
  [13805] = {.lex_state = 0},
  [13806] = {.lex_state = 35},
  [13807] = {.lex_state = 0},
  [13808] = {.lex_state = 35},
  [13809] = {.lex_state = 0},
  [13810] = {.lex_state = 35},
  [13811] = {.lex_state = 35},
  [13812] = {.lex_state = 0},
  [13813] = {.lex_state = 0},
  [13814] = {.lex_state = 0},
  [13815] = {.lex_state = 0},
  [13816] = {.lex_state = 0},
  [13817] = {.lex_state = 0},
  [13818] = {.lex_state = 0},
  [13819] = {.lex_state = 0},
  [13820] = {.lex_state = 0},
  [13821] = {.lex_state = 35},
  [13822] = {.lex_state = 35},
  [13823] = {.lex_state = 0},
  [13824] = {.lex_state = 35},
  [13825] = {.lex_state = 0},
  [13826] = {.lex_state = 0},
  [13827] = {.lex_state = 35},
  [13828] = {.lex_state = 35},
  [13829] = {.lex_state = 0},
  [13830] = {.lex_state = 0},
  [13831] = {.lex_state = 0},
  [13832] = {.lex_state = 0},
  [13833] = {.lex_state = 0},
  [13834] = {.lex_state = 0},
  [13835] = {.lex_state = 0},
  [13836] = {.lex_state = 35},
  [13837] = {.lex_state = 35},
  [13838] = {.lex_state = 35},
  [13839] = {.lex_state = 0},
  [13840] = {.lex_state = 0},
  [13841] = {.lex_state = 0},
  [13842] = {.lex_state = 35},
  [13843] = {.lex_state = 35},
  [13844] = {.lex_state = 35},
  [13845] = {.lex_state = 0},
  [13846] = {.lex_state = 35},
  [13847] = {.lex_state = 0},
  [13848] = {.lex_state = 0},
  [13849] = {.lex_state = 0},
  [13850] = {.lex_state = 0},
  [13851] = {.lex_state = 0},
  [13852] = {.lex_state = 0},
  [13853] = {.lex_state = 35},
  [13854] = {.lex_state = 0},
  [13855] = {.lex_state = 0},
  [13856] = {.lex_state = 35},
  [13857] = {.lex_state = 0},
  [13858] = {.lex_state = 35},
  [13859] = {.lex_state = 0},
  [13860] = {.lex_state = 35},
  [13861] = {.lex_state = 0},
  [13862] = {.lex_state = 0},
  [13863] = {.lex_state = 0},
  [13864] = {.lex_state = 0},
  [13865] = {.lex_state = 0},
  [13866] = {.lex_state = 0},
  [13867] = {.lex_state = 0},
  [13868] = {.lex_state = 0},
  [13869] = {.lex_state = 0},
  [13870] = {.lex_state = 35},
  [13871] = {.lex_state = 0},
  [13872] = {.lex_state = 35},
  [13873] = {.lex_state = 0},
  [13874] = {.lex_state = 0},
  [13875] = {.lex_state = 35},
  [13876] = {.lex_state = 0},
  [13877] = {.lex_state = 0},
  [13878] = {.lex_state = 35},
  [13879] = {.lex_state = 0},
  [13880] = {.lex_state = 0},
  [13881] = {.lex_state = 0},
  [13882] = {.lex_state = 0},
  [13883] = {.lex_state = 35},
  [13884] = {.lex_state = 0},
  [13885] = {.lex_state = 0},
  [13886] = {.lex_state = 35},
  [13887] = {.lex_state = 0},
  [13888] = {.lex_state = 35},
  [13889] = {.lex_state = 0},
  [13890] = {.lex_state = 0},
  [13891] = {.lex_state = 35},
  [13892] = {.lex_state = 0},
  [13893] = {.lex_state = 0},
  [13894] = {.lex_state = 0},
  [13895] = {.lex_state = 0},
  [13896] = {.lex_state = 0},
  [13897] = {.lex_state = 0},
  [13898] = {.lex_state = 0},
  [13899] = {.lex_state = 35},
  [13900] = {.lex_state = 0},
  [13901] = {.lex_state = 35},
  [13902] = {.lex_state = 35},
  [13903] = {.lex_state = 0},
  [13904] = {.lex_state = 0},
  [13905] = {.lex_state = 0},
  [13906] = {.lex_state = 35},
  [13907] = {.lex_state = 35},
  [13908] = {.lex_state = 35},
  [13909] = {.lex_state = 0},
  [13910] = {.lex_state = 35},
  [13911] = {.lex_state = 0},
  [13912] = {.lex_state = 0},
  [13913] = {.lex_state = 0},
  [13914] = {.lex_state = 0},
  [13915] = {.lex_state = 0},
  [13916] = {.lex_state = 0},
  [13917] = {.lex_state = 0},
  [13918] = {.lex_state = 35},
  [13919] = {.lex_state = 0},
  [13920] = {.lex_state = 0},
  [13921] = {.lex_state = 0},
  [13922] = {.lex_state = 35},
  [13923] = {.lex_state = 35},
  [13924] = {.lex_state = 35},
  [13925] = {.lex_state = 0},
  [13926] = {.lex_state = 35},
  [13927] = {.lex_state = 0},
  [13928] = {.lex_state = 0},
  [13929] = {.lex_state = 0},
  [13930] = {.lex_state = 0},
  [13931] = {.lex_state = 0},
  [13932] = {.lex_state = 0},
  [13933] = {.lex_state = 0},
  [13934] = {.lex_state = 0},
  [13935] = {.lex_state = 0},
  [13936] = {.lex_state = 0},
  [13937] = {.lex_state = 0},
  [13938] = {.lex_state = 0},
  [13939] = {.lex_state = 0},
  [13940] = {.lex_state = 0},
  [13941] = {.lex_state = 0},
  [13942] = {.lex_state = 0},
  [13943] = {.lex_state = 0},
  [13944] = {.lex_state = 0},
  [13945] = {.lex_state = 0},
  [13946] = {.lex_state = 0},
  [13947] = {.lex_state = 35},
  [13948] = {.lex_state = 0},
  [13949] = {.lex_state = 35},
  [13950] = {.lex_state = 0},
  [13951] = {.lex_state = 0},
  [13952] = {.lex_state = 35},
  [13953] = {.lex_state = 0},
  [13954] = {.lex_state = 0},
  [13955] = {.lex_state = 35},
  [13956] = {.lex_state = 0},
  [13957] = {.lex_state = 0},
  [13958] = {.lex_state = 0},
  [13959] = {.lex_state = 0},
  [13960] = {.lex_state = 0},
  [13961] = {.lex_state = 0},
  [13962] = {.lex_state = 0},
  [13963] = {.lex_state = 0},
  [13964] = {.lex_state = 0},
  [13965] = {.lex_state = 0},
  [13966] = {.lex_state = 0},
  [13967] = {.lex_state = 0},
  [13968] = {.lex_state = 0},
  [13969] = {.lex_state = 0},
  [13970] = {.lex_state = 0},
  [13971] = {.lex_state = 0},
  [13972] = {.lex_state = 35},
  [13973] = {.lex_state = 0},
  [13974] = {.lex_state = 0},
  [13975] = {.lex_state = 0},
  [13976] = {.lex_state = 0},
  [13977] = {.lex_state = 0},
  [13978] = {.lex_state = 0},
  [13979] = {.lex_state = 0},
  [13980] = {.lex_state = 35},
  [13981] = {.lex_state = 0},
  [13982] = {.lex_state = 35},
  [13983] = {.lex_state = 0},
  [13984] = {.lex_state = 35},
  [13985] = {.lex_state = 0},
  [13986] = {.lex_state = 35},
  [13987] = {.lex_state = 35},
  [13988] = {.lex_state = 0},
  [13989] = {.lex_state = 0},
  [13990] = {.lex_state = 35},
  [13991] = {.lex_state = 0},
  [13992] = {.lex_state = 35},
  [13993] = {.lex_state = 35},
  [13994] = {.lex_state = 0},
  [13995] = {.lex_state = 35},
  [13996] = {.lex_state = 0},
  [13997] = {.lex_state = 35},
  [13998] = {.lex_state = 0},
  [13999] = {.lex_state = 0},
  [14000] = {.lex_state = 0},
  [14001] = {.lex_state = 35},
  [14002] = {.lex_state = 0},
  [14003] = {.lex_state = 0},
  [14004] = {.lex_state = 0},
  [14005] = {.lex_state = 35},
  [14006] = {.lex_state = 35},
  [14007] = {.lex_state = 0},
  [14008] = {.lex_state = 35},
  [14009] = {.lex_state = 0},
  [14010] = {.lex_state = 35},
  [14011] = {.lex_state = 35},
  [14012] = {.lex_state = 35},
  [14013] = {.lex_state = 35},
  [14014] = {.lex_state = 35},
  [14015] = {.lex_state = 0},
  [14016] = {.lex_state = 0},
  [14017] = {.lex_state = 35},
  [14018] = {.lex_state = 0},
  [14019] = {.lex_state = 35},
  [14020] = {.lex_state = 0},
  [14021] = {.lex_state = 35},
  [14022] = {.lex_state = 35},
  [14023] = {.lex_state = 35},
  [14024] = {.lex_state = 35},
  [14025] = {.lex_state = 0},
  [14026] = {.lex_state = 35},
  [14027] = {.lex_state = 0},
  [14028] = {.lex_state = 0},
  [14029] = {.lex_state = 35},
  [14030] = {.lex_state = 0},
  [14031] = {.lex_state = 35},
  [14032] = {.lex_state = 0},
  [14033] = {.lex_state = 35},
  [14034] = {.lex_state = 0},
  [14035] = {.lex_state = 0},
  [14036] = {.lex_state = 35},
  [14037] = {.lex_state = 0},
  [14038] = {.lex_state = 35},
  [14039] = {.lex_state = 35},
  [14040] = {.lex_state = 35},
  [14041] = {.lex_state = 0},
  [14042] = {.lex_state = 0},
  [14043] = {.lex_state = 0},
  [14044] = {.lex_state = 0},
  [14045] = {.lex_state = 0},
  [14046] = {.lex_state = 0},
  [14047] = {.lex_state = 35},
  [14048] = {.lex_state = 35},
  [14049] = {.lex_state = 35},
  [14050] = {.lex_state = 35},
  [14051] = {.lex_state = 0},
  [14052] = {.lex_state = 35},
  [14053] = {.lex_state = 0},
  [14054] = {.lex_state = 0},
  [14055] = {.lex_state = 0},
  [14056] = {.lex_state = 0},
  [14057] = {.lex_state = 0},
  [14058] = {.lex_state = 35},
  [14059] = {.lex_state = 0},
  [14060] = {.lex_state = 0},
  [14061] = {.lex_state = 0},
  [14062] = {.lex_state = 0},
  [14063] = {.lex_state = 0},
  [14064] = {.lex_state = 35},
  [14065] = {.lex_state = 0},
  [14066] = {.lex_state = 0},
  [14067] = {.lex_state = 35},
  [14068] = {.lex_state = 0},
  [14069] = {.lex_state = 0},
  [14070] = {.lex_state = 0},
  [14071] = {.lex_state = 35},
  [14072] = {.lex_state = 0},
  [14073] = {.lex_state = 35},
  [14074] = {.lex_state = 0},
  [14075] = {.lex_state = 0},
  [14076] = {.lex_state = 0},
  [14077] = {.lex_state = 0},
  [14078] = {.lex_state = 0},
  [14079] = {.lex_state = 0},
  [14080] = {.lex_state = 0},
  [14081] = {.lex_state = 0},
  [14082] = {.lex_state = 0},
  [14083] = {.lex_state = 0},
  [14084] = {.lex_state = 0},
  [14085] = {.lex_state = 0},
  [14086] = {.lex_state = 0},
  [14087] = {.lex_state = 35},
  [14088] = {.lex_state = 0},
  [14089] = {.lex_state = 35},
  [14090] = {.lex_state = 35},
  [14091] = {.lex_state = 35},
  [14092] = {.lex_state = 0},
  [14093] = {.lex_state = 35},
  [14094] = {.lex_state = 35},
  [14095] = {.lex_state = 0},
  [14096] = {.lex_state = 35},
  [14097] = {.lex_state = 0},
  [14098] = {.lex_state = 0},
  [14099] = {.lex_state = 0},
  [14100] = {.lex_state = 0},
  [14101] = {.lex_state = 0},
  [14102] = {.lex_state = 35},
  [14103] = {.lex_state = 35},
  [14104] = {.lex_state = 35},
  [14105] = {.lex_state = 0},
  [14106] = {.lex_state = 0},
  [14107] = {.lex_state = 0},
  [14108] = {.lex_state = 0},
  [14109] = {.lex_state = 0},
  [14110] = {.lex_state = 0},
  [14111] = {.lex_state = 0},
  [14112] = {.lex_state = 0},
  [14113] = {.lex_state = 35},
  [14114] = {.lex_state = 35},
  [14115] = {.lex_state = 35},
  [14116] = {.lex_state = 0},
  [14117] = {.lex_state = 0},
  [14118] = {.lex_state = 0},
  [14119] = {.lex_state = 0, .external_lex_state = 2},
  [14120] = {.lex_state = 35},
  [14121] = {.lex_state = 35},
  [14122] = {.lex_state = 35},
  [14123] = {.lex_state = 35},
  [14124] = {.lex_state = 0},
  [14125] = {.lex_state = 0},
  [14126] = {.lex_state = 35},
  [14127] = {.lex_state = 0},
  [14128] = {.lex_state = 35},
  [14129] = {.lex_state = 35},
  [14130] = {.lex_state = 0},
  [14131] = {.lex_state = 0},
  [14132] = {.lex_state = 35},
  [14133] = {.lex_state = 35},
  [14134] = {.lex_state = 0},
  [14135] = {.lex_state = 0},
  [14136] = {.lex_state = 0},
  [14137] = {.lex_state = 0},
  [14138] = {.lex_state = 0},
  [14139] = {.lex_state = 0},
  [14140] = {.lex_state = 0},
  [14141] = {.lex_state = 0},
  [14142] = {.lex_state = 0},
  [14143] = {.lex_state = 0},
  [14144] = {.lex_state = 0},
  [14145] = {.lex_state = 0},
  [14146] = {.lex_state = 0},
  [14147] = {.lex_state = 0},
  [14148] = {.lex_state = 35},
  [14149] = {.lex_state = 0},
  [14150] = {.lex_state = 0},
  [14151] = {.lex_state = 35},
  [14152] = {.lex_state = 0},
  [14153] = {.lex_state = 0},
  [14154] = {.lex_state = 0},
  [14155] = {.lex_state = 35},
  [14156] = {.lex_state = 35},
  [14157] = {.lex_state = 0},
  [14158] = {.lex_state = 0},
  [14159] = {.lex_state = 0},
  [14160] = {.lex_state = 0},
  [14161] = {.lex_state = 35},
  [14162] = {.lex_state = 0},
  [14163] = {.lex_state = 35},
  [14164] = {.lex_state = 35},
  [14165] = {.lex_state = 0},
  [14166] = {.lex_state = 0},
  [14167] = {.lex_state = 35},
  [14168] = {.lex_state = 0},
  [14169] = {.lex_state = 35},
  [14170] = {.lex_state = 35},
  [14171] = {.lex_state = 0},
  [14172] = {.lex_state = 0},
  [14173] = {.lex_state = 0},
  [14174] = {.lex_state = 0},
  [14175] = {.lex_state = 0},
  [14176] = {.lex_state = 0},
  [14177] = {.lex_state = 0},
  [14178] = {.lex_state = 0},
  [14179] = {.lex_state = 0},
  [14180] = {.lex_state = 0},
  [14181] = {.lex_state = 35},
  [14182] = {.lex_state = 35},
  [14183] = {.lex_state = 0},
  [14184] = {.lex_state = 35},
  [14185] = {.lex_state = 0},
  [14186] = {.lex_state = 35},
  [14187] = {.lex_state = 35},
  [14188] = {.lex_state = 0},
  [14189] = {.lex_state = 0},
  [14190] = {.lex_state = 0},
  [14191] = {.lex_state = 0},
  [14192] = {.lex_state = 0},
  [14193] = {.lex_state = 0},
  [14194] = {.lex_state = 0},
  [14195] = {.lex_state = 0},
  [14196] = {.lex_state = 0},
  [14197] = {.lex_state = 35},
  [14198] = {.lex_state = 0},
  [14199] = {.lex_state = 0},
  [14200] = {.lex_state = 35},
  [14201] = {.lex_state = 0},
  [14202] = {.lex_state = 35},
  [14203] = {.lex_state = 35},
  [14204] = {.lex_state = 0},
  [14205] = {.lex_state = 0},
  [14206] = {.lex_state = 0},
  [14207] = {.lex_state = 0},
  [14208] = {.lex_state = 0},
  [14209] = {.lex_state = 0},
  [14210] = {.lex_state = 0},
  [14211] = {.lex_state = 0},
  [14212] = {.lex_state = 0},
  [14213] = {.lex_state = 35},
  [14214] = {.lex_state = 0},
  [14215] = {.lex_state = 0},
  [14216] = {.lex_state = 35},
  [14217] = {.lex_state = 0},
  [14218] = {.lex_state = 35},
  [14219] = {.lex_state = 35},
  [14220] = {.lex_state = 0},
  [14221] = {.lex_state = 0},
  [14222] = {.lex_state = 0},
  [14223] = {.lex_state = 0},
  [14224] = {.lex_state = 35},
  [14225] = {.lex_state = 35},
  [14226] = {.lex_state = 0},
  [14227] = {.lex_state = 35},
  [14228] = {.lex_state = 0},
  [14229] = {.lex_state = 35},
  [14230] = {.lex_state = 0},
  [14231] = {.lex_state = 0},
  [14232] = {.lex_state = 35},
  [14233] = {.lex_state = 0},
  [14234] = {.lex_state = 0},
  [14235] = {.lex_state = 0},
  [14236] = {.lex_state = 0},
  [14237] = {.lex_state = 0},
  [14238] = {.lex_state = 0},
  [14239] = {.lex_state = 0},
  [14240] = {.lex_state = 0},
  [14241] = {.lex_state = 0},
  [14242] = {.lex_state = 35},
  [14243] = {.lex_state = 0},
  [14244] = {.lex_state = 0},
  [14245] = {.lex_state = 35},
  [14246] = {.lex_state = 0},
  [14247] = {.lex_state = 0},
  [14248] = {.lex_state = 0},
  [14249] = {.lex_state = 0},
  [14250] = {.lex_state = 0},
  [14251] = {.lex_state = 0},
  [14252] = {.lex_state = 0},
  [14253] = {.lex_state = 0},
  [14254] = {.lex_state = 0},
  [14255] = {.lex_state = 0},
  [14256] = {.lex_state = 0},
  [14257] = {.lex_state = 0},
  [14258] = {.lex_state = 35},
  [14259] = {.lex_state = 35},
  [14260] = {.lex_state = 0},
  [14261] = {.lex_state = 0},
  [14262] = {.lex_state = 0},
  [14263] = {.lex_state = 0},
  [14264] = {.lex_state = 0},
  [14265] = {.lex_state = 0},
  [14266] = {.lex_state = 0},
  [14267] = {.lex_state = 0},
  [14268] = {.lex_state = 0},
  [14269] = {.lex_state = 0},
  [14270] = {.lex_state = 0},
  [14271] = {.lex_state = 0},
  [14272] = {.lex_state = 0},
  [14273] = {.lex_state = 0},
  [14274] = {.lex_state = 35},
  [14275] = {.lex_state = 35},
  [14276] = {.lex_state = 0},
  [14277] = {.lex_state = 0},
  [14278] = {.lex_state = 0},
  [14279] = {.lex_state = 0},
  [14280] = {.lex_state = 0},
  [14281] = {.lex_state = 0},
  [14282] = {.lex_state = 0},
  [14283] = {.lex_state = 0},
  [14284] = {.lex_state = 0},
  [14285] = {.lex_state = 0},
  [14286] = {.lex_state = 0},
  [14287] = {.lex_state = 0},
  [14288] = {.lex_state = 0},
  [14289] = {.lex_state = 0},
  [14290] = {.lex_state = 0},
  [14291] = {.lex_state = 0},
  [14292] = {.lex_state = 35},
  [14293] = {.lex_state = 0},
  [14294] = {.lex_state = 0},
  [14295] = {.lex_state = 0},
  [14296] = {.lex_state = 0},
  [14297] = {.lex_state = 0},
  [14298] = {.lex_state = 0},
  [14299] = {.lex_state = 0},
  [14300] = {.lex_state = 35},
  [14301] = {.lex_state = 0},
  [14302] = {.lex_state = 0},
  [14303] = {.lex_state = 0},
  [14304] = {.lex_state = 0},
  [14305] = {.lex_state = 0},
  [14306] = {.lex_state = 0},
  [14307] = {.lex_state = 0},
  [14308] = {.lex_state = 0, .external_lex_state = 2},
  [14309] = {.lex_state = 0},
  [14310] = {.lex_state = 0},
  [14311] = {.lex_state = 0},
  [14312] = {.lex_state = 0},
  [14313] = {.lex_state = 0},
  [14314] = {.lex_state = 0},
  [14315] = {.lex_state = 35},
  [14316] = {.lex_state = 0},
  [14317] = {.lex_state = 0},
  [14318] = {.lex_state = 0},
  [14319] = {.lex_state = 0},
  [14320] = {.lex_state = 0},
  [14321] = {.lex_state = 0},
  [14322] = {.lex_state = 0},
  [14323] = {.lex_state = 0},
  [14324] = {.lex_state = 0},
  [14325] = {.lex_state = 0},
  [14326] = {.lex_state = 0},
  [14327] = {.lex_state = 0},
  [14328] = {.lex_state = 0},
  [14329] = {.lex_state = 0},
  [14330] = {.lex_state = 0},
  [14331] = {.lex_state = 0},
  [14332] = {.lex_state = 0},
  [14333] = {.lex_state = 0},
  [14334] = {.lex_state = 0},
  [14335] = {.lex_state = 0},
  [14336] = {.lex_state = 0},
  [14337] = {.lex_state = 0},
  [14338] = {.lex_state = 0},
  [14339] = {.lex_state = 0},
  [14340] = {.lex_state = 0},
  [14341] = {.lex_state = 0},
  [14342] = {.lex_state = 0},
  [14343] = {.lex_state = 0},
  [14344] = {.lex_state = 0},
  [14345] = {.lex_state = 0},
  [14346] = {.lex_state = 0},
  [14347] = {.lex_state = 0},
  [14348] = {.lex_state = 0},
  [14349] = {.lex_state = 0},
  [14350] = {.lex_state = 35},
  [14351] = {.lex_state = 0},
  [14352] = {.lex_state = 35},
  [14353] = {.lex_state = 0},
  [14354] = {.lex_state = 0},
  [14355] = {.lex_state = 0},
  [14356] = {.lex_state = 35},
  [14357] = {.lex_state = 35},
  [14358] = {.lex_state = 0},
  [14359] = {.lex_state = 35},
  [14360] = {.lex_state = 0},
  [14361] = {.lex_state = 0},
  [14362] = {.lex_state = 35},
  [14363] = {.lex_state = 0},
  [14364] = {.lex_state = 35},
  [14365] = {.lex_state = 35},
  [14366] = {.lex_state = 0},
  [14367] = {.lex_state = 0},
  [14368] = {.lex_state = 0},
  [14369] = {.lex_state = 0, .external_lex_state = 2},
  [14370] = {.lex_state = 0},
  [14371] = {.lex_state = 35},
  [14372] = {.lex_state = 35},
  [14373] = {.lex_state = 35},
  [14374] = {.lex_state = 0},
  [14375] = {.lex_state = 0},
  [14376] = {.lex_state = 0},
  [14377] = {.lex_state = 35},
  [14378] = {.lex_state = 35},
  [14379] = {.lex_state = 0},
  [14380] = {.lex_state = 35},
  [14381] = {.lex_state = 0},
  [14382] = {.lex_state = 0},
  [14383] = {.lex_state = 0},
  [14384] = {.lex_state = 0},
  [14385] = {.lex_state = 35},
  [14386] = {.lex_state = 35},
  [14387] = {.lex_state = 35},
  [14388] = {.lex_state = 35},
  [14389] = {.lex_state = 0},
  [14390] = {.lex_state = 0},
  [14391] = {.lex_state = 0},
  [14392] = {.lex_state = 35},
  [14393] = {.lex_state = 35},
  [14394] = {.lex_state = 0},
  [14395] = {.lex_state = 0},
  [14396] = {.lex_state = 0},
  [14397] = {.lex_state = 0},
  [14398] = {.lex_state = 35},
  [14399] = {.lex_state = 0},
  [14400] = {.lex_state = 0},
  [14401] = {.lex_state = 35},
  [14402] = {.lex_state = 0},
  [14403] = {.lex_state = 0},
  [14404] = {.lex_state = 0},
  [14405] = {.lex_state = 0},
  [14406] = {.lex_state = 35},
  [14407] = {.lex_state = 35},
  [14408] = {.lex_state = 0},
  [14409] = {.lex_state = 0},
  [14410] = {.lex_state = 0},
  [14411] = {.lex_state = 0},
  [14412] = {.lex_state = 0},
  [14413] = {.lex_state = 0},
  [14414] = {.lex_state = 0},
  [14415] = {.lex_state = 0},
  [14416] = {.lex_state = 0},
  [14417] = {.lex_state = 0},
  [14418] = {.lex_state = 0},
  [14419] = {.lex_state = 0},
  [14420] = {.lex_state = 0},
  [14421] = {.lex_state = 0},
  [14422] = {.lex_state = 0},
  [14423] = {.lex_state = 35},
  [14424] = {.lex_state = 35},
  [14425] = {.lex_state = 0},
  [14426] = {.lex_state = 0},
  [14427] = {.lex_state = 0},
  [14428] = {.lex_state = 0},
  [14429] = {.lex_state = 0},
  [14430] = {.lex_state = 0},
  [14431] = {.lex_state = 0},
  [14432] = {.lex_state = 0},
  [14433] = {.lex_state = 0},
  [14434] = {.lex_state = 0},
  [14435] = {.lex_state = 0},
  [14436] = {.lex_state = 0},
  [14437] = {.lex_state = 0},
  [14438] = {.lex_state = 0},
  [14439] = {.lex_state = 0},
  [14440] = {.lex_state = 0},
  [14441] = {.lex_state = 0},
  [14442] = {.lex_state = 0},
  [14443] = {.lex_state = 0},
  [14444] = {.lex_state = 0},
  [14445] = {.lex_state = 0},
  [14446] = {.lex_state = 0},
  [14447] = {.lex_state = 0},
  [14448] = {.lex_state = 0},
  [14449] = {.lex_state = 0},
  [14450] = {.lex_state = 0},
  [14451] = {.lex_state = 0},
  [14452] = {.lex_state = 0},
  [14453] = {.lex_state = 0},
  [14454] = {.lex_state = 0},
  [14455] = {.lex_state = 0},
  [14456] = {.lex_state = 0},
  [14457] = {.lex_state = 0},
  [14458] = {.lex_state = 0},
  [14459] = {.lex_state = 35},
  [14460] = {.lex_state = 0},
  [14461] = {.lex_state = 0},
  [14462] = {.lex_state = 0},
  [14463] = {.lex_state = 0},
  [14464] = {.lex_state = 0},
  [14465] = {.lex_state = 0},
  [14466] = {.lex_state = 0},
  [14467] = {.lex_state = 0},
  [14468] = {.lex_state = 35},
  [14469] = {.lex_state = 0},
  [14470] = {.lex_state = 0},
  [14471] = {.lex_state = 0},
  [14472] = {.lex_state = 35},
  [14473] = {.lex_state = 0},
  [14474] = {.lex_state = 0},
  [14475] = {.lex_state = 0},
  [14476] = {.lex_state = 35},
  [14477] = {.lex_state = 0},
  [14478] = {.lex_state = 0},
  [14479] = {.lex_state = 0},
  [14480] = {.lex_state = 0},
  [14481] = {.lex_state = 0},
  [14482] = {.lex_state = 0},
  [14483] = {.lex_state = 35},
  [14484] = {.lex_state = 33},
  [14485] = {.lex_state = 0},
  [14486] = {.lex_state = 0},
  [14487] = {.lex_state = 0},
  [14488] = {.lex_state = 0},
  [14489] = {.lex_state = 0},
  [14490] = {.lex_state = 0},
  [14491] = {.lex_state = 0},
  [14492] = {.lex_state = 0},
  [14493] = {.lex_state = 0},
  [14494] = {.lex_state = 0},
  [14495] = {.lex_state = 0},
  [14496] = {.lex_state = 0},
  [14497] = {.lex_state = 0},
  [14498] = {.lex_state = 35},
  [14499] = {.lex_state = 0},
  [14500] = {.lex_state = 0},
  [14501] = {.lex_state = 0},
  [14502] = {.lex_state = 0},
  [14503] = {.lex_state = 0},
  [14504] = {.lex_state = 0},
  [14505] = {.lex_state = 0},
  [14506] = {.lex_state = 0},
  [14507] = {.lex_state = 0},
  [14508] = {.lex_state = 0},
  [14509] = {.lex_state = 0},
  [14510] = {.lex_state = 0},
  [14511] = {.lex_state = 35},
  [14512] = {.lex_state = 0},
  [14513] = {.lex_state = 0},
  [14514] = {.lex_state = 0},
  [14515] = {.lex_state = 0},
  [14516] = {.lex_state = 35},
  [14517] = {.lex_state = 0},
  [14518] = {.lex_state = 0},
  [14519] = {.lex_state = 0},
  [14520] = {.lex_state = 35},
  [14521] = {.lex_state = 0},
  [14522] = {.lex_state = 0},
  [14523] = {.lex_state = 35},
  [14524] = {.lex_state = 0},
  [14525] = {.lex_state = 0},
  [14526] = {.lex_state = 0},
  [14527] = {.lex_state = 0},
  [14528] = {.lex_state = 0},
  [14529] = {.lex_state = 0},
  [14530] = {.lex_state = 0},
  [14531] = {.lex_state = 0},
  [14532] = {.lex_state = 0},
  [14533] = {.lex_state = 0},
  [14534] = {.lex_state = 0},
  [14535] = {.lex_state = 0},
  [14536] = {.lex_state = 0},
  [14537] = {.lex_state = 0},
  [14538] = {.lex_state = 0},
  [14539] = {.lex_state = 0},
  [14540] = {.lex_state = 0},
  [14541] = {.lex_state = 0},
  [14542] = {.lex_state = 0},
  [14543] = {.lex_state = 0},
  [14544] = {.lex_state = 0},
  [14545] = {.lex_state = 0},
  [14546] = {.lex_state = 0},
  [14547] = {.lex_state = 0},
  [14548] = {.lex_state = 0},
  [14549] = {.lex_state = 35},
  [14550] = {.lex_state = 0},
  [14551] = {.lex_state = 35},
  [14552] = {.lex_state = 35},
  [14553] = {.lex_state = 0},
  [14554] = {.lex_state = 35},
  [14555] = {.lex_state = 0},
  [14556] = {.lex_state = 35},
  [14557] = {.lex_state = 35},
  [14558] = {.lex_state = 35},
  [14559] = {.lex_state = 0},
  [14560] = {.lex_state = 35},
  [14561] = {.lex_state = 0},
  [14562] = {.lex_state = 35},
  [14563] = {.lex_state = 35},
  [14564] = {.lex_state = 0},
  [14565] = {.lex_state = 0},
  [14566] = {.lex_state = 0},
  [14567] = {.lex_state = 0},
  [14568] = {.lex_state = 0},
  [14569] = {.lex_state = 0},
  [14570] = {.lex_state = 0},
  [14571] = {.lex_state = 0},
  [14572] = {.lex_state = 0},
  [14573] = {.lex_state = 35},
  [14574] = {.lex_state = 0},
  [14575] = {.lex_state = 0},
  [14576] = {.lex_state = 0},
  [14577] = {.lex_state = 0},
  [14578] = {.lex_state = 0},
  [14579] = {.lex_state = 35},
  [14580] = {.lex_state = 0},
  [14581] = {.lex_state = 0},
  [14582] = {.lex_state = 35},
  [14583] = {.lex_state = 0},
  [14584] = {.lex_state = 35},
  [14585] = {.lex_state = 0},
  [14586] = {.lex_state = 35},
  [14587] = {.lex_state = 0},
  [14588] = {.lex_state = 35},
  [14589] = {.lex_state = 0},
  [14590] = {.lex_state = 0},
  [14591] = {.lex_state = 0},
  [14592] = {.lex_state = 0},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym__identifier] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [sym_keyword_select] = ACTIONS(1),
    [sym_keyword_delete] = ACTIONS(1),
    [sym_keyword_insert] = ACTIONS(1),
    [sym_keyword_replace] = ACTIONS(1),
    [sym_keyword_update] = ACTIONS(1),
    [sym_keyword_truncate] = ACTIONS(1),
    [sym_keyword_merge] = ACTIONS(1),
    [sym_keyword_into] = ACTIONS(1),
    [sym_keyword_overwrite] = ACTIONS(1),
    [sym_keyword_values] = ACTIONS(1),
    [sym_keyword_value] = ACTIONS(1),
    [sym_keyword_matched] = ACTIONS(1),
    [sym_keyword_set] = ACTIONS(1),
    [sym_keyword_from] = ACTIONS(1),
    [sym_keyword_left] = ACTIONS(1),
    [sym_keyword_right] = ACTIONS(1),
    [sym_keyword_inner] = ACTIONS(1),
    [sym_keyword_full] = ACTIONS(1),
    [sym_keyword_outer] = ACTIONS(1),
    [sym_keyword_cross] = ACTIONS(1),
    [sym_keyword_join] = ACTIONS(1),
    [sym_keyword_lateral] = ACTIONS(1),
    [sym_keyword_natural] = ACTIONS(1),
    [sym_keyword_on] = ACTIONS(1),
    [sym_keyword_off] = ACTIONS(1),
    [sym_keyword_where] = ACTIONS(1),
    [sym_keyword_order] = ACTIONS(1),
    [sym_keyword_group] = ACTIONS(1),
    [sym_keyword_partition] = ACTIONS(1),
    [sym_keyword_by] = ACTIONS(1),
    [sym_keyword_having] = ACTIONS(1),
    [sym_keyword_desc] = ACTIONS(1),
    [sym_keyword_asc] = ACTIONS(1),
    [sym_keyword_limit] = ACTIONS(1),
    [sym_keyword_offset] = ACTIONS(1),
    [sym_keyword_primary] = ACTIONS(1),
    [sym_keyword_create] = ACTIONS(1),
    [sym_keyword_alter] = ACTIONS(1),
    [sym_keyword_change] = ACTIONS(1),
    [sym_keyword_analyze] = ACTIONS(1),
    [sym_keyword_explain] = ACTIONS(1),
    [sym_keyword_verbose] = ACTIONS(1),
    [sym_keyword_modify] = ACTIONS(1),
    [sym_keyword_drop] = ACTIONS(1),
    [sym_keyword_add] = ACTIONS(1),
    [sym_keyword_table] = ACTIONS(1),
    [sym_keyword_tables] = ACTIONS(1),
    [sym_keyword_view] = ACTIONS(1),
    [sym_keyword_column] = ACTIONS(1),
    [sym_keyword_columns] = ACTIONS(1),
    [sym_keyword_materialized] = ACTIONS(1),
    [sym_keyword_tablespace] = ACTIONS(1),
    [sym_keyword_sequence] = ACTIONS(1),
    [sym_keyword_increment] = ACTIONS(1),
    [sym_keyword_minvalue] = ACTIONS(1),
    [sym_keyword_maxvalue] = ACTIONS(1),
    [sym_keyword_none] = ACTIONS(1),
    [sym_keyword_owned] = ACTIONS(1),
    [sym_keyword_start] = ACTIONS(1),
    [sym_keyword_restart] = ACTIONS(1),
    [sym_keyword_key] = ACTIONS(1),
    [sym_keyword_as] = ACTIONS(1),
    [sym_keyword_distinct] = ACTIONS(1),
    [sym_keyword_constraint] = ACTIONS(1),
    [sym_keyword_filter] = ACTIONS(1),
    [sym_keyword_cast] = ACTIONS(1),
    [sym_keyword_separator] = ACTIONS(1),
    [sym_keyword_max] = ACTIONS(1),
    [sym_keyword_min] = ACTIONS(1),
    [sym_keyword_avg] = ACTIONS(1),
    [sym_keyword_case] = ACTIONS(1),
    [sym_keyword_when] = ACTIONS(1),
    [sym_keyword_then] = ACTIONS(1),
    [sym_keyword_else] = ACTIONS(1),
    [sym_keyword_end] = ACTIONS(1),
    [sym_keyword_in] = ACTIONS(1),
    [sym_keyword_and] = ACTIONS(1),
    [sym_keyword_or] = ACTIONS(1),
    [sym_keyword_is] = ACTIONS(1),
    [sym_keyword_not] = ACTIONS(1),
    [sym_keyword_force] = ACTIONS(1),
    [sym_keyword_ignore] = ACTIONS(1),
    [sym_keyword_using] = ACTIONS(1),
    [sym_keyword_use] = ACTIONS(1),
    [sym_keyword_index] = ACTIONS(1),
    [sym_keyword_for] = ACTIONS(1),
    [sym_keyword_if] = ACTIONS(1),
    [sym_keyword_exists] = ACTIONS(1),
    [sym_keyword_auto_increment] = ACTIONS(1),
    [sym_keyword_generated] = ACTIONS(1),
    [sym_keyword_always] = ACTIONS(1),
    [sym_keyword_collate] = ACTIONS(1),
    [aux_sym_keyword_character_token1] = ACTIONS(1),
    [sym_keyword_engine] = ACTIONS(1),
    [sym_keyword_default] = ACTIONS(1),
    [sym_keyword_cascade] = ACTIONS(1),
    [sym_keyword_restrict] = ACTIONS(1),
    [sym_keyword_with] = ACTIONS(1),
    [sym_keyword_without] = ACTIONS(1),
    [sym_keyword_no] = ACTIONS(1),
    [sym_keyword_data] = ACTIONS(1),
    [sym_keyword_type] = ACTIONS(1),
    [sym_keyword_rename] = ACTIONS(1),
    [sym_keyword_to] = ACTIONS(1),
    [sym_keyword_database] = ACTIONS(1),
    [sym_keyword_schema] = ACTIONS(1),
    [sym_keyword_owner] = ACTIONS(1),
    [sym_keyword_user] = ACTIONS(1),
    [sym_keyword_admin] = ACTIONS(1),
    [sym_keyword_password] = ACTIONS(1),
    [sym_keyword_encrypted] = ACTIONS(1),
    [sym_keyword_valid] = ACTIONS(1),
    [sym_keyword_until] = ACTIONS(1),
    [sym_keyword_connection] = ACTIONS(1),
    [sym_keyword_role] = ACTIONS(1),
    [sym_keyword_reset] = ACTIONS(1),
    [sym_keyword_temp] = ACTIONS(1),
    [sym_keyword_temporary] = ACTIONS(1),
    [sym_keyword_unlogged] = ACTIONS(1),
    [sym_keyword_logged] = ACTIONS(1),
    [sym_keyword_cycle] = ACTIONS(1),
    [sym_keyword_union] = ACTIONS(1),
    [sym_keyword_all] = ACTIONS(1),
    [sym_keyword_any] = ACTIONS(1),
    [sym_keyword_some] = ACTIONS(1),
    [sym_keyword_except] = ACTIONS(1),
    [sym_keyword_intersect] = ACTIONS(1),
    [sym_keyword_returning] = ACTIONS(1),
    [sym_keyword_begin] = ACTIONS(1),
    [sym_keyword_commit] = ACTIONS(1),
    [sym_keyword_rollback] = ACTIONS(1),
    [sym_keyword_transaction] = ACTIONS(1),
    [sym_keyword_over] = ACTIONS(1),
    [sym_keyword_nulls] = ACTIONS(1),
    [sym_keyword_first] = ACTIONS(1),
    [sym_keyword_after] = ACTIONS(1),
    [sym_keyword_before] = ACTIONS(1),
    [sym_keyword_last] = ACTIONS(1),
    [sym_keyword_window] = ACTIONS(1),
    [sym_keyword_range] = ACTIONS(1),
    [sym_keyword_rows] = ACTIONS(1),
    [sym_keyword_groups] = ACTIONS(1),
    [sym_keyword_between] = ACTIONS(1),
    [sym_keyword_unbounded] = ACTIONS(1),
    [sym_keyword_preceding] = ACTIONS(1),
    [sym_keyword_following] = ACTIONS(1),
    [sym_keyword_exclude] = ACTIONS(1),
    [sym_keyword_current] = ACTIONS(1),
    [sym_keyword_row] = ACTIONS(1),
    [sym_keyword_ties] = ACTIONS(1),
    [sym_keyword_others] = ACTIONS(1),
    [sym_keyword_only] = ACTIONS(1),
    [sym_keyword_unique] = ACTIONS(1),
    [sym_keyword_foreign] = ACTIONS(1),
    [sym_keyword_references] = ACTIONS(1),
    [sym_keyword_concurrently] = ACTIONS(1),
    [sym_keyword_btree] = ACTIONS(1),
    [sym_keyword_hash] = ACTIONS(1),
    [sym_keyword_gist] = ACTIONS(1),
    [sym_keyword_spgist] = ACTIONS(1),
    [sym_keyword_gin] = ACTIONS(1),
    [sym_keyword_brin] = ACTIONS(1),
    [aux_sym_keyword_like_token1] = ACTIONS(1),
    [aux_sym_keyword_like_token2] = ACTIONS(1),
    [sym_keyword_similar] = ACTIONS(1),
    [sym_keyword_preserve] = ACTIONS(1),
    [sym_keyword_unsigned] = ACTIONS(1),
    [sym_keyword_zerofill] = ACTIONS(1),
    [sym_keyword_conflict] = ACTIONS(1),
    [sym_keyword_do] = ACTIONS(1),
    [sym_keyword_nothing] = ACTIONS(1),
    [sym_keyword_high_priority] = ACTIONS(1),
    [sym_keyword_low_priority] = ACTIONS(1),
    [sym_keyword_delayed] = ACTIONS(1),
    [sym_keyword_recursive] = ACTIONS(1),
    [sym_keyword_cascaded] = ACTIONS(1),
    [sym_keyword_local] = ACTIONS(1),
    [sym_keyword_current_timestamp] = ACTIONS(1),
    [sym_keyword_check] = ACTIONS(1),
    [sym_keyword_option] = ACTIONS(1),
    [sym_keyword_vacuum] = ACTIONS(1),
    [sym_keyword_wait] = ACTIONS(1),
    [sym_keyword_nowait] = ACTIONS(1),
    [sym_keyword_attribute] = ACTIONS(1),
    [sym_keyword_authorization] = ACTIONS(1),
    [sym_keyword_action] = ACTIONS(1),
    [sym_keyword_extension] = ACTIONS(1),
    [sym_keyword_copy] = ACTIONS(1),
    [sym_keyword_stdin] = ACTIONS(1),
    [sym_keyword_freeze] = ACTIONS(1),
    [sym_keyword_escape] = ACTIONS(1),
    [sym_keyword_encoding] = ACTIONS(1),
    [sym_keyword_force_quote] = ACTIONS(1),
    [sym_keyword_quote] = ACTIONS(1),
    [sym_keyword_force_null] = ACTIONS(1),
    [sym_keyword_force_not_null] = ACTIONS(1),
    [sym_keyword_header] = ACTIONS(1),
    [sym_keyword_match] = ACTIONS(1),
    [sym_keyword_program] = ACTIONS(1),
    [sym_keyword_plain] = ACTIONS(1),
    [sym_keyword_extended] = ACTIONS(1),
    [sym_keyword_main] = ACTIONS(1),
    [sym_keyword_storage] = ACTIONS(1),
    [sym_keyword_compression] = ACTIONS(1),
    [sym_keyword_trigger] = ACTIONS(1),
    [sym_keyword_function] = ACTIONS(1),
    [sym_keyword_returns] = ACTIONS(1),
    [sym_keyword_return] = ACTIONS(1),
    [sym_keyword_setof] = ACTIONS(1),
    [sym_keyword_atomic] = ACTIONS(1),
    [sym_keyword_declare] = ACTIONS(1),
    [sym_keyword_language] = ACTIONS(1),
    [sym_keyword_sql] = ACTIONS(1),
    [sym_keyword_plpgsql] = ACTIONS(1),
    [sym_keyword_immutable] = ACTIONS(1),
    [sym_keyword_stable] = ACTIONS(1),
    [sym_keyword_volatile] = ACTIONS(1),
    [sym_keyword_leakproof] = ACTIONS(1),
    [sym_keyword_parallel] = ACTIONS(1),
    [sym_keyword_safe] = ACTIONS(1),
    [sym_keyword_unsafe] = ACTIONS(1),
    [sym_keyword_restricted] = ACTIONS(1),
    [sym_keyword_called] = ACTIONS(1),
    [sym_keyword_input] = ACTIONS(1),
    [sym_keyword_strict] = ACTIONS(1),
    [sym_keyword_cost] = ACTIONS(1),
    [sym_keyword_support] = ACTIONS(1),
    [sym_keyword_definer] = ACTIONS(1),
    [sym_keyword_invoker] = ACTIONS(1),
    [sym_keyword_security] = ACTIONS(1),
    [sym_keyword_version] = ACTIONS(1),
    [sym_keyword_out] = ACTIONS(1),
    [sym_keyword_inout] = ACTIONS(1),
    [sym_keyword_variadic] = ACTIONS(1),
    [sym_keyword_session] = ACTIONS(1),
    [sym_keyword_isolation] = ACTIONS(1),
    [sym_keyword_level] = ACTIONS(1),
    [sym_keyword_serializable] = ACTIONS(1),
    [sym_keyword_repeatable] = ACTIONS(1),
    [sym_keyword_read] = ACTIONS(1),
    [sym_keyword_write] = ACTIONS(1),
    [sym_keyword_committed] = ACTIONS(1),
    [sym_keyword_uncommitted] = ACTIONS(1),
    [sym_keyword_deferrable] = ACTIONS(1),
    [sym_keyword_names] = ACTIONS(1),
    [sym_keyword_zone] = ACTIONS(1),
    [sym_keyword_immediate] = ACTIONS(1),
    [sym_keyword_deferred] = ACTIONS(1),
    [sym_keyword_constraints] = ACTIONS(1),
    [sym_keyword_snapshot] = ACTIONS(1),
    [sym_keyword_characteristics] = ACTIONS(1),
    [sym_keyword_follows] = ACTIONS(1),
    [sym_keyword_precedes] = ACTIONS(1),
    [sym_keyword_each] = ACTIONS(1),
    [sym_keyword_instead] = ACTIONS(1),
    [sym_keyword_of] = ACTIONS(1),
    [sym_keyword_initially] = ACTIONS(1),
    [sym_keyword_old] = ACTIONS(1),
    [sym_keyword_new] = ACTIONS(1),
    [sym_keyword_referencing] = ACTIONS(1),
    [sym_keyword_statement] = ACTIONS(1),
    [sym_keyword_execute] = ACTIONS(1),
    [sym_keyword_procedure] = ACTIONS(1),
    [sym_keyword_external] = ACTIONS(1),
    [sym_keyword_stored] = ACTIONS(1),
    [sym_keyword_virtual] = ACTIONS(1),
    [sym_keyword_cached] = ACTIONS(1),
    [sym_keyword_uncached] = ACTIONS(1),
    [sym_keyword_replication] = ACTIONS(1),
    [sym_keyword_tblproperties] = ACTIONS(1),
    [sym_keyword_options] = ACTIONS(1),
    [sym_keyword_compute] = ACTIONS(1),
    [sym_keyword_stats] = ACTIONS(1),
    [sym_keyword_statistics] = ACTIONS(1),
    [sym_keyword_optimize] = ACTIONS(1),
    [sym_keyword_rewrite] = ACTIONS(1),
    [sym_keyword_bin_pack] = ACTIONS(1),
    [sym_keyword_incremental] = ACTIONS(1),
    [sym_keyword_location] = ACTIONS(1),
    [sym_keyword_partitioned] = ACTIONS(1),
    [sym_keyword_comment] = ACTIONS(1),
    [sym_keyword_sort] = ACTIONS(1),
    [sym_keyword_format] = ACTIONS(1),
    [sym_keyword_delimited] = ACTIONS(1),
    [sym_keyword_delimiter] = ACTIONS(1),
    [sym_keyword_fields] = ACTIONS(1),
    [sym_keyword_terminated] = ACTIONS(1),
    [sym_keyword_escaped] = ACTIONS(1),
    [sym_keyword_lines] = ACTIONS(1),
    [sym_keyword_cache] = ACTIONS(1),
    [sym_keyword_metadata] = ACTIONS(1),
    [sym_keyword_noscan] = ACTIONS(1),
    [sym_keyword_parquet] = ACTIONS(1),
    [sym_keyword_rcfile] = ACTIONS(1),
    [sym_keyword_csv] = ACTIONS(1),
    [sym_keyword_textfile] = ACTIONS(1),
    [sym_keyword_avro] = ACTIONS(1),
    [sym_keyword_sequencefile] = ACTIONS(1),
    [sym_keyword_orc] = ACTIONS(1),
    [sym_keyword_jsonfile] = ACTIONS(1),
    [sym_keyword_null] = ACTIONS(1),
    [sym_keyword_true] = ACTIONS(1),
    [sym_keyword_false] = ACTIONS(1),
    [sym_keyword_boolean] = ACTIONS(1),
    [sym_keyword_bit] = ACTIONS(1),
    [sym_keyword_binary] = ACTIONS(1),
    [sym_keyword_varbinary] = ACTIONS(1),
    [sym_keyword_image] = ACTIONS(1),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1),
    [aux_sym_keyword_serial_token1] = ACTIONS(1),
    [aux_sym_keyword_serial_token2] = ACTIONS(1),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1),
    [aux_sym_keyword_int_token1] = ACTIONS(1),
    [aux_sym_keyword_int_token2] = ACTIONS(1),
    [aux_sym_keyword_int_token3] = ACTIONS(1),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1),
    [sym_keyword_decimal] = ACTIONS(1),
    [sym_keyword_numeric] = ACTIONS(1),
    [aux_sym_keyword_real_token1] = ACTIONS(1),
    [aux_sym_keyword_real_token2] = ACTIONS(1),
    [sym_keyword_float] = ACTIONS(1),
    [sym_keyword_double] = ACTIONS(1),
    [sym_keyword_precision] = ACTIONS(1),
    [sym_keyword_inet] = ACTIONS(1),
    [sym_keyword_money] = ACTIONS(1),
    [sym_keyword_smallmoney] = ACTIONS(1),
    [sym_keyword_varying] = ACTIONS(1),
    [aux_sym_keyword_char_token1] = ACTIONS(1),
    [sym_keyword_nchar] = ACTIONS(1),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1),
    [sym_keyword_nvarchar] = ACTIONS(1),
    [sym_keyword_text] = ACTIONS(1),
    [sym_keyword_string] = ACTIONS(1),
    [sym_keyword_uuid] = ACTIONS(1),
    [sym_keyword_json] = ACTIONS(1),
    [sym_keyword_jsonb] = ACTIONS(1),
    [sym_keyword_xml] = ACTIONS(1),
    [sym_keyword_bytea] = ACTIONS(1),
    [sym_keyword_enum] = ACTIONS(1),
    [sym_keyword_date] = ACTIONS(1),
    [sym_keyword_datetime] = ACTIONS(1),
    [sym_keyword_datetime2] = ACTIONS(1),
    [sym_keyword_smalldatetime] = ACTIONS(1),
    [sym_keyword_datetimeoffset] = ACTIONS(1),
    [sym_keyword_time] = ACTIONS(1),
    [sym_keyword_timestamp] = ACTIONS(1),
    [sym_keyword_timestamptz] = ACTIONS(1),
    [sym_keyword_interval] = ACTIONS(1),
    [sym_keyword_geometry] = ACTIONS(1),
    [sym_keyword_geography] = ACTIONS(1),
    [sym_keyword_box2d] = ACTIONS(1),
    [sym_keyword_box3d] = ACTIONS(1),
    [sym_keyword_oid] = ACTIONS(1),
    [sym_keyword_oids] = ACTIONS(1),
    [sym_keyword_name] = ACTIONS(1),
    [sym_keyword_regclass] = ACTIONS(1),
    [sym_keyword_regnamespace] = ACTIONS(1),
    [sym_keyword_regproc] = ACTIONS(1),
    [sym_keyword_regtype] = ACTIONS(1),
    [sym_keyword_array] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [aux_sym_double_token1] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_COLON_EQ] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [sym_parameter] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_LT_GT] = ACTIONS(1),
    [sym_op_unary_other] = ACTIONS(1),
    [sym__double_quote_string] = ACTIONS(1),
    [aux_sym__single_quote_string_token1] = ACTIONS(1),
    [aux_sym__single_quote_string_token2] = ACTIONS(1),
    [sym__natural_number] = ACTIONS(1),
    [aux_sym__bit_string_token1] = ACTIONS(1),
    [sym_bang] = ACTIONS(1),
    [aux_sym_identifier_token1] = ACTIONS(1),
    [sym__dollar_quoted_string_start_tag] = ACTIONS(1),
    [sym__dollar_quoted_string_end_tag] = ACTIONS(1),
    [sym__dollar_quoted_string] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(14456),
    [sym_transaction] = STATE(14454),
    [sym_block] = STATE(14454),
    [sym_statement] = STATE(11347),
    [sym__ddl_statement] = STATE(10649),
    [sym__cte] = STATE(6881),
    [sym__dml_write] = STATE(10651),
    [sym__dml_read] = STATE(10654),
    [sym_set_operation] = STATE(8014),
    [sym__select_statement] = STATE(7540),
    [sym_comment_statement] = STATE(10649),
    [sym_select] = STATE(7475),
    [sym__truncate_statement] = STATE(10658),
    [sym__delete_statement] = STATE(10658),
    [sym_delete] = STATE(11355),
    [sym__create_statement] = STATE(10649),
    [sym_create_table] = STATE(10649),
    [sym_reset_statement] = STATE(10649),
    [sym_set_statement] = STATE(10649),
    [sym_create_view] = STATE(10649),
    [sym_create_materialized_view] = STATE(10649),
    [sym_create_function] = STATE(10649),
    [sym_create_index] = STATE(10649),
    [sym_create_schema] = STATE(6953),
    [sym_create_database] = STATE(10649),
    [sym_create_role] = STATE(10649),
    [sym_create_sequence] = STATE(10649),
    [sym_create_extension] = STATE(10649),
    [sym_create_trigger] = STATE(10649),
    [sym_create_type] = STATE(10649),
    [sym__alter_statement] = STATE(10649),
    [sym__rename_statement] = STATE(10664),
    [sym_alter_table] = STATE(10649),
    [sym_alter_view] = STATE(10649),
    [sym_alter_schema] = STATE(10649),
    [sym_alter_database] = STATE(10649),
    [sym_alter_role] = STATE(10649),
    [sym_alter_index] = STATE(10649),
    [sym_alter_sequence] = STATE(10649),
    [sym_alter_type] = STATE(10649),
    [sym__drop_statement] = STATE(10649),
    [sym_drop_table] = STATE(10649),
    [sym_drop_view] = STATE(10649),
    [sym_drop_schema] = STATE(10649),
    [sym_drop_database] = STATE(10649),
    [sym_drop_role] = STATE(10649),
    [sym_drop_type] = STATE(10649),
    [sym_drop_sequence] = STATE(10649),
    [sym_drop_index] = STATE(10649),
    [sym_drop_extension] = STATE(10649),
    [sym__copy_statement] = STATE(10658),
    [sym__insert_statement] = STATE(10658),
    [sym_insert] = STATE(9896),
    [sym__update_statement] = STATE(10658),
    [sym__merge_statement] = STATE(10675),
    [sym__optimize_statement] = STATE(10649),
    [sym__compute_stats] = STATE(10649),
    [sym__optimize_table] = STATE(10649),
    [sym__vacuum_table] = STATE(10649),
    [sym_update] = STATE(9854),
    [aux_sym_program_repeat1] = STATE(95),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_set] = ACTIONS(19),
    [sym_keyword_create] = ACTIONS(21),
    [sym_keyword_alter] = ACTIONS(23),
    [sym_keyword_analyze] = ACTIONS(25),
    [sym_keyword_explain] = ACTIONS(27),
    [sym_keyword_drop] = ACTIONS(29),
    [sym_keyword_with] = ACTIONS(31),
    [sym_keyword_rename] = ACTIONS(33),
    [sym_keyword_reset] = ACTIONS(35),
    [sym_keyword_begin] = ACTIONS(37),
    [sym_keyword_vacuum] = ACTIONS(39),
    [sym_keyword_copy] = ACTIONS(41),
    [sym_keyword_compute] = ACTIONS(43),
    [sym_keyword_optimize] = ACTIONS(45),
    [sym_keyword_comment] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [2] = {
    [sym_keyword_smallserial] = STATE(7120),
    [sym_keyword_serial] = STATE(7120),
    [sym_keyword_bigserial] = STATE(7120),
    [sym_keyword_tinyint] = STATE(1707),
    [sym_keyword_smallint] = STATE(1711),
    [sym_keyword_mediumint] = STATE(1712),
    [sym_keyword_int] = STATE(1714),
    [sym_keyword_bigint] = STATE(1717),
    [sym_keyword_real] = STATE(1744),
    [sym_keyword_char] = STATE(2284),
    [sym_keyword_varchar] = STATE(2290),
    [sym__type] = STATE(9826),
    [sym_tinyint] = STATE(7120),
    [sym_smallint] = STATE(7120),
    [sym_mediumint] = STATE(7120),
    [sym_int] = STATE(7120),
    [sym_bigint] = STATE(7120),
    [sym_bit] = STATE(7120),
    [sym_binary] = STATE(7120),
    [sym_varbinary] = STATE(7120),
    [sym_float] = STATE(7120),
    [sym_double] = STATE(7120),
    [sym_decimal] = STATE(7120),
    [sym_numeric] = STATE(7120),
    [sym_char] = STATE(7120),
    [sym_varchar] = STATE(7120),
    [sym_nchar] = STATE(7120),
    [sym_nvarchar] = STATE(7120),
    [sym_datetimeoffset] = STATE(7120),
    [sym_time] = STATE(7120),
    [sym_timestamp] = STATE(7120),
    [sym_enum] = STATE(7120),
    [sym_object_reference] = STATE(7127),
    [sym_identifier] = STATE(6414),
    [sym__identifier] = ACTIONS(51),
    [aux_sym_keyword_character_token1] = ACTIONS(53),
    [sym_keyword_default] = ACTIONS(55),
    [sym_keyword_unsigned] = ACTIONS(57),
    [sym_keyword_boolean] = ACTIONS(59),
    [sym_keyword_bit] = ACTIONS(61),
    [sym_keyword_binary] = ACTIONS(63),
    [sym_keyword_varbinary] = ACTIONS(65),
    [sym_keyword_image] = ACTIONS(59),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(67),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(67),
    [aux_sym_keyword_serial_token1] = ACTIONS(69),
    [aux_sym_keyword_serial_token2] = ACTIONS(69),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(71),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(71),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(73),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(73),
    [aux_sym_keyword_smallint_token1] = ACTIONS(75),
    [aux_sym_keyword_smallint_token2] = ACTIONS(75),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(77),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(77),
    [aux_sym_keyword_int_token1] = ACTIONS(79),
    [aux_sym_keyword_int_token2] = ACTIONS(79),
    [aux_sym_keyword_int_token3] = ACTIONS(79),
    [aux_sym_keyword_bigint_token1] = ACTIONS(81),
    [aux_sym_keyword_bigint_token2] = ACTIONS(81),
    [sym_keyword_decimal] = ACTIONS(83),
    [sym_keyword_numeric] = ACTIONS(85),
    [aux_sym_keyword_real_token1] = ACTIONS(87),
    [aux_sym_keyword_real_token2] = ACTIONS(87),
    [sym_keyword_float] = ACTIONS(89),
    [sym_keyword_double] = ACTIONS(91),
    [sym_keyword_inet] = ACTIONS(59),
    [sym_keyword_money] = ACTIONS(59),
    [sym_keyword_smallmoney] = ACTIONS(59),
    [aux_sym_keyword_char_token1] = ACTIONS(93),
    [sym_keyword_nchar] = ACTIONS(95),
    [aux_sym_keyword_varchar_token1] = ACTIONS(97),
    [sym_keyword_nvarchar] = ACTIONS(99),
    [sym_keyword_text] = ACTIONS(59),
    [sym_keyword_string] = ACTIONS(59),
    [sym_keyword_uuid] = ACTIONS(59),
    [sym_keyword_json] = ACTIONS(59),
    [sym_keyword_jsonb] = ACTIONS(59),
    [sym_keyword_xml] = ACTIONS(59),
    [sym_keyword_bytea] = ACTIONS(59),
    [sym_keyword_enum] = ACTIONS(101),
    [sym_keyword_date] = ACTIONS(59),
    [sym_keyword_datetime] = ACTIONS(59),
    [sym_keyword_datetime2] = ACTIONS(59),
    [sym_keyword_smalldatetime] = ACTIONS(59),
    [sym_keyword_datetimeoffset] = ACTIONS(103),
    [sym_keyword_time] = ACTIONS(105),
    [sym_keyword_timestamp] = ACTIONS(107),
    [sym_keyword_timestamptz] = ACTIONS(59),
    [sym_keyword_interval] = ACTIONS(59),
    [sym_keyword_geometry] = ACTIONS(59),
    [sym_keyword_geography] = ACTIONS(59),
    [sym_keyword_box2d] = ACTIONS(59),
    [sym_keyword_box3d] = ACTIONS(59),
    [sym_keyword_oid] = ACTIONS(59),
    [sym_keyword_name] = ACTIONS(59),
    [sym_keyword_regclass] = ACTIONS(59),
    [sym_keyword_regnamespace] = ACTIONS(59),
    [sym_keyword_regproc] = ACTIONS(59),
    [sym_keyword_regtype] = ACTIONS(59),
    [sym_keyword_array] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RPAREN] = ACTIONS(109),
    [anon_sym_COMMA] = ACTIONS(109),
    [aux_sym_double_token1] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(113),
    [sym__double_quote_string] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
  },
  [3] = {
    [sym_keyword_smallserial] = STATE(7120),
    [sym_keyword_serial] = STATE(7120),
    [sym_keyword_bigserial] = STATE(7120),
    [sym_keyword_tinyint] = STATE(1707),
    [sym_keyword_smallint] = STATE(1711),
    [sym_keyword_mediumint] = STATE(1712),
    [sym_keyword_int] = STATE(1714),
    [sym_keyword_bigint] = STATE(1717),
    [sym_keyword_real] = STATE(1744),
    [sym_keyword_char] = STATE(2284),
    [sym_keyword_varchar] = STATE(2290),
    [sym__type] = STATE(9872),
    [sym_tinyint] = STATE(7120),
    [sym_smallint] = STATE(7120),
    [sym_mediumint] = STATE(7120),
    [sym_int] = STATE(7120),
    [sym_bigint] = STATE(7120),
    [sym_bit] = STATE(7120),
    [sym_binary] = STATE(7120),
    [sym_varbinary] = STATE(7120),
    [sym_float] = STATE(7120),
    [sym_double] = STATE(7120),
    [sym_decimal] = STATE(7120),
    [sym_numeric] = STATE(7120),
    [sym_char] = STATE(7120),
    [sym_varchar] = STATE(7120),
    [sym_nchar] = STATE(7120),
    [sym_nvarchar] = STATE(7120),
    [sym_datetimeoffset] = STATE(7120),
    [sym_time] = STATE(7120),
    [sym_timestamp] = STATE(7120),
    [sym_enum] = STATE(7120),
    [sym_object_reference] = STATE(7127),
    [sym_identifier] = STATE(6414),
    [sym__identifier] = ACTIONS(51),
    [aux_sym_keyword_character_token1] = ACTIONS(53),
    [sym_keyword_default] = ACTIONS(55),
    [sym_keyword_unsigned] = ACTIONS(57),
    [sym_keyword_boolean] = ACTIONS(59),
    [sym_keyword_bit] = ACTIONS(61),
    [sym_keyword_binary] = ACTIONS(63),
    [sym_keyword_varbinary] = ACTIONS(65),
    [sym_keyword_image] = ACTIONS(59),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(67),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(67),
    [aux_sym_keyword_serial_token1] = ACTIONS(69),
    [aux_sym_keyword_serial_token2] = ACTIONS(69),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(71),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(71),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(73),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(73),
    [aux_sym_keyword_smallint_token1] = ACTIONS(75),
    [aux_sym_keyword_smallint_token2] = ACTIONS(75),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(77),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(77),
    [aux_sym_keyword_int_token1] = ACTIONS(79),
    [aux_sym_keyword_int_token2] = ACTIONS(79),
    [aux_sym_keyword_int_token3] = ACTIONS(79),
    [aux_sym_keyword_bigint_token1] = ACTIONS(81),
    [aux_sym_keyword_bigint_token2] = ACTIONS(81),
    [sym_keyword_decimal] = ACTIONS(83),
    [sym_keyword_numeric] = ACTIONS(85),
    [aux_sym_keyword_real_token1] = ACTIONS(87),
    [aux_sym_keyword_real_token2] = ACTIONS(87),
    [sym_keyword_float] = ACTIONS(89),
    [sym_keyword_double] = ACTIONS(91),
    [sym_keyword_inet] = ACTIONS(59),
    [sym_keyword_money] = ACTIONS(59),
    [sym_keyword_smallmoney] = ACTIONS(59),
    [aux_sym_keyword_char_token1] = ACTIONS(93),
    [sym_keyword_nchar] = ACTIONS(95),
    [aux_sym_keyword_varchar_token1] = ACTIONS(97),
    [sym_keyword_nvarchar] = ACTIONS(99),
    [sym_keyword_text] = ACTIONS(59),
    [sym_keyword_string] = ACTIONS(59),
    [sym_keyword_uuid] = ACTIONS(59),
    [sym_keyword_json] = ACTIONS(59),
    [sym_keyword_jsonb] = ACTIONS(59),
    [sym_keyword_xml] = ACTIONS(59),
    [sym_keyword_bytea] = ACTIONS(59),
    [sym_keyword_enum] = ACTIONS(101),
    [sym_keyword_date] = ACTIONS(59),
    [sym_keyword_datetime] = ACTIONS(59),
    [sym_keyword_datetime2] = ACTIONS(59),
    [sym_keyword_smalldatetime] = ACTIONS(59),
    [sym_keyword_datetimeoffset] = ACTIONS(103),
    [sym_keyword_time] = ACTIONS(105),
    [sym_keyword_timestamp] = ACTIONS(107),
    [sym_keyword_timestamptz] = ACTIONS(59),
    [sym_keyword_interval] = ACTIONS(59),
    [sym_keyword_geometry] = ACTIONS(59),
    [sym_keyword_geography] = ACTIONS(59),
    [sym_keyword_box2d] = ACTIONS(59),
    [sym_keyword_box3d] = ACTIONS(59),
    [sym_keyword_oid] = ACTIONS(59),
    [sym_keyword_name] = ACTIONS(59),
    [sym_keyword_regclass] = ACTIONS(59),
    [sym_keyword_regnamespace] = ACTIONS(59),
    [sym_keyword_regproc] = ACTIONS(59),
    [sym_keyword_regtype] = ACTIONS(59),
    [sym_keyword_array] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RPAREN] = ACTIONS(109),
    [anon_sym_COMMA] = ACTIONS(109),
    [aux_sym_double_token1] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(113),
    [sym__double_quote_string] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
  },
  [4] = {
    [sym_keyword_smallserial] = STATE(7120),
    [sym_keyword_serial] = STATE(7120),
    [sym_keyword_bigserial] = STATE(7120),
    [sym_keyword_tinyint] = STATE(1707),
    [sym_keyword_smallint] = STATE(1711),
    [sym_keyword_mediumint] = STATE(1712),
    [sym_keyword_int] = STATE(1714),
    [sym_keyword_bigint] = STATE(1717),
    [sym_keyword_real] = STATE(1744),
    [sym_keyword_char] = STATE(2284),
    [sym_keyword_varchar] = STATE(2290),
    [sym__type] = STATE(10023),
    [sym_tinyint] = STATE(7120),
    [sym_smallint] = STATE(7120),
    [sym_mediumint] = STATE(7120),
    [sym_int] = STATE(7120),
    [sym_bigint] = STATE(7120),
    [sym_bit] = STATE(7120),
    [sym_binary] = STATE(7120),
    [sym_varbinary] = STATE(7120),
    [sym_float] = STATE(7120),
    [sym_double] = STATE(7120),
    [sym_decimal] = STATE(7120),
    [sym_numeric] = STATE(7120),
    [sym_char] = STATE(7120),
    [sym_varchar] = STATE(7120),
    [sym_nchar] = STATE(7120),
    [sym_nvarchar] = STATE(7120),
    [sym_datetimeoffset] = STATE(7120),
    [sym_time] = STATE(7120),
    [sym_timestamp] = STATE(7120),
    [sym_enum] = STATE(7120),
    [sym__argmode] = STATE(25),
    [sym_function_argument] = STATE(10531),
    [sym_object_reference] = STATE(7127),
    [sym_identifier] = STATE(2),
    [sym__identifier] = ACTIONS(117),
    [sym_keyword_in] = ACTIONS(119),
    [aux_sym_keyword_character_token1] = ACTIONS(53),
    [sym_keyword_unsigned] = ACTIONS(57),
    [sym_keyword_out] = ACTIONS(121),
    [sym_keyword_inout] = ACTIONS(121),
    [sym_keyword_variadic] = ACTIONS(121),
    [sym_keyword_boolean] = ACTIONS(59),
    [sym_keyword_bit] = ACTIONS(61),
    [sym_keyword_binary] = ACTIONS(63),
    [sym_keyword_varbinary] = ACTIONS(65),
    [sym_keyword_image] = ACTIONS(59),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(67),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(67),
    [aux_sym_keyword_serial_token1] = ACTIONS(69),
    [aux_sym_keyword_serial_token2] = ACTIONS(69),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(71),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(71),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(73),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(73),
    [aux_sym_keyword_smallint_token1] = ACTIONS(75),
    [aux_sym_keyword_smallint_token2] = ACTIONS(75),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(77),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(77),
    [aux_sym_keyword_int_token1] = ACTIONS(79),
    [aux_sym_keyword_int_token2] = ACTIONS(79),
    [aux_sym_keyword_int_token3] = ACTIONS(79),
    [aux_sym_keyword_bigint_token1] = ACTIONS(81),
    [aux_sym_keyword_bigint_token2] = ACTIONS(81),
    [sym_keyword_decimal] = ACTIONS(83),
    [sym_keyword_numeric] = ACTIONS(85),
    [aux_sym_keyword_real_token1] = ACTIONS(87),
    [aux_sym_keyword_real_token2] = ACTIONS(87),
    [sym_keyword_float] = ACTIONS(89),
    [sym_keyword_double] = ACTIONS(91),
    [sym_keyword_inet] = ACTIONS(59),
    [sym_keyword_money] = ACTIONS(59),
    [sym_keyword_smallmoney] = ACTIONS(59),
    [aux_sym_keyword_char_token1] = ACTIONS(93),
    [sym_keyword_nchar] = ACTIONS(95),
    [aux_sym_keyword_varchar_token1] = ACTIONS(97),
    [sym_keyword_nvarchar] = ACTIONS(99),
    [sym_keyword_text] = ACTIONS(59),
    [sym_keyword_string] = ACTIONS(59),
    [sym_keyword_uuid] = ACTIONS(59),
    [sym_keyword_json] = ACTIONS(59),
    [sym_keyword_jsonb] = ACTIONS(59),
    [sym_keyword_xml] = ACTIONS(59),
    [sym_keyword_bytea] = ACTIONS(59),
    [sym_keyword_enum] = ACTIONS(101),
    [sym_keyword_date] = ACTIONS(59),
    [sym_keyword_datetime] = ACTIONS(59),
    [sym_keyword_datetime2] = ACTIONS(59),
    [sym_keyword_smalldatetime] = ACTIONS(59),
    [sym_keyword_datetimeoffset] = ACTIONS(103),
    [sym_keyword_time] = ACTIONS(105),
    [sym_keyword_timestamp] = ACTIONS(107),
    [sym_keyword_timestamptz] = ACTIONS(59),
    [sym_keyword_interval] = ACTIONS(59),
    [sym_keyword_geometry] = ACTIONS(59),
    [sym_keyword_geography] = ACTIONS(59),
    [sym_keyword_box2d] = ACTIONS(59),
    [sym_keyword_box3d] = ACTIONS(59),
    [sym_keyword_oid] = ACTIONS(59),
    [sym_keyword_name] = ACTIONS(59),
    [sym_keyword_regclass] = ACTIONS(59),
    [sym_keyword_regnamespace] = ACTIONS(59),
    [sym_keyword_regproc] = ACTIONS(59),
    [sym_keyword_regtype] = ACTIONS(59),
    [anon_sym_RPAREN] = ACTIONS(123),
    [aux_sym_double_token1] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(125),
    [aux_sym_identifier_token1] = ACTIONS(125),
  },
  [5] = {
    [sym_keyword_smallserial] = STATE(7120),
    [sym_keyword_serial] = STATE(7120),
    [sym_keyword_bigserial] = STATE(7120),
    [sym_keyword_tinyint] = STATE(1707),
    [sym_keyword_smallint] = STATE(1711),
    [sym_keyword_mediumint] = STATE(1712),
    [sym_keyword_int] = STATE(1714),
    [sym_keyword_bigint] = STATE(1717),
    [sym_keyword_real] = STATE(1744),
    [sym_keyword_char] = STATE(2284),
    [sym_keyword_varchar] = STATE(2290),
    [sym__type] = STATE(10023),
    [sym_tinyint] = STATE(7120),
    [sym_smallint] = STATE(7120),
    [sym_mediumint] = STATE(7120),
    [sym_int] = STATE(7120),
    [sym_bigint] = STATE(7120),
    [sym_bit] = STATE(7120),
    [sym_binary] = STATE(7120),
    [sym_varbinary] = STATE(7120),
    [sym_float] = STATE(7120),
    [sym_double] = STATE(7120),
    [sym_decimal] = STATE(7120),
    [sym_numeric] = STATE(7120),
    [sym_char] = STATE(7120),
    [sym_varchar] = STATE(7120),
    [sym_nchar] = STATE(7120),
    [sym_nvarchar] = STATE(7120),
    [sym_datetimeoffset] = STATE(7120),
    [sym_time] = STATE(7120),
    [sym_timestamp] = STATE(7120),
    [sym_enum] = STATE(7120),
    [sym__argmode] = STATE(25),
    [sym_function_argument] = STATE(11839),
    [sym_object_reference] = STATE(7127),
    [sym_identifier] = STATE(2),
    [sym__identifier] = ACTIONS(117),
    [sym_keyword_in] = ACTIONS(119),
    [aux_sym_keyword_character_token1] = ACTIONS(53),
    [sym_keyword_unsigned] = ACTIONS(57),
    [sym_keyword_out] = ACTIONS(121),
    [sym_keyword_inout] = ACTIONS(121),
    [sym_keyword_variadic] = ACTIONS(121),
    [sym_keyword_boolean] = ACTIONS(59),
    [sym_keyword_bit] = ACTIONS(61),
    [sym_keyword_binary] = ACTIONS(63),
    [sym_keyword_varbinary] = ACTIONS(65),
    [sym_keyword_image] = ACTIONS(59),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(67),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(67),
    [aux_sym_keyword_serial_token1] = ACTIONS(69),
    [aux_sym_keyword_serial_token2] = ACTIONS(69),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(71),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(71),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(73),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(73),
    [aux_sym_keyword_smallint_token1] = ACTIONS(75),
    [aux_sym_keyword_smallint_token2] = ACTIONS(75),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(77),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(77),
    [aux_sym_keyword_int_token1] = ACTIONS(79),
    [aux_sym_keyword_int_token2] = ACTIONS(79),
    [aux_sym_keyword_int_token3] = ACTIONS(79),
    [aux_sym_keyword_bigint_token1] = ACTIONS(81),
    [aux_sym_keyword_bigint_token2] = ACTIONS(81),
    [sym_keyword_decimal] = ACTIONS(83),
    [sym_keyword_numeric] = ACTIONS(85),
    [aux_sym_keyword_real_token1] = ACTIONS(87),
    [aux_sym_keyword_real_token2] = ACTIONS(87),
    [sym_keyword_float] = ACTIONS(89),
    [sym_keyword_double] = ACTIONS(91),
    [sym_keyword_inet] = ACTIONS(59),
    [sym_keyword_money] = ACTIONS(59),
    [sym_keyword_smallmoney] = ACTIONS(59),
    [aux_sym_keyword_char_token1] = ACTIONS(93),
    [sym_keyword_nchar] = ACTIONS(95),
    [aux_sym_keyword_varchar_token1] = ACTIONS(97),
    [sym_keyword_nvarchar] = ACTIONS(99),
    [sym_keyword_text] = ACTIONS(59),
    [sym_keyword_string] = ACTIONS(59),
    [sym_keyword_uuid] = ACTIONS(59),
    [sym_keyword_json] = ACTIONS(59),
    [sym_keyword_jsonb] = ACTIONS(59),
    [sym_keyword_xml] = ACTIONS(59),
    [sym_keyword_bytea] = ACTIONS(59),
    [sym_keyword_enum] = ACTIONS(101),
    [sym_keyword_date] = ACTIONS(59),
    [sym_keyword_datetime] = ACTIONS(59),
    [sym_keyword_datetime2] = ACTIONS(59),
    [sym_keyword_smalldatetime] = ACTIONS(59),
    [sym_keyword_datetimeoffset] = ACTIONS(103),
    [sym_keyword_time] = ACTIONS(105),
    [sym_keyword_timestamp] = ACTIONS(107),
    [sym_keyword_timestamptz] = ACTIONS(59),
    [sym_keyword_interval] = ACTIONS(59),
    [sym_keyword_geometry] = ACTIONS(59),
    [sym_keyword_geography] = ACTIONS(59),
    [sym_keyword_box2d] = ACTIONS(59),
    [sym_keyword_box3d] = ACTIONS(59),
    [sym_keyword_oid] = ACTIONS(59),
    [sym_keyword_name] = ACTIONS(59),
    [sym_keyword_regclass] = ACTIONS(59),
    [sym_keyword_regnamespace] = ACTIONS(59),
    [sym_keyword_regproc] = ACTIONS(59),
    [sym_keyword_regtype] = ACTIONS(59),
    [aux_sym_double_token1] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(125),
    [aux_sym_identifier_token1] = ACTIONS(125),
  },
  [6] = {
    [sym_keyword_smallserial] = STATE(5106),
    [sym_keyword_serial] = STATE(5106),
    [sym_keyword_bigserial] = STATE(5106),
    [sym_keyword_tinyint] = STATE(5155),
    [sym_keyword_smallint] = STATE(5159),
    [sym_keyword_mediumint] = STATE(5189),
    [sym_keyword_int] = STATE(5190),
    [sym_keyword_bigint] = STATE(5191),
    [sym_keyword_real] = STATE(5192),
    [sym_keyword_char] = STATE(5938),
    [sym_keyword_varchar] = STATE(6033),
    [sym__type] = STATE(6449),
    [sym_tinyint] = STATE(5106),
    [sym_smallint] = STATE(5106),
    [sym_mediumint] = STATE(5106),
    [sym_int] = STATE(5106),
    [sym_bigint] = STATE(5106),
    [sym_bit] = STATE(5106),
    [sym_binary] = STATE(5106),
    [sym_varbinary] = STATE(5106),
    [sym_float] = STATE(5106),
    [sym_double] = STATE(5106),
    [sym_decimal] = STATE(5106),
    [sym_numeric] = STATE(5106),
    [sym_char] = STATE(5106),
    [sym_varchar] = STATE(5106),
    [sym_nchar] = STATE(5106),
    [sym_nvarchar] = STATE(5106),
    [sym_datetimeoffset] = STATE(5106),
    [sym_time] = STATE(5106),
    [sym_timestamp] = STATE(5106),
    [sym_enum] = STATE(5106),
    [sym_object_reference] = STATE(5203),
    [sym_identifier] = STATE(6812),
    [sym__identifier] = ACTIONS(127),
    [sym_keyword_table] = ACTIONS(129),
    [aux_sym_keyword_character_token1] = ACTIONS(131),
    [sym_keyword_unsigned] = ACTIONS(133),
    [sym_keyword_trigger] = ACTIONS(135),
    [sym_keyword_setof] = ACTIONS(137),
    [sym_keyword_boolean] = ACTIONS(139),
    [sym_keyword_bit] = ACTIONS(141),
    [sym_keyword_binary] = ACTIONS(143),
    [sym_keyword_varbinary] = ACTIONS(145),
    [sym_keyword_image] = ACTIONS(139),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(147),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(147),
    [aux_sym_keyword_serial_token1] = ACTIONS(149),
    [aux_sym_keyword_serial_token2] = ACTIONS(149),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(151),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(151),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(153),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(153),
    [aux_sym_keyword_smallint_token1] = ACTIONS(155),
    [aux_sym_keyword_smallint_token2] = ACTIONS(155),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(157),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(157),
    [aux_sym_keyword_int_token1] = ACTIONS(159),
    [aux_sym_keyword_int_token2] = ACTIONS(159),
    [aux_sym_keyword_int_token3] = ACTIONS(159),
    [aux_sym_keyword_bigint_token1] = ACTIONS(161),
    [aux_sym_keyword_bigint_token2] = ACTIONS(161),
    [sym_keyword_decimal] = ACTIONS(163),
    [sym_keyword_numeric] = ACTIONS(165),
    [aux_sym_keyword_real_token1] = ACTIONS(167),
    [aux_sym_keyword_real_token2] = ACTIONS(167),
    [sym_keyword_float] = ACTIONS(169),
    [sym_keyword_double] = ACTIONS(171),
    [sym_keyword_inet] = ACTIONS(139),
    [sym_keyword_money] = ACTIONS(139),
    [sym_keyword_smallmoney] = ACTIONS(139),
    [aux_sym_keyword_char_token1] = ACTIONS(173),
    [sym_keyword_nchar] = ACTIONS(175),
    [aux_sym_keyword_varchar_token1] = ACTIONS(177),
    [sym_keyword_nvarchar] = ACTIONS(179),
    [sym_keyword_text] = ACTIONS(139),
    [sym_keyword_string] = ACTIONS(139),
    [sym_keyword_uuid] = ACTIONS(139),
    [sym_keyword_json] = ACTIONS(139),
    [sym_keyword_jsonb] = ACTIONS(139),
    [sym_keyword_xml] = ACTIONS(139),
    [sym_keyword_bytea] = ACTIONS(139),
    [sym_keyword_enum] = ACTIONS(181),
    [sym_keyword_date] = ACTIONS(139),
    [sym_keyword_datetime] = ACTIONS(139),
    [sym_keyword_datetime2] = ACTIONS(139),
    [sym_keyword_smalldatetime] = ACTIONS(139),
    [sym_keyword_datetimeoffset] = ACTIONS(183),
    [sym_keyword_time] = ACTIONS(185),
    [sym_keyword_timestamp] = ACTIONS(187),
    [sym_keyword_timestamptz] = ACTIONS(139),
    [sym_keyword_interval] = ACTIONS(139),
    [sym_keyword_geometry] = ACTIONS(139),
    [sym_keyword_geography] = ACTIONS(139),
    [sym_keyword_box2d] = ACTIONS(139),
    [sym_keyword_box3d] = ACTIONS(139),
    [sym_keyword_oid] = ACTIONS(139),
    [sym_keyword_name] = ACTIONS(139),
    [sym_keyword_regclass] = ACTIONS(139),
    [sym_keyword_regnamespace] = ACTIONS(139),
    [sym_keyword_regproc] = ACTIONS(139),
    [sym_keyword_regtype] = ACTIONS(139),
    [aux_sym_double_token1] = ACTIONS(189),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(191),
    [aux_sym_identifier_token1] = ACTIONS(191),
  },
  [7] = {
    [sym_keyword_smallserial] = STATE(5106),
    [sym_keyword_serial] = STATE(5106),
    [sym_keyword_bigserial] = STATE(5106),
    [sym_keyword_tinyint] = STATE(5155),
    [sym_keyword_smallint] = STATE(5159),
    [sym_keyword_mediumint] = STATE(5189),
    [sym_keyword_int] = STATE(5190),
    [sym_keyword_bigint] = STATE(5191),
    [sym_keyword_real] = STATE(5192),
    [sym_keyword_char] = STATE(5938),
    [sym_keyword_varchar] = STATE(6033),
    [sym__type] = STATE(6462),
    [sym_tinyint] = STATE(5106),
    [sym_smallint] = STATE(5106),
    [sym_mediumint] = STATE(5106),
    [sym_int] = STATE(5106),
    [sym_bigint] = STATE(5106),
    [sym_bit] = STATE(5106),
    [sym_binary] = STATE(5106),
    [sym_varbinary] = STATE(5106),
    [sym_float] = STATE(5106),
    [sym_double] = STATE(5106),
    [sym_decimal] = STATE(5106),
    [sym_numeric] = STATE(5106),
    [sym_char] = STATE(5106),
    [sym_varchar] = STATE(5106),
    [sym_nchar] = STATE(5106),
    [sym_nvarchar] = STATE(5106),
    [sym_datetimeoffset] = STATE(5106),
    [sym_time] = STATE(5106),
    [sym_timestamp] = STATE(5106),
    [sym_enum] = STATE(5106),
    [sym_object_reference] = STATE(5203),
    [sym_identifier] = STATE(6812),
    [sym__identifier] = ACTIONS(127),
    [sym_keyword_table] = ACTIONS(193),
    [aux_sym_keyword_character_token1] = ACTIONS(131),
    [sym_keyword_unsigned] = ACTIONS(133),
    [sym_keyword_trigger] = ACTIONS(195),
    [sym_keyword_setof] = ACTIONS(197),
    [sym_keyword_boolean] = ACTIONS(139),
    [sym_keyword_bit] = ACTIONS(141),
    [sym_keyword_binary] = ACTIONS(143),
    [sym_keyword_varbinary] = ACTIONS(145),
    [sym_keyword_image] = ACTIONS(139),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(147),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(147),
    [aux_sym_keyword_serial_token1] = ACTIONS(149),
    [aux_sym_keyword_serial_token2] = ACTIONS(149),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(151),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(151),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(153),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(153),
    [aux_sym_keyword_smallint_token1] = ACTIONS(155),
    [aux_sym_keyword_smallint_token2] = ACTIONS(155),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(157),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(157),
    [aux_sym_keyword_int_token1] = ACTIONS(159),
    [aux_sym_keyword_int_token2] = ACTIONS(159),
    [aux_sym_keyword_int_token3] = ACTIONS(159),
    [aux_sym_keyword_bigint_token1] = ACTIONS(161),
    [aux_sym_keyword_bigint_token2] = ACTIONS(161),
    [sym_keyword_decimal] = ACTIONS(163),
    [sym_keyword_numeric] = ACTIONS(165),
    [aux_sym_keyword_real_token1] = ACTIONS(167),
    [aux_sym_keyword_real_token2] = ACTIONS(167),
    [sym_keyword_float] = ACTIONS(169),
    [sym_keyword_double] = ACTIONS(171),
    [sym_keyword_inet] = ACTIONS(139),
    [sym_keyword_money] = ACTIONS(139),
    [sym_keyword_smallmoney] = ACTIONS(139),
    [aux_sym_keyword_char_token1] = ACTIONS(173),
    [sym_keyword_nchar] = ACTIONS(175),
    [aux_sym_keyword_varchar_token1] = ACTIONS(177),
    [sym_keyword_nvarchar] = ACTIONS(179),
    [sym_keyword_text] = ACTIONS(139),
    [sym_keyword_string] = ACTIONS(139),
    [sym_keyword_uuid] = ACTIONS(139),
    [sym_keyword_json] = ACTIONS(139),
    [sym_keyword_jsonb] = ACTIONS(139),
    [sym_keyword_xml] = ACTIONS(139),
    [sym_keyword_bytea] = ACTIONS(139),
    [sym_keyword_enum] = ACTIONS(181),
    [sym_keyword_date] = ACTIONS(139),
    [sym_keyword_datetime] = ACTIONS(139),
    [sym_keyword_datetime2] = ACTIONS(139),
    [sym_keyword_smalldatetime] = ACTIONS(139),
    [sym_keyword_datetimeoffset] = ACTIONS(183),
    [sym_keyword_time] = ACTIONS(185),
    [sym_keyword_timestamp] = ACTIONS(187),
    [sym_keyword_timestamptz] = ACTIONS(139),
    [sym_keyword_interval] = ACTIONS(139),
    [sym_keyword_geometry] = ACTIONS(139),
    [sym_keyword_geography] = ACTIONS(139),
    [sym_keyword_box2d] = ACTIONS(139),
    [sym_keyword_box3d] = ACTIONS(139),
    [sym_keyword_oid] = ACTIONS(139),
    [sym_keyword_name] = ACTIONS(139),
    [sym_keyword_regclass] = ACTIONS(139),
    [sym_keyword_regnamespace] = ACTIONS(139),
    [sym_keyword_regproc] = ACTIONS(139),
    [sym_keyword_regtype] = ACTIONS(139),
    [aux_sym_double_token1] = ACTIONS(189),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(191),
    [aux_sym_identifier_token1] = ACTIONS(191),
  },
  [8] = {
    [sym_keyword_smallserial] = STATE(5106),
    [sym_keyword_serial] = STATE(5106),
    [sym_keyword_bigserial] = STATE(5106),
    [sym_keyword_tinyint] = STATE(5155),
    [sym_keyword_smallint] = STATE(5159),
    [sym_keyword_mediumint] = STATE(5189),
    [sym_keyword_int] = STATE(5190),
    [sym_keyword_bigint] = STATE(5191),
    [sym_keyword_real] = STATE(5192),
    [sym_keyword_char] = STATE(5938),
    [sym_keyword_varchar] = STATE(6033),
    [sym__type] = STATE(6457),
    [sym_tinyint] = STATE(5106),
    [sym_smallint] = STATE(5106),
    [sym_mediumint] = STATE(5106),
    [sym_int] = STATE(5106),
    [sym_bigint] = STATE(5106),
    [sym_bit] = STATE(5106),
    [sym_binary] = STATE(5106),
    [sym_varbinary] = STATE(5106),
    [sym_float] = STATE(5106),
    [sym_double] = STATE(5106),
    [sym_decimal] = STATE(5106),
    [sym_numeric] = STATE(5106),
    [sym_char] = STATE(5106),
    [sym_varchar] = STATE(5106),
    [sym_nchar] = STATE(5106),
    [sym_nvarchar] = STATE(5106),
    [sym_datetimeoffset] = STATE(5106),
    [sym_time] = STATE(5106),
    [sym_timestamp] = STATE(5106),
    [sym_enum] = STATE(5106),
    [sym_object_reference] = STATE(5203),
    [sym_identifier] = STATE(6812),
    [sym__identifier] = ACTIONS(127),
    [sym_keyword_table] = ACTIONS(199),
    [aux_sym_keyword_character_token1] = ACTIONS(131),
    [sym_keyword_unsigned] = ACTIONS(133),
    [sym_keyword_trigger] = ACTIONS(201),
    [sym_keyword_setof] = ACTIONS(203),
    [sym_keyword_boolean] = ACTIONS(139),
    [sym_keyword_bit] = ACTIONS(141),
    [sym_keyword_binary] = ACTIONS(143),
    [sym_keyword_varbinary] = ACTIONS(145),
    [sym_keyword_image] = ACTIONS(139),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(147),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(147),
    [aux_sym_keyword_serial_token1] = ACTIONS(149),
    [aux_sym_keyword_serial_token2] = ACTIONS(149),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(151),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(151),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(153),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(153),
    [aux_sym_keyword_smallint_token1] = ACTIONS(155),
    [aux_sym_keyword_smallint_token2] = ACTIONS(155),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(157),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(157),
    [aux_sym_keyword_int_token1] = ACTIONS(159),
    [aux_sym_keyword_int_token2] = ACTIONS(159),
    [aux_sym_keyword_int_token3] = ACTIONS(159),
    [aux_sym_keyword_bigint_token1] = ACTIONS(161),
    [aux_sym_keyword_bigint_token2] = ACTIONS(161),
    [sym_keyword_decimal] = ACTIONS(163),
    [sym_keyword_numeric] = ACTIONS(165),
    [aux_sym_keyword_real_token1] = ACTIONS(167),
    [aux_sym_keyword_real_token2] = ACTIONS(167),
    [sym_keyword_float] = ACTIONS(169),
    [sym_keyword_double] = ACTIONS(171),
    [sym_keyword_inet] = ACTIONS(139),
    [sym_keyword_money] = ACTIONS(139),
    [sym_keyword_smallmoney] = ACTIONS(139),
    [aux_sym_keyword_char_token1] = ACTIONS(173),
    [sym_keyword_nchar] = ACTIONS(175),
    [aux_sym_keyword_varchar_token1] = ACTIONS(177),
    [sym_keyword_nvarchar] = ACTIONS(179),
    [sym_keyword_text] = ACTIONS(139),
    [sym_keyword_string] = ACTIONS(139),
    [sym_keyword_uuid] = ACTIONS(139),
    [sym_keyword_json] = ACTIONS(139),
    [sym_keyword_jsonb] = ACTIONS(139),
    [sym_keyword_xml] = ACTIONS(139),
    [sym_keyword_bytea] = ACTIONS(139),
    [sym_keyword_enum] = ACTIONS(181),
    [sym_keyword_date] = ACTIONS(139),
    [sym_keyword_datetime] = ACTIONS(139),
    [sym_keyword_datetime2] = ACTIONS(139),
    [sym_keyword_smalldatetime] = ACTIONS(139),
    [sym_keyword_datetimeoffset] = ACTIONS(183),
    [sym_keyword_time] = ACTIONS(185),
    [sym_keyword_timestamp] = ACTIONS(187),
    [sym_keyword_timestamptz] = ACTIONS(139),
    [sym_keyword_interval] = ACTIONS(139),
    [sym_keyword_geometry] = ACTIONS(139),
    [sym_keyword_geography] = ACTIONS(139),
    [sym_keyword_box2d] = ACTIONS(139),
    [sym_keyword_box3d] = ACTIONS(139),
    [sym_keyword_oid] = ACTIONS(139),
    [sym_keyword_name] = ACTIONS(139),
    [sym_keyword_regclass] = ACTIONS(139),
    [sym_keyword_regnamespace] = ACTIONS(139),
    [sym_keyword_regproc] = ACTIONS(139),
    [sym_keyword_regtype] = ACTIONS(139),
    [aux_sym_double_token1] = ACTIONS(189),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(191),
    [aux_sym_identifier_token1] = ACTIONS(191),
  },
  [9] = {
    [sym_keyword_smallserial] = STATE(5106),
    [sym_keyword_serial] = STATE(5106),
    [sym_keyword_bigserial] = STATE(5106),
    [sym_keyword_tinyint] = STATE(5155),
    [sym_keyword_smallint] = STATE(5159),
    [sym_keyword_mediumint] = STATE(5189),
    [sym_keyword_int] = STATE(5190),
    [sym_keyword_bigint] = STATE(5191),
    [sym_keyword_real] = STATE(5192),
    [sym_keyword_char] = STATE(5938),
    [sym_keyword_varchar] = STATE(6033),
    [sym__type] = STATE(6452),
    [sym_tinyint] = STATE(5106),
    [sym_smallint] = STATE(5106),
    [sym_mediumint] = STATE(5106),
    [sym_int] = STATE(5106),
    [sym_bigint] = STATE(5106),
    [sym_bit] = STATE(5106),
    [sym_binary] = STATE(5106),
    [sym_varbinary] = STATE(5106),
    [sym_float] = STATE(5106),
    [sym_double] = STATE(5106),
    [sym_decimal] = STATE(5106),
    [sym_numeric] = STATE(5106),
    [sym_char] = STATE(5106),
    [sym_varchar] = STATE(5106),
    [sym_nchar] = STATE(5106),
    [sym_nvarchar] = STATE(5106),
    [sym_datetimeoffset] = STATE(5106),
    [sym_time] = STATE(5106),
    [sym_timestamp] = STATE(5106),
    [sym_enum] = STATE(5106),
    [sym_object_reference] = STATE(5203),
    [sym_identifier] = STATE(6812),
    [sym__identifier] = ACTIONS(127),
    [sym_keyword_table] = ACTIONS(205),
    [aux_sym_keyword_character_token1] = ACTIONS(131),
    [sym_keyword_unsigned] = ACTIONS(133),
    [sym_keyword_trigger] = ACTIONS(207),
    [sym_keyword_setof] = ACTIONS(209),
    [sym_keyword_boolean] = ACTIONS(139),
    [sym_keyword_bit] = ACTIONS(141),
    [sym_keyword_binary] = ACTIONS(143),
    [sym_keyword_varbinary] = ACTIONS(145),
    [sym_keyword_image] = ACTIONS(139),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(147),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(147),
    [aux_sym_keyword_serial_token1] = ACTIONS(149),
    [aux_sym_keyword_serial_token2] = ACTIONS(149),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(151),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(151),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(153),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(153),
    [aux_sym_keyword_smallint_token1] = ACTIONS(155),
    [aux_sym_keyword_smallint_token2] = ACTIONS(155),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(157),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(157),
    [aux_sym_keyword_int_token1] = ACTIONS(159),
    [aux_sym_keyword_int_token2] = ACTIONS(159),
    [aux_sym_keyword_int_token3] = ACTIONS(159),
    [aux_sym_keyword_bigint_token1] = ACTIONS(161),
    [aux_sym_keyword_bigint_token2] = ACTIONS(161),
    [sym_keyword_decimal] = ACTIONS(163),
    [sym_keyword_numeric] = ACTIONS(165),
    [aux_sym_keyword_real_token1] = ACTIONS(167),
    [aux_sym_keyword_real_token2] = ACTIONS(167),
    [sym_keyword_float] = ACTIONS(169),
    [sym_keyword_double] = ACTIONS(171),
    [sym_keyword_inet] = ACTIONS(139),
    [sym_keyword_money] = ACTIONS(139),
    [sym_keyword_smallmoney] = ACTIONS(139),
    [aux_sym_keyword_char_token1] = ACTIONS(173),
    [sym_keyword_nchar] = ACTIONS(175),
    [aux_sym_keyword_varchar_token1] = ACTIONS(177),
    [sym_keyword_nvarchar] = ACTIONS(179),
    [sym_keyword_text] = ACTIONS(139),
    [sym_keyword_string] = ACTIONS(139),
    [sym_keyword_uuid] = ACTIONS(139),
    [sym_keyword_json] = ACTIONS(139),
    [sym_keyword_jsonb] = ACTIONS(139),
    [sym_keyword_xml] = ACTIONS(139),
    [sym_keyword_bytea] = ACTIONS(139),
    [sym_keyword_enum] = ACTIONS(181),
    [sym_keyword_date] = ACTIONS(139),
    [sym_keyword_datetime] = ACTIONS(139),
    [sym_keyword_datetime2] = ACTIONS(139),
    [sym_keyword_smalldatetime] = ACTIONS(139),
    [sym_keyword_datetimeoffset] = ACTIONS(183),
    [sym_keyword_time] = ACTIONS(185),
    [sym_keyword_timestamp] = ACTIONS(187),
    [sym_keyword_timestamptz] = ACTIONS(139),
    [sym_keyword_interval] = ACTIONS(139),
    [sym_keyword_geometry] = ACTIONS(139),
    [sym_keyword_geography] = ACTIONS(139),
    [sym_keyword_box2d] = ACTIONS(139),
    [sym_keyword_box3d] = ACTIONS(139),
    [sym_keyword_oid] = ACTIONS(139),
    [sym_keyword_name] = ACTIONS(139),
    [sym_keyword_regclass] = ACTIONS(139),
    [sym_keyword_regnamespace] = ACTIONS(139),
    [sym_keyword_regproc] = ACTIONS(139),
    [sym_keyword_regtype] = ACTIONS(139),
    [aux_sym_double_token1] = ACTIONS(189),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(191),
    [aux_sym_identifier_token1] = ACTIONS(191),
  },
  [10] = {
    [sym_keyword_smallserial] = STATE(7583),
    [sym_keyword_serial] = STATE(7583),
    [sym_keyword_bigserial] = STATE(7583),
    [sym_keyword_tinyint] = STATE(2543),
    [sym_keyword_smallint] = STATE(2547),
    [sym_keyword_mediumint] = STATE(2552),
    [sym_keyword_int] = STATE(2554),
    [sym_keyword_bigint] = STATE(2558),
    [sym_keyword_real] = STATE(2559),
    [sym_keyword_char] = STATE(2752),
    [sym_keyword_varchar] = STATE(2753),
    [sym__type] = STATE(10711),
    [sym_tinyint] = STATE(7583),
    [sym_smallint] = STATE(7583),
    [sym_mediumint] = STATE(7583),
    [sym_int] = STATE(7583),
    [sym_bigint] = STATE(7583),
    [sym_bit] = STATE(7583),
    [sym_binary] = STATE(7583),
    [sym_varbinary] = STATE(7583),
    [sym_float] = STATE(7583),
    [sym_double] = STATE(7583),
    [sym_decimal] = STATE(7583),
    [sym_numeric] = STATE(7583),
    [sym_char] = STATE(7583),
    [sym_varchar] = STATE(7583),
    [sym_nchar] = STATE(7583),
    [sym_nvarchar] = STATE(7583),
    [sym_datetimeoffset] = STATE(7583),
    [sym_time] = STATE(7583),
    [sym_timestamp] = STATE(7583),
    [sym_enum] = STATE(7583),
    [sym_object_reference] = STATE(7581),
    [sym_identifier] = STATE(7262),
    [sym__identifier] = ACTIONS(211),
    [aux_sym_keyword_character_token1] = ACTIONS(213),
    [sym_keyword_unsigned] = ACTIONS(215),
    [sym_keyword_boolean] = ACTIONS(217),
    [sym_keyword_bit] = ACTIONS(219),
    [sym_keyword_binary] = ACTIONS(221),
    [sym_keyword_varbinary] = ACTIONS(223),
    [sym_keyword_image] = ACTIONS(217),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(225),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(225),
    [aux_sym_keyword_serial_token1] = ACTIONS(227),
    [aux_sym_keyword_serial_token2] = ACTIONS(227),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(229),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(229),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(231),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(231),
    [aux_sym_keyword_smallint_token1] = ACTIONS(233),
    [aux_sym_keyword_smallint_token2] = ACTIONS(233),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(235),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(235),
    [aux_sym_keyword_int_token1] = ACTIONS(237),
    [aux_sym_keyword_int_token2] = ACTIONS(237),
    [aux_sym_keyword_int_token3] = ACTIONS(237),
    [aux_sym_keyword_bigint_token1] = ACTIONS(239),
    [aux_sym_keyword_bigint_token2] = ACTIONS(239),
    [sym_keyword_decimal] = ACTIONS(241),
    [sym_keyword_numeric] = ACTIONS(243),
    [aux_sym_keyword_real_token1] = ACTIONS(245),
    [aux_sym_keyword_real_token2] = ACTIONS(245),
    [sym_keyword_float] = ACTIONS(247),
    [sym_keyword_double] = ACTIONS(249),
    [sym_keyword_inet] = ACTIONS(217),
    [sym_keyword_money] = ACTIONS(217),
    [sym_keyword_smallmoney] = ACTIONS(217),
    [aux_sym_keyword_char_token1] = ACTIONS(251),
    [sym_keyword_nchar] = ACTIONS(253),
    [aux_sym_keyword_varchar_token1] = ACTIONS(255),
    [sym_keyword_nvarchar] = ACTIONS(257),
    [sym_keyword_text] = ACTIONS(217),
    [sym_keyword_string] = ACTIONS(217),
    [sym_keyword_uuid] = ACTIONS(217),
    [sym_keyword_json] = ACTIONS(217),
    [sym_keyword_jsonb] = ACTIONS(217),
    [sym_keyword_xml] = ACTIONS(217),
    [sym_keyword_bytea] = ACTIONS(217),
    [sym_keyword_enum] = ACTIONS(259),
    [sym_keyword_date] = ACTIONS(217),
    [sym_keyword_datetime] = ACTIONS(217),
    [sym_keyword_datetime2] = ACTIONS(217),
    [sym_keyword_smalldatetime] = ACTIONS(217),
    [sym_keyword_datetimeoffset] = ACTIONS(261),
    [sym_keyword_time] = ACTIONS(263),
    [sym_keyword_timestamp] = ACTIONS(265),
    [sym_keyword_timestamptz] = ACTIONS(217),
    [sym_keyword_interval] = ACTIONS(217),
    [sym_keyword_geometry] = ACTIONS(217),
    [sym_keyword_geography] = ACTIONS(217),
    [sym_keyword_box2d] = ACTIONS(217),
    [sym_keyword_box3d] = ACTIONS(217),
    [sym_keyword_oid] = ACTIONS(217),
    [sym_keyword_name] = ACTIONS(217),
    [sym_keyword_regclass] = ACTIONS(217),
    [sym_keyword_regnamespace] = ACTIONS(217),
    [sym_keyword_regproc] = ACTIONS(217),
    [sym_keyword_regtype] = ACTIONS(217),
    [aux_sym_double_token1] = ACTIONS(267),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(269),
    [aux_sym_identifier_token1] = ACTIONS(269),
  },
  [11] = {
    [sym_keyword_smallserial] = STATE(3072),
    [sym_keyword_serial] = STATE(3072),
    [sym_keyword_bigserial] = STATE(3072),
    [sym_keyword_tinyint] = STATE(2543),
    [sym_keyword_smallint] = STATE(2547),
    [sym_keyword_mediumint] = STATE(2552),
    [sym_keyword_int] = STATE(2554),
    [sym_keyword_bigint] = STATE(2558),
    [sym_keyword_real] = STATE(2559),
    [sym_keyword_char] = STATE(2752),
    [sym_keyword_varchar] = STATE(2753),
    [sym__type] = STATE(4455),
    [sym_tinyint] = STATE(3072),
    [sym_smallint] = STATE(3072),
    [sym_mediumint] = STATE(3072),
    [sym_int] = STATE(3072),
    [sym_bigint] = STATE(3072),
    [sym_bit] = STATE(3072),
    [sym_binary] = STATE(3072),
    [sym_varbinary] = STATE(3072),
    [sym_float] = STATE(3072),
    [sym_double] = STATE(3072),
    [sym_decimal] = STATE(3072),
    [sym_numeric] = STATE(3072),
    [sym_char] = STATE(3072),
    [sym_varchar] = STATE(3072),
    [sym_nchar] = STATE(3072),
    [sym_nvarchar] = STATE(3072),
    [sym_datetimeoffset] = STATE(3072),
    [sym_time] = STATE(3072),
    [sym_timestamp] = STATE(3072),
    [sym_enum] = STATE(3072),
    [sym_object_reference] = STATE(2923),
    [sym_identifier] = STATE(3653),
    [sym__identifier] = ACTIONS(271),
    [aux_sym_keyword_character_token1] = ACTIONS(213),
    [sym_keyword_unsigned] = ACTIONS(215),
    [sym_keyword_boolean] = ACTIONS(273),
    [sym_keyword_bit] = ACTIONS(219),
    [sym_keyword_binary] = ACTIONS(221),
    [sym_keyword_varbinary] = ACTIONS(223),
    [sym_keyword_image] = ACTIONS(273),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(225),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(225),
    [aux_sym_keyword_serial_token1] = ACTIONS(227),
    [aux_sym_keyword_serial_token2] = ACTIONS(227),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(229),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(229),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(231),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(231),
    [aux_sym_keyword_smallint_token1] = ACTIONS(233),
    [aux_sym_keyword_smallint_token2] = ACTIONS(233),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(235),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(235),
    [aux_sym_keyword_int_token1] = ACTIONS(237),
    [aux_sym_keyword_int_token2] = ACTIONS(237),
    [aux_sym_keyword_int_token3] = ACTIONS(237),
    [aux_sym_keyword_bigint_token1] = ACTIONS(239),
    [aux_sym_keyword_bigint_token2] = ACTIONS(239),
    [sym_keyword_decimal] = ACTIONS(241),
    [sym_keyword_numeric] = ACTIONS(243),
    [aux_sym_keyword_real_token1] = ACTIONS(245),
    [aux_sym_keyword_real_token2] = ACTIONS(245),
    [sym_keyword_float] = ACTIONS(247),
    [sym_keyword_double] = ACTIONS(249),
    [sym_keyword_inet] = ACTIONS(273),
    [sym_keyword_money] = ACTIONS(273),
    [sym_keyword_smallmoney] = ACTIONS(273),
    [aux_sym_keyword_char_token1] = ACTIONS(251),
    [sym_keyword_nchar] = ACTIONS(253),
    [aux_sym_keyword_varchar_token1] = ACTIONS(255),
    [sym_keyword_nvarchar] = ACTIONS(257),
    [sym_keyword_text] = ACTIONS(273),
    [sym_keyword_string] = ACTIONS(273),
    [sym_keyword_uuid] = ACTIONS(273),
    [sym_keyword_json] = ACTIONS(273),
    [sym_keyword_jsonb] = ACTIONS(273),
    [sym_keyword_xml] = ACTIONS(273),
    [sym_keyword_bytea] = ACTIONS(273),
    [sym_keyword_enum] = ACTIONS(259),
    [sym_keyword_date] = ACTIONS(273),
    [sym_keyword_datetime] = ACTIONS(273),
    [sym_keyword_datetime2] = ACTIONS(273),
    [sym_keyword_smalldatetime] = ACTIONS(273),
    [sym_keyword_datetimeoffset] = ACTIONS(261),
    [sym_keyword_time] = ACTIONS(263),
    [sym_keyword_timestamp] = ACTIONS(265),
    [sym_keyword_timestamptz] = ACTIONS(273),
    [sym_keyword_interval] = ACTIONS(273),
    [sym_keyword_geometry] = ACTIONS(273),
    [sym_keyword_geography] = ACTIONS(273),
    [sym_keyword_box2d] = ACTIONS(273),
    [sym_keyword_box3d] = ACTIONS(273),
    [sym_keyword_oid] = ACTIONS(273),
    [sym_keyword_name] = ACTIONS(273),
    [sym_keyword_regclass] = ACTIONS(273),
    [sym_keyword_regnamespace] = ACTIONS(273),
    [sym_keyword_regproc] = ACTIONS(273),
    [sym_keyword_regtype] = ACTIONS(273),
    [aux_sym_double_token1] = ACTIONS(267),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(275),
    [aux_sym_identifier_token1] = ACTIONS(275),
  },
  [12] = {
    [sym_keyword_smallserial] = STATE(7583),
    [sym_keyword_serial] = STATE(7583),
    [sym_keyword_bigserial] = STATE(7583),
    [sym_keyword_tinyint] = STATE(2543),
    [sym_keyword_smallint] = STATE(2547),
    [sym_keyword_mediumint] = STATE(2552),
    [sym_keyword_int] = STATE(2554),
    [sym_keyword_bigint] = STATE(2558),
    [sym_keyword_real] = STATE(2559),
    [sym_keyword_char] = STATE(2752),
    [sym_keyword_varchar] = STATE(2753),
    [sym__type] = STATE(8639),
    [sym_tinyint] = STATE(7583),
    [sym_smallint] = STATE(7583),
    [sym_mediumint] = STATE(7583),
    [sym_int] = STATE(7583),
    [sym_bigint] = STATE(7583),
    [sym_bit] = STATE(7583),
    [sym_binary] = STATE(7583),
    [sym_varbinary] = STATE(7583),
    [sym_float] = STATE(7583),
    [sym_double] = STATE(7583),
    [sym_decimal] = STATE(7583),
    [sym_numeric] = STATE(7583),
    [sym_char] = STATE(7583),
    [sym_varchar] = STATE(7583),
    [sym_nchar] = STATE(7583),
    [sym_nvarchar] = STATE(7583),
    [sym_datetimeoffset] = STATE(7583),
    [sym_time] = STATE(7583),
    [sym_timestamp] = STATE(7583),
    [sym_enum] = STATE(7583),
    [sym_object_reference] = STATE(7581),
    [sym_identifier] = STATE(7262),
    [sym__identifier] = ACTIONS(211),
    [aux_sym_keyword_character_token1] = ACTIONS(213),
    [sym_keyword_unsigned] = ACTIONS(215),
    [sym_keyword_boolean] = ACTIONS(217),
    [sym_keyword_bit] = ACTIONS(219),
    [sym_keyword_binary] = ACTIONS(221),
    [sym_keyword_varbinary] = ACTIONS(223),
    [sym_keyword_image] = ACTIONS(217),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(225),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(225),
    [aux_sym_keyword_serial_token1] = ACTIONS(227),
    [aux_sym_keyword_serial_token2] = ACTIONS(227),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(229),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(229),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(231),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(231),
    [aux_sym_keyword_smallint_token1] = ACTIONS(233),
    [aux_sym_keyword_smallint_token2] = ACTIONS(233),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(235),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(235),
    [aux_sym_keyword_int_token1] = ACTIONS(237),
    [aux_sym_keyword_int_token2] = ACTIONS(237),
    [aux_sym_keyword_int_token3] = ACTIONS(237),
    [aux_sym_keyword_bigint_token1] = ACTIONS(239),
    [aux_sym_keyword_bigint_token2] = ACTIONS(239),
    [sym_keyword_decimal] = ACTIONS(241),
    [sym_keyword_numeric] = ACTIONS(243),
    [aux_sym_keyword_real_token1] = ACTIONS(245),
    [aux_sym_keyword_real_token2] = ACTIONS(245),
    [sym_keyword_float] = ACTIONS(247),
    [sym_keyword_double] = ACTIONS(249),
    [sym_keyword_inet] = ACTIONS(217),
    [sym_keyword_money] = ACTIONS(217),
    [sym_keyword_smallmoney] = ACTIONS(217),
    [aux_sym_keyword_char_token1] = ACTIONS(251),
    [sym_keyword_nchar] = ACTIONS(253),
    [aux_sym_keyword_varchar_token1] = ACTIONS(255),
    [sym_keyword_nvarchar] = ACTIONS(257),
    [sym_keyword_text] = ACTIONS(217),
    [sym_keyword_string] = ACTIONS(217),
    [sym_keyword_uuid] = ACTIONS(217),
    [sym_keyword_json] = ACTIONS(217),
    [sym_keyword_jsonb] = ACTIONS(217),
    [sym_keyword_xml] = ACTIONS(217),
    [sym_keyword_bytea] = ACTIONS(217),
    [sym_keyword_enum] = ACTIONS(259),
    [sym_keyword_date] = ACTIONS(217),
    [sym_keyword_datetime] = ACTIONS(217),
    [sym_keyword_datetime2] = ACTIONS(217),
    [sym_keyword_smalldatetime] = ACTIONS(217),
    [sym_keyword_datetimeoffset] = ACTIONS(261),
    [sym_keyword_time] = ACTIONS(263),
    [sym_keyword_timestamp] = ACTIONS(265),
    [sym_keyword_timestamptz] = ACTIONS(217),
    [sym_keyword_interval] = ACTIONS(217),
    [sym_keyword_geometry] = ACTIONS(217),
    [sym_keyword_geography] = ACTIONS(217),
    [sym_keyword_box2d] = ACTIONS(217),
    [sym_keyword_box3d] = ACTIONS(217),
    [sym_keyword_oid] = ACTIONS(217),
    [sym_keyword_name] = ACTIONS(217),
    [sym_keyword_regclass] = ACTIONS(217),
    [sym_keyword_regnamespace] = ACTIONS(217),
    [sym_keyword_regproc] = ACTIONS(217),
    [sym_keyword_regtype] = ACTIONS(217),
    [aux_sym_double_token1] = ACTIONS(267),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(269),
    [aux_sym_identifier_token1] = ACTIONS(269),
  },
  [13] = {
    [sym_keyword_smallserial] = STATE(6912),
    [sym_keyword_serial] = STATE(6912),
    [sym_keyword_bigserial] = STATE(6912),
    [sym_keyword_tinyint] = STATE(6916),
    [sym_keyword_smallint] = STATE(6915),
    [sym_keyword_mediumint] = STATE(6914),
    [sym_keyword_int] = STATE(6906),
    [sym_keyword_bigint] = STATE(6904),
    [sym_keyword_real] = STATE(6922),
    [sym_keyword_char] = STATE(7038),
    [sym_keyword_varchar] = STATE(7037),
    [sym__type] = STATE(7507),
    [sym_tinyint] = STATE(6912),
    [sym_smallint] = STATE(6912),
    [sym_mediumint] = STATE(6912),
    [sym_int] = STATE(6912),
    [sym_bigint] = STATE(6912),
    [sym_bit] = STATE(6912),
    [sym_binary] = STATE(6912),
    [sym_varbinary] = STATE(6912),
    [sym_float] = STATE(6912),
    [sym_double] = STATE(6912),
    [sym_decimal] = STATE(6912),
    [sym_numeric] = STATE(6912),
    [sym_char] = STATE(6912),
    [sym_varchar] = STATE(6912),
    [sym_nchar] = STATE(6912),
    [sym_nvarchar] = STATE(6912),
    [sym_datetimeoffset] = STATE(6912),
    [sym_time] = STATE(6912),
    [sym_timestamp] = STATE(6912),
    [sym_enum] = STATE(6912),
    [sym_object_reference] = STATE(6946),
    [sym_identifier] = STATE(3575),
    [sym__identifier] = ACTIONS(277),
    [aux_sym_keyword_character_token1] = ACTIONS(279),
    [sym_keyword_unsigned] = ACTIONS(281),
    [sym_keyword_boolean] = ACTIONS(283),
    [sym_keyword_bit] = ACTIONS(285),
    [sym_keyword_binary] = ACTIONS(287),
    [sym_keyword_varbinary] = ACTIONS(289),
    [sym_keyword_image] = ACTIONS(283),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(291),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(291),
    [aux_sym_keyword_serial_token1] = ACTIONS(293),
    [aux_sym_keyword_serial_token2] = ACTIONS(293),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(295),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(295),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(297),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(297),
    [aux_sym_keyword_smallint_token1] = ACTIONS(299),
    [aux_sym_keyword_smallint_token2] = ACTIONS(299),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(301),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(301),
    [aux_sym_keyword_int_token1] = ACTIONS(303),
    [aux_sym_keyword_int_token2] = ACTIONS(303),
    [aux_sym_keyword_int_token3] = ACTIONS(303),
    [aux_sym_keyword_bigint_token1] = ACTIONS(305),
    [aux_sym_keyword_bigint_token2] = ACTIONS(305),
    [sym_keyword_decimal] = ACTIONS(307),
    [sym_keyword_numeric] = ACTIONS(309),
    [aux_sym_keyword_real_token1] = ACTIONS(311),
    [aux_sym_keyword_real_token2] = ACTIONS(311),
    [sym_keyword_float] = ACTIONS(313),
    [sym_keyword_double] = ACTIONS(315),
    [sym_keyword_inet] = ACTIONS(283),
    [sym_keyword_money] = ACTIONS(283),
    [sym_keyword_smallmoney] = ACTIONS(283),
    [aux_sym_keyword_char_token1] = ACTIONS(317),
    [sym_keyword_nchar] = ACTIONS(319),
    [aux_sym_keyword_varchar_token1] = ACTIONS(321),
    [sym_keyword_nvarchar] = ACTIONS(323),
    [sym_keyword_text] = ACTIONS(283),
    [sym_keyword_string] = ACTIONS(283),
    [sym_keyword_uuid] = ACTIONS(283),
    [sym_keyword_json] = ACTIONS(283),
    [sym_keyword_jsonb] = ACTIONS(283),
    [sym_keyword_xml] = ACTIONS(283),
    [sym_keyword_bytea] = ACTIONS(283),
    [sym_keyword_enum] = ACTIONS(325),
    [sym_keyword_date] = ACTIONS(283),
    [sym_keyword_datetime] = ACTIONS(283),
    [sym_keyword_datetime2] = ACTIONS(283),
    [sym_keyword_smalldatetime] = ACTIONS(283),
    [sym_keyword_datetimeoffset] = ACTIONS(327),
    [sym_keyword_time] = ACTIONS(329),
    [sym_keyword_timestamp] = ACTIONS(331),
    [sym_keyword_timestamptz] = ACTIONS(283),
    [sym_keyword_interval] = ACTIONS(283),
    [sym_keyword_geometry] = ACTIONS(283),
    [sym_keyword_geography] = ACTIONS(283),
    [sym_keyword_box2d] = ACTIONS(283),
    [sym_keyword_box3d] = ACTIONS(283),
    [sym_keyword_oid] = ACTIONS(283),
    [sym_keyword_name] = ACTIONS(283),
    [sym_keyword_regclass] = ACTIONS(283),
    [sym_keyword_regnamespace] = ACTIONS(283),
    [sym_keyword_regproc] = ACTIONS(283),
    [sym_keyword_regtype] = ACTIONS(283),
    [aux_sym_double_token1] = ACTIONS(333),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(335),
    [aux_sym_identifier_token1] = ACTIONS(335),
  },
  [14] = {
    [sym_keyword_smallserial] = STATE(7120),
    [sym_keyword_serial] = STATE(7120),
    [sym_keyword_bigserial] = STATE(7120),
    [sym_keyword_tinyint] = STATE(1707),
    [sym_keyword_smallint] = STATE(1711),
    [sym_keyword_mediumint] = STATE(1712),
    [sym_keyword_int] = STATE(1714),
    [sym_keyword_bigint] = STATE(1717),
    [sym_keyword_real] = STATE(1744),
    [sym_keyword_char] = STATE(2284),
    [sym_keyword_varchar] = STATE(2290),
    [sym__type] = STATE(9687),
    [sym_tinyint] = STATE(7120),
    [sym_smallint] = STATE(7120),
    [sym_mediumint] = STATE(7120),
    [sym_int] = STATE(7120),
    [sym_bigint] = STATE(7120),
    [sym_bit] = STATE(7120),
    [sym_binary] = STATE(7120),
    [sym_varbinary] = STATE(7120),
    [sym_float] = STATE(7120),
    [sym_double] = STATE(7120),
    [sym_decimal] = STATE(7120),
    [sym_numeric] = STATE(7120),
    [sym_char] = STATE(7120),
    [sym_varchar] = STATE(7120),
    [sym_nchar] = STATE(7120),
    [sym_nvarchar] = STATE(7120),
    [sym_datetimeoffset] = STATE(7120),
    [sym_time] = STATE(7120),
    [sym_timestamp] = STATE(7120),
    [sym_enum] = STATE(7120),
    [sym_object_reference] = STATE(7127),
    [sym_identifier] = STATE(6414),
    [sym__identifier] = ACTIONS(51),
    [aux_sym_keyword_character_token1] = ACTIONS(53),
    [sym_keyword_unsigned] = ACTIONS(57),
    [sym_keyword_boolean] = ACTIONS(59),
    [sym_keyword_bit] = ACTIONS(61),
    [sym_keyword_binary] = ACTIONS(63),
    [sym_keyword_varbinary] = ACTIONS(65),
    [sym_keyword_image] = ACTIONS(59),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(67),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(67),
    [aux_sym_keyword_serial_token1] = ACTIONS(69),
    [aux_sym_keyword_serial_token2] = ACTIONS(69),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(71),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(71),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(73),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(73),
    [aux_sym_keyword_smallint_token1] = ACTIONS(75),
    [aux_sym_keyword_smallint_token2] = ACTIONS(75),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(77),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(77),
    [aux_sym_keyword_int_token1] = ACTIONS(79),
    [aux_sym_keyword_int_token2] = ACTIONS(79),
    [aux_sym_keyword_int_token3] = ACTIONS(79),
    [aux_sym_keyword_bigint_token1] = ACTIONS(81),
    [aux_sym_keyword_bigint_token2] = ACTIONS(81),
    [sym_keyword_decimal] = ACTIONS(83),
    [sym_keyword_numeric] = ACTIONS(85),
    [aux_sym_keyword_real_token1] = ACTIONS(87),
    [aux_sym_keyword_real_token2] = ACTIONS(87),
    [sym_keyword_float] = ACTIONS(89),
    [sym_keyword_double] = ACTIONS(91),
    [sym_keyword_inet] = ACTIONS(59),
    [sym_keyword_money] = ACTIONS(59),
    [sym_keyword_smallmoney] = ACTIONS(59),
    [aux_sym_keyword_char_token1] = ACTIONS(93),
    [sym_keyword_nchar] = ACTIONS(95),
    [aux_sym_keyword_varchar_token1] = ACTIONS(97),
    [sym_keyword_nvarchar] = ACTIONS(99),
    [sym_keyword_text] = ACTIONS(59),
    [sym_keyword_string] = ACTIONS(59),
    [sym_keyword_uuid] = ACTIONS(59),
    [sym_keyword_json] = ACTIONS(59),
    [sym_keyword_jsonb] = ACTIONS(59),
    [sym_keyword_xml] = ACTIONS(59),
    [sym_keyword_bytea] = ACTIONS(59),
    [sym_keyword_enum] = ACTIONS(101),
    [sym_keyword_date] = ACTIONS(59),
    [sym_keyword_datetime] = ACTIONS(59),
    [sym_keyword_datetime2] = ACTIONS(59),
    [sym_keyword_smalldatetime] = ACTIONS(59),
    [sym_keyword_datetimeoffset] = ACTIONS(103),
    [sym_keyword_time] = ACTIONS(105),
    [sym_keyword_timestamp] = ACTIONS(107),
    [sym_keyword_timestamptz] = ACTIONS(59),
    [sym_keyword_interval] = ACTIONS(59),
    [sym_keyword_geometry] = ACTIONS(59),
    [sym_keyword_geography] = ACTIONS(59),
    [sym_keyword_box2d] = ACTIONS(59),
    [sym_keyword_box3d] = ACTIONS(59),
    [sym_keyword_oid] = ACTIONS(59),
    [sym_keyword_name] = ACTIONS(59),
    [sym_keyword_regclass] = ACTIONS(59),
    [sym_keyword_regnamespace] = ACTIONS(59),
    [sym_keyword_regproc] = ACTIONS(59),
    [sym_keyword_regtype] = ACTIONS(59),
    [aux_sym_double_token1] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
  },
  [15] = {
    [sym_keyword_smallserial] = STATE(5106),
    [sym_keyword_serial] = STATE(5106),
    [sym_keyword_bigserial] = STATE(5106),
    [sym_keyword_tinyint] = STATE(5155),
    [sym_keyword_smallint] = STATE(5159),
    [sym_keyword_mediumint] = STATE(5189),
    [sym_keyword_int] = STATE(5190),
    [sym_keyword_bigint] = STATE(5191),
    [sym_keyword_real] = STATE(5192),
    [sym_keyword_char] = STATE(5938),
    [sym_keyword_varchar] = STATE(6033),
    [sym__type] = STATE(7286),
    [sym_tinyint] = STATE(5106),
    [sym_smallint] = STATE(5106),
    [sym_mediumint] = STATE(5106),
    [sym_int] = STATE(5106),
    [sym_bigint] = STATE(5106),
    [sym_bit] = STATE(5106),
    [sym_binary] = STATE(5106),
    [sym_varbinary] = STATE(5106),
    [sym_float] = STATE(5106),
    [sym_double] = STATE(5106),
    [sym_decimal] = STATE(5106),
    [sym_numeric] = STATE(5106),
    [sym_char] = STATE(5106),
    [sym_varchar] = STATE(5106),
    [sym_nchar] = STATE(5106),
    [sym_nvarchar] = STATE(5106),
    [sym_datetimeoffset] = STATE(5106),
    [sym_time] = STATE(5106),
    [sym_timestamp] = STATE(5106),
    [sym_enum] = STATE(5106),
    [sym_object_reference] = STATE(5203),
    [sym_identifier] = STATE(1360),
    [sym__identifier] = ACTIONS(337),
    [aux_sym_keyword_character_token1] = ACTIONS(131),
    [sym_keyword_unsigned] = ACTIONS(133),
    [sym_keyword_boolean] = ACTIONS(139),
    [sym_keyword_bit] = ACTIONS(141),
    [sym_keyword_binary] = ACTIONS(143),
    [sym_keyword_varbinary] = ACTIONS(145),
    [sym_keyword_image] = ACTIONS(139),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(147),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(147),
    [aux_sym_keyword_serial_token1] = ACTIONS(149),
    [aux_sym_keyword_serial_token2] = ACTIONS(149),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(151),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(151),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(153),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(153),
    [aux_sym_keyword_smallint_token1] = ACTIONS(155),
    [aux_sym_keyword_smallint_token2] = ACTIONS(155),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(157),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(157),
    [aux_sym_keyword_int_token1] = ACTIONS(159),
    [aux_sym_keyword_int_token2] = ACTIONS(159),
    [aux_sym_keyword_int_token3] = ACTIONS(159),
    [aux_sym_keyword_bigint_token1] = ACTIONS(161),
    [aux_sym_keyword_bigint_token2] = ACTIONS(161),
    [sym_keyword_decimal] = ACTIONS(163),
    [sym_keyword_numeric] = ACTIONS(165),
    [aux_sym_keyword_real_token1] = ACTIONS(167),
    [aux_sym_keyword_real_token2] = ACTIONS(167),
    [sym_keyword_float] = ACTIONS(169),
    [sym_keyword_double] = ACTIONS(171),
    [sym_keyword_inet] = ACTIONS(139),
    [sym_keyword_money] = ACTIONS(139),
    [sym_keyword_smallmoney] = ACTIONS(139),
    [aux_sym_keyword_char_token1] = ACTIONS(173),
    [sym_keyword_nchar] = ACTIONS(175),
    [aux_sym_keyword_varchar_token1] = ACTIONS(177),
    [sym_keyword_nvarchar] = ACTIONS(179),
    [sym_keyword_text] = ACTIONS(139),
    [sym_keyword_string] = ACTIONS(139),
    [sym_keyword_uuid] = ACTIONS(139),
    [sym_keyword_json] = ACTIONS(139),
    [sym_keyword_jsonb] = ACTIONS(139),
    [sym_keyword_xml] = ACTIONS(139),
    [sym_keyword_bytea] = ACTIONS(139),
    [sym_keyword_enum] = ACTIONS(181),
    [sym_keyword_date] = ACTIONS(139),
    [sym_keyword_datetime] = ACTIONS(139),
    [sym_keyword_datetime2] = ACTIONS(139),
    [sym_keyword_smalldatetime] = ACTIONS(139),
    [sym_keyword_datetimeoffset] = ACTIONS(183),
    [sym_keyword_time] = ACTIONS(185),
    [sym_keyword_timestamp] = ACTIONS(187),
    [sym_keyword_timestamptz] = ACTIONS(139),
    [sym_keyword_interval] = ACTIONS(139),
    [sym_keyword_geometry] = ACTIONS(139),
    [sym_keyword_geography] = ACTIONS(139),
    [sym_keyword_box2d] = ACTIONS(139),
    [sym_keyword_box3d] = ACTIONS(139),
    [sym_keyword_oid] = ACTIONS(139),
    [sym_keyword_name] = ACTIONS(139),
    [sym_keyword_regclass] = ACTIONS(139),
    [sym_keyword_regnamespace] = ACTIONS(139),
    [sym_keyword_regproc] = ACTIONS(139),
    [sym_keyword_regtype] = ACTIONS(139),
    [aux_sym_double_token1] = ACTIONS(189),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(339),
    [aux_sym_identifier_token1] = ACTIONS(339),
  },
  [16] = {
    [sym_keyword_smallserial] = STATE(6912),
    [sym_keyword_serial] = STATE(6912),
    [sym_keyword_bigserial] = STATE(6912),
    [sym_keyword_tinyint] = STATE(6916),
    [sym_keyword_smallint] = STATE(6915),
    [sym_keyword_mediumint] = STATE(6914),
    [sym_keyword_int] = STATE(6906),
    [sym_keyword_bigint] = STATE(6904),
    [sym_keyword_real] = STATE(6922),
    [sym_keyword_char] = STATE(7038),
    [sym_keyword_varchar] = STATE(7037),
    [sym__type] = STATE(7492),
    [sym_tinyint] = STATE(6912),
    [sym_smallint] = STATE(6912),
    [sym_mediumint] = STATE(6912),
    [sym_int] = STATE(6912),
    [sym_bigint] = STATE(6912),
    [sym_bit] = STATE(6912),
    [sym_binary] = STATE(6912),
    [sym_varbinary] = STATE(6912),
    [sym_float] = STATE(6912),
    [sym_double] = STATE(6912),
    [sym_decimal] = STATE(6912),
    [sym_numeric] = STATE(6912),
    [sym_char] = STATE(6912),
    [sym_varchar] = STATE(6912),
    [sym_nchar] = STATE(6912),
    [sym_nvarchar] = STATE(6912),
    [sym_datetimeoffset] = STATE(6912),
    [sym_time] = STATE(6912),
    [sym_timestamp] = STATE(6912),
    [sym_enum] = STATE(6912),
    [sym_object_reference] = STATE(6946),
    [sym_identifier] = STATE(3575),
    [sym__identifier] = ACTIONS(277),
    [aux_sym_keyword_character_token1] = ACTIONS(279),
    [sym_keyword_unsigned] = ACTIONS(281),
    [sym_keyword_boolean] = ACTIONS(283),
    [sym_keyword_bit] = ACTIONS(285),
    [sym_keyword_binary] = ACTIONS(287),
    [sym_keyword_varbinary] = ACTIONS(289),
    [sym_keyword_image] = ACTIONS(283),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(291),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(291),
    [aux_sym_keyword_serial_token1] = ACTIONS(293),
    [aux_sym_keyword_serial_token2] = ACTIONS(293),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(295),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(295),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(297),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(297),
    [aux_sym_keyword_smallint_token1] = ACTIONS(299),
    [aux_sym_keyword_smallint_token2] = ACTIONS(299),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(301),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(301),
    [aux_sym_keyword_int_token1] = ACTIONS(303),
    [aux_sym_keyword_int_token2] = ACTIONS(303),
    [aux_sym_keyword_int_token3] = ACTIONS(303),
    [aux_sym_keyword_bigint_token1] = ACTIONS(305),
    [aux_sym_keyword_bigint_token2] = ACTIONS(305),
    [sym_keyword_decimal] = ACTIONS(307),
    [sym_keyword_numeric] = ACTIONS(309),
    [aux_sym_keyword_real_token1] = ACTIONS(311),
    [aux_sym_keyword_real_token2] = ACTIONS(311),
    [sym_keyword_float] = ACTIONS(313),
    [sym_keyword_double] = ACTIONS(315),
    [sym_keyword_inet] = ACTIONS(283),
    [sym_keyword_money] = ACTIONS(283),
    [sym_keyword_smallmoney] = ACTIONS(283),
    [aux_sym_keyword_char_token1] = ACTIONS(317),
    [sym_keyword_nchar] = ACTIONS(319),
    [aux_sym_keyword_varchar_token1] = ACTIONS(321),
    [sym_keyword_nvarchar] = ACTIONS(323),
    [sym_keyword_text] = ACTIONS(283),
    [sym_keyword_string] = ACTIONS(283),
    [sym_keyword_uuid] = ACTIONS(283),
    [sym_keyword_json] = ACTIONS(283),
    [sym_keyword_jsonb] = ACTIONS(283),
    [sym_keyword_xml] = ACTIONS(283),
    [sym_keyword_bytea] = ACTIONS(283),
    [sym_keyword_enum] = ACTIONS(325),
    [sym_keyword_date] = ACTIONS(283),
    [sym_keyword_datetime] = ACTIONS(283),
    [sym_keyword_datetime2] = ACTIONS(283),
    [sym_keyword_smalldatetime] = ACTIONS(283),
    [sym_keyword_datetimeoffset] = ACTIONS(327),
    [sym_keyword_time] = ACTIONS(329),
    [sym_keyword_timestamp] = ACTIONS(331),
    [sym_keyword_timestamptz] = ACTIONS(283),
    [sym_keyword_interval] = ACTIONS(283),
    [sym_keyword_geometry] = ACTIONS(283),
    [sym_keyword_geography] = ACTIONS(283),
    [sym_keyword_box2d] = ACTIONS(283),
    [sym_keyword_box3d] = ACTIONS(283),
    [sym_keyword_oid] = ACTIONS(283),
    [sym_keyword_name] = ACTIONS(283),
    [sym_keyword_regclass] = ACTIONS(283),
    [sym_keyword_regnamespace] = ACTIONS(283),
    [sym_keyword_regproc] = ACTIONS(283),
    [sym_keyword_regtype] = ACTIONS(283),
    [aux_sym_double_token1] = ACTIONS(333),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(335),
    [aux_sym_identifier_token1] = ACTIONS(335),
  },
  [17] = {
    [sym_keyword_smallserial] = STATE(5106),
    [sym_keyword_serial] = STATE(5106),
    [sym_keyword_bigserial] = STATE(5106),
    [sym_keyword_tinyint] = STATE(5155),
    [sym_keyword_smallint] = STATE(5159),
    [sym_keyword_mediumint] = STATE(5189),
    [sym_keyword_int] = STATE(5190),
    [sym_keyword_bigint] = STATE(5191),
    [sym_keyword_real] = STATE(5192),
    [sym_keyword_char] = STATE(5938),
    [sym_keyword_varchar] = STATE(6033),
    [sym__type] = STATE(6429),
    [sym_tinyint] = STATE(5106),
    [sym_smallint] = STATE(5106),
    [sym_mediumint] = STATE(5106),
    [sym_int] = STATE(5106),
    [sym_bigint] = STATE(5106),
    [sym_bit] = STATE(5106),
    [sym_binary] = STATE(5106),
    [sym_varbinary] = STATE(5106),
    [sym_float] = STATE(5106),
    [sym_double] = STATE(5106),
    [sym_decimal] = STATE(5106),
    [sym_numeric] = STATE(5106),
    [sym_char] = STATE(5106),
    [sym_varchar] = STATE(5106),
    [sym_nchar] = STATE(5106),
    [sym_nvarchar] = STATE(5106),
    [sym_datetimeoffset] = STATE(5106),
    [sym_time] = STATE(5106),
    [sym_timestamp] = STATE(5106),
    [sym_enum] = STATE(5106),
    [sym_object_reference] = STATE(5203),
    [sym_identifier] = STATE(6812),
    [sym__identifier] = ACTIONS(127),
    [aux_sym_keyword_character_token1] = ACTIONS(131),
    [sym_keyword_unsigned] = ACTIONS(133),
    [sym_keyword_boolean] = ACTIONS(139),
    [sym_keyword_bit] = ACTIONS(141),
    [sym_keyword_binary] = ACTIONS(143),
    [sym_keyword_varbinary] = ACTIONS(145),
    [sym_keyword_image] = ACTIONS(139),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(147),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(147),
    [aux_sym_keyword_serial_token1] = ACTIONS(149),
    [aux_sym_keyword_serial_token2] = ACTIONS(149),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(151),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(151),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(153),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(153),
    [aux_sym_keyword_smallint_token1] = ACTIONS(155),
    [aux_sym_keyword_smallint_token2] = ACTIONS(155),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(157),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(157),
    [aux_sym_keyword_int_token1] = ACTIONS(159),
    [aux_sym_keyword_int_token2] = ACTIONS(159),
    [aux_sym_keyword_int_token3] = ACTIONS(159),
    [aux_sym_keyword_bigint_token1] = ACTIONS(161),
    [aux_sym_keyword_bigint_token2] = ACTIONS(161),
    [sym_keyword_decimal] = ACTIONS(163),
    [sym_keyword_numeric] = ACTIONS(165),
    [aux_sym_keyword_real_token1] = ACTIONS(167),
    [aux_sym_keyword_real_token2] = ACTIONS(167),
    [sym_keyword_float] = ACTIONS(169),
    [sym_keyword_double] = ACTIONS(171),
    [sym_keyword_inet] = ACTIONS(139),
    [sym_keyword_money] = ACTIONS(139),
    [sym_keyword_smallmoney] = ACTIONS(139),
    [aux_sym_keyword_char_token1] = ACTIONS(173),
    [sym_keyword_nchar] = ACTIONS(175),
    [aux_sym_keyword_varchar_token1] = ACTIONS(177),
    [sym_keyword_nvarchar] = ACTIONS(179),
    [sym_keyword_text] = ACTIONS(139),
    [sym_keyword_string] = ACTIONS(139),
    [sym_keyword_uuid] = ACTIONS(139),
    [sym_keyword_json] = ACTIONS(139),
    [sym_keyword_jsonb] = ACTIONS(139),
    [sym_keyword_xml] = ACTIONS(139),
    [sym_keyword_bytea] = ACTIONS(139),
    [sym_keyword_enum] = ACTIONS(181),
    [sym_keyword_date] = ACTIONS(139),
    [sym_keyword_datetime] = ACTIONS(139),
    [sym_keyword_datetime2] = ACTIONS(139),
    [sym_keyword_smalldatetime] = ACTIONS(139),
    [sym_keyword_datetimeoffset] = ACTIONS(183),
    [sym_keyword_time] = ACTIONS(185),
    [sym_keyword_timestamp] = ACTIONS(187),
    [sym_keyword_timestamptz] = ACTIONS(139),
    [sym_keyword_interval] = ACTIONS(139),
    [sym_keyword_geometry] = ACTIONS(139),
    [sym_keyword_geography] = ACTIONS(139),
    [sym_keyword_box2d] = ACTIONS(139),
    [sym_keyword_box3d] = ACTIONS(139),
    [sym_keyword_oid] = ACTIONS(139),
    [sym_keyword_name] = ACTIONS(139),
    [sym_keyword_regclass] = ACTIONS(139),
    [sym_keyword_regnamespace] = ACTIONS(139),
    [sym_keyword_regproc] = ACTIONS(139),
    [sym_keyword_regtype] = ACTIONS(139),
    [aux_sym_double_token1] = ACTIONS(189),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(191),
    [aux_sym_identifier_token1] = ACTIONS(191),
  },
  [18] = {
    [sym_keyword_smallserial] = STATE(7120),
    [sym_keyword_serial] = STATE(7120),
    [sym_keyword_bigserial] = STATE(7120),
    [sym_keyword_tinyint] = STATE(1707),
    [sym_keyword_smallint] = STATE(1711),
    [sym_keyword_mediumint] = STATE(1712),
    [sym_keyword_int] = STATE(1714),
    [sym_keyword_bigint] = STATE(1717),
    [sym_keyword_real] = STATE(1744),
    [sym_keyword_char] = STATE(2284),
    [sym_keyword_varchar] = STATE(2290),
    [sym__type] = STATE(14268),
    [sym_tinyint] = STATE(7120),
    [sym_smallint] = STATE(7120),
    [sym_mediumint] = STATE(7120),
    [sym_int] = STATE(7120),
    [sym_bigint] = STATE(7120),
    [sym_bit] = STATE(7120),
    [sym_binary] = STATE(7120),
    [sym_varbinary] = STATE(7120),
    [sym_float] = STATE(7120),
    [sym_double] = STATE(7120),
    [sym_decimal] = STATE(7120),
    [sym_numeric] = STATE(7120),
    [sym_char] = STATE(7120),
    [sym_varchar] = STATE(7120),
    [sym_nchar] = STATE(7120),
    [sym_nvarchar] = STATE(7120),
    [sym_datetimeoffset] = STATE(7120),
    [sym_time] = STATE(7120),
    [sym_timestamp] = STATE(7120),
    [sym_enum] = STATE(7120),
    [sym_object_reference] = STATE(7127),
    [sym_identifier] = STATE(6414),
    [sym__identifier] = ACTIONS(51),
    [aux_sym_keyword_character_token1] = ACTIONS(53),
    [sym_keyword_unsigned] = ACTIONS(57),
    [sym_keyword_boolean] = ACTIONS(59),
    [sym_keyword_bit] = ACTIONS(61),
    [sym_keyword_binary] = ACTIONS(63),
    [sym_keyword_varbinary] = ACTIONS(65),
    [sym_keyword_image] = ACTIONS(59),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(67),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(67),
    [aux_sym_keyword_serial_token1] = ACTIONS(69),
    [aux_sym_keyword_serial_token2] = ACTIONS(69),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(71),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(71),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(73),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(73),
    [aux_sym_keyword_smallint_token1] = ACTIONS(75),
    [aux_sym_keyword_smallint_token2] = ACTIONS(75),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(77),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(77),
    [aux_sym_keyword_int_token1] = ACTIONS(79),
    [aux_sym_keyword_int_token2] = ACTIONS(79),
    [aux_sym_keyword_int_token3] = ACTIONS(79),
    [aux_sym_keyword_bigint_token1] = ACTIONS(81),
    [aux_sym_keyword_bigint_token2] = ACTIONS(81),
    [sym_keyword_decimal] = ACTIONS(83),
    [sym_keyword_numeric] = ACTIONS(85),
    [aux_sym_keyword_real_token1] = ACTIONS(87),
    [aux_sym_keyword_real_token2] = ACTIONS(87),
    [sym_keyword_float] = ACTIONS(89),
    [sym_keyword_double] = ACTIONS(91),
    [sym_keyword_inet] = ACTIONS(59),
    [sym_keyword_money] = ACTIONS(59),
    [sym_keyword_smallmoney] = ACTIONS(59),
    [aux_sym_keyword_char_token1] = ACTIONS(93),
    [sym_keyword_nchar] = ACTIONS(95),
    [aux_sym_keyword_varchar_token1] = ACTIONS(97),
    [sym_keyword_nvarchar] = ACTIONS(99),
    [sym_keyword_text] = ACTIONS(59),
    [sym_keyword_string] = ACTIONS(59),
    [sym_keyword_uuid] = ACTIONS(59),
    [sym_keyword_json] = ACTIONS(59),
    [sym_keyword_jsonb] = ACTIONS(59),
    [sym_keyword_xml] = ACTIONS(59),
    [sym_keyword_bytea] = ACTIONS(59),
    [sym_keyword_enum] = ACTIONS(101),
    [sym_keyword_date] = ACTIONS(59),
    [sym_keyword_datetime] = ACTIONS(59),
    [sym_keyword_datetime2] = ACTIONS(59),
    [sym_keyword_smalldatetime] = ACTIONS(59),
    [sym_keyword_datetimeoffset] = ACTIONS(103),
    [sym_keyword_time] = ACTIONS(105),
    [sym_keyword_timestamp] = ACTIONS(107),
    [sym_keyword_timestamptz] = ACTIONS(59),
    [sym_keyword_interval] = ACTIONS(59),
    [sym_keyword_geometry] = ACTIONS(59),
    [sym_keyword_geography] = ACTIONS(59),
    [sym_keyword_box2d] = ACTIONS(59),
    [sym_keyword_box3d] = ACTIONS(59),
    [sym_keyword_oid] = ACTIONS(59),
    [sym_keyword_name] = ACTIONS(59),
    [sym_keyword_regclass] = ACTIONS(59),
    [sym_keyword_regnamespace] = ACTIONS(59),
    [sym_keyword_regproc] = ACTIONS(59),
    [sym_keyword_regtype] = ACTIONS(59),
    [aux_sym_double_token1] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
  },
  [19] = {
    [sym_keyword_smallserial] = STATE(4749),
    [sym_keyword_serial] = STATE(4749),
    [sym_keyword_bigserial] = STATE(4749),
    [sym_keyword_tinyint] = STATE(4773),
    [sym_keyword_smallint] = STATE(4769),
    [sym_keyword_mediumint] = STATE(4768),
    [sym_keyword_int] = STATE(4767),
    [sym_keyword_bigint] = STATE(4766),
    [sym_keyword_real] = STATE(4765),
    [sym_keyword_char] = STATE(4980),
    [sym_keyword_varchar] = STATE(4978),
    [sym__type] = STATE(2656),
    [sym_tinyint] = STATE(4749),
    [sym_smallint] = STATE(4749),
    [sym_mediumint] = STATE(4749),
    [sym_int] = STATE(4749),
    [sym_bigint] = STATE(4749),
    [sym_bit] = STATE(4749),
    [sym_binary] = STATE(4749),
    [sym_varbinary] = STATE(4749),
    [sym_float] = STATE(4749),
    [sym_double] = STATE(4749),
    [sym_decimal] = STATE(4749),
    [sym_numeric] = STATE(4749),
    [sym_char] = STATE(4749),
    [sym_varchar] = STATE(4749),
    [sym_nchar] = STATE(4749),
    [sym_nvarchar] = STATE(4749),
    [sym_datetimeoffset] = STATE(4749),
    [sym_time] = STATE(4749),
    [sym_timestamp] = STATE(4749),
    [sym_enum] = STATE(4749),
    [sym_object_reference] = STATE(4747),
    [sym_identifier] = STATE(2769),
    [sym__identifier] = ACTIONS(341),
    [aux_sym_keyword_character_token1] = ACTIONS(343),
    [sym_keyword_unsigned] = ACTIONS(345),
    [sym_keyword_boolean] = ACTIONS(347),
    [sym_keyword_bit] = ACTIONS(349),
    [sym_keyword_binary] = ACTIONS(351),
    [sym_keyword_varbinary] = ACTIONS(353),
    [sym_keyword_image] = ACTIONS(347),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(355),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(355),
    [aux_sym_keyword_serial_token1] = ACTIONS(357),
    [aux_sym_keyword_serial_token2] = ACTIONS(357),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(359),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(359),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(361),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(361),
    [aux_sym_keyword_smallint_token1] = ACTIONS(363),
    [aux_sym_keyword_smallint_token2] = ACTIONS(363),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(365),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(365),
    [aux_sym_keyword_int_token1] = ACTIONS(367),
    [aux_sym_keyword_int_token2] = ACTIONS(367),
    [aux_sym_keyword_int_token3] = ACTIONS(367),
    [aux_sym_keyword_bigint_token1] = ACTIONS(369),
    [aux_sym_keyword_bigint_token2] = ACTIONS(369),
    [sym_keyword_decimal] = ACTIONS(371),
    [sym_keyword_numeric] = ACTIONS(373),
    [aux_sym_keyword_real_token1] = ACTIONS(375),
    [aux_sym_keyword_real_token2] = ACTIONS(375),
    [sym_keyword_float] = ACTIONS(377),
    [sym_keyword_double] = ACTIONS(379),
    [sym_keyword_inet] = ACTIONS(347),
    [sym_keyword_money] = ACTIONS(347),
    [sym_keyword_smallmoney] = ACTIONS(347),
    [aux_sym_keyword_char_token1] = ACTIONS(381),
    [sym_keyword_nchar] = ACTIONS(383),
    [aux_sym_keyword_varchar_token1] = ACTIONS(385),
    [sym_keyword_nvarchar] = ACTIONS(387),
    [sym_keyword_text] = ACTIONS(347),
    [sym_keyword_string] = ACTIONS(347),
    [sym_keyword_uuid] = ACTIONS(347),
    [sym_keyword_json] = ACTIONS(347),
    [sym_keyword_jsonb] = ACTIONS(347),
    [sym_keyword_xml] = ACTIONS(347),
    [sym_keyword_bytea] = ACTIONS(347),
    [sym_keyword_enum] = ACTIONS(389),
    [sym_keyword_date] = ACTIONS(347),
    [sym_keyword_datetime] = ACTIONS(347),
    [sym_keyword_datetime2] = ACTIONS(347),
    [sym_keyword_smalldatetime] = ACTIONS(347),
    [sym_keyword_datetimeoffset] = ACTIONS(391),
    [sym_keyword_time] = ACTIONS(393),
    [sym_keyword_timestamp] = ACTIONS(395),
    [sym_keyword_timestamptz] = ACTIONS(347),
    [sym_keyword_interval] = ACTIONS(347),
    [sym_keyword_geometry] = ACTIONS(347),
    [sym_keyword_geography] = ACTIONS(347),
    [sym_keyword_box2d] = ACTIONS(347),
    [sym_keyword_box3d] = ACTIONS(347),
    [sym_keyword_oid] = ACTIONS(347),
    [sym_keyword_name] = ACTIONS(347),
    [sym_keyword_regclass] = ACTIONS(347),
    [sym_keyword_regnamespace] = ACTIONS(347),
    [sym_keyword_regproc] = ACTIONS(347),
    [sym_keyword_regtype] = ACTIONS(347),
    [aux_sym_double_token1] = ACTIONS(397),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(399),
    [aux_sym_identifier_token1] = ACTIONS(399),
  },
  [20] = {
    [sym_keyword_smallserial] = STATE(7583),
    [sym_keyword_serial] = STATE(7583),
    [sym_keyword_bigserial] = STATE(7583),
    [sym_keyword_tinyint] = STATE(2543),
    [sym_keyword_smallint] = STATE(2547),
    [sym_keyword_mediumint] = STATE(2552),
    [sym_keyword_int] = STATE(2554),
    [sym_keyword_bigint] = STATE(2558),
    [sym_keyword_real] = STATE(2559),
    [sym_keyword_char] = STATE(2752),
    [sym_keyword_varchar] = STATE(2753),
    [sym__type] = STATE(8602),
    [sym_tinyint] = STATE(7583),
    [sym_smallint] = STATE(7583),
    [sym_mediumint] = STATE(7583),
    [sym_int] = STATE(7583),
    [sym_bigint] = STATE(7583),
    [sym_bit] = STATE(7583),
    [sym_binary] = STATE(7583),
    [sym_varbinary] = STATE(7583),
    [sym_float] = STATE(7583),
    [sym_double] = STATE(7583),
    [sym_decimal] = STATE(7583),
    [sym_numeric] = STATE(7583),
    [sym_char] = STATE(7583),
    [sym_varchar] = STATE(7583),
    [sym_nchar] = STATE(7583),
    [sym_nvarchar] = STATE(7583),
    [sym_datetimeoffset] = STATE(7583),
    [sym_time] = STATE(7583),
    [sym_timestamp] = STATE(7583),
    [sym_enum] = STATE(7583),
    [sym_object_reference] = STATE(7581),
    [sym_identifier] = STATE(7262),
    [sym__identifier] = ACTIONS(211),
    [aux_sym_keyword_character_token1] = ACTIONS(213),
    [sym_keyword_unsigned] = ACTIONS(215),
    [sym_keyword_boolean] = ACTIONS(217),
    [sym_keyword_bit] = ACTIONS(219),
    [sym_keyword_binary] = ACTIONS(221),
    [sym_keyword_varbinary] = ACTIONS(223),
    [sym_keyword_image] = ACTIONS(217),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(225),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(225),
    [aux_sym_keyword_serial_token1] = ACTIONS(227),
    [aux_sym_keyword_serial_token2] = ACTIONS(227),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(229),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(229),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(231),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(231),
    [aux_sym_keyword_smallint_token1] = ACTIONS(233),
    [aux_sym_keyword_smallint_token2] = ACTIONS(233),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(235),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(235),
    [aux_sym_keyword_int_token1] = ACTIONS(237),
    [aux_sym_keyword_int_token2] = ACTIONS(237),
    [aux_sym_keyword_int_token3] = ACTIONS(237),
    [aux_sym_keyword_bigint_token1] = ACTIONS(239),
    [aux_sym_keyword_bigint_token2] = ACTIONS(239),
    [sym_keyword_decimal] = ACTIONS(241),
    [sym_keyword_numeric] = ACTIONS(243),
    [aux_sym_keyword_real_token1] = ACTIONS(245),
    [aux_sym_keyword_real_token2] = ACTIONS(245),
    [sym_keyword_float] = ACTIONS(247),
    [sym_keyword_double] = ACTIONS(249),
    [sym_keyword_inet] = ACTIONS(217),
    [sym_keyword_money] = ACTIONS(217),
    [sym_keyword_smallmoney] = ACTIONS(217),
    [aux_sym_keyword_char_token1] = ACTIONS(251),
    [sym_keyword_nchar] = ACTIONS(253),
    [aux_sym_keyword_varchar_token1] = ACTIONS(255),
    [sym_keyword_nvarchar] = ACTIONS(257),
    [sym_keyword_text] = ACTIONS(217),
    [sym_keyword_string] = ACTIONS(217),
    [sym_keyword_uuid] = ACTIONS(217),
    [sym_keyword_json] = ACTIONS(217),
    [sym_keyword_jsonb] = ACTIONS(217),
    [sym_keyword_xml] = ACTIONS(217),
    [sym_keyword_bytea] = ACTIONS(217),
    [sym_keyword_enum] = ACTIONS(259),
    [sym_keyword_date] = ACTIONS(217),
    [sym_keyword_datetime] = ACTIONS(217),
    [sym_keyword_datetime2] = ACTIONS(217),
    [sym_keyword_smalldatetime] = ACTIONS(217),
    [sym_keyword_datetimeoffset] = ACTIONS(261),
    [sym_keyword_time] = ACTIONS(263),
    [sym_keyword_timestamp] = ACTIONS(265),
    [sym_keyword_timestamptz] = ACTIONS(217),
    [sym_keyword_interval] = ACTIONS(217),
    [sym_keyword_geometry] = ACTIONS(217),
    [sym_keyword_geography] = ACTIONS(217),
    [sym_keyword_box2d] = ACTIONS(217),
    [sym_keyword_box3d] = ACTIONS(217),
    [sym_keyword_oid] = ACTIONS(217),
    [sym_keyword_name] = ACTIONS(217),
    [sym_keyword_regclass] = ACTIONS(217),
    [sym_keyword_regnamespace] = ACTIONS(217),
    [sym_keyword_regproc] = ACTIONS(217),
    [sym_keyword_regtype] = ACTIONS(217),
    [aux_sym_double_token1] = ACTIONS(267),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(269),
    [aux_sym_identifier_token1] = ACTIONS(269),
  },
  [21] = {
    [sym_keyword_smallserial] = STATE(2743),
    [sym_keyword_serial] = STATE(2743),
    [sym_keyword_bigserial] = STATE(2743),
    [sym_keyword_tinyint] = STATE(1707),
    [sym_keyword_smallint] = STATE(1711),
    [sym_keyword_mediumint] = STATE(1712),
    [sym_keyword_int] = STATE(1714),
    [sym_keyword_bigint] = STATE(1717),
    [sym_keyword_real] = STATE(1744),
    [sym_keyword_char] = STATE(2284),
    [sym_keyword_varchar] = STATE(2290),
    [sym__type] = STATE(4323),
    [sym_tinyint] = STATE(2743),
    [sym_smallint] = STATE(2743),
    [sym_mediumint] = STATE(2743),
    [sym_int] = STATE(2743),
    [sym_bigint] = STATE(2743),
    [sym_bit] = STATE(2743),
    [sym_binary] = STATE(2743),
    [sym_varbinary] = STATE(2743),
    [sym_float] = STATE(2743),
    [sym_double] = STATE(2743),
    [sym_decimal] = STATE(2743),
    [sym_numeric] = STATE(2743),
    [sym_char] = STATE(2743),
    [sym_varchar] = STATE(2743),
    [sym_nchar] = STATE(2743),
    [sym_nvarchar] = STATE(2743),
    [sym_datetimeoffset] = STATE(2743),
    [sym_time] = STATE(2743),
    [sym_timestamp] = STATE(2743),
    [sym_enum] = STATE(2743),
    [sym_object_reference] = STATE(2755),
    [sym_identifier] = STATE(3344),
    [sym__identifier] = ACTIONS(401),
    [aux_sym_keyword_character_token1] = ACTIONS(53),
    [sym_keyword_unsigned] = ACTIONS(57),
    [sym_keyword_boolean] = ACTIONS(403),
    [sym_keyword_bit] = ACTIONS(61),
    [sym_keyword_binary] = ACTIONS(63),
    [sym_keyword_varbinary] = ACTIONS(65),
    [sym_keyword_image] = ACTIONS(403),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(67),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(67),
    [aux_sym_keyword_serial_token1] = ACTIONS(69),
    [aux_sym_keyword_serial_token2] = ACTIONS(69),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(71),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(71),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(73),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(73),
    [aux_sym_keyword_smallint_token1] = ACTIONS(75),
    [aux_sym_keyword_smallint_token2] = ACTIONS(75),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(77),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(77),
    [aux_sym_keyword_int_token1] = ACTIONS(79),
    [aux_sym_keyword_int_token2] = ACTIONS(79),
    [aux_sym_keyword_int_token3] = ACTIONS(79),
    [aux_sym_keyword_bigint_token1] = ACTIONS(81),
    [aux_sym_keyword_bigint_token2] = ACTIONS(81),
    [sym_keyword_decimal] = ACTIONS(83),
    [sym_keyword_numeric] = ACTIONS(85),
    [aux_sym_keyword_real_token1] = ACTIONS(87),
    [aux_sym_keyword_real_token2] = ACTIONS(87),
    [sym_keyword_float] = ACTIONS(89),
    [sym_keyword_double] = ACTIONS(91),
    [sym_keyword_inet] = ACTIONS(403),
    [sym_keyword_money] = ACTIONS(403),
    [sym_keyword_smallmoney] = ACTIONS(403),
    [aux_sym_keyword_char_token1] = ACTIONS(93),
    [sym_keyword_nchar] = ACTIONS(95),
    [aux_sym_keyword_varchar_token1] = ACTIONS(97),
    [sym_keyword_nvarchar] = ACTIONS(99),
    [sym_keyword_text] = ACTIONS(403),
    [sym_keyword_string] = ACTIONS(403),
    [sym_keyword_uuid] = ACTIONS(403),
    [sym_keyword_json] = ACTIONS(403),
    [sym_keyword_jsonb] = ACTIONS(403),
    [sym_keyword_xml] = ACTIONS(403),
    [sym_keyword_bytea] = ACTIONS(403),
    [sym_keyword_enum] = ACTIONS(101),
    [sym_keyword_date] = ACTIONS(403),
    [sym_keyword_datetime] = ACTIONS(403),
    [sym_keyword_datetime2] = ACTIONS(403),
    [sym_keyword_smalldatetime] = ACTIONS(403),
    [sym_keyword_datetimeoffset] = ACTIONS(103),
    [sym_keyword_time] = ACTIONS(105),
    [sym_keyword_timestamp] = ACTIONS(107),
    [sym_keyword_timestamptz] = ACTIONS(403),
    [sym_keyword_interval] = ACTIONS(403),
    [sym_keyword_geometry] = ACTIONS(403),
    [sym_keyword_geography] = ACTIONS(403),
    [sym_keyword_box2d] = ACTIONS(403),
    [sym_keyword_box3d] = ACTIONS(403),
    [sym_keyword_oid] = ACTIONS(403),
    [sym_keyword_name] = ACTIONS(403),
    [sym_keyword_regclass] = ACTIONS(403),
    [sym_keyword_regnamespace] = ACTIONS(403),
    [sym_keyword_regproc] = ACTIONS(403),
    [sym_keyword_regtype] = ACTIONS(403),
    [aux_sym_double_token1] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(405),
    [aux_sym_identifier_token1] = ACTIONS(405),
  },
  [22] = {
    [sym_keyword_smallserial] = STATE(1214),
    [sym_keyword_serial] = STATE(1214),
    [sym_keyword_bigserial] = STATE(1214),
    [sym_keyword_tinyint] = STATE(1616),
    [sym_keyword_smallint] = STATE(1622),
    [sym_keyword_mediumint] = STATE(1624),
    [sym_keyword_int] = STATE(1637),
    [sym_keyword_bigint] = STATE(1673),
    [sym_keyword_real] = STATE(1675),
    [sym_keyword_char] = STATE(2258),
    [sym_keyword_varchar] = STATE(2266),
    [sym__type] = STATE(2705),
    [sym_tinyint] = STATE(1214),
    [sym_smallint] = STATE(1214),
    [sym_mediumint] = STATE(1214),
    [sym_int] = STATE(1214),
    [sym_bigint] = STATE(1214),
    [sym_bit] = STATE(1214),
    [sym_binary] = STATE(1214),
    [sym_varbinary] = STATE(1214),
    [sym_float] = STATE(1214),
    [sym_double] = STATE(1214),
    [sym_decimal] = STATE(1214),
    [sym_numeric] = STATE(1214),
    [sym_char] = STATE(1214),
    [sym_varchar] = STATE(1214),
    [sym_nchar] = STATE(1214),
    [sym_nvarchar] = STATE(1214),
    [sym_datetimeoffset] = STATE(1214),
    [sym_time] = STATE(1214),
    [sym_timestamp] = STATE(1214),
    [sym_enum] = STATE(1214),
    [sym_object_reference] = STATE(1139),
    [sym_identifier] = STATE(2169),
    [sym__identifier] = ACTIONS(407),
    [aux_sym_keyword_character_token1] = ACTIONS(409),
    [sym_keyword_unsigned] = ACTIONS(411),
    [sym_keyword_boolean] = ACTIONS(413),
    [sym_keyword_bit] = ACTIONS(415),
    [sym_keyword_binary] = ACTIONS(417),
    [sym_keyword_varbinary] = ACTIONS(419),
    [sym_keyword_image] = ACTIONS(413),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(421),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(421),
    [aux_sym_keyword_serial_token1] = ACTIONS(423),
    [aux_sym_keyword_serial_token2] = ACTIONS(423),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(425),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(425),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(427),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(427),
    [aux_sym_keyword_smallint_token1] = ACTIONS(429),
    [aux_sym_keyword_smallint_token2] = ACTIONS(429),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(431),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(431),
    [aux_sym_keyword_int_token1] = ACTIONS(433),
    [aux_sym_keyword_int_token2] = ACTIONS(433),
    [aux_sym_keyword_int_token3] = ACTIONS(433),
    [aux_sym_keyword_bigint_token1] = ACTIONS(435),
    [aux_sym_keyword_bigint_token2] = ACTIONS(435),
    [sym_keyword_decimal] = ACTIONS(437),
    [sym_keyword_numeric] = ACTIONS(439),
    [aux_sym_keyword_real_token1] = ACTIONS(441),
    [aux_sym_keyword_real_token2] = ACTIONS(441),
    [sym_keyword_float] = ACTIONS(443),
    [sym_keyword_double] = ACTIONS(445),
    [sym_keyword_inet] = ACTIONS(413),
    [sym_keyword_money] = ACTIONS(413),
    [sym_keyword_smallmoney] = ACTIONS(413),
    [aux_sym_keyword_char_token1] = ACTIONS(447),
    [sym_keyword_nchar] = ACTIONS(449),
    [aux_sym_keyword_varchar_token1] = ACTIONS(451),
    [sym_keyword_nvarchar] = ACTIONS(453),
    [sym_keyword_text] = ACTIONS(413),
    [sym_keyword_string] = ACTIONS(413),
    [sym_keyword_uuid] = ACTIONS(413),
    [sym_keyword_json] = ACTIONS(413),
    [sym_keyword_jsonb] = ACTIONS(413),
    [sym_keyword_xml] = ACTIONS(413),
    [sym_keyword_bytea] = ACTIONS(413),
    [sym_keyword_enum] = ACTIONS(455),
    [sym_keyword_date] = ACTIONS(413),
    [sym_keyword_datetime] = ACTIONS(413),
    [sym_keyword_datetime2] = ACTIONS(413),
    [sym_keyword_smalldatetime] = ACTIONS(413),
    [sym_keyword_datetimeoffset] = ACTIONS(457),
    [sym_keyword_time] = ACTIONS(459),
    [sym_keyword_timestamp] = ACTIONS(461),
    [sym_keyword_timestamptz] = ACTIONS(413),
    [sym_keyword_interval] = ACTIONS(413),
    [sym_keyword_geometry] = ACTIONS(413),
    [sym_keyword_geography] = ACTIONS(413),
    [sym_keyword_box2d] = ACTIONS(413),
    [sym_keyword_box3d] = ACTIONS(413),
    [sym_keyword_oid] = ACTIONS(413),
    [sym_keyword_name] = ACTIONS(413),
    [sym_keyword_regclass] = ACTIONS(413),
    [sym_keyword_regnamespace] = ACTIONS(413),
    [sym_keyword_regproc] = ACTIONS(413),
    [sym_keyword_regtype] = ACTIONS(413),
    [aux_sym_double_token1] = ACTIONS(463),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(465),
    [aux_sym_identifier_token1] = ACTIONS(465),
  },
  [23] = {
    [sym_keyword_smallserial] = STATE(3301),
    [sym_keyword_serial] = STATE(3301),
    [sym_keyword_bigserial] = STATE(3301),
    [sym_keyword_tinyint] = STATE(3225),
    [sym_keyword_smallint] = STATE(3220),
    [sym_keyword_mediumint] = STATE(3218),
    [sym_keyword_int] = STATE(3217),
    [sym_keyword_bigint] = STATE(3214),
    [sym_keyword_real] = STATE(3212),
    [sym_keyword_char] = STATE(4046),
    [sym_keyword_varchar] = STATE(4045),
    [sym__type] = STATE(4716),
    [sym_tinyint] = STATE(3301),
    [sym_smallint] = STATE(3301),
    [sym_mediumint] = STATE(3301),
    [sym_int] = STATE(3301),
    [sym_bigint] = STATE(3301),
    [sym_bit] = STATE(3301),
    [sym_binary] = STATE(3301),
    [sym_varbinary] = STATE(3301),
    [sym_float] = STATE(3301),
    [sym_double] = STATE(3301),
    [sym_decimal] = STATE(3301),
    [sym_numeric] = STATE(3301),
    [sym_char] = STATE(3301),
    [sym_varchar] = STATE(3301),
    [sym_nchar] = STATE(3301),
    [sym_nvarchar] = STATE(3301),
    [sym_datetimeoffset] = STATE(3301),
    [sym_time] = STATE(3301),
    [sym_timestamp] = STATE(3301),
    [sym_enum] = STATE(3301),
    [sym_object_reference] = STATE(3201),
    [sym_identifier] = STATE(4281),
    [sym__identifier] = ACTIONS(467),
    [aux_sym_keyword_character_token1] = ACTIONS(469),
    [sym_keyword_unsigned] = ACTIONS(471),
    [sym_keyword_boolean] = ACTIONS(473),
    [sym_keyword_bit] = ACTIONS(475),
    [sym_keyword_binary] = ACTIONS(477),
    [sym_keyword_varbinary] = ACTIONS(479),
    [sym_keyword_image] = ACTIONS(473),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(481),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(481),
    [aux_sym_keyword_serial_token1] = ACTIONS(483),
    [aux_sym_keyword_serial_token2] = ACTIONS(483),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(485),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(485),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(487),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(487),
    [aux_sym_keyword_smallint_token1] = ACTIONS(489),
    [aux_sym_keyword_smallint_token2] = ACTIONS(489),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(491),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(491),
    [aux_sym_keyword_int_token1] = ACTIONS(493),
    [aux_sym_keyword_int_token2] = ACTIONS(493),
    [aux_sym_keyword_int_token3] = ACTIONS(493),
    [aux_sym_keyword_bigint_token1] = ACTIONS(495),
    [aux_sym_keyword_bigint_token2] = ACTIONS(495),
    [sym_keyword_decimal] = ACTIONS(497),
    [sym_keyword_numeric] = ACTIONS(499),
    [aux_sym_keyword_real_token1] = ACTIONS(501),
    [aux_sym_keyword_real_token2] = ACTIONS(501),
    [sym_keyword_float] = ACTIONS(503),
    [sym_keyword_double] = ACTIONS(505),
    [sym_keyword_inet] = ACTIONS(473),
    [sym_keyword_money] = ACTIONS(473),
    [sym_keyword_smallmoney] = ACTIONS(473),
    [aux_sym_keyword_char_token1] = ACTIONS(507),
    [sym_keyword_nchar] = ACTIONS(509),
    [aux_sym_keyword_varchar_token1] = ACTIONS(511),
    [sym_keyword_nvarchar] = ACTIONS(513),
    [sym_keyword_text] = ACTIONS(473),
    [sym_keyword_string] = ACTIONS(473),
    [sym_keyword_uuid] = ACTIONS(473),
    [sym_keyword_json] = ACTIONS(473),
    [sym_keyword_jsonb] = ACTIONS(473),
    [sym_keyword_xml] = ACTIONS(473),
    [sym_keyword_bytea] = ACTIONS(473),
    [sym_keyword_enum] = ACTIONS(515),
    [sym_keyword_date] = ACTIONS(473),
    [sym_keyword_datetime] = ACTIONS(473),
    [sym_keyword_datetime2] = ACTIONS(473),
    [sym_keyword_smalldatetime] = ACTIONS(473),
    [sym_keyword_datetimeoffset] = ACTIONS(517),
    [sym_keyword_time] = ACTIONS(519),
    [sym_keyword_timestamp] = ACTIONS(521),
    [sym_keyword_timestamptz] = ACTIONS(473),
    [sym_keyword_interval] = ACTIONS(473),
    [sym_keyword_geometry] = ACTIONS(473),
    [sym_keyword_geography] = ACTIONS(473),
    [sym_keyword_box2d] = ACTIONS(473),
    [sym_keyword_box3d] = ACTIONS(473),
    [sym_keyword_oid] = ACTIONS(473),
    [sym_keyword_name] = ACTIONS(473),
    [sym_keyword_regclass] = ACTIONS(473),
    [sym_keyword_regnamespace] = ACTIONS(473),
    [sym_keyword_regproc] = ACTIONS(473),
    [sym_keyword_regtype] = ACTIONS(473),
    [aux_sym_double_token1] = ACTIONS(523),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(525),
    [aux_sym_identifier_token1] = ACTIONS(525),
  },
  [24] = {
    [sym_keyword_smallserial] = STATE(2954),
    [sym_keyword_serial] = STATE(2954),
    [sym_keyword_bigserial] = STATE(2954),
    [sym_keyword_tinyint] = STATE(2852),
    [sym_keyword_smallint] = STATE(2853),
    [sym_keyword_mediumint] = STATE(2856),
    [sym_keyword_int] = STATE(2857),
    [sym_keyword_bigint] = STATE(2864),
    [sym_keyword_real] = STATE(2868),
    [sym_keyword_char] = STATE(3561),
    [sym_keyword_varchar] = STATE(3483),
    [sym__type] = STATE(4629),
    [sym_tinyint] = STATE(2954),
    [sym_smallint] = STATE(2954),
    [sym_mediumint] = STATE(2954),
    [sym_int] = STATE(2954),
    [sym_bigint] = STATE(2954),
    [sym_bit] = STATE(2954),
    [sym_binary] = STATE(2954),
    [sym_varbinary] = STATE(2954),
    [sym_float] = STATE(2954),
    [sym_double] = STATE(2954),
    [sym_decimal] = STATE(2954),
    [sym_numeric] = STATE(2954),
    [sym_char] = STATE(2954),
    [sym_varchar] = STATE(2954),
    [sym_nchar] = STATE(2954),
    [sym_nvarchar] = STATE(2954),
    [sym_datetimeoffset] = STATE(2954),
    [sym_time] = STATE(2954),
    [sym_timestamp] = STATE(2954),
    [sym_enum] = STATE(2954),
    [sym_object_reference] = STATE(3052),
    [sym_identifier] = STATE(3620),
    [sym__identifier] = ACTIONS(527),
    [aux_sym_keyword_character_token1] = ACTIONS(529),
    [sym_keyword_unsigned] = ACTIONS(531),
    [sym_keyword_boolean] = ACTIONS(533),
    [sym_keyword_bit] = ACTIONS(535),
    [sym_keyword_binary] = ACTIONS(537),
    [sym_keyword_varbinary] = ACTIONS(539),
    [sym_keyword_image] = ACTIONS(533),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(541),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(541),
    [aux_sym_keyword_serial_token1] = ACTIONS(543),
    [aux_sym_keyword_serial_token2] = ACTIONS(543),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(545),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(545),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(547),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(547),
    [aux_sym_keyword_smallint_token1] = ACTIONS(549),
    [aux_sym_keyword_smallint_token2] = ACTIONS(549),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(551),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(551),
    [aux_sym_keyword_int_token1] = ACTIONS(553),
    [aux_sym_keyword_int_token2] = ACTIONS(553),
    [aux_sym_keyword_int_token3] = ACTIONS(553),
    [aux_sym_keyword_bigint_token1] = ACTIONS(555),
    [aux_sym_keyword_bigint_token2] = ACTIONS(555),
    [sym_keyword_decimal] = ACTIONS(557),
    [sym_keyword_numeric] = ACTIONS(559),
    [aux_sym_keyword_real_token1] = ACTIONS(561),
    [aux_sym_keyword_real_token2] = ACTIONS(561),
    [sym_keyword_float] = ACTIONS(563),
    [sym_keyword_double] = ACTIONS(565),
    [sym_keyword_inet] = ACTIONS(533),
    [sym_keyword_money] = ACTIONS(533),
    [sym_keyword_smallmoney] = ACTIONS(533),
    [aux_sym_keyword_char_token1] = ACTIONS(567),
    [sym_keyword_nchar] = ACTIONS(569),
    [aux_sym_keyword_varchar_token1] = ACTIONS(571),
    [sym_keyword_nvarchar] = ACTIONS(573),
    [sym_keyword_text] = ACTIONS(533),
    [sym_keyword_string] = ACTIONS(533),
    [sym_keyword_uuid] = ACTIONS(533),
    [sym_keyword_json] = ACTIONS(533),
    [sym_keyword_jsonb] = ACTIONS(533),
    [sym_keyword_xml] = ACTIONS(533),
    [sym_keyword_bytea] = ACTIONS(533),
    [sym_keyword_enum] = ACTIONS(575),
    [sym_keyword_date] = ACTIONS(533),
    [sym_keyword_datetime] = ACTIONS(533),
    [sym_keyword_datetime2] = ACTIONS(533),
    [sym_keyword_smalldatetime] = ACTIONS(533),
    [sym_keyword_datetimeoffset] = ACTIONS(577),
    [sym_keyword_time] = ACTIONS(579),
    [sym_keyword_timestamp] = ACTIONS(581),
    [sym_keyword_timestamptz] = ACTIONS(533),
    [sym_keyword_interval] = ACTIONS(533),
    [sym_keyword_geometry] = ACTIONS(533),
    [sym_keyword_geography] = ACTIONS(533),
    [sym_keyword_box2d] = ACTIONS(533),
    [sym_keyword_box3d] = ACTIONS(533),
    [sym_keyword_oid] = ACTIONS(533),
    [sym_keyword_name] = ACTIONS(533),
    [sym_keyword_regclass] = ACTIONS(533),
    [sym_keyword_regnamespace] = ACTIONS(533),
    [sym_keyword_regproc] = ACTIONS(533),
    [sym_keyword_regtype] = ACTIONS(533),
    [aux_sym_double_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(585),
    [aux_sym_identifier_token1] = ACTIONS(585),
  },
  [25] = {
    [sym_keyword_smallserial] = STATE(7120),
    [sym_keyword_serial] = STATE(7120),
    [sym_keyword_bigserial] = STATE(7120),
    [sym_keyword_tinyint] = STATE(1707),
    [sym_keyword_smallint] = STATE(1711),
    [sym_keyword_mediumint] = STATE(1712),
    [sym_keyword_int] = STATE(1714),
    [sym_keyword_bigint] = STATE(1717),
    [sym_keyword_real] = STATE(1744),
    [sym_keyword_char] = STATE(2284),
    [sym_keyword_varchar] = STATE(2290),
    [sym__type] = STATE(9818),
    [sym_tinyint] = STATE(7120),
    [sym_smallint] = STATE(7120),
    [sym_mediumint] = STATE(7120),
    [sym_int] = STATE(7120),
    [sym_bigint] = STATE(7120),
    [sym_bit] = STATE(7120),
    [sym_binary] = STATE(7120),
    [sym_varbinary] = STATE(7120),
    [sym_float] = STATE(7120),
    [sym_double] = STATE(7120),
    [sym_decimal] = STATE(7120),
    [sym_numeric] = STATE(7120),
    [sym_char] = STATE(7120),
    [sym_varchar] = STATE(7120),
    [sym_nchar] = STATE(7120),
    [sym_nvarchar] = STATE(7120),
    [sym_datetimeoffset] = STATE(7120),
    [sym_time] = STATE(7120),
    [sym_timestamp] = STATE(7120),
    [sym_enum] = STATE(7120),
    [sym_object_reference] = STATE(7127),
    [sym_identifier] = STATE(3),
    [sym__identifier] = ACTIONS(117),
    [aux_sym_keyword_character_token1] = ACTIONS(53),
    [sym_keyword_unsigned] = ACTIONS(57),
    [sym_keyword_boolean] = ACTIONS(59),
    [sym_keyword_bit] = ACTIONS(61),
    [sym_keyword_binary] = ACTIONS(63),
    [sym_keyword_varbinary] = ACTIONS(65),
    [sym_keyword_image] = ACTIONS(59),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(67),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(67),
    [aux_sym_keyword_serial_token1] = ACTIONS(69),
    [aux_sym_keyword_serial_token2] = ACTIONS(69),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(71),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(71),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(73),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(73),
    [aux_sym_keyword_smallint_token1] = ACTIONS(75),
    [aux_sym_keyword_smallint_token2] = ACTIONS(75),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(77),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(77),
    [aux_sym_keyword_int_token1] = ACTIONS(79),
    [aux_sym_keyword_int_token2] = ACTIONS(79),
    [aux_sym_keyword_int_token3] = ACTIONS(79),
    [aux_sym_keyword_bigint_token1] = ACTIONS(81),
    [aux_sym_keyword_bigint_token2] = ACTIONS(81),
    [sym_keyword_decimal] = ACTIONS(83),
    [sym_keyword_numeric] = ACTIONS(85),
    [aux_sym_keyword_real_token1] = ACTIONS(87),
    [aux_sym_keyword_real_token2] = ACTIONS(87),
    [sym_keyword_float] = ACTIONS(89),
    [sym_keyword_double] = ACTIONS(91),
    [sym_keyword_inet] = ACTIONS(59),
    [sym_keyword_money] = ACTIONS(59),
    [sym_keyword_smallmoney] = ACTIONS(59),
    [aux_sym_keyword_char_token1] = ACTIONS(93),
    [sym_keyword_nchar] = ACTIONS(95),
    [aux_sym_keyword_varchar_token1] = ACTIONS(97),
    [sym_keyword_nvarchar] = ACTIONS(99),
    [sym_keyword_text] = ACTIONS(59),
    [sym_keyword_string] = ACTIONS(59),
    [sym_keyword_uuid] = ACTIONS(59),
    [sym_keyword_json] = ACTIONS(59),
    [sym_keyword_jsonb] = ACTIONS(59),
    [sym_keyword_xml] = ACTIONS(59),
    [sym_keyword_bytea] = ACTIONS(59),
    [sym_keyword_enum] = ACTIONS(101),
    [sym_keyword_date] = ACTIONS(59),
    [sym_keyword_datetime] = ACTIONS(59),
    [sym_keyword_datetime2] = ACTIONS(59),
    [sym_keyword_smalldatetime] = ACTIONS(59),
    [sym_keyword_datetimeoffset] = ACTIONS(103),
    [sym_keyword_time] = ACTIONS(105),
    [sym_keyword_timestamp] = ACTIONS(107),
    [sym_keyword_timestamptz] = ACTIONS(59),
    [sym_keyword_interval] = ACTIONS(59),
    [sym_keyword_geometry] = ACTIONS(59),
    [sym_keyword_geography] = ACTIONS(59),
    [sym_keyword_box2d] = ACTIONS(59),
    [sym_keyword_box3d] = ACTIONS(59),
    [sym_keyword_oid] = ACTIONS(59),
    [sym_keyword_name] = ACTIONS(59),
    [sym_keyword_regclass] = ACTIONS(59),
    [sym_keyword_regnamespace] = ACTIONS(59),
    [sym_keyword_regproc] = ACTIONS(59),
    [sym_keyword_regtype] = ACTIONS(59),
    [aux_sym_double_token1] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(125),
    [aux_sym_identifier_token1] = ACTIONS(125),
  },
  [26] = {
    [sym_keyword_smallserial] = STATE(3084),
    [sym_keyword_serial] = STATE(3084),
    [sym_keyword_bigserial] = STATE(3084),
    [sym_keyword_tinyint] = STATE(3036),
    [sym_keyword_smallint] = STATE(3037),
    [sym_keyword_mediumint] = STATE(3038),
    [sym_keyword_int] = STATE(3039),
    [sym_keyword_bigint] = STATE(3040),
    [sym_keyword_real] = STATE(3041),
    [sym_keyword_char] = STATE(3706),
    [sym_keyword_varchar] = STATE(3711),
    [sym__type] = STATE(4497),
    [sym_tinyint] = STATE(3084),
    [sym_smallint] = STATE(3084),
    [sym_mediumint] = STATE(3084),
    [sym_int] = STATE(3084),
    [sym_bigint] = STATE(3084),
    [sym_bit] = STATE(3084),
    [sym_binary] = STATE(3084),
    [sym_varbinary] = STATE(3084),
    [sym_float] = STATE(3084),
    [sym_double] = STATE(3084),
    [sym_decimal] = STATE(3084),
    [sym_numeric] = STATE(3084),
    [sym_char] = STATE(3084),
    [sym_varchar] = STATE(3084),
    [sym_nchar] = STATE(3084),
    [sym_nvarchar] = STATE(3084),
    [sym_datetimeoffset] = STATE(3084),
    [sym_time] = STATE(3084),
    [sym_timestamp] = STATE(3084),
    [sym_enum] = STATE(3084),
    [sym_object_reference] = STATE(3060),
    [sym_identifier] = STATE(3718),
    [sym__identifier] = ACTIONS(587),
    [aux_sym_keyword_character_token1] = ACTIONS(589),
    [sym_keyword_unsigned] = ACTIONS(591),
    [sym_keyword_boolean] = ACTIONS(593),
    [sym_keyword_bit] = ACTIONS(595),
    [sym_keyword_binary] = ACTIONS(597),
    [sym_keyword_varbinary] = ACTIONS(599),
    [sym_keyword_image] = ACTIONS(593),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(601),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(601),
    [aux_sym_keyword_serial_token1] = ACTIONS(603),
    [aux_sym_keyword_serial_token2] = ACTIONS(603),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(605),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(605),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(607),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(607),
    [aux_sym_keyword_smallint_token1] = ACTIONS(609),
    [aux_sym_keyword_smallint_token2] = ACTIONS(609),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(611),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(611),
    [aux_sym_keyword_int_token1] = ACTIONS(613),
    [aux_sym_keyword_int_token2] = ACTIONS(613),
    [aux_sym_keyword_int_token3] = ACTIONS(613),
    [aux_sym_keyword_bigint_token1] = ACTIONS(615),
    [aux_sym_keyword_bigint_token2] = ACTIONS(615),
    [sym_keyword_decimal] = ACTIONS(617),
    [sym_keyword_numeric] = ACTIONS(619),
    [aux_sym_keyword_real_token1] = ACTIONS(621),
    [aux_sym_keyword_real_token2] = ACTIONS(621),
    [sym_keyword_float] = ACTIONS(623),
    [sym_keyword_double] = ACTIONS(625),
    [sym_keyword_inet] = ACTIONS(593),
    [sym_keyword_money] = ACTIONS(593),
    [sym_keyword_smallmoney] = ACTIONS(593),
    [aux_sym_keyword_char_token1] = ACTIONS(627),
    [sym_keyword_nchar] = ACTIONS(629),
    [aux_sym_keyword_varchar_token1] = ACTIONS(631),
    [sym_keyword_nvarchar] = ACTIONS(633),
    [sym_keyword_text] = ACTIONS(593),
    [sym_keyword_string] = ACTIONS(593),
    [sym_keyword_uuid] = ACTIONS(593),
    [sym_keyword_json] = ACTIONS(593),
    [sym_keyword_jsonb] = ACTIONS(593),
    [sym_keyword_xml] = ACTIONS(593),
    [sym_keyword_bytea] = ACTIONS(593),
    [sym_keyword_enum] = ACTIONS(635),
    [sym_keyword_date] = ACTIONS(593),
    [sym_keyword_datetime] = ACTIONS(593),
    [sym_keyword_datetime2] = ACTIONS(593),
    [sym_keyword_smalldatetime] = ACTIONS(593),
    [sym_keyword_datetimeoffset] = ACTIONS(637),
    [sym_keyword_time] = ACTIONS(639),
    [sym_keyword_timestamp] = ACTIONS(641),
    [sym_keyword_timestamptz] = ACTIONS(593),
    [sym_keyword_interval] = ACTIONS(593),
    [sym_keyword_geometry] = ACTIONS(593),
    [sym_keyword_geography] = ACTIONS(593),
    [sym_keyword_box2d] = ACTIONS(593),
    [sym_keyword_box3d] = ACTIONS(593),
    [sym_keyword_oid] = ACTIONS(593),
    [sym_keyword_name] = ACTIONS(593),
    [sym_keyword_regclass] = ACTIONS(593),
    [sym_keyword_regnamespace] = ACTIONS(593),
    [sym_keyword_regproc] = ACTIONS(593),
    [sym_keyword_regtype] = ACTIONS(593),
    [aux_sym_double_token1] = ACTIONS(643),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(645),
    [aux_sym_identifier_token1] = ACTIONS(645),
  },
  [27] = {
    [sym_keyword_smallserial] = STATE(1214),
    [sym_keyword_serial] = STATE(1214),
    [sym_keyword_bigserial] = STATE(1214),
    [sym_keyword_tinyint] = STATE(1616),
    [sym_keyword_smallint] = STATE(1622),
    [sym_keyword_mediumint] = STATE(1624),
    [sym_keyword_int] = STATE(1637),
    [sym_keyword_bigint] = STATE(1673),
    [sym_keyword_real] = STATE(1675),
    [sym_keyword_char] = STATE(2258),
    [sym_keyword_varchar] = STATE(2266),
    [sym__type] = STATE(2705),
    [sym_tinyint] = STATE(1214),
    [sym_smallint] = STATE(1214),
    [sym_mediumint] = STATE(1214),
    [sym_int] = STATE(1214),
    [sym_bigint] = STATE(1214),
    [sym_bit] = STATE(1214),
    [sym_binary] = STATE(1214),
    [sym_varbinary] = STATE(1214),
    [sym_float] = STATE(1214),
    [sym_double] = STATE(1214),
    [sym_decimal] = STATE(1214),
    [sym_numeric] = STATE(1214),
    [sym_char] = STATE(1214),
    [sym_varchar] = STATE(1214),
    [sym_nchar] = STATE(1214),
    [sym_nvarchar] = STATE(1214),
    [sym_datetimeoffset] = STATE(1214),
    [sym_time] = STATE(1214),
    [sym_timestamp] = STATE(1214),
    [sym_enum] = STATE(1214),
    [sym_object_reference] = STATE(1139),
    [sym_identifier] = STATE(2169),
    [sym__identifier] = ACTIONS(407),
    [aux_sym_keyword_character_token1] = ACTIONS(409),
    [sym_keyword_unsigned] = ACTIONS(411),
    [sym_keyword_boolean] = ACTIONS(413),
    [sym_keyword_bit] = ACTIONS(415),
    [sym_keyword_binary] = ACTIONS(417),
    [sym_keyword_varbinary] = ACTIONS(419),
    [sym_keyword_image] = ACTIONS(413),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(421),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(421),
    [aux_sym_keyword_serial_token1] = ACTIONS(423),
    [aux_sym_keyword_serial_token2] = ACTIONS(423),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(425),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(425),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(427),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(427),
    [aux_sym_keyword_smallint_token1] = ACTIONS(429),
    [aux_sym_keyword_smallint_token2] = ACTIONS(429),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(431),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(431),
    [aux_sym_keyword_int_token1] = ACTIONS(433),
    [aux_sym_keyword_int_token2] = ACTIONS(433),
    [aux_sym_keyword_int_token3] = ACTIONS(433),
    [aux_sym_keyword_bigint_token1] = ACTIONS(435),
    [aux_sym_keyword_bigint_token2] = ACTIONS(435),
    [sym_keyword_decimal] = ACTIONS(437),
    [sym_keyword_numeric] = ACTIONS(439),
    [aux_sym_keyword_real_token1] = ACTIONS(441),
    [aux_sym_keyword_real_token2] = ACTIONS(441),
    [sym_keyword_float] = ACTIONS(443),
    [sym_keyword_double] = ACTIONS(445),
    [sym_keyword_inet] = ACTIONS(413),
    [sym_keyword_money] = ACTIONS(413),
    [sym_keyword_smallmoney] = ACTIONS(413),
    [aux_sym_keyword_char_token1] = ACTIONS(447),
    [sym_keyword_nchar] = ACTIONS(449),
    [aux_sym_keyword_varchar_token1] = ACTIONS(451),
    [sym_keyword_nvarchar] = ACTIONS(453),
    [sym_keyword_text] = ACTIONS(413),
    [sym_keyword_string] = ACTIONS(413),
    [sym_keyword_uuid] = ACTIONS(413),
    [sym_keyword_json] = ACTIONS(413),
    [sym_keyword_jsonb] = ACTIONS(413),
    [sym_keyword_xml] = ACTIONS(413),
    [sym_keyword_bytea] = ACTIONS(413),
    [sym_keyword_enum] = ACTIONS(455),
    [sym_keyword_date] = ACTIONS(413),
    [sym_keyword_datetime] = ACTIONS(413),
    [sym_keyword_datetime2] = ACTIONS(413),
    [sym_keyword_smalldatetime] = ACTIONS(413),
    [sym_keyword_datetimeoffset] = ACTIONS(457),
    [sym_keyword_time] = ACTIONS(647),
    [sym_keyword_timestamp] = ACTIONS(649),
    [sym_keyword_timestamptz] = ACTIONS(413),
    [sym_keyword_interval] = ACTIONS(413),
    [sym_keyword_geometry] = ACTIONS(413),
    [sym_keyword_geography] = ACTIONS(413),
    [sym_keyword_box2d] = ACTIONS(413),
    [sym_keyword_box3d] = ACTIONS(413),
    [sym_keyword_oid] = ACTIONS(413),
    [sym_keyword_name] = ACTIONS(413),
    [sym_keyword_regclass] = ACTIONS(413),
    [sym_keyword_regnamespace] = ACTIONS(413),
    [sym_keyword_regproc] = ACTIONS(413),
    [sym_keyword_regtype] = ACTIONS(413),
    [aux_sym_double_token1] = ACTIONS(463),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(465),
    [aux_sym_identifier_token1] = ACTIONS(465),
  },
  [28] = {
    [sym_keyword_smallserial] = STATE(7120),
    [sym_keyword_serial] = STATE(7120),
    [sym_keyword_bigserial] = STATE(7120),
    [sym_keyword_tinyint] = STATE(1707),
    [sym_keyword_smallint] = STATE(1711),
    [sym_keyword_mediumint] = STATE(1712),
    [sym_keyword_int] = STATE(1714),
    [sym_keyword_bigint] = STATE(1717),
    [sym_keyword_real] = STATE(1744),
    [sym_keyword_char] = STATE(2284),
    [sym_keyword_varchar] = STATE(2290),
    [sym__type] = STATE(13996),
    [sym_tinyint] = STATE(7120),
    [sym_smallint] = STATE(7120),
    [sym_mediumint] = STATE(7120),
    [sym_int] = STATE(7120),
    [sym_bigint] = STATE(7120),
    [sym_bit] = STATE(7120),
    [sym_binary] = STATE(7120),
    [sym_varbinary] = STATE(7120),
    [sym_float] = STATE(7120),
    [sym_double] = STATE(7120),
    [sym_decimal] = STATE(7120),
    [sym_numeric] = STATE(7120),
    [sym_char] = STATE(7120),
    [sym_varchar] = STATE(7120),
    [sym_nchar] = STATE(7120),
    [sym_nvarchar] = STATE(7120),
    [sym_datetimeoffset] = STATE(7120),
    [sym_time] = STATE(7120),
    [sym_timestamp] = STATE(7120),
    [sym_enum] = STATE(7120),
    [sym_object_reference] = STATE(7127),
    [sym_identifier] = STATE(6414),
    [sym__identifier] = ACTIONS(51),
    [aux_sym_keyword_character_token1] = ACTIONS(53),
    [sym_keyword_unsigned] = ACTIONS(57),
    [sym_keyword_boolean] = ACTIONS(59),
    [sym_keyword_bit] = ACTIONS(61),
    [sym_keyword_binary] = ACTIONS(63),
    [sym_keyword_varbinary] = ACTIONS(65),
    [sym_keyword_image] = ACTIONS(59),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(67),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(67),
    [aux_sym_keyword_serial_token1] = ACTIONS(69),
    [aux_sym_keyword_serial_token2] = ACTIONS(69),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(71),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(71),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(73),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(73),
    [aux_sym_keyword_smallint_token1] = ACTIONS(75),
    [aux_sym_keyword_smallint_token2] = ACTIONS(75),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(77),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(77),
    [aux_sym_keyword_int_token1] = ACTIONS(79),
    [aux_sym_keyword_int_token2] = ACTIONS(79),
    [aux_sym_keyword_int_token3] = ACTIONS(79),
    [aux_sym_keyword_bigint_token1] = ACTIONS(81),
    [aux_sym_keyword_bigint_token2] = ACTIONS(81),
    [sym_keyword_decimal] = ACTIONS(83),
    [sym_keyword_numeric] = ACTIONS(85),
    [aux_sym_keyword_real_token1] = ACTIONS(87),
    [aux_sym_keyword_real_token2] = ACTIONS(87),
    [sym_keyword_float] = ACTIONS(89),
    [sym_keyword_double] = ACTIONS(91),
    [sym_keyword_inet] = ACTIONS(59),
    [sym_keyword_money] = ACTIONS(59),
    [sym_keyword_smallmoney] = ACTIONS(59),
    [aux_sym_keyword_char_token1] = ACTIONS(93),
    [sym_keyword_nchar] = ACTIONS(95),
    [aux_sym_keyword_varchar_token1] = ACTIONS(97),
    [sym_keyword_nvarchar] = ACTIONS(99),
    [sym_keyword_text] = ACTIONS(59),
    [sym_keyword_string] = ACTIONS(59),
    [sym_keyword_uuid] = ACTIONS(59),
    [sym_keyword_json] = ACTIONS(59),
    [sym_keyword_jsonb] = ACTIONS(59),
    [sym_keyword_xml] = ACTIONS(59),
    [sym_keyword_bytea] = ACTIONS(59),
    [sym_keyword_enum] = ACTIONS(101),
    [sym_keyword_date] = ACTIONS(59),
    [sym_keyword_datetime] = ACTIONS(59),
    [sym_keyword_datetime2] = ACTIONS(59),
    [sym_keyword_smalldatetime] = ACTIONS(59),
    [sym_keyword_datetimeoffset] = ACTIONS(103),
    [sym_keyword_time] = ACTIONS(105),
    [sym_keyword_timestamp] = ACTIONS(107),
    [sym_keyword_timestamptz] = ACTIONS(59),
    [sym_keyword_interval] = ACTIONS(59),
    [sym_keyword_geometry] = ACTIONS(59),
    [sym_keyword_geography] = ACTIONS(59),
    [sym_keyword_box2d] = ACTIONS(59),
    [sym_keyword_box3d] = ACTIONS(59),
    [sym_keyword_oid] = ACTIONS(59),
    [sym_keyword_name] = ACTIONS(59),
    [sym_keyword_regclass] = ACTIONS(59),
    [sym_keyword_regnamespace] = ACTIONS(59),
    [sym_keyword_regproc] = ACTIONS(59),
    [sym_keyword_regtype] = ACTIONS(59),
    [aux_sym_double_token1] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
  },
  [29] = {
    [sym_keyword_smallserial] = STATE(932),
    [sym_keyword_serial] = STATE(932),
    [sym_keyword_bigserial] = STATE(932),
    [sym_keyword_tinyint] = STATE(466),
    [sym_keyword_smallint] = STATE(467),
    [sym_keyword_mediumint] = STATE(468),
    [sym_keyword_int] = STATE(474),
    [sym_keyword_bigint] = STATE(489),
    [sym_keyword_real] = STATE(491),
    [sym_keyword_char] = STATE(620),
    [sym_keyword_varchar] = STATE(621),
    [sym__type] = STATE(2324),
    [sym_tinyint] = STATE(932),
    [sym_smallint] = STATE(932),
    [sym_mediumint] = STATE(932),
    [sym_int] = STATE(932),
    [sym_bigint] = STATE(932),
    [sym_bit] = STATE(932),
    [sym_binary] = STATE(932),
    [sym_varbinary] = STATE(932),
    [sym_float] = STATE(932),
    [sym_double] = STATE(932),
    [sym_decimal] = STATE(932),
    [sym_numeric] = STATE(932),
    [sym_char] = STATE(932),
    [sym_varchar] = STATE(932),
    [sym_nchar] = STATE(932),
    [sym_nvarchar] = STATE(932),
    [sym_datetimeoffset] = STATE(932),
    [sym_time] = STATE(932),
    [sym_timestamp] = STATE(932),
    [sym_enum] = STATE(932),
    [sym_object_reference] = STATE(942),
    [sym_identifier] = STATE(1384),
    [sym__identifier] = ACTIONS(651),
    [aux_sym_keyword_character_token1] = ACTIONS(653),
    [sym_keyword_unsigned] = ACTIONS(655),
    [sym_keyword_boolean] = ACTIONS(657),
    [sym_keyword_bit] = ACTIONS(659),
    [sym_keyword_binary] = ACTIONS(661),
    [sym_keyword_varbinary] = ACTIONS(663),
    [sym_keyword_image] = ACTIONS(657),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(665),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(665),
    [aux_sym_keyword_serial_token1] = ACTIONS(667),
    [aux_sym_keyword_serial_token2] = ACTIONS(667),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(669),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(669),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(671),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(671),
    [aux_sym_keyword_smallint_token1] = ACTIONS(673),
    [aux_sym_keyword_smallint_token2] = ACTIONS(673),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(675),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(675),
    [aux_sym_keyword_int_token1] = ACTIONS(677),
    [aux_sym_keyword_int_token2] = ACTIONS(677),
    [aux_sym_keyword_int_token3] = ACTIONS(677),
    [aux_sym_keyword_bigint_token1] = ACTIONS(679),
    [aux_sym_keyword_bigint_token2] = ACTIONS(679),
    [sym_keyword_decimal] = ACTIONS(681),
    [sym_keyword_numeric] = ACTIONS(683),
    [aux_sym_keyword_real_token1] = ACTIONS(685),
    [aux_sym_keyword_real_token2] = ACTIONS(685),
    [sym_keyword_float] = ACTIONS(687),
    [sym_keyword_double] = ACTIONS(689),
    [sym_keyword_inet] = ACTIONS(657),
    [sym_keyword_money] = ACTIONS(657),
    [sym_keyword_smallmoney] = ACTIONS(657),
    [aux_sym_keyword_char_token1] = ACTIONS(691),
    [sym_keyword_nchar] = ACTIONS(693),
    [aux_sym_keyword_varchar_token1] = ACTIONS(695),
    [sym_keyword_nvarchar] = ACTIONS(697),
    [sym_keyword_text] = ACTIONS(657),
    [sym_keyword_string] = ACTIONS(657),
    [sym_keyword_uuid] = ACTIONS(657),
    [sym_keyword_json] = ACTIONS(657),
    [sym_keyword_jsonb] = ACTIONS(657),
    [sym_keyword_xml] = ACTIONS(657),
    [sym_keyword_bytea] = ACTIONS(657),
    [sym_keyword_enum] = ACTIONS(699),
    [sym_keyword_date] = ACTIONS(657),
    [sym_keyword_datetime] = ACTIONS(657),
    [sym_keyword_datetime2] = ACTIONS(657),
    [sym_keyword_smalldatetime] = ACTIONS(657),
    [sym_keyword_datetimeoffset] = ACTIONS(701),
    [sym_keyword_time] = ACTIONS(703),
    [sym_keyword_timestamp] = ACTIONS(705),
    [sym_keyword_timestamptz] = ACTIONS(657),
    [sym_keyword_interval] = ACTIONS(657),
    [sym_keyword_geometry] = ACTIONS(657),
    [sym_keyword_geography] = ACTIONS(657),
    [sym_keyword_box2d] = ACTIONS(657),
    [sym_keyword_box3d] = ACTIONS(657),
    [sym_keyword_oid] = ACTIONS(657),
    [sym_keyword_name] = ACTIONS(657),
    [sym_keyword_regclass] = ACTIONS(657),
    [sym_keyword_regnamespace] = ACTIONS(657),
    [sym_keyword_regproc] = ACTIONS(657),
    [sym_keyword_regtype] = ACTIONS(657),
    [aux_sym_double_token1] = ACTIONS(707),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(709),
    [aux_sym_identifier_token1] = ACTIONS(709),
  },
  [30] = {
    [sym_keyword_smallserial] = STATE(3301),
    [sym_keyword_serial] = STATE(3301),
    [sym_keyword_bigserial] = STATE(3301),
    [sym_keyword_tinyint] = STATE(3225),
    [sym_keyword_smallint] = STATE(3220),
    [sym_keyword_mediumint] = STATE(3218),
    [sym_keyword_int] = STATE(3217),
    [sym_keyword_bigint] = STATE(3214),
    [sym_keyword_real] = STATE(3212),
    [sym_keyword_char] = STATE(4046),
    [sym_keyword_varchar] = STATE(4045),
    [sym__type] = STATE(4716),
    [sym_tinyint] = STATE(3301),
    [sym_smallint] = STATE(3301),
    [sym_mediumint] = STATE(3301),
    [sym_int] = STATE(3301),
    [sym_bigint] = STATE(3301),
    [sym_bit] = STATE(3301),
    [sym_binary] = STATE(3301),
    [sym_varbinary] = STATE(3301),
    [sym_float] = STATE(3301),
    [sym_double] = STATE(3301),
    [sym_decimal] = STATE(3301),
    [sym_numeric] = STATE(3301),
    [sym_char] = STATE(3301),
    [sym_varchar] = STATE(3301),
    [sym_nchar] = STATE(3301),
    [sym_nvarchar] = STATE(3301),
    [sym_datetimeoffset] = STATE(3301),
    [sym_time] = STATE(3301),
    [sym_timestamp] = STATE(3301),
    [sym_enum] = STATE(3301),
    [sym_object_reference] = STATE(3201),
    [sym_identifier] = STATE(4281),
    [sym__identifier] = ACTIONS(467),
    [aux_sym_keyword_character_token1] = ACTIONS(469),
    [sym_keyword_unsigned] = ACTIONS(471),
    [sym_keyword_boolean] = ACTIONS(473),
    [sym_keyword_bit] = ACTIONS(475),
    [sym_keyword_binary] = ACTIONS(477),
    [sym_keyword_varbinary] = ACTIONS(479),
    [sym_keyword_image] = ACTIONS(473),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(481),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(481),
    [aux_sym_keyword_serial_token1] = ACTIONS(483),
    [aux_sym_keyword_serial_token2] = ACTIONS(483),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(485),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(485),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(487),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(487),
    [aux_sym_keyword_smallint_token1] = ACTIONS(489),
    [aux_sym_keyword_smallint_token2] = ACTIONS(489),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(491),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(491),
    [aux_sym_keyword_int_token1] = ACTIONS(493),
    [aux_sym_keyword_int_token2] = ACTIONS(493),
    [aux_sym_keyword_int_token3] = ACTIONS(493),
    [aux_sym_keyword_bigint_token1] = ACTIONS(495),
    [aux_sym_keyword_bigint_token2] = ACTIONS(495),
    [sym_keyword_decimal] = ACTIONS(497),
    [sym_keyword_numeric] = ACTIONS(499),
    [aux_sym_keyword_real_token1] = ACTIONS(501),
    [aux_sym_keyword_real_token2] = ACTIONS(501),
    [sym_keyword_float] = ACTIONS(503),
    [sym_keyword_double] = ACTIONS(505),
    [sym_keyword_inet] = ACTIONS(473),
    [sym_keyword_money] = ACTIONS(473),
    [sym_keyword_smallmoney] = ACTIONS(473),
    [aux_sym_keyword_char_token1] = ACTIONS(507),
    [sym_keyword_nchar] = ACTIONS(509),
    [aux_sym_keyword_varchar_token1] = ACTIONS(511),
    [sym_keyword_nvarchar] = ACTIONS(513),
    [sym_keyword_text] = ACTIONS(473),
    [sym_keyword_string] = ACTIONS(473),
    [sym_keyword_uuid] = ACTIONS(473),
    [sym_keyword_json] = ACTIONS(473),
    [sym_keyword_jsonb] = ACTIONS(473),
    [sym_keyword_xml] = ACTIONS(473),
    [sym_keyword_bytea] = ACTIONS(473),
    [sym_keyword_enum] = ACTIONS(515),
    [sym_keyword_date] = ACTIONS(473),
    [sym_keyword_datetime] = ACTIONS(473),
    [sym_keyword_datetime2] = ACTIONS(473),
    [sym_keyword_smalldatetime] = ACTIONS(473),
    [sym_keyword_datetimeoffset] = ACTIONS(517),
    [sym_keyword_time] = ACTIONS(711),
    [sym_keyword_timestamp] = ACTIONS(713),
    [sym_keyword_timestamptz] = ACTIONS(473),
    [sym_keyword_interval] = ACTIONS(473),
    [sym_keyword_geometry] = ACTIONS(473),
    [sym_keyword_geography] = ACTIONS(473),
    [sym_keyword_box2d] = ACTIONS(473),
    [sym_keyword_box3d] = ACTIONS(473),
    [sym_keyword_oid] = ACTIONS(473),
    [sym_keyword_name] = ACTIONS(473),
    [sym_keyword_regclass] = ACTIONS(473),
    [sym_keyword_regnamespace] = ACTIONS(473),
    [sym_keyword_regproc] = ACTIONS(473),
    [sym_keyword_regtype] = ACTIONS(473),
    [aux_sym_double_token1] = ACTIONS(523),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(525),
    [aux_sym_identifier_token1] = ACTIONS(525),
  },
  [31] = {
    [sym_keyword_smallserial] = STATE(3072),
    [sym_keyword_serial] = STATE(3072),
    [sym_keyword_bigserial] = STATE(3072),
    [sym_keyword_tinyint] = STATE(2543),
    [sym_keyword_smallint] = STATE(2547),
    [sym_keyword_mediumint] = STATE(2552),
    [sym_keyword_int] = STATE(2554),
    [sym_keyword_bigint] = STATE(2558),
    [sym_keyword_real] = STATE(2559),
    [sym_keyword_char] = STATE(2752),
    [sym_keyword_varchar] = STATE(2753),
    [sym__type] = STATE(4455),
    [sym_tinyint] = STATE(3072),
    [sym_smallint] = STATE(3072),
    [sym_mediumint] = STATE(3072),
    [sym_int] = STATE(3072),
    [sym_bigint] = STATE(3072),
    [sym_bit] = STATE(3072),
    [sym_binary] = STATE(3072),
    [sym_varbinary] = STATE(3072),
    [sym_float] = STATE(3072),
    [sym_double] = STATE(3072),
    [sym_decimal] = STATE(3072),
    [sym_numeric] = STATE(3072),
    [sym_char] = STATE(3072),
    [sym_varchar] = STATE(3072),
    [sym_nchar] = STATE(3072),
    [sym_nvarchar] = STATE(3072),
    [sym_datetimeoffset] = STATE(3072),
    [sym_time] = STATE(3072),
    [sym_timestamp] = STATE(3072),
    [sym_enum] = STATE(3072),
    [sym_object_reference] = STATE(2923),
    [sym_identifier] = STATE(3653),
    [sym__identifier] = ACTIONS(271),
    [aux_sym_keyword_character_token1] = ACTIONS(213),
    [sym_keyword_unsigned] = ACTIONS(215),
    [sym_keyword_boolean] = ACTIONS(273),
    [sym_keyword_bit] = ACTIONS(219),
    [sym_keyword_binary] = ACTIONS(221),
    [sym_keyword_varbinary] = ACTIONS(223),
    [sym_keyword_image] = ACTIONS(273),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(225),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(225),
    [aux_sym_keyword_serial_token1] = ACTIONS(227),
    [aux_sym_keyword_serial_token2] = ACTIONS(227),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(229),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(229),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(231),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(231),
    [aux_sym_keyword_smallint_token1] = ACTIONS(233),
    [aux_sym_keyword_smallint_token2] = ACTIONS(233),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(235),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(235),
    [aux_sym_keyword_int_token1] = ACTIONS(237),
    [aux_sym_keyword_int_token2] = ACTIONS(237),
    [aux_sym_keyword_int_token3] = ACTIONS(237),
    [aux_sym_keyword_bigint_token1] = ACTIONS(239),
    [aux_sym_keyword_bigint_token2] = ACTIONS(239),
    [sym_keyword_decimal] = ACTIONS(241),
    [sym_keyword_numeric] = ACTIONS(243),
    [aux_sym_keyword_real_token1] = ACTIONS(245),
    [aux_sym_keyword_real_token2] = ACTIONS(245),
    [sym_keyword_float] = ACTIONS(247),
    [sym_keyword_double] = ACTIONS(249),
    [sym_keyword_inet] = ACTIONS(273),
    [sym_keyword_money] = ACTIONS(273),
    [sym_keyword_smallmoney] = ACTIONS(273),
    [aux_sym_keyword_char_token1] = ACTIONS(251),
    [sym_keyword_nchar] = ACTIONS(253),
    [aux_sym_keyword_varchar_token1] = ACTIONS(255),
    [sym_keyword_nvarchar] = ACTIONS(257),
    [sym_keyword_text] = ACTIONS(273),
    [sym_keyword_string] = ACTIONS(273),
    [sym_keyword_uuid] = ACTIONS(273),
    [sym_keyword_json] = ACTIONS(273),
    [sym_keyword_jsonb] = ACTIONS(273),
    [sym_keyword_xml] = ACTIONS(273),
    [sym_keyword_bytea] = ACTIONS(273),
    [sym_keyword_enum] = ACTIONS(259),
    [sym_keyword_date] = ACTIONS(273),
    [sym_keyword_datetime] = ACTIONS(273),
    [sym_keyword_datetime2] = ACTIONS(273),
    [sym_keyword_smalldatetime] = ACTIONS(273),
    [sym_keyword_datetimeoffset] = ACTIONS(261),
    [sym_keyword_time] = ACTIONS(715),
    [sym_keyword_timestamp] = ACTIONS(717),
    [sym_keyword_timestamptz] = ACTIONS(273),
    [sym_keyword_interval] = ACTIONS(273),
    [sym_keyword_geometry] = ACTIONS(273),
    [sym_keyword_geography] = ACTIONS(273),
    [sym_keyword_box2d] = ACTIONS(273),
    [sym_keyword_box3d] = ACTIONS(273),
    [sym_keyword_oid] = ACTIONS(273),
    [sym_keyword_name] = ACTIONS(273),
    [sym_keyword_regclass] = ACTIONS(273),
    [sym_keyword_regnamespace] = ACTIONS(273),
    [sym_keyword_regproc] = ACTIONS(273),
    [sym_keyword_regtype] = ACTIONS(273),
    [aux_sym_double_token1] = ACTIONS(267),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(275),
    [aux_sym_identifier_token1] = ACTIONS(275),
  },
  [32] = {
    [sym_keyword_smallserial] = STATE(4753),
    [sym_keyword_serial] = STATE(4753),
    [sym_keyword_bigserial] = STATE(4753),
    [sym_keyword_tinyint] = STATE(4760),
    [sym_keyword_smallint] = STATE(4770),
    [sym_keyword_mediumint] = STATE(4771),
    [sym_keyword_int] = STATE(4794),
    [sym_keyword_bigint] = STATE(4777),
    [sym_keyword_real] = STATE(4748),
    [sym_keyword_char] = STATE(5021),
    [sym_keyword_varchar] = STATE(4986),
    [sym__type] = STATE(5602),
    [sym_tinyint] = STATE(4753),
    [sym_smallint] = STATE(4753),
    [sym_mediumint] = STATE(4753),
    [sym_int] = STATE(4753),
    [sym_bigint] = STATE(4753),
    [sym_bit] = STATE(4753),
    [sym_binary] = STATE(4753),
    [sym_varbinary] = STATE(4753),
    [sym_float] = STATE(4753),
    [sym_double] = STATE(4753),
    [sym_decimal] = STATE(4753),
    [sym_numeric] = STATE(4753),
    [sym_char] = STATE(4753),
    [sym_varchar] = STATE(4753),
    [sym_nchar] = STATE(4753),
    [sym_nvarchar] = STATE(4753),
    [sym_datetimeoffset] = STATE(4753),
    [sym_time] = STATE(4753),
    [sym_timestamp] = STATE(4753),
    [sym_enum] = STATE(4753),
    [sym_object_reference] = STATE(4759),
    [sym_identifier] = STATE(5026),
    [sym__identifier] = ACTIONS(719),
    [aux_sym_keyword_character_token1] = ACTIONS(721),
    [sym_keyword_unsigned] = ACTIONS(723),
    [sym_keyword_boolean] = ACTIONS(725),
    [sym_keyword_bit] = ACTIONS(727),
    [sym_keyword_binary] = ACTIONS(729),
    [sym_keyword_varbinary] = ACTIONS(731),
    [sym_keyword_image] = ACTIONS(725),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(733),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(733),
    [aux_sym_keyword_serial_token1] = ACTIONS(735),
    [aux_sym_keyword_serial_token2] = ACTIONS(735),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(737),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(737),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(739),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(739),
    [aux_sym_keyword_smallint_token1] = ACTIONS(741),
    [aux_sym_keyword_smallint_token2] = ACTIONS(741),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(743),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(743),
    [aux_sym_keyword_int_token1] = ACTIONS(745),
    [aux_sym_keyword_int_token2] = ACTIONS(745),
    [aux_sym_keyword_int_token3] = ACTIONS(745),
    [aux_sym_keyword_bigint_token1] = ACTIONS(747),
    [aux_sym_keyword_bigint_token2] = ACTIONS(747),
    [sym_keyword_decimal] = ACTIONS(749),
    [sym_keyword_numeric] = ACTIONS(751),
    [aux_sym_keyword_real_token1] = ACTIONS(753),
    [aux_sym_keyword_real_token2] = ACTIONS(753),
    [sym_keyword_float] = ACTIONS(755),
    [sym_keyword_double] = ACTIONS(757),
    [sym_keyword_inet] = ACTIONS(725),
    [sym_keyword_money] = ACTIONS(725),
    [sym_keyword_smallmoney] = ACTIONS(725),
    [aux_sym_keyword_char_token1] = ACTIONS(759),
    [sym_keyword_nchar] = ACTIONS(761),
    [aux_sym_keyword_varchar_token1] = ACTIONS(763),
    [sym_keyword_nvarchar] = ACTIONS(765),
    [sym_keyword_text] = ACTIONS(725),
    [sym_keyword_string] = ACTIONS(725),
    [sym_keyword_uuid] = ACTIONS(725),
    [sym_keyword_json] = ACTIONS(725),
    [sym_keyword_jsonb] = ACTIONS(725),
    [sym_keyword_xml] = ACTIONS(725),
    [sym_keyword_bytea] = ACTIONS(725),
    [sym_keyword_enum] = ACTIONS(767),
    [sym_keyword_date] = ACTIONS(725),
    [sym_keyword_datetime] = ACTIONS(725),
    [sym_keyword_datetime2] = ACTIONS(725),
    [sym_keyword_smalldatetime] = ACTIONS(725),
    [sym_keyword_datetimeoffset] = ACTIONS(769),
    [sym_keyword_time] = ACTIONS(771),
    [sym_keyword_timestamp] = ACTIONS(773),
    [sym_keyword_timestamptz] = ACTIONS(725),
    [sym_keyword_interval] = ACTIONS(725),
    [sym_keyword_geometry] = ACTIONS(725),
    [sym_keyword_geography] = ACTIONS(725),
    [sym_keyword_box2d] = ACTIONS(725),
    [sym_keyword_box3d] = ACTIONS(725),
    [sym_keyword_oid] = ACTIONS(725),
    [sym_keyword_name] = ACTIONS(725),
    [sym_keyword_regclass] = ACTIONS(725),
    [sym_keyword_regnamespace] = ACTIONS(725),
    [sym_keyword_regproc] = ACTIONS(725),
    [sym_keyword_regtype] = ACTIONS(725),
    [aux_sym_double_token1] = ACTIONS(775),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(777),
    [aux_sym_identifier_token1] = ACTIONS(777),
  },
  [33] = {
    [sym_keyword_smallserial] = STATE(2954),
    [sym_keyword_serial] = STATE(2954),
    [sym_keyword_bigserial] = STATE(2954),
    [sym_keyword_tinyint] = STATE(2852),
    [sym_keyword_smallint] = STATE(2853),
    [sym_keyword_mediumint] = STATE(2856),
    [sym_keyword_int] = STATE(2857),
    [sym_keyword_bigint] = STATE(2864),
    [sym_keyword_real] = STATE(2868),
    [sym_keyword_char] = STATE(3561),
    [sym_keyword_varchar] = STATE(3483),
    [sym__type] = STATE(4629),
    [sym_tinyint] = STATE(2954),
    [sym_smallint] = STATE(2954),
    [sym_mediumint] = STATE(2954),
    [sym_int] = STATE(2954),
    [sym_bigint] = STATE(2954),
    [sym_bit] = STATE(2954),
    [sym_binary] = STATE(2954),
    [sym_varbinary] = STATE(2954),
    [sym_float] = STATE(2954),
    [sym_double] = STATE(2954),
    [sym_decimal] = STATE(2954),
    [sym_numeric] = STATE(2954),
    [sym_char] = STATE(2954),
    [sym_varchar] = STATE(2954),
    [sym_nchar] = STATE(2954),
    [sym_nvarchar] = STATE(2954),
    [sym_datetimeoffset] = STATE(2954),
    [sym_time] = STATE(2954),
    [sym_timestamp] = STATE(2954),
    [sym_enum] = STATE(2954),
    [sym_object_reference] = STATE(3052),
    [sym_identifier] = STATE(3620),
    [sym__identifier] = ACTIONS(527),
    [aux_sym_keyword_character_token1] = ACTIONS(529),
    [sym_keyword_unsigned] = ACTIONS(531),
    [sym_keyword_boolean] = ACTIONS(533),
    [sym_keyword_bit] = ACTIONS(535),
    [sym_keyword_binary] = ACTIONS(537),
    [sym_keyword_varbinary] = ACTIONS(539),
    [sym_keyword_image] = ACTIONS(533),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(541),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(541),
    [aux_sym_keyword_serial_token1] = ACTIONS(543),
    [aux_sym_keyword_serial_token2] = ACTIONS(543),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(545),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(545),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(547),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(547),
    [aux_sym_keyword_smallint_token1] = ACTIONS(549),
    [aux_sym_keyword_smallint_token2] = ACTIONS(549),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(551),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(551),
    [aux_sym_keyword_int_token1] = ACTIONS(553),
    [aux_sym_keyword_int_token2] = ACTIONS(553),
    [aux_sym_keyword_int_token3] = ACTIONS(553),
    [aux_sym_keyword_bigint_token1] = ACTIONS(555),
    [aux_sym_keyword_bigint_token2] = ACTIONS(555),
    [sym_keyword_decimal] = ACTIONS(557),
    [sym_keyword_numeric] = ACTIONS(559),
    [aux_sym_keyword_real_token1] = ACTIONS(561),
    [aux_sym_keyword_real_token2] = ACTIONS(561),
    [sym_keyword_float] = ACTIONS(563),
    [sym_keyword_double] = ACTIONS(565),
    [sym_keyword_inet] = ACTIONS(533),
    [sym_keyword_money] = ACTIONS(533),
    [sym_keyword_smallmoney] = ACTIONS(533),
    [aux_sym_keyword_char_token1] = ACTIONS(567),
    [sym_keyword_nchar] = ACTIONS(569),
    [aux_sym_keyword_varchar_token1] = ACTIONS(571),
    [sym_keyword_nvarchar] = ACTIONS(573),
    [sym_keyword_text] = ACTIONS(533),
    [sym_keyword_string] = ACTIONS(533),
    [sym_keyword_uuid] = ACTIONS(533),
    [sym_keyword_json] = ACTIONS(533),
    [sym_keyword_jsonb] = ACTIONS(533),
    [sym_keyword_xml] = ACTIONS(533),
    [sym_keyword_bytea] = ACTIONS(533),
    [sym_keyword_enum] = ACTIONS(575),
    [sym_keyword_date] = ACTIONS(533),
    [sym_keyword_datetime] = ACTIONS(533),
    [sym_keyword_datetime2] = ACTIONS(533),
    [sym_keyword_smalldatetime] = ACTIONS(533),
    [sym_keyword_datetimeoffset] = ACTIONS(577),
    [sym_keyword_time] = ACTIONS(779),
    [sym_keyword_timestamp] = ACTIONS(781),
    [sym_keyword_timestamptz] = ACTIONS(533),
    [sym_keyword_interval] = ACTIONS(533),
    [sym_keyword_geometry] = ACTIONS(533),
    [sym_keyword_geography] = ACTIONS(533),
    [sym_keyword_box2d] = ACTIONS(533),
    [sym_keyword_box3d] = ACTIONS(533),
    [sym_keyword_oid] = ACTIONS(533),
    [sym_keyword_name] = ACTIONS(533),
    [sym_keyword_regclass] = ACTIONS(533),
    [sym_keyword_regnamespace] = ACTIONS(533),
    [sym_keyword_regproc] = ACTIONS(533),
    [sym_keyword_regtype] = ACTIONS(533),
    [aux_sym_double_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(585),
    [aux_sym_identifier_token1] = ACTIONS(585),
  },
  [34] = {
    [sym_keyword_smallserial] = STATE(4801),
    [sym_keyword_serial] = STATE(4801),
    [sym_keyword_bigserial] = STATE(4801),
    [sym_keyword_tinyint] = STATE(4862),
    [sym_keyword_smallint] = STATE(4861),
    [sym_keyword_mediumint] = STATE(4860),
    [sym_keyword_int] = STATE(4859),
    [sym_keyword_bigint] = STATE(4858),
    [sym_keyword_real] = STATE(4857),
    [sym_keyword_char] = STATE(5443),
    [sym_keyword_varchar] = STATE(5444),
    [sym__type] = STATE(4874),
    [sym_tinyint] = STATE(4801),
    [sym_smallint] = STATE(4801),
    [sym_mediumint] = STATE(4801),
    [sym_int] = STATE(4801),
    [sym_bigint] = STATE(4801),
    [sym_bit] = STATE(4801),
    [sym_binary] = STATE(4801),
    [sym_varbinary] = STATE(4801),
    [sym_float] = STATE(4801),
    [sym_double] = STATE(4801),
    [sym_decimal] = STATE(4801),
    [sym_numeric] = STATE(4801),
    [sym_char] = STATE(4801),
    [sym_varchar] = STATE(4801),
    [sym_nchar] = STATE(4801),
    [sym_nvarchar] = STATE(4801),
    [sym_datetimeoffset] = STATE(4801),
    [sym_time] = STATE(4801),
    [sym_timestamp] = STATE(4801),
    [sym_enum] = STATE(4801),
    [sym_object_reference] = STATE(4802),
    [sym_identifier] = STATE(5427),
    [sym__identifier] = ACTIONS(783),
    [aux_sym_keyword_character_token1] = ACTIONS(785),
    [sym_keyword_unsigned] = ACTIONS(787),
    [sym_keyword_boolean] = ACTIONS(789),
    [sym_keyword_bit] = ACTIONS(791),
    [sym_keyword_binary] = ACTIONS(793),
    [sym_keyword_varbinary] = ACTIONS(795),
    [sym_keyword_image] = ACTIONS(789),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(797),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(797),
    [aux_sym_keyword_serial_token1] = ACTIONS(799),
    [aux_sym_keyword_serial_token2] = ACTIONS(799),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(801),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(801),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(803),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(803),
    [aux_sym_keyword_smallint_token1] = ACTIONS(805),
    [aux_sym_keyword_smallint_token2] = ACTIONS(805),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(807),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(807),
    [aux_sym_keyword_int_token1] = ACTIONS(809),
    [aux_sym_keyword_int_token2] = ACTIONS(809),
    [aux_sym_keyword_int_token3] = ACTIONS(809),
    [aux_sym_keyword_bigint_token1] = ACTIONS(811),
    [aux_sym_keyword_bigint_token2] = ACTIONS(811),
    [sym_keyword_decimal] = ACTIONS(813),
    [sym_keyword_numeric] = ACTIONS(815),
    [aux_sym_keyword_real_token1] = ACTIONS(817),
    [aux_sym_keyword_real_token2] = ACTIONS(817),
    [sym_keyword_float] = ACTIONS(819),
    [sym_keyword_double] = ACTIONS(821),
    [sym_keyword_inet] = ACTIONS(789),
    [sym_keyword_money] = ACTIONS(789),
    [sym_keyword_smallmoney] = ACTIONS(789),
    [aux_sym_keyword_char_token1] = ACTIONS(823),
    [sym_keyword_nchar] = ACTIONS(825),
    [aux_sym_keyword_varchar_token1] = ACTIONS(827),
    [sym_keyword_nvarchar] = ACTIONS(829),
    [sym_keyword_text] = ACTIONS(789),
    [sym_keyword_string] = ACTIONS(789),
    [sym_keyword_uuid] = ACTIONS(789),
    [sym_keyword_json] = ACTIONS(789),
    [sym_keyword_jsonb] = ACTIONS(789),
    [sym_keyword_xml] = ACTIONS(789),
    [sym_keyword_bytea] = ACTIONS(789),
    [sym_keyword_enum] = ACTIONS(831),
    [sym_keyword_date] = ACTIONS(789),
    [sym_keyword_datetime] = ACTIONS(789),
    [sym_keyword_datetime2] = ACTIONS(789),
    [sym_keyword_smalldatetime] = ACTIONS(789),
    [sym_keyword_datetimeoffset] = ACTIONS(833),
    [sym_keyword_time] = ACTIONS(835),
    [sym_keyword_timestamp] = ACTIONS(837),
    [sym_keyword_timestamptz] = ACTIONS(789),
    [sym_keyword_interval] = ACTIONS(789),
    [sym_keyword_geometry] = ACTIONS(789),
    [sym_keyword_geography] = ACTIONS(789),
    [sym_keyword_box2d] = ACTIONS(789),
    [sym_keyword_box3d] = ACTIONS(789),
    [sym_keyword_oid] = ACTIONS(789),
    [sym_keyword_name] = ACTIONS(789),
    [sym_keyword_regclass] = ACTIONS(789),
    [sym_keyword_regnamespace] = ACTIONS(789),
    [sym_keyword_regproc] = ACTIONS(789),
    [sym_keyword_regtype] = ACTIONS(789),
    [aux_sym_double_token1] = ACTIONS(839),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(841),
    [aux_sym_identifier_token1] = ACTIONS(841),
  },
  [35] = {
    [sym_keyword_smallserial] = STATE(1019),
    [sym_keyword_serial] = STATE(1019),
    [sym_keyword_bigserial] = STATE(1019),
    [sym_keyword_tinyint] = STATE(977),
    [sym_keyword_smallint] = STATE(979),
    [sym_keyword_mediumint] = STATE(1069),
    [sym_keyword_int] = STATE(987),
    [sym_keyword_bigint] = STATE(988),
    [sym_keyword_real] = STATE(991),
    [sym_keyword_char] = STATE(2072),
    [sym_keyword_varchar] = STATE(2071),
    [sym__type] = STATE(2414),
    [sym_tinyint] = STATE(1019),
    [sym_smallint] = STATE(1019),
    [sym_mediumint] = STATE(1019),
    [sym_int] = STATE(1019),
    [sym_bigint] = STATE(1019),
    [sym_bit] = STATE(1019),
    [sym_binary] = STATE(1019),
    [sym_varbinary] = STATE(1019),
    [sym_float] = STATE(1019),
    [sym_double] = STATE(1019),
    [sym_decimal] = STATE(1019),
    [sym_numeric] = STATE(1019),
    [sym_char] = STATE(1019),
    [sym_varchar] = STATE(1019),
    [sym_nchar] = STATE(1019),
    [sym_nvarchar] = STATE(1019),
    [sym_datetimeoffset] = STATE(1019),
    [sym_time] = STATE(1019),
    [sym_timestamp] = STATE(1019),
    [sym_enum] = STATE(1019),
    [sym_object_reference] = STATE(992),
    [sym_identifier] = STATE(2029),
    [sym__identifier] = ACTIONS(843),
    [aux_sym_keyword_character_token1] = ACTIONS(845),
    [sym_keyword_unsigned] = ACTIONS(847),
    [sym_keyword_boolean] = ACTIONS(849),
    [sym_keyword_bit] = ACTIONS(851),
    [sym_keyword_binary] = ACTIONS(853),
    [sym_keyword_varbinary] = ACTIONS(855),
    [sym_keyword_image] = ACTIONS(849),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(857),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(857),
    [aux_sym_keyword_serial_token1] = ACTIONS(859),
    [aux_sym_keyword_serial_token2] = ACTIONS(859),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(861),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(861),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(863),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(863),
    [aux_sym_keyword_smallint_token1] = ACTIONS(865),
    [aux_sym_keyword_smallint_token2] = ACTIONS(865),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(867),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(867),
    [aux_sym_keyword_int_token1] = ACTIONS(869),
    [aux_sym_keyword_int_token2] = ACTIONS(869),
    [aux_sym_keyword_int_token3] = ACTIONS(869),
    [aux_sym_keyword_bigint_token1] = ACTIONS(871),
    [aux_sym_keyword_bigint_token2] = ACTIONS(871),
    [sym_keyword_decimal] = ACTIONS(873),
    [sym_keyword_numeric] = ACTIONS(875),
    [aux_sym_keyword_real_token1] = ACTIONS(877),
    [aux_sym_keyword_real_token2] = ACTIONS(877),
    [sym_keyword_float] = ACTIONS(879),
    [sym_keyword_double] = ACTIONS(881),
    [sym_keyword_inet] = ACTIONS(849),
    [sym_keyword_money] = ACTIONS(849),
    [sym_keyword_smallmoney] = ACTIONS(849),
    [aux_sym_keyword_char_token1] = ACTIONS(883),
    [sym_keyword_nchar] = ACTIONS(885),
    [aux_sym_keyword_varchar_token1] = ACTIONS(887),
    [sym_keyword_nvarchar] = ACTIONS(889),
    [sym_keyword_text] = ACTIONS(849),
    [sym_keyword_string] = ACTIONS(849),
    [sym_keyword_uuid] = ACTIONS(849),
    [sym_keyword_json] = ACTIONS(849),
    [sym_keyword_jsonb] = ACTIONS(849),
    [sym_keyword_xml] = ACTIONS(849),
    [sym_keyword_bytea] = ACTIONS(849),
    [sym_keyword_enum] = ACTIONS(891),
    [sym_keyword_date] = ACTIONS(849),
    [sym_keyword_datetime] = ACTIONS(849),
    [sym_keyword_datetime2] = ACTIONS(849),
    [sym_keyword_smalldatetime] = ACTIONS(849),
    [sym_keyword_datetimeoffset] = ACTIONS(893),
    [sym_keyword_time] = ACTIONS(895),
    [sym_keyword_timestamp] = ACTIONS(897),
    [sym_keyword_timestamptz] = ACTIONS(849),
    [sym_keyword_interval] = ACTIONS(849),
    [sym_keyword_geometry] = ACTIONS(849),
    [sym_keyword_geography] = ACTIONS(849),
    [sym_keyword_box2d] = ACTIONS(849),
    [sym_keyword_box3d] = ACTIONS(849),
    [sym_keyword_oid] = ACTIONS(849),
    [sym_keyword_name] = ACTIONS(849),
    [sym_keyword_regclass] = ACTIONS(849),
    [sym_keyword_regnamespace] = ACTIONS(849),
    [sym_keyword_regproc] = ACTIONS(849),
    [sym_keyword_regtype] = ACTIONS(849),
    [aux_sym_double_token1] = ACTIONS(899),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(901),
    [aux_sym_identifier_token1] = ACTIONS(901),
  },
  [36] = {
    [sym_keyword_smallserial] = STATE(4873),
    [sym_keyword_serial] = STATE(4873),
    [sym_keyword_bigserial] = STATE(4873),
    [sym_keyword_tinyint] = STATE(466),
    [sym_keyword_smallint] = STATE(467),
    [sym_keyword_mediumint] = STATE(468),
    [sym_keyword_int] = STATE(474),
    [sym_keyword_bigint] = STATE(489),
    [sym_keyword_real] = STATE(491),
    [sym_keyword_char] = STATE(620),
    [sym_keyword_varchar] = STATE(621),
    [sym__type] = STATE(4874),
    [sym_tinyint] = STATE(4873),
    [sym_smallint] = STATE(4873),
    [sym_mediumint] = STATE(4873),
    [sym_int] = STATE(4873),
    [sym_bigint] = STATE(4873),
    [sym_bit] = STATE(4873),
    [sym_binary] = STATE(4873),
    [sym_varbinary] = STATE(4873),
    [sym_float] = STATE(4873),
    [sym_double] = STATE(4873),
    [sym_decimal] = STATE(4873),
    [sym_numeric] = STATE(4873),
    [sym_char] = STATE(4873),
    [sym_varchar] = STATE(4873),
    [sym_nchar] = STATE(4873),
    [sym_nvarchar] = STATE(4873),
    [sym_datetimeoffset] = STATE(4873),
    [sym_time] = STATE(4873),
    [sym_timestamp] = STATE(4873),
    [sym_enum] = STATE(4873),
    [sym_object_reference] = STATE(4803),
    [sym_identifier] = STATE(5423),
    [sym__identifier] = ACTIONS(903),
    [aux_sym_keyword_character_token1] = ACTIONS(653),
    [sym_keyword_unsigned] = ACTIONS(655),
    [sym_keyword_boolean] = ACTIONS(905),
    [sym_keyword_bit] = ACTIONS(659),
    [sym_keyword_binary] = ACTIONS(661),
    [sym_keyword_varbinary] = ACTIONS(663),
    [sym_keyword_image] = ACTIONS(905),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(665),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(665),
    [aux_sym_keyword_serial_token1] = ACTIONS(667),
    [aux_sym_keyword_serial_token2] = ACTIONS(667),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(669),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(669),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(671),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(671),
    [aux_sym_keyword_smallint_token1] = ACTIONS(673),
    [aux_sym_keyword_smallint_token2] = ACTIONS(673),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(675),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(675),
    [aux_sym_keyword_int_token1] = ACTIONS(677),
    [aux_sym_keyword_int_token2] = ACTIONS(677),
    [aux_sym_keyword_int_token3] = ACTIONS(677),
    [aux_sym_keyword_bigint_token1] = ACTIONS(679),
    [aux_sym_keyword_bigint_token2] = ACTIONS(679),
    [sym_keyword_decimal] = ACTIONS(681),
    [sym_keyword_numeric] = ACTIONS(683),
    [aux_sym_keyword_real_token1] = ACTIONS(685),
    [aux_sym_keyword_real_token2] = ACTIONS(685),
    [sym_keyword_float] = ACTIONS(687),
    [sym_keyword_double] = ACTIONS(689),
    [sym_keyword_inet] = ACTIONS(905),
    [sym_keyword_money] = ACTIONS(905),
    [sym_keyword_smallmoney] = ACTIONS(905),
    [aux_sym_keyword_char_token1] = ACTIONS(691),
    [sym_keyword_nchar] = ACTIONS(693),
    [aux_sym_keyword_varchar_token1] = ACTIONS(695),
    [sym_keyword_nvarchar] = ACTIONS(697),
    [sym_keyword_text] = ACTIONS(905),
    [sym_keyword_string] = ACTIONS(905),
    [sym_keyword_uuid] = ACTIONS(905),
    [sym_keyword_json] = ACTIONS(905),
    [sym_keyword_jsonb] = ACTIONS(905),
    [sym_keyword_xml] = ACTIONS(905),
    [sym_keyword_bytea] = ACTIONS(905),
    [sym_keyword_enum] = ACTIONS(699),
    [sym_keyword_date] = ACTIONS(905),
    [sym_keyword_datetime] = ACTIONS(905),
    [sym_keyword_datetime2] = ACTIONS(905),
    [sym_keyword_smalldatetime] = ACTIONS(905),
    [sym_keyword_datetimeoffset] = ACTIONS(701),
    [sym_keyword_time] = ACTIONS(703),
    [sym_keyword_timestamp] = ACTIONS(705),
    [sym_keyword_timestamptz] = ACTIONS(905),
    [sym_keyword_interval] = ACTIONS(905),
    [sym_keyword_geometry] = ACTIONS(905),
    [sym_keyword_geography] = ACTIONS(905),
    [sym_keyword_box2d] = ACTIONS(905),
    [sym_keyword_box3d] = ACTIONS(905),
    [sym_keyword_oid] = ACTIONS(905),
    [sym_keyword_name] = ACTIONS(905),
    [sym_keyword_regclass] = ACTIONS(905),
    [sym_keyword_regnamespace] = ACTIONS(905),
    [sym_keyword_regproc] = ACTIONS(905),
    [sym_keyword_regtype] = ACTIONS(905),
    [aux_sym_double_token1] = ACTIONS(707),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(907),
    [aux_sym_identifier_token1] = ACTIONS(907),
  },
  [37] = {
    [sym_keyword_smallserial] = STATE(7120),
    [sym_keyword_serial] = STATE(7120),
    [sym_keyword_bigserial] = STATE(7120),
    [sym_keyword_tinyint] = STATE(1707),
    [sym_keyword_smallint] = STATE(1711),
    [sym_keyword_mediumint] = STATE(1712),
    [sym_keyword_int] = STATE(1714),
    [sym_keyword_bigint] = STATE(1717),
    [sym_keyword_real] = STATE(1744),
    [sym_keyword_char] = STATE(2284),
    [sym_keyword_varchar] = STATE(2290),
    [sym__type] = STATE(11450),
    [sym_tinyint] = STATE(7120),
    [sym_smallint] = STATE(7120),
    [sym_mediumint] = STATE(7120),
    [sym_int] = STATE(7120),
    [sym_bigint] = STATE(7120),
    [sym_bit] = STATE(7120),
    [sym_binary] = STATE(7120),
    [sym_varbinary] = STATE(7120),
    [sym_float] = STATE(7120),
    [sym_double] = STATE(7120),
    [sym_decimal] = STATE(7120),
    [sym_numeric] = STATE(7120),
    [sym_char] = STATE(7120),
    [sym_varchar] = STATE(7120),
    [sym_nchar] = STATE(7120),
    [sym_nvarchar] = STATE(7120),
    [sym_datetimeoffset] = STATE(7120),
    [sym_time] = STATE(7120),
    [sym_timestamp] = STATE(7120),
    [sym_enum] = STATE(7120),
    [sym_object_reference] = STATE(7127),
    [sym_identifier] = STATE(6414),
    [sym__identifier] = ACTIONS(51),
    [aux_sym_keyword_character_token1] = ACTIONS(53),
    [sym_keyword_unsigned] = ACTIONS(57),
    [sym_keyword_boolean] = ACTIONS(59),
    [sym_keyword_bit] = ACTIONS(61),
    [sym_keyword_binary] = ACTIONS(63),
    [sym_keyword_varbinary] = ACTIONS(65),
    [sym_keyword_image] = ACTIONS(59),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(67),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(67),
    [aux_sym_keyword_serial_token1] = ACTIONS(69),
    [aux_sym_keyword_serial_token2] = ACTIONS(69),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(71),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(71),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(73),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(73),
    [aux_sym_keyword_smallint_token1] = ACTIONS(75),
    [aux_sym_keyword_smallint_token2] = ACTIONS(75),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(77),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(77),
    [aux_sym_keyword_int_token1] = ACTIONS(79),
    [aux_sym_keyword_int_token2] = ACTIONS(79),
    [aux_sym_keyword_int_token3] = ACTIONS(79),
    [aux_sym_keyword_bigint_token1] = ACTIONS(81),
    [aux_sym_keyword_bigint_token2] = ACTIONS(81),
    [sym_keyword_decimal] = ACTIONS(83),
    [sym_keyword_numeric] = ACTIONS(85),
    [aux_sym_keyword_real_token1] = ACTIONS(87),
    [aux_sym_keyword_real_token2] = ACTIONS(87),
    [sym_keyword_float] = ACTIONS(89),
    [sym_keyword_double] = ACTIONS(91),
    [sym_keyword_inet] = ACTIONS(59),
    [sym_keyword_money] = ACTIONS(59),
    [sym_keyword_smallmoney] = ACTIONS(59),
    [aux_sym_keyword_char_token1] = ACTIONS(93),
    [sym_keyword_nchar] = ACTIONS(95),
    [aux_sym_keyword_varchar_token1] = ACTIONS(97),
    [sym_keyword_nvarchar] = ACTIONS(99),
    [sym_keyword_text] = ACTIONS(59),
    [sym_keyword_string] = ACTIONS(59),
    [sym_keyword_uuid] = ACTIONS(59),
    [sym_keyword_json] = ACTIONS(59),
    [sym_keyword_jsonb] = ACTIONS(59),
    [sym_keyword_xml] = ACTIONS(59),
    [sym_keyword_bytea] = ACTIONS(59),
    [sym_keyword_enum] = ACTIONS(101),
    [sym_keyword_date] = ACTIONS(59),
    [sym_keyword_datetime] = ACTIONS(59),
    [sym_keyword_datetime2] = ACTIONS(59),
    [sym_keyword_smalldatetime] = ACTIONS(59),
    [sym_keyword_datetimeoffset] = ACTIONS(103),
    [sym_keyword_time] = ACTIONS(105),
    [sym_keyword_timestamp] = ACTIONS(107),
    [sym_keyword_timestamptz] = ACTIONS(59),
    [sym_keyword_interval] = ACTIONS(59),
    [sym_keyword_geometry] = ACTIONS(59),
    [sym_keyword_geography] = ACTIONS(59),
    [sym_keyword_box2d] = ACTIONS(59),
    [sym_keyword_box3d] = ACTIONS(59),
    [sym_keyword_oid] = ACTIONS(59),
    [sym_keyword_name] = ACTIONS(59),
    [sym_keyword_regclass] = ACTIONS(59),
    [sym_keyword_regnamespace] = ACTIONS(59),
    [sym_keyword_regproc] = ACTIONS(59),
    [sym_keyword_regtype] = ACTIONS(59),
    [aux_sym_double_token1] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
  },
  [38] = {
    [sym_keyword_smallserial] = STATE(4749),
    [sym_keyword_serial] = STATE(4749),
    [sym_keyword_bigserial] = STATE(4749),
    [sym_keyword_tinyint] = STATE(4773),
    [sym_keyword_smallint] = STATE(4769),
    [sym_keyword_mediumint] = STATE(4768),
    [sym_keyword_int] = STATE(4767),
    [sym_keyword_bigint] = STATE(4766),
    [sym_keyword_real] = STATE(4765),
    [sym_keyword_char] = STATE(4980),
    [sym_keyword_varchar] = STATE(4978),
    [sym__type] = STATE(2656),
    [sym_tinyint] = STATE(4749),
    [sym_smallint] = STATE(4749),
    [sym_mediumint] = STATE(4749),
    [sym_int] = STATE(4749),
    [sym_bigint] = STATE(4749),
    [sym_bit] = STATE(4749),
    [sym_binary] = STATE(4749),
    [sym_varbinary] = STATE(4749),
    [sym_float] = STATE(4749),
    [sym_double] = STATE(4749),
    [sym_decimal] = STATE(4749),
    [sym_numeric] = STATE(4749),
    [sym_char] = STATE(4749),
    [sym_varchar] = STATE(4749),
    [sym_nchar] = STATE(4749),
    [sym_nvarchar] = STATE(4749),
    [sym_datetimeoffset] = STATE(4749),
    [sym_time] = STATE(4749),
    [sym_timestamp] = STATE(4749),
    [sym_enum] = STATE(4749),
    [sym_object_reference] = STATE(4747),
    [sym_identifier] = STATE(5048),
    [sym__identifier] = ACTIONS(127),
    [aux_sym_keyword_character_token1] = ACTIONS(343),
    [sym_keyword_unsigned] = ACTIONS(345),
    [sym_keyword_boolean] = ACTIONS(347),
    [sym_keyword_bit] = ACTIONS(349),
    [sym_keyword_binary] = ACTIONS(351),
    [sym_keyword_varbinary] = ACTIONS(353),
    [sym_keyword_image] = ACTIONS(347),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(355),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(355),
    [aux_sym_keyword_serial_token1] = ACTIONS(357),
    [aux_sym_keyword_serial_token2] = ACTIONS(357),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(359),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(359),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(361),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(361),
    [aux_sym_keyword_smallint_token1] = ACTIONS(363),
    [aux_sym_keyword_smallint_token2] = ACTIONS(363),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(365),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(365),
    [aux_sym_keyword_int_token1] = ACTIONS(367),
    [aux_sym_keyword_int_token2] = ACTIONS(367),
    [aux_sym_keyword_int_token3] = ACTIONS(367),
    [aux_sym_keyword_bigint_token1] = ACTIONS(369),
    [aux_sym_keyword_bigint_token2] = ACTIONS(369),
    [sym_keyword_decimal] = ACTIONS(371),
    [sym_keyword_numeric] = ACTIONS(373),
    [aux_sym_keyword_real_token1] = ACTIONS(375),
    [aux_sym_keyword_real_token2] = ACTIONS(375),
    [sym_keyword_float] = ACTIONS(377),
    [sym_keyword_double] = ACTIONS(379),
    [sym_keyword_inet] = ACTIONS(347),
    [sym_keyword_money] = ACTIONS(347),
    [sym_keyword_smallmoney] = ACTIONS(347),
    [aux_sym_keyword_char_token1] = ACTIONS(381),
    [sym_keyword_nchar] = ACTIONS(383),
    [aux_sym_keyword_varchar_token1] = ACTIONS(385),
    [sym_keyword_nvarchar] = ACTIONS(387),
    [sym_keyword_text] = ACTIONS(347),
    [sym_keyword_string] = ACTIONS(347),
    [sym_keyword_uuid] = ACTIONS(347),
    [sym_keyword_json] = ACTIONS(347),
    [sym_keyword_jsonb] = ACTIONS(347),
    [sym_keyword_xml] = ACTIONS(347),
    [sym_keyword_bytea] = ACTIONS(347),
    [sym_keyword_enum] = ACTIONS(389),
    [sym_keyword_date] = ACTIONS(347),
    [sym_keyword_datetime] = ACTIONS(347),
    [sym_keyword_datetime2] = ACTIONS(347),
    [sym_keyword_smalldatetime] = ACTIONS(347),
    [sym_keyword_datetimeoffset] = ACTIONS(391),
    [sym_keyword_time] = ACTIONS(393),
    [sym_keyword_timestamp] = ACTIONS(395),
    [sym_keyword_timestamptz] = ACTIONS(347),
    [sym_keyword_interval] = ACTIONS(347),
    [sym_keyword_geometry] = ACTIONS(347),
    [sym_keyword_geography] = ACTIONS(347),
    [sym_keyword_box2d] = ACTIONS(347),
    [sym_keyword_box3d] = ACTIONS(347),
    [sym_keyword_oid] = ACTIONS(347),
    [sym_keyword_name] = ACTIONS(347),
    [sym_keyword_regclass] = ACTIONS(347),
    [sym_keyword_regnamespace] = ACTIONS(347),
    [sym_keyword_regproc] = ACTIONS(347),
    [sym_keyword_regtype] = ACTIONS(347),
    [aux_sym_double_token1] = ACTIONS(397),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(191),
    [aux_sym_identifier_token1] = ACTIONS(191),
  },
  [39] = {
    [sym_keyword_smallserial] = STATE(7120),
    [sym_keyword_serial] = STATE(7120),
    [sym_keyword_bigserial] = STATE(7120),
    [sym_keyword_tinyint] = STATE(1707),
    [sym_keyword_smallint] = STATE(1711),
    [sym_keyword_mediumint] = STATE(1712),
    [sym_keyword_int] = STATE(1714),
    [sym_keyword_bigint] = STATE(1717),
    [sym_keyword_real] = STATE(1744),
    [sym_keyword_char] = STATE(2284),
    [sym_keyword_varchar] = STATE(2290),
    [sym__type] = STATE(14590),
    [sym_tinyint] = STATE(7120),
    [sym_smallint] = STATE(7120),
    [sym_mediumint] = STATE(7120),
    [sym_int] = STATE(7120),
    [sym_bigint] = STATE(7120),
    [sym_bit] = STATE(7120),
    [sym_binary] = STATE(7120),
    [sym_varbinary] = STATE(7120),
    [sym_float] = STATE(7120),
    [sym_double] = STATE(7120),
    [sym_decimal] = STATE(7120),
    [sym_numeric] = STATE(7120),
    [sym_char] = STATE(7120),
    [sym_varchar] = STATE(7120),
    [sym_nchar] = STATE(7120),
    [sym_nvarchar] = STATE(7120),
    [sym_datetimeoffset] = STATE(7120),
    [sym_time] = STATE(7120),
    [sym_timestamp] = STATE(7120),
    [sym_enum] = STATE(7120),
    [sym_object_reference] = STATE(7127),
    [sym_identifier] = STATE(6414),
    [sym__identifier] = ACTIONS(51),
    [aux_sym_keyword_character_token1] = ACTIONS(53),
    [sym_keyword_unsigned] = ACTIONS(57),
    [sym_keyword_boolean] = ACTIONS(59),
    [sym_keyword_bit] = ACTIONS(61),
    [sym_keyword_binary] = ACTIONS(63),
    [sym_keyword_varbinary] = ACTIONS(65),
    [sym_keyword_image] = ACTIONS(59),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(67),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(67),
    [aux_sym_keyword_serial_token1] = ACTIONS(69),
    [aux_sym_keyword_serial_token2] = ACTIONS(69),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(71),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(71),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(73),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(73),
    [aux_sym_keyword_smallint_token1] = ACTIONS(75),
    [aux_sym_keyword_smallint_token2] = ACTIONS(75),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(77),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(77),
    [aux_sym_keyword_int_token1] = ACTIONS(79),
    [aux_sym_keyword_int_token2] = ACTIONS(79),
    [aux_sym_keyword_int_token3] = ACTIONS(79),
    [aux_sym_keyword_bigint_token1] = ACTIONS(81),
    [aux_sym_keyword_bigint_token2] = ACTIONS(81),
    [sym_keyword_decimal] = ACTIONS(83),
    [sym_keyword_numeric] = ACTIONS(85),
    [aux_sym_keyword_real_token1] = ACTIONS(87),
    [aux_sym_keyword_real_token2] = ACTIONS(87),
    [sym_keyword_float] = ACTIONS(89),
    [sym_keyword_double] = ACTIONS(91),
    [sym_keyword_inet] = ACTIONS(59),
    [sym_keyword_money] = ACTIONS(59),
    [sym_keyword_smallmoney] = ACTIONS(59),
    [aux_sym_keyword_char_token1] = ACTIONS(93),
    [sym_keyword_nchar] = ACTIONS(95),
    [aux_sym_keyword_varchar_token1] = ACTIONS(97),
    [sym_keyword_nvarchar] = ACTIONS(99),
    [sym_keyword_text] = ACTIONS(59),
    [sym_keyword_string] = ACTIONS(59),
    [sym_keyword_uuid] = ACTIONS(59),
    [sym_keyword_json] = ACTIONS(59),
    [sym_keyword_jsonb] = ACTIONS(59),
    [sym_keyword_xml] = ACTIONS(59),
    [sym_keyword_bytea] = ACTIONS(59),
    [sym_keyword_enum] = ACTIONS(101),
    [sym_keyword_date] = ACTIONS(59),
    [sym_keyword_datetime] = ACTIONS(59),
    [sym_keyword_datetime2] = ACTIONS(59),
    [sym_keyword_smalldatetime] = ACTIONS(59),
    [sym_keyword_datetimeoffset] = ACTIONS(103),
    [sym_keyword_time] = ACTIONS(105),
    [sym_keyword_timestamp] = ACTIONS(107),
    [sym_keyword_timestamptz] = ACTIONS(59),
    [sym_keyword_interval] = ACTIONS(59),
    [sym_keyword_geometry] = ACTIONS(59),
    [sym_keyword_geography] = ACTIONS(59),
    [sym_keyword_box2d] = ACTIONS(59),
    [sym_keyword_box3d] = ACTIONS(59),
    [sym_keyword_oid] = ACTIONS(59),
    [sym_keyword_name] = ACTIONS(59),
    [sym_keyword_regclass] = ACTIONS(59),
    [sym_keyword_regnamespace] = ACTIONS(59),
    [sym_keyword_regproc] = ACTIONS(59),
    [sym_keyword_regtype] = ACTIONS(59),
    [aux_sym_double_token1] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
  },
  [40] = {
    [sym_keyword_smallserial] = STATE(2665),
    [sym_keyword_serial] = STATE(2665),
    [sym_keyword_bigserial] = STATE(2665),
    [sym_keyword_tinyint] = STATE(158),
    [sym_keyword_smallint] = STATE(163),
    [sym_keyword_mediumint] = STATE(151),
    [sym_keyword_int] = STATE(166),
    [sym_keyword_bigint] = STATE(167),
    [sym_keyword_real] = STATE(165),
    [sym_keyword_char] = STATE(185),
    [sym_keyword_varchar] = STATE(183),
    [sym__type] = STATE(2656),
    [sym_tinyint] = STATE(2665),
    [sym_smallint] = STATE(2665),
    [sym_mediumint] = STATE(2665),
    [sym_int] = STATE(2665),
    [sym_bigint] = STATE(2665),
    [sym_bit] = STATE(2665),
    [sym_binary] = STATE(2665),
    [sym_varbinary] = STATE(2665),
    [sym_float] = STATE(2665),
    [sym_double] = STATE(2665),
    [sym_decimal] = STATE(2665),
    [sym_numeric] = STATE(2665),
    [sym_char] = STATE(2665),
    [sym_varchar] = STATE(2665),
    [sym_nchar] = STATE(2665),
    [sym_nvarchar] = STATE(2665),
    [sym_datetimeoffset] = STATE(2665),
    [sym_time] = STATE(2665),
    [sym_timestamp] = STATE(2665),
    [sym_enum] = STATE(2665),
    [sym_object_reference] = STATE(2652),
    [sym_identifier] = STATE(2769),
    [sym__identifier] = ACTIONS(341),
    [aux_sym_keyword_character_token1] = ACTIONS(909),
    [sym_keyword_unsigned] = ACTIONS(911),
    [sym_keyword_boolean] = ACTIONS(913),
    [sym_keyword_bit] = ACTIONS(915),
    [sym_keyword_binary] = ACTIONS(917),
    [sym_keyword_varbinary] = ACTIONS(919),
    [sym_keyword_image] = ACTIONS(913),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(921),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(921),
    [aux_sym_keyword_serial_token1] = ACTIONS(923),
    [aux_sym_keyword_serial_token2] = ACTIONS(923),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(925),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(925),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(927),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(927),
    [aux_sym_keyword_smallint_token1] = ACTIONS(929),
    [aux_sym_keyword_smallint_token2] = ACTIONS(929),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(931),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(931),
    [aux_sym_keyword_int_token1] = ACTIONS(933),
    [aux_sym_keyword_int_token2] = ACTIONS(933),
    [aux_sym_keyword_int_token3] = ACTIONS(933),
    [aux_sym_keyword_bigint_token1] = ACTIONS(935),
    [aux_sym_keyword_bigint_token2] = ACTIONS(935),
    [sym_keyword_decimal] = ACTIONS(937),
    [sym_keyword_numeric] = ACTIONS(939),
    [aux_sym_keyword_real_token1] = ACTIONS(941),
    [aux_sym_keyword_real_token2] = ACTIONS(941),
    [sym_keyword_float] = ACTIONS(943),
    [sym_keyword_double] = ACTIONS(945),
    [sym_keyword_inet] = ACTIONS(913),
    [sym_keyword_money] = ACTIONS(913),
    [sym_keyword_smallmoney] = ACTIONS(913),
    [aux_sym_keyword_char_token1] = ACTIONS(947),
    [sym_keyword_nchar] = ACTIONS(949),
    [aux_sym_keyword_varchar_token1] = ACTIONS(951),
    [sym_keyword_nvarchar] = ACTIONS(953),
    [sym_keyword_text] = ACTIONS(913),
    [sym_keyword_string] = ACTIONS(913),
    [sym_keyword_uuid] = ACTIONS(913),
    [sym_keyword_json] = ACTIONS(913),
    [sym_keyword_jsonb] = ACTIONS(913),
    [sym_keyword_xml] = ACTIONS(913),
    [sym_keyword_bytea] = ACTIONS(913),
    [sym_keyword_enum] = ACTIONS(955),
    [sym_keyword_date] = ACTIONS(913),
    [sym_keyword_datetime] = ACTIONS(913),
    [sym_keyword_datetime2] = ACTIONS(913),
    [sym_keyword_smalldatetime] = ACTIONS(913),
    [sym_keyword_datetimeoffset] = ACTIONS(957),
    [sym_keyword_time] = ACTIONS(959),
    [sym_keyword_timestamp] = ACTIONS(961),
    [sym_keyword_timestamptz] = ACTIONS(913),
    [sym_keyword_interval] = ACTIONS(913),
    [sym_keyword_geometry] = ACTIONS(913),
    [sym_keyword_geography] = ACTIONS(913),
    [sym_keyword_box2d] = ACTIONS(913),
    [sym_keyword_box3d] = ACTIONS(913),
    [sym_keyword_oid] = ACTIONS(913),
    [sym_keyword_name] = ACTIONS(913),
    [sym_keyword_regclass] = ACTIONS(913),
    [sym_keyword_regnamespace] = ACTIONS(913),
    [sym_keyword_regproc] = ACTIONS(913),
    [sym_keyword_regtype] = ACTIONS(913),
    [aux_sym_double_token1] = ACTIONS(963),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(399),
    [aux_sym_identifier_token1] = ACTIONS(399),
  },
  [41] = {
    [sym_keyword_smallserial] = STATE(7120),
    [sym_keyword_serial] = STATE(7120),
    [sym_keyword_bigserial] = STATE(7120),
    [sym_keyword_tinyint] = STATE(1707),
    [sym_keyword_smallint] = STATE(1711),
    [sym_keyword_mediumint] = STATE(1712),
    [sym_keyword_int] = STATE(1714),
    [sym_keyword_bigint] = STATE(1717),
    [sym_keyword_real] = STATE(1744),
    [sym_keyword_char] = STATE(2284),
    [sym_keyword_varchar] = STATE(2290),
    [sym__type] = STATE(8247),
    [sym_tinyint] = STATE(7120),
    [sym_smallint] = STATE(7120),
    [sym_mediumint] = STATE(7120),
    [sym_int] = STATE(7120),
    [sym_bigint] = STATE(7120),
    [sym_bit] = STATE(7120),
    [sym_binary] = STATE(7120),
    [sym_varbinary] = STATE(7120),
    [sym_float] = STATE(7120),
    [sym_double] = STATE(7120),
    [sym_decimal] = STATE(7120),
    [sym_numeric] = STATE(7120),
    [sym_char] = STATE(7120),
    [sym_varchar] = STATE(7120),
    [sym_nchar] = STATE(7120),
    [sym_nvarchar] = STATE(7120),
    [sym_datetimeoffset] = STATE(7120),
    [sym_time] = STATE(7120),
    [sym_timestamp] = STATE(7120),
    [sym_enum] = STATE(7120),
    [sym_object_reference] = STATE(7127),
    [sym_identifier] = STATE(6414),
    [sym__identifier] = ACTIONS(51),
    [aux_sym_keyword_character_token1] = ACTIONS(53),
    [sym_keyword_unsigned] = ACTIONS(57),
    [sym_keyword_boolean] = ACTIONS(59),
    [sym_keyword_bit] = ACTIONS(61),
    [sym_keyword_binary] = ACTIONS(63),
    [sym_keyword_varbinary] = ACTIONS(65),
    [sym_keyword_image] = ACTIONS(59),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(67),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(67),
    [aux_sym_keyword_serial_token1] = ACTIONS(69),
    [aux_sym_keyword_serial_token2] = ACTIONS(69),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(71),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(71),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(73),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(73),
    [aux_sym_keyword_smallint_token1] = ACTIONS(75),
    [aux_sym_keyword_smallint_token2] = ACTIONS(75),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(77),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(77),
    [aux_sym_keyword_int_token1] = ACTIONS(79),
    [aux_sym_keyword_int_token2] = ACTIONS(79),
    [aux_sym_keyword_int_token3] = ACTIONS(79),
    [aux_sym_keyword_bigint_token1] = ACTIONS(81),
    [aux_sym_keyword_bigint_token2] = ACTIONS(81),
    [sym_keyword_decimal] = ACTIONS(83),
    [sym_keyword_numeric] = ACTIONS(85),
    [aux_sym_keyword_real_token1] = ACTIONS(87),
    [aux_sym_keyword_real_token2] = ACTIONS(87),
    [sym_keyword_float] = ACTIONS(89),
    [sym_keyword_double] = ACTIONS(91),
    [sym_keyword_inet] = ACTIONS(59),
    [sym_keyword_money] = ACTIONS(59),
    [sym_keyword_smallmoney] = ACTIONS(59),
    [aux_sym_keyword_char_token1] = ACTIONS(93),
    [sym_keyword_nchar] = ACTIONS(95),
    [aux_sym_keyword_varchar_token1] = ACTIONS(97),
    [sym_keyword_nvarchar] = ACTIONS(99),
    [sym_keyword_text] = ACTIONS(59),
    [sym_keyword_string] = ACTIONS(59),
    [sym_keyword_uuid] = ACTIONS(59),
    [sym_keyword_json] = ACTIONS(59),
    [sym_keyword_jsonb] = ACTIONS(59),
    [sym_keyword_xml] = ACTIONS(59),
    [sym_keyword_bytea] = ACTIONS(59),
    [sym_keyword_enum] = ACTIONS(101),
    [sym_keyword_date] = ACTIONS(59),
    [sym_keyword_datetime] = ACTIONS(59),
    [sym_keyword_datetime2] = ACTIONS(59),
    [sym_keyword_smalldatetime] = ACTIONS(59),
    [sym_keyword_datetimeoffset] = ACTIONS(103),
    [sym_keyword_time] = ACTIONS(105),
    [sym_keyword_timestamp] = ACTIONS(107),
    [sym_keyword_timestamptz] = ACTIONS(59),
    [sym_keyword_interval] = ACTIONS(59),
    [sym_keyword_geometry] = ACTIONS(59),
    [sym_keyword_geography] = ACTIONS(59),
    [sym_keyword_box2d] = ACTIONS(59),
    [sym_keyword_box3d] = ACTIONS(59),
    [sym_keyword_oid] = ACTIONS(59),
    [sym_keyword_name] = ACTIONS(59),
    [sym_keyword_regclass] = ACTIONS(59),
    [sym_keyword_regnamespace] = ACTIONS(59),
    [sym_keyword_regproc] = ACTIONS(59),
    [sym_keyword_regtype] = ACTIONS(59),
    [aux_sym_double_token1] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
  },
  [42] = {
    [sym_keyword_smallserial] = STATE(7583),
    [sym_keyword_serial] = STATE(7583),
    [sym_keyword_bigserial] = STATE(7583),
    [sym_keyword_tinyint] = STATE(2543),
    [sym_keyword_smallint] = STATE(2547),
    [sym_keyword_mediumint] = STATE(2552),
    [sym_keyword_int] = STATE(2554),
    [sym_keyword_bigint] = STATE(2558),
    [sym_keyword_real] = STATE(2559),
    [sym_keyword_char] = STATE(2752),
    [sym_keyword_varchar] = STATE(2753),
    [sym__type] = STATE(10826),
    [sym_tinyint] = STATE(7583),
    [sym_smallint] = STATE(7583),
    [sym_mediumint] = STATE(7583),
    [sym_int] = STATE(7583),
    [sym_bigint] = STATE(7583),
    [sym_bit] = STATE(7583),
    [sym_binary] = STATE(7583),
    [sym_varbinary] = STATE(7583),
    [sym_float] = STATE(7583),
    [sym_double] = STATE(7583),
    [sym_decimal] = STATE(7583),
    [sym_numeric] = STATE(7583),
    [sym_char] = STATE(7583),
    [sym_varchar] = STATE(7583),
    [sym_nchar] = STATE(7583),
    [sym_nvarchar] = STATE(7583),
    [sym_datetimeoffset] = STATE(7583),
    [sym_time] = STATE(7583),
    [sym_timestamp] = STATE(7583),
    [sym_enum] = STATE(7583),
    [sym_object_reference] = STATE(7581),
    [sym_identifier] = STATE(7262),
    [sym__identifier] = ACTIONS(211),
    [aux_sym_keyword_character_token1] = ACTIONS(213),
    [sym_keyword_unsigned] = ACTIONS(215),
    [sym_keyword_boolean] = ACTIONS(217),
    [sym_keyword_bit] = ACTIONS(219),
    [sym_keyword_binary] = ACTIONS(221),
    [sym_keyword_varbinary] = ACTIONS(223),
    [sym_keyword_image] = ACTIONS(217),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(225),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(225),
    [aux_sym_keyword_serial_token1] = ACTIONS(227),
    [aux_sym_keyword_serial_token2] = ACTIONS(227),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(229),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(229),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(231),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(231),
    [aux_sym_keyword_smallint_token1] = ACTIONS(233),
    [aux_sym_keyword_smallint_token2] = ACTIONS(233),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(235),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(235),
    [aux_sym_keyword_int_token1] = ACTIONS(237),
    [aux_sym_keyword_int_token2] = ACTIONS(237),
    [aux_sym_keyword_int_token3] = ACTIONS(237),
    [aux_sym_keyword_bigint_token1] = ACTIONS(239),
    [aux_sym_keyword_bigint_token2] = ACTIONS(239),
    [sym_keyword_decimal] = ACTIONS(241),
    [sym_keyword_numeric] = ACTIONS(243),
    [aux_sym_keyword_real_token1] = ACTIONS(245),
    [aux_sym_keyword_real_token2] = ACTIONS(245),
    [sym_keyword_float] = ACTIONS(247),
    [sym_keyword_double] = ACTIONS(249),
    [sym_keyword_inet] = ACTIONS(217),
    [sym_keyword_money] = ACTIONS(217),
    [sym_keyword_smallmoney] = ACTIONS(217),
    [aux_sym_keyword_char_token1] = ACTIONS(251),
    [sym_keyword_nchar] = ACTIONS(253),
    [aux_sym_keyword_varchar_token1] = ACTIONS(255),
    [sym_keyword_nvarchar] = ACTIONS(257),
    [sym_keyword_text] = ACTIONS(217),
    [sym_keyword_string] = ACTIONS(217),
    [sym_keyword_uuid] = ACTIONS(217),
    [sym_keyword_json] = ACTIONS(217),
    [sym_keyword_jsonb] = ACTIONS(217),
    [sym_keyword_xml] = ACTIONS(217),
    [sym_keyword_bytea] = ACTIONS(217),
    [sym_keyword_enum] = ACTIONS(259),
    [sym_keyword_date] = ACTIONS(217),
    [sym_keyword_datetime] = ACTIONS(217),
    [sym_keyword_datetime2] = ACTIONS(217),
    [sym_keyword_smalldatetime] = ACTIONS(217),
    [sym_keyword_datetimeoffset] = ACTIONS(261),
    [sym_keyword_time] = ACTIONS(263),
    [sym_keyword_timestamp] = ACTIONS(265),
    [sym_keyword_timestamptz] = ACTIONS(217),
    [sym_keyword_interval] = ACTIONS(217),
    [sym_keyword_geometry] = ACTIONS(217),
    [sym_keyword_geography] = ACTIONS(217),
    [sym_keyword_box2d] = ACTIONS(217),
    [sym_keyword_box3d] = ACTIONS(217),
    [sym_keyword_oid] = ACTIONS(217),
    [sym_keyword_name] = ACTIONS(217),
    [sym_keyword_regclass] = ACTIONS(217),
    [sym_keyword_regnamespace] = ACTIONS(217),
    [sym_keyword_regproc] = ACTIONS(217),
    [sym_keyword_regtype] = ACTIONS(217),
    [aux_sym_double_token1] = ACTIONS(267),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(269),
    [aux_sym_identifier_token1] = ACTIONS(269),
  },
  [43] = {
    [sym_keyword_smallserial] = STATE(2617),
    [sym_keyword_serial] = STATE(2617),
    [sym_keyword_bigserial] = STATE(2617),
    [sym_keyword_tinyint] = STATE(2605),
    [sym_keyword_smallint] = STATE(2604),
    [sym_keyword_mediumint] = STATE(2601),
    [sym_keyword_int] = STATE(2589),
    [sym_keyword_bigint] = STATE(2588),
    [sym_keyword_real] = STATE(2582),
    [sym_keyword_char] = STATE(3023),
    [sym_keyword_varchar] = STATE(3022),
    [sym__type] = STATE(3432),
    [sym_tinyint] = STATE(2617),
    [sym_smallint] = STATE(2617),
    [sym_mediumint] = STATE(2617),
    [sym_int] = STATE(2617),
    [sym_bigint] = STATE(2617),
    [sym_bit] = STATE(2617),
    [sym_binary] = STATE(2617),
    [sym_varbinary] = STATE(2617),
    [sym_float] = STATE(2617),
    [sym_double] = STATE(2617),
    [sym_decimal] = STATE(2617),
    [sym_numeric] = STATE(2617),
    [sym_char] = STATE(2617),
    [sym_varchar] = STATE(2617),
    [sym_nchar] = STATE(2617),
    [sym_nvarchar] = STATE(2617),
    [sym_datetimeoffset] = STATE(2617),
    [sym_time] = STATE(2617),
    [sym_timestamp] = STATE(2617),
    [sym_enum] = STATE(2617),
    [sym_object_reference] = STATE(2623),
    [sym_identifier] = STATE(5364),
    [sym__identifier] = ACTIONS(965),
    [aux_sym_keyword_character_token1] = ACTIONS(967),
    [sym_keyword_unsigned] = ACTIONS(969),
    [sym_keyword_boolean] = ACTIONS(971),
    [sym_keyword_bit] = ACTIONS(973),
    [sym_keyword_binary] = ACTIONS(975),
    [sym_keyword_varbinary] = ACTIONS(977),
    [sym_keyword_image] = ACTIONS(971),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(979),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(979),
    [aux_sym_keyword_serial_token1] = ACTIONS(981),
    [aux_sym_keyword_serial_token2] = ACTIONS(981),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(983),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(983),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(985),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(985),
    [aux_sym_keyword_smallint_token1] = ACTIONS(987),
    [aux_sym_keyword_smallint_token2] = ACTIONS(987),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(989),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(989),
    [aux_sym_keyword_int_token1] = ACTIONS(991),
    [aux_sym_keyword_int_token2] = ACTIONS(991),
    [aux_sym_keyword_int_token3] = ACTIONS(991),
    [aux_sym_keyword_bigint_token1] = ACTIONS(993),
    [aux_sym_keyword_bigint_token2] = ACTIONS(993),
    [sym_keyword_decimal] = ACTIONS(995),
    [sym_keyword_numeric] = ACTIONS(997),
    [aux_sym_keyword_real_token1] = ACTIONS(999),
    [aux_sym_keyword_real_token2] = ACTIONS(999),
    [sym_keyword_float] = ACTIONS(1001),
    [sym_keyword_double] = ACTIONS(1003),
    [sym_keyword_inet] = ACTIONS(971),
    [sym_keyword_money] = ACTIONS(971),
    [sym_keyword_smallmoney] = ACTIONS(971),
    [aux_sym_keyword_char_token1] = ACTIONS(1005),
    [sym_keyword_nchar] = ACTIONS(1007),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1009),
    [sym_keyword_nvarchar] = ACTIONS(1011),
    [sym_keyword_text] = ACTIONS(971),
    [sym_keyword_string] = ACTIONS(971),
    [sym_keyword_uuid] = ACTIONS(971),
    [sym_keyword_json] = ACTIONS(971),
    [sym_keyword_jsonb] = ACTIONS(971),
    [sym_keyword_xml] = ACTIONS(971),
    [sym_keyword_bytea] = ACTIONS(971),
    [sym_keyword_enum] = ACTIONS(1013),
    [sym_keyword_date] = ACTIONS(971),
    [sym_keyword_datetime] = ACTIONS(971),
    [sym_keyword_datetime2] = ACTIONS(971),
    [sym_keyword_smalldatetime] = ACTIONS(971),
    [sym_keyword_datetimeoffset] = ACTIONS(1015),
    [sym_keyword_time] = ACTIONS(1017),
    [sym_keyword_timestamp] = ACTIONS(1019),
    [sym_keyword_timestamptz] = ACTIONS(971),
    [sym_keyword_interval] = ACTIONS(971),
    [sym_keyword_geometry] = ACTIONS(971),
    [sym_keyword_geography] = ACTIONS(971),
    [sym_keyword_box2d] = ACTIONS(971),
    [sym_keyword_box3d] = ACTIONS(971),
    [sym_keyword_oid] = ACTIONS(971),
    [sym_keyword_name] = ACTIONS(971),
    [sym_keyword_regclass] = ACTIONS(971),
    [sym_keyword_regnamespace] = ACTIONS(971),
    [sym_keyword_regproc] = ACTIONS(971),
    [sym_keyword_regtype] = ACTIONS(971),
    [aux_sym_double_token1] = ACTIONS(1021),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(1023),
    [aux_sym_identifier_token1] = ACTIONS(1023),
  },
  [44] = {
    [sym_keyword_smallserial] = STATE(7120),
    [sym_keyword_serial] = STATE(7120),
    [sym_keyword_bigserial] = STATE(7120),
    [sym_keyword_tinyint] = STATE(1707),
    [sym_keyword_smallint] = STATE(1711),
    [sym_keyword_mediumint] = STATE(1712),
    [sym_keyword_int] = STATE(1714),
    [sym_keyword_bigint] = STATE(1717),
    [sym_keyword_real] = STATE(1744),
    [sym_keyword_char] = STATE(2284),
    [sym_keyword_varchar] = STATE(2290),
    [sym__type] = STATE(13181),
    [sym_tinyint] = STATE(7120),
    [sym_smallint] = STATE(7120),
    [sym_mediumint] = STATE(7120),
    [sym_int] = STATE(7120),
    [sym_bigint] = STATE(7120),
    [sym_bit] = STATE(7120),
    [sym_binary] = STATE(7120),
    [sym_varbinary] = STATE(7120),
    [sym_float] = STATE(7120),
    [sym_double] = STATE(7120),
    [sym_decimal] = STATE(7120),
    [sym_numeric] = STATE(7120),
    [sym_char] = STATE(7120),
    [sym_varchar] = STATE(7120),
    [sym_nchar] = STATE(7120),
    [sym_nvarchar] = STATE(7120),
    [sym_datetimeoffset] = STATE(7120),
    [sym_time] = STATE(7120),
    [sym_timestamp] = STATE(7120),
    [sym_enum] = STATE(7120),
    [sym_object_reference] = STATE(7127),
    [sym_identifier] = STATE(6414),
    [sym__identifier] = ACTIONS(51),
    [aux_sym_keyword_character_token1] = ACTIONS(53),
    [sym_keyword_unsigned] = ACTIONS(57),
    [sym_keyword_boolean] = ACTIONS(59),
    [sym_keyword_bit] = ACTIONS(61),
    [sym_keyword_binary] = ACTIONS(63),
    [sym_keyword_varbinary] = ACTIONS(65),
    [sym_keyword_image] = ACTIONS(59),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(67),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(67),
    [aux_sym_keyword_serial_token1] = ACTIONS(69),
    [aux_sym_keyword_serial_token2] = ACTIONS(69),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(71),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(71),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(73),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(73),
    [aux_sym_keyword_smallint_token1] = ACTIONS(75),
    [aux_sym_keyword_smallint_token2] = ACTIONS(75),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(77),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(77),
    [aux_sym_keyword_int_token1] = ACTIONS(79),
    [aux_sym_keyword_int_token2] = ACTIONS(79),
    [aux_sym_keyword_int_token3] = ACTIONS(79),
    [aux_sym_keyword_bigint_token1] = ACTIONS(81),
    [aux_sym_keyword_bigint_token2] = ACTIONS(81),
    [sym_keyword_decimal] = ACTIONS(83),
    [sym_keyword_numeric] = ACTIONS(85),
    [aux_sym_keyword_real_token1] = ACTIONS(87),
    [aux_sym_keyword_real_token2] = ACTIONS(87),
    [sym_keyword_float] = ACTIONS(89),
    [sym_keyword_double] = ACTIONS(91),
    [sym_keyword_inet] = ACTIONS(59),
    [sym_keyword_money] = ACTIONS(59),
    [sym_keyword_smallmoney] = ACTIONS(59),
    [aux_sym_keyword_char_token1] = ACTIONS(93),
    [sym_keyword_nchar] = ACTIONS(95),
    [aux_sym_keyword_varchar_token1] = ACTIONS(97),
    [sym_keyword_nvarchar] = ACTIONS(99),
    [sym_keyword_text] = ACTIONS(59),
    [sym_keyword_string] = ACTIONS(59),
    [sym_keyword_uuid] = ACTIONS(59),
    [sym_keyword_json] = ACTIONS(59),
    [sym_keyword_jsonb] = ACTIONS(59),
    [sym_keyword_xml] = ACTIONS(59),
    [sym_keyword_bytea] = ACTIONS(59),
    [sym_keyword_enum] = ACTIONS(101),
    [sym_keyword_date] = ACTIONS(59),
    [sym_keyword_datetime] = ACTIONS(59),
    [sym_keyword_datetime2] = ACTIONS(59),
    [sym_keyword_smalldatetime] = ACTIONS(59),
    [sym_keyword_datetimeoffset] = ACTIONS(103),
    [sym_keyword_time] = ACTIONS(105),
    [sym_keyword_timestamp] = ACTIONS(107),
    [sym_keyword_timestamptz] = ACTIONS(59),
    [sym_keyword_interval] = ACTIONS(59),
    [sym_keyword_geometry] = ACTIONS(59),
    [sym_keyword_geography] = ACTIONS(59),
    [sym_keyword_box2d] = ACTIONS(59),
    [sym_keyword_box3d] = ACTIONS(59),
    [sym_keyword_oid] = ACTIONS(59),
    [sym_keyword_name] = ACTIONS(59),
    [sym_keyword_regclass] = ACTIONS(59),
    [sym_keyword_regnamespace] = ACTIONS(59),
    [sym_keyword_regproc] = ACTIONS(59),
    [sym_keyword_regtype] = ACTIONS(59),
    [aux_sym_double_token1] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
  },
  [45] = {
    [sym_keyword_smallserial] = STATE(4846),
    [sym_keyword_serial] = STATE(4846),
    [sym_keyword_bigserial] = STATE(4846),
    [sym_keyword_tinyint] = STATE(4900),
    [sym_keyword_smallint] = STATE(4897),
    [sym_keyword_mediumint] = STATE(4896),
    [sym_keyword_int] = STATE(4895),
    [sym_keyword_bigint] = STATE(4894),
    [sym_keyword_real] = STATE(4886),
    [sym_keyword_char] = STATE(5354),
    [sym_keyword_varchar] = STATE(5355),
    [sym__type] = STATE(6074),
    [sym_tinyint] = STATE(4846),
    [sym_smallint] = STATE(4846),
    [sym_mediumint] = STATE(4846),
    [sym_int] = STATE(4846),
    [sym_bigint] = STATE(4846),
    [sym_bit] = STATE(4846),
    [sym_binary] = STATE(4846),
    [sym_varbinary] = STATE(4846),
    [sym_float] = STATE(4846),
    [sym_double] = STATE(4846),
    [sym_decimal] = STATE(4846),
    [sym_numeric] = STATE(4846),
    [sym_char] = STATE(4846),
    [sym_varchar] = STATE(4846),
    [sym_nchar] = STATE(4846),
    [sym_nvarchar] = STATE(4846),
    [sym_datetimeoffset] = STATE(4846),
    [sym_time] = STATE(4846),
    [sym_timestamp] = STATE(4846),
    [sym_enum] = STATE(4846),
    [sym_object_reference] = STATE(4844),
    [sym_identifier] = STATE(5375),
    [sym__identifier] = ACTIONS(965),
    [aux_sym_keyword_character_token1] = ACTIONS(1025),
    [sym_keyword_unsigned] = ACTIONS(1027),
    [sym_keyword_boolean] = ACTIONS(1029),
    [sym_keyword_bit] = ACTIONS(1031),
    [sym_keyword_binary] = ACTIONS(1033),
    [sym_keyword_varbinary] = ACTIONS(1035),
    [sym_keyword_image] = ACTIONS(1029),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1037),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1037),
    [aux_sym_keyword_serial_token1] = ACTIONS(1039),
    [aux_sym_keyword_serial_token2] = ACTIONS(1039),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1041),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1041),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1043),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1043),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1045),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1045),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1047),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1047),
    [aux_sym_keyword_int_token1] = ACTIONS(1049),
    [aux_sym_keyword_int_token2] = ACTIONS(1049),
    [aux_sym_keyword_int_token3] = ACTIONS(1049),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1051),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1051),
    [sym_keyword_decimal] = ACTIONS(1053),
    [sym_keyword_numeric] = ACTIONS(1055),
    [aux_sym_keyword_real_token1] = ACTIONS(1057),
    [aux_sym_keyword_real_token2] = ACTIONS(1057),
    [sym_keyword_float] = ACTIONS(1059),
    [sym_keyword_double] = ACTIONS(1061),
    [sym_keyword_inet] = ACTIONS(1029),
    [sym_keyword_money] = ACTIONS(1029),
    [sym_keyword_smallmoney] = ACTIONS(1029),
    [aux_sym_keyword_char_token1] = ACTIONS(1063),
    [sym_keyword_nchar] = ACTIONS(1065),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1067),
    [sym_keyword_nvarchar] = ACTIONS(1069),
    [sym_keyword_text] = ACTIONS(1029),
    [sym_keyword_string] = ACTIONS(1029),
    [sym_keyword_uuid] = ACTIONS(1029),
    [sym_keyword_json] = ACTIONS(1029),
    [sym_keyword_jsonb] = ACTIONS(1029),
    [sym_keyword_xml] = ACTIONS(1029),
    [sym_keyword_bytea] = ACTIONS(1029),
    [sym_keyword_enum] = ACTIONS(1071),
    [sym_keyword_date] = ACTIONS(1029),
    [sym_keyword_datetime] = ACTIONS(1029),
    [sym_keyword_datetime2] = ACTIONS(1029),
    [sym_keyword_smalldatetime] = ACTIONS(1029),
    [sym_keyword_datetimeoffset] = ACTIONS(1073),
    [sym_keyword_time] = ACTIONS(1075),
    [sym_keyword_timestamp] = ACTIONS(1077),
    [sym_keyword_timestamptz] = ACTIONS(1029),
    [sym_keyword_interval] = ACTIONS(1029),
    [sym_keyword_geometry] = ACTIONS(1029),
    [sym_keyword_geography] = ACTIONS(1029),
    [sym_keyword_box2d] = ACTIONS(1029),
    [sym_keyword_box3d] = ACTIONS(1029),
    [sym_keyword_oid] = ACTIONS(1029),
    [sym_keyword_name] = ACTIONS(1029),
    [sym_keyword_regclass] = ACTIONS(1029),
    [sym_keyword_regnamespace] = ACTIONS(1029),
    [sym_keyword_regproc] = ACTIONS(1029),
    [sym_keyword_regtype] = ACTIONS(1029),
    [aux_sym_double_token1] = ACTIONS(1079),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(1023),
    [aux_sym_identifier_token1] = ACTIONS(1023),
  },
  [46] = {
    [sym_keyword_smallserial] = STATE(7583),
    [sym_keyword_serial] = STATE(7583),
    [sym_keyword_bigserial] = STATE(7583),
    [sym_keyword_tinyint] = STATE(2543),
    [sym_keyword_smallint] = STATE(2547),
    [sym_keyword_mediumint] = STATE(2552),
    [sym_keyword_int] = STATE(2554),
    [sym_keyword_bigint] = STATE(2558),
    [sym_keyword_real] = STATE(2559),
    [sym_keyword_char] = STATE(2752),
    [sym_keyword_varchar] = STATE(2753),
    [sym__type] = STATE(10519),
    [sym_tinyint] = STATE(7583),
    [sym_smallint] = STATE(7583),
    [sym_mediumint] = STATE(7583),
    [sym_int] = STATE(7583),
    [sym_bigint] = STATE(7583),
    [sym_bit] = STATE(7583),
    [sym_binary] = STATE(7583),
    [sym_varbinary] = STATE(7583),
    [sym_float] = STATE(7583),
    [sym_double] = STATE(7583),
    [sym_decimal] = STATE(7583),
    [sym_numeric] = STATE(7583),
    [sym_char] = STATE(7583),
    [sym_varchar] = STATE(7583),
    [sym_nchar] = STATE(7583),
    [sym_nvarchar] = STATE(7583),
    [sym_datetimeoffset] = STATE(7583),
    [sym_time] = STATE(7583),
    [sym_timestamp] = STATE(7583),
    [sym_enum] = STATE(7583),
    [sym_object_reference] = STATE(7581),
    [sym_identifier] = STATE(7262),
    [sym__identifier] = ACTIONS(211),
    [aux_sym_keyword_character_token1] = ACTIONS(213),
    [sym_keyword_unsigned] = ACTIONS(215),
    [sym_keyword_boolean] = ACTIONS(217),
    [sym_keyword_bit] = ACTIONS(219),
    [sym_keyword_binary] = ACTIONS(221),
    [sym_keyword_varbinary] = ACTIONS(223),
    [sym_keyword_image] = ACTIONS(217),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(225),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(225),
    [aux_sym_keyword_serial_token1] = ACTIONS(227),
    [aux_sym_keyword_serial_token2] = ACTIONS(227),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(229),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(229),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(231),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(231),
    [aux_sym_keyword_smallint_token1] = ACTIONS(233),
    [aux_sym_keyword_smallint_token2] = ACTIONS(233),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(235),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(235),
    [aux_sym_keyword_int_token1] = ACTIONS(237),
    [aux_sym_keyword_int_token2] = ACTIONS(237),
    [aux_sym_keyword_int_token3] = ACTIONS(237),
    [aux_sym_keyword_bigint_token1] = ACTIONS(239),
    [aux_sym_keyword_bigint_token2] = ACTIONS(239),
    [sym_keyword_decimal] = ACTIONS(241),
    [sym_keyword_numeric] = ACTIONS(243),
    [aux_sym_keyword_real_token1] = ACTIONS(245),
    [aux_sym_keyword_real_token2] = ACTIONS(245),
    [sym_keyword_float] = ACTIONS(247),
    [sym_keyword_double] = ACTIONS(249),
    [sym_keyword_inet] = ACTIONS(217),
    [sym_keyword_money] = ACTIONS(217),
    [sym_keyword_smallmoney] = ACTIONS(217),
    [aux_sym_keyword_char_token1] = ACTIONS(251),
    [sym_keyword_nchar] = ACTIONS(253),
    [aux_sym_keyword_varchar_token1] = ACTIONS(255),
    [sym_keyword_nvarchar] = ACTIONS(257),
    [sym_keyword_text] = ACTIONS(217),
    [sym_keyword_string] = ACTIONS(217),
    [sym_keyword_uuid] = ACTIONS(217),
    [sym_keyword_json] = ACTIONS(217),
    [sym_keyword_jsonb] = ACTIONS(217),
    [sym_keyword_xml] = ACTIONS(217),
    [sym_keyword_bytea] = ACTIONS(217),
    [sym_keyword_enum] = ACTIONS(259),
    [sym_keyword_date] = ACTIONS(217),
    [sym_keyword_datetime] = ACTIONS(217),
    [sym_keyword_datetime2] = ACTIONS(217),
    [sym_keyword_smalldatetime] = ACTIONS(217),
    [sym_keyword_datetimeoffset] = ACTIONS(261),
    [sym_keyword_time] = ACTIONS(263),
    [sym_keyword_timestamp] = ACTIONS(265),
    [sym_keyword_timestamptz] = ACTIONS(217),
    [sym_keyword_interval] = ACTIONS(217),
    [sym_keyword_geometry] = ACTIONS(217),
    [sym_keyword_geography] = ACTIONS(217),
    [sym_keyword_box2d] = ACTIONS(217),
    [sym_keyword_box3d] = ACTIONS(217),
    [sym_keyword_oid] = ACTIONS(217),
    [sym_keyword_name] = ACTIONS(217),
    [sym_keyword_regclass] = ACTIONS(217),
    [sym_keyword_regnamespace] = ACTIONS(217),
    [sym_keyword_regproc] = ACTIONS(217),
    [sym_keyword_regtype] = ACTIONS(217),
    [aux_sym_double_token1] = ACTIONS(267),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(269),
    [aux_sym_identifier_token1] = ACTIONS(269),
  },
  [47] = {
    [sym_keyword_smallserial] = STATE(3008),
    [sym_keyword_serial] = STATE(3008),
    [sym_keyword_bigserial] = STATE(3008),
    [sym_keyword_tinyint] = STATE(2990),
    [sym_keyword_smallint] = STATE(2991),
    [sym_keyword_mediumint] = STATE(2992),
    [sym_keyword_int] = STATE(2993),
    [sym_keyword_bigint] = STATE(2994),
    [sym_keyword_real] = STATE(2995),
    [sym_keyword_char] = STATE(3755),
    [sym_keyword_varchar] = STATE(3754),
    [sym__type] = STATE(4433),
    [sym_tinyint] = STATE(3008),
    [sym_smallint] = STATE(3008),
    [sym_mediumint] = STATE(3008),
    [sym_int] = STATE(3008),
    [sym_bigint] = STATE(3008),
    [sym_bit] = STATE(3008),
    [sym_binary] = STATE(3008),
    [sym_varbinary] = STATE(3008),
    [sym_float] = STATE(3008),
    [sym_double] = STATE(3008),
    [sym_decimal] = STATE(3008),
    [sym_numeric] = STATE(3008),
    [sym_char] = STATE(3008),
    [sym_varchar] = STATE(3008),
    [sym_nchar] = STATE(3008),
    [sym_nvarchar] = STATE(3008),
    [sym_datetimeoffset] = STATE(3008),
    [sym_time] = STATE(3008),
    [sym_timestamp] = STATE(3008),
    [sym_enum] = STATE(3008),
    [sym_object_reference] = STATE(3047),
    [sym_identifier] = STATE(3569),
    [sym__identifier] = ACTIONS(1081),
    [aux_sym_keyword_character_token1] = ACTIONS(1083),
    [sym_keyword_unsigned] = ACTIONS(1085),
    [sym_keyword_boolean] = ACTIONS(1087),
    [sym_keyword_bit] = ACTIONS(1089),
    [sym_keyword_binary] = ACTIONS(1091),
    [sym_keyword_varbinary] = ACTIONS(1093),
    [sym_keyword_image] = ACTIONS(1087),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1095),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1095),
    [aux_sym_keyword_serial_token1] = ACTIONS(1097),
    [aux_sym_keyword_serial_token2] = ACTIONS(1097),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1099),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1099),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1101),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1101),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1103),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1103),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1105),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1105),
    [aux_sym_keyword_int_token1] = ACTIONS(1107),
    [aux_sym_keyword_int_token2] = ACTIONS(1107),
    [aux_sym_keyword_int_token3] = ACTIONS(1107),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1109),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1109),
    [sym_keyword_decimal] = ACTIONS(1111),
    [sym_keyword_numeric] = ACTIONS(1113),
    [aux_sym_keyword_real_token1] = ACTIONS(1115),
    [aux_sym_keyword_real_token2] = ACTIONS(1115),
    [sym_keyword_float] = ACTIONS(1117),
    [sym_keyword_double] = ACTIONS(1119),
    [sym_keyword_inet] = ACTIONS(1087),
    [sym_keyword_money] = ACTIONS(1087),
    [sym_keyword_smallmoney] = ACTIONS(1087),
    [aux_sym_keyword_char_token1] = ACTIONS(1121),
    [sym_keyword_nchar] = ACTIONS(1123),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1125),
    [sym_keyword_nvarchar] = ACTIONS(1127),
    [sym_keyword_text] = ACTIONS(1087),
    [sym_keyword_string] = ACTIONS(1087),
    [sym_keyword_uuid] = ACTIONS(1087),
    [sym_keyword_json] = ACTIONS(1087),
    [sym_keyword_jsonb] = ACTIONS(1087),
    [sym_keyword_xml] = ACTIONS(1087),
    [sym_keyword_bytea] = ACTIONS(1087),
    [sym_keyword_enum] = ACTIONS(1129),
    [sym_keyword_date] = ACTIONS(1087),
    [sym_keyword_datetime] = ACTIONS(1087),
    [sym_keyword_datetime2] = ACTIONS(1087),
    [sym_keyword_smalldatetime] = ACTIONS(1087),
    [sym_keyword_datetimeoffset] = ACTIONS(1131),
    [sym_keyword_time] = ACTIONS(1133),
    [sym_keyword_timestamp] = ACTIONS(1135),
    [sym_keyword_timestamptz] = ACTIONS(1087),
    [sym_keyword_interval] = ACTIONS(1087),
    [sym_keyword_geometry] = ACTIONS(1087),
    [sym_keyword_geography] = ACTIONS(1087),
    [sym_keyword_box2d] = ACTIONS(1087),
    [sym_keyword_box3d] = ACTIONS(1087),
    [sym_keyword_oid] = ACTIONS(1087),
    [sym_keyword_name] = ACTIONS(1087),
    [sym_keyword_regclass] = ACTIONS(1087),
    [sym_keyword_regnamespace] = ACTIONS(1087),
    [sym_keyword_regproc] = ACTIONS(1087),
    [sym_keyword_regtype] = ACTIONS(1087),
    [aux_sym_double_token1] = ACTIONS(1137),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(1139),
    [aux_sym_identifier_token1] = ACTIONS(1139),
  },
  [48] = {
    [sym_keyword_smallserial] = STATE(7583),
    [sym_keyword_serial] = STATE(7583),
    [sym_keyword_bigserial] = STATE(7583),
    [sym_keyword_tinyint] = STATE(2543),
    [sym_keyword_smallint] = STATE(2547),
    [sym_keyword_mediumint] = STATE(2552),
    [sym_keyword_int] = STATE(2554),
    [sym_keyword_bigint] = STATE(2558),
    [sym_keyword_real] = STATE(2559),
    [sym_keyword_char] = STATE(2752),
    [sym_keyword_varchar] = STATE(2753),
    [sym__type] = STATE(10361),
    [sym_tinyint] = STATE(7583),
    [sym_smallint] = STATE(7583),
    [sym_mediumint] = STATE(7583),
    [sym_int] = STATE(7583),
    [sym_bigint] = STATE(7583),
    [sym_bit] = STATE(7583),
    [sym_binary] = STATE(7583),
    [sym_varbinary] = STATE(7583),
    [sym_float] = STATE(7583),
    [sym_double] = STATE(7583),
    [sym_decimal] = STATE(7583),
    [sym_numeric] = STATE(7583),
    [sym_char] = STATE(7583),
    [sym_varchar] = STATE(7583),
    [sym_nchar] = STATE(7583),
    [sym_nvarchar] = STATE(7583),
    [sym_datetimeoffset] = STATE(7583),
    [sym_time] = STATE(7583),
    [sym_timestamp] = STATE(7583),
    [sym_enum] = STATE(7583),
    [sym_object_reference] = STATE(7581),
    [sym_identifier] = STATE(7262),
    [sym__identifier] = ACTIONS(211),
    [aux_sym_keyword_character_token1] = ACTIONS(213),
    [sym_keyword_unsigned] = ACTIONS(215),
    [sym_keyword_boolean] = ACTIONS(217),
    [sym_keyword_bit] = ACTIONS(219),
    [sym_keyword_binary] = ACTIONS(221),
    [sym_keyword_varbinary] = ACTIONS(223),
    [sym_keyword_image] = ACTIONS(217),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(225),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(225),
    [aux_sym_keyword_serial_token1] = ACTIONS(227),
    [aux_sym_keyword_serial_token2] = ACTIONS(227),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(229),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(229),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(231),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(231),
    [aux_sym_keyword_smallint_token1] = ACTIONS(233),
    [aux_sym_keyword_smallint_token2] = ACTIONS(233),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(235),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(235),
    [aux_sym_keyword_int_token1] = ACTIONS(237),
    [aux_sym_keyword_int_token2] = ACTIONS(237),
    [aux_sym_keyword_int_token3] = ACTIONS(237),
    [aux_sym_keyword_bigint_token1] = ACTIONS(239),
    [aux_sym_keyword_bigint_token2] = ACTIONS(239),
    [sym_keyword_decimal] = ACTIONS(241),
    [sym_keyword_numeric] = ACTIONS(243),
    [aux_sym_keyword_real_token1] = ACTIONS(245),
    [aux_sym_keyword_real_token2] = ACTIONS(245),
    [sym_keyword_float] = ACTIONS(247),
    [sym_keyword_double] = ACTIONS(249),
    [sym_keyword_inet] = ACTIONS(217),
    [sym_keyword_money] = ACTIONS(217),
    [sym_keyword_smallmoney] = ACTIONS(217),
    [aux_sym_keyword_char_token1] = ACTIONS(251),
    [sym_keyword_nchar] = ACTIONS(253),
    [aux_sym_keyword_varchar_token1] = ACTIONS(255),
    [sym_keyword_nvarchar] = ACTIONS(257),
    [sym_keyword_text] = ACTIONS(217),
    [sym_keyword_string] = ACTIONS(217),
    [sym_keyword_uuid] = ACTIONS(217),
    [sym_keyword_json] = ACTIONS(217),
    [sym_keyword_jsonb] = ACTIONS(217),
    [sym_keyword_xml] = ACTIONS(217),
    [sym_keyword_bytea] = ACTIONS(217),
    [sym_keyword_enum] = ACTIONS(259),
    [sym_keyword_date] = ACTIONS(217),
    [sym_keyword_datetime] = ACTIONS(217),
    [sym_keyword_datetime2] = ACTIONS(217),
    [sym_keyword_smalldatetime] = ACTIONS(217),
    [sym_keyword_datetimeoffset] = ACTIONS(261),
    [sym_keyword_time] = ACTIONS(263),
    [sym_keyword_timestamp] = ACTIONS(265),
    [sym_keyword_timestamptz] = ACTIONS(217),
    [sym_keyword_interval] = ACTIONS(217),
    [sym_keyword_geometry] = ACTIONS(217),
    [sym_keyword_geography] = ACTIONS(217),
    [sym_keyword_box2d] = ACTIONS(217),
    [sym_keyword_box3d] = ACTIONS(217),
    [sym_keyword_oid] = ACTIONS(217),
    [sym_keyword_name] = ACTIONS(217),
    [sym_keyword_regclass] = ACTIONS(217),
    [sym_keyword_regnamespace] = ACTIONS(217),
    [sym_keyword_regproc] = ACTIONS(217),
    [sym_keyword_regtype] = ACTIONS(217),
    [aux_sym_double_token1] = ACTIONS(267),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(269),
    [aux_sym_identifier_token1] = ACTIONS(269),
  },
  [49] = {
    [sym_keyword_smallserial] = STATE(7120),
    [sym_keyword_serial] = STATE(7120),
    [sym_keyword_bigserial] = STATE(7120),
    [sym_keyword_tinyint] = STATE(1707),
    [sym_keyword_smallint] = STATE(1711),
    [sym_keyword_mediumint] = STATE(1712),
    [sym_keyword_int] = STATE(1714),
    [sym_keyword_bigint] = STATE(1717),
    [sym_keyword_real] = STATE(1744),
    [sym_keyword_char] = STATE(2284),
    [sym_keyword_varchar] = STATE(2290),
    [sym__type] = STATE(13603),
    [sym_tinyint] = STATE(7120),
    [sym_smallint] = STATE(7120),
    [sym_mediumint] = STATE(7120),
    [sym_int] = STATE(7120),
    [sym_bigint] = STATE(7120),
    [sym_bit] = STATE(7120),
    [sym_binary] = STATE(7120),
    [sym_varbinary] = STATE(7120),
    [sym_float] = STATE(7120),
    [sym_double] = STATE(7120),
    [sym_decimal] = STATE(7120),
    [sym_numeric] = STATE(7120),
    [sym_char] = STATE(7120),
    [sym_varchar] = STATE(7120),
    [sym_nchar] = STATE(7120),
    [sym_nvarchar] = STATE(7120),
    [sym_datetimeoffset] = STATE(7120),
    [sym_time] = STATE(7120),
    [sym_timestamp] = STATE(7120),
    [sym_enum] = STATE(7120),
    [sym_object_reference] = STATE(7127),
    [sym_identifier] = STATE(6414),
    [sym__identifier] = ACTIONS(51),
    [aux_sym_keyword_character_token1] = ACTIONS(53),
    [sym_keyword_unsigned] = ACTIONS(57),
    [sym_keyword_boolean] = ACTIONS(59),
    [sym_keyword_bit] = ACTIONS(61),
    [sym_keyword_binary] = ACTIONS(63),
    [sym_keyword_varbinary] = ACTIONS(65),
    [sym_keyword_image] = ACTIONS(59),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(67),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(67),
    [aux_sym_keyword_serial_token1] = ACTIONS(69),
    [aux_sym_keyword_serial_token2] = ACTIONS(69),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(71),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(71),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(73),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(73),
    [aux_sym_keyword_smallint_token1] = ACTIONS(75),
    [aux_sym_keyword_smallint_token2] = ACTIONS(75),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(77),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(77),
    [aux_sym_keyword_int_token1] = ACTIONS(79),
    [aux_sym_keyword_int_token2] = ACTIONS(79),
    [aux_sym_keyword_int_token3] = ACTIONS(79),
    [aux_sym_keyword_bigint_token1] = ACTIONS(81),
    [aux_sym_keyword_bigint_token2] = ACTIONS(81),
    [sym_keyword_decimal] = ACTIONS(83),
    [sym_keyword_numeric] = ACTIONS(85),
    [aux_sym_keyword_real_token1] = ACTIONS(87),
    [aux_sym_keyword_real_token2] = ACTIONS(87),
    [sym_keyword_float] = ACTIONS(89),
    [sym_keyword_double] = ACTIONS(91),
    [sym_keyword_inet] = ACTIONS(59),
    [sym_keyword_money] = ACTIONS(59),
    [sym_keyword_smallmoney] = ACTIONS(59),
    [aux_sym_keyword_char_token1] = ACTIONS(93),
    [sym_keyword_nchar] = ACTIONS(95),
    [aux_sym_keyword_varchar_token1] = ACTIONS(97),
    [sym_keyword_nvarchar] = ACTIONS(99),
    [sym_keyword_text] = ACTIONS(59),
    [sym_keyword_string] = ACTIONS(59),
    [sym_keyword_uuid] = ACTIONS(59),
    [sym_keyword_json] = ACTIONS(59),
    [sym_keyword_jsonb] = ACTIONS(59),
    [sym_keyword_xml] = ACTIONS(59),
    [sym_keyword_bytea] = ACTIONS(59),
    [sym_keyword_enum] = ACTIONS(101),
    [sym_keyword_date] = ACTIONS(59),
    [sym_keyword_datetime] = ACTIONS(59),
    [sym_keyword_datetime2] = ACTIONS(59),
    [sym_keyword_smalldatetime] = ACTIONS(59),
    [sym_keyword_datetimeoffset] = ACTIONS(103),
    [sym_keyword_time] = ACTIONS(105),
    [sym_keyword_timestamp] = ACTIONS(107),
    [sym_keyword_timestamptz] = ACTIONS(59),
    [sym_keyword_interval] = ACTIONS(59),
    [sym_keyword_geometry] = ACTIONS(59),
    [sym_keyword_geography] = ACTIONS(59),
    [sym_keyword_box2d] = ACTIONS(59),
    [sym_keyword_box3d] = ACTIONS(59),
    [sym_keyword_oid] = ACTIONS(59),
    [sym_keyword_name] = ACTIONS(59),
    [sym_keyword_regclass] = ACTIONS(59),
    [sym_keyword_regnamespace] = ACTIONS(59),
    [sym_keyword_regproc] = ACTIONS(59),
    [sym_keyword_regtype] = ACTIONS(59),
    [aux_sym_double_token1] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
  },
  [50] = {
    [sym_keyword_smallserial] = STATE(7120),
    [sym_keyword_serial] = STATE(7120),
    [sym_keyword_bigserial] = STATE(7120),
    [sym_keyword_tinyint] = STATE(1707),
    [sym_keyword_smallint] = STATE(1711),
    [sym_keyword_mediumint] = STATE(1712),
    [sym_keyword_int] = STATE(1714),
    [sym_keyword_bigint] = STATE(1717),
    [sym_keyword_real] = STATE(1744),
    [sym_keyword_char] = STATE(2284),
    [sym_keyword_varchar] = STATE(2290),
    [sym__type] = STATE(13465),
    [sym_tinyint] = STATE(7120),
    [sym_smallint] = STATE(7120),
    [sym_mediumint] = STATE(7120),
    [sym_int] = STATE(7120),
    [sym_bigint] = STATE(7120),
    [sym_bit] = STATE(7120),
    [sym_binary] = STATE(7120),
    [sym_varbinary] = STATE(7120),
    [sym_float] = STATE(7120),
    [sym_double] = STATE(7120),
    [sym_decimal] = STATE(7120),
    [sym_numeric] = STATE(7120),
    [sym_char] = STATE(7120),
    [sym_varchar] = STATE(7120),
    [sym_nchar] = STATE(7120),
    [sym_nvarchar] = STATE(7120),
    [sym_datetimeoffset] = STATE(7120),
    [sym_time] = STATE(7120),
    [sym_timestamp] = STATE(7120),
    [sym_enum] = STATE(7120),
    [sym_object_reference] = STATE(7127),
    [sym_identifier] = STATE(6414),
    [sym__identifier] = ACTIONS(51),
    [aux_sym_keyword_character_token1] = ACTIONS(53),
    [sym_keyword_unsigned] = ACTIONS(57),
    [sym_keyword_boolean] = ACTIONS(59),
    [sym_keyword_bit] = ACTIONS(61),
    [sym_keyword_binary] = ACTIONS(63),
    [sym_keyword_varbinary] = ACTIONS(65),
    [sym_keyword_image] = ACTIONS(59),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(67),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(67),
    [aux_sym_keyword_serial_token1] = ACTIONS(69),
    [aux_sym_keyword_serial_token2] = ACTIONS(69),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(71),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(71),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(73),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(73),
    [aux_sym_keyword_smallint_token1] = ACTIONS(75),
    [aux_sym_keyword_smallint_token2] = ACTIONS(75),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(77),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(77),
    [aux_sym_keyword_int_token1] = ACTIONS(79),
    [aux_sym_keyword_int_token2] = ACTIONS(79),
    [aux_sym_keyword_int_token3] = ACTIONS(79),
    [aux_sym_keyword_bigint_token1] = ACTIONS(81),
    [aux_sym_keyword_bigint_token2] = ACTIONS(81),
    [sym_keyword_decimal] = ACTIONS(83),
    [sym_keyword_numeric] = ACTIONS(85),
    [aux_sym_keyword_real_token1] = ACTIONS(87),
    [aux_sym_keyword_real_token2] = ACTIONS(87),
    [sym_keyword_float] = ACTIONS(89),
    [sym_keyword_double] = ACTIONS(91),
    [sym_keyword_inet] = ACTIONS(59),
    [sym_keyword_money] = ACTIONS(59),
    [sym_keyword_smallmoney] = ACTIONS(59),
    [aux_sym_keyword_char_token1] = ACTIONS(93),
    [sym_keyword_nchar] = ACTIONS(95),
    [aux_sym_keyword_varchar_token1] = ACTIONS(97),
    [sym_keyword_nvarchar] = ACTIONS(99),
    [sym_keyword_text] = ACTIONS(59),
    [sym_keyword_string] = ACTIONS(59),
    [sym_keyword_uuid] = ACTIONS(59),
    [sym_keyword_json] = ACTIONS(59),
    [sym_keyword_jsonb] = ACTIONS(59),
    [sym_keyword_xml] = ACTIONS(59),
    [sym_keyword_bytea] = ACTIONS(59),
    [sym_keyword_enum] = ACTIONS(101),
    [sym_keyword_date] = ACTIONS(59),
    [sym_keyword_datetime] = ACTIONS(59),
    [sym_keyword_datetime2] = ACTIONS(59),
    [sym_keyword_smalldatetime] = ACTIONS(59),
    [sym_keyword_datetimeoffset] = ACTIONS(103),
    [sym_keyword_time] = ACTIONS(105),
    [sym_keyword_timestamp] = ACTIONS(107),
    [sym_keyword_timestamptz] = ACTIONS(59),
    [sym_keyword_interval] = ACTIONS(59),
    [sym_keyword_geometry] = ACTIONS(59),
    [sym_keyword_geography] = ACTIONS(59),
    [sym_keyword_box2d] = ACTIONS(59),
    [sym_keyword_box3d] = ACTIONS(59),
    [sym_keyword_oid] = ACTIONS(59),
    [sym_keyword_name] = ACTIONS(59),
    [sym_keyword_regclass] = ACTIONS(59),
    [sym_keyword_regnamespace] = ACTIONS(59),
    [sym_keyword_regproc] = ACTIONS(59),
    [sym_keyword_regtype] = ACTIONS(59),
    [aux_sym_double_token1] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
  },
  [51] = {
    [sym_keyword_smallserial] = STATE(2776),
    [sym_keyword_serial] = STATE(2776),
    [sym_keyword_bigserial] = STATE(2776),
    [sym_keyword_tinyint] = STATE(2825),
    [sym_keyword_smallint] = STATE(2824),
    [sym_keyword_mediumint] = STATE(2821),
    [sym_keyword_int] = STATE(2819),
    [sym_keyword_bigint] = STATE(2818),
    [sym_keyword_real] = STATE(2814),
    [sym_keyword_char] = STATE(3411),
    [sym_keyword_varchar] = STATE(3412),
    [sym__type] = STATE(4154),
    [sym_tinyint] = STATE(2776),
    [sym_smallint] = STATE(2776),
    [sym_mediumint] = STATE(2776),
    [sym_int] = STATE(2776),
    [sym_bigint] = STATE(2776),
    [sym_bit] = STATE(2776),
    [sym_binary] = STATE(2776),
    [sym_varbinary] = STATE(2776),
    [sym_float] = STATE(2776),
    [sym_double] = STATE(2776),
    [sym_decimal] = STATE(2776),
    [sym_numeric] = STATE(2776),
    [sym_char] = STATE(2776),
    [sym_varchar] = STATE(2776),
    [sym_nchar] = STATE(2776),
    [sym_nvarchar] = STATE(2776),
    [sym_datetimeoffset] = STATE(2776),
    [sym_time] = STATE(2776),
    [sym_timestamp] = STATE(2776),
    [sym_enum] = STATE(2776),
    [sym_object_reference] = STATE(2775),
    [sym_identifier] = STATE(3284),
    [sym__identifier] = ACTIONS(1141),
    [aux_sym_keyword_character_token1] = ACTIONS(1143),
    [sym_keyword_unsigned] = ACTIONS(1145),
    [sym_keyword_boolean] = ACTIONS(1147),
    [sym_keyword_bit] = ACTIONS(1149),
    [sym_keyword_binary] = ACTIONS(1151),
    [sym_keyword_varbinary] = ACTIONS(1153),
    [sym_keyword_image] = ACTIONS(1147),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1155),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1155),
    [aux_sym_keyword_serial_token1] = ACTIONS(1157),
    [aux_sym_keyword_serial_token2] = ACTIONS(1157),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1159),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1159),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1161),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1161),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1163),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1163),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1165),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1165),
    [aux_sym_keyword_int_token1] = ACTIONS(1167),
    [aux_sym_keyword_int_token2] = ACTIONS(1167),
    [aux_sym_keyword_int_token3] = ACTIONS(1167),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1169),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1169),
    [sym_keyword_decimal] = ACTIONS(1171),
    [sym_keyword_numeric] = ACTIONS(1173),
    [aux_sym_keyword_real_token1] = ACTIONS(1175),
    [aux_sym_keyword_real_token2] = ACTIONS(1175),
    [sym_keyword_float] = ACTIONS(1177),
    [sym_keyword_double] = ACTIONS(1179),
    [sym_keyword_inet] = ACTIONS(1147),
    [sym_keyword_money] = ACTIONS(1147),
    [sym_keyword_smallmoney] = ACTIONS(1147),
    [aux_sym_keyword_char_token1] = ACTIONS(1181),
    [sym_keyword_nchar] = ACTIONS(1183),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1185),
    [sym_keyword_nvarchar] = ACTIONS(1187),
    [sym_keyword_text] = ACTIONS(1147),
    [sym_keyword_string] = ACTIONS(1147),
    [sym_keyword_uuid] = ACTIONS(1147),
    [sym_keyword_json] = ACTIONS(1147),
    [sym_keyword_jsonb] = ACTIONS(1147),
    [sym_keyword_xml] = ACTIONS(1147),
    [sym_keyword_bytea] = ACTIONS(1147),
    [sym_keyword_enum] = ACTIONS(1189),
    [sym_keyword_date] = ACTIONS(1147),
    [sym_keyword_datetime] = ACTIONS(1147),
    [sym_keyword_datetime2] = ACTIONS(1147),
    [sym_keyword_smalldatetime] = ACTIONS(1147),
    [sym_keyword_datetimeoffset] = ACTIONS(1191),
    [sym_keyword_time] = ACTIONS(1193),
    [sym_keyword_timestamp] = ACTIONS(1195),
    [sym_keyword_timestamptz] = ACTIONS(1147),
    [sym_keyword_interval] = ACTIONS(1147),
    [sym_keyword_geometry] = ACTIONS(1147),
    [sym_keyword_geography] = ACTIONS(1147),
    [sym_keyword_box2d] = ACTIONS(1147),
    [sym_keyword_box3d] = ACTIONS(1147),
    [sym_keyword_oid] = ACTIONS(1147),
    [sym_keyword_name] = ACTIONS(1147),
    [sym_keyword_regclass] = ACTIONS(1147),
    [sym_keyword_regnamespace] = ACTIONS(1147),
    [sym_keyword_regproc] = ACTIONS(1147),
    [sym_keyword_regtype] = ACTIONS(1147),
    [aux_sym_double_token1] = ACTIONS(1197),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(1199),
    [aux_sym_identifier_token1] = ACTIONS(1199),
  },
  [52] = {
    [sym_keyword_smallserial] = STATE(7120),
    [sym_keyword_serial] = STATE(7120),
    [sym_keyword_bigserial] = STATE(7120),
    [sym_keyword_tinyint] = STATE(1707),
    [sym_keyword_smallint] = STATE(1711),
    [sym_keyword_mediumint] = STATE(1712),
    [sym_keyword_int] = STATE(1714),
    [sym_keyword_bigint] = STATE(1717),
    [sym_keyword_real] = STATE(1744),
    [sym_keyword_char] = STATE(2284),
    [sym_keyword_varchar] = STATE(2290),
    [sym__type] = STATE(12118),
    [sym_tinyint] = STATE(7120),
    [sym_smallint] = STATE(7120),
    [sym_mediumint] = STATE(7120),
    [sym_int] = STATE(7120),
    [sym_bigint] = STATE(7120),
    [sym_bit] = STATE(7120),
    [sym_binary] = STATE(7120),
    [sym_varbinary] = STATE(7120),
    [sym_float] = STATE(7120),
    [sym_double] = STATE(7120),
    [sym_decimal] = STATE(7120),
    [sym_numeric] = STATE(7120),
    [sym_char] = STATE(7120),
    [sym_varchar] = STATE(7120),
    [sym_nchar] = STATE(7120),
    [sym_nvarchar] = STATE(7120),
    [sym_datetimeoffset] = STATE(7120),
    [sym_time] = STATE(7120),
    [sym_timestamp] = STATE(7120),
    [sym_enum] = STATE(7120),
    [sym_object_reference] = STATE(7127),
    [sym_identifier] = STATE(6414),
    [sym__identifier] = ACTIONS(51),
    [aux_sym_keyword_character_token1] = ACTIONS(53),
    [sym_keyword_unsigned] = ACTIONS(57),
    [sym_keyword_boolean] = ACTIONS(59),
    [sym_keyword_bit] = ACTIONS(61),
    [sym_keyword_binary] = ACTIONS(63),
    [sym_keyword_varbinary] = ACTIONS(65),
    [sym_keyword_image] = ACTIONS(59),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(67),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(67),
    [aux_sym_keyword_serial_token1] = ACTIONS(69),
    [aux_sym_keyword_serial_token2] = ACTIONS(69),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(71),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(71),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(73),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(73),
    [aux_sym_keyword_smallint_token1] = ACTIONS(75),
    [aux_sym_keyword_smallint_token2] = ACTIONS(75),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(77),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(77),
    [aux_sym_keyword_int_token1] = ACTIONS(79),
    [aux_sym_keyword_int_token2] = ACTIONS(79),
    [aux_sym_keyword_int_token3] = ACTIONS(79),
    [aux_sym_keyword_bigint_token1] = ACTIONS(81),
    [aux_sym_keyword_bigint_token2] = ACTIONS(81),
    [sym_keyword_decimal] = ACTIONS(83),
    [sym_keyword_numeric] = ACTIONS(85),
    [aux_sym_keyword_real_token1] = ACTIONS(87),
    [aux_sym_keyword_real_token2] = ACTIONS(87),
    [sym_keyword_float] = ACTIONS(89),
    [sym_keyword_double] = ACTIONS(91),
    [sym_keyword_inet] = ACTIONS(59),
    [sym_keyword_money] = ACTIONS(59),
    [sym_keyword_smallmoney] = ACTIONS(59),
    [aux_sym_keyword_char_token1] = ACTIONS(93),
    [sym_keyword_nchar] = ACTIONS(95),
    [aux_sym_keyword_varchar_token1] = ACTIONS(97),
    [sym_keyword_nvarchar] = ACTIONS(99),
    [sym_keyword_text] = ACTIONS(59),
    [sym_keyword_string] = ACTIONS(59),
    [sym_keyword_uuid] = ACTIONS(59),
    [sym_keyword_json] = ACTIONS(59),
    [sym_keyword_jsonb] = ACTIONS(59),
    [sym_keyword_xml] = ACTIONS(59),
    [sym_keyword_bytea] = ACTIONS(59),
    [sym_keyword_enum] = ACTIONS(101),
    [sym_keyword_date] = ACTIONS(59),
    [sym_keyword_datetime] = ACTIONS(59),
    [sym_keyword_datetime2] = ACTIONS(59),
    [sym_keyword_smalldatetime] = ACTIONS(59),
    [sym_keyword_datetimeoffset] = ACTIONS(103),
    [sym_keyword_time] = ACTIONS(105),
    [sym_keyword_timestamp] = ACTIONS(107),
    [sym_keyword_timestamptz] = ACTIONS(59),
    [sym_keyword_interval] = ACTIONS(59),
    [sym_keyword_geometry] = ACTIONS(59),
    [sym_keyword_geography] = ACTIONS(59),
    [sym_keyword_box2d] = ACTIONS(59),
    [sym_keyword_box3d] = ACTIONS(59),
    [sym_keyword_oid] = ACTIONS(59),
    [sym_keyword_name] = ACTIONS(59),
    [sym_keyword_regclass] = ACTIONS(59),
    [sym_keyword_regnamespace] = ACTIONS(59),
    [sym_keyword_regproc] = ACTIONS(59),
    [sym_keyword_regtype] = ACTIONS(59),
    [aux_sym_double_token1] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
  },
  [53] = {
    [sym_keyword_smallserial] = STATE(7120),
    [sym_keyword_serial] = STATE(7120),
    [sym_keyword_bigserial] = STATE(7120),
    [sym_keyword_tinyint] = STATE(1707),
    [sym_keyword_smallint] = STATE(1711),
    [sym_keyword_mediumint] = STATE(1712),
    [sym_keyword_int] = STATE(1714),
    [sym_keyword_bigint] = STATE(1717),
    [sym_keyword_real] = STATE(1744),
    [sym_keyword_char] = STATE(2284),
    [sym_keyword_varchar] = STATE(2290),
    [sym__type] = STATE(12893),
    [sym_tinyint] = STATE(7120),
    [sym_smallint] = STATE(7120),
    [sym_mediumint] = STATE(7120),
    [sym_int] = STATE(7120),
    [sym_bigint] = STATE(7120),
    [sym_bit] = STATE(7120),
    [sym_binary] = STATE(7120),
    [sym_varbinary] = STATE(7120),
    [sym_float] = STATE(7120),
    [sym_double] = STATE(7120),
    [sym_decimal] = STATE(7120),
    [sym_numeric] = STATE(7120),
    [sym_char] = STATE(7120),
    [sym_varchar] = STATE(7120),
    [sym_nchar] = STATE(7120),
    [sym_nvarchar] = STATE(7120),
    [sym_datetimeoffset] = STATE(7120),
    [sym_time] = STATE(7120),
    [sym_timestamp] = STATE(7120),
    [sym_enum] = STATE(7120),
    [sym_object_reference] = STATE(7127),
    [sym_identifier] = STATE(6414),
    [sym__identifier] = ACTIONS(51),
    [aux_sym_keyword_character_token1] = ACTIONS(53),
    [sym_keyword_unsigned] = ACTIONS(57),
    [sym_keyword_boolean] = ACTIONS(59),
    [sym_keyword_bit] = ACTIONS(61),
    [sym_keyword_binary] = ACTIONS(63),
    [sym_keyword_varbinary] = ACTIONS(65),
    [sym_keyword_image] = ACTIONS(59),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(67),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(67),
    [aux_sym_keyword_serial_token1] = ACTIONS(69),
    [aux_sym_keyword_serial_token2] = ACTIONS(69),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(71),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(71),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(73),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(73),
    [aux_sym_keyword_smallint_token1] = ACTIONS(75),
    [aux_sym_keyword_smallint_token2] = ACTIONS(75),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(77),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(77),
    [aux_sym_keyword_int_token1] = ACTIONS(79),
    [aux_sym_keyword_int_token2] = ACTIONS(79),
    [aux_sym_keyword_int_token3] = ACTIONS(79),
    [aux_sym_keyword_bigint_token1] = ACTIONS(81),
    [aux_sym_keyword_bigint_token2] = ACTIONS(81),
    [sym_keyword_decimal] = ACTIONS(83),
    [sym_keyword_numeric] = ACTIONS(85),
    [aux_sym_keyword_real_token1] = ACTIONS(87),
    [aux_sym_keyword_real_token2] = ACTIONS(87),
    [sym_keyword_float] = ACTIONS(89),
    [sym_keyword_double] = ACTIONS(91),
    [sym_keyword_inet] = ACTIONS(59),
    [sym_keyword_money] = ACTIONS(59),
    [sym_keyword_smallmoney] = ACTIONS(59),
    [aux_sym_keyword_char_token1] = ACTIONS(93),
    [sym_keyword_nchar] = ACTIONS(95),
    [aux_sym_keyword_varchar_token1] = ACTIONS(97),
    [sym_keyword_nvarchar] = ACTIONS(99),
    [sym_keyword_text] = ACTIONS(59),
    [sym_keyword_string] = ACTIONS(59),
    [sym_keyword_uuid] = ACTIONS(59),
    [sym_keyword_json] = ACTIONS(59),
    [sym_keyword_jsonb] = ACTIONS(59),
    [sym_keyword_xml] = ACTIONS(59),
    [sym_keyword_bytea] = ACTIONS(59),
    [sym_keyword_enum] = ACTIONS(101),
    [sym_keyword_date] = ACTIONS(59),
    [sym_keyword_datetime] = ACTIONS(59),
    [sym_keyword_datetime2] = ACTIONS(59),
    [sym_keyword_smalldatetime] = ACTIONS(59),
    [sym_keyword_datetimeoffset] = ACTIONS(103),
    [sym_keyword_time] = ACTIONS(105),
    [sym_keyword_timestamp] = ACTIONS(107),
    [sym_keyword_timestamptz] = ACTIONS(59),
    [sym_keyword_interval] = ACTIONS(59),
    [sym_keyword_geometry] = ACTIONS(59),
    [sym_keyword_geography] = ACTIONS(59),
    [sym_keyword_box2d] = ACTIONS(59),
    [sym_keyword_box3d] = ACTIONS(59),
    [sym_keyword_oid] = ACTIONS(59),
    [sym_keyword_name] = ACTIONS(59),
    [sym_keyword_regclass] = ACTIONS(59),
    [sym_keyword_regnamespace] = ACTIONS(59),
    [sym_keyword_regproc] = ACTIONS(59),
    [sym_keyword_regtype] = ACTIONS(59),
    [aux_sym_double_token1] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
  },
  [54] = {
    [sym_keyword_smallserial] = STATE(7583),
    [sym_keyword_serial] = STATE(7583),
    [sym_keyword_bigserial] = STATE(7583),
    [sym_keyword_tinyint] = STATE(2543),
    [sym_keyword_smallint] = STATE(2547),
    [sym_keyword_mediumint] = STATE(2552),
    [sym_keyword_int] = STATE(2554),
    [sym_keyword_bigint] = STATE(2558),
    [sym_keyword_real] = STATE(2559),
    [sym_keyword_char] = STATE(2752),
    [sym_keyword_varchar] = STATE(2753),
    [sym__type] = STATE(8348),
    [sym_tinyint] = STATE(7583),
    [sym_smallint] = STATE(7583),
    [sym_mediumint] = STATE(7583),
    [sym_int] = STATE(7583),
    [sym_bigint] = STATE(7583),
    [sym_bit] = STATE(7583),
    [sym_binary] = STATE(7583),
    [sym_varbinary] = STATE(7583),
    [sym_float] = STATE(7583),
    [sym_double] = STATE(7583),
    [sym_decimal] = STATE(7583),
    [sym_numeric] = STATE(7583),
    [sym_char] = STATE(7583),
    [sym_varchar] = STATE(7583),
    [sym_nchar] = STATE(7583),
    [sym_nvarchar] = STATE(7583),
    [sym_datetimeoffset] = STATE(7583),
    [sym_time] = STATE(7583),
    [sym_timestamp] = STATE(7583),
    [sym_enum] = STATE(7583),
    [sym_object_reference] = STATE(7581),
    [sym_identifier] = STATE(7262),
    [sym__identifier] = ACTIONS(211),
    [aux_sym_keyword_character_token1] = ACTIONS(213),
    [sym_keyword_unsigned] = ACTIONS(215),
    [sym_keyword_boolean] = ACTIONS(217),
    [sym_keyword_bit] = ACTIONS(219),
    [sym_keyword_binary] = ACTIONS(221),
    [sym_keyword_varbinary] = ACTIONS(223),
    [sym_keyword_image] = ACTIONS(217),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(225),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(225),
    [aux_sym_keyword_serial_token1] = ACTIONS(227),
    [aux_sym_keyword_serial_token2] = ACTIONS(227),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(229),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(229),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(231),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(231),
    [aux_sym_keyword_smallint_token1] = ACTIONS(233),
    [aux_sym_keyword_smallint_token2] = ACTIONS(233),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(235),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(235),
    [aux_sym_keyword_int_token1] = ACTIONS(237),
    [aux_sym_keyword_int_token2] = ACTIONS(237),
    [aux_sym_keyword_int_token3] = ACTIONS(237),
    [aux_sym_keyword_bigint_token1] = ACTIONS(239),
    [aux_sym_keyword_bigint_token2] = ACTIONS(239),
    [sym_keyword_decimal] = ACTIONS(241),
    [sym_keyword_numeric] = ACTIONS(243),
    [aux_sym_keyword_real_token1] = ACTIONS(245),
    [aux_sym_keyword_real_token2] = ACTIONS(245),
    [sym_keyword_float] = ACTIONS(247),
    [sym_keyword_double] = ACTIONS(249),
    [sym_keyword_inet] = ACTIONS(217),
    [sym_keyword_money] = ACTIONS(217),
    [sym_keyword_smallmoney] = ACTIONS(217),
    [aux_sym_keyword_char_token1] = ACTIONS(251),
    [sym_keyword_nchar] = ACTIONS(253),
    [aux_sym_keyword_varchar_token1] = ACTIONS(255),
    [sym_keyword_nvarchar] = ACTIONS(257),
    [sym_keyword_text] = ACTIONS(217),
    [sym_keyword_string] = ACTIONS(217),
    [sym_keyword_uuid] = ACTIONS(217),
    [sym_keyword_json] = ACTIONS(217),
    [sym_keyword_jsonb] = ACTIONS(217),
    [sym_keyword_xml] = ACTIONS(217),
    [sym_keyword_bytea] = ACTIONS(217),
    [sym_keyword_enum] = ACTIONS(259),
    [sym_keyword_date] = ACTIONS(217),
    [sym_keyword_datetime] = ACTIONS(217),
    [sym_keyword_datetime2] = ACTIONS(217),
    [sym_keyword_smalldatetime] = ACTIONS(217),
    [sym_keyword_datetimeoffset] = ACTIONS(261),
    [sym_keyword_time] = ACTIONS(263),
    [sym_keyword_timestamp] = ACTIONS(265),
    [sym_keyword_timestamptz] = ACTIONS(217),
    [sym_keyword_interval] = ACTIONS(217),
    [sym_keyword_geometry] = ACTIONS(217),
    [sym_keyword_geography] = ACTIONS(217),
    [sym_keyword_box2d] = ACTIONS(217),
    [sym_keyword_box3d] = ACTIONS(217),
    [sym_keyword_oid] = ACTIONS(217),
    [sym_keyword_name] = ACTIONS(217),
    [sym_keyword_regclass] = ACTIONS(217),
    [sym_keyword_regnamespace] = ACTIONS(217),
    [sym_keyword_regproc] = ACTIONS(217),
    [sym_keyword_regtype] = ACTIONS(217),
    [aux_sym_double_token1] = ACTIONS(267),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(269),
    [aux_sym_identifier_token1] = ACTIONS(269),
  },
  [55] = {
    [sym_keyword_smallserial] = STATE(5106),
    [sym_keyword_serial] = STATE(5106),
    [sym_keyword_bigserial] = STATE(5106),
    [sym_keyword_tinyint] = STATE(5155),
    [sym_keyword_smallint] = STATE(5159),
    [sym_keyword_mediumint] = STATE(5189),
    [sym_keyword_int] = STATE(5190),
    [sym_keyword_bigint] = STATE(5191),
    [sym_keyword_real] = STATE(5192),
    [sym_keyword_char] = STATE(5938),
    [sym_keyword_varchar] = STATE(6033),
    [sym__type] = STATE(7351),
    [sym_tinyint] = STATE(5106),
    [sym_smallint] = STATE(5106),
    [sym_mediumint] = STATE(5106),
    [sym_int] = STATE(5106),
    [sym_bigint] = STATE(5106),
    [sym_bit] = STATE(5106),
    [sym_binary] = STATE(5106),
    [sym_varbinary] = STATE(5106),
    [sym_float] = STATE(5106),
    [sym_double] = STATE(5106),
    [sym_decimal] = STATE(5106),
    [sym_numeric] = STATE(5106),
    [sym_char] = STATE(5106),
    [sym_varchar] = STATE(5106),
    [sym_nchar] = STATE(5106),
    [sym_nvarchar] = STATE(5106),
    [sym_datetimeoffset] = STATE(5106),
    [sym_time] = STATE(5106),
    [sym_timestamp] = STATE(5106),
    [sym_enum] = STATE(5106),
    [sym_object_reference] = STATE(5203),
    [sym_identifier] = STATE(1360),
    [sym__identifier] = ACTIONS(337),
    [aux_sym_keyword_character_token1] = ACTIONS(131),
    [sym_keyword_unsigned] = ACTIONS(133),
    [sym_keyword_boolean] = ACTIONS(139),
    [sym_keyword_bit] = ACTIONS(141),
    [sym_keyword_binary] = ACTIONS(143),
    [sym_keyword_varbinary] = ACTIONS(145),
    [sym_keyword_image] = ACTIONS(139),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(147),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(147),
    [aux_sym_keyword_serial_token1] = ACTIONS(149),
    [aux_sym_keyword_serial_token2] = ACTIONS(149),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(151),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(151),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(153),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(153),
    [aux_sym_keyword_smallint_token1] = ACTIONS(155),
    [aux_sym_keyword_smallint_token2] = ACTIONS(155),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(157),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(157),
    [aux_sym_keyword_int_token1] = ACTIONS(159),
    [aux_sym_keyword_int_token2] = ACTIONS(159),
    [aux_sym_keyword_int_token3] = ACTIONS(159),
    [aux_sym_keyword_bigint_token1] = ACTIONS(161),
    [aux_sym_keyword_bigint_token2] = ACTIONS(161),
    [sym_keyword_decimal] = ACTIONS(163),
    [sym_keyword_numeric] = ACTIONS(165),
    [aux_sym_keyword_real_token1] = ACTIONS(167),
    [aux_sym_keyword_real_token2] = ACTIONS(167),
    [sym_keyword_float] = ACTIONS(169),
    [sym_keyword_double] = ACTIONS(171),
    [sym_keyword_inet] = ACTIONS(139),
    [sym_keyword_money] = ACTIONS(139),
    [sym_keyword_smallmoney] = ACTIONS(139),
    [aux_sym_keyword_char_token1] = ACTIONS(173),
    [sym_keyword_nchar] = ACTIONS(175),
    [aux_sym_keyword_varchar_token1] = ACTIONS(177),
    [sym_keyword_nvarchar] = ACTIONS(179),
    [sym_keyword_text] = ACTIONS(139),
    [sym_keyword_string] = ACTIONS(139),
    [sym_keyword_uuid] = ACTIONS(139),
    [sym_keyword_json] = ACTIONS(139),
    [sym_keyword_jsonb] = ACTIONS(139),
    [sym_keyword_xml] = ACTIONS(139),
    [sym_keyword_bytea] = ACTIONS(139),
    [sym_keyword_enum] = ACTIONS(181),
    [sym_keyword_date] = ACTIONS(139),
    [sym_keyword_datetime] = ACTIONS(139),
    [sym_keyword_datetime2] = ACTIONS(139),
    [sym_keyword_smalldatetime] = ACTIONS(139),
    [sym_keyword_datetimeoffset] = ACTIONS(183),
    [sym_keyword_time] = ACTIONS(185),
    [sym_keyword_timestamp] = ACTIONS(187),
    [sym_keyword_timestamptz] = ACTIONS(139),
    [sym_keyword_interval] = ACTIONS(139),
    [sym_keyword_geometry] = ACTIONS(139),
    [sym_keyword_geography] = ACTIONS(139),
    [sym_keyword_box2d] = ACTIONS(139),
    [sym_keyword_box3d] = ACTIONS(139),
    [sym_keyword_oid] = ACTIONS(139),
    [sym_keyword_name] = ACTIONS(139),
    [sym_keyword_regclass] = ACTIONS(139),
    [sym_keyword_regnamespace] = ACTIONS(139),
    [sym_keyword_regproc] = ACTIONS(139),
    [sym_keyword_regtype] = ACTIONS(139),
    [aux_sym_double_token1] = ACTIONS(189),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(339),
    [aux_sym_identifier_token1] = ACTIONS(339),
  },
  [56] = {
    [sym_keyword_smallserial] = STATE(7120),
    [sym_keyword_serial] = STATE(7120),
    [sym_keyword_bigserial] = STATE(7120),
    [sym_keyword_tinyint] = STATE(1707),
    [sym_keyword_smallint] = STATE(1711),
    [sym_keyword_mediumint] = STATE(1712),
    [sym_keyword_int] = STATE(1714),
    [sym_keyword_bigint] = STATE(1717),
    [sym_keyword_real] = STATE(1744),
    [sym_keyword_char] = STATE(2284),
    [sym_keyword_varchar] = STATE(2290),
    [sym__type] = STATE(12303),
    [sym_tinyint] = STATE(7120),
    [sym_smallint] = STATE(7120),
    [sym_mediumint] = STATE(7120),
    [sym_int] = STATE(7120),
    [sym_bigint] = STATE(7120),
    [sym_bit] = STATE(7120),
    [sym_binary] = STATE(7120),
    [sym_varbinary] = STATE(7120),
    [sym_float] = STATE(7120),
    [sym_double] = STATE(7120),
    [sym_decimal] = STATE(7120),
    [sym_numeric] = STATE(7120),
    [sym_char] = STATE(7120),
    [sym_varchar] = STATE(7120),
    [sym_nchar] = STATE(7120),
    [sym_nvarchar] = STATE(7120),
    [sym_datetimeoffset] = STATE(7120),
    [sym_time] = STATE(7120),
    [sym_timestamp] = STATE(7120),
    [sym_enum] = STATE(7120),
    [sym_object_reference] = STATE(7127),
    [sym_identifier] = STATE(6414),
    [sym__identifier] = ACTIONS(51),
    [aux_sym_keyword_character_token1] = ACTIONS(53),
    [sym_keyword_unsigned] = ACTIONS(57),
    [sym_keyword_boolean] = ACTIONS(59),
    [sym_keyword_bit] = ACTIONS(61),
    [sym_keyword_binary] = ACTIONS(63),
    [sym_keyword_varbinary] = ACTIONS(65),
    [sym_keyword_image] = ACTIONS(59),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(67),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(67),
    [aux_sym_keyword_serial_token1] = ACTIONS(69),
    [aux_sym_keyword_serial_token2] = ACTIONS(69),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(71),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(71),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(73),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(73),
    [aux_sym_keyword_smallint_token1] = ACTIONS(75),
    [aux_sym_keyword_smallint_token2] = ACTIONS(75),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(77),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(77),
    [aux_sym_keyword_int_token1] = ACTIONS(79),
    [aux_sym_keyword_int_token2] = ACTIONS(79),
    [aux_sym_keyword_int_token3] = ACTIONS(79),
    [aux_sym_keyword_bigint_token1] = ACTIONS(81),
    [aux_sym_keyword_bigint_token2] = ACTIONS(81),
    [sym_keyword_decimal] = ACTIONS(83),
    [sym_keyword_numeric] = ACTIONS(85),
    [aux_sym_keyword_real_token1] = ACTIONS(87),
    [aux_sym_keyword_real_token2] = ACTIONS(87),
    [sym_keyword_float] = ACTIONS(89),
    [sym_keyword_double] = ACTIONS(91),
    [sym_keyword_inet] = ACTIONS(59),
    [sym_keyword_money] = ACTIONS(59),
    [sym_keyword_smallmoney] = ACTIONS(59),
    [aux_sym_keyword_char_token1] = ACTIONS(93),
    [sym_keyword_nchar] = ACTIONS(95),
    [aux_sym_keyword_varchar_token1] = ACTIONS(97),
    [sym_keyword_nvarchar] = ACTIONS(99),
    [sym_keyword_text] = ACTIONS(59),
    [sym_keyword_string] = ACTIONS(59),
    [sym_keyword_uuid] = ACTIONS(59),
    [sym_keyword_json] = ACTIONS(59),
    [sym_keyword_jsonb] = ACTIONS(59),
    [sym_keyword_xml] = ACTIONS(59),
    [sym_keyword_bytea] = ACTIONS(59),
    [sym_keyword_enum] = ACTIONS(101),
    [sym_keyword_date] = ACTIONS(59),
    [sym_keyword_datetime] = ACTIONS(59),
    [sym_keyword_datetime2] = ACTIONS(59),
    [sym_keyword_smalldatetime] = ACTIONS(59),
    [sym_keyword_datetimeoffset] = ACTIONS(103),
    [sym_keyword_time] = ACTIONS(105),
    [sym_keyword_timestamp] = ACTIONS(107),
    [sym_keyword_timestamptz] = ACTIONS(59),
    [sym_keyword_interval] = ACTIONS(59),
    [sym_keyword_geometry] = ACTIONS(59),
    [sym_keyword_geography] = ACTIONS(59),
    [sym_keyword_box2d] = ACTIONS(59),
    [sym_keyword_box3d] = ACTIONS(59),
    [sym_keyword_oid] = ACTIONS(59),
    [sym_keyword_name] = ACTIONS(59),
    [sym_keyword_regclass] = ACTIONS(59),
    [sym_keyword_regnamespace] = ACTIONS(59),
    [sym_keyword_regproc] = ACTIONS(59),
    [sym_keyword_regtype] = ACTIONS(59),
    [aux_sym_double_token1] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
  },
  [57] = {
    [sym_keyword_smallserial] = STATE(2617),
    [sym_keyword_serial] = STATE(2617),
    [sym_keyword_bigserial] = STATE(2617),
    [sym_keyword_tinyint] = STATE(2605),
    [sym_keyword_smallint] = STATE(2604),
    [sym_keyword_mediumint] = STATE(2601),
    [sym_keyword_int] = STATE(2589),
    [sym_keyword_bigint] = STATE(2588),
    [sym_keyword_real] = STATE(2582),
    [sym_keyword_char] = STATE(3023),
    [sym_keyword_varchar] = STATE(3022),
    [sym__type] = STATE(3432),
    [sym_tinyint] = STATE(2617),
    [sym_smallint] = STATE(2617),
    [sym_mediumint] = STATE(2617),
    [sym_int] = STATE(2617),
    [sym_bigint] = STATE(2617),
    [sym_bit] = STATE(2617),
    [sym_binary] = STATE(2617),
    [sym_varbinary] = STATE(2617),
    [sym_float] = STATE(2617),
    [sym_double] = STATE(2617),
    [sym_decimal] = STATE(2617),
    [sym_numeric] = STATE(2617),
    [sym_char] = STATE(2617),
    [sym_varchar] = STATE(2617),
    [sym_nchar] = STATE(2617),
    [sym_nvarchar] = STATE(2617),
    [sym_datetimeoffset] = STATE(2617),
    [sym_time] = STATE(2617),
    [sym_timestamp] = STATE(2617),
    [sym_enum] = STATE(2617),
    [sym_object_reference] = STATE(2623),
    [sym_identifier] = STATE(4708),
    [sym__identifier] = ACTIONS(1201),
    [aux_sym_keyword_character_token1] = ACTIONS(967),
    [sym_keyword_unsigned] = ACTIONS(969),
    [sym_keyword_boolean] = ACTIONS(971),
    [sym_keyword_bit] = ACTIONS(973),
    [sym_keyword_binary] = ACTIONS(975),
    [sym_keyword_varbinary] = ACTIONS(977),
    [sym_keyword_image] = ACTIONS(971),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(979),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(979),
    [aux_sym_keyword_serial_token1] = ACTIONS(981),
    [aux_sym_keyword_serial_token2] = ACTIONS(981),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(983),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(983),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(985),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(985),
    [aux_sym_keyword_smallint_token1] = ACTIONS(987),
    [aux_sym_keyword_smallint_token2] = ACTIONS(987),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(989),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(989),
    [aux_sym_keyword_int_token1] = ACTIONS(991),
    [aux_sym_keyword_int_token2] = ACTIONS(991),
    [aux_sym_keyword_int_token3] = ACTIONS(991),
    [aux_sym_keyword_bigint_token1] = ACTIONS(993),
    [aux_sym_keyword_bigint_token2] = ACTIONS(993),
    [sym_keyword_decimal] = ACTIONS(995),
    [sym_keyword_numeric] = ACTIONS(997),
    [aux_sym_keyword_real_token1] = ACTIONS(999),
    [aux_sym_keyword_real_token2] = ACTIONS(999),
    [sym_keyword_float] = ACTIONS(1001),
    [sym_keyword_double] = ACTIONS(1003),
    [sym_keyword_inet] = ACTIONS(971),
    [sym_keyword_money] = ACTIONS(971),
    [sym_keyword_smallmoney] = ACTIONS(971),
    [aux_sym_keyword_char_token1] = ACTIONS(1005),
    [sym_keyword_nchar] = ACTIONS(1007),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1009),
    [sym_keyword_nvarchar] = ACTIONS(1011),
    [sym_keyword_text] = ACTIONS(971),
    [sym_keyword_string] = ACTIONS(971),
    [sym_keyword_uuid] = ACTIONS(971),
    [sym_keyword_json] = ACTIONS(971),
    [sym_keyword_jsonb] = ACTIONS(971),
    [sym_keyword_xml] = ACTIONS(971),
    [sym_keyword_bytea] = ACTIONS(971),
    [sym_keyword_enum] = ACTIONS(1013),
    [sym_keyword_date] = ACTIONS(971),
    [sym_keyword_datetime] = ACTIONS(971),
    [sym_keyword_datetime2] = ACTIONS(971),
    [sym_keyword_smalldatetime] = ACTIONS(971),
    [sym_keyword_datetimeoffset] = ACTIONS(1015),
    [sym_keyword_time] = ACTIONS(1017),
    [sym_keyword_timestamp] = ACTIONS(1019),
    [sym_keyword_timestamptz] = ACTIONS(971),
    [sym_keyword_interval] = ACTIONS(971),
    [sym_keyword_geometry] = ACTIONS(971),
    [sym_keyword_geography] = ACTIONS(971),
    [sym_keyword_box2d] = ACTIONS(971),
    [sym_keyword_box3d] = ACTIONS(971),
    [sym_keyword_oid] = ACTIONS(971),
    [sym_keyword_name] = ACTIONS(971),
    [sym_keyword_regclass] = ACTIONS(971),
    [sym_keyword_regnamespace] = ACTIONS(971),
    [sym_keyword_regproc] = ACTIONS(971),
    [sym_keyword_regtype] = ACTIONS(971),
    [aux_sym_double_token1] = ACTIONS(1021),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(1203),
    [aux_sym_identifier_token1] = ACTIONS(1203),
  },
  [58] = {
    [sym_keyword_smallserial] = STATE(5106),
    [sym_keyword_serial] = STATE(5106),
    [sym_keyword_bigserial] = STATE(5106),
    [sym_keyword_tinyint] = STATE(5155),
    [sym_keyword_smallint] = STATE(5159),
    [sym_keyword_mediumint] = STATE(5189),
    [sym_keyword_int] = STATE(5190),
    [sym_keyword_bigint] = STATE(5191),
    [sym_keyword_real] = STATE(5192),
    [sym_keyword_char] = STATE(5938),
    [sym_keyword_varchar] = STATE(6033),
    [sym__type] = STATE(6467),
    [sym_tinyint] = STATE(5106),
    [sym_smallint] = STATE(5106),
    [sym_mediumint] = STATE(5106),
    [sym_int] = STATE(5106),
    [sym_bigint] = STATE(5106),
    [sym_bit] = STATE(5106),
    [sym_binary] = STATE(5106),
    [sym_varbinary] = STATE(5106),
    [sym_float] = STATE(5106),
    [sym_double] = STATE(5106),
    [sym_decimal] = STATE(5106),
    [sym_numeric] = STATE(5106),
    [sym_char] = STATE(5106),
    [sym_varchar] = STATE(5106),
    [sym_nchar] = STATE(5106),
    [sym_nvarchar] = STATE(5106),
    [sym_datetimeoffset] = STATE(5106),
    [sym_time] = STATE(5106),
    [sym_timestamp] = STATE(5106),
    [sym_enum] = STATE(5106),
    [sym_object_reference] = STATE(5203),
    [sym_identifier] = STATE(6812),
    [sym__identifier] = ACTIONS(127),
    [aux_sym_keyword_character_token1] = ACTIONS(131),
    [sym_keyword_unsigned] = ACTIONS(133),
    [sym_keyword_boolean] = ACTIONS(139),
    [sym_keyword_bit] = ACTIONS(141),
    [sym_keyword_binary] = ACTIONS(143),
    [sym_keyword_varbinary] = ACTIONS(145),
    [sym_keyword_image] = ACTIONS(139),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(147),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(147),
    [aux_sym_keyword_serial_token1] = ACTIONS(149),
    [aux_sym_keyword_serial_token2] = ACTIONS(149),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(151),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(151),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(153),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(153),
    [aux_sym_keyword_smallint_token1] = ACTIONS(155),
    [aux_sym_keyword_smallint_token2] = ACTIONS(155),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(157),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(157),
    [aux_sym_keyword_int_token1] = ACTIONS(159),
    [aux_sym_keyword_int_token2] = ACTIONS(159),
    [aux_sym_keyword_int_token3] = ACTIONS(159),
    [aux_sym_keyword_bigint_token1] = ACTIONS(161),
    [aux_sym_keyword_bigint_token2] = ACTIONS(161),
    [sym_keyword_decimal] = ACTIONS(163),
    [sym_keyword_numeric] = ACTIONS(165),
    [aux_sym_keyword_real_token1] = ACTIONS(167),
    [aux_sym_keyword_real_token2] = ACTIONS(167),
    [sym_keyword_float] = ACTIONS(169),
    [sym_keyword_double] = ACTIONS(171),
    [sym_keyword_inet] = ACTIONS(139),
    [sym_keyword_money] = ACTIONS(139),
    [sym_keyword_smallmoney] = ACTIONS(139),
    [aux_sym_keyword_char_token1] = ACTIONS(173),
    [sym_keyword_nchar] = ACTIONS(175),
    [aux_sym_keyword_varchar_token1] = ACTIONS(177),
    [sym_keyword_nvarchar] = ACTIONS(179),
    [sym_keyword_text] = ACTIONS(139),
    [sym_keyword_string] = ACTIONS(139),
    [sym_keyword_uuid] = ACTIONS(139),
    [sym_keyword_json] = ACTIONS(139),
    [sym_keyword_jsonb] = ACTIONS(139),
    [sym_keyword_xml] = ACTIONS(139),
    [sym_keyword_bytea] = ACTIONS(139),
    [sym_keyword_enum] = ACTIONS(181),
    [sym_keyword_date] = ACTIONS(139),
    [sym_keyword_datetime] = ACTIONS(139),
    [sym_keyword_datetime2] = ACTIONS(139),
    [sym_keyword_smalldatetime] = ACTIONS(139),
    [sym_keyword_datetimeoffset] = ACTIONS(183),
    [sym_keyword_time] = ACTIONS(185),
    [sym_keyword_timestamp] = ACTIONS(187),
    [sym_keyword_timestamptz] = ACTIONS(139),
    [sym_keyword_interval] = ACTIONS(139),
    [sym_keyword_geometry] = ACTIONS(139),
    [sym_keyword_geography] = ACTIONS(139),
    [sym_keyword_box2d] = ACTIONS(139),
    [sym_keyword_box3d] = ACTIONS(139),
    [sym_keyword_oid] = ACTIONS(139),
    [sym_keyword_name] = ACTIONS(139),
    [sym_keyword_regclass] = ACTIONS(139),
    [sym_keyword_regnamespace] = ACTIONS(139),
    [sym_keyword_regproc] = ACTIONS(139),
    [sym_keyword_regtype] = ACTIONS(139),
    [aux_sym_double_token1] = ACTIONS(189),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(191),
    [aux_sym_identifier_token1] = ACTIONS(191),
  },
  [59] = {
    [sym_keyword_smallserial] = STATE(7120),
    [sym_keyword_serial] = STATE(7120),
    [sym_keyword_bigserial] = STATE(7120),
    [sym_keyword_tinyint] = STATE(1707),
    [sym_keyword_smallint] = STATE(1711),
    [sym_keyword_mediumint] = STATE(1712),
    [sym_keyword_int] = STATE(1714),
    [sym_keyword_bigint] = STATE(1717),
    [sym_keyword_real] = STATE(1744),
    [sym_keyword_char] = STATE(2284),
    [sym_keyword_varchar] = STATE(2290),
    [sym__type] = STATE(9749),
    [sym_tinyint] = STATE(7120),
    [sym_smallint] = STATE(7120),
    [sym_mediumint] = STATE(7120),
    [sym_int] = STATE(7120),
    [sym_bigint] = STATE(7120),
    [sym_bit] = STATE(7120),
    [sym_binary] = STATE(7120),
    [sym_varbinary] = STATE(7120),
    [sym_float] = STATE(7120),
    [sym_double] = STATE(7120),
    [sym_decimal] = STATE(7120),
    [sym_numeric] = STATE(7120),
    [sym_char] = STATE(7120),
    [sym_varchar] = STATE(7120),
    [sym_nchar] = STATE(7120),
    [sym_nvarchar] = STATE(7120),
    [sym_datetimeoffset] = STATE(7120),
    [sym_time] = STATE(7120),
    [sym_timestamp] = STATE(7120),
    [sym_enum] = STATE(7120),
    [sym_object_reference] = STATE(7127),
    [sym_identifier] = STATE(6414),
    [sym__identifier] = ACTIONS(51),
    [aux_sym_keyword_character_token1] = ACTIONS(53),
    [sym_keyword_unsigned] = ACTIONS(57),
    [sym_keyword_boolean] = ACTIONS(59),
    [sym_keyword_bit] = ACTIONS(61),
    [sym_keyword_binary] = ACTIONS(63),
    [sym_keyword_varbinary] = ACTIONS(65),
    [sym_keyword_image] = ACTIONS(59),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(67),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(67),
    [aux_sym_keyword_serial_token1] = ACTIONS(69),
    [aux_sym_keyword_serial_token2] = ACTIONS(69),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(71),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(71),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(73),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(73),
    [aux_sym_keyword_smallint_token1] = ACTIONS(75),
    [aux_sym_keyword_smallint_token2] = ACTIONS(75),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(77),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(77),
    [aux_sym_keyword_int_token1] = ACTIONS(79),
    [aux_sym_keyword_int_token2] = ACTIONS(79),
    [aux_sym_keyword_int_token3] = ACTIONS(79),
    [aux_sym_keyword_bigint_token1] = ACTIONS(81),
    [aux_sym_keyword_bigint_token2] = ACTIONS(81),
    [sym_keyword_decimal] = ACTIONS(83),
    [sym_keyword_numeric] = ACTIONS(85),
    [aux_sym_keyword_real_token1] = ACTIONS(87),
    [aux_sym_keyword_real_token2] = ACTIONS(87),
    [sym_keyword_float] = ACTIONS(89),
    [sym_keyword_double] = ACTIONS(91),
    [sym_keyword_inet] = ACTIONS(59),
    [sym_keyword_money] = ACTIONS(59),
    [sym_keyword_smallmoney] = ACTIONS(59),
    [aux_sym_keyword_char_token1] = ACTIONS(93),
    [sym_keyword_nchar] = ACTIONS(95),
    [aux_sym_keyword_varchar_token1] = ACTIONS(97),
    [sym_keyword_nvarchar] = ACTIONS(99),
    [sym_keyword_text] = ACTIONS(59),
    [sym_keyword_string] = ACTIONS(59),
    [sym_keyword_uuid] = ACTIONS(59),
    [sym_keyword_json] = ACTIONS(59),
    [sym_keyword_jsonb] = ACTIONS(59),
    [sym_keyword_xml] = ACTIONS(59),
    [sym_keyword_bytea] = ACTIONS(59),
    [sym_keyword_enum] = ACTIONS(101),
    [sym_keyword_date] = ACTIONS(59),
    [sym_keyword_datetime] = ACTIONS(59),
    [sym_keyword_datetime2] = ACTIONS(59),
    [sym_keyword_smalldatetime] = ACTIONS(59),
    [sym_keyword_datetimeoffset] = ACTIONS(103),
    [sym_keyword_time] = ACTIONS(105),
    [sym_keyword_timestamp] = ACTIONS(107),
    [sym_keyword_timestamptz] = ACTIONS(59),
    [sym_keyword_interval] = ACTIONS(59),
    [sym_keyword_geometry] = ACTIONS(59),
    [sym_keyword_geography] = ACTIONS(59),
    [sym_keyword_box2d] = ACTIONS(59),
    [sym_keyword_box3d] = ACTIONS(59),
    [sym_keyword_oid] = ACTIONS(59),
    [sym_keyword_name] = ACTIONS(59),
    [sym_keyword_regclass] = ACTIONS(59),
    [sym_keyword_regnamespace] = ACTIONS(59),
    [sym_keyword_regproc] = ACTIONS(59),
    [sym_keyword_regtype] = ACTIONS(59),
    [aux_sym_double_token1] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
  },
  [60] = {
    [sym_keyword_smallserial] = STATE(439),
    [sym_keyword_serial] = STATE(439),
    [sym_keyword_bigserial] = STATE(439),
    [sym_keyword_tinyint] = STATE(158),
    [sym_keyword_smallint] = STATE(163),
    [sym_keyword_mediumint] = STATE(151),
    [sym_keyword_int] = STATE(166),
    [sym_keyword_bigint] = STATE(167),
    [sym_keyword_real] = STATE(165),
    [sym_keyword_char] = STATE(185),
    [sym_keyword_varchar] = STATE(183),
    [sym__type] = STATE(786),
    [sym_tinyint] = STATE(439),
    [sym_smallint] = STATE(439),
    [sym_mediumint] = STATE(439),
    [sym_int] = STATE(439),
    [sym_bigint] = STATE(439),
    [sym_bit] = STATE(439),
    [sym_binary] = STATE(439),
    [sym_varbinary] = STATE(439),
    [sym_float] = STATE(439),
    [sym_double] = STATE(439),
    [sym_decimal] = STATE(439),
    [sym_numeric] = STATE(439),
    [sym_char] = STATE(439),
    [sym_varchar] = STATE(439),
    [sym_nchar] = STATE(439),
    [sym_nvarchar] = STATE(439),
    [sym_datetimeoffset] = STATE(439),
    [sym_time] = STATE(439),
    [sym_timestamp] = STATE(439),
    [sym_enum] = STATE(439),
    [sym_object_reference] = STATE(432),
    [sym_identifier] = STATE(551),
    [sym__identifier] = ACTIONS(1205),
    [aux_sym_keyword_character_token1] = ACTIONS(909),
    [sym_keyword_unsigned] = ACTIONS(911),
    [sym_keyword_boolean] = ACTIONS(1207),
    [sym_keyword_bit] = ACTIONS(915),
    [sym_keyword_binary] = ACTIONS(917),
    [sym_keyword_varbinary] = ACTIONS(919),
    [sym_keyword_image] = ACTIONS(1207),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(921),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(921),
    [aux_sym_keyword_serial_token1] = ACTIONS(923),
    [aux_sym_keyword_serial_token2] = ACTIONS(923),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(925),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(925),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(927),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(927),
    [aux_sym_keyword_smallint_token1] = ACTIONS(929),
    [aux_sym_keyword_smallint_token2] = ACTIONS(929),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(931),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(931),
    [aux_sym_keyword_int_token1] = ACTIONS(933),
    [aux_sym_keyword_int_token2] = ACTIONS(933),
    [aux_sym_keyword_int_token3] = ACTIONS(933),
    [aux_sym_keyword_bigint_token1] = ACTIONS(935),
    [aux_sym_keyword_bigint_token2] = ACTIONS(935),
    [sym_keyword_decimal] = ACTIONS(937),
    [sym_keyword_numeric] = ACTIONS(939),
    [aux_sym_keyword_real_token1] = ACTIONS(941),
    [aux_sym_keyword_real_token2] = ACTIONS(941),
    [sym_keyword_float] = ACTIONS(943),
    [sym_keyword_double] = ACTIONS(945),
    [sym_keyword_inet] = ACTIONS(1207),
    [sym_keyword_money] = ACTIONS(1207),
    [sym_keyword_smallmoney] = ACTIONS(1207),
    [aux_sym_keyword_char_token1] = ACTIONS(947),
    [sym_keyword_nchar] = ACTIONS(949),
    [aux_sym_keyword_varchar_token1] = ACTIONS(951),
    [sym_keyword_nvarchar] = ACTIONS(953),
    [sym_keyword_text] = ACTIONS(1207),
    [sym_keyword_string] = ACTIONS(1207),
    [sym_keyword_uuid] = ACTIONS(1207),
    [sym_keyword_json] = ACTIONS(1207),
    [sym_keyword_jsonb] = ACTIONS(1207),
    [sym_keyword_xml] = ACTIONS(1207),
    [sym_keyword_bytea] = ACTIONS(1207),
    [sym_keyword_enum] = ACTIONS(955),
    [sym_keyword_date] = ACTIONS(1207),
    [sym_keyword_datetime] = ACTIONS(1207),
    [sym_keyword_datetime2] = ACTIONS(1207),
    [sym_keyword_smalldatetime] = ACTIONS(1207),
    [sym_keyword_datetimeoffset] = ACTIONS(957),
    [sym_keyword_time] = ACTIONS(959),
    [sym_keyword_timestamp] = ACTIONS(961),
    [sym_keyword_timestamptz] = ACTIONS(1207),
    [sym_keyword_interval] = ACTIONS(1207),
    [sym_keyword_geometry] = ACTIONS(1207),
    [sym_keyword_geography] = ACTIONS(1207),
    [sym_keyword_box2d] = ACTIONS(1207),
    [sym_keyword_box3d] = ACTIONS(1207),
    [sym_keyword_oid] = ACTIONS(1207),
    [sym_keyword_name] = ACTIONS(1207),
    [sym_keyword_regclass] = ACTIONS(1207),
    [sym_keyword_regnamespace] = ACTIONS(1207),
    [sym_keyword_regproc] = ACTIONS(1207),
    [sym_keyword_regtype] = ACTIONS(1207),
    [aux_sym_double_token1] = ACTIONS(963),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(1209),
    [aux_sym_identifier_token1] = ACTIONS(1209),
  },
  [61] = {
    [sym_keyword_smallserial] = STATE(7120),
    [sym_keyword_serial] = STATE(7120),
    [sym_keyword_bigserial] = STATE(7120),
    [sym_keyword_tinyint] = STATE(1707),
    [sym_keyword_smallint] = STATE(1711),
    [sym_keyword_mediumint] = STATE(1712),
    [sym_keyword_int] = STATE(1714),
    [sym_keyword_bigint] = STATE(1717),
    [sym_keyword_real] = STATE(1744),
    [sym_keyword_char] = STATE(2284),
    [sym_keyword_varchar] = STATE(2290),
    [sym__type] = STATE(12033),
    [sym_tinyint] = STATE(7120),
    [sym_smallint] = STATE(7120),
    [sym_mediumint] = STATE(7120),
    [sym_int] = STATE(7120),
    [sym_bigint] = STATE(7120),
    [sym_bit] = STATE(7120),
    [sym_binary] = STATE(7120),
    [sym_varbinary] = STATE(7120),
    [sym_float] = STATE(7120),
    [sym_double] = STATE(7120),
    [sym_decimal] = STATE(7120),
    [sym_numeric] = STATE(7120),
    [sym_char] = STATE(7120),
    [sym_varchar] = STATE(7120),
    [sym_nchar] = STATE(7120),
    [sym_nvarchar] = STATE(7120),
    [sym_datetimeoffset] = STATE(7120),
    [sym_time] = STATE(7120),
    [sym_timestamp] = STATE(7120),
    [sym_enum] = STATE(7120),
    [sym_object_reference] = STATE(7127),
    [sym_identifier] = STATE(6414),
    [sym__identifier] = ACTIONS(51),
    [aux_sym_keyword_character_token1] = ACTIONS(53),
    [sym_keyword_unsigned] = ACTIONS(57),
    [sym_keyword_boolean] = ACTIONS(59),
    [sym_keyword_bit] = ACTIONS(61),
    [sym_keyword_binary] = ACTIONS(63),
    [sym_keyword_varbinary] = ACTIONS(65),
    [sym_keyword_image] = ACTIONS(59),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(67),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(67),
    [aux_sym_keyword_serial_token1] = ACTIONS(69),
    [aux_sym_keyword_serial_token2] = ACTIONS(69),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(71),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(71),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(73),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(73),
    [aux_sym_keyword_smallint_token1] = ACTIONS(75),
    [aux_sym_keyword_smallint_token2] = ACTIONS(75),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(77),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(77),
    [aux_sym_keyword_int_token1] = ACTIONS(79),
    [aux_sym_keyword_int_token2] = ACTIONS(79),
    [aux_sym_keyword_int_token3] = ACTIONS(79),
    [aux_sym_keyword_bigint_token1] = ACTIONS(81),
    [aux_sym_keyword_bigint_token2] = ACTIONS(81),
    [sym_keyword_decimal] = ACTIONS(83),
    [sym_keyword_numeric] = ACTIONS(85),
    [aux_sym_keyword_real_token1] = ACTIONS(87),
    [aux_sym_keyword_real_token2] = ACTIONS(87),
    [sym_keyword_float] = ACTIONS(89),
    [sym_keyword_double] = ACTIONS(91),
    [sym_keyword_inet] = ACTIONS(59),
    [sym_keyword_money] = ACTIONS(59),
    [sym_keyword_smallmoney] = ACTIONS(59),
    [aux_sym_keyword_char_token1] = ACTIONS(93),
    [sym_keyword_nchar] = ACTIONS(95),
    [aux_sym_keyword_varchar_token1] = ACTIONS(97),
    [sym_keyword_nvarchar] = ACTIONS(99),
    [sym_keyword_text] = ACTIONS(59),
    [sym_keyword_string] = ACTIONS(59),
    [sym_keyword_uuid] = ACTIONS(59),
    [sym_keyword_json] = ACTIONS(59),
    [sym_keyword_jsonb] = ACTIONS(59),
    [sym_keyword_xml] = ACTIONS(59),
    [sym_keyword_bytea] = ACTIONS(59),
    [sym_keyword_enum] = ACTIONS(101),
    [sym_keyword_date] = ACTIONS(59),
    [sym_keyword_datetime] = ACTIONS(59),
    [sym_keyword_datetime2] = ACTIONS(59),
    [sym_keyword_smalldatetime] = ACTIONS(59),
    [sym_keyword_datetimeoffset] = ACTIONS(103),
    [sym_keyword_time] = ACTIONS(105),
    [sym_keyword_timestamp] = ACTIONS(107),
    [sym_keyword_timestamptz] = ACTIONS(59),
    [sym_keyword_interval] = ACTIONS(59),
    [sym_keyword_geometry] = ACTIONS(59),
    [sym_keyword_geography] = ACTIONS(59),
    [sym_keyword_box2d] = ACTIONS(59),
    [sym_keyword_box3d] = ACTIONS(59),
    [sym_keyword_oid] = ACTIONS(59),
    [sym_keyword_name] = ACTIONS(59),
    [sym_keyword_regclass] = ACTIONS(59),
    [sym_keyword_regnamespace] = ACTIONS(59),
    [sym_keyword_regproc] = ACTIONS(59),
    [sym_keyword_regtype] = ACTIONS(59),
    [aux_sym_double_token1] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
  },
  [62] = {
    [sym_keyword_smallserial] = STATE(6573),
    [sym_keyword_serial] = STATE(6573),
    [sym_keyword_bigserial] = STATE(6573),
    [sym_keyword_tinyint] = STATE(158),
    [sym_keyword_smallint] = STATE(163),
    [sym_keyword_mediumint] = STATE(151),
    [sym_keyword_int] = STATE(166),
    [sym_keyword_bigint] = STATE(167),
    [sym_keyword_real] = STATE(165),
    [sym_keyword_char] = STATE(185),
    [sym_keyword_varchar] = STATE(183),
    [sym__type] = STATE(6464),
    [sym_tinyint] = STATE(6573),
    [sym_smallint] = STATE(6573),
    [sym_mediumint] = STATE(6573),
    [sym_int] = STATE(6573),
    [sym_bigint] = STATE(6573),
    [sym_bit] = STATE(6573),
    [sym_binary] = STATE(6573),
    [sym_varbinary] = STATE(6573),
    [sym_float] = STATE(6573),
    [sym_double] = STATE(6573),
    [sym_decimal] = STATE(6573),
    [sym_numeric] = STATE(6573),
    [sym_char] = STATE(6573),
    [sym_varchar] = STATE(6573),
    [sym_nchar] = STATE(6573),
    [sym_nvarchar] = STATE(6573),
    [sym_datetimeoffset] = STATE(6573),
    [sym_time] = STATE(6573),
    [sym_timestamp] = STATE(6573),
    [sym_enum] = STATE(6573),
    [sym_object_reference] = STATE(6581),
    [sym_identifier] = STATE(6624),
    [sym__identifier] = ACTIONS(1141),
    [aux_sym_keyword_character_token1] = ACTIONS(909),
    [sym_keyword_unsigned] = ACTIONS(911),
    [sym_keyword_boolean] = ACTIONS(1211),
    [sym_keyword_bit] = ACTIONS(915),
    [sym_keyword_binary] = ACTIONS(917),
    [sym_keyword_varbinary] = ACTIONS(919),
    [sym_keyword_image] = ACTIONS(1211),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(921),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(921),
    [aux_sym_keyword_serial_token1] = ACTIONS(923),
    [aux_sym_keyword_serial_token2] = ACTIONS(923),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(925),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(925),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(927),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(927),
    [aux_sym_keyword_smallint_token1] = ACTIONS(929),
    [aux_sym_keyword_smallint_token2] = ACTIONS(929),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(931),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(931),
    [aux_sym_keyword_int_token1] = ACTIONS(933),
    [aux_sym_keyword_int_token2] = ACTIONS(933),
    [aux_sym_keyword_int_token3] = ACTIONS(933),
    [aux_sym_keyword_bigint_token1] = ACTIONS(935),
    [aux_sym_keyword_bigint_token2] = ACTIONS(935),
    [sym_keyword_decimal] = ACTIONS(937),
    [sym_keyword_numeric] = ACTIONS(939),
    [aux_sym_keyword_real_token1] = ACTIONS(941),
    [aux_sym_keyword_real_token2] = ACTIONS(941),
    [sym_keyword_float] = ACTIONS(943),
    [sym_keyword_double] = ACTIONS(945),
    [sym_keyword_inet] = ACTIONS(1211),
    [sym_keyword_money] = ACTIONS(1211),
    [sym_keyword_smallmoney] = ACTIONS(1211),
    [aux_sym_keyword_char_token1] = ACTIONS(947),
    [sym_keyword_nchar] = ACTIONS(949),
    [aux_sym_keyword_varchar_token1] = ACTIONS(951),
    [sym_keyword_nvarchar] = ACTIONS(953),
    [sym_keyword_text] = ACTIONS(1211),
    [sym_keyword_string] = ACTIONS(1211),
    [sym_keyword_uuid] = ACTIONS(1211),
    [sym_keyword_json] = ACTIONS(1211),
    [sym_keyword_jsonb] = ACTIONS(1211),
    [sym_keyword_xml] = ACTIONS(1211),
    [sym_keyword_bytea] = ACTIONS(1211),
    [sym_keyword_enum] = ACTIONS(955),
    [sym_keyword_date] = ACTIONS(1211),
    [sym_keyword_datetime] = ACTIONS(1211),
    [sym_keyword_datetime2] = ACTIONS(1211),
    [sym_keyword_smalldatetime] = ACTIONS(1211),
    [sym_keyword_datetimeoffset] = ACTIONS(957),
    [sym_keyword_time] = ACTIONS(959),
    [sym_keyword_timestamp] = ACTIONS(961),
    [sym_keyword_timestamptz] = ACTIONS(1211),
    [sym_keyword_interval] = ACTIONS(1211),
    [sym_keyword_geometry] = ACTIONS(1211),
    [sym_keyword_geography] = ACTIONS(1211),
    [sym_keyword_box2d] = ACTIONS(1211),
    [sym_keyword_box3d] = ACTIONS(1211),
    [sym_keyword_oid] = ACTIONS(1211),
    [sym_keyword_name] = ACTIONS(1211),
    [sym_keyword_regclass] = ACTIONS(1211),
    [sym_keyword_regnamespace] = ACTIONS(1211),
    [sym_keyword_regproc] = ACTIONS(1211),
    [sym_keyword_regtype] = ACTIONS(1211),
    [aux_sym_double_token1] = ACTIONS(963),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(1199),
    [aux_sym_identifier_token1] = ACTIONS(1199),
  },
  [63] = {
    [sym_keyword_smallserial] = STATE(7120),
    [sym_keyword_serial] = STATE(7120),
    [sym_keyword_bigserial] = STATE(7120),
    [sym_keyword_tinyint] = STATE(1707),
    [sym_keyword_smallint] = STATE(1711),
    [sym_keyword_mediumint] = STATE(1712),
    [sym_keyword_int] = STATE(1714),
    [sym_keyword_bigint] = STATE(1717),
    [sym_keyword_real] = STATE(1744),
    [sym_keyword_char] = STATE(2284),
    [sym_keyword_varchar] = STATE(2290),
    [sym__type] = STATE(13722),
    [sym_tinyint] = STATE(7120),
    [sym_smallint] = STATE(7120),
    [sym_mediumint] = STATE(7120),
    [sym_int] = STATE(7120),
    [sym_bigint] = STATE(7120),
    [sym_bit] = STATE(7120),
    [sym_binary] = STATE(7120),
    [sym_varbinary] = STATE(7120),
    [sym_float] = STATE(7120),
    [sym_double] = STATE(7120),
    [sym_decimal] = STATE(7120),
    [sym_numeric] = STATE(7120),
    [sym_char] = STATE(7120),
    [sym_varchar] = STATE(7120),
    [sym_nchar] = STATE(7120),
    [sym_nvarchar] = STATE(7120),
    [sym_datetimeoffset] = STATE(7120),
    [sym_time] = STATE(7120),
    [sym_timestamp] = STATE(7120),
    [sym_enum] = STATE(7120),
    [sym_object_reference] = STATE(7127),
    [sym_identifier] = STATE(6414),
    [sym__identifier] = ACTIONS(51),
    [aux_sym_keyword_character_token1] = ACTIONS(53),
    [sym_keyword_unsigned] = ACTIONS(57),
    [sym_keyword_boolean] = ACTIONS(59),
    [sym_keyword_bit] = ACTIONS(61),
    [sym_keyword_binary] = ACTIONS(63),
    [sym_keyword_varbinary] = ACTIONS(65),
    [sym_keyword_image] = ACTIONS(59),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(67),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(67),
    [aux_sym_keyword_serial_token1] = ACTIONS(69),
    [aux_sym_keyword_serial_token2] = ACTIONS(69),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(71),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(71),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(73),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(73),
    [aux_sym_keyword_smallint_token1] = ACTIONS(75),
    [aux_sym_keyword_smallint_token2] = ACTIONS(75),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(77),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(77),
    [aux_sym_keyword_int_token1] = ACTIONS(79),
    [aux_sym_keyword_int_token2] = ACTIONS(79),
    [aux_sym_keyword_int_token3] = ACTIONS(79),
    [aux_sym_keyword_bigint_token1] = ACTIONS(81),
    [aux_sym_keyword_bigint_token2] = ACTIONS(81),
    [sym_keyword_decimal] = ACTIONS(83),
    [sym_keyword_numeric] = ACTIONS(85),
    [aux_sym_keyword_real_token1] = ACTIONS(87),
    [aux_sym_keyword_real_token2] = ACTIONS(87),
    [sym_keyword_float] = ACTIONS(89),
    [sym_keyword_double] = ACTIONS(91),
    [sym_keyword_inet] = ACTIONS(59),
    [sym_keyword_money] = ACTIONS(59),
    [sym_keyword_smallmoney] = ACTIONS(59),
    [aux_sym_keyword_char_token1] = ACTIONS(93),
    [sym_keyword_nchar] = ACTIONS(95),
    [aux_sym_keyword_varchar_token1] = ACTIONS(97),
    [sym_keyword_nvarchar] = ACTIONS(99),
    [sym_keyword_text] = ACTIONS(59),
    [sym_keyword_string] = ACTIONS(59),
    [sym_keyword_uuid] = ACTIONS(59),
    [sym_keyword_json] = ACTIONS(59),
    [sym_keyword_jsonb] = ACTIONS(59),
    [sym_keyword_xml] = ACTIONS(59),
    [sym_keyword_bytea] = ACTIONS(59),
    [sym_keyword_enum] = ACTIONS(101),
    [sym_keyword_date] = ACTIONS(59),
    [sym_keyword_datetime] = ACTIONS(59),
    [sym_keyword_datetime2] = ACTIONS(59),
    [sym_keyword_smalldatetime] = ACTIONS(59),
    [sym_keyword_datetimeoffset] = ACTIONS(103),
    [sym_keyword_time] = ACTIONS(105),
    [sym_keyword_timestamp] = ACTIONS(107),
    [sym_keyword_timestamptz] = ACTIONS(59),
    [sym_keyword_interval] = ACTIONS(59),
    [sym_keyword_geometry] = ACTIONS(59),
    [sym_keyword_geography] = ACTIONS(59),
    [sym_keyword_box2d] = ACTIONS(59),
    [sym_keyword_box3d] = ACTIONS(59),
    [sym_keyword_oid] = ACTIONS(59),
    [sym_keyword_name] = ACTIONS(59),
    [sym_keyword_regclass] = ACTIONS(59),
    [sym_keyword_regnamespace] = ACTIONS(59),
    [sym_keyword_regproc] = ACTIONS(59),
    [sym_keyword_regtype] = ACTIONS(59),
    [aux_sym_double_token1] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
  },
  [64] = {
    [sym_keyword_smallserial] = STATE(7120),
    [sym_keyword_serial] = STATE(7120),
    [sym_keyword_bigserial] = STATE(7120),
    [sym_keyword_tinyint] = STATE(1707),
    [sym_keyword_smallint] = STATE(1711),
    [sym_keyword_mediumint] = STATE(1712),
    [sym_keyword_int] = STATE(1714),
    [sym_keyword_bigint] = STATE(1717),
    [sym_keyword_real] = STATE(1744),
    [sym_keyword_char] = STATE(2284),
    [sym_keyword_varchar] = STATE(2290),
    [sym__type] = STATE(9692),
    [sym_tinyint] = STATE(7120),
    [sym_smallint] = STATE(7120),
    [sym_mediumint] = STATE(7120),
    [sym_int] = STATE(7120),
    [sym_bigint] = STATE(7120),
    [sym_bit] = STATE(7120),
    [sym_binary] = STATE(7120),
    [sym_varbinary] = STATE(7120),
    [sym_float] = STATE(7120),
    [sym_double] = STATE(7120),
    [sym_decimal] = STATE(7120),
    [sym_numeric] = STATE(7120),
    [sym_char] = STATE(7120),
    [sym_varchar] = STATE(7120),
    [sym_nchar] = STATE(7120),
    [sym_nvarchar] = STATE(7120),
    [sym_datetimeoffset] = STATE(7120),
    [sym_time] = STATE(7120),
    [sym_timestamp] = STATE(7120),
    [sym_enum] = STATE(7120),
    [sym_object_reference] = STATE(7127),
    [sym_identifier] = STATE(6414),
    [sym__identifier] = ACTIONS(51),
    [aux_sym_keyword_character_token1] = ACTIONS(53),
    [sym_keyword_unsigned] = ACTIONS(57),
    [sym_keyword_boolean] = ACTIONS(59),
    [sym_keyword_bit] = ACTIONS(61),
    [sym_keyword_binary] = ACTIONS(63),
    [sym_keyword_varbinary] = ACTIONS(65),
    [sym_keyword_image] = ACTIONS(59),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(67),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(67),
    [aux_sym_keyword_serial_token1] = ACTIONS(69),
    [aux_sym_keyword_serial_token2] = ACTIONS(69),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(71),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(71),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(73),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(73),
    [aux_sym_keyword_smallint_token1] = ACTIONS(75),
    [aux_sym_keyword_smallint_token2] = ACTIONS(75),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(77),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(77),
    [aux_sym_keyword_int_token1] = ACTIONS(79),
    [aux_sym_keyword_int_token2] = ACTIONS(79),
    [aux_sym_keyword_int_token3] = ACTIONS(79),
    [aux_sym_keyword_bigint_token1] = ACTIONS(81),
    [aux_sym_keyword_bigint_token2] = ACTIONS(81),
    [sym_keyword_decimal] = ACTIONS(83),
    [sym_keyword_numeric] = ACTIONS(85),
    [aux_sym_keyword_real_token1] = ACTIONS(87),
    [aux_sym_keyword_real_token2] = ACTIONS(87),
    [sym_keyword_float] = ACTIONS(89),
    [sym_keyword_double] = ACTIONS(91),
    [sym_keyword_inet] = ACTIONS(59),
    [sym_keyword_money] = ACTIONS(59),
    [sym_keyword_smallmoney] = ACTIONS(59),
    [aux_sym_keyword_char_token1] = ACTIONS(93),
    [sym_keyword_nchar] = ACTIONS(95),
    [aux_sym_keyword_varchar_token1] = ACTIONS(97),
    [sym_keyword_nvarchar] = ACTIONS(99),
    [sym_keyword_text] = ACTIONS(59),
    [sym_keyword_string] = ACTIONS(59),
    [sym_keyword_uuid] = ACTIONS(59),
    [sym_keyword_json] = ACTIONS(59),
    [sym_keyword_jsonb] = ACTIONS(59),
    [sym_keyword_xml] = ACTIONS(59),
    [sym_keyword_bytea] = ACTIONS(59),
    [sym_keyword_enum] = ACTIONS(101),
    [sym_keyword_date] = ACTIONS(59),
    [sym_keyword_datetime] = ACTIONS(59),
    [sym_keyword_datetime2] = ACTIONS(59),
    [sym_keyword_smalldatetime] = ACTIONS(59),
    [sym_keyword_datetimeoffset] = ACTIONS(103),
    [sym_keyword_time] = ACTIONS(105),
    [sym_keyword_timestamp] = ACTIONS(107),
    [sym_keyword_timestamptz] = ACTIONS(59),
    [sym_keyword_interval] = ACTIONS(59),
    [sym_keyword_geometry] = ACTIONS(59),
    [sym_keyword_geography] = ACTIONS(59),
    [sym_keyword_box2d] = ACTIONS(59),
    [sym_keyword_box3d] = ACTIONS(59),
    [sym_keyword_oid] = ACTIONS(59),
    [sym_keyword_name] = ACTIONS(59),
    [sym_keyword_regclass] = ACTIONS(59),
    [sym_keyword_regnamespace] = ACTIONS(59),
    [sym_keyword_regproc] = ACTIONS(59),
    [sym_keyword_regtype] = ACTIONS(59),
    [aux_sym_double_token1] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
  },
  [65] = {
    [sym_keyword_smallserial] = STATE(5471),
    [sym_keyword_serial] = STATE(5471),
    [sym_keyword_bigserial] = STATE(5471),
    [sym_keyword_tinyint] = STATE(5303),
    [sym_keyword_smallint] = STATE(5304),
    [sym_keyword_mediumint] = STATE(5305),
    [sym_keyword_int] = STATE(5306),
    [sym_keyword_bigint] = STATE(5307),
    [sym_keyword_real] = STATE(5308),
    [sym_keyword_char] = STATE(5828),
    [sym_keyword_varchar] = STATE(5827),
    [sym__type] = STATE(6331),
    [sym_tinyint] = STATE(5471),
    [sym_smallint] = STATE(5471),
    [sym_mediumint] = STATE(5471),
    [sym_int] = STATE(5471),
    [sym_bigint] = STATE(5471),
    [sym_bit] = STATE(5471),
    [sym_binary] = STATE(5471),
    [sym_varbinary] = STATE(5471),
    [sym_float] = STATE(5471),
    [sym_double] = STATE(5471),
    [sym_decimal] = STATE(5471),
    [sym_numeric] = STATE(5471),
    [sym_char] = STATE(5471),
    [sym_varchar] = STATE(5471),
    [sym_nchar] = STATE(5471),
    [sym_nvarchar] = STATE(5471),
    [sym_datetimeoffset] = STATE(5471),
    [sym_time] = STATE(5471),
    [sym_timestamp] = STATE(5471),
    [sym_enum] = STATE(5471),
    [sym_object_reference] = STATE(5463),
    [sym_identifier] = STATE(5904),
    [sym__identifier] = ACTIONS(1213),
    [aux_sym_keyword_character_token1] = ACTIONS(1215),
    [sym_keyword_unsigned] = ACTIONS(1217),
    [sym_keyword_boolean] = ACTIONS(1219),
    [sym_keyword_bit] = ACTIONS(1221),
    [sym_keyword_binary] = ACTIONS(1223),
    [sym_keyword_varbinary] = ACTIONS(1225),
    [sym_keyword_image] = ACTIONS(1219),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1227),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1227),
    [aux_sym_keyword_serial_token1] = ACTIONS(1229),
    [aux_sym_keyword_serial_token2] = ACTIONS(1229),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1231),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1231),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1233),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1233),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1235),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1235),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1237),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1237),
    [aux_sym_keyword_int_token1] = ACTIONS(1239),
    [aux_sym_keyword_int_token2] = ACTIONS(1239),
    [aux_sym_keyword_int_token3] = ACTIONS(1239),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1241),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1241),
    [sym_keyword_decimal] = ACTIONS(1243),
    [sym_keyword_numeric] = ACTIONS(1245),
    [aux_sym_keyword_real_token1] = ACTIONS(1247),
    [aux_sym_keyword_real_token2] = ACTIONS(1247),
    [sym_keyword_float] = ACTIONS(1249),
    [sym_keyword_double] = ACTIONS(1251),
    [sym_keyword_inet] = ACTIONS(1219),
    [sym_keyword_money] = ACTIONS(1219),
    [sym_keyword_smallmoney] = ACTIONS(1219),
    [aux_sym_keyword_char_token1] = ACTIONS(1253),
    [sym_keyword_nchar] = ACTIONS(1255),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1257),
    [sym_keyword_nvarchar] = ACTIONS(1259),
    [sym_keyword_text] = ACTIONS(1219),
    [sym_keyword_string] = ACTIONS(1219),
    [sym_keyword_uuid] = ACTIONS(1219),
    [sym_keyword_json] = ACTIONS(1219),
    [sym_keyword_jsonb] = ACTIONS(1219),
    [sym_keyword_xml] = ACTIONS(1219),
    [sym_keyword_bytea] = ACTIONS(1219),
    [sym_keyword_enum] = ACTIONS(1261),
    [sym_keyword_date] = ACTIONS(1219),
    [sym_keyword_datetime] = ACTIONS(1219),
    [sym_keyword_datetime2] = ACTIONS(1219),
    [sym_keyword_smalldatetime] = ACTIONS(1219),
    [sym_keyword_datetimeoffset] = ACTIONS(1263),
    [sym_keyword_time] = ACTIONS(1265),
    [sym_keyword_timestamp] = ACTIONS(1267),
    [sym_keyword_timestamptz] = ACTIONS(1219),
    [sym_keyword_interval] = ACTIONS(1219),
    [sym_keyword_geometry] = ACTIONS(1219),
    [sym_keyword_geography] = ACTIONS(1219),
    [sym_keyword_box2d] = ACTIONS(1219),
    [sym_keyword_box3d] = ACTIONS(1219),
    [sym_keyword_oid] = ACTIONS(1219),
    [sym_keyword_name] = ACTIONS(1219),
    [sym_keyword_regclass] = ACTIONS(1219),
    [sym_keyword_regnamespace] = ACTIONS(1219),
    [sym_keyword_regproc] = ACTIONS(1219),
    [sym_keyword_regtype] = ACTIONS(1219),
    [aux_sym_double_token1] = ACTIONS(1269),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(1271),
    [aux_sym_identifier_token1] = ACTIONS(1271),
  },
  [66] = {
    [sym_keyword_smallserial] = STATE(5106),
    [sym_keyword_serial] = STATE(5106),
    [sym_keyword_bigserial] = STATE(5106),
    [sym_keyword_tinyint] = STATE(5155),
    [sym_keyword_smallint] = STATE(5159),
    [sym_keyword_mediumint] = STATE(5189),
    [sym_keyword_int] = STATE(5190),
    [sym_keyword_bigint] = STATE(5191),
    [sym_keyword_real] = STATE(5192),
    [sym_keyword_char] = STATE(5938),
    [sym_keyword_varchar] = STATE(6033),
    [sym__type] = STATE(6472),
    [sym_tinyint] = STATE(5106),
    [sym_smallint] = STATE(5106),
    [sym_mediumint] = STATE(5106),
    [sym_int] = STATE(5106),
    [sym_bigint] = STATE(5106),
    [sym_bit] = STATE(5106),
    [sym_binary] = STATE(5106),
    [sym_varbinary] = STATE(5106),
    [sym_float] = STATE(5106),
    [sym_double] = STATE(5106),
    [sym_decimal] = STATE(5106),
    [sym_numeric] = STATE(5106),
    [sym_char] = STATE(5106),
    [sym_varchar] = STATE(5106),
    [sym_nchar] = STATE(5106),
    [sym_nvarchar] = STATE(5106),
    [sym_datetimeoffset] = STATE(5106),
    [sym_time] = STATE(5106),
    [sym_timestamp] = STATE(5106),
    [sym_enum] = STATE(5106),
    [sym_object_reference] = STATE(5203),
    [sym_identifier] = STATE(6812),
    [sym__identifier] = ACTIONS(127),
    [aux_sym_keyword_character_token1] = ACTIONS(131),
    [sym_keyword_unsigned] = ACTIONS(133),
    [sym_keyword_boolean] = ACTIONS(139),
    [sym_keyword_bit] = ACTIONS(141),
    [sym_keyword_binary] = ACTIONS(143),
    [sym_keyword_varbinary] = ACTIONS(145),
    [sym_keyword_image] = ACTIONS(139),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(147),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(147),
    [aux_sym_keyword_serial_token1] = ACTIONS(149),
    [aux_sym_keyword_serial_token2] = ACTIONS(149),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(151),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(151),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(153),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(153),
    [aux_sym_keyword_smallint_token1] = ACTIONS(155),
    [aux_sym_keyword_smallint_token2] = ACTIONS(155),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(157),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(157),
    [aux_sym_keyword_int_token1] = ACTIONS(159),
    [aux_sym_keyword_int_token2] = ACTIONS(159),
    [aux_sym_keyword_int_token3] = ACTIONS(159),
    [aux_sym_keyword_bigint_token1] = ACTIONS(161),
    [aux_sym_keyword_bigint_token2] = ACTIONS(161),
    [sym_keyword_decimal] = ACTIONS(163),
    [sym_keyword_numeric] = ACTIONS(165),
    [aux_sym_keyword_real_token1] = ACTIONS(167),
    [aux_sym_keyword_real_token2] = ACTIONS(167),
    [sym_keyword_float] = ACTIONS(169),
    [sym_keyword_double] = ACTIONS(171),
    [sym_keyword_inet] = ACTIONS(139),
    [sym_keyword_money] = ACTIONS(139),
    [sym_keyword_smallmoney] = ACTIONS(139),
    [aux_sym_keyword_char_token1] = ACTIONS(173),
    [sym_keyword_nchar] = ACTIONS(175),
    [aux_sym_keyword_varchar_token1] = ACTIONS(177),
    [sym_keyword_nvarchar] = ACTIONS(179),
    [sym_keyword_text] = ACTIONS(139),
    [sym_keyword_string] = ACTIONS(139),
    [sym_keyword_uuid] = ACTIONS(139),
    [sym_keyword_json] = ACTIONS(139),
    [sym_keyword_jsonb] = ACTIONS(139),
    [sym_keyword_xml] = ACTIONS(139),
    [sym_keyword_bytea] = ACTIONS(139),
    [sym_keyword_enum] = ACTIONS(181),
    [sym_keyword_date] = ACTIONS(139),
    [sym_keyword_datetime] = ACTIONS(139),
    [sym_keyword_datetime2] = ACTIONS(139),
    [sym_keyword_smalldatetime] = ACTIONS(139),
    [sym_keyword_datetimeoffset] = ACTIONS(183),
    [sym_keyword_time] = ACTIONS(185),
    [sym_keyword_timestamp] = ACTIONS(187),
    [sym_keyword_timestamptz] = ACTIONS(139),
    [sym_keyword_interval] = ACTIONS(139),
    [sym_keyword_geometry] = ACTIONS(139),
    [sym_keyword_geography] = ACTIONS(139),
    [sym_keyword_box2d] = ACTIONS(139),
    [sym_keyword_box3d] = ACTIONS(139),
    [sym_keyword_oid] = ACTIONS(139),
    [sym_keyword_name] = ACTIONS(139),
    [sym_keyword_regclass] = ACTIONS(139),
    [sym_keyword_regnamespace] = ACTIONS(139),
    [sym_keyword_regproc] = ACTIONS(139),
    [sym_keyword_regtype] = ACTIONS(139),
    [aux_sym_double_token1] = ACTIONS(189),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(191),
    [aux_sym_identifier_token1] = ACTIONS(191),
  },
  [67] = {
    [sym_keyword_smallserial] = STATE(7120),
    [sym_keyword_serial] = STATE(7120),
    [sym_keyword_bigserial] = STATE(7120),
    [sym_keyword_tinyint] = STATE(1707),
    [sym_keyword_smallint] = STATE(1711),
    [sym_keyword_mediumint] = STATE(1712),
    [sym_keyword_int] = STATE(1714),
    [sym_keyword_bigint] = STATE(1717),
    [sym_keyword_real] = STATE(1744),
    [sym_keyword_char] = STATE(2284),
    [sym_keyword_varchar] = STATE(2290),
    [sym__type] = STATE(10159),
    [sym_tinyint] = STATE(7120),
    [sym_smallint] = STATE(7120),
    [sym_mediumint] = STATE(7120),
    [sym_int] = STATE(7120),
    [sym_bigint] = STATE(7120),
    [sym_bit] = STATE(7120),
    [sym_binary] = STATE(7120),
    [sym_varbinary] = STATE(7120),
    [sym_float] = STATE(7120),
    [sym_double] = STATE(7120),
    [sym_decimal] = STATE(7120),
    [sym_numeric] = STATE(7120),
    [sym_char] = STATE(7120),
    [sym_varchar] = STATE(7120),
    [sym_nchar] = STATE(7120),
    [sym_nvarchar] = STATE(7120),
    [sym_datetimeoffset] = STATE(7120),
    [sym_time] = STATE(7120),
    [sym_timestamp] = STATE(7120),
    [sym_enum] = STATE(7120),
    [sym_object_reference] = STATE(7127),
    [sym_identifier] = STATE(6414),
    [sym__identifier] = ACTIONS(51),
    [aux_sym_keyword_character_token1] = ACTIONS(53),
    [sym_keyword_unsigned] = ACTIONS(57),
    [sym_keyword_boolean] = ACTIONS(59),
    [sym_keyword_bit] = ACTIONS(61),
    [sym_keyword_binary] = ACTIONS(63),
    [sym_keyword_varbinary] = ACTIONS(65),
    [sym_keyword_image] = ACTIONS(59),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(67),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(67),
    [aux_sym_keyword_serial_token1] = ACTIONS(69),
    [aux_sym_keyword_serial_token2] = ACTIONS(69),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(71),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(71),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(73),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(73),
    [aux_sym_keyword_smallint_token1] = ACTIONS(75),
    [aux_sym_keyword_smallint_token2] = ACTIONS(75),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(77),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(77),
    [aux_sym_keyword_int_token1] = ACTIONS(79),
    [aux_sym_keyword_int_token2] = ACTIONS(79),
    [aux_sym_keyword_int_token3] = ACTIONS(79),
    [aux_sym_keyword_bigint_token1] = ACTIONS(81),
    [aux_sym_keyword_bigint_token2] = ACTIONS(81),
    [sym_keyword_decimal] = ACTIONS(83),
    [sym_keyword_numeric] = ACTIONS(85),
    [aux_sym_keyword_real_token1] = ACTIONS(87),
    [aux_sym_keyword_real_token2] = ACTIONS(87),
    [sym_keyword_float] = ACTIONS(89),
    [sym_keyword_double] = ACTIONS(91),
    [sym_keyword_inet] = ACTIONS(59),
    [sym_keyword_money] = ACTIONS(59),
    [sym_keyword_smallmoney] = ACTIONS(59),
    [aux_sym_keyword_char_token1] = ACTIONS(93),
    [sym_keyword_nchar] = ACTIONS(95),
    [aux_sym_keyword_varchar_token1] = ACTIONS(97),
    [sym_keyword_nvarchar] = ACTIONS(99),
    [sym_keyword_text] = ACTIONS(59),
    [sym_keyword_string] = ACTIONS(59),
    [sym_keyword_uuid] = ACTIONS(59),
    [sym_keyword_json] = ACTIONS(59),
    [sym_keyword_jsonb] = ACTIONS(59),
    [sym_keyword_xml] = ACTIONS(59),
    [sym_keyword_bytea] = ACTIONS(59),
    [sym_keyword_enum] = ACTIONS(101),
    [sym_keyword_date] = ACTIONS(59),
    [sym_keyword_datetime] = ACTIONS(59),
    [sym_keyword_datetime2] = ACTIONS(59),
    [sym_keyword_smalldatetime] = ACTIONS(59),
    [sym_keyword_datetimeoffset] = ACTIONS(103),
    [sym_keyword_time] = ACTIONS(105),
    [sym_keyword_timestamp] = ACTIONS(107),
    [sym_keyword_timestamptz] = ACTIONS(59),
    [sym_keyword_interval] = ACTIONS(59),
    [sym_keyword_geometry] = ACTIONS(59),
    [sym_keyword_geography] = ACTIONS(59),
    [sym_keyword_box2d] = ACTIONS(59),
    [sym_keyword_box3d] = ACTIONS(59),
    [sym_keyword_oid] = ACTIONS(59),
    [sym_keyword_name] = ACTIONS(59),
    [sym_keyword_regclass] = ACTIONS(59),
    [sym_keyword_regnamespace] = ACTIONS(59),
    [sym_keyword_regproc] = ACTIONS(59),
    [sym_keyword_regtype] = ACTIONS(59),
    [aux_sym_double_token1] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
  },
  [68] = {
    [sym_keyword_smallserial] = STATE(7120),
    [sym_keyword_serial] = STATE(7120),
    [sym_keyword_bigserial] = STATE(7120),
    [sym_keyword_tinyint] = STATE(1707),
    [sym_keyword_smallint] = STATE(1711),
    [sym_keyword_mediumint] = STATE(1712),
    [sym_keyword_int] = STATE(1714),
    [sym_keyword_bigint] = STATE(1717),
    [sym_keyword_real] = STATE(1744),
    [sym_keyword_char] = STATE(2284),
    [sym_keyword_varchar] = STATE(2290),
    [sym__type] = STATE(14491),
    [sym_tinyint] = STATE(7120),
    [sym_smallint] = STATE(7120),
    [sym_mediumint] = STATE(7120),
    [sym_int] = STATE(7120),
    [sym_bigint] = STATE(7120),
    [sym_bit] = STATE(7120),
    [sym_binary] = STATE(7120),
    [sym_varbinary] = STATE(7120),
    [sym_float] = STATE(7120),
    [sym_double] = STATE(7120),
    [sym_decimal] = STATE(7120),
    [sym_numeric] = STATE(7120),
    [sym_char] = STATE(7120),
    [sym_varchar] = STATE(7120),
    [sym_nchar] = STATE(7120),
    [sym_nvarchar] = STATE(7120),
    [sym_datetimeoffset] = STATE(7120),
    [sym_time] = STATE(7120),
    [sym_timestamp] = STATE(7120),
    [sym_enum] = STATE(7120),
    [sym_object_reference] = STATE(7127),
    [sym_identifier] = STATE(6414),
    [sym__identifier] = ACTIONS(51),
    [aux_sym_keyword_character_token1] = ACTIONS(53),
    [sym_keyword_unsigned] = ACTIONS(57),
    [sym_keyword_boolean] = ACTIONS(59),
    [sym_keyword_bit] = ACTIONS(61),
    [sym_keyword_binary] = ACTIONS(63),
    [sym_keyword_varbinary] = ACTIONS(65),
    [sym_keyword_image] = ACTIONS(59),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(67),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(67),
    [aux_sym_keyword_serial_token1] = ACTIONS(69),
    [aux_sym_keyword_serial_token2] = ACTIONS(69),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(71),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(71),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(73),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(73),
    [aux_sym_keyword_smallint_token1] = ACTIONS(75),
    [aux_sym_keyword_smallint_token2] = ACTIONS(75),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(77),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(77),
    [aux_sym_keyword_int_token1] = ACTIONS(79),
    [aux_sym_keyword_int_token2] = ACTIONS(79),
    [aux_sym_keyword_int_token3] = ACTIONS(79),
    [aux_sym_keyword_bigint_token1] = ACTIONS(81),
    [aux_sym_keyword_bigint_token2] = ACTIONS(81),
    [sym_keyword_decimal] = ACTIONS(83),
    [sym_keyword_numeric] = ACTIONS(85),
    [aux_sym_keyword_real_token1] = ACTIONS(87),
    [aux_sym_keyword_real_token2] = ACTIONS(87),
    [sym_keyword_float] = ACTIONS(89),
    [sym_keyword_double] = ACTIONS(91),
    [sym_keyword_inet] = ACTIONS(59),
    [sym_keyword_money] = ACTIONS(59),
    [sym_keyword_smallmoney] = ACTIONS(59),
    [aux_sym_keyword_char_token1] = ACTIONS(93),
    [sym_keyword_nchar] = ACTIONS(95),
    [aux_sym_keyword_varchar_token1] = ACTIONS(97),
    [sym_keyword_nvarchar] = ACTIONS(99),
    [sym_keyword_text] = ACTIONS(59),
    [sym_keyword_string] = ACTIONS(59),
    [sym_keyword_uuid] = ACTIONS(59),
    [sym_keyword_json] = ACTIONS(59),
    [sym_keyword_jsonb] = ACTIONS(59),
    [sym_keyword_xml] = ACTIONS(59),
    [sym_keyword_bytea] = ACTIONS(59),
    [sym_keyword_enum] = ACTIONS(101),
    [sym_keyword_date] = ACTIONS(59),
    [sym_keyword_datetime] = ACTIONS(59),
    [sym_keyword_datetime2] = ACTIONS(59),
    [sym_keyword_smalldatetime] = ACTIONS(59),
    [sym_keyword_datetimeoffset] = ACTIONS(103),
    [sym_keyword_time] = ACTIONS(105),
    [sym_keyword_timestamp] = ACTIONS(107),
    [sym_keyword_timestamptz] = ACTIONS(59),
    [sym_keyword_interval] = ACTIONS(59),
    [sym_keyword_geometry] = ACTIONS(59),
    [sym_keyword_geography] = ACTIONS(59),
    [sym_keyword_box2d] = ACTIONS(59),
    [sym_keyword_box3d] = ACTIONS(59),
    [sym_keyword_oid] = ACTIONS(59),
    [sym_keyword_name] = ACTIONS(59),
    [sym_keyword_regclass] = ACTIONS(59),
    [sym_keyword_regnamespace] = ACTIONS(59),
    [sym_keyword_regproc] = ACTIONS(59),
    [sym_keyword_regtype] = ACTIONS(59),
    [aux_sym_double_token1] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
  },
  [69] = {
    [sym_keyword_smallserial] = STATE(7120),
    [sym_keyword_serial] = STATE(7120),
    [sym_keyword_bigserial] = STATE(7120),
    [sym_keyword_tinyint] = STATE(1707),
    [sym_keyword_smallint] = STATE(1711),
    [sym_keyword_mediumint] = STATE(1712),
    [sym_keyword_int] = STATE(1714),
    [sym_keyword_bigint] = STATE(1717),
    [sym_keyword_real] = STATE(1744),
    [sym_keyword_char] = STATE(2284),
    [sym_keyword_varchar] = STATE(2290),
    [sym__type] = STATE(12944),
    [sym_tinyint] = STATE(7120),
    [sym_smallint] = STATE(7120),
    [sym_mediumint] = STATE(7120),
    [sym_int] = STATE(7120),
    [sym_bigint] = STATE(7120),
    [sym_bit] = STATE(7120),
    [sym_binary] = STATE(7120),
    [sym_varbinary] = STATE(7120),
    [sym_float] = STATE(7120),
    [sym_double] = STATE(7120),
    [sym_decimal] = STATE(7120),
    [sym_numeric] = STATE(7120),
    [sym_char] = STATE(7120),
    [sym_varchar] = STATE(7120),
    [sym_nchar] = STATE(7120),
    [sym_nvarchar] = STATE(7120),
    [sym_datetimeoffset] = STATE(7120),
    [sym_time] = STATE(7120),
    [sym_timestamp] = STATE(7120),
    [sym_enum] = STATE(7120),
    [sym_object_reference] = STATE(7127),
    [sym_identifier] = STATE(6414),
    [sym__identifier] = ACTIONS(51),
    [aux_sym_keyword_character_token1] = ACTIONS(53),
    [sym_keyword_unsigned] = ACTIONS(57),
    [sym_keyword_boolean] = ACTIONS(59),
    [sym_keyword_bit] = ACTIONS(61),
    [sym_keyword_binary] = ACTIONS(63),
    [sym_keyword_varbinary] = ACTIONS(65),
    [sym_keyword_image] = ACTIONS(59),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(67),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(67),
    [aux_sym_keyword_serial_token1] = ACTIONS(69),
    [aux_sym_keyword_serial_token2] = ACTIONS(69),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(71),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(71),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(73),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(73),
    [aux_sym_keyword_smallint_token1] = ACTIONS(75),
    [aux_sym_keyword_smallint_token2] = ACTIONS(75),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(77),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(77),
    [aux_sym_keyword_int_token1] = ACTIONS(79),
    [aux_sym_keyword_int_token2] = ACTIONS(79),
    [aux_sym_keyword_int_token3] = ACTIONS(79),
    [aux_sym_keyword_bigint_token1] = ACTIONS(81),
    [aux_sym_keyword_bigint_token2] = ACTIONS(81),
    [sym_keyword_decimal] = ACTIONS(83),
    [sym_keyword_numeric] = ACTIONS(85),
    [aux_sym_keyword_real_token1] = ACTIONS(87),
    [aux_sym_keyword_real_token2] = ACTIONS(87),
    [sym_keyword_float] = ACTIONS(89),
    [sym_keyword_double] = ACTIONS(91),
    [sym_keyword_inet] = ACTIONS(59),
    [sym_keyword_money] = ACTIONS(59),
    [sym_keyword_smallmoney] = ACTIONS(59),
    [aux_sym_keyword_char_token1] = ACTIONS(93),
    [sym_keyword_nchar] = ACTIONS(95),
    [aux_sym_keyword_varchar_token1] = ACTIONS(97),
    [sym_keyword_nvarchar] = ACTIONS(99),
    [sym_keyword_text] = ACTIONS(59),
    [sym_keyword_string] = ACTIONS(59),
    [sym_keyword_uuid] = ACTIONS(59),
    [sym_keyword_json] = ACTIONS(59),
    [sym_keyword_jsonb] = ACTIONS(59),
    [sym_keyword_xml] = ACTIONS(59),
    [sym_keyword_bytea] = ACTIONS(59),
    [sym_keyword_enum] = ACTIONS(101),
    [sym_keyword_date] = ACTIONS(59),
    [sym_keyword_datetime] = ACTIONS(59),
    [sym_keyword_datetime2] = ACTIONS(59),
    [sym_keyword_smalldatetime] = ACTIONS(59),
    [sym_keyword_datetimeoffset] = ACTIONS(103),
    [sym_keyword_time] = ACTIONS(105),
    [sym_keyword_timestamp] = ACTIONS(107),
    [sym_keyword_timestamptz] = ACTIONS(59),
    [sym_keyword_interval] = ACTIONS(59),
    [sym_keyword_geometry] = ACTIONS(59),
    [sym_keyword_geography] = ACTIONS(59),
    [sym_keyword_box2d] = ACTIONS(59),
    [sym_keyword_box3d] = ACTIONS(59),
    [sym_keyword_oid] = ACTIONS(59),
    [sym_keyword_name] = ACTIONS(59),
    [sym_keyword_regclass] = ACTIONS(59),
    [sym_keyword_regnamespace] = ACTIONS(59),
    [sym_keyword_regproc] = ACTIONS(59),
    [sym_keyword_regtype] = ACTIONS(59),
    [aux_sym_double_token1] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
  },
  [70] = {
    [sym_keyword_smallserial] = STATE(7120),
    [sym_keyword_serial] = STATE(7120),
    [sym_keyword_bigserial] = STATE(7120),
    [sym_keyword_tinyint] = STATE(1707),
    [sym_keyword_smallint] = STATE(1711),
    [sym_keyword_mediumint] = STATE(1712),
    [sym_keyword_int] = STATE(1714),
    [sym_keyword_bigint] = STATE(1717),
    [sym_keyword_real] = STATE(1744),
    [sym_keyword_char] = STATE(2284),
    [sym_keyword_varchar] = STATE(2290),
    [sym__type] = STATE(12337),
    [sym_tinyint] = STATE(7120),
    [sym_smallint] = STATE(7120),
    [sym_mediumint] = STATE(7120),
    [sym_int] = STATE(7120),
    [sym_bigint] = STATE(7120),
    [sym_bit] = STATE(7120),
    [sym_binary] = STATE(7120),
    [sym_varbinary] = STATE(7120),
    [sym_float] = STATE(7120),
    [sym_double] = STATE(7120),
    [sym_decimal] = STATE(7120),
    [sym_numeric] = STATE(7120),
    [sym_char] = STATE(7120),
    [sym_varchar] = STATE(7120),
    [sym_nchar] = STATE(7120),
    [sym_nvarchar] = STATE(7120),
    [sym_datetimeoffset] = STATE(7120),
    [sym_time] = STATE(7120),
    [sym_timestamp] = STATE(7120),
    [sym_enum] = STATE(7120),
    [sym_object_reference] = STATE(7127),
    [sym_identifier] = STATE(6414),
    [sym__identifier] = ACTIONS(51),
    [aux_sym_keyword_character_token1] = ACTIONS(53),
    [sym_keyword_unsigned] = ACTIONS(57),
    [sym_keyword_boolean] = ACTIONS(59),
    [sym_keyword_bit] = ACTIONS(61),
    [sym_keyword_binary] = ACTIONS(63),
    [sym_keyword_varbinary] = ACTIONS(65),
    [sym_keyword_image] = ACTIONS(59),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(67),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(67),
    [aux_sym_keyword_serial_token1] = ACTIONS(69),
    [aux_sym_keyword_serial_token2] = ACTIONS(69),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(71),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(71),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(73),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(73),
    [aux_sym_keyword_smallint_token1] = ACTIONS(75),
    [aux_sym_keyword_smallint_token2] = ACTIONS(75),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(77),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(77),
    [aux_sym_keyword_int_token1] = ACTIONS(79),
    [aux_sym_keyword_int_token2] = ACTIONS(79),
    [aux_sym_keyword_int_token3] = ACTIONS(79),
    [aux_sym_keyword_bigint_token1] = ACTIONS(81),
    [aux_sym_keyword_bigint_token2] = ACTIONS(81),
    [sym_keyword_decimal] = ACTIONS(83),
    [sym_keyword_numeric] = ACTIONS(85),
    [aux_sym_keyword_real_token1] = ACTIONS(87),
    [aux_sym_keyword_real_token2] = ACTIONS(87),
    [sym_keyword_float] = ACTIONS(89),
    [sym_keyword_double] = ACTIONS(91),
    [sym_keyword_inet] = ACTIONS(59),
    [sym_keyword_money] = ACTIONS(59),
    [sym_keyword_smallmoney] = ACTIONS(59),
    [aux_sym_keyword_char_token1] = ACTIONS(93),
    [sym_keyword_nchar] = ACTIONS(95),
    [aux_sym_keyword_varchar_token1] = ACTIONS(97),
    [sym_keyword_nvarchar] = ACTIONS(99),
    [sym_keyword_text] = ACTIONS(59),
    [sym_keyword_string] = ACTIONS(59),
    [sym_keyword_uuid] = ACTIONS(59),
    [sym_keyword_json] = ACTIONS(59),
    [sym_keyword_jsonb] = ACTIONS(59),
    [sym_keyword_xml] = ACTIONS(59),
    [sym_keyword_bytea] = ACTIONS(59),
    [sym_keyword_enum] = ACTIONS(101),
    [sym_keyword_date] = ACTIONS(59),
    [sym_keyword_datetime] = ACTIONS(59),
    [sym_keyword_datetime2] = ACTIONS(59),
    [sym_keyword_smalldatetime] = ACTIONS(59),
    [sym_keyword_datetimeoffset] = ACTIONS(103),
    [sym_keyword_time] = ACTIONS(105),
    [sym_keyword_timestamp] = ACTIONS(107),
    [sym_keyword_timestamptz] = ACTIONS(59),
    [sym_keyword_interval] = ACTIONS(59),
    [sym_keyword_geometry] = ACTIONS(59),
    [sym_keyword_geography] = ACTIONS(59),
    [sym_keyword_box2d] = ACTIONS(59),
    [sym_keyword_box3d] = ACTIONS(59),
    [sym_keyword_oid] = ACTIONS(59),
    [sym_keyword_name] = ACTIONS(59),
    [sym_keyword_regclass] = ACTIONS(59),
    [sym_keyword_regnamespace] = ACTIONS(59),
    [sym_keyword_regproc] = ACTIONS(59),
    [sym_keyword_regtype] = ACTIONS(59),
    [aux_sym_double_token1] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
  },
  [71] = {
    [sym_keyword_smallserial] = STATE(7120),
    [sym_keyword_serial] = STATE(7120),
    [sym_keyword_bigserial] = STATE(7120),
    [sym_keyword_tinyint] = STATE(1707),
    [sym_keyword_smallint] = STATE(1711),
    [sym_keyword_mediumint] = STATE(1712),
    [sym_keyword_int] = STATE(1714),
    [sym_keyword_bigint] = STATE(1717),
    [sym_keyword_real] = STATE(1744),
    [sym_keyword_char] = STATE(2284),
    [sym_keyword_varchar] = STATE(2290),
    [sym__type] = STATE(8154),
    [sym_tinyint] = STATE(7120),
    [sym_smallint] = STATE(7120),
    [sym_mediumint] = STATE(7120),
    [sym_int] = STATE(7120),
    [sym_bigint] = STATE(7120),
    [sym_bit] = STATE(7120),
    [sym_binary] = STATE(7120),
    [sym_varbinary] = STATE(7120),
    [sym_float] = STATE(7120),
    [sym_double] = STATE(7120),
    [sym_decimal] = STATE(7120),
    [sym_numeric] = STATE(7120),
    [sym_char] = STATE(7120),
    [sym_varchar] = STATE(7120),
    [sym_nchar] = STATE(7120),
    [sym_nvarchar] = STATE(7120),
    [sym_datetimeoffset] = STATE(7120),
    [sym_time] = STATE(7120),
    [sym_timestamp] = STATE(7120),
    [sym_enum] = STATE(7120),
    [sym_object_reference] = STATE(7127),
    [sym_identifier] = STATE(6414),
    [sym__identifier] = ACTIONS(51),
    [aux_sym_keyword_character_token1] = ACTIONS(53),
    [sym_keyword_unsigned] = ACTIONS(57),
    [sym_keyword_boolean] = ACTIONS(59),
    [sym_keyword_bit] = ACTIONS(61),
    [sym_keyword_binary] = ACTIONS(63),
    [sym_keyword_varbinary] = ACTIONS(65),
    [sym_keyword_image] = ACTIONS(59),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(67),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(67),
    [aux_sym_keyword_serial_token1] = ACTIONS(69),
    [aux_sym_keyword_serial_token2] = ACTIONS(69),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(71),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(71),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(73),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(73),
    [aux_sym_keyword_smallint_token1] = ACTIONS(75),
    [aux_sym_keyword_smallint_token2] = ACTIONS(75),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(77),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(77),
    [aux_sym_keyword_int_token1] = ACTIONS(79),
    [aux_sym_keyword_int_token2] = ACTIONS(79),
    [aux_sym_keyword_int_token3] = ACTIONS(79),
    [aux_sym_keyword_bigint_token1] = ACTIONS(81),
    [aux_sym_keyword_bigint_token2] = ACTIONS(81),
    [sym_keyword_decimal] = ACTIONS(83),
    [sym_keyword_numeric] = ACTIONS(85),
    [aux_sym_keyword_real_token1] = ACTIONS(87),
    [aux_sym_keyword_real_token2] = ACTIONS(87),
    [sym_keyword_float] = ACTIONS(89),
    [sym_keyword_double] = ACTIONS(91),
    [sym_keyword_inet] = ACTIONS(59),
    [sym_keyword_money] = ACTIONS(59),
    [sym_keyword_smallmoney] = ACTIONS(59),
    [aux_sym_keyword_char_token1] = ACTIONS(93),
    [sym_keyword_nchar] = ACTIONS(95),
    [aux_sym_keyword_varchar_token1] = ACTIONS(97),
    [sym_keyword_nvarchar] = ACTIONS(99),
    [sym_keyword_text] = ACTIONS(59),
    [sym_keyword_string] = ACTIONS(59),
    [sym_keyword_uuid] = ACTIONS(59),
    [sym_keyword_json] = ACTIONS(59),
    [sym_keyword_jsonb] = ACTIONS(59),
    [sym_keyword_xml] = ACTIONS(59),
    [sym_keyword_bytea] = ACTIONS(59),
    [sym_keyword_enum] = ACTIONS(101),
    [sym_keyword_date] = ACTIONS(59),
    [sym_keyword_datetime] = ACTIONS(59),
    [sym_keyword_datetime2] = ACTIONS(59),
    [sym_keyword_smalldatetime] = ACTIONS(59),
    [sym_keyword_datetimeoffset] = ACTIONS(103),
    [sym_keyword_time] = ACTIONS(105),
    [sym_keyword_timestamp] = ACTIONS(107),
    [sym_keyword_timestamptz] = ACTIONS(59),
    [sym_keyword_interval] = ACTIONS(59),
    [sym_keyword_geometry] = ACTIONS(59),
    [sym_keyword_geography] = ACTIONS(59),
    [sym_keyword_box2d] = ACTIONS(59),
    [sym_keyword_box3d] = ACTIONS(59),
    [sym_keyword_oid] = ACTIONS(59),
    [sym_keyword_name] = ACTIONS(59),
    [sym_keyword_regclass] = ACTIONS(59),
    [sym_keyword_regnamespace] = ACTIONS(59),
    [sym_keyword_regproc] = ACTIONS(59),
    [sym_keyword_regtype] = ACTIONS(59),
    [aux_sym_double_token1] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
  },
  [72] = {
    [sym_keyword_smallserial] = STATE(5106),
    [sym_keyword_serial] = STATE(5106),
    [sym_keyword_bigserial] = STATE(5106),
    [sym_keyword_tinyint] = STATE(5155),
    [sym_keyword_smallint] = STATE(5159),
    [sym_keyword_mediumint] = STATE(5189),
    [sym_keyword_int] = STATE(5190),
    [sym_keyword_bigint] = STATE(5191),
    [sym_keyword_real] = STATE(5192),
    [sym_keyword_char] = STATE(5938),
    [sym_keyword_varchar] = STATE(6033),
    [sym__type] = STATE(6460),
    [sym_tinyint] = STATE(5106),
    [sym_smallint] = STATE(5106),
    [sym_mediumint] = STATE(5106),
    [sym_int] = STATE(5106),
    [sym_bigint] = STATE(5106),
    [sym_bit] = STATE(5106),
    [sym_binary] = STATE(5106),
    [sym_varbinary] = STATE(5106),
    [sym_float] = STATE(5106),
    [sym_double] = STATE(5106),
    [sym_decimal] = STATE(5106),
    [sym_numeric] = STATE(5106),
    [sym_char] = STATE(5106),
    [sym_varchar] = STATE(5106),
    [sym_nchar] = STATE(5106),
    [sym_nvarchar] = STATE(5106),
    [sym_datetimeoffset] = STATE(5106),
    [sym_time] = STATE(5106),
    [sym_timestamp] = STATE(5106),
    [sym_enum] = STATE(5106),
    [sym_object_reference] = STATE(5203),
    [sym_identifier] = STATE(6812),
    [sym__identifier] = ACTIONS(127),
    [aux_sym_keyword_character_token1] = ACTIONS(131),
    [sym_keyword_unsigned] = ACTIONS(133),
    [sym_keyword_boolean] = ACTIONS(139),
    [sym_keyword_bit] = ACTIONS(141),
    [sym_keyword_binary] = ACTIONS(143),
    [sym_keyword_varbinary] = ACTIONS(145),
    [sym_keyword_image] = ACTIONS(139),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(147),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(147),
    [aux_sym_keyword_serial_token1] = ACTIONS(149),
    [aux_sym_keyword_serial_token2] = ACTIONS(149),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(151),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(151),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(153),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(153),
    [aux_sym_keyword_smallint_token1] = ACTIONS(155),
    [aux_sym_keyword_smallint_token2] = ACTIONS(155),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(157),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(157),
    [aux_sym_keyword_int_token1] = ACTIONS(159),
    [aux_sym_keyword_int_token2] = ACTIONS(159),
    [aux_sym_keyword_int_token3] = ACTIONS(159),
    [aux_sym_keyword_bigint_token1] = ACTIONS(161),
    [aux_sym_keyword_bigint_token2] = ACTIONS(161),
    [sym_keyword_decimal] = ACTIONS(163),
    [sym_keyword_numeric] = ACTIONS(165),
    [aux_sym_keyword_real_token1] = ACTIONS(167),
    [aux_sym_keyword_real_token2] = ACTIONS(167),
    [sym_keyword_float] = ACTIONS(169),
    [sym_keyword_double] = ACTIONS(171),
    [sym_keyword_inet] = ACTIONS(139),
    [sym_keyword_money] = ACTIONS(139),
    [sym_keyword_smallmoney] = ACTIONS(139),
    [aux_sym_keyword_char_token1] = ACTIONS(173),
    [sym_keyword_nchar] = ACTIONS(175),
    [aux_sym_keyword_varchar_token1] = ACTIONS(177),
    [sym_keyword_nvarchar] = ACTIONS(179),
    [sym_keyword_text] = ACTIONS(139),
    [sym_keyword_string] = ACTIONS(139),
    [sym_keyword_uuid] = ACTIONS(139),
    [sym_keyword_json] = ACTIONS(139),
    [sym_keyword_jsonb] = ACTIONS(139),
    [sym_keyword_xml] = ACTIONS(139),
    [sym_keyword_bytea] = ACTIONS(139),
    [sym_keyword_enum] = ACTIONS(181),
    [sym_keyword_date] = ACTIONS(139),
    [sym_keyword_datetime] = ACTIONS(139),
    [sym_keyword_datetime2] = ACTIONS(139),
    [sym_keyword_smalldatetime] = ACTIONS(139),
    [sym_keyword_datetimeoffset] = ACTIONS(183),
    [sym_keyword_time] = ACTIONS(185),
    [sym_keyword_timestamp] = ACTIONS(187),
    [sym_keyword_timestamptz] = ACTIONS(139),
    [sym_keyword_interval] = ACTIONS(139),
    [sym_keyword_geometry] = ACTIONS(139),
    [sym_keyword_geography] = ACTIONS(139),
    [sym_keyword_box2d] = ACTIONS(139),
    [sym_keyword_box3d] = ACTIONS(139),
    [sym_keyword_oid] = ACTIONS(139),
    [sym_keyword_name] = ACTIONS(139),
    [sym_keyword_regclass] = ACTIONS(139),
    [sym_keyword_regnamespace] = ACTIONS(139),
    [sym_keyword_regproc] = ACTIONS(139),
    [sym_keyword_regtype] = ACTIONS(139),
    [aux_sym_double_token1] = ACTIONS(189),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(191),
    [aux_sym_identifier_token1] = ACTIONS(191),
  },
  [73] = {
    [sym_keyword_smallserial] = STATE(7120),
    [sym_keyword_serial] = STATE(7120),
    [sym_keyword_bigserial] = STATE(7120),
    [sym_keyword_tinyint] = STATE(1707),
    [sym_keyword_smallint] = STATE(1711),
    [sym_keyword_mediumint] = STATE(1712),
    [sym_keyword_int] = STATE(1714),
    [sym_keyword_bigint] = STATE(1717),
    [sym_keyword_real] = STATE(1744),
    [sym_keyword_char] = STATE(2284),
    [sym_keyword_varchar] = STATE(2290),
    [sym__type] = STATE(12527),
    [sym_tinyint] = STATE(7120),
    [sym_smallint] = STATE(7120),
    [sym_mediumint] = STATE(7120),
    [sym_int] = STATE(7120),
    [sym_bigint] = STATE(7120),
    [sym_bit] = STATE(7120),
    [sym_binary] = STATE(7120),
    [sym_varbinary] = STATE(7120),
    [sym_float] = STATE(7120),
    [sym_double] = STATE(7120),
    [sym_decimal] = STATE(7120),
    [sym_numeric] = STATE(7120),
    [sym_char] = STATE(7120),
    [sym_varchar] = STATE(7120),
    [sym_nchar] = STATE(7120),
    [sym_nvarchar] = STATE(7120),
    [sym_datetimeoffset] = STATE(7120),
    [sym_time] = STATE(7120),
    [sym_timestamp] = STATE(7120),
    [sym_enum] = STATE(7120),
    [sym_object_reference] = STATE(7127),
    [sym_identifier] = STATE(6414),
    [sym__identifier] = ACTIONS(51),
    [aux_sym_keyword_character_token1] = ACTIONS(53),
    [sym_keyword_unsigned] = ACTIONS(57),
    [sym_keyword_boolean] = ACTIONS(59),
    [sym_keyword_bit] = ACTIONS(61),
    [sym_keyword_binary] = ACTIONS(63),
    [sym_keyword_varbinary] = ACTIONS(65),
    [sym_keyword_image] = ACTIONS(59),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(67),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(67),
    [aux_sym_keyword_serial_token1] = ACTIONS(69),
    [aux_sym_keyword_serial_token2] = ACTIONS(69),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(71),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(71),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(73),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(73),
    [aux_sym_keyword_smallint_token1] = ACTIONS(75),
    [aux_sym_keyword_smallint_token2] = ACTIONS(75),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(77),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(77),
    [aux_sym_keyword_int_token1] = ACTIONS(79),
    [aux_sym_keyword_int_token2] = ACTIONS(79),
    [aux_sym_keyword_int_token3] = ACTIONS(79),
    [aux_sym_keyword_bigint_token1] = ACTIONS(81),
    [aux_sym_keyword_bigint_token2] = ACTIONS(81),
    [sym_keyword_decimal] = ACTIONS(83),
    [sym_keyword_numeric] = ACTIONS(85),
    [aux_sym_keyword_real_token1] = ACTIONS(87),
    [aux_sym_keyword_real_token2] = ACTIONS(87),
    [sym_keyword_float] = ACTIONS(89),
    [sym_keyword_double] = ACTIONS(91),
    [sym_keyword_inet] = ACTIONS(59),
    [sym_keyword_money] = ACTIONS(59),
    [sym_keyword_smallmoney] = ACTIONS(59),
    [aux_sym_keyword_char_token1] = ACTIONS(93),
    [sym_keyword_nchar] = ACTIONS(95),
    [aux_sym_keyword_varchar_token1] = ACTIONS(97),
    [sym_keyword_nvarchar] = ACTIONS(99),
    [sym_keyword_text] = ACTIONS(59),
    [sym_keyword_string] = ACTIONS(59),
    [sym_keyword_uuid] = ACTIONS(59),
    [sym_keyword_json] = ACTIONS(59),
    [sym_keyword_jsonb] = ACTIONS(59),
    [sym_keyword_xml] = ACTIONS(59),
    [sym_keyword_bytea] = ACTIONS(59),
    [sym_keyword_enum] = ACTIONS(101),
    [sym_keyword_date] = ACTIONS(59),
    [sym_keyword_datetime] = ACTIONS(59),
    [sym_keyword_datetime2] = ACTIONS(59),
    [sym_keyword_smalldatetime] = ACTIONS(59),
    [sym_keyword_datetimeoffset] = ACTIONS(103),
    [sym_keyword_time] = ACTIONS(105),
    [sym_keyword_timestamp] = ACTIONS(107),
    [sym_keyword_timestamptz] = ACTIONS(59),
    [sym_keyword_interval] = ACTIONS(59),
    [sym_keyword_geometry] = ACTIONS(59),
    [sym_keyword_geography] = ACTIONS(59),
    [sym_keyword_box2d] = ACTIONS(59),
    [sym_keyword_box3d] = ACTIONS(59),
    [sym_keyword_oid] = ACTIONS(59),
    [sym_keyword_name] = ACTIONS(59),
    [sym_keyword_regclass] = ACTIONS(59),
    [sym_keyword_regnamespace] = ACTIONS(59),
    [sym_keyword_regproc] = ACTIONS(59),
    [sym_keyword_regtype] = ACTIONS(59),
    [aux_sym_double_token1] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
  },
  [74] = {
    [sym_keyword_smallserial] = STATE(2776),
    [sym_keyword_serial] = STATE(2776),
    [sym_keyword_bigserial] = STATE(2776),
    [sym_keyword_tinyint] = STATE(2825),
    [sym_keyword_smallint] = STATE(2824),
    [sym_keyword_mediumint] = STATE(2821),
    [sym_keyword_int] = STATE(2819),
    [sym_keyword_bigint] = STATE(2818),
    [sym_keyword_real] = STATE(2814),
    [sym_keyword_char] = STATE(3411),
    [sym_keyword_varchar] = STATE(3412),
    [sym__type] = STATE(4154),
    [sym_tinyint] = STATE(2776),
    [sym_smallint] = STATE(2776),
    [sym_mediumint] = STATE(2776),
    [sym_int] = STATE(2776),
    [sym_bigint] = STATE(2776),
    [sym_bit] = STATE(2776),
    [sym_binary] = STATE(2776),
    [sym_varbinary] = STATE(2776),
    [sym_float] = STATE(2776),
    [sym_double] = STATE(2776),
    [sym_decimal] = STATE(2776),
    [sym_numeric] = STATE(2776),
    [sym_char] = STATE(2776),
    [sym_varchar] = STATE(2776),
    [sym_nchar] = STATE(2776),
    [sym_nvarchar] = STATE(2776),
    [sym_datetimeoffset] = STATE(2776),
    [sym_time] = STATE(2776),
    [sym_timestamp] = STATE(2776),
    [sym_enum] = STATE(2776),
    [sym_object_reference] = STATE(2775),
    [sym_identifier] = STATE(3284),
    [sym__identifier] = ACTIONS(1141),
    [aux_sym_keyword_character_token1] = ACTIONS(1143),
    [sym_keyword_unsigned] = ACTIONS(1145),
    [sym_keyword_boolean] = ACTIONS(1147),
    [sym_keyword_bit] = ACTIONS(1149),
    [sym_keyword_binary] = ACTIONS(1151),
    [sym_keyword_varbinary] = ACTIONS(1153),
    [sym_keyword_image] = ACTIONS(1147),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1155),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1155),
    [aux_sym_keyword_serial_token1] = ACTIONS(1157),
    [aux_sym_keyword_serial_token2] = ACTIONS(1157),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1159),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1159),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1161),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1161),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1163),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1163),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1165),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1165),
    [aux_sym_keyword_int_token1] = ACTIONS(1167),
    [aux_sym_keyword_int_token2] = ACTIONS(1167),
    [aux_sym_keyword_int_token3] = ACTIONS(1167),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1169),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1169),
    [sym_keyword_decimal] = ACTIONS(1171),
    [sym_keyword_numeric] = ACTIONS(1173),
    [aux_sym_keyword_real_token1] = ACTIONS(1175),
    [aux_sym_keyword_real_token2] = ACTIONS(1175),
    [sym_keyword_float] = ACTIONS(1177),
    [sym_keyword_double] = ACTIONS(1179),
    [sym_keyword_inet] = ACTIONS(1147),
    [sym_keyword_money] = ACTIONS(1147),
    [sym_keyword_smallmoney] = ACTIONS(1147),
    [aux_sym_keyword_char_token1] = ACTIONS(1181),
    [sym_keyword_nchar] = ACTIONS(1183),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1185),
    [sym_keyword_nvarchar] = ACTIONS(1187),
    [sym_keyword_text] = ACTIONS(1147),
    [sym_keyword_string] = ACTIONS(1147),
    [sym_keyword_uuid] = ACTIONS(1147),
    [sym_keyword_json] = ACTIONS(1147),
    [sym_keyword_jsonb] = ACTIONS(1147),
    [sym_keyword_xml] = ACTIONS(1147),
    [sym_keyword_bytea] = ACTIONS(1147),
    [sym_keyword_enum] = ACTIONS(1189),
    [sym_keyword_date] = ACTIONS(1147),
    [sym_keyword_datetime] = ACTIONS(1147),
    [sym_keyword_datetime2] = ACTIONS(1147),
    [sym_keyword_smalldatetime] = ACTIONS(1147),
    [sym_keyword_datetimeoffset] = ACTIONS(1191),
    [sym_keyword_time] = ACTIONS(1273),
    [sym_keyword_timestamp] = ACTIONS(1275),
    [sym_keyword_timestamptz] = ACTIONS(1147),
    [sym_keyword_interval] = ACTIONS(1147),
    [sym_keyword_geometry] = ACTIONS(1147),
    [sym_keyword_geography] = ACTIONS(1147),
    [sym_keyword_box2d] = ACTIONS(1147),
    [sym_keyword_box3d] = ACTIONS(1147),
    [sym_keyword_oid] = ACTIONS(1147),
    [sym_keyword_name] = ACTIONS(1147),
    [sym_keyword_regclass] = ACTIONS(1147),
    [sym_keyword_regnamespace] = ACTIONS(1147),
    [sym_keyword_regproc] = ACTIONS(1147),
    [sym_keyword_regtype] = ACTIONS(1147),
    [aux_sym_double_token1] = ACTIONS(1197),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(1199),
    [aux_sym_identifier_token1] = ACTIONS(1199),
  },
  [75] = {
    [sym_keyword_smallserial] = STATE(7120),
    [sym_keyword_serial] = STATE(7120),
    [sym_keyword_bigserial] = STATE(7120),
    [sym_keyword_tinyint] = STATE(1707),
    [sym_keyword_smallint] = STATE(1711),
    [sym_keyword_mediumint] = STATE(1712),
    [sym_keyword_int] = STATE(1714),
    [sym_keyword_bigint] = STATE(1717),
    [sym_keyword_real] = STATE(1744),
    [sym_keyword_char] = STATE(2284),
    [sym_keyword_varchar] = STATE(2290),
    [sym__type] = STATE(8285),
    [sym_tinyint] = STATE(7120),
    [sym_smallint] = STATE(7120),
    [sym_mediumint] = STATE(7120),
    [sym_int] = STATE(7120),
    [sym_bigint] = STATE(7120),
    [sym_bit] = STATE(7120),
    [sym_binary] = STATE(7120),
    [sym_varbinary] = STATE(7120),
    [sym_float] = STATE(7120),
    [sym_double] = STATE(7120),
    [sym_decimal] = STATE(7120),
    [sym_numeric] = STATE(7120),
    [sym_char] = STATE(7120),
    [sym_varchar] = STATE(7120),
    [sym_nchar] = STATE(7120),
    [sym_nvarchar] = STATE(7120),
    [sym_datetimeoffset] = STATE(7120),
    [sym_time] = STATE(7120),
    [sym_timestamp] = STATE(7120),
    [sym_enum] = STATE(7120),
    [sym_object_reference] = STATE(7127),
    [sym_identifier] = STATE(6414),
    [sym__identifier] = ACTIONS(51),
    [aux_sym_keyword_character_token1] = ACTIONS(53),
    [sym_keyword_unsigned] = ACTIONS(57),
    [sym_keyword_boolean] = ACTIONS(59),
    [sym_keyword_bit] = ACTIONS(61),
    [sym_keyword_binary] = ACTIONS(63),
    [sym_keyword_varbinary] = ACTIONS(65),
    [sym_keyword_image] = ACTIONS(59),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(67),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(67),
    [aux_sym_keyword_serial_token1] = ACTIONS(69),
    [aux_sym_keyword_serial_token2] = ACTIONS(69),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(71),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(71),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(73),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(73),
    [aux_sym_keyword_smallint_token1] = ACTIONS(75),
    [aux_sym_keyword_smallint_token2] = ACTIONS(75),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(77),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(77),
    [aux_sym_keyword_int_token1] = ACTIONS(79),
    [aux_sym_keyword_int_token2] = ACTIONS(79),
    [aux_sym_keyword_int_token3] = ACTIONS(79),
    [aux_sym_keyword_bigint_token1] = ACTIONS(81),
    [aux_sym_keyword_bigint_token2] = ACTIONS(81),
    [sym_keyword_decimal] = ACTIONS(83),
    [sym_keyword_numeric] = ACTIONS(85),
    [aux_sym_keyword_real_token1] = ACTIONS(87),
    [aux_sym_keyword_real_token2] = ACTIONS(87),
    [sym_keyword_float] = ACTIONS(89),
    [sym_keyword_double] = ACTIONS(91),
    [sym_keyword_inet] = ACTIONS(59),
    [sym_keyword_money] = ACTIONS(59),
    [sym_keyword_smallmoney] = ACTIONS(59),
    [aux_sym_keyword_char_token1] = ACTIONS(93),
    [sym_keyword_nchar] = ACTIONS(95),
    [aux_sym_keyword_varchar_token1] = ACTIONS(97),
    [sym_keyword_nvarchar] = ACTIONS(99),
    [sym_keyword_text] = ACTIONS(59),
    [sym_keyword_string] = ACTIONS(59),
    [sym_keyword_uuid] = ACTIONS(59),
    [sym_keyword_json] = ACTIONS(59),
    [sym_keyword_jsonb] = ACTIONS(59),
    [sym_keyword_xml] = ACTIONS(59),
    [sym_keyword_bytea] = ACTIONS(59),
    [sym_keyword_enum] = ACTIONS(101),
    [sym_keyword_date] = ACTIONS(59),
    [sym_keyword_datetime] = ACTIONS(59),
    [sym_keyword_datetime2] = ACTIONS(59),
    [sym_keyword_smalldatetime] = ACTIONS(59),
    [sym_keyword_datetimeoffset] = ACTIONS(103),
    [sym_keyword_time] = ACTIONS(105),
    [sym_keyword_timestamp] = ACTIONS(107),
    [sym_keyword_timestamptz] = ACTIONS(59),
    [sym_keyword_interval] = ACTIONS(59),
    [sym_keyword_geometry] = ACTIONS(59),
    [sym_keyword_geography] = ACTIONS(59),
    [sym_keyword_box2d] = ACTIONS(59),
    [sym_keyword_box3d] = ACTIONS(59),
    [sym_keyword_oid] = ACTIONS(59),
    [sym_keyword_name] = ACTIONS(59),
    [sym_keyword_regclass] = ACTIONS(59),
    [sym_keyword_regnamespace] = ACTIONS(59),
    [sym_keyword_regproc] = ACTIONS(59),
    [sym_keyword_regtype] = ACTIONS(59),
    [aux_sym_double_token1] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
  },
  [76] = {
    [sym_keyword_smallserial] = STATE(2743),
    [sym_keyword_serial] = STATE(2743),
    [sym_keyword_bigserial] = STATE(2743),
    [sym_keyword_tinyint] = STATE(1707),
    [sym_keyword_smallint] = STATE(1711),
    [sym_keyword_mediumint] = STATE(1712),
    [sym_keyword_int] = STATE(1714),
    [sym_keyword_bigint] = STATE(1717),
    [sym_keyword_real] = STATE(1744),
    [sym_keyword_char] = STATE(2284),
    [sym_keyword_varchar] = STATE(2290),
    [sym__type] = STATE(4323),
    [sym_tinyint] = STATE(2743),
    [sym_smallint] = STATE(2743),
    [sym_mediumint] = STATE(2743),
    [sym_int] = STATE(2743),
    [sym_bigint] = STATE(2743),
    [sym_bit] = STATE(2743),
    [sym_binary] = STATE(2743),
    [sym_varbinary] = STATE(2743),
    [sym_float] = STATE(2743),
    [sym_double] = STATE(2743),
    [sym_decimal] = STATE(2743),
    [sym_numeric] = STATE(2743),
    [sym_char] = STATE(2743),
    [sym_varchar] = STATE(2743),
    [sym_nchar] = STATE(2743),
    [sym_nvarchar] = STATE(2743),
    [sym_datetimeoffset] = STATE(2743),
    [sym_time] = STATE(2743),
    [sym_timestamp] = STATE(2743),
    [sym_enum] = STATE(2743),
    [sym_object_reference] = STATE(2755),
    [sym_identifier] = STATE(3344),
    [sym__identifier] = ACTIONS(401),
    [aux_sym_keyword_character_token1] = ACTIONS(53),
    [sym_keyword_unsigned] = ACTIONS(57),
    [sym_keyword_boolean] = ACTIONS(403),
    [sym_keyword_bit] = ACTIONS(61),
    [sym_keyword_binary] = ACTIONS(63),
    [sym_keyword_varbinary] = ACTIONS(65),
    [sym_keyword_image] = ACTIONS(403),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(67),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(67),
    [aux_sym_keyword_serial_token1] = ACTIONS(69),
    [aux_sym_keyword_serial_token2] = ACTIONS(69),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(71),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(71),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(73),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(73),
    [aux_sym_keyword_smallint_token1] = ACTIONS(75),
    [aux_sym_keyword_smallint_token2] = ACTIONS(75),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(77),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(77),
    [aux_sym_keyword_int_token1] = ACTIONS(79),
    [aux_sym_keyword_int_token2] = ACTIONS(79),
    [aux_sym_keyword_int_token3] = ACTIONS(79),
    [aux_sym_keyword_bigint_token1] = ACTIONS(81),
    [aux_sym_keyword_bigint_token2] = ACTIONS(81),
    [sym_keyword_decimal] = ACTIONS(83),
    [sym_keyword_numeric] = ACTIONS(85),
    [aux_sym_keyword_real_token1] = ACTIONS(87),
    [aux_sym_keyword_real_token2] = ACTIONS(87),
    [sym_keyword_float] = ACTIONS(89),
    [sym_keyword_double] = ACTIONS(91),
    [sym_keyword_inet] = ACTIONS(403),
    [sym_keyword_money] = ACTIONS(403),
    [sym_keyword_smallmoney] = ACTIONS(403),
    [aux_sym_keyword_char_token1] = ACTIONS(93),
    [sym_keyword_nchar] = ACTIONS(95),
    [aux_sym_keyword_varchar_token1] = ACTIONS(97),
    [sym_keyword_nvarchar] = ACTIONS(99),
    [sym_keyword_text] = ACTIONS(403),
    [sym_keyword_string] = ACTIONS(403),
    [sym_keyword_uuid] = ACTIONS(403),
    [sym_keyword_json] = ACTIONS(403),
    [sym_keyword_jsonb] = ACTIONS(403),
    [sym_keyword_xml] = ACTIONS(403),
    [sym_keyword_bytea] = ACTIONS(403),
    [sym_keyword_enum] = ACTIONS(101),
    [sym_keyword_date] = ACTIONS(403),
    [sym_keyword_datetime] = ACTIONS(403),
    [sym_keyword_datetime2] = ACTIONS(403),
    [sym_keyword_smalldatetime] = ACTIONS(403),
    [sym_keyword_datetimeoffset] = ACTIONS(103),
    [sym_keyword_time] = ACTIONS(1277),
    [sym_keyword_timestamp] = ACTIONS(1279),
    [sym_keyword_timestamptz] = ACTIONS(403),
    [sym_keyword_interval] = ACTIONS(403),
    [sym_keyword_geometry] = ACTIONS(403),
    [sym_keyword_geography] = ACTIONS(403),
    [sym_keyword_box2d] = ACTIONS(403),
    [sym_keyword_box3d] = ACTIONS(403),
    [sym_keyword_oid] = ACTIONS(403),
    [sym_keyword_name] = ACTIONS(403),
    [sym_keyword_regclass] = ACTIONS(403),
    [sym_keyword_regnamespace] = ACTIONS(403),
    [sym_keyword_regproc] = ACTIONS(403),
    [sym_keyword_regtype] = ACTIONS(403),
    [aux_sym_double_token1] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(405),
    [aux_sym_identifier_token1] = ACTIONS(405),
  },
  [77] = {
    [sym_keyword_smallserial] = STATE(1019),
    [sym_keyword_serial] = STATE(1019),
    [sym_keyword_bigserial] = STATE(1019),
    [sym_keyword_tinyint] = STATE(977),
    [sym_keyword_smallint] = STATE(979),
    [sym_keyword_mediumint] = STATE(1069),
    [sym_keyword_int] = STATE(987),
    [sym_keyword_bigint] = STATE(988),
    [sym_keyword_real] = STATE(991),
    [sym_keyword_char] = STATE(2072),
    [sym_keyword_varchar] = STATE(2071),
    [sym__type] = STATE(2414),
    [sym_tinyint] = STATE(1019),
    [sym_smallint] = STATE(1019),
    [sym_mediumint] = STATE(1019),
    [sym_int] = STATE(1019),
    [sym_bigint] = STATE(1019),
    [sym_bit] = STATE(1019),
    [sym_binary] = STATE(1019),
    [sym_varbinary] = STATE(1019),
    [sym_float] = STATE(1019),
    [sym_double] = STATE(1019),
    [sym_decimal] = STATE(1019),
    [sym_numeric] = STATE(1019),
    [sym_char] = STATE(1019),
    [sym_varchar] = STATE(1019),
    [sym_nchar] = STATE(1019),
    [sym_nvarchar] = STATE(1019),
    [sym_datetimeoffset] = STATE(1019),
    [sym_time] = STATE(1019),
    [sym_timestamp] = STATE(1019),
    [sym_enum] = STATE(1019),
    [sym_object_reference] = STATE(992),
    [sym_identifier] = STATE(2029),
    [sym__identifier] = ACTIONS(843),
    [aux_sym_keyword_character_token1] = ACTIONS(845),
    [sym_keyword_unsigned] = ACTIONS(847),
    [sym_keyword_boolean] = ACTIONS(849),
    [sym_keyword_bit] = ACTIONS(851),
    [sym_keyword_binary] = ACTIONS(853),
    [sym_keyword_varbinary] = ACTIONS(855),
    [sym_keyword_image] = ACTIONS(849),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(857),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(857),
    [aux_sym_keyword_serial_token1] = ACTIONS(859),
    [aux_sym_keyword_serial_token2] = ACTIONS(859),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(861),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(861),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(863),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(863),
    [aux_sym_keyword_smallint_token1] = ACTIONS(865),
    [aux_sym_keyword_smallint_token2] = ACTIONS(865),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(867),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(867),
    [aux_sym_keyword_int_token1] = ACTIONS(869),
    [aux_sym_keyword_int_token2] = ACTIONS(869),
    [aux_sym_keyword_int_token3] = ACTIONS(869),
    [aux_sym_keyword_bigint_token1] = ACTIONS(871),
    [aux_sym_keyword_bigint_token2] = ACTIONS(871),
    [sym_keyword_decimal] = ACTIONS(873),
    [sym_keyword_numeric] = ACTIONS(875),
    [aux_sym_keyword_real_token1] = ACTIONS(877),
    [aux_sym_keyword_real_token2] = ACTIONS(877),
    [sym_keyword_float] = ACTIONS(879),
    [sym_keyword_double] = ACTIONS(881),
    [sym_keyword_inet] = ACTIONS(849),
    [sym_keyword_money] = ACTIONS(849),
    [sym_keyword_smallmoney] = ACTIONS(849),
    [aux_sym_keyword_char_token1] = ACTIONS(883),
    [sym_keyword_nchar] = ACTIONS(885),
    [aux_sym_keyword_varchar_token1] = ACTIONS(887),
    [sym_keyword_nvarchar] = ACTIONS(889),
    [sym_keyword_text] = ACTIONS(849),
    [sym_keyword_string] = ACTIONS(849),
    [sym_keyword_uuid] = ACTIONS(849),
    [sym_keyword_json] = ACTIONS(849),
    [sym_keyword_jsonb] = ACTIONS(849),
    [sym_keyword_xml] = ACTIONS(849),
    [sym_keyword_bytea] = ACTIONS(849),
    [sym_keyword_enum] = ACTIONS(891),
    [sym_keyword_date] = ACTIONS(849),
    [sym_keyword_datetime] = ACTIONS(849),
    [sym_keyword_datetime2] = ACTIONS(849),
    [sym_keyword_smalldatetime] = ACTIONS(849),
    [sym_keyword_datetimeoffset] = ACTIONS(893),
    [sym_keyword_time] = ACTIONS(1281),
    [sym_keyword_timestamp] = ACTIONS(1283),
    [sym_keyword_timestamptz] = ACTIONS(849),
    [sym_keyword_interval] = ACTIONS(849),
    [sym_keyword_geometry] = ACTIONS(849),
    [sym_keyword_geography] = ACTIONS(849),
    [sym_keyword_box2d] = ACTIONS(849),
    [sym_keyword_box3d] = ACTIONS(849),
    [sym_keyword_oid] = ACTIONS(849),
    [sym_keyword_name] = ACTIONS(849),
    [sym_keyword_regclass] = ACTIONS(849),
    [sym_keyword_regnamespace] = ACTIONS(849),
    [sym_keyword_regproc] = ACTIONS(849),
    [sym_keyword_regtype] = ACTIONS(849),
    [aux_sym_double_token1] = ACTIONS(899),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(901),
    [aux_sym_identifier_token1] = ACTIONS(901),
  },
  [78] = {
    [sym_keyword_smallserial] = STATE(7120),
    [sym_keyword_serial] = STATE(7120),
    [sym_keyword_bigserial] = STATE(7120),
    [sym_keyword_tinyint] = STATE(1707),
    [sym_keyword_smallint] = STATE(1711),
    [sym_keyword_mediumint] = STATE(1712),
    [sym_keyword_int] = STATE(1714),
    [sym_keyword_bigint] = STATE(1717),
    [sym_keyword_real] = STATE(1744),
    [sym_keyword_char] = STATE(2284),
    [sym_keyword_varchar] = STATE(2290),
    [sym__type] = STATE(12736),
    [sym_tinyint] = STATE(7120),
    [sym_smallint] = STATE(7120),
    [sym_mediumint] = STATE(7120),
    [sym_int] = STATE(7120),
    [sym_bigint] = STATE(7120),
    [sym_bit] = STATE(7120),
    [sym_binary] = STATE(7120),
    [sym_varbinary] = STATE(7120),
    [sym_float] = STATE(7120),
    [sym_double] = STATE(7120),
    [sym_decimal] = STATE(7120),
    [sym_numeric] = STATE(7120),
    [sym_char] = STATE(7120),
    [sym_varchar] = STATE(7120),
    [sym_nchar] = STATE(7120),
    [sym_nvarchar] = STATE(7120),
    [sym_datetimeoffset] = STATE(7120),
    [sym_time] = STATE(7120),
    [sym_timestamp] = STATE(7120),
    [sym_enum] = STATE(7120),
    [sym_object_reference] = STATE(7127),
    [sym_identifier] = STATE(6414),
    [sym__identifier] = ACTIONS(51),
    [aux_sym_keyword_character_token1] = ACTIONS(53),
    [sym_keyword_unsigned] = ACTIONS(57),
    [sym_keyword_boolean] = ACTIONS(59),
    [sym_keyword_bit] = ACTIONS(61),
    [sym_keyword_binary] = ACTIONS(63),
    [sym_keyword_varbinary] = ACTIONS(65),
    [sym_keyword_image] = ACTIONS(59),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(67),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(67),
    [aux_sym_keyword_serial_token1] = ACTIONS(69),
    [aux_sym_keyword_serial_token2] = ACTIONS(69),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(71),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(71),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(73),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(73),
    [aux_sym_keyword_smallint_token1] = ACTIONS(75),
    [aux_sym_keyword_smallint_token2] = ACTIONS(75),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(77),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(77),
    [aux_sym_keyword_int_token1] = ACTIONS(79),
    [aux_sym_keyword_int_token2] = ACTIONS(79),
    [aux_sym_keyword_int_token3] = ACTIONS(79),
    [aux_sym_keyword_bigint_token1] = ACTIONS(81),
    [aux_sym_keyword_bigint_token2] = ACTIONS(81),
    [sym_keyword_decimal] = ACTIONS(83),
    [sym_keyword_numeric] = ACTIONS(85),
    [aux_sym_keyword_real_token1] = ACTIONS(87),
    [aux_sym_keyword_real_token2] = ACTIONS(87),
    [sym_keyword_float] = ACTIONS(89),
    [sym_keyword_double] = ACTIONS(91),
    [sym_keyword_inet] = ACTIONS(59),
    [sym_keyword_money] = ACTIONS(59),
    [sym_keyword_smallmoney] = ACTIONS(59),
    [aux_sym_keyword_char_token1] = ACTIONS(93),
    [sym_keyword_nchar] = ACTIONS(95),
    [aux_sym_keyword_varchar_token1] = ACTIONS(97),
    [sym_keyword_nvarchar] = ACTIONS(99),
    [sym_keyword_text] = ACTIONS(59),
    [sym_keyword_string] = ACTIONS(59),
    [sym_keyword_uuid] = ACTIONS(59),
    [sym_keyword_json] = ACTIONS(59),
    [sym_keyword_jsonb] = ACTIONS(59),
    [sym_keyword_xml] = ACTIONS(59),
    [sym_keyword_bytea] = ACTIONS(59),
    [sym_keyword_enum] = ACTIONS(101),
    [sym_keyword_date] = ACTIONS(59),
    [sym_keyword_datetime] = ACTIONS(59),
    [sym_keyword_datetime2] = ACTIONS(59),
    [sym_keyword_smalldatetime] = ACTIONS(59),
    [sym_keyword_datetimeoffset] = ACTIONS(103),
    [sym_keyword_time] = ACTIONS(105),
    [sym_keyword_timestamp] = ACTIONS(107),
    [sym_keyword_timestamptz] = ACTIONS(59),
    [sym_keyword_interval] = ACTIONS(59),
    [sym_keyword_geometry] = ACTIONS(59),
    [sym_keyword_geography] = ACTIONS(59),
    [sym_keyword_box2d] = ACTIONS(59),
    [sym_keyword_box3d] = ACTIONS(59),
    [sym_keyword_oid] = ACTIONS(59),
    [sym_keyword_name] = ACTIONS(59),
    [sym_keyword_regclass] = ACTIONS(59),
    [sym_keyword_regnamespace] = ACTIONS(59),
    [sym_keyword_regproc] = ACTIONS(59),
    [sym_keyword_regtype] = ACTIONS(59),
    [aux_sym_double_token1] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
  },
  [79] = {
    [sym_keyword_smallserial] = STATE(3008),
    [sym_keyword_serial] = STATE(3008),
    [sym_keyword_bigserial] = STATE(3008),
    [sym_keyword_tinyint] = STATE(2990),
    [sym_keyword_smallint] = STATE(2991),
    [sym_keyword_mediumint] = STATE(2992),
    [sym_keyword_int] = STATE(2993),
    [sym_keyword_bigint] = STATE(2994),
    [sym_keyword_real] = STATE(2995),
    [sym_keyword_char] = STATE(3755),
    [sym_keyword_varchar] = STATE(3754),
    [sym__type] = STATE(4433),
    [sym_tinyint] = STATE(3008),
    [sym_smallint] = STATE(3008),
    [sym_mediumint] = STATE(3008),
    [sym_int] = STATE(3008),
    [sym_bigint] = STATE(3008),
    [sym_bit] = STATE(3008),
    [sym_binary] = STATE(3008),
    [sym_varbinary] = STATE(3008),
    [sym_float] = STATE(3008),
    [sym_double] = STATE(3008),
    [sym_decimal] = STATE(3008),
    [sym_numeric] = STATE(3008),
    [sym_char] = STATE(3008),
    [sym_varchar] = STATE(3008),
    [sym_nchar] = STATE(3008),
    [sym_nvarchar] = STATE(3008),
    [sym_datetimeoffset] = STATE(3008),
    [sym_time] = STATE(3008),
    [sym_timestamp] = STATE(3008),
    [sym_enum] = STATE(3008),
    [sym_object_reference] = STATE(3047),
    [sym_identifier] = STATE(3569),
    [sym__identifier] = ACTIONS(1081),
    [aux_sym_keyword_character_token1] = ACTIONS(1083),
    [sym_keyword_unsigned] = ACTIONS(1085),
    [sym_keyword_boolean] = ACTIONS(1087),
    [sym_keyword_bit] = ACTIONS(1089),
    [sym_keyword_binary] = ACTIONS(1091),
    [sym_keyword_varbinary] = ACTIONS(1093),
    [sym_keyword_image] = ACTIONS(1087),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1095),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1095),
    [aux_sym_keyword_serial_token1] = ACTIONS(1097),
    [aux_sym_keyword_serial_token2] = ACTIONS(1097),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1099),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1099),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1101),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1101),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1103),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1103),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1105),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1105),
    [aux_sym_keyword_int_token1] = ACTIONS(1107),
    [aux_sym_keyword_int_token2] = ACTIONS(1107),
    [aux_sym_keyword_int_token3] = ACTIONS(1107),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1109),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1109),
    [sym_keyword_decimal] = ACTIONS(1111),
    [sym_keyword_numeric] = ACTIONS(1113),
    [aux_sym_keyword_real_token1] = ACTIONS(1115),
    [aux_sym_keyword_real_token2] = ACTIONS(1115),
    [sym_keyword_float] = ACTIONS(1117),
    [sym_keyword_double] = ACTIONS(1119),
    [sym_keyword_inet] = ACTIONS(1087),
    [sym_keyword_money] = ACTIONS(1087),
    [sym_keyword_smallmoney] = ACTIONS(1087),
    [aux_sym_keyword_char_token1] = ACTIONS(1121),
    [sym_keyword_nchar] = ACTIONS(1123),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1125),
    [sym_keyword_nvarchar] = ACTIONS(1127),
    [sym_keyword_text] = ACTIONS(1087),
    [sym_keyword_string] = ACTIONS(1087),
    [sym_keyword_uuid] = ACTIONS(1087),
    [sym_keyword_json] = ACTIONS(1087),
    [sym_keyword_jsonb] = ACTIONS(1087),
    [sym_keyword_xml] = ACTIONS(1087),
    [sym_keyword_bytea] = ACTIONS(1087),
    [sym_keyword_enum] = ACTIONS(1129),
    [sym_keyword_date] = ACTIONS(1087),
    [sym_keyword_datetime] = ACTIONS(1087),
    [sym_keyword_datetime2] = ACTIONS(1087),
    [sym_keyword_smalldatetime] = ACTIONS(1087),
    [sym_keyword_datetimeoffset] = ACTIONS(1131),
    [sym_keyword_time] = ACTIONS(1285),
    [sym_keyword_timestamp] = ACTIONS(1287),
    [sym_keyword_timestamptz] = ACTIONS(1087),
    [sym_keyword_interval] = ACTIONS(1087),
    [sym_keyword_geometry] = ACTIONS(1087),
    [sym_keyword_geography] = ACTIONS(1087),
    [sym_keyword_box2d] = ACTIONS(1087),
    [sym_keyword_box3d] = ACTIONS(1087),
    [sym_keyword_oid] = ACTIONS(1087),
    [sym_keyword_name] = ACTIONS(1087),
    [sym_keyword_regclass] = ACTIONS(1087),
    [sym_keyword_regnamespace] = ACTIONS(1087),
    [sym_keyword_regproc] = ACTIONS(1087),
    [sym_keyword_regtype] = ACTIONS(1087),
    [aux_sym_double_token1] = ACTIONS(1137),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(1139),
    [aux_sym_identifier_token1] = ACTIONS(1139),
  },
  [80] = {
    [sym_keyword_smallserial] = STATE(7120),
    [sym_keyword_serial] = STATE(7120),
    [sym_keyword_bigserial] = STATE(7120),
    [sym_keyword_tinyint] = STATE(1707),
    [sym_keyword_smallint] = STATE(1711),
    [sym_keyword_mediumint] = STATE(1712),
    [sym_keyword_int] = STATE(1714),
    [sym_keyword_bigint] = STATE(1717),
    [sym_keyword_real] = STATE(1744),
    [sym_keyword_char] = STATE(2284),
    [sym_keyword_varchar] = STATE(2290),
    [sym__type] = STATE(13379),
    [sym_tinyint] = STATE(7120),
    [sym_smallint] = STATE(7120),
    [sym_mediumint] = STATE(7120),
    [sym_int] = STATE(7120),
    [sym_bigint] = STATE(7120),
    [sym_bit] = STATE(7120),
    [sym_binary] = STATE(7120),
    [sym_varbinary] = STATE(7120),
    [sym_float] = STATE(7120),
    [sym_double] = STATE(7120),
    [sym_decimal] = STATE(7120),
    [sym_numeric] = STATE(7120),
    [sym_char] = STATE(7120),
    [sym_varchar] = STATE(7120),
    [sym_nchar] = STATE(7120),
    [sym_nvarchar] = STATE(7120),
    [sym_datetimeoffset] = STATE(7120),
    [sym_time] = STATE(7120),
    [sym_timestamp] = STATE(7120),
    [sym_enum] = STATE(7120),
    [sym_object_reference] = STATE(7127),
    [sym_identifier] = STATE(6414),
    [sym__identifier] = ACTIONS(51),
    [aux_sym_keyword_character_token1] = ACTIONS(53),
    [sym_keyword_unsigned] = ACTIONS(57),
    [sym_keyword_boolean] = ACTIONS(59),
    [sym_keyword_bit] = ACTIONS(61),
    [sym_keyword_binary] = ACTIONS(63),
    [sym_keyword_varbinary] = ACTIONS(65),
    [sym_keyword_image] = ACTIONS(59),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(67),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(67),
    [aux_sym_keyword_serial_token1] = ACTIONS(69),
    [aux_sym_keyword_serial_token2] = ACTIONS(69),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(71),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(71),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(73),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(73),
    [aux_sym_keyword_smallint_token1] = ACTIONS(75),
    [aux_sym_keyword_smallint_token2] = ACTIONS(75),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(77),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(77),
    [aux_sym_keyword_int_token1] = ACTIONS(79),
    [aux_sym_keyword_int_token2] = ACTIONS(79),
    [aux_sym_keyword_int_token3] = ACTIONS(79),
    [aux_sym_keyword_bigint_token1] = ACTIONS(81),
    [aux_sym_keyword_bigint_token2] = ACTIONS(81),
    [sym_keyword_decimal] = ACTIONS(83),
    [sym_keyword_numeric] = ACTIONS(85),
    [aux_sym_keyword_real_token1] = ACTIONS(87),
    [aux_sym_keyword_real_token2] = ACTIONS(87),
    [sym_keyword_float] = ACTIONS(89),
    [sym_keyword_double] = ACTIONS(91),
    [sym_keyword_inet] = ACTIONS(59),
    [sym_keyword_money] = ACTIONS(59),
    [sym_keyword_smallmoney] = ACTIONS(59),
    [aux_sym_keyword_char_token1] = ACTIONS(93),
    [sym_keyword_nchar] = ACTIONS(95),
    [aux_sym_keyword_varchar_token1] = ACTIONS(97),
    [sym_keyword_nvarchar] = ACTIONS(99),
    [sym_keyword_text] = ACTIONS(59),
    [sym_keyword_string] = ACTIONS(59),
    [sym_keyword_uuid] = ACTIONS(59),
    [sym_keyword_json] = ACTIONS(59),
    [sym_keyword_jsonb] = ACTIONS(59),
    [sym_keyword_xml] = ACTIONS(59),
    [sym_keyword_bytea] = ACTIONS(59),
    [sym_keyword_enum] = ACTIONS(101),
    [sym_keyword_date] = ACTIONS(59),
    [sym_keyword_datetime] = ACTIONS(59),
    [sym_keyword_datetime2] = ACTIONS(59),
    [sym_keyword_smalldatetime] = ACTIONS(59),
    [sym_keyword_datetimeoffset] = ACTIONS(103),
    [sym_keyword_time] = ACTIONS(105),
    [sym_keyword_timestamp] = ACTIONS(107),
    [sym_keyword_timestamptz] = ACTIONS(59),
    [sym_keyword_interval] = ACTIONS(59),
    [sym_keyword_geometry] = ACTIONS(59),
    [sym_keyword_geography] = ACTIONS(59),
    [sym_keyword_box2d] = ACTIONS(59),
    [sym_keyword_box3d] = ACTIONS(59),
    [sym_keyword_oid] = ACTIONS(59),
    [sym_keyword_name] = ACTIONS(59),
    [sym_keyword_regclass] = ACTIONS(59),
    [sym_keyword_regnamespace] = ACTIONS(59),
    [sym_keyword_regproc] = ACTIONS(59),
    [sym_keyword_regtype] = ACTIONS(59),
    [aux_sym_double_token1] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
  },
  [81] = {
    [sym_keyword_smallserial] = STATE(2728),
    [sym_keyword_serial] = STATE(2728),
    [sym_keyword_bigserial] = STATE(2728),
    [sym_keyword_tinyint] = STATE(2719),
    [sym_keyword_smallint] = STATE(2718),
    [sym_keyword_mediumint] = STATE(2716),
    [sym_keyword_int] = STATE(2713),
    [sym_keyword_bigint] = STATE(2709),
    [sym_keyword_real] = STATE(2708),
    [sym_keyword_char] = STATE(3208),
    [sym_keyword_varchar] = STATE(3207),
    [sym__type] = STATE(4221),
    [sym_tinyint] = STATE(2728),
    [sym_smallint] = STATE(2728),
    [sym_mediumint] = STATE(2728),
    [sym_int] = STATE(2728),
    [sym_bigint] = STATE(2728),
    [sym_bit] = STATE(2728),
    [sym_binary] = STATE(2728),
    [sym_varbinary] = STATE(2728),
    [sym_float] = STATE(2728),
    [sym_double] = STATE(2728),
    [sym_decimal] = STATE(2728),
    [sym_numeric] = STATE(2728),
    [sym_char] = STATE(2728),
    [sym_varchar] = STATE(2728),
    [sym_nchar] = STATE(2728),
    [sym_nvarchar] = STATE(2728),
    [sym_datetimeoffset] = STATE(2728),
    [sym_time] = STATE(2728),
    [sym_timestamp] = STATE(2728),
    [sym_enum] = STATE(2728),
    [sym_object_reference] = STATE(2765),
    [sym_identifier] = STATE(3144),
    [sym__identifier] = ACTIONS(1289),
    [aux_sym_keyword_character_token1] = ACTIONS(1291),
    [sym_keyword_unsigned] = ACTIONS(1293),
    [sym_keyword_boolean] = ACTIONS(1295),
    [sym_keyword_bit] = ACTIONS(1297),
    [sym_keyword_binary] = ACTIONS(1299),
    [sym_keyword_varbinary] = ACTIONS(1301),
    [sym_keyword_image] = ACTIONS(1295),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1303),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1303),
    [aux_sym_keyword_serial_token1] = ACTIONS(1305),
    [aux_sym_keyword_serial_token2] = ACTIONS(1305),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1307),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1307),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1309),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1309),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1311),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1311),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1313),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1313),
    [aux_sym_keyword_int_token1] = ACTIONS(1315),
    [aux_sym_keyword_int_token2] = ACTIONS(1315),
    [aux_sym_keyword_int_token3] = ACTIONS(1315),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1317),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1317),
    [sym_keyword_decimal] = ACTIONS(1319),
    [sym_keyword_numeric] = ACTIONS(1321),
    [aux_sym_keyword_real_token1] = ACTIONS(1323),
    [aux_sym_keyword_real_token2] = ACTIONS(1323),
    [sym_keyword_float] = ACTIONS(1325),
    [sym_keyword_double] = ACTIONS(1327),
    [sym_keyword_inet] = ACTIONS(1295),
    [sym_keyword_money] = ACTIONS(1295),
    [sym_keyword_smallmoney] = ACTIONS(1295),
    [aux_sym_keyword_char_token1] = ACTIONS(1329),
    [sym_keyword_nchar] = ACTIONS(1331),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1333),
    [sym_keyword_nvarchar] = ACTIONS(1335),
    [sym_keyword_text] = ACTIONS(1295),
    [sym_keyword_string] = ACTIONS(1295),
    [sym_keyword_uuid] = ACTIONS(1295),
    [sym_keyword_json] = ACTIONS(1295),
    [sym_keyword_jsonb] = ACTIONS(1295),
    [sym_keyword_xml] = ACTIONS(1295),
    [sym_keyword_bytea] = ACTIONS(1295),
    [sym_keyword_enum] = ACTIONS(1337),
    [sym_keyword_date] = ACTIONS(1295),
    [sym_keyword_datetime] = ACTIONS(1295),
    [sym_keyword_datetime2] = ACTIONS(1295),
    [sym_keyword_smalldatetime] = ACTIONS(1295),
    [sym_keyword_datetimeoffset] = ACTIONS(1339),
    [sym_keyword_time] = ACTIONS(1341),
    [sym_keyword_timestamp] = ACTIONS(1343),
    [sym_keyword_timestamptz] = ACTIONS(1295),
    [sym_keyword_interval] = ACTIONS(1295),
    [sym_keyword_geometry] = ACTIONS(1295),
    [sym_keyword_geography] = ACTIONS(1295),
    [sym_keyword_box2d] = ACTIONS(1295),
    [sym_keyword_box3d] = ACTIONS(1295),
    [sym_keyword_oid] = ACTIONS(1295),
    [sym_keyword_name] = ACTIONS(1295),
    [sym_keyword_regclass] = ACTIONS(1295),
    [sym_keyword_regnamespace] = ACTIONS(1295),
    [sym_keyword_regproc] = ACTIONS(1295),
    [sym_keyword_regtype] = ACTIONS(1295),
    [aux_sym_double_token1] = ACTIONS(1345),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(1347),
    [aux_sym_identifier_token1] = ACTIONS(1347),
  },
  [82] = {
    [sym_keyword_smallserial] = STATE(7120),
    [sym_keyword_serial] = STATE(7120),
    [sym_keyword_bigserial] = STATE(7120),
    [sym_keyword_tinyint] = STATE(1707),
    [sym_keyword_smallint] = STATE(1711),
    [sym_keyword_mediumint] = STATE(1712),
    [sym_keyword_int] = STATE(1714),
    [sym_keyword_bigint] = STATE(1717),
    [sym_keyword_real] = STATE(1744),
    [sym_keyword_char] = STATE(2284),
    [sym_keyword_varchar] = STATE(2290),
    [sym__type] = STATE(13775),
    [sym_tinyint] = STATE(7120),
    [sym_smallint] = STATE(7120),
    [sym_mediumint] = STATE(7120),
    [sym_int] = STATE(7120),
    [sym_bigint] = STATE(7120),
    [sym_bit] = STATE(7120),
    [sym_binary] = STATE(7120),
    [sym_varbinary] = STATE(7120),
    [sym_float] = STATE(7120),
    [sym_double] = STATE(7120),
    [sym_decimal] = STATE(7120),
    [sym_numeric] = STATE(7120),
    [sym_char] = STATE(7120),
    [sym_varchar] = STATE(7120),
    [sym_nchar] = STATE(7120),
    [sym_nvarchar] = STATE(7120),
    [sym_datetimeoffset] = STATE(7120),
    [sym_time] = STATE(7120),
    [sym_timestamp] = STATE(7120),
    [sym_enum] = STATE(7120),
    [sym_object_reference] = STATE(7127),
    [sym_identifier] = STATE(6414),
    [sym__identifier] = ACTIONS(51),
    [aux_sym_keyword_character_token1] = ACTIONS(53),
    [sym_keyword_unsigned] = ACTIONS(57),
    [sym_keyword_boolean] = ACTIONS(59),
    [sym_keyword_bit] = ACTIONS(61),
    [sym_keyword_binary] = ACTIONS(63),
    [sym_keyword_varbinary] = ACTIONS(65),
    [sym_keyword_image] = ACTIONS(59),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(67),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(67),
    [aux_sym_keyword_serial_token1] = ACTIONS(69),
    [aux_sym_keyword_serial_token2] = ACTIONS(69),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(71),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(71),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(73),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(73),
    [aux_sym_keyword_smallint_token1] = ACTIONS(75),
    [aux_sym_keyword_smallint_token2] = ACTIONS(75),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(77),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(77),
    [aux_sym_keyword_int_token1] = ACTIONS(79),
    [aux_sym_keyword_int_token2] = ACTIONS(79),
    [aux_sym_keyword_int_token3] = ACTIONS(79),
    [aux_sym_keyword_bigint_token1] = ACTIONS(81),
    [aux_sym_keyword_bigint_token2] = ACTIONS(81),
    [sym_keyword_decimal] = ACTIONS(83),
    [sym_keyword_numeric] = ACTIONS(85),
    [aux_sym_keyword_real_token1] = ACTIONS(87),
    [aux_sym_keyword_real_token2] = ACTIONS(87),
    [sym_keyword_float] = ACTIONS(89),
    [sym_keyword_double] = ACTIONS(91),
    [sym_keyword_inet] = ACTIONS(59),
    [sym_keyword_money] = ACTIONS(59),
    [sym_keyword_smallmoney] = ACTIONS(59),
    [aux_sym_keyword_char_token1] = ACTIONS(93),
    [sym_keyword_nchar] = ACTIONS(95),
    [aux_sym_keyword_varchar_token1] = ACTIONS(97),
    [sym_keyword_nvarchar] = ACTIONS(99),
    [sym_keyword_text] = ACTIONS(59),
    [sym_keyword_string] = ACTIONS(59),
    [sym_keyword_uuid] = ACTIONS(59),
    [sym_keyword_json] = ACTIONS(59),
    [sym_keyword_jsonb] = ACTIONS(59),
    [sym_keyword_xml] = ACTIONS(59),
    [sym_keyword_bytea] = ACTIONS(59),
    [sym_keyword_enum] = ACTIONS(101),
    [sym_keyword_date] = ACTIONS(59),
    [sym_keyword_datetime] = ACTIONS(59),
    [sym_keyword_datetime2] = ACTIONS(59),
    [sym_keyword_smalldatetime] = ACTIONS(59),
    [sym_keyword_datetimeoffset] = ACTIONS(103),
    [sym_keyword_time] = ACTIONS(105),
    [sym_keyword_timestamp] = ACTIONS(107),
    [sym_keyword_timestamptz] = ACTIONS(59),
    [sym_keyword_interval] = ACTIONS(59),
    [sym_keyword_geometry] = ACTIONS(59),
    [sym_keyword_geography] = ACTIONS(59),
    [sym_keyword_box2d] = ACTIONS(59),
    [sym_keyword_box3d] = ACTIONS(59),
    [sym_keyword_oid] = ACTIONS(59),
    [sym_keyword_name] = ACTIONS(59),
    [sym_keyword_regclass] = ACTIONS(59),
    [sym_keyword_regnamespace] = ACTIONS(59),
    [sym_keyword_regproc] = ACTIONS(59),
    [sym_keyword_regtype] = ACTIONS(59),
    [aux_sym_double_token1] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(115),
    [aux_sym_identifier_token1] = ACTIONS(115),
  },
  [83] = {
    [sym_keyword_smallserial] = STATE(6592),
    [sym_keyword_serial] = STATE(6592),
    [sym_keyword_bigserial] = STATE(6592),
    [sym_keyword_tinyint] = STATE(466),
    [sym_keyword_smallint] = STATE(467),
    [sym_keyword_mediumint] = STATE(468),
    [sym_keyword_int] = STATE(474),
    [sym_keyword_bigint] = STATE(489),
    [sym_keyword_real] = STATE(491),
    [sym_keyword_char] = STATE(620),
    [sym_keyword_varchar] = STATE(621),
    [sym__type] = STATE(6510),
    [sym_tinyint] = STATE(6592),
    [sym_smallint] = STATE(6592),
    [sym_mediumint] = STATE(6592),
    [sym_int] = STATE(6592),
    [sym_bigint] = STATE(6592),
    [sym_bit] = STATE(6592),
    [sym_binary] = STATE(6592),
    [sym_varbinary] = STATE(6592),
    [sym_float] = STATE(6592),
    [sym_double] = STATE(6592),
    [sym_decimal] = STATE(6592),
    [sym_numeric] = STATE(6592),
    [sym_char] = STATE(6592),
    [sym_varchar] = STATE(6592),
    [sym_nchar] = STATE(6592),
    [sym_nvarchar] = STATE(6592),
    [sym_datetimeoffset] = STATE(6592),
    [sym_time] = STATE(6592),
    [sym_timestamp] = STATE(6592),
    [sym_enum] = STATE(6592),
    [sym_object_reference] = STATE(6596),
    [sym_identifier] = STATE(6637),
    [sym__identifier] = ACTIONS(719),
    [aux_sym_keyword_character_token1] = ACTIONS(653),
    [sym_keyword_unsigned] = ACTIONS(655),
    [sym_keyword_boolean] = ACTIONS(1349),
    [sym_keyword_bit] = ACTIONS(659),
    [sym_keyword_binary] = ACTIONS(661),
    [sym_keyword_varbinary] = ACTIONS(663),
    [sym_keyword_image] = ACTIONS(1349),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(665),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(665),
    [aux_sym_keyword_serial_token1] = ACTIONS(667),
    [aux_sym_keyword_serial_token2] = ACTIONS(667),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(669),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(669),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(671),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(671),
    [aux_sym_keyword_smallint_token1] = ACTIONS(673),
    [aux_sym_keyword_smallint_token2] = ACTIONS(673),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(675),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(675),
    [aux_sym_keyword_int_token1] = ACTIONS(677),
    [aux_sym_keyword_int_token2] = ACTIONS(677),
    [aux_sym_keyword_int_token3] = ACTIONS(677),
    [aux_sym_keyword_bigint_token1] = ACTIONS(679),
    [aux_sym_keyword_bigint_token2] = ACTIONS(679),
    [sym_keyword_decimal] = ACTIONS(681),
    [sym_keyword_numeric] = ACTIONS(683),
    [aux_sym_keyword_real_token1] = ACTIONS(685),
    [aux_sym_keyword_real_token2] = ACTIONS(685),
    [sym_keyword_float] = ACTIONS(687),
    [sym_keyword_double] = ACTIONS(689),
    [sym_keyword_inet] = ACTIONS(1349),
    [sym_keyword_money] = ACTIONS(1349),
    [sym_keyword_smallmoney] = ACTIONS(1349),
    [aux_sym_keyword_char_token1] = ACTIONS(691),
    [sym_keyword_nchar] = ACTIONS(693),
    [aux_sym_keyword_varchar_token1] = ACTIONS(695),
    [sym_keyword_nvarchar] = ACTIONS(697),
    [sym_keyword_text] = ACTIONS(1349),
    [sym_keyword_string] = ACTIONS(1349),
    [sym_keyword_uuid] = ACTIONS(1349),
    [sym_keyword_json] = ACTIONS(1349),
    [sym_keyword_jsonb] = ACTIONS(1349),
    [sym_keyword_xml] = ACTIONS(1349),
    [sym_keyword_bytea] = ACTIONS(1349),
    [sym_keyword_enum] = ACTIONS(699),
    [sym_keyword_date] = ACTIONS(1349),
    [sym_keyword_datetime] = ACTIONS(1349),
    [sym_keyword_datetime2] = ACTIONS(1349),
    [sym_keyword_smalldatetime] = ACTIONS(1349),
    [sym_keyword_datetimeoffset] = ACTIONS(701),
    [sym_keyword_time] = ACTIONS(703),
    [sym_keyword_timestamp] = ACTIONS(705),
    [sym_keyword_timestamptz] = ACTIONS(1349),
    [sym_keyword_interval] = ACTIONS(1349),
    [sym_keyword_geometry] = ACTIONS(1349),
    [sym_keyword_geography] = ACTIONS(1349),
    [sym_keyword_box2d] = ACTIONS(1349),
    [sym_keyword_box3d] = ACTIONS(1349),
    [sym_keyword_oid] = ACTIONS(1349),
    [sym_keyword_name] = ACTIONS(1349),
    [sym_keyword_regclass] = ACTIONS(1349),
    [sym_keyword_regnamespace] = ACTIONS(1349),
    [sym_keyword_regproc] = ACTIONS(1349),
    [sym_keyword_regtype] = ACTIONS(1349),
    [aux_sym_double_token1] = ACTIONS(707),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(777),
    [aux_sym_identifier_token1] = ACTIONS(777),
  },
  [84] = {
    [aux_sym__single_quote_string_repeat1] = STATE(85),
    [ts_builtin_sym_end] = ACTIONS(1351),
    [sym__identifier] = ACTIONS(1353),
    [anon_sym_SEMI] = ACTIONS(1351),
    [sym_keyword_create] = ACTIONS(1353),
    [sym_keyword_increment] = ACTIONS(1353),
    [sym_keyword_minvalue] = ACTIONS(1353),
    [sym_keyword_maxvalue] = ACTIONS(1353),
    [sym_keyword_owned] = ACTIONS(1353),
    [sym_keyword_start] = ACTIONS(1353),
    [sym_keyword_restart] = ACTIONS(1353),
    [sym_keyword_as] = ACTIONS(1353),
    [sym_keyword_not] = ACTIONS(1353),
    [aux_sym_keyword_character_token1] = ACTIONS(1353),
    [sym_keyword_no] = ACTIONS(1353),
    [sym_keyword_cycle] = ACTIONS(1353),
    [sym_keyword_begin] = ACTIONS(1353),
    [sym_keyword_rows] = ACTIONS(1353),
    [sym_keyword_unsigned] = ACTIONS(1353),
    [sym_keyword_returns] = ACTIONS(1353),
    [sym_keyword_return] = ACTIONS(1353),
    [sym_keyword_language] = ACTIONS(1353),
    [sym_keyword_immutable] = ACTIONS(1353),
    [sym_keyword_stable] = ACTIONS(1353),
    [sym_keyword_volatile] = ACTIONS(1353),
    [sym_keyword_leakproof] = ACTIONS(1353),
    [sym_keyword_parallel] = ACTIONS(1353),
    [sym_keyword_called] = ACTIONS(1353),
    [sym_keyword_strict] = ACTIONS(1353),
    [sym_keyword_cost] = ACTIONS(1353),
    [sym_keyword_support] = ACTIONS(1353),
    [sym_keyword_security] = ACTIONS(1353),
    [sym_keyword_external] = ACTIONS(1353),
    [sym_keyword_cache] = ACTIONS(1353),
    [sym_keyword_boolean] = ACTIONS(1353),
    [sym_keyword_bit] = ACTIONS(1353),
    [sym_keyword_binary] = ACTIONS(1353),
    [sym_keyword_varbinary] = ACTIONS(1353),
    [sym_keyword_image] = ACTIONS(1353),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1353),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1353),
    [aux_sym_keyword_serial_token1] = ACTIONS(1353),
    [aux_sym_keyword_serial_token2] = ACTIONS(1353),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1353),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1353),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1353),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1353),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1353),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1353),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1353),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1353),
    [aux_sym_keyword_int_token1] = ACTIONS(1353),
    [aux_sym_keyword_int_token2] = ACTIONS(1353),
    [aux_sym_keyword_int_token3] = ACTIONS(1353),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1353),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1353),
    [sym_keyword_decimal] = ACTIONS(1353),
    [sym_keyword_numeric] = ACTIONS(1353),
    [aux_sym_keyword_real_token1] = ACTIONS(1353),
    [aux_sym_keyword_real_token2] = ACTIONS(1353),
    [sym_keyword_float] = ACTIONS(1353),
    [sym_keyword_double] = ACTIONS(1353),
    [sym_keyword_inet] = ACTIONS(1353),
    [sym_keyword_money] = ACTIONS(1353),
    [sym_keyword_smallmoney] = ACTIONS(1353),
    [aux_sym_keyword_char_token1] = ACTIONS(1353),
    [sym_keyword_nchar] = ACTIONS(1353),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1353),
    [sym_keyword_nvarchar] = ACTIONS(1353),
    [sym_keyword_text] = ACTIONS(1353),
    [sym_keyword_string] = ACTIONS(1353),
    [sym_keyword_uuid] = ACTIONS(1353),
    [sym_keyword_json] = ACTIONS(1353),
    [sym_keyword_jsonb] = ACTIONS(1353),
    [sym_keyword_xml] = ACTIONS(1353),
    [sym_keyword_bytea] = ACTIONS(1353),
    [sym_keyword_enum] = ACTIONS(1353),
    [sym_keyword_date] = ACTIONS(1353),
    [sym_keyword_datetime] = ACTIONS(1353),
    [sym_keyword_datetime2] = ACTIONS(1353),
    [sym_keyword_smalldatetime] = ACTIONS(1353),
    [sym_keyword_datetimeoffset] = ACTIONS(1353),
    [sym_keyword_time] = ACTIONS(1353),
    [sym_keyword_timestamp] = ACTIONS(1353),
    [sym_keyword_timestamptz] = ACTIONS(1353),
    [sym_keyword_interval] = ACTIONS(1353),
    [sym_keyword_geometry] = ACTIONS(1353),
    [sym_keyword_geography] = ACTIONS(1353),
    [sym_keyword_box2d] = ACTIONS(1353),
    [sym_keyword_box3d] = ACTIONS(1353),
    [sym_keyword_oid] = ACTIONS(1353),
    [sym_keyword_name] = ACTIONS(1353),
    [sym_keyword_regclass] = ACTIONS(1353),
    [sym_keyword_regnamespace] = ACTIONS(1353),
    [sym_keyword_regproc] = ACTIONS(1353),
    [sym_keyword_regtype] = ACTIONS(1353),
    [anon_sym_RPAREN] = ACTIONS(1351),
    [aux_sym_double_token1] = ACTIONS(1353),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(1351),
    [aux_sym__single_quote_string_token2] = ACTIONS(1355),
    [aux_sym_identifier_token1] = ACTIONS(1351),
  },
  [85] = {
    [aux_sym__single_quote_string_repeat1] = STATE(85),
    [ts_builtin_sym_end] = ACTIONS(1357),
    [sym__identifier] = ACTIONS(1359),
    [anon_sym_SEMI] = ACTIONS(1357),
    [sym_keyword_create] = ACTIONS(1359),
    [sym_keyword_increment] = ACTIONS(1359),
    [sym_keyword_minvalue] = ACTIONS(1359),
    [sym_keyword_maxvalue] = ACTIONS(1359),
    [sym_keyword_owned] = ACTIONS(1359),
    [sym_keyword_start] = ACTIONS(1359),
    [sym_keyword_restart] = ACTIONS(1359),
    [sym_keyword_as] = ACTIONS(1359),
    [sym_keyword_not] = ACTIONS(1359),
    [aux_sym_keyword_character_token1] = ACTIONS(1359),
    [sym_keyword_no] = ACTIONS(1359),
    [sym_keyword_cycle] = ACTIONS(1359),
    [sym_keyword_begin] = ACTIONS(1359),
    [sym_keyword_rows] = ACTIONS(1359),
    [sym_keyword_unsigned] = ACTIONS(1359),
    [sym_keyword_returns] = ACTIONS(1359),
    [sym_keyword_return] = ACTIONS(1359),
    [sym_keyword_language] = ACTIONS(1359),
    [sym_keyword_immutable] = ACTIONS(1359),
    [sym_keyword_stable] = ACTIONS(1359),
    [sym_keyword_volatile] = ACTIONS(1359),
    [sym_keyword_leakproof] = ACTIONS(1359),
    [sym_keyword_parallel] = ACTIONS(1359),
    [sym_keyword_called] = ACTIONS(1359),
    [sym_keyword_strict] = ACTIONS(1359),
    [sym_keyword_cost] = ACTIONS(1359),
    [sym_keyword_support] = ACTIONS(1359),
    [sym_keyword_security] = ACTIONS(1359),
    [sym_keyword_external] = ACTIONS(1359),
    [sym_keyword_cache] = ACTIONS(1359),
    [sym_keyword_boolean] = ACTIONS(1359),
    [sym_keyword_bit] = ACTIONS(1359),
    [sym_keyword_binary] = ACTIONS(1359),
    [sym_keyword_varbinary] = ACTIONS(1359),
    [sym_keyword_image] = ACTIONS(1359),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1359),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1359),
    [aux_sym_keyword_serial_token1] = ACTIONS(1359),
    [aux_sym_keyword_serial_token2] = ACTIONS(1359),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1359),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1359),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1359),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1359),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1359),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1359),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1359),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1359),
    [aux_sym_keyword_int_token1] = ACTIONS(1359),
    [aux_sym_keyword_int_token2] = ACTIONS(1359),
    [aux_sym_keyword_int_token3] = ACTIONS(1359),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1359),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1359),
    [sym_keyword_decimal] = ACTIONS(1359),
    [sym_keyword_numeric] = ACTIONS(1359),
    [aux_sym_keyword_real_token1] = ACTIONS(1359),
    [aux_sym_keyword_real_token2] = ACTIONS(1359),
    [sym_keyword_float] = ACTIONS(1359),
    [sym_keyword_double] = ACTIONS(1359),
    [sym_keyword_inet] = ACTIONS(1359),
    [sym_keyword_money] = ACTIONS(1359),
    [sym_keyword_smallmoney] = ACTIONS(1359),
    [aux_sym_keyword_char_token1] = ACTIONS(1359),
    [sym_keyword_nchar] = ACTIONS(1359),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1359),
    [sym_keyword_nvarchar] = ACTIONS(1359),
    [sym_keyword_text] = ACTIONS(1359),
    [sym_keyword_string] = ACTIONS(1359),
    [sym_keyword_uuid] = ACTIONS(1359),
    [sym_keyword_json] = ACTIONS(1359),
    [sym_keyword_jsonb] = ACTIONS(1359),
    [sym_keyword_xml] = ACTIONS(1359),
    [sym_keyword_bytea] = ACTIONS(1359),
    [sym_keyword_enum] = ACTIONS(1359),
    [sym_keyword_date] = ACTIONS(1359),
    [sym_keyword_datetime] = ACTIONS(1359),
    [sym_keyword_datetime2] = ACTIONS(1359),
    [sym_keyword_smalldatetime] = ACTIONS(1359),
    [sym_keyword_datetimeoffset] = ACTIONS(1359),
    [sym_keyword_time] = ACTIONS(1359),
    [sym_keyword_timestamp] = ACTIONS(1359),
    [sym_keyword_timestamptz] = ACTIONS(1359),
    [sym_keyword_interval] = ACTIONS(1359),
    [sym_keyword_geometry] = ACTIONS(1359),
    [sym_keyword_geography] = ACTIONS(1359),
    [sym_keyword_box2d] = ACTIONS(1359),
    [sym_keyword_box3d] = ACTIONS(1359),
    [sym_keyword_oid] = ACTIONS(1359),
    [sym_keyword_name] = ACTIONS(1359),
    [sym_keyword_regclass] = ACTIONS(1359),
    [sym_keyword_regnamespace] = ACTIONS(1359),
    [sym_keyword_regproc] = ACTIONS(1359),
    [sym_keyword_regtype] = ACTIONS(1359),
    [anon_sym_RPAREN] = ACTIONS(1357),
    [aux_sym_double_token1] = ACTIONS(1359),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(1357),
    [aux_sym__single_quote_string_token2] = ACTIONS(1361),
    [aux_sym_identifier_token1] = ACTIONS(1357),
  },
  [86] = {
    [aux_sym__single_quote_string_repeat1] = STATE(84),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__identifier] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [sym_keyword_create] = ACTIONS(1366),
    [sym_keyword_increment] = ACTIONS(1366),
    [sym_keyword_minvalue] = ACTIONS(1366),
    [sym_keyword_maxvalue] = ACTIONS(1366),
    [sym_keyword_owned] = ACTIONS(1366),
    [sym_keyword_start] = ACTIONS(1366),
    [sym_keyword_restart] = ACTIONS(1366),
    [sym_keyword_as] = ACTIONS(1366),
    [sym_keyword_not] = ACTIONS(1366),
    [aux_sym_keyword_character_token1] = ACTIONS(1366),
    [sym_keyword_no] = ACTIONS(1366),
    [sym_keyword_cycle] = ACTIONS(1366),
    [sym_keyword_begin] = ACTIONS(1366),
    [sym_keyword_rows] = ACTIONS(1366),
    [sym_keyword_unsigned] = ACTIONS(1366),
    [sym_keyword_returns] = ACTIONS(1366),
    [sym_keyword_return] = ACTIONS(1366),
    [sym_keyword_language] = ACTIONS(1366),
    [sym_keyword_immutable] = ACTIONS(1366),
    [sym_keyword_stable] = ACTIONS(1366),
    [sym_keyword_volatile] = ACTIONS(1366),
    [sym_keyword_leakproof] = ACTIONS(1366),
    [sym_keyword_parallel] = ACTIONS(1366),
    [sym_keyword_called] = ACTIONS(1366),
    [sym_keyword_strict] = ACTIONS(1366),
    [sym_keyword_cost] = ACTIONS(1366),
    [sym_keyword_support] = ACTIONS(1366),
    [sym_keyword_security] = ACTIONS(1366),
    [sym_keyword_external] = ACTIONS(1366),
    [sym_keyword_cache] = ACTIONS(1366),
    [sym_keyword_boolean] = ACTIONS(1366),
    [sym_keyword_bit] = ACTIONS(1366),
    [sym_keyword_binary] = ACTIONS(1366),
    [sym_keyword_varbinary] = ACTIONS(1366),
    [sym_keyword_image] = ACTIONS(1366),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1366),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1366),
    [aux_sym_keyword_serial_token1] = ACTIONS(1366),
    [aux_sym_keyword_serial_token2] = ACTIONS(1366),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1366),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1366),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1366),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1366),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1366),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1366),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1366),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1366),
    [aux_sym_keyword_int_token1] = ACTIONS(1366),
    [aux_sym_keyword_int_token2] = ACTIONS(1366),
    [aux_sym_keyword_int_token3] = ACTIONS(1366),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1366),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1366),
    [sym_keyword_decimal] = ACTIONS(1366),
    [sym_keyword_numeric] = ACTIONS(1366),
    [aux_sym_keyword_real_token1] = ACTIONS(1366),
    [aux_sym_keyword_real_token2] = ACTIONS(1366),
    [sym_keyword_float] = ACTIONS(1366),
    [sym_keyword_double] = ACTIONS(1366),
    [sym_keyword_inet] = ACTIONS(1366),
    [sym_keyword_money] = ACTIONS(1366),
    [sym_keyword_smallmoney] = ACTIONS(1366),
    [aux_sym_keyword_char_token1] = ACTIONS(1366),
    [sym_keyword_nchar] = ACTIONS(1366),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1366),
    [sym_keyword_nvarchar] = ACTIONS(1366),
    [sym_keyword_text] = ACTIONS(1366),
    [sym_keyword_string] = ACTIONS(1366),
    [sym_keyword_uuid] = ACTIONS(1366),
    [sym_keyword_json] = ACTIONS(1366),
    [sym_keyword_jsonb] = ACTIONS(1366),
    [sym_keyword_xml] = ACTIONS(1366),
    [sym_keyword_bytea] = ACTIONS(1366),
    [sym_keyword_enum] = ACTIONS(1366),
    [sym_keyword_date] = ACTIONS(1366),
    [sym_keyword_datetime] = ACTIONS(1366),
    [sym_keyword_datetime2] = ACTIONS(1366),
    [sym_keyword_smalldatetime] = ACTIONS(1366),
    [sym_keyword_datetimeoffset] = ACTIONS(1366),
    [sym_keyword_time] = ACTIONS(1366),
    [sym_keyword_timestamp] = ACTIONS(1366),
    [sym_keyword_timestamptz] = ACTIONS(1366),
    [sym_keyword_interval] = ACTIONS(1366),
    [sym_keyword_geometry] = ACTIONS(1366),
    [sym_keyword_geography] = ACTIONS(1366),
    [sym_keyword_box2d] = ACTIONS(1366),
    [sym_keyword_box3d] = ACTIONS(1366),
    [sym_keyword_oid] = ACTIONS(1366),
    [sym_keyword_name] = ACTIONS(1366),
    [sym_keyword_regclass] = ACTIONS(1366),
    [sym_keyword_regnamespace] = ACTIONS(1366),
    [sym_keyword_regproc] = ACTIONS(1366),
    [sym_keyword_regtype] = ACTIONS(1366),
    [anon_sym_RPAREN] = ACTIONS(1364),
    [aux_sym_double_token1] = ACTIONS(1366),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(1364),
    [aux_sym__single_quote_string_token2] = ACTIONS(1368),
    [aux_sym_identifier_token1] = ACTIONS(1364),
  },
  [87] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__identifier] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [sym_keyword_create] = ACTIONS(1372),
    [sym_keyword_increment] = ACTIONS(1372),
    [sym_keyword_minvalue] = ACTIONS(1372),
    [sym_keyword_maxvalue] = ACTIONS(1372),
    [sym_keyword_owned] = ACTIONS(1372),
    [sym_keyword_start] = ACTIONS(1372),
    [sym_keyword_restart] = ACTIONS(1372),
    [sym_keyword_as] = ACTIONS(1372),
    [sym_keyword_not] = ACTIONS(1372),
    [aux_sym_keyword_character_token1] = ACTIONS(1372),
    [sym_keyword_no] = ACTIONS(1372),
    [sym_keyword_cycle] = ACTIONS(1372),
    [sym_keyword_begin] = ACTIONS(1372),
    [sym_keyword_rows] = ACTIONS(1372),
    [sym_keyword_unsigned] = ACTIONS(1372),
    [sym_keyword_returns] = ACTIONS(1372),
    [sym_keyword_return] = ACTIONS(1372),
    [sym_keyword_language] = ACTIONS(1372),
    [sym_keyword_immutable] = ACTIONS(1372),
    [sym_keyword_stable] = ACTIONS(1372),
    [sym_keyword_volatile] = ACTIONS(1372),
    [sym_keyword_leakproof] = ACTIONS(1372),
    [sym_keyword_parallel] = ACTIONS(1372),
    [sym_keyword_called] = ACTIONS(1372),
    [sym_keyword_strict] = ACTIONS(1372),
    [sym_keyword_cost] = ACTIONS(1372),
    [sym_keyword_support] = ACTIONS(1372),
    [sym_keyword_security] = ACTIONS(1372),
    [sym_keyword_external] = ACTIONS(1372),
    [sym_keyword_cache] = ACTIONS(1372),
    [sym_keyword_boolean] = ACTIONS(1372),
    [sym_keyword_bit] = ACTIONS(1372),
    [sym_keyword_binary] = ACTIONS(1372),
    [sym_keyword_varbinary] = ACTIONS(1372),
    [sym_keyword_image] = ACTIONS(1372),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1372),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1372),
    [aux_sym_keyword_serial_token1] = ACTIONS(1372),
    [aux_sym_keyword_serial_token2] = ACTIONS(1372),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1372),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1372),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1372),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1372),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1372),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1372),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1372),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1372),
    [aux_sym_keyword_int_token1] = ACTIONS(1372),
    [aux_sym_keyword_int_token2] = ACTIONS(1372),
    [aux_sym_keyword_int_token3] = ACTIONS(1372),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1372),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1372),
    [sym_keyword_decimal] = ACTIONS(1372),
    [sym_keyword_numeric] = ACTIONS(1372),
    [aux_sym_keyword_real_token1] = ACTIONS(1372),
    [aux_sym_keyword_real_token2] = ACTIONS(1372),
    [sym_keyword_float] = ACTIONS(1372),
    [sym_keyword_double] = ACTIONS(1372),
    [sym_keyword_inet] = ACTIONS(1372),
    [sym_keyword_money] = ACTIONS(1372),
    [sym_keyword_smallmoney] = ACTIONS(1372),
    [aux_sym_keyword_char_token1] = ACTIONS(1372),
    [sym_keyword_nchar] = ACTIONS(1372),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1372),
    [sym_keyword_nvarchar] = ACTIONS(1372),
    [sym_keyword_text] = ACTIONS(1372),
    [sym_keyword_string] = ACTIONS(1372),
    [sym_keyword_uuid] = ACTIONS(1372),
    [sym_keyword_json] = ACTIONS(1372),
    [sym_keyword_jsonb] = ACTIONS(1372),
    [sym_keyword_xml] = ACTIONS(1372),
    [sym_keyword_bytea] = ACTIONS(1372),
    [sym_keyword_enum] = ACTIONS(1372),
    [sym_keyword_date] = ACTIONS(1372),
    [sym_keyword_datetime] = ACTIONS(1372),
    [sym_keyword_datetime2] = ACTIONS(1372),
    [sym_keyword_smalldatetime] = ACTIONS(1372),
    [sym_keyword_datetimeoffset] = ACTIONS(1372),
    [sym_keyword_time] = ACTIONS(1372),
    [sym_keyword_timestamp] = ACTIONS(1372),
    [sym_keyword_timestamptz] = ACTIONS(1372),
    [sym_keyword_interval] = ACTIONS(1372),
    [sym_keyword_geometry] = ACTIONS(1372),
    [sym_keyword_geography] = ACTIONS(1372),
    [sym_keyword_box2d] = ACTIONS(1372),
    [sym_keyword_box3d] = ACTIONS(1372),
    [sym_keyword_oid] = ACTIONS(1372),
    [sym_keyword_name] = ACTIONS(1372),
    [sym_keyword_regclass] = ACTIONS(1372),
    [sym_keyword_regnamespace] = ACTIONS(1372),
    [sym_keyword_regproc] = ACTIONS(1372),
    [sym_keyword_regtype] = ACTIONS(1372),
    [anon_sym_RPAREN] = ACTIONS(1370),
    [aux_sym_double_token1] = ACTIONS(1372),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(1370),
    [aux_sym_identifier_token1] = ACTIONS(1370),
  },
  [88] = {
    [ts_builtin_sym_end] = ACTIONS(1374),
    [sym__identifier] = ACTIONS(1376),
    [anon_sym_SEMI] = ACTIONS(1374),
    [sym_keyword_select] = ACTIONS(1376),
    [sym_keyword_values] = ACTIONS(1376),
    [sym_keyword_set] = ACTIONS(1376),
    [sym_keyword_from] = ACTIONS(1376),
    [sym_keyword_on] = ACTIONS(1376),
    [sym_keyword_partition] = ACTIONS(1376),
    [sym_keyword_primary] = ACTIONS(1376),
    [sym_keyword_create] = ACTIONS(1376),
    [sym_keyword_alter] = ACTIONS(1376),
    [sym_keyword_drop] = ACTIONS(1376),
    [sym_keyword_add] = ACTIONS(1376),
    [sym_keyword_as] = ACTIONS(1376),
    [sym_keyword_constraint] = ACTIONS(1376),
    [sym_keyword_when] = ACTIONS(1376),
    [sym_keyword_in] = ACTIONS(1376),
    [sym_keyword_and] = ACTIONS(1376),
    [sym_keyword_or] = ACTIONS(1376),
    [sym_keyword_is] = ACTIONS(1376),
    [sym_keyword_not] = ACTIONS(1376),
    [sym_keyword_force] = ACTIONS(1376),
    [sym_keyword_using] = ACTIONS(1376),
    [sym_keyword_collate] = ACTIONS(1376),
    [sym_keyword_default] = ACTIONS(1376),
    [sym_keyword_cascade] = ACTIONS(1376),
    [sym_keyword_restrict] = ACTIONS(1376),
    [sym_keyword_with] = ACTIONS(1376),
    [sym_keyword_type] = ACTIONS(1376),
    [sym_keyword_rename] = ACTIONS(1376),
    [sym_keyword_to] = ACTIONS(1376),
    [sym_keyword_schema] = ACTIONS(1376),
    [sym_keyword_owner] = ACTIONS(1376),
    [sym_keyword_reset] = ACTIONS(1376),
    [sym_keyword_temp] = ACTIONS(1376),
    [sym_keyword_temporary] = ACTIONS(1376),
    [sym_keyword_union] = ACTIONS(1376),
    [sym_keyword_except] = ACTIONS(1376),
    [sym_keyword_intersect] = ACTIONS(1376),
    [sym_keyword_returning] = ACTIONS(1376),
    [sym_keyword_rows] = ACTIONS(1376),
    [sym_keyword_between] = ACTIONS(1376),
    [aux_sym_keyword_like_token1] = ACTIONS(1376),
    [aux_sym_keyword_like_token2] = ACTIONS(1376),
    [sym_keyword_similar] = ACTIONS(1376),
    [sym_keyword_check] = ACTIONS(1376),
    [sym_keyword_wait] = ACTIONS(1376),
    [sym_keyword_nowait] = ACTIONS(1376),
    [sym_keyword_authorization] = ACTIONS(1376),
    [sym_keyword_trigger] = ACTIONS(1376),
    [sym_keyword_returns] = ACTIONS(1376),
    [sym_keyword_language] = ACTIONS(1376),
    [sym_keyword_immutable] = ACTIONS(1376),
    [sym_keyword_stable] = ACTIONS(1376),
    [sym_keyword_volatile] = ACTIONS(1376),
    [sym_keyword_leakproof] = ACTIONS(1376),
    [sym_keyword_parallel] = ACTIONS(1376),
    [sym_keyword_called] = ACTIONS(1376),
    [sym_keyword_strict] = ACTIONS(1376),
    [sym_keyword_cost] = ACTIONS(1376),
    [sym_keyword_support] = ACTIONS(1376),
    [sym_keyword_security] = ACTIONS(1376),
    [sym_keyword_version] = ACTIONS(1376),
    [sym_keyword_immediate] = ACTIONS(1376),
    [sym_keyword_deferred] = ACTIONS(1376),
    [sym_keyword_external] = ACTIONS(1376),
    [sym_keyword_compute] = ACTIONS(1376),
    [sym_keyword_rewrite] = ACTIONS(1376),
    [sym_keyword_partitioned] = ACTIONS(1376),
    [sym_keyword_array] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(1374),
    [anon_sym_LPAREN] = ACTIONS(1374),
    [anon_sym_RPAREN] = ACTIONS(1374),
    [anon_sym_COMMA] = ACTIONS(1374),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1374),
    [anon_sym_COLON_EQ] = ACTIONS(1374),
    [anon_sym_DOT] = ACTIONS(1374),
    [anon_sym_STAR] = ACTIONS(1374),
    [anon_sym_COLON_COLON] = ACTIONS(1374),
    [anon_sym_LT] = ACTIONS(1376),
    [anon_sym_GT] = ACTIONS(1376),
    [anon_sym_LT_EQ] = ACTIONS(1374),
    [anon_sym_GT_EQ] = ACTIONS(1374),
    [sym_op_other] = ACTIONS(1374),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1376),
    [anon_sym_SLASH] = ACTIONS(1376),
    [anon_sym_PERCENT] = ACTIONS(1374),
    [anon_sym_CARET] = ACTIONS(1376),
    [anon_sym_BANG_EQ] = ACTIONS(1374),
    [anon_sym_LT_GT] = ACTIONS(1374),
    [sym__double_quote_string] = ACTIONS(1374),
    [aux_sym__single_quote_string_token1] = ACTIONS(1374),
    [aux_sym_identifier_token1] = ACTIONS(1374),
  },
  [89] = {
    [sym__commit] = STATE(14116),
    [sym__rollback] = STATE(14116),
    [sym_statement] = STATE(14111),
    [sym__ddl_statement] = STATE(10649),
    [sym__cte] = STATE(6881),
    [sym__dml_write] = STATE(10651),
    [sym__dml_read] = STATE(10654),
    [sym_set_operation] = STATE(8014),
    [sym__select_statement] = STATE(7540),
    [sym_comment_statement] = STATE(10649),
    [sym_select] = STATE(7475),
    [sym__truncate_statement] = STATE(10658),
    [sym__delete_statement] = STATE(10658),
    [sym_delete] = STATE(11355),
    [sym__create_statement] = STATE(10649),
    [sym_create_table] = STATE(10649),
    [sym_reset_statement] = STATE(10649),
    [sym_set_statement] = STATE(10649),
    [sym_create_view] = STATE(10649),
    [sym_create_materialized_view] = STATE(10649),
    [sym_create_function] = STATE(10649),
    [sym_create_index] = STATE(10649),
    [sym_create_schema] = STATE(6953),
    [sym_create_database] = STATE(10649),
    [sym_create_role] = STATE(10649),
    [sym_create_sequence] = STATE(10649),
    [sym_create_extension] = STATE(10649),
    [sym_create_trigger] = STATE(10649),
    [sym_create_type] = STATE(10649),
    [sym__alter_statement] = STATE(10649),
    [sym__rename_statement] = STATE(10664),
    [sym_alter_table] = STATE(10649),
    [sym_alter_view] = STATE(10649),
    [sym_alter_schema] = STATE(10649),
    [sym_alter_database] = STATE(10649),
    [sym_alter_role] = STATE(10649),
    [sym_alter_index] = STATE(10649),
    [sym_alter_sequence] = STATE(10649),
    [sym_alter_type] = STATE(10649),
    [sym__drop_statement] = STATE(10649),
    [sym_drop_table] = STATE(10649),
    [sym_drop_view] = STATE(10649),
    [sym_drop_schema] = STATE(10649),
    [sym_drop_database] = STATE(10649),
    [sym_drop_role] = STATE(10649),
    [sym_drop_type] = STATE(10649),
    [sym_drop_sequence] = STATE(10649),
    [sym_drop_index] = STATE(10649),
    [sym_drop_extension] = STATE(10649),
    [sym__copy_statement] = STATE(10658),
    [sym__insert_statement] = STATE(10658),
    [sym_insert] = STATE(9896),
    [sym__update_statement] = STATE(10658),
    [sym__merge_statement] = STATE(10675),
    [sym__optimize_statement] = STATE(10649),
    [sym__compute_stats] = STATE(10649),
    [sym__optimize_table] = STATE(10649),
    [sym__vacuum_table] = STATE(10649),
    [sym_update] = STATE(9854),
    [aux_sym_transaction_repeat1] = STATE(92),
    [anon_sym_SEMI] = ACTIONS(1378),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_set] = ACTIONS(19),
    [sym_keyword_create] = ACTIONS(21),
    [sym_keyword_alter] = ACTIONS(23),
    [sym_keyword_analyze] = ACTIONS(25),
    [sym_keyword_explain] = ACTIONS(27),
    [sym_keyword_drop] = ACTIONS(29),
    [sym_keyword_end] = ACTIONS(1380),
    [sym_keyword_with] = ACTIONS(31),
    [sym_keyword_rename] = ACTIONS(33),
    [sym_keyword_reset] = ACTIONS(35),
    [sym_keyword_commit] = ACTIONS(1382),
    [sym_keyword_rollback] = ACTIONS(1384),
    [sym_keyword_transaction] = ACTIONS(1386),
    [sym_keyword_vacuum] = ACTIONS(39),
    [sym_keyword_copy] = ACTIONS(41),
    [sym_keyword_compute] = ACTIONS(43),
    [sym_keyword_optimize] = ACTIONS(45),
    [sym_keyword_comment] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [90] = {
    [sym__identifier] = ACTIONS(1376),
    [sym_keyword_desc] = ACTIONS(1376),
    [sym_keyword_asc] = ACTIONS(1376),
    [sym_keyword_primary] = ACTIONS(1376),
    [sym_keyword_key] = ACTIONS(1376),
    [sym_keyword_constraint] = ACTIONS(1376),
    [sym_keyword_index] = ACTIONS(1376),
    [sym_keyword_collate] = ACTIONS(1376),
    [aux_sym_keyword_character_token1] = ACTIONS(1376),
    [sym_keyword_default] = ACTIONS(1376),
    [sym_keyword_nulls] = ACTIONS(1376),
    [sym_keyword_unique] = ACTIONS(1376),
    [sym_keyword_foreign] = ACTIONS(1376),
    [sym_keyword_unsigned] = ACTIONS(1376),
    [sym_keyword_check] = ACTIONS(1376),
    [sym_keyword_boolean] = ACTIONS(1376),
    [sym_keyword_bit] = ACTIONS(1376),
    [sym_keyword_binary] = ACTIONS(1376),
    [sym_keyword_varbinary] = ACTIONS(1376),
    [sym_keyword_image] = ACTIONS(1376),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1376),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1376),
    [aux_sym_keyword_serial_token1] = ACTIONS(1376),
    [aux_sym_keyword_serial_token2] = ACTIONS(1376),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1376),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1376),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1376),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1376),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1376),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1376),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1376),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1376),
    [aux_sym_keyword_int_token1] = ACTIONS(1376),
    [aux_sym_keyword_int_token2] = ACTIONS(1376),
    [aux_sym_keyword_int_token3] = ACTIONS(1376),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1376),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1376),
    [sym_keyword_decimal] = ACTIONS(1376),
    [sym_keyword_numeric] = ACTIONS(1376),
    [aux_sym_keyword_real_token1] = ACTIONS(1376),
    [aux_sym_keyword_real_token2] = ACTIONS(1376),
    [sym_keyword_float] = ACTIONS(1376),
    [sym_keyword_double] = ACTIONS(1376),
    [sym_keyword_inet] = ACTIONS(1376),
    [sym_keyword_money] = ACTIONS(1376),
    [sym_keyword_smallmoney] = ACTIONS(1376),
    [aux_sym_keyword_char_token1] = ACTIONS(1376),
    [sym_keyword_nchar] = ACTIONS(1376),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1376),
    [sym_keyword_nvarchar] = ACTIONS(1376),
    [sym_keyword_text] = ACTIONS(1376),
    [sym_keyword_string] = ACTIONS(1376),
    [sym_keyword_uuid] = ACTIONS(1376),
    [sym_keyword_json] = ACTIONS(1376),
    [sym_keyword_jsonb] = ACTIONS(1376),
    [sym_keyword_xml] = ACTIONS(1376),
    [sym_keyword_bytea] = ACTIONS(1376),
    [sym_keyword_enum] = ACTIONS(1376),
    [sym_keyword_date] = ACTIONS(1376),
    [sym_keyword_datetime] = ACTIONS(1376),
    [sym_keyword_datetime2] = ACTIONS(1376),
    [sym_keyword_smalldatetime] = ACTIONS(1376),
    [sym_keyword_datetimeoffset] = ACTIONS(1376),
    [sym_keyword_time] = ACTIONS(1376),
    [sym_keyword_timestamp] = ACTIONS(1376),
    [sym_keyword_timestamptz] = ACTIONS(1376),
    [sym_keyword_interval] = ACTIONS(1376),
    [sym_keyword_geometry] = ACTIONS(1376),
    [sym_keyword_geography] = ACTIONS(1376),
    [sym_keyword_box2d] = ACTIONS(1376),
    [sym_keyword_box3d] = ACTIONS(1376),
    [sym_keyword_oid] = ACTIONS(1376),
    [sym_keyword_name] = ACTIONS(1376),
    [sym_keyword_regclass] = ACTIONS(1376),
    [sym_keyword_regnamespace] = ACTIONS(1376),
    [sym_keyword_regproc] = ACTIONS(1376),
    [sym_keyword_regtype] = ACTIONS(1376),
    [sym_keyword_array] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(1374),
    [anon_sym_LPAREN] = ACTIONS(1374),
    [anon_sym_RPAREN] = ACTIONS(1374),
    [anon_sym_COMMA] = ACTIONS(1374),
    [aux_sym_double_token1] = ACTIONS(1376),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1374),
    [anon_sym_DOT] = ACTIONS(1374),
    [sym__double_quote_string] = ACTIONS(1374),
    [aux_sym_identifier_token1] = ACTIONS(1374),
  },
  [91] = {
    [sym__commit] = STATE(12530),
    [sym__rollback] = STATE(12530),
    [sym_statement] = STATE(14111),
    [sym__ddl_statement] = STATE(10649),
    [sym__cte] = STATE(6881),
    [sym__dml_write] = STATE(10651),
    [sym__dml_read] = STATE(10654),
    [sym_set_operation] = STATE(8014),
    [sym__select_statement] = STATE(7540),
    [sym_comment_statement] = STATE(10649),
    [sym_select] = STATE(7475),
    [sym__truncate_statement] = STATE(10658),
    [sym__delete_statement] = STATE(10658),
    [sym_delete] = STATE(11355),
    [sym__create_statement] = STATE(10649),
    [sym_create_table] = STATE(10649),
    [sym_reset_statement] = STATE(10649),
    [sym_set_statement] = STATE(10649),
    [sym_create_view] = STATE(10649),
    [sym_create_materialized_view] = STATE(10649),
    [sym_create_function] = STATE(10649),
    [sym_create_index] = STATE(10649),
    [sym_create_schema] = STATE(6953),
    [sym_create_database] = STATE(10649),
    [sym_create_role] = STATE(10649),
    [sym_create_sequence] = STATE(10649),
    [sym_create_extension] = STATE(10649),
    [sym_create_trigger] = STATE(10649),
    [sym_create_type] = STATE(10649),
    [sym__alter_statement] = STATE(10649),
    [sym__rename_statement] = STATE(10664),
    [sym_alter_table] = STATE(10649),
    [sym_alter_view] = STATE(10649),
    [sym_alter_schema] = STATE(10649),
    [sym_alter_database] = STATE(10649),
    [sym_alter_role] = STATE(10649),
    [sym_alter_index] = STATE(10649),
    [sym_alter_sequence] = STATE(10649),
    [sym_alter_type] = STATE(10649),
    [sym__drop_statement] = STATE(10649),
    [sym_drop_table] = STATE(10649),
    [sym_drop_view] = STATE(10649),
    [sym_drop_schema] = STATE(10649),
    [sym_drop_database] = STATE(10649),
    [sym_drop_role] = STATE(10649),
    [sym_drop_type] = STATE(10649),
    [sym_drop_sequence] = STATE(10649),
    [sym_drop_index] = STATE(10649),
    [sym_drop_extension] = STATE(10649),
    [sym__copy_statement] = STATE(10658),
    [sym__insert_statement] = STATE(10658),
    [sym_insert] = STATE(9896),
    [sym__update_statement] = STATE(10658),
    [sym__merge_statement] = STATE(10675),
    [sym__optimize_statement] = STATE(10649),
    [sym__compute_stats] = STATE(10649),
    [sym__optimize_table] = STATE(10649),
    [sym__vacuum_table] = STATE(10649),
    [sym_update] = STATE(9854),
    [aux_sym_transaction_repeat1] = STATE(110),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_set] = ACTIONS(19),
    [sym_keyword_create] = ACTIONS(21),
    [sym_keyword_alter] = ACTIONS(23),
    [sym_keyword_analyze] = ACTIONS(25),
    [sym_keyword_explain] = ACTIONS(27),
    [sym_keyword_drop] = ACTIONS(29),
    [sym_keyword_end] = ACTIONS(1388),
    [sym_keyword_with] = ACTIONS(31),
    [sym_keyword_rename] = ACTIONS(33),
    [sym_keyword_reset] = ACTIONS(35),
    [sym_keyword_commit] = ACTIONS(1382),
    [sym_keyword_rollback] = ACTIONS(1384),
    [sym_keyword_vacuum] = ACTIONS(39),
    [sym_keyword_copy] = ACTIONS(41),
    [sym_keyword_compute] = ACTIONS(43),
    [sym_keyword_optimize] = ACTIONS(45),
    [sym_keyword_comment] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [92] = {
    [sym__commit] = STATE(13596),
    [sym__rollback] = STATE(13596),
    [sym_statement] = STATE(14111),
    [sym__ddl_statement] = STATE(10649),
    [sym__cte] = STATE(6881),
    [sym__dml_write] = STATE(10651),
    [sym__dml_read] = STATE(10654),
    [sym_set_operation] = STATE(8014),
    [sym__select_statement] = STATE(7540),
    [sym_comment_statement] = STATE(10649),
    [sym_select] = STATE(7475),
    [sym__truncate_statement] = STATE(10658),
    [sym__delete_statement] = STATE(10658),
    [sym_delete] = STATE(11355),
    [sym__create_statement] = STATE(10649),
    [sym_create_table] = STATE(10649),
    [sym_reset_statement] = STATE(10649),
    [sym_set_statement] = STATE(10649),
    [sym_create_view] = STATE(10649),
    [sym_create_materialized_view] = STATE(10649),
    [sym_create_function] = STATE(10649),
    [sym_create_index] = STATE(10649),
    [sym_create_schema] = STATE(6953),
    [sym_create_database] = STATE(10649),
    [sym_create_role] = STATE(10649),
    [sym_create_sequence] = STATE(10649),
    [sym_create_extension] = STATE(10649),
    [sym_create_trigger] = STATE(10649),
    [sym_create_type] = STATE(10649),
    [sym__alter_statement] = STATE(10649),
    [sym__rename_statement] = STATE(10664),
    [sym_alter_table] = STATE(10649),
    [sym_alter_view] = STATE(10649),
    [sym_alter_schema] = STATE(10649),
    [sym_alter_database] = STATE(10649),
    [sym_alter_role] = STATE(10649),
    [sym_alter_index] = STATE(10649),
    [sym_alter_sequence] = STATE(10649),
    [sym_alter_type] = STATE(10649),
    [sym__drop_statement] = STATE(10649),
    [sym_drop_table] = STATE(10649),
    [sym_drop_view] = STATE(10649),
    [sym_drop_schema] = STATE(10649),
    [sym_drop_database] = STATE(10649),
    [sym_drop_role] = STATE(10649),
    [sym_drop_type] = STATE(10649),
    [sym_drop_sequence] = STATE(10649),
    [sym_drop_index] = STATE(10649),
    [sym_drop_extension] = STATE(10649),
    [sym__copy_statement] = STATE(10658),
    [sym__insert_statement] = STATE(10658),
    [sym_insert] = STATE(9896),
    [sym__update_statement] = STATE(10658),
    [sym__merge_statement] = STATE(10675),
    [sym__optimize_statement] = STATE(10649),
    [sym__compute_stats] = STATE(10649),
    [sym__optimize_table] = STATE(10649),
    [sym__vacuum_table] = STATE(10649),
    [sym_update] = STATE(9854),
    [aux_sym_transaction_repeat1] = STATE(110),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_set] = ACTIONS(19),
    [sym_keyword_create] = ACTIONS(21),
    [sym_keyword_alter] = ACTIONS(23),
    [sym_keyword_analyze] = ACTIONS(25),
    [sym_keyword_explain] = ACTIONS(27),
    [sym_keyword_drop] = ACTIONS(29),
    [sym_keyword_end] = ACTIONS(1390),
    [sym_keyword_with] = ACTIONS(31),
    [sym_keyword_rename] = ACTIONS(33),
    [sym_keyword_reset] = ACTIONS(35),
    [sym_keyword_commit] = ACTIONS(1382),
    [sym_keyword_rollback] = ACTIONS(1384),
    [sym_keyword_vacuum] = ACTIONS(39),
    [sym_keyword_copy] = ACTIONS(41),
    [sym_keyword_compute] = ACTIONS(43),
    [sym_keyword_optimize] = ACTIONS(45),
    [sym_keyword_comment] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [93] = {
    [sym__commit] = STATE(13596),
    [sym__rollback] = STATE(13596),
    [sym_statement] = STATE(14111),
    [sym__ddl_statement] = STATE(10649),
    [sym__cte] = STATE(6881),
    [sym__dml_write] = STATE(10651),
    [sym__dml_read] = STATE(10654),
    [sym_set_operation] = STATE(8014),
    [sym__select_statement] = STATE(7540),
    [sym_comment_statement] = STATE(10649),
    [sym_select] = STATE(7475),
    [sym__truncate_statement] = STATE(10658),
    [sym__delete_statement] = STATE(10658),
    [sym_delete] = STATE(11355),
    [sym__create_statement] = STATE(10649),
    [sym_create_table] = STATE(10649),
    [sym_reset_statement] = STATE(10649),
    [sym_set_statement] = STATE(10649),
    [sym_create_view] = STATE(10649),
    [sym_create_materialized_view] = STATE(10649),
    [sym_create_function] = STATE(10649),
    [sym_create_index] = STATE(10649),
    [sym_create_schema] = STATE(6953),
    [sym_create_database] = STATE(10649),
    [sym_create_role] = STATE(10649),
    [sym_create_sequence] = STATE(10649),
    [sym_create_extension] = STATE(10649),
    [sym_create_trigger] = STATE(10649),
    [sym_create_type] = STATE(10649),
    [sym__alter_statement] = STATE(10649),
    [sym__rename_statement] = STATE(10664),
    [sym_alter_table] = STATE(10649),
    [sym_alter_view] = STATE(10649),
    [sym_alter_schema] = STATE(10649),
    [sym_alter_database] = STATE(10649),
    [sym_alter_role] = STATE(10649),
    [sym_alter_index] = STATE(10649),
    [sym_alter_sequence] = STATE(10649),
    [sym_alter_type] = STATE(10649),
    [sym__drop_statement] = STATE(10649),
    [sym_drop_table] = STATE(10649),
    [sym_drop_view] = STATE(10649),
    [sym_drop_schema] = STATE(10649),
    [sym_drop_database] = STATE(10649),
    [sym_drop_role] = STATE(10649),
    [sym_drop_type] = STATE(10649),
    [sym_drop_sequence] = STATE(10649),
    [sym_drop_index] = STATE(10649),
    [sym_drop_extension] = STATE(10649),
    [sym__copy_statement] = STATE(10658),
    [sym__insert_statement] = STATE(10658),
    [sym_insert] = STATE(9896),
    [sym__update_statement] = STATE(10658),
    [sym__merge_statement] = STATE(10675),
    [sym__optimize_statement] = STATE(10649),
    [sym__compute_stats] = STATE(10649),
    [sym__optimize_table] = STATE(10649),
    [sym__vacuum_table] = STATE(10649),
    [sym_update] = STATE(9854),
    [aux_sym_transaction_repeat1] = STATE(101),
    [anon_sym_SEMI] = ACTIONS(1392),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_set] = ACTIONS(19),
    [sym_keyword_create] = ACTIONS(21),
    [sym_keyword_alter] = ACTIONS(23),
    [sym_keyword_analyze] = ACTIONS(25),
    [sym_keyword_explain] = ACTIONS(27),
    [sym_keyword_drop] = ACTIONS(29),
    [sym_keyword_with] = ACTIONS(31),
    [sym_keyword_rename] = ACTIONS(33),
    [sym_keyword_reset] = ACTIONS(35),
    [sym_keyword_commit] = ACTIONS(1382),
    [sym_keyword_rollback] = ACTIONS(1384),
    [sym_keyword_vacuum] = ACTIONS(39),
    [sym_keyword_copy] = ACTIONS(41),
    [sym_keyword_compute] = ACTIONS(43),
    [sym_keyword_optimize] = ACTIONS(45),
    [sym_keyword_comment] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [94] = {
    [sym__commit] = STATE(13596),
    [sym__rollback] = STATE(13596),
    [sym_statement] = STATE(14111),
    [sym__ddl_statement] = STATE(10649),
    [sym__cte] = STATE(6881),
    [sym__dml_write] = STATE(10651),
    [sym__dml_read] = STATE(10654),
    [sym_set_operation] = STATE(8014),
    [sym__select_statement] = STATE(7540),
    [sym_comment_statement] = STATE(10649),
    [sym_select] = STATE(7475),
    [sym__truncate_statement] = STATE(10658),
    [sym__delete_statement] = STATE(10658),
    [sym_delete] = STATE(11355),
    [sym__create_statement] = STATE(10649),
    [sym_create_table] = STATE(10649),
    [sym_reset_statement] = STATE(10649),
    [sym_set_statement] = STATE(10649),
    [sym_create_view] = STATE(10649),
    [sym_create_materialized_view] = STATE(10649),
    [sym_create_function] = STATE(10649),
    [sym_create_index] = STATE(10649),
    [sym_create_schema] = STATE(6953),
    [sym_create_database] = STATE(10649),
    [sym_create_role] = STATE(10649),
    [sym_create_sequence] = STATE(10649),
    [sym_create_extension] = STATE(10649),
    [sym_create_trigger] = STATE(10649),
    [sym_create_type] = STATE(10649),
    [sym__alter_statement] = STATE(10649),
    [sym__rename_statement] = STATE(10664),
    [sym_alter_table] = STATE(10649),
    [sym_alter_view] = STATE(10649),
    [sym_alter_schema] = STATE(10649),
    [sym_alter_database] = STATE(10649),
    [sym_alter_role] = STATE(10649),
    [sym_alter_index] = STATE(10649),
    [sym_alter_sequence] = STATE(10649),
    [sym_alter_type] = STATE(10649),
    [sym__drop_statement] = STATE(10649),
    [sym_drop_table] = STATE(10649),
    [sym_drop_view] = STATE(10649),
    [sym_drop_schema] = STATE(10649),
    [sym_drop_database] = STATE(10649),
    [sym_drop_role] = STATE(10649),
    [sym_drop_type] = STATE(10649),
    [sym_drop_sequence] = STATE(10649),
    [sym_drop_index] = STATE(10649),
    [sym_drop_extension] = STATE(10649),
    [sym__copy_statement] = STATE(10658),
    [sym__insert_statement] = STATE(10658),
    [sym_insert] = STATE(9896),
    [sym__update_statement] = STATE(10658),
    [sym__merge_statement] = STATE(10675),
    [sym__optimize_statement] = STATE(10649),
    [sym__compute_stats] = STATE(10649),
    [sym__optimize_table] = STATE(10649),
    [sym__vacuum_table] = STATE(10649),
    [sym_update] = STATE(9854),
    [aux_sym_transaction_repeat1] = STATE(91),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_set] = ACTIONS(19),
    [sym_keyword_create] = ACTIONS(21),
    [sym_keyword_alter] = ACTIONS(23),
    [sym_keyword_analyze] = ACTIONS(25),
    [sym_keyword_explain] = ACTIONS(27),
    [sym_keyword_drop] = ACTIONS(29),
    [sym_keyword_end] = ACTIONS(1390),
    [sym_keyword_with] = ACTIONS(31),
    [sym_keyword_rename] = ACTIONS(33),
    [sym_keyword_reset] = ACTIONS(35),
    [sym_keyword_commit] = ACTIONS(1382),
    [sym_keyword_rollback] = ACTIONS(1384),
    [sym_keyword_vacuum] = ACTIONS(39),
    [sym_keyword_copy] = ACTIONS(41),
    [sym_keyword_compute] = ACTIONS(43),
    [sym_keyword_optimize] = ACTIONS(45),
    [sym_keyword_comment] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [95] = {
    [sym_transaction] = STATE(14454),
    [sym_block] = STATE(14454),
    [sym_statement] = STATE(11580),
    [sym__ddl_statement] = STATE(10649),
    [sym__cte] = STATE(6881),
    [sym__dml_write] = STATE(10651),
    [sym__dml_read] = STATE(10654),
    [sym_set_operation] = STATE(8014),
    [sym__select_statement] = STATE(7540),
    [sym_comment_statement] = STATE(10649),
    [sym_select] = STATE(7475),
    [sym__truncate_statement] = STATE(10658),
    [sym__delete_statement] = STATE(10658),
    [sym_delete] = STATE(11355),
    [sym__create_statement] = STATE(10649),
    [sym_create_table] = STATE(10649),
    [sym_reset_statement] = STATE(10649),
    [sym_set_statement] = STATE(10649),
    [sym_create_view] = STATE(10649),
    [sym_create_materialized_view] = STATE(10649),
    [sym_create_function] = STATE(10649),
    [sym_create_index] = STATE(10649),
    [sym_create_schema] = STATE(6953),
    [sym_create_database] = STATE(10649),
    [sym_create_role] = STATE(10649),
    [sym_create_sequence] = STATE(10649),
    [sym_create_extension] = STATE(10649),
    [sym_create_trigger] = STATE(10649),
    [sym_create_type] = STATE(10649),
    [sym__alter_statement] = STATE(10649),
    [sym__rename_statement] = STATE(10664),
    [sym_alter_table] = STATE(10649),
    [sym_alter_view] = STATE(10649),
    [sym_alter_schema] = STATE(10649),
    [sym_alter_database] = STATE(10649),
    [sym_alter_role] = STATE(10649),
    [sym_alter_index] = STATE(10649),
    [sym_alter_sequence] = STATE(10649),
    [sym_alter_type] = STATE(10649),
    [sym__drop_statement] = STATE(10649),
    [sym_drop_table] = STATE(10649),
    [sym_drop_view] = STATE(10649),
    [sym_drop_schema] = STATE(10649),
    [sym_drop_database] = STATE(10649),
    [sym_drop_role] = STATE(10649),
    [sym_drop_type] = STATE(10649),
    [sym_drop_sequence] = STATE(10649),
    [sym_drop_index] = STATE(10649),
    [sym_drop_extension] = STATE(10649),
    [sym__copy_statement] = STATE(10658),
    [sym__insert_statement] = STATE(10658),
    [sym_insert] = STATE(9896),
    [sym__update_statement] = STATE(10658),
    [sym__merge_statement] = STATE(10675),
    [sym__optimize_statement] = STATE(10649),
    [sym__compute_stats] = STATE(10649),
    [sym__optimize_table] = STATE(10649),
    [sym__vacuum_table] = STATE(10649),
    [sym_update] = STATE(9854),
    [aux_sym_program_repeat1] = STATE(98),
    [ts_builtin_sym_end] = ACTIONS(1394),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_set] = ACTIONS(19),
    [sym_keyword_create] = ACTIONS(21),
    [sym_keyword_alter] = ACTIONS(23),
    [sym_keyword_analyze] = ACTIONS(25),
    [sym_keyword_explain] = ACTIONS(27),
    [sym_keyword_drop] = ACTIONS(29),
    [sym_keyword_with] = ACTIONS(31),
    [sym_keyword_rename] = ACTIONS(33),
    [sym_keyword_reset] = ACTIONS(35),
    [sym_keyword_begin] = ACTIONS(37),
    [sym_keyword_vacuum] = ACTIONS(39),
    [sym_keyword_copy] = ACTIONS(41),
    [sym_keyword_compute] = ACTIONS(43),
    [sym_keyword_optimize] = ACTIONS(45),
    [sym_keyword_comment] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [96] = {
    [sym_statement] = STATE(14020),
    [sym__ddl_statement] = STATE(10649),
    [sym__cte] = STATE(6881),
    [sym__dml_write] = STATE(10651),
    [sym__dml_read] = STATE(10654),
    [sym_set_operation] = STATE(8014),
    [sym__select_statement] = STATE(7540),
    [sym_comment_statement] = STATE(10649),
    [sym_select] = STATE(7475),
    [sym__truncate_statement] = STATE(10658),
    [sym__delete_statement] = STATE(10658),
    [sym_delete] = STATE(11355),
    [sym__create_statement] = STATE(10649),
    [sym_create_table] = STATE(10649),
    [sym_reset_statement] = STATE(10649),
    [sym_set_statement] = STATE(10649),
    [sym_create_view] = STATE(10649),
    [sym_create_materialized_view] = STATE(10649),
    [sym_create_function] = STATE(10649),
    [sym__function_return] = STATE(14020),
    [sym__function_body_statement] = STATE(14020),
    [sym_create_index] = STATE(10649),
    [sym_create_schema] = STATE(6953),
    [sym_create_database] = STATE(10649),
    [sym_create_role] = STATE(10649),
    [sym_create_sequence] = STATE(10649),
    [sym_create_extension] = STATE(10649),
    [sym_create_trigger] = STATE(10649),
    [sym_create_type] = STATE(10649),
    [sym__alter_statement] = STATE(10649),
    [sym__rename_statement] = STATE(10664),
    [sym_alter_table] = STATE(10649),
    [sym_alter_view] = STATE(10649),
    [sym_alter_schema] = STATE(10649),
    [sym_alter_database] = STATE(10649),
    [sym_alter_role] = STATE(10649),
    [sym_alter_index] = STATE(10649),
    [sym_alter_sequence] = STATE(10649),
    [sym_alter_type] = STATE(10649),
    [sym__drop_statement] = STATE(10649),
    [sym_drop_table] = STATE(10649),
    [sym_drop_view] = STATE(10649),
    [sym_drop_schema] = STATE(10649),
    [sym_drop_database] = STATE(10649),
    [sym_drop_role] = STATE(10649),
    [sym_drop_type] = STATE(10649),
    [sym_drop_sequence] = STATE(10649),
    [sym_drop_index] = STATE(10649),
    [sym_drop_extension] = STATE(10649),
    [sym__copy_statement] = STATE(10658),
    [sym__insert_statement] = STATE(10658),
    [sym_insert] = STATE(9896),
    [sym__update_statement] = STATE(10658),
    [sym__merge_statement] = STATE(10675),
    [sym__optimize_statement] = STATE(10649),
    [sym__compute_stats] = STATE(10649),
    [sym__optimize_table] = STATE(10649),
    [sym__vacuum_table] = STATE(10649),
    [sym_update] = STATE(9854),
    [aux_sym_function_body_repeat1] = STATE(107),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_set] = ACTIONS(19),
    [sym_keyword_create] = ACTIONS(21),
    [sym_keyword_alter] = ACTIONS(23),
    [sym_keyword_analyze] = ACTIONS(25),
    [sym_keyword_explain] = ACTIONS(27),
    [sym_keyword_drop] = ACTIONS(29),
    [sym_keyword_end] = ACTIONS(1396),
    [sym_keyword_with] = ACTIONS(31),
    [sym_keyword_rename] = ACTIONS(33),
    [sym_keyword_reset] = ACTIONS(35),
    [sym_keyword_vacuum] = ACTIONS(39),
    [sym_keyword_copy] = ACTIONS(41),
    [sym_keyword_return] = ACTIONS(1398),
    [sym_keyword_compute] = ACTIONS(43),
    [sym_keyword_optimize] = ACTIONS(45),
    [sym_keyword_comment] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [97] = {
    [sym_statement] = STATE(14020),
    [sym__ddl_statement] = STATE(10649),
    [sym__cte] = STATE(6881),
    [sym__dml_write] = STATE(10651),
    [sym__dml_read] = STATE(10654),
    [sym_set_operation] = STATE(8014),
    [sym__select_statement] = STATE(7540),
    [sym_comment_statement] = STATE(10649),
    [sym_select] = STATE(7475),
    [sym__truncate_statement] = STATE(10658),
    [sym__delete_statement] = STATE(10658),
    [sym_delete] = STATE(11355),
    [sym__create_statement] = STATE(10649),
    [sym_create_table] = STATE(10649),
    [sym_reset_statement] = STATE(10649),
    [sym_set_statement] = STATE(10649),
    [sym_create_view] = STATE(10649),
    [sym_create_materialized_view] = STATE(10649),
    [sym_create_function] = STATE(10649),
    [sym__function_return] = STATE(14020),
    [sym__function_body_statement] = STATE(14020),
    [sym_create_index] = STATE(10649),
    [sym_create_schema] = STATE(6953),
    [sym_create_database] = STATE(10649),
    [sym_create_role] = STATE(10649),
    [sym_create_sequence] = STATE(10649),
    [sym_create_extension] = STATE(10649),
    [sym_create_trigger] = STATE(10649),
    [sym_create_type] = STATE(10649),
    [sym__alter_statement] = STATE(10649),
    [sym__rename_statement] = STATE(10664),
    [sym_alter_table] = STATE(10649),
    [sym_alter_view] = STATE(10649),
    [sym_alter_schema] = STATE(10649),
    [sym_alter_database] = STATE(10649),
    [sym_alter_role] = STATE(10649),
    [sym_alter_index] = STATE(10649),
    [sym_alter_sequence] = STATE(10649),
    [sym_alter_type] = STATE(10649),
    [sym__drop_statement] = STATE(10649),
    [sym_drop_table] = STATE(10649),
    [sym_drop_view] = STATE(10649),
    [sym_drop_schema] = STATE(10649),
    [sym_drop_database] = STATE(10649),
    [sym_drop_role] = STATE(10649),
    [sym_drop_type] = STATE(10649),
    [sym_drop_sequence] = STATE(10649),
    [sym_drop_index] = STATE(10649),
    [sym_drop_extension] = STATE(10649),
    [sym__copy_statement] = STATE(10658),
    [sym__insert_statement] = STATE(10658),
    [sym_insert] = STATE(9896),
    [sym__update_statement] = STATE(10658),
    [sym__merge_statement] = STATE(10675),
    [sym__optimize_statement] = STATE(10649),
    [sym__compute_stats] = STATE(10649),
    [sym__optimize_table] = STATE(10649),
    [sym__vacuum_table] = STATE(10649),
    [sym_update] = STATE(9854),
    [aux_sym_function_body_repeat1] = STATE(107),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_set] = ACTIONS(19),
    [sym_keyword_create] = ACTIONS(21),
    [sym_keyword_alter] = ACTIONS(23),
    [sym_keyword_analyze] = ACTIONS(25),
    [sym_keyword_explain] = ACTIONS(27),
    [sym_keyword_drop] = ACTIONS(29),
    [sym_keyword_end] = ACTIONS(1400),
    [sym_keyword_with] = ACTIONS(31),
    [sym_keyword_rename] = ACTIONS(33),
    [sym_keyword_reset] = ACTIONS(35),
    [sym_keyword_vacuum] = ACTIONS(39),
    [sym_keyword_copy] = ACTIONS(41),
    [sym_keyword_return] = ACTIONS(1398),
    [sym_keyword_compute] = ACTIONS(43),
    [sym_keyword_optimize] = ACTIONS(45),
    [sym_keyword_comment] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [98] = {
    [sym_transaction] = STATE(14454),
    [sym_block] = STATE(14454),
    [sym_statement] = STATE(14454),
    [sym__ddl_statement] = STATE(10649),
    [sym__cte] = STATE(6881),
    [sym__dml_write] = STATE(10651),
    [sym__dml_read] = STATE(10654),
    [sym_set_operation] = STATE(8014),
    [sym__select_statement] = STATE(7540),
    [sym_comment_statement] = STATE(10649),
    [sym_select] = STATE(7475),
    [sym__truncate_statement] = STATE(10658),
    [sym__delete_statement] = STATE(10658),
    [sym_delete] = STATE(11355),
    [sym__create_statement] = STATE(10649),
    [sym_create_table] = STATE(10649),
    [sym_reset_statement] = STATE(10649),
    [sym_set_statement] = STATE(10649),
    [sym_create_view] = STATE(10649),
    [sym_create_materialized_view] = STATE(10649),
    [sym_create_function] = STATE(10649),
    [sym_create_index] = STATE(10649),
    [sym_create_schema] = STATE(6953),
    [sym_create_database] = STATE(10649),
    [sym_create_role] = STATE(10649),
    [sym_create_sequence] = STATE(10649),
    [sym_create_extension] = STATE(10649),
    [sym_create_trigger] = STATE(10649),
    [sym_create_type] = STATE(10649),
    [sym__alter_statement] = STATE(10649),
    [sym__rename_statement] = STATE(10664),
    [sym_alter_table] = STATE(10649),
    [sym_alter_view] = STATE(10649),
    [sym_alter_schema] = STATE(10649),
    [sym_alter_database] = STATE(10649),
    [sym_alter_role] = STATE(10649),
    [sym_alter_index] = STATE(10649),
    [sym_alter_sequence] = STATE(10649),
    [sym_alter_type] = STATE(10649),
    [sym__drop_statement] = STATE(10649),
    [sym_drop_table] = STATE(10649),
    [sym_drop_view] = STATE(10649),
    [sym_drop_schema] = STATE(10649),
    [sym_drop_database] = STATE(10649),
    [sym_drop_role] = STATE(10649),
    [sym_drop_type] = STATE(10649),
    [sym_drop_sequence] = STATE(10649),
    [sym_drop_index] = STATE(10649),
    [sym_drop_extension] = STATE(10649),
    [sym__copy_statement] = STATE(10658),
    [sym__insert_statement] = STATE(10658),
    [sym_insert] = STATE(9896),
    [sym__update_statement] = STATE(10658),
    [sym__merge_statement] = STATE(10675),
    [sym__optimize_statement] = STATE(10649),
    [sym__compute_stats] = STATE(10649),
    [sym__optimize_table] = STATE(10649),
    [sym__vacuum_table] = STATE(10649),
    [sym_update] = STATE(9854),
    [aux_sym_program_repeat1] = STATE(98),
    [ts_builtin_sym_end] = ACTIONS(1402),
    [sym_keyword_select] = ACTIONS(1404),
    [sym_keyword_delete] = ACTIONS(1407),
    [sym_keyword_insert] = ACTIONS(1410),
    [sym_keyword_replace] = ACTIONS(1410),
    [sym_keyword_update] = ACTIONS(1413),
    [sym_keyword_truncate] = ACTIONS(1416),
    [sym_keyword_merge] = ACTIONS(1419),
    [sym_keyword_set] = ACTIONS(1422),
    [sym_keyword_create] = ACTIONS(1425),
    [sym_keyword_alter] = ACTIONS(1428),
    [sym_keyword_analyze] = ACTIONS(1431),
    [sym_keyword_explain] = ACTIONS(1434),
    [sym_keyword_drop] = ACTIONS(1437),
    [sym_keyword_with] = ACTIONS(1440),
    [sym_keyword_rename] = ACTIONS(1443),
    [sym_keyword_reset] = ACTIONS(1446),
    [sym_keyword_begin] = ACTIONS(1449),
    [sym_keyword_vacuum] = ACTIONS(1452),
    [sym_keyword_copy] = ACTIONS(1455),
    [sym_keyword_compute] = ACTIONS(1458),
    [sym_keyword_optimize] = ACTIONS(1461),
    [sym_keyword_comment] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1467),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [99] = {
    [sym_statement] = STATE(14020),
    [sym__ddl_statement] = STATE(10649),
    [sym__cte] = STATE(6881),
    [sym__dml_write] = STATE(10651),
    [sym__dml_read] = STATE(10654),
    [sym_set_operation] = STATE(8014),
    [sym__select_statement] = STATE(7540),
    [sym_comment_statement] = STATE(10649),
    [sym_select] = STATE(7475),
    [sym__truncate_statement] = STATE(10658),
    [sym__delete_statement] = STATE(10658),
    [sym_delete] = STATE(11355),
    [sym__create_statement] = STATE(10649),
    [sym_create_table] = STATE(10649),
    [sym_reset_statement] = STATE(10649),
    [sym_set_statement] = STATE(10649),
    [sym_create_view] = STATE(10649),
    [sym_create_materialized_view] = STATE(10649),
    [sym_create_function] = STATE(10649),
    [sym__function_return] = STATE(14020),
    [sym__function_body_statement] = STATE(14020),
    [sym_create_index] = STATE(10649),
    [sym_create_schema] = STATE(6953),
    [sym_create_database] = STATE(10649),
    [sym_create_role] = STATE(10649),
    [sym_create_sequence] = STATE(10649),
    [sym_create_extension] = STATE(10649),
    [sym_create_trigger] = STATE(10649),
    [sym_create_type] = STATE(10649),
    [sym__alter_statement] = STATE(10649),
    [sym__rename_statement] = STATE(10664),
    [sym_alter_table] = STATE(10649),
    [sym_alter_view] = STATE(10649),
    [sym_alter_schema] = STATE(10649),
    [sym_alter_database] = STATE(10649),
    [sym_alter_role] = STATE(10649),
    [sym_alter_index] = STATE(10649),
    [sym_alter_sequence] = STATE(10649),
    [sym_alter_type] = STATE(10649),
    [sym__drop_statement] = STATE(10649),
    [sym_drop_table] = STATE(10649),
    [sym_drop_view] = STATE(10649),
    [sym_drop_schema] = STATE(10649),
    [sym_drop_database] = STATE(10649),
    [sym_drop_role] = STATE(10649),
    [sym_drop_type] = STATE(10649),
    [sym_drop_sequence] = STATE(10649),
    [sym_drop_index] = STATE(10649),
    [sym_drop_extension] = STATE(10649),
    [sym__copy_statement] = STATE(10658),
    [sym__insert_statement] = STATE(10658),
    [sym_insert] = STATE(9896),
    [sym__update_statement] = STATE(10658),
    [sym__merge_statement] = STATE(10675),
    [sym__optimize_statement] = STATE(10649),
    [sym__compute_stats] = STATE(10649),
    [sym__optimize_table] = STATE(10649),
    [sym__vacuum_table] = STATE(10649),
    [sym_update] = STATE(9854),
    [aux_sym_function_body_repeat1] = STATE(107),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_set] = ACTIONS(19),
    [sym_keyword_create] = ACTIONS(21),
    [sym_keyword_alter] = ACTIONS(23),
    [sym_keyword_analyze] = ACTIONS(25),
    [sym_keyword_explain] = ACTIONS(27),
    [sym_keyword_drop] = ACTIONS(29),
    [sym_keyword_end] = ACTIONS(1470),
    [sym_keyword_with] = ACTIONS(31),
    [sym_keyword_rename] = ACTIONS(33),
    [sym_keyword_reset] = ACTIONS(35),
    [sym_keyword_vacuum] = ACTIONS(39),
    [sym_keyword_copy] = ACTIONS(41),
    [sym_keyword_return] = ACTIONS(1398),
    [sym_keyword_compute] = ACTIONS(43),
    [sym_keyword_optimize] = ACTIONS(45),
    [sym_keyword_comment] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [100] = {
    [sym_statement] = STATE(11542),
    [sym__ddl_statement] = STATE(11395),
    [sym__cte] = STATE(6889),
    [sym__dml_write] = STATE(11394),
    [sym__dml_read] = STATE(11392),
    [sym_set_operation] = STATE(8298),
    [sym__select_statement] = STATE(7622),
    [sym_comment_statement] = STATE(11395),
    [sym_select] = STATE(7513),
    [sym__truncate_statement] = STATE(11390),
    [sym__delete_statement] = STATE(11390),
    [sym_delete] = STATE(11595),
    [sym__create_statement] = STATE(11395),
    [sym_create_table] = STATE(11395),
    [sym_reset_statement] = STATE(11395),
    [sym_set_statement] = STATE(11395),
    [sym_create_view] = STATE(11395),
    [sym_create_materialized_view] = STATE(11395),
    [sym_create_function] = STATE(11395),
    [sym__function_return] = STATE(11542),
    [sym__function_body_statement] = STATE(11542),
    [sym_create_index] = STATE(11395),
    [sym_create_schema] = STATE(6986),
    [sym_create_database] = STATE(11395),
    [sym_create_role] = STATE(11395),
    [sym_create_sequence] = STATE(11395),
    [sym_create_extension] = STATE(11395),
    [sym_create_trigger] = STATE(11395),
    [sym_create_type] = STATE(11395),
    [sym__alter_statement] = STATE(11395),
    [sym__rename_statement] = STATE(11389),
    [sym_alter_table] = STATE(11395),
    [sym_alter_view] = STATE(11395),
    [sym_alter_schema] = STATE(11395),
    [sym_alter_database] = STATE(11395),
    [sym_alter_role] = STATE(11395),
    [sym_alter_index] = STATE(11395),
    [sym_alter_sequence] = STATE(11395),
    [sym_alter_type] = STATE(11395),
    [sym__drop_statement] = STATE(11395),
    [sym_drop_table] = STATE(11395),
    [sym_drop_view] = STATE(11395),
    [sym_drop_schema] = STATE(11395),
    [sym_drop_database] = STATE(11395),
    [sym_drop_role] = STATE(11395),
    [sym_drop_type] = STATE(11395),
    [sym_drop_sequence] = STATE(11395),
    [sym_drop_index] = STATE(11395),
    [sym_drop_extension] = STATE(11395),
    [sym__copy_statement] = STATE(11390),
    [sym__insert_statement] = STATE(11390),
    [sym_insert] = STATE(9562),
    [sym__update_statement] = STATE(11390),
    [sym__merge_statement] = STATE(11387),
    [sym__optimize_statement] = STATE(11395),
    [sym__compute_stats] = STATE(11395),
    [sym__optimize_table] = STATE(11395),
    [sym__vacuum_table] = STATE(11395),
    [sym_update] = STATE(9696),
    [sym_keyword_select] = ACTIONS(1472),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(1474),
    [sym_keyword_replace] = ACTIONS(1474),
    [sym_keyword_update] = ACTIONS(1476),
    [sym_keyword_truncate] = ACTIONS(1478),
    [sym_keyword_merge] = ACTIONS(1480),
    [sym_keyword_set] = ACTIONS(1482),
    [sym_keyword_create] = ACTIONS(1484),
    [sym_keyword_alter] = ACTIONS(1486),
    [sym_keyword_analyze] = ACTIONS(1488),
    [sym_keyword_explain] = ACTIONS(1490),
    [sym_keyword_drop] = ACTIONS(1492),
    [sym_keyword_with] = ACTIONS(31),
    [sym_keyword_rename] = ACTIONS(1494),
    [sym_keyword_reset] = ACTIONS(1496),
    [sym_keyword_begin] = ACTIONS(1498),
    [sym_keyword_vacuum] = ACTIONS(1500),
    [sym_keyword_copy] = ACTIONS(1502),
    [sym_keyword_return] = ACTIONS(1504),
    [sym_keyword_declare] = ACTIONS(1506),
    [sym_keyword_compute] = ACTIONS(1508),
    [sym_keyword_optimize] = ACTIONS(1510),
    [sym_keyword_comment] = ACTIONS(1512),
    [anon_sym_LPAREN] = ACTIONS(1514),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [101] = {
    [sym__commit] = STATE(12530),
    [sym__rollback] = STATE(12530),
    [sym_statement] = STATE(14111),
    [sym__ddl_statement] = STATE(10649),
    [sym__cte] = STATE(6881),
    [sym__dml_write] = STATE(10651),
    [sym__dml_read] = STATE(10654),
    [sym_set_operation] = STATE(8014),
    [sym__select_statement] = STATE(7540),
    [sym_comment_statement] = STATE(10649),
    [sym_select] = STATE(7475),
    [sym__truncate_statement] = STATE(10658),
    [sym__delete_statement] = STATE(10658),
    [sym_delete] = STATE(11355),
    [sym__create_statement] = STATE(10649),
    [sym_create_table] = STATE(10649),
    [sym_reset_statement] = STATE(10649),
    [sym_set_statement] = STATE(10649),
    [sym_create_view] = STATE(10649),
    [sym_create_materialized_view] = STATE(10649),
    [sym_create_function] = STATE(10649),
    [sym_create_index] = STATE(10649),
    [sym_create_schema] = STATE(6953),
    [sym_create_database] = STATE(10649),
    [sym_create_role] = STATE(10649),
    [sym_create_sequence] = STATE(10649),
    [sym_create_extension] = STATE(10649),
    [sym_create_trigger] = STATE(10649),
    [sym_create_type] = STATE(10649),
    [sym__alter_statement] = STATE(10649),
    [sym__rename_statement] = STATE(10664),
    [sym_alter_table] = STATE(10649),
    [sym_alter_view] = STATE(10649),
    [sym_alter_schema] = STATE(10649),
    [sym_alter_database] = STATE(10649),
    [sym_alter_role] = STATE(10649),
    [sym_alter_index] = STATE(10649),
    [sym_alter_sequence] = STATE(10649),
    [sym_alter_type] = STATE(10649),
    [sym__drop_statement] = STATE(10649),
    [sym_drop_table] = STATE(10649),
    [sym_drop_view] = STATE(10649),
    [sym_drop_schema] = STATE(10649),
    [sym_drop_database] = STATE(10649),
    [sym_drop_role] = STATE(10649),
    [sym_drop_type] = STATE(10649),
    [sym_drop_sequence] = STATE(10649),
    [sym_drop_index] = STATE(10649),
    [sym_drop_extension] = STATE(10649),
    [sym__copy_statement] = STATE(10658),
    [sym__insert_statement] = STATE(10658),
    [sym_insert] = STATE(9896),
    [sym__update_statement] = STATE(10658),
    [sym__merge_statement] = STATE(10675),
    [sym__optimize_statement] = STATE(10649),
    [sym__compute_stats] = STATE(10649),
    [sym__optimize_table] = STATE(10649),
    [sym__vacuum_table] = STATE(10649),
    [sym_update] = STATE(9854),
    [aux_sym_transaction_repeat1] = STATE(110),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_set] = ACTIONS(19),
    [sym_keyword_create] = ACTIONS(21),
    [sym_keyword_alter] = ACTIONS(23),
    [sym_keyword_analyze] = ACTIONS(25),
    [sym_keyword_explain] = ACTIONS(27),
    [sym_keyword_drop] = ACTIONS(29),
    [sym_keyword_with] = ACTIONS(31),
    [sym_keyword_rename] = ACTIONS(33),
    [sym_keyword_reset] = ACTIONS(35),
    [sym_keyword_commit] = ACTIONS(1382),
    [sym_keyword_rollback] = ACTIONS(1384),
    [sym_keyword_vacuum] = ACTIONS(39),
    [sym_keyword_copy] = ACTIONS(41),
    [sym_keyword_compute] = ACTIONS(43),
    [sym_keyword_optimize] = ACTIONS(45),
    [sym_keyword_comment] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [102] = {
    [sym_statement] = STATE(11700),
    [sym__ddl_statement] = STATE(11395),
    [sym__cte] = STATE(6889),
    [sym__dml_write] = STATE(11394),
    [sym__dml_read] = STATE(11392),
    [sym_set_operation] = STATE(8298),
    [sym__select_statement] = STATE(7622),
    [sym_comment_statement] = STATE(11395),
    [sym_select] = STATE(7513),
    [sym__truncate_statement] = STATE(11390),
    [sym__delete_statement] = STATE(11390),
    [sym_delete] = STATE(11595),
    [sym__create_statement] = STATE(11395),
    [sym_create_table] = STATE(11395),
    [sym_reset_statement] = STATE(11395),
    [sym_set_statement] = STATE(11395),
    [sym_create_view] = STATE(11395),
    [sym_create_materialized_view] = STATE(11395),
    [sym_create_function] = STATE(11395),
    [sym__function_return] = STATE(11700),
    [sym__function_body_statement] = STATE(11700),
    [sym_create_index] = STATE(11395),
    [sym_create_schema] = STATE(6986),
    [sym_create_database] = STATE(11395),
    [sym_create_role] = STATE(11395),
    [sym_create_sequence] = STATE(11395),
    [sym_create_extension] = STATE(11395),
    [sym_create_trigger] = STATE(11395),
    [sym_create_type] = STATE(11395),
    [sym__alter_statement] = STATE(11395),
    [sym__rename_statement] = STATE(11389),
    [sym_alter_table] = STATE(11395),
    [sym_alter_view] = STATE(11395),
    [sym_alter_schema] = STATE(11395),
    [sym_alter_database] = STATE(11395),
    [sym_alter_role] = STATE(11395),
    [sym_alter_index] = STATE(11395),
    [sym_alter_sequence] = STATE(11395),
    [sym_alter_type] = STATE(11395),
    [sym__drop_statement] = STATE(11395),
    [sym_drop_table] = STATE(11395),
    [sym_drop_view] = STATE(11395),
    [sym_drop_schema] = STATE(11395),
    [sym_drop_database] = STATE(11395),
    [sym_drop_role] = STATE(11395),
    [sym_drop_type] = STATE(11395),
    [sym_drop_sequence] = STATE(11395),
    [sym_drop_index] = STATE(11395),
    [sym_drop_extension] = STATE(11395),
    [sym__copy_statement] = STATE(11390),
    [sym__insert_statement] = STATE(11390),
    [sym_insert] = STATE(9562),
    [sym__update_statement] = STATE(11390),
    [sym__merge_statement] = STATE(11387),
    [sym__optimize_statement] = STATE(11395),
    [sym__compute_stats] = STATE(11395),
    [sym__optimize_table] = STATE(11395),
    [sym__vacuum_table] = STATE(11395),
    [sym_update] = STATE(9696),
    [sym_keyword_select] = ACTIONS(1472),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(1474),
    [sym_keyword_replace] = ACTIONS(1474),
    [sym_keyword_update] = ACTIONS(1476),
    [sym_keyword_truncate] = ACTIONS(1478),
    [sym_keyword_merge] = ACTIONS(1480),
    [sym_keyword_set] = ACTIONS(1482),
    [sym_keyword_create] = ACTIONS(1484),
    [sym_keyword_alter] = ACTIONS(1486),
    [sym_keyword_analyze] = ACTIONS(1488),
    [sym_keyword_explain] = ACTIONS(1490),
    [sym_keyword_drop] = ACTIONS(1492),
    [sym_keyword_with] = ACTIONS(31),
    [sym_keyword_rename] = ACTIONS(1494),
    [sym_keyword_reset] = ACTIONS(1496),
    [sym_keyword_begin] = ACTIONS(1516),
    [sym_keyword_vacuum] = ACTIONS(1500),
    [sym_keyword_copy] = ACTIONS(1502),
    [sym_keyword_return] = ACTIONS(1504),
    [sym_keyword_declare] = ACTIONS(1518),
    [sym_keyword_compute] = ACTIONS(1508),
    [sym_keyword_optimize] = ACTIONS(1510),
    [sym_keyword_comment] = ACTIONS(1512),
    [anon_sym_LPAREN] = ACTIONS(1514),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [103] = {
    [sym__commit] = STATE(12530),
    [sym__rollback] = STATE(12530),
    [sym_statement] = STATE(14111),
    [sym__ddl_statement] = STATE(10649),
    [sym__cte] = STATE(6881),
    [sym__dml_write] = STATE(10651),
    [sym__dml_read] = STATE(10654),
    [sym_set_operation] = STATE(8014),
    [sym__select_statement] = STATE(7540),
    [sym_comment_statement] = STATE(10649),
    [sym_select] = STATE(7475),
    [sym__truncate_statement] = STATE(10658),
    [sym__delete_statement] = STATE(10658),
    [sym_delete] = STATE(11355),
    [sym__create_statement] = STATE(10649),
    [sym_create_table] = STATE(10649),
    [sym_reset_statement] = STATE(10649),
    [sym_set_statement] = STATE(10649),
    [sym_create_view] = STATE(10649),
    [sym_create_materialized_view] = STATE(10649),
    [sym_create_function] = STATE(10649),
    [sym_create_index] = STATE(10649),
    [sym_create_schema] = STATE(6953),
    [sym_create_database] = STATE(10649),
    [sym_create_role] = STATE(10649),
    [sym_create_sequence] = STATE(10649),
    [sym_create_extension] = STATE(10649),
    [sym_create_trigger] = STATE(10649),
    [sym_create_type] = STATE(10649),
    [sym__alter_statement] = STATE(10649),
    [sym__rename_statement] = STATE(10664),
    [sym_alter_table] = STATE(10649),
    [sym_alter_view] = STATE(10649),
    [sym_alter_schema] = STATE(10649),
    [sym_alter_database] = STATE(10649),
    [sym_alter_role] = STATE(10649),
    [sym_alter_index] = STATE(10649),
    [sym_alter_sequence] = STATE(10649),
    [sym_alter_type] = STATE(10649),
    [sym__drop_statement] = STATE(10649),
    [sym_drop_table] = STATE(10649),
    [sym_drop_view] = STATE(10649),
    [sym_drop_schema] = STATE(10649),
    [sym_drop_database] = STATE(10649),
    [sym_drop_role] = STATE(10649),
    [sym_drop_type] = STATE(10649),
    [sym_drop_sequence] = STATE(10649),
    [sym_drop_index] = STATE(10649),
    [sym_drop_extension] = STATE(10649),
    [sym__copy_statement] = STATE(10658),
    [sym__insert_statement] = STATE(10658),
    [sym_insert] = STATE(9896),
    [sym__update_statement] = STATE(10658),
    [sym__merge_statement] = STATE(10675),
    [sym__optimize_statement] = STATE(10649),
    [sym__compute_stats] = STATE(10649),
    [sym__optimize_table] = STATE(10649),
    [sym__vacuum_table] = STATE(10649),
    [sym_update] = STATE(9854),
    [aux_sym_transaction_repeat1] = STATE(106),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_set] = ACTIONS(19),
    [sym_keyword_create] = ACTIONS(21),
    [sym_keyword_alter] = ACTIONS(23),
    [sym_keyword_analyze] = ACTIONS(25),
    [sym_keyword_explain] = ACTIONS(27),
    [sym_keyword_drop] = ACTIONS(29),
    [sym_keyword_with] = ACTIONS(31),
    [sym_keyword_rename] = ACTIONS(33),
    [sym_keyword_reset] = ACTIONS(35),
    [sym_keyword_commit] = ACTIONS(1382),
    [sym_keyword_rollback] = ACTIONS(1384),
    [sym_keyword_vacuum] = ACTIONS(39),
    [sym_keyword_copy] = ACTIONS(41),
    [sym_keyword_compute] = ACTIONS(43),
    [sym_keyword_optimize] = ACTIONS(45),
    [sym_keyword_comment] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [104] = {
    [sym_statement] = STATE(14020),
    [sym__ddl_statement] = STATE(10649),
    [sym__cte] = STATE(6881),
    [sym__dml_write] = STATE(10651),
    [sym__dml_read] = STATE(10654),
    [sym_set_operation] = STATE(8014),
    [sym__select_statement] = STATE(7540),
    [sym_comment_statement] = STATE(10649),
    [sym_select] = STATE(7475),
    [sym__truncate_statement] = STATE(10658),
    [sym__delete_statement] = STATE(10658),
    [sym_delete] = STATE(11355),
    [sym__create_statement] = STATE(10649),
    [sym_create_table] = STATE(10649),
    [sym_reset_statement] = STATE(10649),
    [sym_set_statement] = STATE(10649),
    [sym_create_view] = STATE(10649),
    [sym_create_materialized_view] = STATE(10649),
    [sym_create_function] = STATE(10649),
    [sym__function_return] = STATE(14020),
    [sym__function_body_statement] = STATE(14020),
    [sym_create_index] = STATE(10649),
    [sym_create_schema] = STATE(6953),
    [sym_create_database] = STATE(10649),
    [sym_create_role] = STATE(10649),
    [sym_create_sequence] = STATE(10649),
    [sym_create_extension] = STATE(10649),
    [sym_create_trigger] = STATE(10649),
    [sym_create_type] = STATE(10649),
    [sym__alter_statement] = STATE(10649),
    [sym__rename_statement] = STATE(10664),
    [sym_alter_table] = STATE(10649),
    [sym_alter_view] = STATE(10649),
    [sym_alter_schema] = STATE(10649),
    [sym_alter_database] = STATE(10649),
    [sym_alter_role] = STATE(10649),
    [sym_alter_index] = STATE(10649),
    [sym_alter_sequence] = STATE(10649),
    [sym_alter_type] = STATE(10649),
    [sym__drop_statement] = STATE(10649),
    [sym_drop_table] = STATE(10649),
    [sym_drop_view] = STATE(10649),
    [sym_drop_schema] = STATE(10649),
    [sym_drop_database] = STATE(10649),
    [sym_drop_role] = STATE(10649),
    [sym_drop_type] = STATE(10649),
    [sym_drop_sequence] = STATE(10649),
    [sym_drop_index] = STATE(10649),
    [sym_drop_extension] = STATE(10649),
    [sym__copy_statement] = STATE(10658),
    [sym__insert_statement] = STATE(10658),
    [sym_insert] = STATE(9896),
    [sym__update_statement] = STATE(10658),
    [sym__merge_statement] = STATE(10675),
    [sym__optimize_statement] = STATE(10649),
    [sym__compute_stats] = STATE(10649),
    [sym__optimize_table] = STATE(10649),
    [sym__vacuum_table] = STATE(10649),
    [sym_update] = STATE(9854),
    [aux_sym_function_body_repeat1] = STATE(107),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_set] = ACTIONS(19),
    [sym_keyword_create] = ACTIONS(21),
    [sym_keyword_alter] = ACTIONS(23),
    [sym_keyword_analyze] = ACTIONS(25),
    [sym_keyword_explain] = ACTIONS(27),
    [sym_keyword_drop] = ACTIONS(29),
    [sym_keyword_end] = ACTIONS(1520),
    [sym_keyword_with] = ACTIONS(31),
    [sym_keyword_rename] = ACTIONS(33),
    [sym_keyword_reset] = ACTIONS(35),
    [sym_keyword_vacuum] = ACTIONS(39),
    [sym_keyword_copy] = ACTIONS(41),
    [sym_keyword_return] = ACTIONS(1398),
    [sym_keyword_compute] = ACTIONS(43),
    [sym_keyword_optimize] = ACTIONS(45),
    [sym_keyword_comment] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [105] = {
    [sym_statement] = STATE(14020),
    [sym__ddl_statement] = STATE(10649),
    [sym__cte] = STATE(6881),
    [sym__dml_write] = STATE(10651),
    [sym__dml_read] = STATE(10654),
    [sym_set_operation] = STATE(8014),
    [sym__select_statement] = STATE(7540),
    [sym_comment_statement] = STATE(10649),
    [sym_select] = STATE(7475),
    [sym__truncate_statement] = STATE(10658),
    [sym__delete_statement] = STATE(10658),
    [sym_delete] = STATE(11355),
    [sym__create_statement] = STATE(10649),
    [sym_create_table] = STATE(10649),
    [sym_reset_statement] = STATE(10649),
    [sym_set_statement] = STATE(10649),
    [sym_create_view] = STATE(10649),
    [sym_create_materialized_view] = STATE(10649),
    [sym_create_function] = STATE(10649),
    [sym__function_return] = STATE(14020),
    [sym__function_body_statement] = STATE(14020),
    [sym_create_index] = STATE(10649),
    [sym_create_schema] = STATE(6953),
    [sym_create_database] = STATE(10649),
    [sym_create_role] = STATE(10649),
    [sym_create_sequence] = STATE(10649),
    [sym_create_extension] = STATE(10649),
    [sym_create_trigger] = STATE(10649),
    [sym_create_type] = STATE(10649),
    [sym__alter_statement] = STATE(10649),
    [sym__rename_statement] = STATE(10664),
    [sym_alter_table] = STATE(10649),
    [sym_alter_view] = STATE(10649),
    [sym_alter_schema] = STATE(10649),
    [sym_alter_database] = STATE(10649),
    [sym_alter_role] = STATE(10649),
    [sym_alter_index] = STATE(10649),
    [sym_alter_sequence] = STATE(10649),
    [sym_alter_type] = STATE(10649),
    [sym__drop_statement] = STATE(10649),
    [sym_drop_table] = STATE(10649),
    [sym_drop_view] = STATE(10649),
    [sym_drop_schema] = STATE(10649),
    [sym_drop_database] = STATE(10649),
    [sym_drop_role] = STATE(10649),
    [sym_drop_type] = STATE(10649),
    [sym_drop_sequence] = STATE(10649),
    [sym_drop_index] = STATE(10649),
    [sym_drop_extension] = STATE(10649),
    [sym__copy_statement] = STATE(10658),
    [sym__insert_statement] = STATE(10658),
    [sym_insert] = STATE(9896),
    [sym__update_statement] = STATE(10658),
    [sym__merge_statement] = STATE(10675),
    [sym__optimize_statement] = STATE(10649),
    [sym__compute_stats] = STATE(10649),
    [sym__optimize_table] = STATE(10649),
    [sym__vacuum_table] = STATE(10649),
    [sym_update] = STATE(9854),
    [aux_sym_function_body_repeat1] = STATE(107),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_set] = ACTIONS(19),
    [sym_keyword_create] = ACTIONS(21),
    [sym_keyword_alter] = ACTIONS(23),
    [sym_keyword_analyze] = ACTIONS(25),
    [sym_keyword_explain] = ACTIONS(27),
    [sym_keyword_drop] = ACTIONS(29),
    [sym_keyword_end] = ACTIONS(1522),
    [sym_keyword_with] = ACTIONS(31),
    [sym_keyword_rename] = ACTIONS(33),
    [sym_keyword_reset] = ACTIONS(35),
    [sym_keyword_vacuum] = ACTIONS(39),
    [sym_keyword_copy] = ACTIONS(41),
    [sym_keyword_return] = ACTIONS(1398),
    [sym_keyword_compute] = ACTIONS(43),
    [sym_keyword_optimize] = ACTIONS(45),
    [sym_keyword_comment] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [106] = {
    [sym__commit] = STATE(13298),
    [sym__rollback] = STATE(13298),
    [sym_statement] = STATE(14111),
    [sym__ddl_statement] = STATE(10649),
    [sym__cte] = STATE(6881),
    [sym__dml_write] = STATE(10651),
    [sym__dml_read] = STATE(10654),
    [sym_set_operation] = STATE(8014),
    [sym__select_statement] = STATE(7540),
    [sym_comment_statement] = STATE(10649),
    [sym_select] = STATE(7475),
    [sym__truncate_statement] = STATE(10658),
    [sym__delete_statement] = STATE(10658),
    [sym_delete] = STATE(11355),
    [sym__create_statement] = STATE(10649),
    [sym_create_table] = STATE(10649),
    [sym_reset_statement] = STATE(10649),
    [sym_set_statement] = STATE(10649),
    [sym_create_view] = STATE(10649),
    [sym_create_materialized_view] = STATE(10649),
    [sym_create_function] = STATE(10649),
    [sym_create_index] = STATE(10649),
    [sym_create_schema] = STATE(6953),
    [sym_create_database] = STATE(10649),
    [sym_create_role] = STATE(10649),
    [sym_create_sequence] = STATE(10649),
    [sym_create_extension] = STATE(10649),
    [sym_create_trigger] = STATE(10649),
    [sym_create_type] = STATE(10649),
    [sym__alter_statement] = STATE(10649),
    [sym__rename_statement] = STATE(10664),
    [sym_alter_table] = STATE(10649),
    [sym_alter_view] = STATE(10649),
    [sym_alter_schema] = STATE(10649),
    [sym_alter_database] = STATE(10649),
    [sym_alter_role] = STATE(10649),
    [sym_alter_index] = STATE(10649),
    [sym_alter_sequence] = STATE(10649),
    [sym_alter_type] = STATE(10649),
    [sym__drop_statement] = STATE(10649),
    [sym_drop_table] = STATE(10649),
    [sym_drop_view] = STATE(10649),
    [sym_drop_schema] = STATE(10649),
    [sym_drop_database] = STATE(10649),
    [sym_drop_role] = STATE(10649),
    [sym_drop_type] = STATE(10649),
    [sym_drop_sequence] = STATE(10649),
    [sym_drop_index] = STATE(10649),
    [sym_drop_extension] = STATE(10649),
    [sym__copy_statement] = STATE(10658),
    [sym__insert_statement] = STATE(10658),
    [sym_insert] = STATE(9896),
    [sym__update_statement] = STATE(10658),
    [sym__merge_statement] = STATE(10675),
    [sym__optimize_statement] = STATE(10649),
    [sym__compute_stats] = STATE(10649),
    [sym__optimize_table] = STATE(10649),
    [sym__vacuum_table] = STATE(10649),
    [sym_update] = STATE(9854),
    [aux_sym_transaction_repeat1] = STATE(110),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_set] = ACTIONS(19),
    [sym_keyword_create] = ACTIONS(21),
    [sym_keyword_alter] = ACTIONS(23),
    [sym_keyword_analyze] = ACTIONS(25),
    [sym_keyword_explain] = ACTIONS(27),
    [sym_keyword_drop] = ACTIONS(29),
    [sym_keyword_with] = ACTIONS(31),
    [sym_keyword_rename] = ACTIONS(33),
    [sym_keyword_reset] = ACTIONS(35),
    [sym_keyword_commit] = ACTIONS(1382),
    [sym_keyword_rollback] = ACTIONS(1384),
    [sym_keyword_vacuum] = ACTIONS(39),
    [sym_keyword_copy] = ACTIONS(41),
    [sym_keyword_compute] = ACTIONS(43),
    [sym_keyword_optimize] = ACTIONS(45),
    [sym_keyword_comment] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [107] = {
    [sym_statement] = STATE(14020),
    [sym__ddl_statement] = STATE(10649),
    [sym__cte] = STATE(6881),
    [sym__dml_write] = STATE(10651),
    [sym__dml_read] = STATE(10654),
    [sym_set_operation] = STATE(8014),
    [sym__select_statement] = STATE(7540),
    [sym_comment_statement] = STATE(10649),
    [sym_select] = STATE(7475),
    [sym__truncate_statement] = STATE(10658),
    [sym__delete_statement] = STATE(10658),
    [sym_delete] = STATE(11355),
    [sym__create_statement] = STATE(10649),
    [sym_create_table] = STATE(10649),
    [sym_reset_statement] = STATE(10649),
    [sym_set_statement] = STATE(10649),
    [sym_create_view] = STATE(10649),
    [sym_create_materialized_view] = STATE(10649),
    [sym_create_function] = STATE(10649),
    [sym__function_return] = STATE(14020),
    [sym__function_body_statement] = STATE(14020),
    [sym_create_index] = STATE(10649),
    [sym_create_schema] = STATE(6953),
    [sym_create_database] = STATE(10649),
    [sym_create_role] = STATE(10649),
    [sym_create_sequence] = STATE(10649),
    [sym_create_extension] = STATE(10649),
    [sym_create_trigger] = STATE(10649),
    [sym_create_type] = STATE(10649),
    [sym__alter_statement] = STATE(10649),
    [sym__rename_statement] = STATE(10664),
    [sym_alter_table] = STATE(10649),
    [sym_alter_view] = STATE(10649),
    [sym_alter_schema] = STATE(10649),
    [sym_alter_database] = STATE(10649),
    [sym_alter_role] = STATE(10649),
    [sym_alter_index] = STATE(10649),
    [sym_alter_sequence] = STATE(10649),
    [sym_alter_type] = STATE(10649),
    [sym__drop_statement] = STATE(10649),
    [sym_drop_table] = STATE(10649),
    [sym_drop_view] = STATE(10649),
    [sym_drop_schema] = STATE(10649),
    [sym_drop_database] = STATE(10649),
    [sym_drop_role] = STATE(10649),
    [sym_drop_type] = STATE(10649),
    [sym_drop_sequence] = STATE(10649),
    [sym_drop_index] = STATE(10649),
    [sym_drop_extension] = STATE(10649),
    [sym__copy_statement] = STATE(10658),
    [sym__insert_statement] = STATE(10658),
    [sym_insert] = STATE(9896),
    [sym__update_statement] = STATE(10658),
    [sym__merge_statement] = STATE(10675),
    [sym__optimize_statement] = STATE(10649),
    [sym__compute_stats] = STATE(10649),
    [sym__optimize_table] = STATE(10649),
    [sym__vacuum_table] = STATE(10649),
    [sym_update] = STATE(9854),
    [aux_sym_function_body_repeat1] = STATE(107),
    [sym_keyword_select] = ACTIONS(1524),
    [sym_keyword_delete] = ACTIONS(1527),
    [sym_keyword_insert] = ACTIONS(1530),
    [sym_keyword_replace] = ACTIONS(1530),
    [sym_keyword_update] = ACTIONS(1533),
    [sym_keyword_truncate] = ACTIONS(1536),
    [sym_keyword_merge] = ACTIONS(1539),
    [sym_keyword_set] = ACTIONS(1542),
    [sym_keyword_create] = ACTIONS(1545),
    [sym_keyword_alter] = ACTIONS(1548),
    [sym_keyword_analyze] = ACTIONS(1551),
    [sym_keyword_explain] = ACTIONS(1554),
    [sym_keyword_drop] = ACTIONS(1557),
    [sym_keyword_end] = ACTIONS(1560),
    [sym_keyword_with] = ACTIONS(1562),
    [sym_keyword_rename] = ACTIONS(1565),
    [sym_keyword_reset] = ACTIONS(1568),
    [sym_keyword_vacuum] = ACTIONS(1571),
    [sym_keyword_copy] = ACTIONS(1574),
    [sym_keyword_return] = ACTIONS(1577),
    [sym_keyword_compute] = ACTIONS(1580),
    [sym_keyword_optimize] = ACTIONS(1583),
    [sym_keyword_comment] = ACTIONS(1586),
    [anon_sym_LPAREN] = ACTIONS(1589),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [108] = {
    [sym_statement] = STATE(14020),
    [sym__ddl_statement] = STATE(10649),
    [sym__cte] = STATE(6881),
    [sym__dml_write] = STATE(10651),
    [sym__dml_read] = STATE(10654),
    [sym_set_operation] = STATE(8014),
    [sym__select_statement] = STATE(7540),
    [sym_comment_statement] = STATE(10649),
    [sym_select] = STATE(7475),
    [sym__truncate_statement] = STATE(10658),
    [sym__delete_statement] = STATE(10658),
    [sym_delete] = STATE(11355),
    [sym__create_statement] = STATE(10649),
    [sym_create_table] = STATE(10649),
    [sym_reset_statement] = STATE(10649),
    [sym_set_statement] = STATE(10649),
    [sym_create_view] = STATE(10649),
    [sym_create_materialized_view] = STATE(10649),
    [sym_create_function] = STATE(10649),
    [sym__function_return] = STATE(14020),
    [sym__function_body_statement] = STATE(14020),
    [sym_create_index] = STATE(10649),
    [sym_create_schema] = STATE(6953),
    [sym_create_database] = STATE(10649),
    [sym_create_role] = STATE(10649),
    [sym_create_sequence] = STATE(10649),
    [sym_create_extension] = STATE(10649),
    [sym_create_trigger] = STATE(10649),
    [sym_create_type] = STATE(10649),
    [sym__alter_statement] = STATE(10649),
    [sym__rename_statement] = STATE(10664),
    [sym_alter_table] = STATE(10649),
    [sym_alter_view] = STATE(10649),
    [sym_alter_schema] = STATE(10649),
    [sym_alter_database] = STATE(10649),
    [sym_alter_role] = STATE(10649),
    [sym_alter_index] = STATE(10649),
    [sym_alter_sequence] = STATE(10649),
    [sym_alter_type] = STATE(10649),
    [sym__drop_statement] = STATE(10649),
    [sym_drop_table] = STATE(10649),
    [sym_drop_view] = STATE(10649),
    [sym_drop_schema] = STATE(10649),
    [sym_drop_database] = STATE(10649),
    [sym_drop_role] = STATE(10649),
    [sym_drop_type] = STATE(10649),
    [sym_drop_sequence] = STATE(10649),
    [sym_drop_index] = STATE(10649),
    [sym_drop_extension] = STATE(10649),
    [sym__copy_statement] = STATE(10658),
    [sym__insert_statement] = STATE(10658),
    [sym_insert] = STATE(9896),
    [sym__update_statement] = STATE(10658),
    [sym__merge_statement] = STATE(10675),
    [sym__optimize_statement] = STATE(10649),
    [sym__compute_stats] = STATE(10649),
    [sym__optimize_table] = STATE(10649),
    [sym__vacuum_table] = STATE(10649),
    [sym_update] = STATE(9854),
    [aux_sym_function_body_repeat1] = STATE(107),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_set] = ACTIONS(19),
    [sym_keyword_create] = ACTIONS(21),
    [sym_keyword_alter] = ACTIONS(23),
    [sym_keyword_analyze] = ACTIONS(25),
    [sym_keyword_explain] = ACTIONS(27),
    [sym_keyword_drop] = ACTIONS(29),
    [sym_keyword_end] = ACTIONS(1592),
    [sym_keyword_with] = ACTIONS(31),
    [sym_keyword_rename] = ACTIONS(33),
    [sym_keyword_reset] = ACTIONS(35),
    [sym_keyword_vacuum] = ACTIONS(39),
    [sym_keyword_copy] = ACTIONS(41),
    [sym_keyword_return] = ACTIONS(1398),
    [sym_keyword_compute] = ACTIONS(43),
    [sym_keyword_optimize] = ACTIONS(45),
    [sym_keyword_comment] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [109] = {
    [sym_statement] = STATE(14020),
    [sym__ddl_statement] = STATE(10649),
    [sym__cte] = STATE(6881),
    [sym__dml_write] = STATE(10651),
    [sym__dml_read] = STATE(10654),
    [sym_set_operation] = STATE(8014),
    [sym__select_statement] = STATE(7540),
    [sym_comment_statement] = STATE(10649),
    [sym_select] = STATE(7475),
    [sym__truncate_statement] = STATE(10658),
    [sym__delete_statement] = STATE(10658),
    [sym_delete] = STATE(11355),
    [sym__create_statement] = STATE(10649),
    [sym_create_table] = STATE(10649),
    [sym_reset_statement] = STATE(10649),
    [sym_set_statement] = STATE(10649),
    [sym_create_view] = STATE(10649),
    [sym_create_materialized_view] = STATE(10649),
    [sym_create_function] = STATE(10649),
    [sym__function_return] = STATE(14020),
    [sym__function_body_statement] = STATE(14020),
    [sym_create_index] = STATE(10649),
    [sym_create_schema] = STATE(6953),
    [sym_create_database] = STATE(10649),
    [sym_create_role] = STATE(10649),
    [sym_create_sequence] = STATE(10649),
    [sym_create_extension] = STATE(10649),
    [sym_create_trigger] = STATE(10649),
    [sym_create_type] = STATE(10649),
    [sym__alter_statement] = STATE(10649),
    [sym__rename_statement] = STATE(10664),
    [sym_alter_table] = STATE(10649),
    [sym_alter_view] = STATE(10649),
    [sym_alter_schema] = STATE(10649),
    [sym_alter_database] = STATE(10649),
    [sym_alter_role] = STATE(10649),
    [sym_alter_index] = STATE(10649),
    [sym_alter_sequence] = STATE(10649),
    [sym_alter_type] = STATE(10649),
    [sym__drop_statement] = STATE(10649),
    [sym_drop_table] = STATE(10649),
    [sym_drop_view] = STATE(10649),
    [sym_drop_schema] = STATE(10649),
    [sym_drop_database] = STATE(10649),
    [sym_drop_role] = STATE(10649),
    [sym_drop_type] = STATE(10649),
    [sym_drop_sequence] = STATE(10649),
    [sym_drop_index] = STATE(10649),
    [sym_drop_extension] = STATE(10649),
    [sym__copy_statement] = STATE(10658),
    [sym__insert_statement] = STATE(10658),
    [sym_insert] = STATE(9896),
    [sym__update_statement] = STATE(10658),
    [sym__merge_statement] = STATE(10675),
    [sym__optimize_statement] = STATE(10649),
    [sym__compute_stats] = STATE(10649),
    [sym__optimize_table] = STATE(10649),
    [sym__vacuum_table] = STATE(10649),
    [sym_update] = STATE(9854),
    [aux_sym_function_body_repeat1] = STATE(108),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_set] = ACTIONS(19),
    [sym_keyword_create] = ACTIONS(21),
    [sym_keyword_alter] = ACTIONS(23),
    [sym_keyword_analyze] = ACTIONS(25),
    [sym_keyword_explain] = ACTIONS(27),
    [sym_keyword_drop] = ACTIONS(29),
    [sym_keyword_with] = ACTIONS(31),
    [sym_keyword_rename] = ACTIONS(33),
    [sym_keyword_reset] = ACTIONS(35),
    [sym_keyword_vacuum] = ACTIONS(39),
    [sym_keyword_copy] = ACTIONS(41),
    [sym_keyword_return] = ACTIONS(1398),
    [sym_keyword_compute] = ACTIONS(43),
    [sym_keyword_optimize] = ACTIONS(45),
    [sym_keyword_comment] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [110] = {
    [sym_statement] = STATE(14111),
    [sym__ddl_statement] = STATE(10649),
    [sym__cte] = STATE(6881),
    [sym__dml_write] = STATE(10651),
    [sym__dml_read] = STATE(10654),
    [sym_set_operation] = STATE(8014),
    [sym__select_statement] = STATE(7540),
    [sym_comment_statement] = STATE(10649),
    [sym_select] = STATE(7475),
    [sym__truncate_statement] = STATE(10658),
    [sym__delete_statement] = STATE(10658),
    [sym_delete] = STATE(11355),
    [sym__create_statement] = STATE(10649),
    [sym_create_table] = STATE(10649),
    [sym_reset_statement] = STATE(10649),
    [sym_set_statement] = STATE(10649),
    [sym_create_view] = STATE(10649),
    [sym_create_materialized_view] = STATE(10649),
    [sym_create_function] = STATE(10649),
    [sym_create_index] = STATE(10649),
    [sym_create_schema] = STATE(6953),
    [sym_create_database] = STATE(10649),
    [sym_create_role] = STATE(10649),
    [sym_create_sequence] = STATE(10649),
    [sym_create_extension] = STATE(10649),
    [sym_create_trigger] = STATE(10649),
    [sym_create_type] = STATE(10649),
    [sym__alter_statement] = STATE(10649),
    [sym__rename_statement] = STATE(10664),
    [sym_alter_table] = STATE(10649),
    [sym_alter_view] = STATE(10649),
    [sym_alter_schema] = STATE(10649),
    [sym_alter_database] = STATE(10649),
    [sym_alter_role] = STATE(10649),
    [sym_alter_index] = STATE(10649),
    [sym_alter_sequence] = STATE(10649),
    [sym_alter_type] = STATE(10649),
    [sym__drop_statement] = STATE(10649),
    [sym_drop_table] = STATE(10649),
    [sym_drop_view] = STATE(10649),
    [sym_drop_schema] = STATE(10649),
    [sym_drop_database] = STATE(10649),
    [sym_drop_role] = STATE(10649),
    [sym_drop_type] = STATE(10649),
    [sym_drop_sequence] = STATE(10649),
    [sym_drop_index] = STATE(10649),
    [sym_drop_extension] = STATE(10649),
    [sym__copy_statement] = STATE(10658),
    [sym__insert_statement] = STATE(10658),
    [sym_insert] = STATE(9896),
    [sym__update_statement] = STATE(10658),
    [sym__merge_statement] = STATE(10675),
    [sym__optimize_statement] = STATE(10649),
    [sym__compute_stats] = STATE(10649),
    [sym__optimize_table] = STATE(10649),
    [sym__vacuum_table] = STATE(10649),
    [sym_update] = STATE(9854),
    [aux_sym_transaction_repeat1] = STATE(110),
    [sym_keyword_select] = ACTIONS(1594),
    [sym_keyword_delete] = ACTIONS(1597),
    [sym_keyword_insert] = ACTIONS(1600),
    [sym_keyword_replace] = ACTIONS(1600),
    [sym_keyword_update] = ACTIONS(1603),
    [sym_keyword_truncate] = ACTIONS(1606),
    [sym_keyword_merge] = ACTIONS(1609),
    [sym_keyword_set] = ACTIONS(1612),
    [sym_keyword_create] = ACTIONS(1615),
    [sym_keyword_alter] = ACTIONS(1618),
    [sym_keyword_analyze] = ACTIONS(1621),
    [sym_keyword_explain] = ACTIONS(1624),
    [sym_keyword_drop] = ACTIONS(1627),
    [sym_keyword_end] = ACTIONS(1630),
    [sym_keyword_with] = ACTIONS(1632),
    [sym_keyword_rename] = ACTIONS(1635),
    [sym_keyword_reset] = ACTIONS(1638),
    [sym_keyword_commit] = ACTIONS(1630),
    [sym_keyword_rollback] = ACTIONS(1630),
    [sym_keyword_vacuum] = ACTIONS(1641),
    [sym_keyword_copy] = ACTIONS(1644),
    [sym_keyword_compute] = ACTIONS(1647),
    [sym_keyword_optimize] = ACTIONS(1650),
    [sym_keyword_comment] = ACTIONS(1653),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [111] = {
    [sym_statement] = STATE(14020),
    [sym__ddl_statement] = STATE(10649),
    [sym__cte] = STATE(6881),
    [sym__dml_write] = STATE(10651),
    [sym__dml_read] = STATE(10654),
    [sym_set_operation] = STATE(8014),
    [sym__select_statement] = STATE(7540),
    [sym_comment_statement] = STATE(10649),
    [sym_select] = STATE(7475),
    [sym__truncate_statement] = STATE(10658),
    [sym__delete_statement] = STATE(10658),
    [sym_delete] = STATE(11355),
    [sym__create_statement] = STATE(10649),
    [sym_create_table] = STATE(10649),
    [sym_reset_statement] = STATE(10649),
    [sym_set_statement] = STATE(10649),
    [sym_create_view] = STATE(10649),
    [sym_create_materialized_view] = STATE(10649),
    [sym_create_function] = STATE(10649),
    [sym__function_return] = STATE(14020),
    [sym__function_body_statement] = STATE(14020),
    [sym_create_index] = STATE(10649),
    [sym_create_schema] = STATE(6953),
    [sym_create_database] = STATE(10649),
    [sym_create_role] = STATE(10649),
    [sym_create_sequence] = STATE(10649),
    [sym_create_extension] = STATE(10649),
    [sym_create_trigger] = STATE(10649),
    [sym_create_type] = STATE(10649),
    [sym__alter_statement] = STATE(10649),
    [sym__rename_statement] = STATE(10664),
    [sym_alter_table] = STATE(10649),
    [sym_alter_view] = STATE(10649),
    [sym_alter_schema] = STATE(10649),
    [sym_alter_database] = STATE(10649),
    [sym_alter_role] = STATE(10649),
    [sym_alter_index] = STATE(10649),
    [sym_alter_sequence] = STATE(10649),
    [sym_alter_type] = STATE(10649),
    [sym__drop_statement] = STATE(10649),
    [sym_drop_table] = STATE(10649),
    [sym_drop_view] = STATE(10649),
    [sym_drop_schema] = STATE(10649),
    [sym_drop_database] = STATE(10649),
    [sym_drop_role] = STATE(10649),
    [sym_drop_type] = STATE(10649),
    [sym_drop_sequence] = STATE(10649),
    [sym_drop_index] = STATE(10649),
    [sym_drop_extension] = STATE(10649),
    [sym__copy_statement] = STATE(10658),
    [sym__insert_statement] = STATE(10658),
    [sym_insert] = STATE(9896),
    [sym__update_statement] = STATE(10658),
    [sym__merge_statement] = STATE(10675),
    [sym__optimize_statement] = STATE(10649),
    [sym__compute_stats] = STATE(10649),
    [sym__optimize_table] = STATE(10649),
    [sym__vacuum_table] = STATE(10649),
    [sym_update] = STATE(9854),
    [aux_sym_function_body_repeat1] = STATE(105),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_set] = ACTIONS(19),
    [sym_keyword_create] = ACTIONS(21),
    [sym_keyword_alter] = ACTIONS(23),
    [sym_keyword_analyze] = ACTIONS(25),
    [sym_keyword_explain] = ACTIONS(27),
    [sym_keyword_drop] = ACTIONS(29),
    [sym_keyword_with] = ACTIONS(31),
    [sym_keyword_rename] = ACTIONS(33),
    [sym_keyword_reset] = ACTIONS(35),
    [sym_keyword_vacuum] = ACTIONS(39),
    [sym_keyword_copy] = ACTIONS(41),
    [sym_keyword_return] = ACTIONS(1398),
    [sym_keyword_compute] = ACTIONS(43),
    [sym_keyword_optimize] = ACTIONS(45),
    [sym_keyword_comment] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [112] = {
    [sym_statement] = STATE(14020),
    [sym__ddl_statement] = STATE(10649),
    [sym__cte] = STATE(6881),
    [sym__dml_write] = STATE(10651),
    [sym__dml_read] = STATE(10654),
    [sym_set_operation] = STATE(8014),
    [sym__select_statement] = STATE(7540),
    [sym_comment_statement] = STATE(10649),
    [sym_select] = STATE(7475),
    [sym__truncate_statement] = STATE(10658),
    [sym__delete_statement] = STATE(10658),
    [sym_delete] = STATE(11355),
    [sym__create_statement] = STATE(10649),
    [sym_create_table] = STATE(10649),
    [sym_reset_statement] = STATE(10649),
    [sym_set_statement] = STATE(10649),
    [sym_create_view] = STATE(10649),
    [sym_create_materialized_view] = STATE(10649),
    [sym_create_function] = STATE(10649),
    [sym__function_return] = STATE(14020),
    [sym__function_body_statement] = STATE(14020),
    [sym_create_index] = STATE(10649),
    [sym_create_schema] = STATE(6953),
    [sym_create_database] = STATE(10649),
    [sym_create_role] = STATE(10649),
    [sym_create_sequence] = STATE(10649),
    [sym_create_extension] = STATE(10649),
    [sym_create_trigger] = STATE(10649),
    [sym_create_type] = STATE(10649),
    [sym__alter_statement] = STATE(10649),
    [sym__rename_statement] = STATE(10664),
    [sym_alter_table] = STATE(10649),
    [sym_alter_view] = STATE(10649),
    [sym_alter_schema] = STATE(10649),
    [sym_alter_database] = STATE(10649),
    [sym_alter_role] = STATE(10649),
    [sym_alter_index] = STATE(10649),
    [sym_alter_sequence] = STATE(10649),
    [sym_alter_type] = STATE(10649),
    [sym__drop_statement] = STATE(10649),
    [sym_drop_table] = STATE(10649),
    [sym_drop_view] = STATE(10649),
    [sym_drop_schema] = STATE(10649),
    [sym_drop_database] = STATE(10649),
    [sym_drop_role] = STATE(10649),
    [sym_drop_type] = STATE(10649),
    [sym_drop_sequence] = STATE(10649),
    [sym_drop_index] = STATE(10649),
    [sym_drop_extension] = STATE(10649),
    [sym__copy_statement] = STATE(10658),
    [sym__insert_statement] = STATE(10658),
    [sym_insert] = STATE(9896),
    [sym__update_statement] = STATE(10658),
    [sym__merge_statement] = STATE(10675),
    [sym__optimize_statement] = STATE(10649),
    [sym__compute_stats] = STATE(10649),
    [sym__optimize_table] = STATE(10649),
    [sym__vacuum_table] = STATE(10649),
    [sym_update] = STATE(9854),
    [aux_sym_function_body_repeat1] = STATE(99),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_set] = ACTIONS(19),
    [sym_keyword_create] = ACTIONS(21),
    [sym_keyword_alter] = ACTIONS(23),
    [sym_keyword_analyze] = ACTIONS(25),
    [sym_keyword_explain] = ACTIONS(27),
    [sym_keyword_drop] = ACTIONS(29),
    [sym_keyword_with] = ACTIONS(31),
    [sym_keyword_rename] = ACTIONS(33),
    [sym_keyword_reset] = ACTIONS(35),
    [sym_keyword_vacuum] = ACTIONS(39),
    [sym_keyword_copy] = ACTIONS(41),
    [sym_keyword_return] = ACTIONS(1398),
    [sym_keyword_compute] = ACTIONS(43),
    [sym_keyword_optimize] = ACTIONS(45),
    [sym_keyword_comment] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [113] = {
    [sym_statement] = STATE(14020),
    [sym__ddl_statement] = STATE(10649),
    [sym__cte] = STATE(6881),
    [sym__dml_write] = STATE(10651),
    [sym__dml_read] = STATE(10654),
    [sym_set_operation] = STATE(8014),
    [sym__select_statement] = STATE(7540),
    [sym_comment_statement] = STATE(10649),
    [sym_select] = STATE(7475),
    [sym__truncate_statement] = STATE(10658),
    [sym__delete_statement] = STATE(10658),
    [sym_delete] = STATE(11355),
    [sym__create_statement] = STATE(10649),
    [sym_create_table] = STATE(10649),
    [sym_reset_statement] = STATE(10649),
    [sym_set_statement] = STATE(10649),
    [sym_create_view] = STATE(10649),
    [sym_create_materialized_view] = STATE(10649),
    [sym_create_function] = STATE(10649),
    [sym__function_return] = STATE(14020),
    [sym__function_body_statement] = STATE(14020),
    [sym_create_index] = STATE(10649),
    [sym_create_schema] = STATE(6953),
    [sym_create_database] = STATE(10649),
    [sym_create_role] = STATE(10649),
    [sym_create_sequence] = STATE(10649),
    [sym_create_extension] = STATE(10649),
    [sym_create_trigger] = STATE(10649),
    [sym_create_type] = STATE(10649),
    [sym__alter_statement] = STATE(10649),
    [sym__rename_statement] = STATE(10664),
    [sym_alter_table] = STATE(10649),
    [sym_alter_view] = STATE(10649),
    [sym_alter_schema] = STATE(10649),
    [sym_alter_database] = STATE(10649),
    [sym_alter_role] = STATE(10649),
    [sym_alter_index] = STATE(10649),
    [sym_alter_sequence] = STATE(10649),
    [sym_alter_type] = STATE(10649),
    [sym__drop_statement] = STATE(10649),
    [sym_drop_table] = STATE(10649),
    [sym_drop_view] = STATE(10649),
    [sym_drop_schema] = STATE(10649),
    [sym_drop_database] = STATE(10649),
    [sym_drop_role] = STATE(10649),
    [sym_drop_type] = STATE(10649),
    [sym_drop_sequence] = STATE(10649),
    [sym_drop_index] = STATE(10649),
    [sym_drop_extension] = STATE(10649),
    [sym__copy_statement] = STATE(10658),
    [sym__insert_statement] = STATE(10658),
    [sym_insert] = STATE(9896),
    [sym__update_statement] = STATE(10658),
    [sym__merge_statement] = STATE(10675),
    [sym__optimize_statement] = STATE(10649),
    [sym__compute_stats] = STATE(10649),
    [sym__optimize_table] = STATE(10649),
    [sym__vacuum_table] = STATE(10649),
    [sym_update] = STATE(9854),
    [aux_sym_function_body_repeat1] = STATE(96),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_set] = ACTIONS(19),
    [sym_keyword_create] = ACTIONS(21),
    [sym_keyword_alter] = ACTIONS(23),
    [sym_keyword_analyze] = ACTIONS(25),
    [sym_keyword_explain] = ACTIONS(27),
    [sym_keyword_drop] = ACTIONS(29),
    [sym_keyword_with] = ACTIONS(31),
    [sym_keyword_rename] = ACTIONS(33),
    [sym_keyword_reset] = ACTIONS(35),
    [sym_keyword_vacuum] = ACTIONS(39),
    [sym_keyword_copy] = ACTIONS(41),
    [sym_keyword_return] = ACTIONS(1398),
    [sym_keyword_compute] = ACTIONS(43),
    [sym_keyword_optimize] = ACTIONS(45),
    [sym_keyword_comment] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [114] = {
    [sym_statement] = STATE(14020),
    [sym__ddl_statement] = STATE(10649),
    [sym__cte] = STATE(6881),
    [sym__dml_write] = STATE(10651),
    [sym__dml_read] = STATE(10654),
    [sym_set_operation] = STATE(8014),
    [sym__select_statement] = STATE(7540),
    [sym_comment_statement] = STATE(10649),
    [sym_select] = STATE(7475),
    [sym__truncate_statement] = STATE(10658),
    [sym__delete_statement] = STATE(10658),
    [sym_delete] = STATE(11355),
    [sym__create_statement] = STATE(10649),
    [sym_create_table] = STATE(10649),
    [sym_reset_statement] = STATE(10649),
    [sym_set_statement] = STATE(10649),
    [sym_create_view] = STATE(10649),
    [sym_create_materialized_view] = STATE(10649),
    [sym_create_function] = STATE(10649),
    [sym__function_return] = STATE(14020),
    [sym__function_body_statement] = STATE(14020),
    [sym_create_index] = STATE(10649),
    [sym_create_schema] = STATE(6953),
    [sym_create_database] = STATE(10649),
    [sym_create_role] = STATE(10649),
    [sym_create_sequence] = STATE(10649),
    [sym_create_extension] = STATE(10649),
    [sym_create_trigger] = STATE(10649),
    [sym_create_type] = STATE(10649),
    [sym__alter_statement] = STATE(10649),
    [sym__rename_statement] = STATE(10664),
    [sym_alter_table] = STATE(10649),
    [sym_alter_view] = STATE(10649),
    [sym_alter_schema] = STATE(10649),
    [sym_alter_database] = STATE(10649),
    [sym_alter_role] = STATE(10649),
    [sym_alter_index] = STATE(10649),
    [sym_alter_sequence] = STATE(10649),
    [sym_alter_type] = STATE(10649),
    [sym__drop_statement] = STATE(10649),
    [sym_drop_table] = STATE(10649),
    [sym_drop_view] = STATE(10649),
    [sym_drop_schema] = STATE(10649),
    [sym_drop_database] = STATE(10649),
    [sym_drop_role] = STATE(10649),
    [sym_drop_type] = STATE(10649),
    [sym_drop_sequence] = STATE(10649),
    [sym_drop_index] = STATE(10649),
    [sym_drop_extension] = STATE(10649),
    [sym__copy_statement] = STATE(10658),
    [sym__insert_statement] = STATE(10658),
    [sym_insert] = STATE(9896),
    [sym__update_statement] = STATE(10658),
    [sym__merge_statement] = STATE(10675),
    [sym__optimize_statement] = STATE(10649),
    [sym__compute_stats] = STATE(10649),
    [sym__optimize_table] = STATE(10649),
    [sym__vacuum_table] = STATE(10649),
    [sym_update] = STATE(9854),
    [aux_sym_function_body_repeat1] = STATE(97),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_set] = ACTIONS(19),
    [sym_keyword_create] = ACTIONS(21),
    [sym_keyword_alter] = ACTIONS(23),
    [sym_keyword_analyze] = ACTIONS(25),
    [sym_keyword_explain] = ACTIONS(27),
    [sym_keyword_drop] = ACTIONS(29),
    [sym_keyword_with] = ACTIONS(31),
    [sym_keyword_rename] = ACTIONS(33),
    [sym_keyword_reset] = ACTIONS(35),
    [sym_keyword_vacuum] = ACTIONS(39),
    [sym_keyword_copy] = ACTIONS(41),
    [sym_keyword_return] = ACTIONS(1398),
    [sym_keyword_compute] = ACTIONS(43),
    [sym_keyword_optimize] = ACTIONS(45),
    [sym_keyword_comment] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [115] = {
    [sym_statement] = STATE(14020),
    [sym__ddl_statement] = STATE(10649),
    [sym__cte] = STATE(6881),
    [sym__dml_write] = STATE(10651),
    [sym__dml_read] = STATE(10654),
    [sym_set_operation] = STATE(8014),
    [sym__select_statement] = STATE(7540),
    [sym_comment_statement] = STATE(10649),
    [sym_select] = STATE(7475),
    [sym__truncate_statement] = STATE(10658),
    [sym__delete_statement] = STATE(10658),
    [sym_delete] = STATE(11355),
    [sym__create_statement] = STATE(10649),
    [sym_create_table] = STATE(10649),
    [sym_reset_statement] = STATE(10649),
    [sym_set_statement] = STATE(10649),
    [sym_create_view] = STATE(10649),
    [sym_create_materialized_view] = STATE(10649),
    [sym_create_function] = STATE(10649),
    [sym__function_return] = STATE(14020),
    [sym__function_body_statement] = STATE(14020),
    [sym_create_index] = STATE(10649),
    [sym_create_schema] = STATE(6953),
    [sym_create_database] = STATE(10649),
    [sym_create_role] = STATE(10649),
    [sym_create_sequence] = STATE(10649),
    [sym_create_extension] = STATE(10649),
    [sym_create_trigger] = STATE(10649),
    [sym_create_type] = STATE(10649),
    [sym__alter_statement] = STATE(10649),
    [sym__rename_statement] = STATE(10664),
    [sym_alter_table] = STATE(10649),
    [sym_alter_view] = STATE(10649),
    [sym_alter_schema] = STATE(10649),
    [sym_alter_database] = STATE(10649),
    [sym_alter_role] = STATE(10649),
    [sym_alter_index] = STATE(10649),
    [sym_alter_sequence] = STATE(10649),
    [sym_alter_type] = STATE(10649),
    [sym__drop_statement] = STATE(10649),
    [sym_drop_table] = STATE(10649),
    [sym_drop_view] = STATE(10649),
    [sym_drop_schema] = STATE(10649),
    [sym_drop_database] = STATE(10649),
    [sym_drop_role] = STATE(10649),
    [sym_drop_type] = STATE(10649),
    [sym_drop_sequence] = STATE(10649),
    [sym_drop_index] = STATE(10649),
    [sym_drop_extension] = STATE(10649),
    [sym__copy_statement] = STATE(10658),
    [sym__insert_statement] = STATE(10658),
    [sym_insert] = STATE(9896),
    [sym__update_statement] = STATE(10658),
    [sym__merge_statement] = STATE(10675),
    [sym__optimize_statement] = STATE(10649),
    [sym__compute_stats] = STATE(10649),
    [sym__optimize_table] = STATE(10649),
    [sym__vacuum_table] = STATE(10649),
    [sym_update] = STATE(9854),
    [aux_sym_function_body_repeat1] = STATE(104),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_set] = ACTIONS(19),
    [sym_keyword_create] = ACTIONS(21),
    [sym_keyword_alter] = ACTIONS(23),
    [sym_keyword_analyze] = ACTIONS(25),
    [sym_keyword_explain] = ACTIONS(27),
    [sym_keyword_drop] = ACTIONS(29),
    [sym_keyword_with] = ACTIONS(31),
    [sym_keyword_rename] = ACTIONS(33),
    [sym_keyword_reset] = ACTIONS(35),
    [sym_keyword_vacuum] = ACTIONS(39),
    [sym_keyword_copy] = ACTIONS(41),
    [sym_keyword_return] = ACTIONS(1398),
    [sym_keyword_compute] = ACTIONS(43),
    [sym_keyword_optimize] = ACTIONS(45),
    [sym_keyword_comment] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [116] = {
    [aux_sym__single_quote_string_repeat1] = STATE(118),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym__identifier] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [sym_keyword_from] = ACTIONS(1366),
    [sym_keyword_on] = ACTIONS(1366),
    [sym_keyword_limit] = ACTIONS(1366),
    [sym_keyword_offset] = ACTIONS(1366),
    [sym_keyword_create] = ACTIONS(1366),
    [sym_keyword_as] = ACTIONS(1366),
    [sym_keyword_when] = ACTIONS(1366),
    [sym_keyword_in] = ACTIONS(1366),
    [sym_keyword_and] = ACTIONS(1366),
    [sym_keyword_or] = ACTIONS(1366),
    [sym_keyword_is] = ACTIONS(1366),
    [sym_keyword_not] = ACTIONS(1366),
    [sym_keyword_default] = ACTIONS(1366),
    [sym_keyword_cascade] = ACTIONS(1366),
    [sym_keyword_with] = ACTIONS(1366),
    [sym_keyword_to] = ACTIONS(1366),
    [sym_keyword_password] = ACTIONS(1366),
    [sym_keyword_encrypted] = ACTIONS(1366),
    [sym_keyword_valid] = ACTIONS(1366),
    [sym_keyword_connection] = ACTIONS(1366),
    [sym_keyword_union] = ACTIONS(1366),
    [sym_keyword_except] = ACTIONS(1366),
    [sym_keyword_intersect] = ACTIONS(1366),
    [sym_keyword_returning] = ACTIONS(1366),
    [sym_keyword_after] = ACTIONS(1366),
    [sym_keyword_before] = ACTIONS(1366),
    [sym_keyword_rows] = ACTIONS(1366),
    [sym_keyword_between] = ACTIONS(1366),
    [aux_sym_keyword_like_token1] = ACTIONS(1366),
    [aux_sym_keyword_like_token2] = ACTIONS(1366),
    [sym_keyword_similar] = ACTIONS(1366),
    [sym_keyword_check] = ACTIONS(1366),
    [sym_keyword_freeze] = ACTIONS(1366),
    [sym_keyword_escape] = ACTIONS(1366),
    [sym_keyword_encoding] = ACTIONS(1366),
    [sym_keyword_force_quote] = ACTIONS(1366),
    [sym_keyword_quote] = ACTIONS(1366),
    [sym_keyword_force_null] = ACTIONS(1366),
    [sym_keyword_force_not_null] = ACTIONS(1366),
    [sym_keyword_header] = ACTIONS(1366),
    [sym_keyword_returns] = ACTIONS(1366),
    [sym_keyword_language] = ACTIONS(1366),
    [sym_keyword_immutable] = ACTIONS(1366),
    [sym_keyword_stable] = ACTIONS(1366),
    [sym_keyword_volatile] = ACTIONS(1366),
    [sym_keyword_leakproof] = ACTIONS(1366),
    [sym_keyword_parallel] = ACTIONS(1366),
    [sym_keyword_called] = ACTIONS(1366),
    [sym_keyword_strict] = ACTIONS(1366),
    [sym_keyword_cost] = ACTIONS(1366),
    [sym_keyword_support] = ACTIONS(1366),
    [sym_keyword_security] = ACTIONS(1366),
    [sym_keyword_external] = ACTIONS(1366),
    [sym_keyword_format] = ACTIONS(1366),
    [sym_keyword_delimiter] = ACTIONS(1366),
    [sym_keyword_null] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [anon_sym_RPAREN] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1364),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_COLON_COLON] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [sym_op_other] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PERCENT] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1366),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [sym__double_quote_string] = ACTIONS(1364),
    [aux_sym__single_quote_string_token2] = ACTIONS(1659),
    [aux_sym_identifier_token1] = ACTIONS(1364),
  },
  [117] = {
    [aux_sym__single_quote_string_repeat1] = STATE(117),
    [ts_builtin_sym_end] = ACTIONS(1357),
    [sym__identifier] = ACTIONS(1359),
    [anon_sym_SEMI] = ACTIONS(1357),
    [sym_keyword_from] = ACTIONS(1359),
    [sym_keyword_on] = ACTIONS(1359),
    [sym_keyword_limit] = ACTIONS(1359),
    [sym_keyword_offset] = ACTIONS(1359),
    [sym_keyword_create] = ACTIONS(1359),
    [sym_keyword_as] = ACTIONS(1359),
    [sym_keyword_when] = ACTIONS(1359),
    [sym_keyword_in] = ACTIONS(1359),
    [sym_keyword_and] = ACTIONS(1359),
    [sym_keyword_or] = ACTIONS(1359),
    [sym_keyword_is] = ACTIONS(1359),
    [sym_keyword_not] = ACTIONS(1359),
    [sym_keyword_default] = ACTIONS(1359),
    [sym_keyword_cascade] = ACTIONS(1359),
    [sym_keyword_with] = ACTIONS(1359),
    [sym_keyword_to] = ACTIONS(1359),
    [sym_keyword_password] = ACTIONS(1359),
    [sym_keyword_encrypted] = ACTIONS(1359),
    [sym_keyword_valid] = ACTIONS(1359),
    [sym_keyword_connection] = ACTIONS(1359),
    [sym_keyword_union] = ACTIONS(1359),
    [sym_keyword_except] = ACTIONS(1359),
    [sym_keyword_intersect] = ACTIONS(1359),
    [sym_keyword_returning] = ACTIONS(1359),
    [sym_keyword_after] = ACTIONS(1359),
    [sym_keyword_before] = ACTIONS(1359),
    [sym_keyword_rows] = ACTIONS(1359),
    [sym_keyword_between] = ACTIONS(1359),
    [aux_sym_keyword_like_token1] = ACTIONS(1359),
    [aux_sym_keyword_like_token2] = ACTIONS(1359),
    [sym_keyword_similar] = ACTIONS(1359),
    [sym_keyword_check] = ACTIONS(1359),
    [sym_keyword_freeze] = ACTIONS(1359),
    [sym_keyword_escape] = ACTIONS(1359),
    [sym_keyword_encoding] = ACTIONS(1359),
    [sym_keyword_force_quote] = ACTIONS(1359),
    [sym_keyword_quote] = ACTIONS(1359),
    [sym_keyword_force_null] = ACTIONS(1359),
    [sym_keyword_force_not_null] = ACTIONS(1359),
    [sym_keyword_header] = ACTIONS(1359),
    [sym_keyword_returns] = ACTIONS(1359),
    [sym_keyword_language] = ACTIONS(1359),
    [sym_keyword_immutable] = ACTIONS(1359),
    [sym_keyword_stable] = ACTIONS(1359),
    [sym_keyword_volatile] = ACTIONS(1359),
    [sym_keyword_leakproof] = ACTIONS(1359),
    [sym_keyword_parallel] = ACTIONS(1359),
    [sym_keyword_called] = ACTIONS(1359),
    [sym_keyword_strict] = ACTIONS(1359),
    [sym_keyword_cost] = ACTIONS(1359),
    [sym_keyword_support] = ACTIONS(1359),
    [sym_keyword_security] = ACTIONS(1359),
    [sym_keyword_external] = ACTIONS(1359),
    [sym_keyword_format] = ACTIONS(1359),
    [sym_keyword_delimiter] = ACTIONS(1359),
    [sym_keyword_null] = ACTIONS(1359),
    [anon_sym_LBRACK] = ACTIONS(1357),
    [anon_sym_LPAREN] = ACTIONS(1357),
    [anon_sym_RPAREN] = ACTIONS(1357),
    [anon_sym_COMMA] = ACTIONS(1357),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1357),
    [anon_sym_STAR] = ACTIONS(1357),
    [anon_sym_COLON_COLON] = ACTIONS(1357),
    [anon_sym_LT] = ACTIONS(1359),
    [anon_sym_GT] = ACTIONS(1359),
    [anon_sym_LT_EQ] = ACTIONS(1357),
    [anon_sym_GT_EQ] = ACTIONS(1357),
    [sym_op_other] = ACTIONS(1357),
    [anon_sym_PLUS] = ACTIONS(1357),
    [anon_sym_DASH] = ACTIONS(1359),
    [anon_sym_SLASH] = ACTIONS(1359),
    [anon_sym_PERCENT] = ACTIONS(1357),
    [anon_sym_CARET] = ACTIONS(1359),
    [anon_sym_BANG_EQ] = ACTIONS(1357),
    [anon_sym_LT_GT] = ACTIONS(1357),
    [sym__double_quote_string] = ACTIONS(1357),
    [aux_sym__single_quote_string_token2] = ACTIONS(1661),
    [aux_sym_identifier_token1] = ACTIONS(1357),
  },
  [118] = {
    [aux_sym__single_quote_string_repeat1] = STATE(117),
    [ts_builtin_sym_end] = ACTIONS(1351),
    [sym__identifier] = ACTIONS(1353),
    [anon_sym_SEMI] = ACTIONS(1351),
    [sym_keyword_from] = ACTIONS(1353),
    [sym_keyword_on] = ACTIONS(1353),
    [sym_keyword_limit] = ACTIONS(1353),
    [sym_keyword_offset] = ACTIONS(1353),
    [sym_keyword_create] = ACTIONS(1353),
    [sym_keyword_as] = ACTIONS(1353),
    [sym_keyword_when] = ACTIONS(1353),
    [sym_keyword_in] = ACTIONS(1353),
    [sym_keyword_and] = ACTIONS(1353),
    [sym_keyword_or] = ACTIONS(1353),
    [sym_keyword_is] = ACTIONS(1353),
    [sym_keyword_not] = ACTIONS(1353),
    [sym_keyword_default] = ACTIONS(1353),
    [sym_keyword_cascade] = ACTIONS(1353),
    [sym_keyword_with] = ACTIONS(1353),
    [sym_keyword_to] = ACTIONS(1353),
    [sym_keyword_password] = ACTIONS(1353),
    [sym_keyword_encrypted] = ACTIONS(1353),
    [sym_keyword_valid] = ACTIONS(1353),
    [sym_keyword_connection] = ACTIONS(1353),
    [sym_keyword_union] = ACTIONS(1353),
    [sym_keyword_except] = ACTIONS(1353),
    [sym_keyword_intersect] = ACTIONS(1353),
    [sym_keyword_returning] = ACTIONS(1353),
    [sym_keyword_after] = ACTIONS(1353),
    [sym_keyword_before] = ACTIONS(1353),
    [sym_keyword_rows] = ACTIONS(1353),
    [sym_keyword_between] = ACTIONS(1353),
    [aux_sym_keyword_like_token1] = ACTIONS(1353),
    [aux_sym_keyword_like_token2] = ACTIONS(1353),
    [sym_keyword_similar] = ACTIONS(1353),
    [sym_keyword_check] = ACTIONS(1353),
    [sym_keyword_freeze] = ACTIONS(1353),
    [sym_keyword_escape] = ACTIONS(1353),
    [sym_keyword_encoding] = ACTIONS(1353),
    [sym_keyword_force_quote] = ACTIONS(1353),
    [sym_keyword_quote] = ACTIONS(1353),
    [sym_keyword_force_null] = ACTIONS(1353),
    [sym_keyword_force_not_null] = ACTIONS(1353),
    [sym_keyword_header] = ACTIONS(1353),
    [sym_keyword_returns] = ACTIONS(1353),
    [sym_keyword_language] = ACTIONS(1353),
    [sym_keyword_immutable] = ACTIONS(1353),
    [sym_keyword_stable] = ACTIONS(1353),
    [sym_keyword_volatile] = ACTIONS(1353),
    [sym_keyword_leakproof] = ACTIONS(1353),
    [sym_keyword_parallel] = ACTIONS(1353),
    [sym_keyword_called] = ACTIONS(1353),
    [sym_keyword_strict] = ACTIONS(1353),
    [sym_keyword_cost] = ACTIONS(1353),
    [sym_keyword_support] = ACTIONS(1353),
    [sym_keyword_security] = ACTIONS(1353),
    [sym_keyword_external] = ACTIONS(1353),
    [sym_keyword_format] = ACTIONS(1353),
    [sym_keyword_delimiter] = ACTIONS(1353),
    [sym_keyword_null] = ACTIONS(1353),
    [anon_sym_LBRACK] = ACTIONS(1351),
    [anon_sym_LPAREN] = ACTIONS(1351),
    [anon_sym_RPAREN] = ACTIONS(1351),
    [anon_sym_COMMA] = ACTIONS(1351),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1351),
    [anon_sym_STAR] = ACTIONS(1351),
    [anon_sym_COLON_COLON] = ACTIONS(1351),
    [anon_sym_LT] = ACTIONS(1353),
    [anon_sym_GT] = ACTIONS(1353),
    [anon_sym_LT_EQ] = ACTIONS(1351),
    [anon_sym_GT_EQ] = ACTIONS(1351),
    [sym_op_other] = ACTIONS(1351),
    [anon_sym_PLUS] = ACTIONS(1351),
    [anon_sym_DASH] = ACTIONS(1353),
    [anon_sym_SLASH] = ACTIONS(1353),
    [anon_sym_PERCENT] = ACTIONS(1351),
    [anon_sym_CARET] = ACTIONS(1353),
    [anon_sym_BANG_EQ] = ACTIONS(1351),
    [anon_sym_LT_GT] = ACTIONS(1351),
    [sym__double_quote_string] = ACTIONS(1351),
    [aux_sym__single_quote_string_token2] = ACTIONS(1664),
    [aux_sym_identifier_token1] = ACTIONS(1351),
  },
  [119] = {
    [sym__primary_key] = STATE(11640),
    [sym__check_constraint] = STATE(10232),
    [sym_constraint] = STATE(10233),
    [sym__constraint_literal] = STATE(10234),
    [sym__primary_key_constraint] = STATE(10232),
    [sym__key_constraint] = STATE(10235),
    [sym__identifier] = ACTIONS(1666),
    [sym_keyword_primary] = ACTIONS(1668),
    [sym_keyword_key] = ACTIONS(1670),
    [sym_keyword_constraint] = ACTIONS(1672),
    [sym_keyword_index] = ACTIONS(1674),
    [aux_sym_keyword_character_token1] = ACTIONS(1666),
    [sym_keyword_unique] = ACTIONS(1676),
    [sym_keyword_foreign] = ACTIONS(1678),
    [sym_keyword_unsigned] = ACTIONS(1666),
    [sym_keyword_check] = ACTIONS(1680),
    [sym_keyword_boolean] = ACTIONS(1666),
    [sym_keyword_bit] = ACTIONS(1666),
    [sym_keyword_binary] = ACTIONS(1666),
    [sym_keyword_varbinary] = ACTIONS(1666),
    [sym_keyword_image] = ACTIONS(1666),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1666),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1666),
    [aux_sym_keyword_serial_token1] = ACTIONS(1666),
    [aux_sym_keyword_serial_token2] = ACTIONS(1666),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1666),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1666),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1666),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1666),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1666),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1666),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1666),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1666),
    [aux_sym_keyword_int_token1] = ACTIONS(1666),
    [aux_sym_keyword_int_token2] = ACTIONS(1666),
    [aux_sym_keyword_int_token3] = ACTIONS(1666),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1666),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1666),
    [sym_keyword_decimal] = ACTIONS(1666),
    [sym_keyword_numeric] = ACTIONS(1666),
    [aux_sym_keyword_real_token1] = ACTIONS(1666),
    [aux_sym_keyword_real_token2] = ACTIONS(1666),
    [sym_keyword_float] = ACTIONS(1666),
    [sym_keyword_double] = ACTIONS(1666),
    [sym_keyword_inet] = ACTIONS(1666),
    [sym_keyword_money] = ACTIONS(1666),
    [sym_keyword_smallmoney] = ACTIONS(1666),
    [aux_sym_keyword_char_token1] = ACTIONS(1666),
    [sym_keyword_nchar] = ACTIONS(1666),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1666),
    [sym_keyword_nvarchar] = ACTIONS(1666),
    [sym_keyword_text] = ACTIONS(1666),
    [sym_keyword_string] = ACTIONS(1666),
    [sym_keyword_uuid] = ACTIONS(1666),
    [sym_keyword_json] = ACTIONS(1666),
    [sym_keyword_jsonb] = ACTIONS(1666),
    [sym_keyword_xml] = ACTIONS(1666),
    [sym_keyword_bytea] = ACTIONS(1666),
    [sym_keyword_enum] = ACTIONS(1666),
    [sym_keyword_date] = ACTIONS(1666),
    [sym_keyword_datetime] = ACTIONS(1666),
    [sym_keyword_datetime2] = ACTIONS(1666),
    [sym_keyword_smalldatetime] = ACTIONS(1666),
    [sym_keyword_datetimeoffset] = ACTIONS(1666),
    [sym_keyword_time] = ACTIONS(1666),
    [sym_keyword_timestamp] = ACTIONS(1666),
    [sym_keyword_timestamptz] = ACTIONS(1666),
    [sym_keyword_interval] = ACTIONS(1666),
    [sym_keyword_geometry] = ACTIONS(1666),
    [sym_keyword_geography] = ACTIONS(1666),
    [sym_keyword_box2d] = ACTIONS(1666),
    [sym_keyword_box3d] = ACTIONS(1666),
    [sym_keyword_oid] = ACTIONS(1666),
    [sym_keyword_name] = ACTIONS(1666),
    [sym_keyword_regclass] = ACTIONS(1666),
    [sym_keyword_regnamespace] = ACTIONS(1666),
    [sym_keyword_regproc] = ACTIONS(1666),
    [sym_keyword_regtype] = ACTIONS(1666),
    [aux_sym_double_token1] = ACTIONS(1666),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(1682),
    [aux_sym_identifier_token1] = ACTIONS(1682),
  },
  [120] = {
    [sym__primary_key] = STATE(11974),
    [sym__check_constraint] = STATE(9955),
    [sym_constraint] = STATE(9961),
    [sym__constraint_literal] = STATE(9965),
    [sym__primary_key_constraint] = STATE(9955),
    [sym__key_constraint] = STATE(9966),
    [sym__identifier] = ACTIONS(1666),
    [sym_keyword_primary] = ACTIONS(1668),
    [sym_keyword_key] = ACTIONS(1684),
    [sym_keyword_constraint] = ACTIONS(1686),
    [sym_keyword_index] = ACTIONS(1688),
    [aux_sym_keyword_character_token1] = ACTIONS(1666),
    [sym_keyword_unique] = ACTIONS(1690),
    [sym_keyword_foreign] = ACTIONS(1692),
    [sym_keyword_unsigned] = ACTIONS(1666),
    [sym_keyword_check] = ACTIONS(1694),
    [sym_keyword_boolean] = ACTIONS(1666),
    [sym_keyword_bit] = ACTIONS(1666),
    [sym_keyword_binary] = ACTIONS(1666),
    [sym_keyword_varbinary] = ACTIONS(1666),
    [sym_keyword_image] = ACTIONS(1666),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1666),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1666),
    [aux_sym_keyword_serial_token1] = ACTIONS(1666),
    [aux_sym_keyword_serial_token2] = ACTIONS(1666),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1666),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1666),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1666),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1666),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1666),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1666),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1666),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1666),
    [aux_sym_keyword_int_token1] = ACTIONS(1666),
    [aux_sym_keyword_int_token2] = ACTIONS(1666),
    [aux_sym_keyword_int_token3] = ACTIONS(1666),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1666),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1666),
    [sym_keyword_decimal] = ACTIONS(1666),
    [sym_keyword_numeric] = ACTIONS(1666),
    [aux_sym_keyword_real_token1] = ACTIONS(1666),
    [aux_sym_keyword_real_token2] = ACTIONS(1666),
    [sym_keyword_float] = ACTIONS(1666),
    [sym_keyword_double] = ACTIONS(1666),
    [sym_keyword_inet] = ACTIONS(1666),
    [sym_keyword_money] = ACTIONS(1666),
    [sym_keyword_smallmoney] = ACTIONS(1666),
    [aux_sym_keyword_char_token1] = ACTIONS(1666),
    [sym_keyword_nchar] = ACTIONS(1666),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1666),
    [sym_keyword_nvarchar] = ACTIONS(1666),
    [sym_keyword_text] = ACTIONS(1666),
    [sym_keyword_string] = ACTIONS(1666),
    [sym_keyword_uuid] = ACTIONS(1666),
    [sym_keyword_json] = ACTIONS(1666),
    [sym_keyword_jsonb] = ACTIONS(1666),
    [sym_keyword_xml] = ACTIONS(1666),
    [sym_keyword_bytea] = ACTIONS(1666),
    [sym_keyword_enum] = ACTIONS(1666),
    [sym_keyword_date] = ACTIONS(1666),
    [sym_keyword_datetime] = ACTIONS(1666),
    [sym_keyword_datetime2] = ACTIONS(1666),
    [sym_keyword_smalldatetime] = ACTIONS(1666),
    [sym_keyword_datetimeoffset] = ACTIONS(1666),
    [sym_keyword_time] = ACTIONS(1666),
    [sym_keyword_timestamp] = ACTIONS(1666),
    [sym_keyword_timestamptz] = ACTIONS(1666),
    [sym_keyword_interval] = ACTIONS(1666),
    [sym_keyword_geometry] = ACTIONS(1666),
    [sym_keyword_geography] = ACTIONS(1666),
    [sym_keyword_box2d] = ACTIONS(1666),
    [sym_keyword_box3d] = ACTIONS(1666),
    [sym_keyword_oid] = ACTIONS(1666),
    [sym_keyword_name] = ACTIONS(1666),
    [sym_keyword_regclass] = ACTIONS(1666),
    [sym_keyword_regnamespace] = ACTIONS(1666),
    [sym_keyword_regproc] = ACTIONS(1666),
    [sym_keyword_regtype] = ACTIONS(1666),
    [aux_sym_double_token1] = ACTIONS(1666),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(1682),
    [aux_sym_identifier_token1] = ACTIONS(1682),
  },
  [121] = {
    [sym__ddl_statement] = STATE(11371),
    [sym__cte] = STATE(6889),
    [sym__dml_write] = STATE(11370),
    [sym__dml_read] = STATE(11369),
    [sym_set_operation] = STATE(8298),
    [sym__select_statement] = STATE(7622),
    [sym_comment_statement] = STATE(11371),
    [sym_select] = STATE(7513),
    [sym__truncate_statement] = STATE(11390),
    [sym__delete_statement] = STATE(11390),
    [sym_delete] = STATE(11595),
    [sym__create_statement] = STATE(11371),
    [sym_create_table] = STATE(11371),
    [sym_reset_statement] = STATE(11371),
    [sym_set_statement] = STATE(11371),
    [sym_create_view] = STATE(11371),
    [sym_create_materialized_view] = STATE(11371),
    [sym_create_function] = STATE(11371),
    [sym_create_index] = STATE(11371),
    [sym_create_schema] = STATE(6986),
    [sym_create_database] = STATE(11371),
    [sym_create_role] = STATE(11371),
    [sym_create_sequence] = STATE(11371),
    [sym_create_extension] = STATE(11371),
    [sym_create_trigger] = STATE(11371),
    [sym_create_type] = STATE(11371),
    [sym__alter_statement] = STATE(11371),
    [sym__rename_statement] = STATE(11389),
    [sym_alter_table] = STATE(11371),
    [sym_alter_view] = STATE(11371),
    [sym_alter_schema] = STATE(11371),
    [sym_alter_database] = STATE(11371),
    [sym_alter_role] = STATE(11371),
    [sym_alter_index] = STATE(11371),
    [sym_alter_sequence] = STATE(11371),
    [sym_alter_type] = STATE(11371),
    [sym__drop_statement] = STATE(11371),
    [sym_drop_table] = STATE(11371),
    [sym_drop_view] = STATE(11371),
    [sym_drop_schema] = STATE(11371),
    [sym_drop_database] = STATE(11371),
    [sym_drop_role] = STATE(11371),
    [sym_drop_type] = STATE(11371),
    [sym_drop_sequence] = STATE(11371),
    [sym_drop_index] = STATE(11371),
    [sym_drop_extension] = STATE(11371),
    [sym__copy_statement] = STATE(11390),
    [sym__insert_statement] = STATE(11390),
    [sym_insert] = STATE(9562),
    [sym__update_statement] = STATE(11390),
    [sym__merge_statement] = STATE(11387),
    [sym__optimize_statement] = STATE(11371),
    [sym__compute_stats] = STATE(11371),
    [sym__optimize_table] = STATE(11371),
    [sym__vacuum_table] = STATE(11371),
    [sym_update] = STATE(9696),
    [sym_keyword_select] = ACTIONS(1472),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(1474),
    [sym_keyword_replace] = ACTIONS(1474),
    [sym_keyword_update] = ACTIONS(1476),
    [sym_keyword_truncate] = ACTIONS(1478),
    [sym_keyword_merge] = ACTIONS(1480),
    [sym_keyword_set] = ACTIONS(1482),
    [sym_keyword_create] = ACTIONS(1484),
    [sym_keyword_alter] = ACTIONS(1486),
    [sym_keyword_analyze] = ACTIONS(1488),
    [sym_keyword_verbose] = ACTIONS(1696),
    [sym_keyword_drop] = ACTIONS(1492),
    [sym_keyword_table] = ACTIONS(1698),
    [sym_keyword_with] = ACTIONS(31),
    [sym_keyword_rename] = ACTIONS(1494),
    [sym_keyword_reset] = ACTIONS(1496),
    [sym_keyword_vacuum] = ACTIONS(1500),
    [sym_keyword_copy] = ACTIONS(1502),
    [sym_keyword_compute] = ACTIONS(1508),
    [sym_keyword_optimize] = ACTIONS(1510),
    [sym_keyword_comment] = ACTIONS(1512),
    [anon_sym_LPAREN] = ACTIONS(1700),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [122] = {
    [sym__ddl_statement] = STATE(10358),
    [sym__cte] = STATE(6881),
    [sym__dml_write] = STATE(10398),
    [sym__dml_read] = STATE(10418),
    [sym_set_operation] = STATE(8014),
    [sym__select_statement] = STATE(7540),
    [sym_comment_statement] = STATE(10358),
    [sym_select] = STATE(7475),
    [sym__truncate_statement] = STATE(10658),
    [sym__delete_statement] = STATE(10658),
    [sym_delete] = STATE(11355),
    [sym__create_statement] = STATE(10358),
    [sym_create_table] = STATE(10358),
    [sym_reset_statement] = STATE(10358),
    [sym_set_statement] = STATE(10358),
    [sym_create_view] = STATE(10358),
    [sym_create_materialized_view] = STATE(10358),
    [sym_create_function] = STATE(10358),
    [sym_create_index] = STATE(10358),
    [sym_create_schema] = STATE(6953),
    [sym_create_database] = STATE(10358),
    [sym_create_role] = STATE(10358),
    [sym_create_sequence] = STATE(10358),
    [sym_create_extension] = STATE(10358),
    [sym_create_trigger] = STATE(10358),
    [sym_create_type] = STATE(10358),
    [sym__alter_statement] = STATE(10358),
    [sym__rename_statement] = STATE(10664),
    [sym_alter_table] = STATE(10358),
    [sym_alter_view] = STATE(10358),
    [sym_alter_schema] = STATE(10358),
    [sym_alter_database] = STATE(10358),
    [sym_alter_role] = STATE(10358),
    [sym_alter_index] = STATE(10358),
    [sym_alter_sequence] = STATE(10358),
    [sym_alter_type] = STATE(10358),
    [sym__drop_statement] = STATE(10358),
    [sym_drop_table] = STATE(10358),
    [sym_drop_view] = STATE(10358),
    [sym_drop_schema] = STATE(10358),
    [sym_drop_database] = STATE(10358),
    [sym_drop_role] = STATE(10358),
    [sym_drop_type] = STATE(10358),
    [sym_drop_sequence] = STATE(10358),
    [sym_drop_index] = STATE(10358),
    [sym_drop_extension] = STATE(10358),
    [sym__copy_statement] = STATE(10658),
    [sym__insert_statement] = STATE(10658),
    [sym_insert] = STATE(9896),
    [sym__update_statement] = STATE(10658),
    [sym__merge_statement] = STATE(10675),
    [sym__optimize_statement] = STATE(10358),
    [sym__compute_stats] = STATE(10358),
    [sym__optimize_table] = STATE(10358),
    [sym__vacuum_table] = STATE(10358),
    [sym_update] = STATE(9854),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_set] = ACTIONS(19),
    [sym_keyword_create] = ACTIONS(21),
    [sym_keyword_alter] = ACTIONS(23),
    [sym_keyword_analyze] = ACTIONS(25),
    [sym_keyword_verbose] = ACTIONS(1702),
    [sym_keyword_drop] = ACTIONS(29),
    [sym_keyword_table] = ACTIONS(1704),
    [sym_keyword_with] = ACTIONS(31),
    [sym_keyword_rename] = ACTIONS(33),
    [sym_keyword_reset] = ACTIONS(35),
    [sym_keyword_vacuum] = ACTIONS(39),
    [sym_keyword_copy] = ACTIONS(41),
    [sym_keyword_compute] = ACTIONS(43),
    [sym_keyword_optimize] = ACTIONS(45),
    [sym_keyword_comment] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [123] = {
    [sym_statement] = STATE(14368),
    [sym__ddl_statement] = STATE(10649),
    [sym__cte] = STATE(6893),
    [sym__dml_write] = STATE(10651),
    [sym__dml_read] = STATE(10654),
    [sym_set_operation] = STATE(8014),
    [sym__select_statement] = STATE(7540),
    [sym_comment_statement] = STATE(10649),
    [sym_select] = STATE(7475),
    [sym__truncate_statement] = STATE(10658),
    [sym__delete_statement] = STATE(10658),
    [sym_delete] = STATE(11802),
    [sym__create_statement] = STATE(10649),
    [sym_create_table] = STATE(10649),
    [sym_reset_statement] = STATE(10649),
    [sym_set_statement] = STATE(10649),
    [sym_create_view] = STATE(10649),
    [sym_create_materialized_view] = STATE(10649),
    [sym_create_function] = STATE(10649),
    [sym_create_index] = STATE(10649),
    [sym_create_schema] = STATE(7008),
    [sym_create_database] = STATE(10649),
    [sym_create_role] = STATE(10649),
    [sym_create_sequence] = STATE(10649),
    [sym_create_extension] = STATE(10649),
    [sym_create_trigger] = STATE(10649),
    [sym_create_type] = STATE(10649),
    [sym__alter_statement] = STATE(10649),
    [sym__rename_statement] = STATE(10664),
    [sym_alter_table] = STATE(10649),
    [sym_alter_view] = STATE(10649),
    [sym_alter_schema] = STATE(10649),
    [sym_alter_database] = STATE(10649),
    [sym_alter_role] = STATE(10649),
    [sym_alter_index] = STATE(10649),
    [sym_alter_sequence] = STATE(10649),
    [sym_alter_type] = STATE(10649),
    [sym__drop_statement] = STATE(10649),
    [sym_drop_table] = STATE(10649),
    [sym_drop_view] = STATE(10649),
    [sym_drop_schema] = STATE(10649),
    [sym_drop_database] = STATE(10649),
    [sym_drop_role] = STATE(10649),
    [sym_drop_type] = STATE(10649),
    [sym_drop_sequence] = STATE(10649),
    [sym_drop_index] = STATE(10649),
    [sym_drop_extension] = STATE(10649),
    [sym__copy_statement] = STATE(10658),
    [sym__insert_statement] = STATE(10658),
    [sym_insert] = STATE(11076),
    [sym__update_statement] = STATE(10658),
    [sym__merge_statement] = STATE(10675),
    [sym__optimize_statement] = STATE(10649),
    [sym__compute_stats] = STATE(10649),
    [sym__optimize_table] = STATE(10649),
    [sym__vacuum_table] = STATE(10649),
    [sym_update] = STATE(11074),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(1708),
    [sym_keyword_replace] = ACTIONS(1708),
    [sym_keyword_update] = ACTIONS(1710),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(1712),
    [sym_keyword_set] = ACTIONS(19),
    [sym_keyword_create] = ACTIONS(1714),
    [sym_keyword_alter] = ACTIONS(1716),
    [sym_keyword_analyze] = ACTIONS(25),
    [sym_keyword_explain] = ACTIONS(1718),
    [sym_keyword_drop] = ACTIONS(29),
    [sym_keyword_with] = ACTIONS(31),
    [sym_keyword_rename] = ACTIONS(33),
    [sym_keyword_reset] = ACTIONS(35),
    [sym_keyword_vacuum] = ACTIONS(39),
    [sym_keyword_copy] = ACTIONS(1720),
    [sym_keyword_compute] = ACTIONS(43),
    [sym_keyword_optimize] = ACTIONS(1722),
    [sym_keyword_comment] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [124] = {
    [sym__ddl_statement] = STATE(10358),
    [sym__cte] = STATE(6893),
    [sym__dml_write] = STATE(10398),
    [sym__dml_read] = STATE(10418),
    [sym_set_operation] = STATE(8014),
    [sym__select_statement] = STATE(7540),
    [sym_comment_statement] = STATE(10358),
    [sym_select] = STATE(7475),
    [sym__truncate_statement] = STATE(10658),
    [sym__delete_statement] = STATE(10658),
    [sym_delete] = STATE(11802),
    [sym__create_statement] = STATE(10358),
    [sym_create_table] = STATE(10358),
    [sym_reset_statement] = STATE(10358),
    [sym_set_statement] = STATE(10358),
    [sym_create_view] = STATE(10358),
    [sym_create_materialized_view] = STATE(10358),
    [sym_create_function] = STATE(10358),
    [sym_create_index] = STATE(10358),
    [sym_create_schema] = STATE(7008),
    [sym_create_database] = STATE(10358),
    [sym_create_role] = STATE(10358),
    [sym_create_sequence] = STATE(10358),
    [sym_create_extension] = STATE(10358),
    [sym_create_trigger] = STATE(10358),
    [sym_create_type] = STATE(10358),
    [sym__alter_statement] = STATE(10358),
    [sym__rename_statement] = STATE(10664),
    [sym_alter_table] = STATE(10358),
    [sym_alter_view] = STATE(10358),
    [sym_alter_schema] = STATE(10358),
    [sym_alter_database] = STATE(10358),
    [sym_alter_role] = STATE(10358),
    [sym_alter_index] = STATE(10358),
    [sym_alter_sequence] = STATE(10358),
    [sym_alter_type] = STATE(10358),
    [sym__drop_statement] = STATE(10358),
    [sym_drop_table] = STATE(10358),
    [sym_drop_view] = STATE(10358),
    [sym_drop_schema] = STATE(10358),
    [sym_drop_database] = STATE(10358),
    [sym_drop_role] = STATE(10358),
    [sym_drop_type] = STATE(10358),
    [sym_drop_sequence] = STATE(10358),
    [sym_drop_index] = STATE(10358),
    [sym_drop_extension] = STATE(10358),
    [sym__copy_statement] = STATE(10658),
    [sym__insert_statement] = STATE(10658),
    [sym_insert] = STATE(11076),
    [sym__update_statement] = STATE(10658),
    [sym__merge_statement] = STATE(10675),
    [sym__optimize_statement] = STATE(10358),
    [sym__compute_stats] = STATE(10358),
    [sym__optimize_table] = STATE(10358),
    [sym__vacuum_table] = STATE(10358),
    [sym_update] = STATE(11074),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(1708),
    [sym_keyword_replace] = ACTIONS(1708),
    [sym_keyword_update] = ACTIONS(1710),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(1712),
    [sym_keyword_set] = ACTIONS(19),
    [sym_keyword_create] = ACTIONS(1714),
    [sym_keyword_alter] = ACTIONS(1716),
    [sym_keyword_analyze] = ACTIONS(25),
    [sym_keyword_verbose] = ACTIONS(1724),
    [sym_keyword_drop] = ACTIONS(29),
    [sym_keyword_table] = ACTIONS(1704),
    [sym_keyword_with] = ACTIONS(31),
    [sym_keyword_rename] = ACTIONS(33),
    [sym_keyword_reset] = ACTIONS(35),
    [sym_keyword_vacuum] = ACTIONS(39),
    [sym_keyword_copy] = ACTIONS(1720),
    [sym_keyword_compute] = ACTIONS(43),
    [sym_keyword_optimize] = ACTIONS(1722),
    [sym_keyword_comment] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [125] = {
    [sym__identifier] = ACTIONS(1372),
    [sym_keyword_primary] = ACTIONS(1376),
    [sym_keyword_key] = ACTIONS(1376),
    [sym_keyword_constraint] = ACTIONS(1376),
    [sym_keyword_index] = ACTIONS(1376),
    [aux_sym_keyword_character_token1] = ACTIONS(1372),
    [sym_keyword_unique] = ACTIONS(1376),
    [sym_keyword_foreign] = ACTIONS(1376),
    [sym_keyword_unsigned] = ACTIONS(1372),
    [sym_keyword_check] = ACTIONS(1376),
    [sym_keyword_boolean] = ACTIONS(1372),
    [sym_keyword_bit] = ACTIONS(1372),
    [sym_keyword_binary] = ACTIONS(1372),
    [sym_keyword_varbinary] = ACTIONS(1372),
    [sym_keyword_image] = ACTIONS(1372),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1372),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1372),
    [aux_sym_keyword_serial_token1] = ACTIONS(1372),
    [aux_sym_keyword_serial_token2] = ACTIONS(1372),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1372),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1372),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1372),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1372),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1372),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1372),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1372),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1372),
    [aux_sym_keyword_int_token1] = ACTIONS(1372),
    [aux_sym_keyword_int_token2] = ACTIONS(1372),
    [aux_sym_keyword_int_token3] = ACTIONS(1372),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1372),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1372),
    [sym_keyword_decimal] = ACTIONS(1372),
    [sym_keyword_numeric] = ACTIONS(1372),
    [aux_sym_keyword_real_token1] = ACTIONS(1372),
    [aux_sym_keyword_real_token2] = ACTIONS(1372),
    [sym_keyword_float] = ACTIONS(1372),
    [sym_keyword_double] = ACTIONS(1372),
    [sym_keyword_inet] = ACTIONS(1372),
    [sym_keyword_money] = ACTIONS(1372),
    [sym_keyword_smallmoney] = ACTIONS(1372),
    [aux_sym_keyword_char_token1] = ACTIONS(1372),
    [sym_keyword_nchar] = ACTIONS(1372),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1372),
    [sym_keyword_nvarchar] = ACTIONS(1372),
    [sym_keyword_text] = ACTIONS(1372),
    [sym_keyword_string] = ACTIONS(1372),
    [sym_keyword_uuid] = ACTIONS(1372),
    [sym_keyword_json] = ACTIONS(1372),
    [sym_keyword_jsonb] = ACTIONS(1372),
    [sym_keyword_xml] = ACTIONS(1372),
    [sym_keyword_bytea] = ACTIONS(1372),
    [sym_keyword_enum] = ACTIONS(1372),
    [sym_keyword_date] = ACTIONS(1372),
    [sym_keyword_datetime] = ACTIONS(1372),
    [sym_keyword_datetime2] = ACTIONS(1372),
    [sym_keyword_smalldatetime] = ACTIONS(1372),
    [sym_keyword_datetimeoffset] = ACTIONS(1372),
    [sym_keyword_time] = ACTIONS(1372),
    [sym_keyword_timestamp] = ACTIONS(1372),
    [sym_keyword_timestamptz] = ACTIONS(1372),
    [sym_keyword_interval] = ACTIONS(1372),
    [sym_keyword_geometry] = ACTIONS(1372),
    [sym_keyword_geography] = ACTIONS(1372),
    [sym_keyword_box2d] = ACTIONS(1372),
    [sym_keyword_box3d] = ACTIONS(1372),
    [sym_keyword_oid] = ACTIONS(1372),
    [sym_keyword_name] = ACTIONS(1372),
    [sym_keyword_regclass] = ACTIONS(1372),
    [sym_keyword_regnamespace] = ACTIONS(1372),
    [sym_keyword_regproc] = ACTIONS(1372),
    [sym_keyword_regtype] = ACTIONS(1372),
    [anon_sym_RPAREN] = ACTIONS(1374),
    [anon_sym_COMMA] = ACTIONS(1374),
    [aux_sym_double_token1] = ACTIONS(1372),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1374),
    [sym__double_quote_string] = ACTIONS(1370),
    [aux_sym_identifier_token1] = ACTIONS(1370),
  },
  [126] = {
    [sym__ddl_statement] = STATE(10401),
    [sym__cte] = STATE(6881),
    [sym__dml_write] = STATE(10381),
    [sym__dml_read] = STATE(10375),
    [sym_set_operation] = STATE(8014),
    [sym__select_statement] = STATE(7540),
    [sym_comment_statement] = STATE(10401),
    [sym_select] = STATE(7475),
    [sym__truncate_statement] = STATE(10658),
    [sym__delete_statement] = STATE(10658),
    [sym_delete] = STATE(11355),
    [sym__create_statement] = STATE(10401),
    [sym_create_table] = STATE(10401),
    [sym_reset_statement] = STATE(10401),
    [sym_set_statement] = STATE(10401),
    [sym_create_view] = STATE(10401),
    [sym_create_materialized_view] = STATE(10401),
    [sym_create_function] = STATE(10401),
    [sym_create_index] = STATE(10401),
    [sym_create_schema] = STATE(6953),
    [sym_create_database] = STATE(10401),
    [sym_create_role] = STATE(10401),
    [sym_create_sequence] = STATE(10401),
    [sym_create_extension] = STATE(10401),
    [sym_create_trigger] = STATE(10401),
    [sym_create_type] = STATE(10401),
    [sym__alter_statement] = STATE(10401),
    [sym__rename_statement] = STATE(10664),
    [sym_alter_table] = STATE(10401),
    [sym_alter_view] = STATE(10401),
    [sym_alter_schema] = STATE(10401),
    [sym_alter_database] = STATE(10401),
    [sym_alter_role] = STATE(10401),
    [sym_alter_index] = STATE(10401),
    [sym_alter_sequence] = STATE(10401),
    [sym_alter_type] = STATE(10401),
    [sym__drop_statement] = STATE(10401),
    [sym_drop_table] = STATE(10401),
    [sym_drop_view] = STATE(10401),
    [sym_drop_schema] = STATE(10401),
    [sym_drop_database] = STATE(10401),
    [sym_drop_role] = STATE(10401),
    [sym_drop_type] = STATE(10401),
    [sym_drop_sequence] = STATE(10401),
    [sym_drop_index] = STATE(10401),
    [sym_drop_extension] = STATE(10401),
    [sym__copy_statement] = STATE(10658),
    [sym__insert_statement] = STATE(10658),
    [sym_insert] = STATE(9896),
    [sym__update_statement] = STATE(10658),
    [sym__merge_statement] = STATE(10675),
    [sym__optimize_statement] = STATE(10401),
    [sym__compute_stats] = STATE(10401),
    [sym__optimize_table] = STATE(10401),
    [sym__vacuum_table] = STATE(10401),
    [sym_update] = STATE(9854),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_set] = ACTIONS(19),
    [sym_keyword_create] = ACTIONS(21),
    [sym_keyword_alter] = ACTIONS(23),
    [sym_keyword_analyze] = ACTIONS(1726),
    [sym_keyword_verbose] = ACTIONS(1728),
    [sym_keyword_drop] = ACTIONS(29),
    [sym_keyword_with] = ACTIONS(31),
    [sym_keyword_rename] = ACTIONS(33),
    [sym_keyword_reset] = ACTIONS(35),
    [sym_keyword_vacuum] = ACTIONS(39),
    [sym_keyword_copy] = ACTIONS(41),
    [sym_keyword_compute] = ACTIONS(43),
    [sym_keyword_optimize] = ACTIONS(45),
    [sym_keyword_comment] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(1730),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [127] = {
    [sym__ddl_statement] = STATE(11382),
    [sym__cte] = STATE(6889),
    [sym__dml_write] = STATE(11380),
    [sym__dml_read] = STATE(11379),
    [sym_set_operation] = STATE(8298),
    [sym__select_statement] = STATE(7622),
    [sym_comment_statement] = STATE(11382),
    [sym_select] = STATE(7513),
    [sym__truncate_statement] = STATE(11390),
    [sym__delete_statement] = STATE(11390),
    [sym_delete] = STATE(11595),
    [sym__create_statement] = STATE(11382),
    [sym_create_table] = STATE(11382),
    [sym_reset_statement] = STATE(11382),
    [sym_set_statement] = STATE(11382),
    [sym_create_view] = STATE(11382),
    [sym_create_materialized_view] = STATE(11382),
    [sym_create_function] = STATE(11382),
    [sym_create_index] = STATE(11382),
    [sym_create_schema] = STATE(6986),
    [sym_create_database] = STATE(11382),
    [sym_create_role] = STATE(11382),
    [sym_create_sequence] = STATE(11382),
    [sym_create_extension] = STATE(11382),
    [sym_create_trigger] = STATE(11382),
    [sym_create_type] = STATE(11382),
    [sym__alter_statement] = STATE(11382),
    [sym__rename_statement] = STATE(11389),
    [sym_alter_table] = STATE(11382),
    [sym_alter_view] = STATE(11382),
    [sym_alter_schema] = STATE(11382),
    [sym_alter_database] = STATE(11382),
    [sym_alter_role] = STATE(11382),
    [sym_alter_index] = STATE(11382),
    [sym_alter_sequence] = STATE(11382),
    [sym_alter_type] = STATE(11382),
    [sym__drop_statement] = STATE(11382),
    [sym_drop_table] = STATE(11382),
    [sym_drop_view] = STATE(11382),
    [sym_drop_schema] = STATE(11382),
    [sym_drop_database] = STATE(11382),
    [sym_drop_role] = STATE(11382),
    [sym_drop_type] = STATE(11382),
    [sym_drop_sequence] = STATE(11382),
    [sym_drop_index] = STATE(11382),
    [sym_drop_extension] = STATE(11382),
    [sym__copy_statement] = STATE(11390),
    [sym__insert_statement] = STATE(11390),
    [sym_insert] = STATE(9562),
    [sym__update_statement] = STATE(11390),
    [sym__merge_statement] = STATE(11387),
    [sym__optimize_statement] = STATE(11382),
    [sym__compute_stats] = STATE(11382),
    [sym__optimize_table] = STATE(11382),
    [sym__vacuum_table] = STATE(11382),
    [sym_update] = STATE(9696),
    [sym_keyword_select] = ACTIONS(1472),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(1474),
    [sym_keyword_replace] = ACTIONS(1474),
    [sym_keyword_update] = ACTIONS(1476),
    [sym_keyword_truncate] = ACTIONS(1478),
    [sym_keyword_merge] = ACTIONS(1480),
    [sym_keyword_set] = ACTIONS(1482),
    [sym_keyword_create] = ACTIONS(1484),
    [sym_keyword_alter] = ACTIONS(1486),
    [sym_keyword_analyze] = ACTIONS(1732),
    [sym_keyword_verbose] = ACTIONS(1734),
    [sym_keyword_drop] = ACTIONS(1492),
    [sym_keyword_with] = ACTIONS(31),
    [sym_keyword_rename] = ACTIONS(1494),
    [sym_keyword_reset] = ACTIONS(1496),
    [sym_keyword_vacuum] = ACTIONS(1500),
    [sym_keyword_copy] = ACTIONS(1502),
    [sym_keyword_compute] = ACTIONS(1508),
    [sym_keyword_optimize] = ACTIONS(1510),
    [sym_keyword_comment] = ACTIONS(1512),
    [anon_sym_LPAREN] = ACTIONS(1736),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [128] = {
    [sym__ddl_statement] = STATE(10401),
    [sym__cte] = STATE(6893),
    [sym__dml_write] = STATE(10381),
    [sym__dml_read] = STATE(10375),
    [sym_set_operation] = STATE(8014),
    [sym__select_statement] = STATE(7540),
    [sym_comment_statement] = STATE(10401),
    [sym_select] = STATE(7475),
    [sym__truncate_statement] = STATE(10658),
    [sym__delete_statement] = STATE(10658),
    [sym_delete] = STATE(11802),
    [sym__create_statement] = STATE(10401),
    [sym_create_table] = STATE(10401),
    [sym_reset_statement] = STATE(10401),
    [sym_set_statement] = STATE(10401),
    [sym_create_view] = STATE(10401),
    [sym_create_materialized_view] = STATE(10401),
    [sym_create_function] = STATE(10401),
    [sym_create_index] = STATE(10401),
    [sym_create_schema] = STATE(7008),
    [sym_create_database] = STATE(10401),
    [sym_create_role] = STATE(10401),
    [sym_create_sequence] = STATE(10401),
    [sym_create_extension] = STATE(10401),
    [sym_create_trigger] = STATE(10401),
    [sym_create_type] = STATE(10401),
    [sym__alter_statement] = STATE(10401),
    [sym__rename_statement] = STATE(10664),
    [sym_alter_table] = STATE(10401),
    [sym_alter_view] = STATE(10401),
    [sym_alter_schema] = STATE(10401),
    [sym_alter_database] = STATE(10401),
    [sym_alter_role] = STATE(10401),
    [sym_alter_index] = STATE(10401),
    [sym_alter_sequence] = STATE(10401),
    [sym_alter_type] = STATE(10401),
    [sym__drop_statement] = STATE(10401),
    [sym_drop_table] = STATE(10401),
    [sym_drop_view] = STATE(10401),
    [sym_drop_schema] = STATE(10401),
    [sym_drop_database] = STATE(10401),
    [sym_drop_role] = STATE(10401),
    [sym_drop_type] = STATE(10401),
    [sym_drop_sequence] = STATE(10401),
    [sym_drop_index] = STATE(10401),
    [sym_drop_extension] = STATE(10401),
    [sym__copy_statement] = STATE(10658),
    [sym__insert_statement] = STATE(10658),
    [sym_insert] = STATE(11076),
    [sym__update_statement] = STATE(10658),
    [sym__merge_statement] = STATE(10675),
    [sym__optimize_statement] = STATE(10401),
    [sym__compute_stats] = STATE(10401),
    [sym__optimize_table] = STATE(10401),
    [sym__vacuum_table] = STATE(10401),
    [sym_update] = STATE(11074),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(1708),
    [sym_keyword_replace] = ACTIONS(1708),
    [sym_keyword_update] = ACTIONS(1710),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(1712),
    [sym_keyword_set] = ACTIONS(19),
    [sym_keyword_create] = ACTIONS(1714),
    [sym_keyword_alter] = ACTIONS(1716),
    [sym_keyword_analyze] = ACTIONS(1738),
    [sym_keyword_verbose] = ACTIONS(1740),
    [sym_keyword_drop] = ACTIONS(29),
    [sym_keyword_with] = ACTIONS(31),
    [sym_keyword_rename] = ACTIONS(33),
    [sym_keyword_reset] = ACTIONS(35),
    [sym_keyword_vacuum] = ACTIONS(39),
    [sym_keyword_copy] = ACTIONS(1720),
    [sym_keyword_compute] = ACTIONS(43),
    [sym_keyword_optimize] = ACTIONS(1722),
    [sym_keyword_comment] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(1730),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [129] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym__identifier] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [sym_keyword_from] = ACTIONS(1372),
    [sym_keyword_on] = ACTIONS(1372),
    [sym_keyword_limit] = ACTIONS(1372),
    [sym_keyword_offset] = ACTIONS(1372),
    [sym_keyword_create] = ACTIONS(1372),
    [sym_keyword_as] = ACTIONS(1372),
    [sym_keyword_when] = ACTIONS(1372),
    [sym_keyword_in] = ACTIONS(1372),
    [sym_keyword_and] = ACTIONS(1372),
    [sym_keyword_or] = ACTIONS(1372),
    [sym_keyword_is] = ACTIONS(1372),
    [sym_keyword_not] = ACTIONS(1372),
    [sym_keyword_default] = ACTIONS(1372),
    [sym_keyword_cascade] = ACTIONS(1372),
    [sym_keyword_with] = ACTIONS(1372),
    [sym_keyword_password] = ACTIONS(1372),
    [sym_keyword_encrypted] = ACTIONS(1372),
    [sym_keyword_valid] = ACTIONS(1372),
    [sym_keyword_connection] = ACTIONS(1372),
    [sym_keyword_union] = ACTIONS(1372),
    [sym_keyword_except] = ACTIONS(1372),
    [sym_keyword_intersect] = ACTIONS(1372),
    [sym_keyword_returning] = ACTIONS(1372),
    [sym_keyword_rows] = ACTIONS(1372),
    [sym_keyword_between] = ACTIONS(1372),
    [aux_sym_keyword_like_token1] = ACTIONS(1372),
    [aux_sym_keyword_like_token2] = ACTIONS(1372),
    [sym_keyword_similar] = ACTIONS(1372),
    [sym_keyword_check] = ACTIONS(1372),
    [sym_keyword_freeze] = ACTIONS(1372),
    [sym_keyword_escape] = ACTIONS(1372),
    [sym_keyword_encoding] = ACTIONS(1372),
    [sym_keyword_force_quote] = ACTIONS(1372),
    [sym_keyword_quote] = ACTIONS(1372),
    [sym_keyword_force_null] = ACTIONS(1372),
    [sym_keyword_force_not_null] = ACTIONS(1372),
    [sym_keyword_header] = ACTIONS(1372),
    [sym_keyword_returns] = ACTIONS(1372),
    [sym_keyword_language] = ACTIONS(1372),
    [sym_keyword_immutable] = ACTIONS(1372),
    [sym_keyword_stable] = ACTIONS(1372),
    [sym_keyword_volatile] = ACTIONS(1372),
    [sym_keyword_leakproof] = ACTIONS(1372),
    [sym_keyword_parallel] = ACTIONS(1372),
    [sym_keyword_called] = ACTIONS(1372),
    [sym_keyword_strict] = ACTIONS(1372),
    [sym_keyword_cost] = ACTIONS(1372),
    [sym_keyword_support] = ACTIONS(1372),
    [sym_keyword_security] = ACTIONS(1372),
    [sym_keyword_external] = ACTIONS(1372),
    [sym_keyword_format] = ACTIONS(1372),
    [sym_keyword_delimiter] = ACTIONS(1372),
    [sym_keyword_null] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [anon_sym_RPAREN] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1370),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_COLON_COLON] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT] = ACTIONS(1372),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [sym_op_other] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PERCENT] = ACTIONS(1370),
    [anon_sym_CARET] = ACTIONS(1372),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_LT_GT] = ACTIONS(1370),
    [sym__double_quote_string] = ACTIONS(1370),
    [aux_sym_identifier_token1] = ACTIONS(1370),
  },
  [130] = {
    [sym__ddl_statement] = STATE(10438),
    [sym__cte] = STATE(6881),
    [sym__dml_write] = STATE(10398),
    [sym__dml_read] = STATE(10418),
    [sym_set_operation] = STATE(8014),
    [sym__select_statement] = STATE(7540),
    [sym_comment_statement] = STATE(10438),
    [sym_select] = STATE(7475),
    [sym__truncate_statement] = STATE(10658),
    [sym__delete_statement] = STATE(10658),
    [sym_delete] = STATE(11355),
    [sym__create_statement] = STATE(10438),
    [sym_create_table] = STATE(10438),
    [sym_reset_statement] = STATE(10438),
    [sym_set_statement] = STATE(10438),
    [sym_create_view] = STATE(10438),
    [sym_create_materialized_view] = STATE(10438),
    [sym_create_function] = STATE(10438),
    [sym_create_index] = STATE(10438),
    [sym_create_schema] = STATE(6953),
    [sym_create_database] = STATE(10438),
    [sym_create_role] = STATE(10438),
    [sym_create_sequence] = STATE(10438),
    [sym_create_extension] = STATE(10438),
    [sym_create_trigger] = STATE(10438),
    [sym_create_type] = STATE(10438),
    [sym__alter_statement] = STATE(10438),
    [sym__rename_statement] = STATE(10664),
    [sym_alter_table] = STATE(10438),
    [sym_alter_view] = STATE(10438),
    [sym_alter_schema] = STATE(10438),
    [sym_alter_database] = STATE(10438),
    [sym_alter_role] = STATE(10438),
    [sym_alter_index] = STATE(10438),
    [sym_alter_sequence] = STATE(10438),
    [sym_alter_type] = STATE(10438),
    [sym__drop_statement] = STATE(10438),
    [sym_drop_table] = STATE(10438),
    [sym_drop_view] = STATE(10438),
    [sym_drop_schema] = STATE(10438),
    [sym_drop_database] = STATE(10438),
    [sym_drop_role] = STATE(10438),
    [sym_drop_type] = STATE(10438),
    [sym_drop_sequence] = STATE(10438),
    [sym_drop_index] = STATE(10438),
    [sym_drop_extension] = STATE(10438),
    [sym__copy_statement] = STATE(10658),
    [sym__insert_statement] = STATE(10658),
    [sym_insert] = STATE(9896),
    [sym__update_statement] = STATE(10658),
    [sym__merge_statement] = STATE(10675),
    [sym__optimize_statement] = STATE(10438),
    [sym__compute_stats] = STATE(10438),
    [sym__optimize_table] = STATE(10438),
    [sym__vacuum_table] = STATE(10438),
    [sym_update] = STATE(9854),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_set] = ACTIONS(19),
    [sym_keyword_create] = ACTIONS(21),
    [sym_keyword_alter] = ACTIONS(23),
    [sym_keyword_analyze] = ACTIONS(25),
    [sym_keyword_drop] = ACTIONS(29),
    [sym_keyword_with] = ACTIONS(31),
    [sym_keyword_rename] = ACTIONS(33),
    [sym_keyword_reset] = ACTIONS(35),
    [sym_keyword_vacuum] = ACTIONS(39),
    [sym_keyword_copy] = ACTIONS(41),
    [sym_keyword_compute] = ACTIONS(43),
    [sym_keyword_optimize] = ACTIONS(45),
    [sym_keyword_comment] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [131] = {
    [sym__ddl_statement] = STATE(11368),
    [sym__cte] = STATE(6889),
    [sym__dml_write] = STATE(11370),
    [sym__dml_read] = STATE(11369),
    [sym_set_operation] = STATE(8298),
    [sym__select_statement] = STATE(7622),
    [sym_comment_statement] = STATE(11368),
    [sym_select] = STATE(7513),
    [sym__truncate_statement] = STATE(11390),
    [sym__delete_statement] = STATE(11390),
    [sym_delete] = STATE(11595),
    [sym__create_statement] = STATE(11368),
    [sym_create_table] = STATE(11368),
    [sym_reset_statement] = STATE(11368),
    [sym_set_statement] = STATE(11368),
    [sym_create_view] = STATE(11368),
    [sym_create_materialized_view] = STATE(11368),
    [sym_create_function] = STATE(11368),
    [sym_create_index] = STATE(11368),
    [sym_create_schema] = STATE(6986),
    [sym_create_database] = STATE(11368),
    [sym_create_role] = STATE(11368),
    [sym_create_sequence] = STATE(11368),
    [sym_create_extension] = STATE(11368),
    [sym_create_trigger] = STATE(11368),
    [sym_create_type] = STATE(11368),
    [sym__alter_statement] = STATE(11368),
    [sym__rename_statement] = STATE(11389),
    [sym_alter_table] = STATE(11368),
    [sym_alter_view] = STATE(11368),
    [sym_alter_schema] = STATE(11368),
    [sym_alter_database] = STATE(11368),
    [sym_alter_role] = STATE(11368),
    [sym_alter_index] = STATE(11368),
    [sym_alter_sequence] = STATE(11368),
    [sym_alter_type] = STATE(11368),
    [sym__drop_statement] = STATE(11368),
    [sym_drop_table] = STATE(11368),
    [sym_drop_view] = STATE(11368),
    [sym_drop_schema] = STATE(11368),
    [sym_drop_database] = STATE(11368),
    [sym_drop_role] = STATE(11368),
    [sym_drop_type] = STATE(11368),
    [sym_drop_sequence] = STATE(11368),
    [sym_drop_index] = STATE(11368),
    [sym_drop_extension] = STATE(11368),
    [sym__copy_statement] = STATE(11390),
    [sym__insert_statement] = STATE(11390),
    [sym_insert] = STATE(9562),
    [sym__update_statement] = STATE(11390),
    [sym__merge_statement] = STATE(11387),
    [sym__optimize_statement] = STATE(11368),
    [sym__compute_stats] = STATE(11368),
    [sym__optimize_table] = STATE(11368),
    [sym__vacuum_table] = STATE(11368),
    [sym_update] = STATE(9696),
    [sym_keyword_select] = ACTIONS(1472),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(1474),
    [sym_keyword_replace] = ACTIONS(1474),
    [sym_keyword_update] = ACTIONS(1476),
    [sym_keyword_truncate] = ACTIONS(1478),
    [sym_keyword_merge] = ACTIONS(1480),
    [sym_keyword_set] = ACTIONS(1482),
    [sym_keyword_create] = ACTIONS(1484),
    [sym_keyword_alter] = ACTIONS(1486),
    [sym_keyword_analyze] = ACTIONS(1488),
    [sym_keyword_drop] = ACTIONS(1492),
    [sym_keyword_with] = ACTIONS(31),
    [sym_keyword_rename] = ACTIONS(1494),
    [sym_keyword_reset] = ACTIONS(1496),
    [sym_keyword_vacuum] = ACTIONS(1500),
    [sym_keyword_copy] = ACTIONS(1502),
    [sym_keyword_compute] = ACTIONS(1508),
    [sym_keyword_optimize] = ACTIONS(1510),
    [sym_keyword_comment] = ACTIONS(1512),
    [anon_sym_LPAREN] = ACTIONS(1700),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [132] = {
    [sym__ddl_statement] = STATE(10481),
    [sym__cte] = STATE(6881),
    [sym__dml_write] = STATE(10477),
    [sym__dml_read] = STATE(10465),
    [sym_set_operation] = STATE(8014),
    [sym__select_statement] = STATE(7540),
    [sym_comment_statement] = STATE(10481),
    [sym_select] = STATE(7475),
    [sym__truncate_statement] = STATE(10658),
    [sym__delete_statement] = STATE(10658),
    [sym_delete] = STATE(11355),
    [sym__create_statement] = STATE(10481),
    [sym_create_table] = STATE(10481),
    [sym_reset_statement] = STATE(10481),
    [sym_set_statement] = STATE(10481),
    [sym_create_view] = STATE(10481),
    [sym_create_materialized_view] = STATE(10481),
    [sym_create_function] = STATE(10481),
    [sym_create_index] = STATE(10481),
    [sym_create_schema] = STATE(6953),
    [sym_create_database] = STATE(10481),
    [sym_create_role] = STATE(10481),
    [sym_create_sequence] = STATE(10481),
    [sym_create_extension] = STATE(10481),
    [sym_create_trigger] = STATE(10481),
    [sym_create_type] = STATE(10481),
    [sym__alter_statement] = STATE(10481),
    [sym__rename_statement] = STATE(10664),
    [sym_alter_table] = STATE(10481),
    [sym_alter_view] = STATE(10481),
    [sym_alter_schema] = STATE(10481),
    [sym_alter_database] = STATE(10481),
    [sym_alter_role] = STATE(10481),
    [sym_alter_index] = STATE(10481),
    [sym_alter_sequence] = STATE(10481),
    [sym_alter_type] = STATE(10481),
    [sym__drop_statement] = STATE(10481),
    [sym_drop_table] = STATE(10481),
    [sym_drop_view] = STATE(10481),
    [sym_drop_schema] = STATE(10481),
    [sym_drop_database] = STATE(10481),
    [sym_drop_role] = STATE(10481),
    [sym_drop_type] = STATE(10481),
    [sym_drop_sequence] = STATE(10481),
    [sym_drop_index] = STATE(10481),
    [sym_drop_extension] = STATE(10481),
    [sym__copy_statement] = STATE(10658),
    [sym__insert_statement] = STATE(10658),
    [sym_insert] = STATE(9896),
    [sym__update_statement] = STATE(10658),
    [sym__merge_statement] = STATE(10675),
    [sym__optimize_statement] = STATE(10481),
    [sym__compute_stats] = STATE(10481),
    [sym__optimize_table] = STATE(10481),
    [sym__vacuum_table] = STATE(10481),
    [sym_update] = STATE(9854),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_set] = ACTIONS(19),
    [sym_keyword_create] = ACTIONS(21),
    [sym_keyword_alter] = ACTIONS(23),
    [sym_keyword_analyze] = ACTIONS(25),
    [sym_keyword_drop] = ACTIONS(29),
    [sym_keyword_with] = ACTIONS(31),
    [sym_keyword_rename] = ACTIONS(33),
    [sym_keyword_reset] = ACTIONS(35),
    [sym_keyword_vacuum] = ACTIONS(39),
    [sym_keyword_copy] = ACTIONS(41),
    [sym_keyword_compute] = ACTIONS(43),
    [sym_keyword_optimize] = ACTIONS(45),
    [sym_keyword_comment] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(1742),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [133] = {
    [sym__ddl_statement] = STATE(10438),
    [sym__cte] = STATE(6893),
    [sym__dml_write] = STATE(10398),
    [sym__dml_read] = STATE(10418),
    [sym_set_operation] = STATE(8014),
    [sym__select_statement] = STATE(7540),
    [sym_comment_statement] = STATE(10438),
    [sym_select] = STATE(7475),
    [sym__truncate_statement] = STATE(10658),
    [sym__delete_statement] = STATE(10658),
    [sym_delete] = STATE(11802),
    [sym__create_statement] = STATE(10438),
    [sym_create_table] = STATE(10438),
    [sym_reset_statement] = STATE(10438),
    [sym_set_statement] = STATE(10438),
    [sym_create_view] = STATE(10438),
    [sym_create_materialized_view] = STATE(10438),
    [sym_create_function] = STATE(10438),
    [sym_create_index] = STATE(10438),
    [sym_create_schema] = STATE(7008),
    [sym_create_database] = STATE(10438),
    [sym_create_role] = STATE(10438),
    [sym_create_sequence] = STATE(10438),
    [sym_create_extension] = STATE(10438),
    [sym_create_trigger] = STATE(10438),
    [sym_create_type] = STATE(10438),
    [sym__alter_statement] = STATE(10438),
    [sym__rename_statement] = STATE(10664),
    [sym_alter_table] = STATE(10438),
    [sym_alter_view] = STATE(10438),
    [sym_alter_schema] = STATE(10438),
    [sym_alter_database] = STATE(10438),
    [sym_alter_role] = STATE(10438),
    [sym_alter_index] = STATE(10438),
    [sym_alter_sequence] = STATE(10438),
    [sym_alter_type] = STATE(10438),
    [sym__drop_statement] = STATE(10438),
    [sym_drop_table] = STATE(10438),
    [sym_drop_view] = STATE(10438),
    [sym_drop_schema] = STATE(10438),
    [sym_drop_database] = STATE(10438),
    [sym_drop_role] = STATE(10438),
    [sym_drop_type] = STATE(10438),
    [sym_drop_sequence] = STATE(10438),
    [sym_drop_index] = STATE(10438),
    [sym_drop_extension] = STATE(10438),
    [sym__copy_statement] = STATE(10658),
    [sym__insert_statement] = STATE(10658),
    [sym_insert] = STATE(11076),
    [sym__update_statement] = STATE(10658),
    [sym__merge_statement] = STATE(10675),
    [sym__optimize_statement] = STATE(10438),
    [sym__compute_stats] = STATE(10438),
    [sym__optimize_table] = STATE(10438),
    [sym__vacuum_table] = STATE(10438),
    [sym_update] = STATE(11074),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(1708),
    [sym_keyword_replace] = ACTIONS(1708),
    [sym_keyword_update] = ACTIONS(1710),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(1712),
    [sym_keyword_set] = ACTIONS(19),
    [sym_keyword_create] = ACTIONS(1714),
    [sym_keyword_alter] = ACTIONS(1716),
    [sym_keyword_analyze] = ACTIONS(25),
    [sym_keyword_drop] = ACTIONS(29),
    [sym_keyword_with] = ACTIONS(31),
    [sym_keyword_rename] = ACTIONS(33),
    [sym_keyword_reset] = ACTIONS(35),
    [sym_keyword_vacuum] = ACTIONS(39),
    [sym_keyword_copy] = ACTIONS(1720),
    [sym_keyword_compute] = ACTIONS(43),
    [sym_keyword_optimize] = ACTIONS(1722),
    [sym_keyword_comment] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [134] = {
    [sym__ddl_statement] = STATE(10481),
    [sym__cte] = STATE(6893),
    [sym__dml_write] = STATE(10477),
    [sym__dml_read] = STATE(10465),
    [sym_set_operation] = STATE(8014),
    [sym__select_statement] = STATE(7540),
    [sym_comment_statement] = STATE(10481),
    [sym_select] = STATE(7475),
    [sym__truncate_statement] = STATE(10658),
    [sym__delete_statement] = STATE(10658),
    [sym_delete] = STATE(11802),
    [sym__create_statement] = STATE(10481),
    [sym_create_table] = STATE(10481),
    [sym_reset_statement] = STATE(10481),
    [sym_set_statement] = STATE(10481),
    [sym_create_view] = STATE(10481),
    [sym_create_materialized_view] = STATE(10481),
    [sym_create_function] = STATE(10481),
    [sym_create_index] = STATE(10481),
    [sym_create_schema] = STATE(7008),
    [sym_create_database] = STATE(10481),
    [sym_create_role] = STATE(10481),
    [sym_create_sequence] = STATE(10481),
    [sym_create_extension] = STATE(10481),
    [sym_create_trigger] = STATE(10481),
    [sym_create_type] = STATE(10481),
    [sym__alter_statement] = STATE(10481),
    [sym__rename_statement] = STATE(10664),
    [sym_alter_table] = STATE(10481),
    [sym_alter_view] = STATE(10481),
    [sym_alter_schema] = STATE(10481),
    [sym_alter_database] = STATE(10481),
    [sym_alter_role] = STATE(10481),
    [sym_alter_index] = STATE(10481),
    [sym_alter_sequence] = STATE(10481),
    [sym_alter_type] = STATE(10481),
    [sym__drop_statement] = STATE(10481),
    [sym_drop_table] = STATE(10481),
    [sym_drop_view] = STATE(10481),
    [sym_drop_schema] = STATE(10481),
    [sym_drop_database] = STATE(10481),
    [sym_drop_role] = STATE(10481),
    [sym_drop_type] = STATE(10481),
    [sym_drop_sequence] = STATE(10481),
    [sym_drop_index] = STATE(10481),
    [sym_drop_extension] = STATE(10481),
    [sym__copy_statement] = STATE(10658),
    [sym__insert_statement] = STATE(10658),
    [sym_insert] = STATE(11076),
    [sym__update_statement] = STATE(10658),
    [sym__merge_statement] = STATE(10675),
    [sym__optimize_statement] = STATE(10481),
    [sym__compute_stats] = STATE(10481),
    [sym__optimize_table] = STATE(10481),
    [sym__vacuum_table] = STATE(10481),
    [sym_update] = STATE(11074),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(1708),
    [sym_keyword_replace] = ACTIONS(1708),
    [sym_keyword_update] = ACTIONS(1710),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(1712),
    [sym_keyword_set] = ACTIONS(19),
    [sym_keyword_create] = ACTIONS(1714),
    [sym_keyword_alter] = ACTIONS(1716),
    [sym_keyword_analyze] = ACTIONS(25),
    [sym_keyword_drop] = ACTIONS(29),
    [sym_keyword_with] = ACTIONS(31),
    [sym_keyword_rename] = ACTIONS(33),
    [sym_keyword_reset] = ACTIONS(35),
    [sym_keyword_vacuum] = ACTIONS(39),
    [sym_keyword_copy] = ACTIONS(1720),
    [sym_keyword_compute] = ACTIONS(43),
    [sym_keyword_optimize] = ACTIONS(1722),
    [sym_keyword_comment] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(1742),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [135] = {
    [sym__ddl_statement] = STATE(11350),
    [sym__cte] = STATE(6889),
    [sym__dml_write] = STATE(11349),
    [sym__dml_read] = STATE(11348),
    [sym_set_operation] = STATE(8298),
    [sym__select_statement] = STATE(7622),
    [sym_comment_statement] = STATE(11350),
    [sym_select] = STATE(7513),
    [sym__truncate_statement] = STATE(11390),
    [sym__delete_statement] = STATE(11390),
    [sym_delete] = STATE(11595),
    [sym__create_statement] = STATE(11350),
    [sym_create_table] = STATE(11350),
    [sym_reset_statement] = STATE(11350),
    [sym_set_statement] = STATE(11350),
    [sym_create_view] = STATE(11350),
    [sym_create_materialized_view] = STATE(11350),
    [sym_create_function] = STATE(11350),
    [sym_create_index] = STATE(11350),
    [sym_create_schema] = STATE(6986),
    [sym_create_database] = STATE(11350),
    [sym_create_role] = STATE(11350),
    [sym_create_sequence] = STATE(11350),
    [sym_create_extension] = STATE(11350),
    [sym_create_trigger] = STATE(11350),
    [sym_create_type] = STATE(11350),
    [sym__alter_statement] = STATE(11350),
    [sym__rename_statement] = STATE(11389),
    [sym_alter_table] = STATE(11350),
    [sym_alter_view] = STATE(11350),
    [sym_alter_schema] = STATE(11350),
    [sym_alter_database] = STATE(11350),
    [sym_alter_role] = STATE(11350),
    [sym_alter_index] = STATE(11350),
    [sym_alter_sequence] = STATE(11350),
    [sym_alter_type] = STATE(11350),
    [sym__drop_statement] = STATE(11350),
    [sym_drop_table] = STATE(11350),
    [sym_drop_view] = STATE(11350),
    [sym_drop_schema] = STATE(11350),
    [sym_drop_database] = STATE(11350),
    [sym_drop_role] = STATE(11350),
    [sym_drop_type] = STATE(11350),
    [sym_drop_sequence] = STATE(11350),
    [sym_drop_index] = STATE(11350),
    [sym_drop_extension] = STATE(11350),
    [sym__copy_statement] = STATE(11390),
    [sym__insert_statement] = STATE(11390),
    [sym_insert] = STATE(9562),
    [sym__update_statement] = STATE(11390),
    [sym__merge_statement] = STATE(11387),
    [sym__optimize_statement] = STATE(11350),
    [sym__compute_stats] = STATE(11350),
    [sym__optimize_table] = STATE(11350),
    [sym__vacuum_table] = STATE(11350),
    [sym_update] = STATE(9696),
    [sym_keyword_select] = ACTIONS(1472),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(1474),
    [sym_keyword_replace] = ACTIONS(1474),
    [sym_keyword_update] = ACTIONS(1476),
    [sym_keyword_truncate] = ACTIONS(1478),
    [sym_keyword_merge] = ACTIONS(1480),
    [sym_keyword_set] = ACTIONS(1482),
    [sym_keyword_create] = ACTIONS(1484),
    [sym_keyword_alter] = ACTIONS(1486),
    [sym_keyword_analyze] = ACTIONS(1488),
    [sym_keyword_drop] = ACTIONS(1492),
    [sym_keyword_with] = ACTIONS(31),
    [sym_keyword_rename] = ACTIONS(1494),
    [sym_keyword_reset] = ACTIONS(1496),
    [sym_keyword_vacuum] = ACTIONS(1500),
    [sym_keyword_copy] = ACTIONS(1502),
    [sym_keyword_compute] = ACTIONS(1508),
    [sym_keyword_optimize] = ACTIONS(1510),
    [sym_keyword_comment] = ACTIONS(1512),
    [anon_sym_LPAREN] = ACTIONS(1744),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [136] = {
    [sym__identifier] = ACTIONS(1746),
    [sym_keyword_on] = ACTIONS(1746),
    [sym_keyword_desc] = ACTIONS(1746),
    [sym_keyword_asc] = ACTIONS(1746),
    [sym_keyword_collate] = ACTIONS(1746),
    [aux_sym_keyword_character_token1] = ACTIONS(1746),
    [sym_keyword_nulls] = ACTIONS(1746),
    [sym_keyword_unsigned] = ACTIONS(1746),
    [sym_keyword_boolean] = ACTIONS(1746),
    [sym_keyword_bit] = ACTIONS(1746),
    [sym_keyword_binary] = ACTIONS(1746),
    [sym_keyword_varbinary] = ACTIONS(1746),
    [sym_keyword_image] = ACTIONS(1746),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1746),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1746),
    [aux_sym_keyword_serial_token1] = ACTIONS(1746),
    [aux_sym_keyword_serial_token2] = ACTIONS(1746),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1746),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1746),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1746),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1746),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1746),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1746),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1746),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1746),
    [aux_sym_keyword_int_token1] = ACTIONS(1746),
    [aux_sym_keyword_int_token2] = ACTIONS(1746),
    [aux_sym_keyword_int_token3] = ACTIONS(1746),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1746),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1746),
    [sym_keyword_decimal] = ACTIONS(1746),
    [sym_keyword_numeric] = ACTIONS(1746),
    [aux_sym_keyword_real_token1] = ACTIONS(1746),
    [aux_sym_keyword_real_token2] = ACTIONS(1746),
    [sym_keyword_float] = ACTIONS(1746),
    [sym_keyword_double] = ACTIONS(1746),
    [sym_keyword_inet] = ACTIONS(1746),
    [sym_keyword_money] = ACTIONS(1746),
    [sym_keyword_smallmoney] = ACTIONS(1746),
    [aux_sym_keyword_char_token1] = ACTIONS(1746),
    [sym_keyword_nchar] = ACTIONS(1746),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1746),
    [sym_keyword_nvarchar] = ACTIONS(1746),
    [sym_keyword_text] = ACTIONS(1746),
    [sym_keyword_string] = ACTIONS(1746),
    [sym_keyword_uuid] = ACTIONS(1746),
    [sym_keyword_json] = ACTIONS(1746),
    [sym_keyword_jsonb] = ACTIONS(1746),
    [sym_keyword_xml] = ACTIONS(1746),
    [sym_keyword_bytea] = ACTIONS(1746),
    [sym_keyword_enum] = ACTIONS(1746),
    [sym_keyword_date] = ACTIONS(1746),
    [sym_keyword_datetime] = ACTIONS(1746),
    [sym_keyword_datetime2] = ACTIONS(1746),
    [sym_keyword_smalldatetime] = ACTIONS(1746),
    [sym_keyword_datetimeoffset] = ACTIONS(1746),
    [sym_keyword_time] = ACTIONS(1746),
    [sym_keyword_timestamp] = ACTIONS(1746),
    [sym_keyword_timestamptz] = ACTIONS(1746),
    [sym_keyword_interval] = ACTIONS(1746),
    [sym_keyword_geometry] = ACTIONS(1746),
    [sym_keyword_geography] = ACTIONS(1746),
    [sym_keyword_box2d] = ACTIONS(1746),
    [sym_keyword_box3d] = ACTIONS(1746),
    [sym_keyword_oid] = ACTIONS(1746),
    [sym_keyword_name] = ACTIONS(1746),
    [sym_keyword_regclass] = ACTIONS(1746),
    [sym_keyword_regnamespace] = ACTIONS(1746),
    [sym_keyword_regproc] = ACTIONS(1746),
    [sym_keyword_regtype] = ACTIONS(1746),
    [anon_sym_RPAREN] = ACTIONS(1748),
    [anon_sym_COMMA] = ACTIONS(1748),
    [aux_sym_double_token1] = ACTIONS(1746),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(1748),
    [aux_sym_identifier_token1] = ACTIONS(1748),
  },
  [137] = {
    [sym__identifier] = ACTIONS(1666),
    [sym_keyword_on] = ACTIONS(1666),
    [sym_keyword_desc] = ACTIONS(1666),
    [sym_keyword_asc] = ACTIONS(1666),
    [aux_sym_keyword_character_token1] = ACTIONS(1666),
    [sym_keyword_unsigned] = ACTIONS(1666),
    [sym_keyword_boolean] = ACTIONS(1666),
    [sym_keyword_bit] = ACTIONS(1666),
    [sym_keyword_binary] = ACTIONS(1666),
    [sym_keyword_varbinary] = ACTIONS(1666),
    [sym_keyword_image] = ACTIONS(1666),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1666),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1666),
    [aux_sym_keyword_serial_token1] = ACTIONS(1666),
    [aux_sym_keyword_serial_token2] = ACTIONS(1666),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1666),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1666),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1666),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1666),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1666),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1666),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1666),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1666),
    [aux_sym_keyword_int_token1] = ACTIONS(1666),
    [aux_sym_keyword_int_token2] = ACTIONS(1666),
    [aux_sym_keyword_int_token3] = ACTIONS(1666),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1666),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1666),
    [sym_keyword_decimal] = ACTIONS(1666),
    [sym_keyword_numeric] = ACTIONS(1666),
    [aux_sym_keyword_real_token1] = ACTIONS(1666),
    [aux_sym_keyword_real_token2] = ACTIONS(1666),
    [sym_keyword_float] = ACTIONS(1666),
    [sym_keyword_double] = ACTIONS(1666),
    [sym_keyword_inet] = ACTIONS(1666),
    [sym_keyword_money] = ACTIONS(1666),
    [sym_keyword_smallmoney] = ACTIONS(1666),
    [aux_sym_keyword_char_token1] = ACTIONS(1666),
    [sym_keyword_nchar] = ACTIONS(1666),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1666),
    [sym_keyword_nvarchar] = ACTIONS(1666),
    [sym_keyword_text] = ACTIONS(1666),
    [sym_keyword_string] = ACTIONS(1666),
    [sym_keyword_uuid] = ACTIONS(1666),
    [sym_keyword_json] = ACTIONS(1666),
    [sym_keyword_jsonb] = ACTIONS(1666),
    [sym_keyword_xml] = ACTIONS(1666),
    [sym_keyword_bytea] = ACTIONS(1666),
    [sym_keyword_enum] = ACTIONS(1666),
    [sym_keyword_date] = ACTIONS(1666),
    [sym_keyword_datetime] = ACTIONS(1666),
    [sym_keyword_datetime2] = ACTIONS(1666),
    [sym_keyword_smalldatetime] = ACTIONS(1666),
    [sym_keyword_datetimeoffset] = ACTIONS(1666),
    [sym_keyword_time] = ACTIONS(1666),
    [sym_keyword_timestamp] = ACTIONS(1666),
    [sym_keyword_timestamptz] = ACTIONS(1666),
    [sym_keyword_interval] = ACTIONS(1666),
    [sym_keyword_geometry] = ACTIONS(1666),
    [sym_keyword_geography] = ACTIONS(1666),
    [sym_keyword_box2d] = ACTIONS(1666),
    [sym_keyword_box3d] = ACTIONS(1666),
    [sym_keyword_oid] = ACTIONS(1666),
    [sym_keyword_name] = ACTIONS(1666),
    [sym_keyword_regclass] = ACTIONS(1666),
    [sym_keyword_regnamespace] = ACTIONS(1666),
    [sym_keyword_regproc] = ACTIONS(1666),
    [sym_keyword_regtype] = ACTIONS(1666),
    [anon_sym_RPAREN] = ACTIONS(1682),
    [anon_sym_COMMA] = ACTIONS(1682),
    [aux_sym_double_token1] = ACTIONS(1666),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(1682),
    [aux_sym_identifier_token1] = ACTIONS(1682),
  },
  [138] = {
    [aux_sym_set_statement_repeat1] = STATE(10411),
    [sym__identifier] = ACTIONS(1666),
    [aux_sym_keyword_character_token1] = ACTIONS(1666),
    [sym_keyword_unsigned] = ACTIONS(1666),
    [sym_keyword_boolean] = ACTIONS(1666),
    [sym_keyword_bit] = ACTIONS(1666),
    [sym_keyword_binary] = ACTIONS(1666),
    [sym_keyword_varbinary] = ACTIONS(1666),
    [sym_keyword_image] = ACTIONS(1666),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1666),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1666),
    [aux_sym_keyword_serial_token1] = ACTIONS(1666),
    [aux_sym_keyword_serial_token2] = ACTIONS(1666),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1666),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1666),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1666),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1666),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1666),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1666),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1666),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1666),
    [aux_sym_keyword_int_token1] = ACTIONS(1666),
    [aux_sym_keyword_int_token2] = ACTIONS(1666),
    [aux_sym_keyword_int_token3] = ACTIONS(1666),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1666),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1666),
    [sym_keyword_decimal] = ACTIONS(1666),
    [sym_keyword_numeric] = ACTIONS(1666),
    [aux_sym_keyword_real_token1] = ACTIONS(1666),
    [aux_sym_keyword_real_token2] = ACTIONS(1666),
    [sym_keyword_float] = ACTIONS(1666),
    [sym_keyword_double] = ACTIONS(1666),
    [sym_keyword_inet] = ACTIONS(1666),
    [sym_keyword_money] = ACTIONS(1666),
    [sym_keyword_smallmoney] = ACTIONS(1666),
    [aux_sym_keyword_char_token1] = ACTIONS(1666),
    [sym_keyword_nchar] = ACTIONS(1666),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1666),
    [sym_keyword_nvarchar] = ACTIONS(1666),
    [sym_keyword_text] = ACTIONS(1666),
    [sym_keyword_string] = ACTIONS(1666),
    [sym_keyword_uuid] = ACTIONS(1666),
    [sym_keyword_json] = ACTIONS(1666),
    [sym_keyword_jsonb] = ACTIONS(1666),
    [sym_keyword_xml] = ACTIONS(1666),
    [sym_keyword_bytea] = ACTIONS(1666),
    [sym_keyword_enum] = ACTIONS(1666),
    [sym_keyword_date] = ACTIONS(1666),
    [sym_keyword_datetime] = ACTIONS(1666),
    [sym_keyword_datetime2] = ACTIONS(1666),
    [sym_keyword_smalldatetime] = ACTIONS(1666),
    [sym_keyword_datetimeoffset] = ACTIONS(1666),
    [sym_keyword_time] = ACTIONS(1666),
    [sym_keyword_timestamp] = ACTIONS(1666),
    [sym_keyword_timestamptz] = ACTIONS(1666),
    [sym_keyword_interval] = ACTIONS(1666),
    [sym_keyword_geometry] = ACTIONS(1666),
    [sym_keyword_geography] = ACTIONS(1666),
    [sym_keyword_box2d] = ACTIONS(1666),
    [sym_keyword_box3d] = ACTIONS(1666),
    [sym_keyword_oid] = ACTIONS(1666),
    [sym_keyword_name] = ACTIONS(1666),
    [sym_keyword_regclass] = ACTIONS(1666),
    [sym_keyword_regnamespace] = ACTIONS(1666),
    [sym_keyword_regproc] = ACTIONS(1666),
    [sym_keyword_regtype] = ACTIONS(1666),
    [anon_sym_RPAREN] = ACTIONS(1750),
    [anon_sym_COMMA] = ACTIONS(1752),
    [aux_sym_double_token1] = ACTIONS(1666),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1754),
    [sym__double_quote_string] = ACTIONS(1682),
    [aux_sym_identifier_token1] = ACTIONS(1682),
  },
  [139] = {
    [aux_sym_set_statement_repeat1] = STATE(10552),
    [sym__identifier] = ACTIONS(1666),
    [aux_sym_keyword_character_token1] = ACTIONS(1666),
    [sym_keyword_unsigned] = ACTIONS(1666),
    [sym_keyword_boolean] = ACTIONS(1666),
    [sym_keyword_bit] = ACTIONS(1666),
    [sym_keyword_binary] = ACTIONS(1666),
    [sym_keyword_varbinary] = ACTIONS(1666),
    [sym_keyword_image] = ACTIONS(1666),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1666),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1666),
    [aux_sym_keyword_serial_token1] = ACTIONS(1666),
    [aux_sym_keyword_serial_token2] = ACTIONS(1666),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1666),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1666),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1666),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1666),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1666),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1666),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1666),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1666),
    [aux_sym_keyword_int_token1] = ACTIONS(1666),
    [aux_sym_keyword_int_token2] = ACTIONS(1666),
    [aux_sym_keyword_int_token3] = ACTIONS(1666),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1666),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1666),
    [sym_keyword_decimal] = ACTIONS(1666),
    [sym_keyword_numeric] = ACTIONS(1666),
    [aux_sym_keyword_real_token1] = ACTIONS(1666),
    [aux_sym_keyword_real_token2] = ACTIONS(1666),
    [sym_keyword_float] = ACTIONS(1666),
    [sym_keyword_double] = ACTIONS(1666),
    [sym_keyword_inet] = ACTIONS(1666),
    [sym_keyword_money] = ACTIONS(1666),
    [sym_keyword_smallmoney] = ACTIONS(1666),
    [aux_sym_keyword_char_token1] = ACTIONS(1666),
    [sym_keyword_nchar] = ACTIONS(1666),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1666),
    [sym_keyword_nvarchar] = ACTIONS(1666),
    [sym_keyword_text] = ACTIONS(1666),
    [sym_keyword_string] = ACTIONS(1666),
    [sym_keyword_uuid] = ACTIONS(1666),
    [sym_keyword_json] = ACTIONS(1666),
    [sym_keyword_jsonb] = ACTIONS(1666),
    [sym_keyword_xml] = ACTIONS(1666),
    [sym_keyword_bytea] = ACTIONS(1666),
    [sym_keyword_enum] = ACTIONS(1666),
    [sym_keyword_date] = ACTIONS(1666),
    [sym_keyword_datetime] = ACTIONS(1666),
    [sym_keyword_datetime2] = ACTIONS(1666),
    [sym_keyword_smalldatetime] = ACTIONS(1666),
    [sym_keyword_datetimeoffset] = ACTIONS(1666),
    [sym_keyword_time] = ACTIONS(1666),
    [sym_keyword_timestamp] = ACTIONS(1666),
    [sym_keyword_timestamptz] = ACTIONS(1666),
    [sym_keyword_interval] = ACTIONS(1666),
    [sym_keyword_geometry] = ACTIONS(1666),
    [sym_keyword_geography] = ACTIONS(1666),
    [sym_keyword_box2d] = ACTIONS(1666),
    [sym_keyword_box3d] = ACTIONS(1666),
    [sym_keyword_oid] = ACTIONS(1666),
    [sym_keyword_name] = ACTIONS(1666),
    [sym_keyword_regclass] = ACTIONS(1666),
    [sym_keyword_regnamespace] = ACTIONS(1666),
    [sym_keyword_regproc] = ACTIONS(1666),
    [sym_keyword_regtype] = ACTIONS(1666),
    [anon_sym_RPAREN] = ACTIONS(1756),
    [anon_sym_COMMA] = ACTIONS(1752),
    [aux_sym_double_token1] = ACTIONS(1666),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1754),
    [sym__double_quote_string] = ACTIONS(1682),
    [aux_sym_identifier_token1] = ACTIONS(1682),
  },
  [140] = {
    [aux_sym_set_statement_repeat1] = STATE(11103),
    [sym__identifier] = ACTIONS(1666),
    [aux_sym_keyword_character_token1] = ACTIONS(1666),
    [sym_keyword_unsigned] = ACTIONS(1666),
    [sym_keyword_boolean] = ACTIONS(1666),
    [sym_keyword_bit] = ACTIONS(1666),
    [sym_keyword_binary] = ACTIONS(1666),
    [sym_keyword_varbinary] = ACTIONS(1666),
    [sym_keyword_image] = ACTIONS(1666),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1666),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1666),
    [aux_sym_keyword_serial_token1] = ACTIONS(1666),
    [aux_sym_keyword_serial_token2] = ACTIONS(1666),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1666),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1666),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1666),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1666),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1666),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1666),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1666),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1666),
    [aux_sym_keyword_int_token1] = ACTIONS(1666),
    [aux_sym_keyword_int_token2] = ACTIONS(1666),
    [aux_sym_keyword_int_token3] = ACTIONS(1666),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1666),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1666),
    [sym_keyword_decimal] = ACTIONS(1666),
    [sym_keyword_numeric] = ACTIONS(1666),
    [aux_sym_keyword_real_token1] = ACTIONS(1666),
    [aux_sym_keyword_real_token2] = ACTIONS(1666),
    [sym_keyword_float] = ACTIONS(1666),
    [sym_keyword_double] = ACTIONS(1666),
    [sym_keyword_inet] = ACTIONS(1666),
    [sym_keyword_money] = ACTIONS(1666),
    [sym_keyword_smallmoney] = ACTIONS(1666),
    [aux_sym_keyword_char_token1] = ACTIONS(1666),
    [sym_keyword_nchar] = ACTIONS(1666),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1666),
    [sym_keyword_nvarchar] = ACTIONS(1666),
    [sym_keyword_text] = ACTIONS(1666),
    [sym_keyword_string] = ACTIONS(1666),
    [sym_keyword_uuid] = ACTIONS(1666),
    [sym_keyword_json] = ACTIONS(1666),
    [sym_keyword_jsonb] = ACTIONS(1666),
    [sym_keyword_xml] = ACTIONS(1666),
    [sym_keyword_bytea] = ACTIONS(1666),
    [sym_keyword_enum] = ACTIONS(1666),
    [sym_keyword_date] = ACTIONS(1666),
    [sym_keyword_datetime] = ACTIONS(1666),
    [sym_keyword_datetime2] = ACTIONS(1666),
    [sym_keyword_smalldatetime] = ACTIONS(1666),
    [sym_keyword_datetimeoffset] = ACTIONS(1666),
    [sym_keyword_time] = ACTIONS(1666),
    [sym_keyword_timestamp] = ACTIONS(1666),
    [sym_keyword_timestamptz] = ACTIONS(1666),
    [sym_keyword_interval] = ACTIONS(1666),
    [sym_keyword_geometry] = ACTIONS(1666),
    [sym_keyword_geography] = ACTIONS(1666),
    [sym_keyword_box2d] = ACTIONS(1666),
    [sym_keyword_box3d] = ACTIONS(1666),
    [sym_keyword_oid] = ACTIONS(1666),
    [sym_keyword_name] = ACTIONS(1666),
    [sym_keyword_regclass] = ACTIONS(1666),
    [sym_keyword_regnamespace] = ACTIONS(1666),
    [sym_keyword_regproc] = ACTIONS(1666),
    [sym_keyword_regtype] = ACTIONS(1666),
    [anon_sym_RPAREN] = ACTIONS(1758),
    [anon_sym_COMMA] = ACTIONS(1752),
    [aux_sym_double_token1] = ACTIONS(1666),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1754),
    [sym__double_quote_string] = ACTIONS(1682),
    [aux_sym_identifier_token1] = ACTIONS(1682),
  },
  [141] = {
    [aux_sym_set_statement_repeat1] = STATE(10906),
    [sym__identifier] = ACTIONS(1666),
    [aux_sym_keyword_character_token1] = ACTIONS(1666),
    [sym_keyword_unsigned] = ACTIONS(1666),
    [sym_keyword_boolean] = ACTIONS(1666),
    [sym_keyword_bit] = ACTIONS(1666),
    [sym_keyword_binary] = ACTIONS(1666),
    [sym_keyword_varbinary] = ACTIONS(1666),
    [sym_keyword_image] = ACTIONS(1666),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1666),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1666),
    [aux_sym_keyword_serial_token1] = ACTIONS(1666),
    [aux_sym_keyword_serial_token2] = ACTIONS(1666),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1666),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1666),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1666),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1666),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1666),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1666),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1666),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1666),
    [aux_sym_keyword_int_token1] = ACTIONS(1666),
    [aux_sym_keyword_int_token2] = ACTIONS(1666),
    [aux_sym_keyword_int_token3] = ACTIONS(1666),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1666),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1666),
    [sym_keyword_decimal] = ACTIONS(1666),
    [sym_keyword_numeric] = ACTIONS(1666),
    [aux_sym_keyword_real_token1] = ACTIONS(1666),
    [aux_sym_keyword_real_token2] = ACTIONS(1666),
    [sym_keyword_float] = ACTIONS(1666),
    [sym_keyword_double] = ACTIONS(1666),
    [sym_keyword_inet] = ACTIONS(1666),
    [sym_keyword_money] = ACTIONS(1666),
    [sym_keyword_smallmoney] = ACTIONS(1666),
    [aux_sym_keyword_char_token1] = ACTIONS(1666),
    [sym_keyword_nchar] = ACTIONS(1666),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1666),
    [sym_keyword_nvarchar] = ACTIONS(1666),
    [sym_keyword_text] = ACTIONS(1666),
    [sym_keyword_string] = ACTIONS(1666),
    [sym_keyword_uuid] = ACTIONS(1666),
    [sym_keyword_json] = ACTIONS(1666),
    [sym_keyword_jsonb] = ACTIONS(1666),
    [sym_keyword_xml] = ACTIONS(1666),
    [sym_keyword_bytea] = ACTIONS(1666),
    [sym_keyword_enum] = ACTIONS(1666),
    [sym_keyword_date] = ACTIONS(1666),
    [sym_keyword_datetime] = ACTIONS(1666),
    [sym_keyword_datetime2] = ACTIONS(1666),
    [sym_keyword_smalldatetime] = ACTIONS(1666),
    [sym_keyword_datetimeoffset] = ACTIONS(1666),
    [sym_keyword_time] = ACTIONS(1666),
    [sym_keyword_timestamp] = ACTIONS(1666),
    [sym_keyword_timestamptz] = ACTIONS(1666),
    [sym_keyword_interval] = ACTIONS(1666),
    [sym_keyword_geometry] = ACTIONS(1666),
    [sym_keyword_geography] = ACTIONS(1666),
    [sym_keyword_box2d] = ACTIONS(1666),
    [sym_keyword_box3d] = ACTIONS(1666),
    [sym_keyword_oid] = ACTIONS(1666),
    [sym_keyword_name] = ACTIONS(1666),
    [sym_keyword_regclass] = ACTIONS(1666),
    [sym_keyword_regnamespace] = ACTIONS(1666),
    [sym_keyword_regproc] = ACTIONS(1666),
    [sym_keyword_regtype] = ACTIONS(1666),
    [anon_sym_RPAREN] = ACTIONS(1760),
    [anon_sym_COMMA] = ACTIONS(1752),
    [aux_sym_double_token1] = ACTIONS(1666),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1754),
    [sym__double_quote_string] = ACTIONS(1682),
    [aux_sym_identifier_token1] = ACTIONS(1682),
  },
  [142] = {
    [aux_sym_set_statement_repeat1] = STATE(11199),
    [sym__identifier] = ACTIONS(1666),
    [aux_sym_keyword_character_token1] = ACTIONS(1666),
    [sym_keyword_unsigned] = ACTIONS(1666),
    [sym_keyword_boolean] = ACTIONS(1666),
    [sym_keyword_bit] = ACTIONS(1666),
    [sym_keyword_binary] = ACTIONS(1666),
    [sym_keyword_varbinary] = ACTIONS(1666),
    [sym_keyword_image] = ACTIONS(1666),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1666),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1666),
    [aux_sym_keyword_serial_token1] = ACTIONS(1666),
    [aux_sym_keyword_serial_token2] = ACTIONS(1666),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1666),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1666),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1666),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1666),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1666),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1666),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1666),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1666),
    [aux_sym_keyword_int_token1] = ACTIONS(1666),
    [aux_sym_keyword_int_token2] = ACTIONS(1666),
    [aux_sym_keyword_int_token3] = ACTIONS(1666),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1666),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1666),
    [sym_keyword_decimal] = ACTIONS(1666),
    [sym_keyword_numeric] = ACTIONS(1666),
    [aux_sym_keyword_real_token1] = ACTIONS(1666),
    [aux_sym_keyword_real_token2] = ACTIONS(1666),
    [sym_keyword_float] = ACTIONS(1666),
    [sym_keyword_double] = ACTIONS(1666),
    [sym_keyword_inet] = ACTIONS(1666),
    [sym_keyword_money] = ACTIONS(1666),
    [sym_keyword_smallmoney] = ACTIONS(1666),
    [aux_sym_keyword_char_token1] = ACTIONS(1666),
    [sym_keyword_nchar] = ACTIONS(1666),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1666),
    [sym_keyword_nvarchar] = ACTIONS(1666),
    [sym_keyword_text] = ACTIONS(1666),
    [sym_keyword_string] = ACTIONS(1666),
    [sym_keyword_uuid] = ACTIONS(1666),
    [sym_keyword_json] = ACTIONS(1666),
    [sym_keyword_jsonb] = ACTIONS(1666),
    [sym_keyword_xml] = ACTIONS(1666),
    [sym_keyword_bytea] = ACTIONS(1666),
    [sym_keyword_enum] = ACTIONS(1666),
    [sym_keyword_date] = ACTIONS(1666),
    [sym_keyword_datetime] = ACTIONS(1666),
    [sym_keyword_datetime2] = ACTIONS(1666),
    [sym_keyword_smalldatetime] = ACTIONS(1666),
    [sym_keyword_datetimeoffset] = ACTIONS(1666),
    [sym_keyword_time] = ACTIONS(1666),
    [sym_keyword_timestamp] = ACTIONS(1666),
    [sym_keyword_timestamptz] = ACTIONS(1666),
    [sym_keyword_interval] = ACTIONS(1666),
    [sym_keyword_geometry] = ACTIONS(1666),
    [sym_keyword_geography] = ACTIONS(1666),
    [sym_keyword_box2d] = ACTIONS(1666),
    [sym_keyword_box3d] = ACTIONS(1666),
    [sym_keyword_oid] = ACTIONS(1666),
    [sym_keyword_name] = ACTIONS(1666),
    [sym_keyword_regclass] = ACTIONS(1666),
    [sym_keyword_regnamespace] = ACTIONS(1666),
    [sym_keyword_regproc] = ACTIONS(1666),
    [sym_keyword_regtype] = ACTIONS(1666),
    [anon_sym_RPAREN] = ACTIONS(1762),
    [anon_sym_COMMA] = ACTIONS(1752),
    [aux_sym_double_token1] = ACTIONS(1666),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1754),
    [sym__double_quote_string] = ACTIONS(1682),
    [aux_sym_identifier_token1] = ACTIONS(1682),
  },
  [143] = {
    [aux_sym_set_statement_repeat1] = STATE(10262),
    [sym__identifier] = ACTIONS(1666),
    [aux_sym_keyword_character_token1] = ACTIONS(1666),
    [sym_keyword_unsigned] = ACTIONS(1666),
    [sym_keyword_boolean] = ACTIONS(1666),
    [sym_keyword_bit] = ACTIONS(1666),
    [sym_keyword_binary] = ACTIONS(1666),
    [sym_keyword_varbinary] = ACTIONS(1666),
    [sym_keyword_image] = ACTIONS(1666),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1666),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1666),
    [aux_sym_keyword_serial_token1] = ACTIONS(1666),
    [aux_sym_keyword_serial_token2] = ACTIONS(1666),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1666),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1666),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1666),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1666),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1666),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1666),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1666),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1666),
    [aux_sym_keyword_int_token1] = ACTIONS(1666),
    [aux_sym_keyword_int_token2] = ACTIONS(1666),
    [aux_sym_keyword_int_token3] = ACTIONS(1666),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1666),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1666),
    [sym_keyword_decimal] = ACTIONS(1666),
    [sym_keyword_numeric] = ACTIONS(1666),
    [aux_sym_keyword_real_token1] = ACTIONS(1666),
    [aux_sym_keyword_real_token2] = ACTIONS(1666),
    [sym_keyword_float] = ACTIONS(1666),
    [sym_keyword_double] = ACTIONS(1666),
    [sym_keyword_inet] = ACTIONS(1666),
    [sym_keyword_money] = ACTIONS(1666),
    [sym_keyword_smallmoney] = ACTIONS(1666),
    [aux_sym_keyword_char_token1] = ACTIONS(1666),
    [sym_keyword_nchar] = ACTIONS(1666),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1666),
    [sym_keyword_nvarchar] = ACTIONS(1666),
    [sym_keyword_text] = ACTIONS(1666),
    [sym_keyword_string] = ACTIONS(1666),
    [sym_keyword_uuid] = ACTIONS(1666),
    [sym_keyword_json] = ACTIONS(1666),
    [sym_keyword_jsonb] = ACTIONS(1666),
    [sym_keyword_xml] = ACTIONS(1666),
    [sym_keyword_bytea] = ACTIONS(1666),
    [sym_keyword_enum] = ACTIONS(1666),
    [sym_keyword_date] = ACTIONS(1666),
    [sym_keyword_datetime] = ACTIONS(1666),
    [sym_keyword_datetime2] = ACTIONS(1666),
    [sym_keyword_smalldatetime] = ACTIONS(1666),
    [sym_keyword_datetimeoffset] = ACTIONS(1666),
    [sym_keyword_time] = ACTIONS(1666),
    [sym_keyword_timestamp] = ACTIONS(1666),
    [sym_keyword_timestamptz] = ACTIONS(1666),
    [sym_keyword_interval] = ACTIONS(1666),
    [sym_keyword_geometry] = ACTIONS(1666),
    [sym_keyword_geography] = ACTIONS(1666),
    [sym_keyword_box2d] = ACTIONS(1666),
    [sym_keyword_box3d] = ACTIONS(1666),
    [sym_keyword_oid] = ACTIONS(1666),
    [sym_keyword_name] = ACTIONS(1666),
    [sym_keyword_regclass] = ACTIONS(1666),
    [sym_keyword_regnamespace] = ACTIONS(1666),
    [sym_keyword_regproc] = ACTIONS(1666),
    [sym_keyword_regtype] = ACTIONS(1666),
    [anon_sym_RPAREN] = ACTIONS(1764),
    [anon_sym_COMMA] = ACTIONS(1752),
    [aux_sym_double_token1] = ACTIONS(1666),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1754),
    [sym__double_quote_string] = ACTIONS(1682),
    [aux_sym_identifier_token1] = ACTIONS(1682),
  },
  [144] = {
    [aux_sym_set_statement_repeat1] = STATE(10868),
    [sym__identifier] = ACTIONS(1666),
    [aux_sym_keyword_character_token1] = ACTIONS(1666),
    [sym_keyword_unsigned] = ACTIONS(1666),
    [sym_keyword_boolean] = ACTIONS(1666),
    [sym_keyword_bit] = ACTIONS(1666),
    [sym_keyword_binary] = ACTIONS(1666),
    [sym_keyword_varbinary] = ACTIONS(1666),
    [sym_keyword_image] = ACTIONS(1666),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1666),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1666),
    [aux_sym_keyword_serial_token1] = ACTIONS(1666),
    [aux_sym_keyword_serial_token2] = ACTIONS(1666),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1666),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1666),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1666),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1666),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1666),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1666),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1666),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1666),
    [aux_sym_keyword_int_token1] = ACTIONS(1666),
    [aux_sym_keyword_int_token2] = ACTIONS(1666),
    [aux_sym_keyword_int_token3] = ACTIONS(1666),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1666),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1666),
    [sym_keyword_decimal] = ACTIONS(1666),
    [sym_keyword_numeric] = ACTIONS(1666),
    [aux_sym_keyword_real_token1] = ACTIONS(1666),
    [aux_sym_keyword_real_token2] = ACTIONS(1666),
    [sym_keyword_float] = ACTIONS(1666),
    [sym_keyword_double] = ACTIONS(1666),
    [sym_keyword_inet] = ACTIONS(1666),
    [sym_keyword_money] = ACTIONS(1666),
    [sym_keyword_smallmoney] = ACTIONS(1666),
    [aux_sym_keyword_char_token1] = ACTIONS(1666),
    [sym_keyword_nchar] = ACTIONS(1666),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1666),
    [sym_keyword_nvarchar] = ACTIONS(1666),
    [sym_keyword_text] = ACTIONS(1666),
    [sym_keyword_string] = ACTIONS(1666),
    [sym_keyword_uuid] = ACTIONS(1666),
    [sym_keyword_json] = ACTIONS(1666),
    [sym_keyword_jsonb] = ACTIONS(1666),
    [sym_keyword_xml] = ACTIONS(1666),
    [sym_keyword_bytea] = ACTIONS(1666),
    [sym_keyword_enum] = ACTIONS(1666),
    [sym_keyword_date] = ACTIONS(1666),
    [sym_keyword_datetime] = ACTIONS(1666),
    [sym_keyword_datetime2] = ACTIONS(1666),
    [sym_keyword_smalldatetime] = ACTIONS(1666),
    [sym_keyword_datetimeoffset] = ACTIONS(1666),
    [sym_keyword_time] = ACTIONS(1666),
    [sym_keyword_timestamp] = ACTIONS(1666),
    [sym_keyword_timestamptz] = ACTIONS(1666),
    [sym_keyword_interval] = ACTIONS(1666),
    [sym_keyword_geometry] = ACTIONS(1666),
    [sym_keyword_geography] = ACTIONS(1666),
    [sym_keyword_box2d] = ACTIONS(1666),
    [sym_keyword_box3d] = ACTIONS(1666),
    [sym_keyword_oid] = ACTIONS(1666),
    [sym_keyword_name] = ACTIONS(1666),
    [sym_keyword_regclass] = ACTIONS(1666),
    [sym_keyword_regnamespace] = ACTIONS(1666),
    [sym_keyword_regproc] = ACTIONS(1666),
    [sym_keyword_regtype] = ACTIONS(1666),
    [anon_sym_RPAREN] = ACTIONS(1766),
    [anon_sym_COMMA] = ACTIONS(1752),
    [aux_sym_double_token1] = ACTIONS(1666),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1754),
    [sym__double_quote_string] = ACTIONS(1682),
    [aux_sym_identifier_token1] = ACTIONS(1682),
  },
  [145] = {
    [aux_sym_set_statement_repeat1] = STATE(10671),
    [sym__identifier] = ACTIONS(1666),
    [aux_sym_keyword_character_token1] = ACTIONS(1666),
    [sym_keyword_unsigned] = ACTIONS(1666),
    [sym_keyword_boolean] = ACTIONS(1666),
    [sym_keyword_bit] = ACTIONS(1666),
    [sym_keyword_binary] = ACTIONS(1666),
    [sym_keyword_varbinary] = ACTIONS(1666),
    [sym_keyword_image] = ACTIONS(1666),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1666),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1666),
    [aux_sym_keyword_serial_token1] = ACTIONS(1666),
    [aux_sym_keyword_serial_token2] = ACTIONS(1666),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1666),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1666),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1666),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1666),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1666),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1666),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1666),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1666),
    [aux_sym_keyword_int_token1] = ACTIONS(1666),
    [aux_sym_keyword_int_token2] = ACTIONS(1666),
    [aux_sym_keyword_int_token3] = ACTIONS(1666),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1666),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1666),
    [sym_keyword_decimal] = ACTIONS(1666),
    [sym_keyword_numeric] = ACTIONS(1666),
    [aux_sym_keyword_real_token1] = ACTIONS(1666),
    [aux_sym_keyword_real_token2] = ACTIONS(1666),
    [sym_keyword_float] = ACTIONS(1666),
    [sym_keyword_double] = ACTIONS(1666),
    [sym_keyword_inet] = ACTIONS(1666),
    [sym_keyword_money] = ACTIONS(1666),
    [sym_keyword_smallmoney] = ACTIONS(1666),
    [aux_sym_keyword_char_token1] = ACTIONS(1666),
    [sym_keyword_nchar] = ACTIONS(1666),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1666),
    [sym_keyword_nvarchar] = ACTIONS(1666),
    [sym_keyword_text] = ACTIONS(1666),
    [sym_keyword_string] = ACTIONS(1666),
    [sym_keyword_uuid] = ACTIONS(1666),
    [sym_keyword_json] = ACTIONS(1666),
    [sym_keyword_jsonb] = ACTIONS(1666),
    [sym_keyword_xml] = ACTIONS(1666),
    [sym_keyword_bytea] = ACTIONS(1666),
    [sym_keyword_enum] = ACTIONS(1666),
    [sym_keyword_date] = ACTIONS(1666),
    [sym_keyword_datetime] = ACTIONS(1666),
    [sym_keyword_datetime2] = ACTIONS(1666),
    [sym_keyword_smalldatetime] = ACTIONS(1666),
    [sym_keyword_datetimeoffset] = ACTIONS(1666),
    [sym_keyword_time] = ACTIONS(1666),
    [sym_keyword_timestamp] = ACTIONS(1666),
    [sym_keyword_timestamptz] = ACTIONS(1666),
    [sym_keyword_interval] = ACTIONS(1666),
    [sym_keyword_geometry] = ACTIONS(1666),
    [sym_keyword_geography] = ACTIONS(1666),
    [sym_keyword_box2d] = ACTIONS(1666),
    [sym_keyword_box3d] = ACTIONS(1666),
    [sym_keyword_oid] = ACTIONS(1666),
    [sym_keyword_name] = ACTIONS(1666),
    [sym_keyword_regclass] = ACTIONS(1666),
    [sym_keyword_regnamespace] = ACTIONS(1666),
    [sym_keyword_regproc] = ACTIONS(1666),
    [sym_keyword_regtype] = ACTIONS(1666),
    [anon_sym_RPAREN] = ACTIONS(1768),
    [anon_sym_COMMA] = ACTIONS(1752),
    [aux_sym_double_token1] = ACTIONS(1666),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1754),
    [sym__double_quote_string] = ACTIONS(1682),
    [aux_sym_identifier_token1] = ACTIONS(1682),
  },
  [146] = {
    [aux_sym_set_statement_repeat1] = STATE(10843),
    [sym__identifier] = ACTIONS(1666),
    [aux_sym_keyword_character_token1] = ACTIONS(1666),
    [sym_keyword_unsigned] = ACTIONS(1666),
    [sym_keyword_boolean] = ACTIONS(1666),
    [sym_keyword_bit] = ACTIONS(1666),
    [sym_keyword_binary] = ACTIONS(1666),
    [sym_keyword_varbinary] = ACTIONS(1666),
    [sym_keyword_image] = ACTIONS(1666),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1666),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1666),
    [aux_sym_keyword_serial_token1] = ACTIONS(1666),
    [aux_sym_keyword_serial_token2] = ACTIONS(1666),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1666),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1666),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1666),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1666),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1666),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1666),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1666),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1666),
    [aux_sym_keyword_int_token1] = ACTIONS(1666),
    [aux_sym_keyword_int_token2] = ACTIONS(1666),
    [aux_sym_keyword_int_token3] = ACTIONS(1666),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1666),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1666),
    [sym_keyword_decimal] = ACTIONS(1666),
    [sym_keyword_numeric] = ACTIONS(1666),
    [aux_sym_keyword_real_token1] = ACTIONS(1666),
    [aux_sym_keyword_real_token2] = ACTIONS(1666),
    [sym_keyword_float] = ACTIONS(1666),
    [sym_keyword_double] = ACTIONS(1666),
    [sym_keyword_inet] = ACTIONS(1666),
    [sym_keyword_money] = ACTIONS(1666),
    [sym_keyword_smallmoney] = ACTIONS(1666),
    [aux_sym_keyword_char_token1] = ACTIONS(1666),
    [sym_keyword_nchar] = ACTIONS(1666),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1666),
    [sym_keyword_nvarchar] = ACTIONS(1666),
    [sym_keyword_text] = ACTIONS(1666),
    [sym_keyword_string] = ACTIONS(1666),
    [sym_keyword_uuid] = ACTIONS(1666),
    [sym_keyword_json] = ACTIONS(1666),
    [sym_keyword_jsonb] = ACTIONS(1666),
    [sym_keyword_xml] = ACTIONS(1666),
    [sym_keyword_bytea] = ACTIONS(1666),
    [sym_keyword_enum] = ACTIONS(1666),
    [sym_keyword_date] = ACTIONS(1666),
    [sym_keyword_datetime] = ACTIONS(1666),
    [sym_keyword_datetime2] = ACTIONS(1666),
    [sym_keyword_smalldatetime] = ACTIONS(1666),
    [sym_keyword_datetimeoffset] = ACTIONS(1666),
    [sym_keyword_time] = ACTIONS(1666),
    [sym_keyword_timestamp] = ACTIONS(1666),
    [sym_keyword_timestamptz] = ACTIONS(1666),
    [sym_keyword_interval] = ACTIONS(1666),
    [sym_keyword_geometry] = ACTIONS(1666),
    [sym_keyword_geography] = ACTIONS(1666),
    [sym_keyword_box2d] = ACTIONS(1666),
    [sym_keyword_box3d] = ACTIONS(1666),
    [sym_keyword_oid] = ACTIONS(1666),
    [sym_keyword_name] = ACTIONS(1666),
    [sym_keyword_regclass] = ACTIONS(1666),
    [sym_keyword_regnamespace] = ACTIONS(1666),
    [sym_keyword_regproc] = ACTIONS(1666),
    [sym_keyword_regtype] = ACTIONS(1666),
    [anon_sym_RPAREN] = ACTIONS(1770),
    [anon_sym_COMMA] = ACTIONS(1752),
    [aux_sym_double_token1] = ACTIONS(1666),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1754),
    [sym__double_quote_string] = ACTIONS(1682),
    [aux_sym_identifier_token1] = ACTIONS(1682),
  },
  [147] = {
    [ts_builtin_sym_end] = ACTIONS(1772),
    [anon_sym_SEMI] = ACTIONS(1772),
    [sym_keyword_from] = ACTIONS(1772),
    [sym_keyword_on] = ACTIONS(1772),
    [sym_keyword_where] = ACTIONS(1772),
    [sym_keyword_desc] = ACTIONS(1772),
    [sym_keyword_asc] = ACTIONS(1772),
    [sym_keyword_limit] = ACTIONS(1772),
    [sym_keyword_primary] = ACTIONS(1772),
    [sym_keyword_create] = ACTIONS(1772),
    [sym_keyword_as] = ACTIONS(1774),
    [sym_keyword_constraint] = ACTIONS(1772),
    [sym_keyword_separator] = ACTIONS(1772),
    [sym_keyword_when] = ACTIONS(1772),
    [sym_keyword_then] = ACTIONS(1772),
    [sym_keyword_else] = ACTIONS(1772),
    [sym_keyword_end] = ACTIONS(1772),
    [sym_keyword_in] = ACTIONS(1772),
    [sym_keyword_and] = ACTIONS(1772),
    [sym_keyword_or] = ACTIONS(1772),
    [sym_keyword_is] = ACTIONS(1772),
    [sym_keyword_not] = ACTIONS(1772),
    [sym_keyword_using] = ACTIONS(1772),
    [sym_keyword_auto_increment] = ACTIONS(1772),
    [sym_keyword_generated] = ACTIONS(1772),
    [sym_keyword_default] = ACTIONS(1772),
    [sym_keyword_returning] = ACTIONS(1772),
    [sym_keyword_first] = ACTIONS(1772),
    [sym_keyword_after] = ACTIONS(1772),
    [sym_keyword_range] = ACTIONS(1772),
    [sym_keyword_rows] = ACTIONS(1772),
    [sym_keyword_groups] = ACTIONS(1772),
    [sym_keyword_between] = ACTIONS(1772),
    [sym_keyword_preceding] = ACTIONS(1772),
    [sym_keyword_following] = ACTIONS(1772),
    [sym_keyword_unique] = ACTIONS(1772),
    [sym_keyword_references] = ACTIONS(1772),
    [aux_sym_keyword_like_token1] = ACTIONS(1772),
    [aux_sym_keyword_like_token2] = ACTIONS(1772),
    [sym_keyword_similar] = ACTIONS(1772),
    [sym_keyword_unsigned] = ACTIONS(1776),
    [sym_keyword_zerofill] = ACTIONS(1778),
    [sym_keyword_check] = ACTIONS(1772),
    [sym_keyword_stored] = ACTIONS(1772),
    [sym_keyword_virtual] = ACTIONS(1772),
    [sym_keyword_comment] = ACTIONS(1772),
    [sym_keyword_null] = ACTIONS(1772),
    [sym_keyword_precision] = ACTIONS(1780),
    [sym_keyword_array] = ACTIONS(1772),
    [anon_sym_LBRACK] = ACTIONS(1772),
    [anon_sym_RBRACK] = ACTIONS(1772),
    [anon_sym_LPAREN] = ACTIONS(1782),
    [anon_sym_RPAREN] = ACTIONS(1772),
    [anon_sym_COMMA] = ACTIONS(1772),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1772),
    [anon_sym_STAR] = ACTIONS(1772),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LT] = ACTIONS(1774),
    [anon_sym_GT] = ACTIONS(1774),
    [anon_sym_LT_EQ] = ACTIONS(1772),
    [anon_sym_GT_EQ] = ACTIONS(1772),
    [anon_sym_COLON] = ACTIONS(1774),
    [sym_op_other] = ACTIONS(1772),
    [anon_sym_PLUS] = ACTIONS(1772),
    [anon_sym_DASH] = ACTIONS(1774),
    [anon_sym_SLASH] = ACTIONS(1774),
    [anon_sym_PERCENT] = ACTIONS(1772),
    [anon_sym_CARET] = ACTIONS(1774),
    [anon_sym_BANG_EQ] = ACTIONS(1772),
    [anon_sym_LT_GT] = ACTIONS(1772),
  },
  [148] = {
    [sym__include_time_zone] = STATE(238),
    [ts_builtin_sym_end] = ACTIONS(1784),
    [anon_sym_SEMI] = ACTIONS(1784),
    [sym_keyword_from] = ACTIONS(1784),
    [sym_keyword_on] = ACTIONS(1784),
    [sym_keyword_where] = ACTIONS(1784),
    [sym_keyword_desc] = ACTIONS(1784),
    [sym_keyword_asc] = ACTIONS(1784),
    [sym_keyword_limit] = ACTIONS(1784),
    [sym_keyword_primary] = ACTIONS(1784),
    [sym_keyword_create] = ACTIONS(1784),
    [sym_keyword_as] = ACTIONS(1786),
    [sym_keyword_constraint] = ACTIONS(1784),
    [sym_keyword_separator] = ACTIONS(1784),
    [sym_keyword_when] = ACTIONS(1784),
    [sym_keyword_then] = ACTIONS(1784),
    [sym_keyword_else] = ACTIONS(1784),
    [sym_keyword_end] = ACTIONS(1784),
    [sym_keyword_in] = ACTIONS(1784),
    [sym_keyword_and] = ACTIONS(1784),
    [sym_keyword_or] = ACTIONS(1784),
    [sym_keyword_is] = ACTIONS(1784),
    [sym_keyword_not] = ACTIONS(1784),
    [sym_keyword_using] = ACTIONS(1784),
    [sym_keyword_auto_increment] = ACTIONS(1784),
    [sym_keyword_generated] = ACTIONS(1784),
    [sym_keyword_default] = ACTIONS(1784),
    [sym_keyword_with] = ACTIONS(1788),
    [sym_keyword_without] = ACTIONS(1790),
    [sym_keyword_returning] = ACTIONS(1784),
    [sym_keyword_first] = ACTIONS(1784),
    [sym_keyword_after] = ACTIONS(1784),
    [sym_keyword_range] = ACTIONS(1784),
    [sym_keyword_rows] = ACTIONS(1784),
    [sym_keyword_groups] = ACTIONS(1784),
    [sym_keyword_between] = ACTIONS(1784),
    [sym_keyword_preceding] = ACTIONS(1784),
    [sym_keyword_following] = ACTIONS(1784),
    [sym_keyword_unique] = ACTIONS(1784),
    [sym_keyword_references] = ACTIONS(1784),
    [aux_sym_keyword_like_token1] = ACTIONS(1784),
    [aux_sym_keyword_like_token2] = ACTIONS(1784),
    [sym_keyword_similar] = ACTIONS(1784),
    [sym_keyword_check] = ACTIONS(1784),
    [sym_keyword_stored] = ACTIONS(1784),
    [sym_keyword_virtual] = ACTIONS(1784),
    [sym_keyword_comment] = ACTIONS(1784),
    [sym_keyword_null] = ACTIONS(1784),
    [sym_keyword_array] = ACTIONS(1784),
    [anon_sym_LBRACK] = ACTIONS(1784),
    [anon_sym_RBRACK] = ACTIONS(1784),
    [anon_sym_LPAREN] = ACTIONS(1792),
    [anon_sym_RPAREN] = ACTIONS(1784),
    [anon_sym_COMMA] = ACTIONS(1784),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1784),
    [anon_sym_STAR] = ACTIONS(1784),
    [anon_sym_COLON_COLON] = ACTIONS(1784),
    [anon_sym_LT] = ACTIONS(1786),
    [anon_sym_GT] = ACTIONS(1786),
    [anon_sym_LT_EQ] = ACTIONS(1784),
    [anon_sym_GT_EQ] = ACTIONS(1784),
    [anon_sym_COLON] = ACTIONS(1786),
    [sym_op_other] = ACTIONS(1784),
    [anon_sym_PLUS] = ACTIONS(1784),
    [anon_sym_DASH] = ACTIONS(1786),
    [anon_sym_SLASH] = ACTIONS(1786),
    [anon_sym_PERCENT] = ACTIONS(1784),
    [anon_sym_CARET] = ACTIONS(1786),
    [anon_sym_BANG_EQ] = ACTIONS(1784),
    [anon_sym_LT_GT] = ACTIONS(1784),
  },
  [149] = {
    [sym__include_time_zone] = STATE(220),
    [ts_builtin_sym_end] = ACTIONS(1794),
    [anon_sym_SEMI] = ACTIONS(1794),
    [sym_keyword_from] = ACTIONS(1794),
    [sym_keyword_on] = ACTIONS(1794),
    [sym_keyword_where] = ACTIONS(1794),
    [sym_keyword_desc] = ACTIONS(1794),
    [sym_keyword_asc] = ACTIONS(1794),
    [sym_keyword_limit] = ACTIONS(1794),
    [sym_keyword_primary] = ACTIONS(1794),
    [sym_keyword_create] = ACTIONS(1794),
    [sym_keyword_as] = ACTIONS(1796),
    [sym_keyword_constraint] = ACTIONS(1794),
    [sym_keyword_separator] = ACTIONS(1794),
    [sym_keyword_when] = ACTIONS(1794),
    [sym_keyword_then] = ACTIONS(1794),
    [sym_keyword_else] = ACTIONS(1794),
    [sym_keyword_end] = ACTIONS(1794),
    [sym_keyword_in] = ACTIONS(1794),
    [sym_keyword_and] = ACTIONS(1794),
    [sym_keyword_or] = ACTIONS(1794),
    [sym_keyword_is] = ACTIONS(1794),
    [sym_keyword_not] = ACTIONS(1794),
    [sym_keyword_using] = ACTIONS(1794),
    [sym_keyword_auto_increment] = ACTIONS(1794),
    [sym_keyword_generated] = ACTIONS(1794),
    [sym_keyword_default] = ACTIONS(1794),
    [sym_keyword_with] = ACTIONS(1788),
    [sym_keyword_without] = ACTIONS(1790),
    [sym_keyword_returning] = ACTIONS(1794),
    [sym_keyword_first] = ACTIONS(1794),
    [sym_keyword_after] = ACTIONS(1794),
    [sym_keyword_range] = ACTIONS(1794),
    [sym_keyword_rows] = ACTIONS(1794),
    [sym_keyword_groups] = ACTIONS(1794),
    [sym_keyword_between] = ACTIONS(1794),
    [sym_keyword_preceding] = ACTIONS(1794),
    [sym_keyword_following] = ACTIONS(1794),
    [sym_keyword_unique] = ACTIONS(1794),
    [sym_keyword_references] = ACTIONS(1794),
    [aux_sym_keyword_like_token1] = ACTIONS(1794),
    [aux_sym_keyword_like_token2] = ACTIONS(1794),
    [sym_keyword_similar] = ACTIONS(1794),
    [sym_keyword_check] = ACTIONS(1794),
    [sym_keyword_stored] = ACTIONS(1794),
    [sym_keyword_virtual] = ACTIONS(1794),
    [sym_keyword_comment] = ACTIONS(1794),
    [sym_keyword_null] = ACTIONS(1794),
    [sym_keyword_array] = ACTIONS(1794),
    [anon_sym_LBRACK] = ACTIONS(1794),
    [anon_sym_RBRACK] = ACTIONS(1794),
    [anon_sym_LPAREN] = ACTIONS(1798),
    [anon_sym_RPAREN] = ACTIONS(1794),
    [anon_sym_COMMA] = ACTIONS(1794),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1794),
    [anon_sym_STAR] = ACTIONS(1794),
    [anon_sym_COLON_COLON] = ACTIONS(1794),
    [anon_sym_LT] = ACTIONS(1796),
    [anon_sym_GT] = ACTIONS(1796),
    [anon_sym_LT_EQ] = ACTIONS(1794),
    [anon_sym_GT_EQ] = ACTIONS(1794),
    [anon_sym_COLON] = ACTIONS(1796),
    [sym_op_other] = ACTIONS(1794),
    [anon_sym_PLUS] = ACTIONS(1794),
    [anon_sym_DASH] = ACTIONS(1796),
    [anon_sym_SLASH] = ACTIONS(1796),
    [anon_sym_PERCENT] = ACTIONS(1794),
    [anon_sym_CARET] = ACTIONS(1796),
    [anon_sym_BANG_EQ] = ACTIONS(1794),
    [anon_sym_LT_GT] = ACTIONS(1794),
  },
  [150] = {
    [ts_builtin_sym_end] = ACTIONS(1800),
    [anon_sym_SEMI] = ACTIONS(1800),
    [sym_keyword_from] = ACTIONS(1800),
    [sym_keyword_on] = ACTIONS(1800),
    [sym_keyword_where] = ACTIONS(1800),
    [sym_keyword_desc] = ACTIONS(1800),
    [sym_keyword_asc] = ACTIONS(1800),
    [sym_keyword_limit] = ACTIONS(1800),
    [sym_keyword_primary] = ACTIONS(1800),
    [sym_keyword_create] = ACTIONS(1800),
    [sym_keyword_as] = ACTIONS(1802),
    [sym_keyword_constraint] = ACTIONS(1800),
    [sym_keyword_separator] = ACTIONS(1800),
    [sym_keyword_when] = ACTIONS(1800),
    [sym_keyword_then] = ACTIONS(1800),
    [sym_keyword_else] = ACTIONS(1800),
    [sym_keyword_end] = ACTIONS(1800),
    [sym_keyword_in] = ACTIONS(1800),
    [sym_keyword_and] = ACTIONS(1800),
    [sym_keyword_or] = ACTIONS(1800),
    [sym_keyword_is] = ACTIONS(1800),
    [sym_keyword_not] = ACTIONS(1800),
    [sym_keyword_using] = ACTIONS(1800),
    [sym_keyword_auto_increment] = ACTIONS(1800),
    [sym_keyword_generated] = ACTIONS(1800),
    [sym_keyword_default] = ACTIONS(1800),
    [sym_keyword_returning] = ACTIONS(1800),
    [sym_keyword_first] = ACTIONS(1800),
    [sym_keyword_after] = ACTIONS(1800),
    [sym_keyword_range] = ACTIONS(1800),
    [sym_keyword_rows] = ACTIONS(1800),
    [sym_keyword_groups] = ACTIONS(1800),
    [sym_keyword_between] = ACTIONS(1800),
    [sym_keyword_preceding] = ACTIONS(1800),
    [sym_keyword_following] = ACTIONS(1800),
    [sym_keyword_unique] = ACTIONS(1800),
    [sym_keyword_references] = ACTIONS(1800),
    [aux_sym_keyword_like_token1] = ACTIONS(1800),
    [aux_sym_keyword_like_token2] = ACTIONS(1800),
    [sym_keyword_similar] = ACTIONS(1800),
    [sym_keyword_unsigned] = ACTIONS(1800),
    [sym_keyword_zerofill] = ACTIONS(1800),
    [sym_keyword_check] = ACTIONS(1800),
    [sym_keyword_stored] = ACTIONS(1800),
    [sym_keyword_virtual] = ACTIONS(1800),
    [sym_keyword_comment] = ACTIONS(1800),
    [sym_keyword_null] = ACTIONS(1800),
    [sym_keyword_array] = ACTIONS(1800),
    [anon_sym_LBRACK] = ACTIONS(1800),
    [anon_sym_RBRACK] = ACTIONS(1800),
    [anon_sym_LPAREN] = ACTIONS(1800),
    [anon_sym_RPAREN] = ACTIONS(1800),
    [anon_sym_COMMA] = ACTIONS(1800),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1800),
    [anon_sym_STAR] = ACTIONS(1800),
    [anon_sym_COLON_COLON] = ACTIONS(1800),
    [anon_sym_LT] = ACTIONS(1802),
    [anon_sym_GT] = ACTIONS(1802),
    [anon_sym_LT_EQ] = ACTIONS(1800),
    [anon_sym_GT_EQ] = ACTIONS(1800),
    [anon_sym_COLON] = ACTIONS(1802),
    [sym_op_other] = ACTIONS(1800),
    [anon_sym_PLUS] = ACTIONS(1800),
    [anon_sym_DASH] = ACTIONS(1802),
    [anon_sym_SLASH] = ACTIONS(1802),
    [anon_sym_PERCENT] = ACTIONS(1800),
    [anon_sym_CARET] = ACTIONS(1802),
    [anon_sym_BANG_EQ] = ACTIONS(1800),
    [anon_sym_LT_GT] = ACTIONS(1800),
  },
  [151] = {
    [ts_builtin_sym_end] = ACTIONS(1804),
    [anon_sym_SEMI] = ACTIONS(1804),
    [sym_keyword_from] = ACTIONS(1804),
    [sym_keyword_on] = ACTIONS(1804),
    [sym_keyword_where] = ACTIONS(1804),
    [sym_keyword_desc] = ACTIONS(1804),
    [sym_keyword_asc] = ACTIONS(1804),
    [sym_keyword_limit] = ACTIONS(1804),
    [sym_keyword_primary] = ACTIONS(1804),
    [sym_keyword_create] = ACTIONS(1804),
    [sym_keyword_as] = ACTIONS(1806),
    [sym_keyword_constraint] = ACTIONS(1804),
    [sym_keyword_separator] = ACTIONS(1804),
    [sym_keyword_when] = ACTIONS(1804),
    [sym_keyword_then] = ACTIONS(1804),
    [sym_keyword_else] = ACTIONS(1804),
    [sym_keyword_end] = ACTIONS(1804),
    [sym_keyword_in] = ACTIONS(1804),
    [sym_keyword_and] = ACTIONS(1804),
    [sym_keyword_or] = ACTIONS(1804),
    [sym_keyword_is] = ACTIONS(1804),
    [sym_keyword_not] = ACTIONS(1804),
    [sym_keyword_using] = ACTIONS(1804),
    [sym_keyword_auto_increment] = ACTIONS(1804),
    [sym_keyword_generated] = ACTIONS(1804),
    [sym_keyword_default] = ACTIONS(1804),
    [sym_keyword_returning] = ACTIONS(1804),
    [sym_keyword_first] = ACTIONS(1804),
    [sym_keyword_after] = ACTIONS(1804),
    [sym_keyword_range] = ACTIONS(1804),
    [sym_keyword_rows] = ACTIONS(1804),
    [sym_keyword_groups] = ACTIONS(1804),
    [sym_keyword_between] = ACTIONS(1804),
    [sym_keyword_preceding] = ACTIONS(1804),
    [sym_keyword_following] = ACTIONS(1804),
    [sym_keyword_unique] = ACTIONS(1804),
    [sym_keyword_references] = ACTIONS(1804),
    [aux_sym_keyword_like_token1] = ACTIONS(1804),
    [aux_sym_keyword_like_token2] = ACTIONS(1804),
    [sym_keyword_similar] = ACTIONS(1804),
    [sym_keyword_unsigned] = ACTIONS(1808),
    [sym_keyword_zerofill] = ACTIONS(1810),
    [sym_keyword_check] = ACTIONS(1804),
    [sym_keyword_stored] = ACTIONS(1804),
    [sym_keyword_virtual] = ACTIONS(1804),
    [sym_keyword_comment] = ACTIONS(1804),
    [sym_keyword_null] = ACTIONS(1804),
    [sym_keyword_array] = ACTIONS(1804),
    [anon_sym_LBRACK] = ACTIONS(1804),
    [anon_sym_RBRACK] = ACTIONS(1804),
    [anon_sym_LPAREN] = ACTIONS(1812),
    [anon_sym_RPAREN] = ACTIONS(1804),
    [anon_sym_COMMA] = ACTIONS(1804),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1804),
    [anon_sym_STAR] = ACTIONS(1804),
    [anon_sym_COLON_COLON] = ACTIONS(1804),
    [anon_sym_LT] = ACTIONS(1806),
    [anon_sym_GT] = ACTIONS(1806),
    [anon_sym_LT_EQ] = ACTIONS(1804),
    [anon_sym_GT_EQ] = ACTIONS(1804),
    [anon_sym_COLON] = ACTIONS(1806),
    [sym_op_other] = ACTIONS(1804),
    [anon_sym_PLUS] = ACTIONS(1804),
    [anon_sym_DASH] = ACTIONS(1806),
    [anon_sym_SLASH] = ACTIONS(1806),
    [anon_sym_PERCENT] = ACTIONS(1804),
    [anon_sym_CARET] = ACTIONS(1806),
    [anon_sym_BANG_EQ] = ACTIONS(1804),
    [anon_sym_LT_GT] = ACTIONS(1804),
  },
  [152] = {
    [ts_builtin_sym_end] = ACTIONS(1814),
    [anon_sym_SEMI] = ACTIONS(1814),
    [sym_keyword_from] = ACTIONS(1814),
    [sym_keyword_on] = ACTIONS(1814),
    [sym_keyword_where] = ACTIONS(1814),
    [sym_keyword_desc] = ACTIONS(1814),
    [sym_keyword_asc] = ACTIONS(1814),
    [sym_keyword_limit] = ACTIONS(1814),
    [sym_keyword_primary] = ACTIONS(1814),
    [sym_keyword_create] = ACTIONS(1814),
    [sym_keyword_as] = ACTIONS(1816),
    [sym_keyword_constraint] = ACTIONS(1814),
    [sym_keyword_separator] = ACTIONS(1814),
    [sym_keyword_when] = ACTIONS(1814),
    [sym_keyword_then] = ACTIONS(1814),
    [sym_keyword_else] = ACTIONS(1814),
    [sym_keyword_end] = ACTIONS(1814),
    [sym_keyword_in] = ACTIONS(1814),
    [sym_keyword_and] = ACTIONS(1814),
    [sym_keyword_or] = ACTIONS(1814),
    [sym_keyword_is] = ACTIONS(1814),
    [sym_keyword_not] = ACTIONS(1814),
    [sym_keyword_using] = ACTIONS(1814),
    [sym_keyword_auto_increment] = ACTIONS(1814),
    [sym_keyword_generated] = ACTIONS(1814),
    [sym_keyword_default] = ACTIONS(1814),
    [sym_keyword_returning] = ACTIONS(1814),
    [sym_keyword_first] = ACTIONS(1814),
    [sym_keyword_after] = ACTIONS(1814),
    [sym_keyword_range] = ACTIONS(1814),
    [sym_keyword_rows] = ACTIONS(1814),
    [sym_keyword_groups] = ACTIONS(1814),
    [sym_keyword_between] = ACTIONS(1814),
    [sym_keyword_preceding] = ACTIONS(1814),
    [sym_keyword_following] = ACTIONS(1814),
    [sym_keyword_unique] = ACTIONS(1814),
    [sym_keyword_references] = ACTIONS(1814),
    [aux_sym_keyword_like_token1] = ACTIONS(1814),
    [aux_sym_keyword_like_token2] = ACTIONS(1814),
    [sym_keyword_similar] = ACTIONS(1814),
    [sym_keyword_unsigned] = ACTIONS(1814),
    [sym_keyword_zerofill] = ACTIONS(1814),
    [sym_keyword_check] = ACTIONS(1814),
    [sym_keyword_stored] = ACTIONS(1814),
    [sym_keyword_virtual] = ACTIONS(1814),
    [sym_keyword_comment] = ACTIONS(1814),
    [sym_keyword_null] = ACTIONS(1814),
    [sym_keyword_array] = ACTIONS(1814),
    [anon_sym_LBRACK] = ACTIONS(1814),
    [anon_sym_RBRACK] = ACTIONS(1814),
    [anon_sym_LPAREN] = ACTIONS(1814),
    [anon_sym_RPAREN] = ACTIONS(1814),
    [anon_sym_COMMA] = ACTIONS(1814),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1814),
    [anon_sym_COLON_COLON] = ACTIONS(1814),
    [anon_sym_LT] = ACTIONS(1816),
    [anon_sym_GT] = ACTIONS(1816),
    [anon_sym_LT_EQ] = ACTIONS(1814),
    [anon_sym_GT_EQ] = ACTIONS(1814),
    [anon_sym_COLON] = ACTIONS(1816),
    [sym_op_other] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_DASH] = ACTIONS(1816),
    [anon_sym_SLASH] = ACTIONS(1816),
    [anon_sym_PERCENT] = ACTIONS(1814),
    [anon_sym_CARET] = ACTIONS(1816),
    [anon_sym_BANG_EQ] = ACTIONS(1814),
    [anon_sym_LT_GT] = ACTIONS(1814),
  },
  [153] = {
    [ts_builtin_sym_end] = ACTIONS(1818),
    [anon_sym_SEMI] = ACTIONS(1818),
    [sym_keyword_from] = ACTIONS(1818),
    [sym_keyword_on] = ACTIONS(1818),
    [sym_keyword_where] = ACTIONS(1818),
    [sym_keyword_desc] = ACTIONS(1818),
    [sym_keyword_asc] = ACTIONS(1818),
    [sym_keyword_limit] = ACTIONS(1818),
    [sym_keyword_primary] = ACTIONS(1818),
    [sym_keyword_create] = ACTIONS(1818),
    [sym_keyword_as] = ACTIONS(1820),
    [sym_keyword_constraint] = ACTIONS(1818),
    [sym_keyword_separator] = ACTIONS(1818),
    [sym_keyword_when] = ACTIONS(1818),
    [sym_keyword_then] = ACTIONS(1818),
    [sym_keyword_else] = ACTIONS(1818),
    [sym_keyword_end] = ACTIONS(1818),
    [sym_keyword_in] = ACTIONS(1818),
    [sym_keyword_and] = ACTIONS(1818),
    [sym_keyword_or] = ACTIONS(1818),
    [sym_keyword_is] = ACTIONS(1818),
    [sym_keyword_not] = ACTIONS(1818),
    [sym_keyword_using] = ACTIONS(1818),
    [sym_keyword_auto_increment] = ACTIONS(1818),
    [sym_keyword_generated] = ACTIONS(1818),
    [sym_keyword_default] = ACTIONS(1818),
    [sym_keyword_returning] = ACTIONS(1818),
    [sym_keyword_first] = ACTIONS(1818),
    [sym_keyword_after] = ACTIONS(1818),
    [sym_keyword_range] = ACTIONS(1818),
    [sym_keyword_rows] = ACTIONS(1818),
    [sym_keyword_groups] = ACTIONS(1818),
    [sym_keyword_between] = ACTIONS(1818),
    [sym_keyword_preceding] = ACTIONS(1818),
    [sym_keyword_following] = ACTIONS(1818),
    [sym_keyword_unique] = ACTIONS(1818),
    [sym_keyword_references] = ACTIONS(1818),
    [aux_sym_keyword_like_token1] = ACTIONS(1818),
    [aux_sym_keyword_like_token2] = ACTIONS(1818),
    [sym_keyword_similar] = ACTIONS(1818),
    [sym_keyword_unsigned] = ACTIONS(1818),
    [sym_keyword_zerofill] = ACTIONS(1818),
    [sym_keyword_check] = ACTIONS(1818),
    [sym_keyword_stored] = ACTIONS(1818),
    [sym_keyword_virtual] = ACTIONS(1818),
    [sym_keyword_comment] = ACTIONS(1818),
    [sym_keyword_null] = ACTIONS(1818),
    [sym_keyword_array] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(1818),
    [anon_sym_RBRACK] = ACTIONS(1818),
    [anon_sym_LPAREN] = ACTIONS(1818),
    [anon_sym_RPAREN] = ACTIONS(1818),
    [anon_sym_COMMA] = ACTIONS(1818),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1818),
    [anon_sym_STAR] = ACTIONS(1818),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LT] = ACTIONS(1820),
    [anon_sym_GT] = ACTIONS(1820),
    [anon_sym_LT_EQ] = ACTIONS(1818),
    [anon_sym_GT_EQ] = ACTIONS(1818),
    [anon_sym_COLON] = ACTIONS(1820),
    [sym_op_other] = ACTIONS(1818),
    [anon_sym_PLUS] = ACTIONS(1818),
    [anon_sym_DASH] = ACTIONS(1820),
    [anon_sym_SLASH] = ACTIONS(1820),
    [anon_sym_PERCENT] = ACTIONS(1818),
    [anon_sym_CARET] = ACTIONS(1820),
    [anon_sym_BANG_EQ] = ACTIONS(1818),
    [anon_sym_LT_GT] = ACTIONS(1818),
  },
  [154] = {
    [sym__identifier] = ACTIONS(1376),
    [anon_sym_SEMI] = ACTIONS(1374),
    [sym_keyword_set] = ACTIONS(1376),
    [sym_keyword_where] = ACTIONS(1376),
    [sym_keyword_order] = ACTIONS(1376),
    [sym_keyword_group] = ACTIONS(1376),
    [sym_keyword_having] = ACTIONS(1376),
    [sym_keyword_desc] = ACTIONS(1376),
    [sym_keyword_asc] = ACTIONS(1376),
    [sym_keyword_limit] = ACTIONS(1376),
    [sym_keyword_primary] = ACTIONS(1376),
    [sym_keyword_create] = ACTIONS(1376),
    [sym_keyword_as] = ACTIONS(1376),
    [sym_keyword_constraint] = ACTIONS(1376),
    [sym_keyword_in] = ACTIONS(1376),
    [sym_keyword_and] = ACTIONS(1376),
    [sym_keyword_or] = ACTIONS(1376),
    [sym_keyword_is] = ACTIONS(1376),
    [sym_keyword_not] = ACTIONS(1376),
    [sym_keyword_auto_increment] = ACTIONS(1376),
    [sym_keyword_generated] = ACTIONS(1376),
    [sym_keyword_default] = ACTIONS(1376),
    [sym_keyword_with] = ACTIONS(1376),
    [sym_keyword_rename] = ACTIONS(1376),
    [sym_keyword_user] = ACTIONS(1376),
    [sym_keyword_admin] = ACTIONS(1376),
    [sym_keyword_password] = ACTIONS(1376),
    [sym_keyword_encrypted] = ACTIONS(1376),
    [sym_keyword_valid] = ACTIONS(1376),
    [sym_keyword_connection] = ACTIONS(1376),
    [sym_keyword_role] = ACTIONS(1376),
    [sym_keyword_reset] = ACTIONS(1376),
    [sym_keyword_returning] = ACTIONS(1376),
    [sym_keyword_first] = ACTIONS(1376),
    [sym_keyword_after] = ACTIONS(1376),
    [sym_keyword_window] = ACTIONS(1376),
    [sym_keyword_between] = ACTIONS(1376),
    [sym_keyword_unique] = ACTIONS(1376),
    [sym_keyword_references] = ACTIONS(1376),
    [aux_sym_keyword_like_token1] = ACTIONS(1376),
    [aux_sym_keyword_like_token2] = ACTIONS(1376),
    [sym_keyword_similar] = ACTIONS(1376),
    [sym_keyword_check] = ACTIONS(1376),
    [sym_keyword_stored] = ACTIONS(1376),
    [sym_keyword_virtual] = ACTIONS(1376),
    [sym_keyword_comment] = ACTIONS(1376),
    [sym_keyword_null] = ACTIONS(1376),
    [sym_keyword_array] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(1374),
    [anon_sym_COMMA] = ACTIONS(1374),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1374),
    [anon_sym_DOT] = ACTIONS(1374),
    [anon_sym_STAR] = ACTIONS(1374),
    [anon_sym_COLON_COLON] = ACTIONS(1374),
    [anon_sym_LT] = ACTIONS(1376),
    [anon_sym_GT] = ACTIONS(1376),
    [anon_sym_LT_EQ] = ACTIONS(1374),
    [anon_sym_GT_EQ] = ACTIONS(1374),
    [sym_op_other] = ACTIONS(1374),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1376),
    [anon_sym_SLASH] = ACTIONS(1376),
    [anon_sym_PERCENT] = ACTIONS(1374),
    [anon_sym_CARET] = ACTIONS(1376),
    [anon_sym_BANG_EQ] = ACTIONS(1374),
    [anon_sym_LT_GT] = ACTIONS(1374),
    [sym__double_quote_string] = ACTIONS(1374),
    [aux_sym_identifier_token1] = ACTIONS(1374),
    [sym__dollar_quoted_string_end_tag] = ACTIONS(1374),
  },
  [155] = {
    [ts_builtin_sym_end] = ACTIONS(1822),
    [anon_sym_SEMI] = ACTIONS(1822),
    [sym_keyword_from] = ACTIONS(1822),
    [sym_keyword_on] = ACTIONS(1822),
    [sym_keyword_where] = ACTIONS(1822),
    [sym_keyword_desc] = ACTIONS(1822),
    [sym_keyword_asc] = ACTIONS(1822),
    [sym_keyword_limit] = ACTIONS(1822),
    [sym_keyword_primary] = ACTIONS(1822),
    [sym_keyword_create] = ACTIONS(1822),
    [sym_keyword_as] = ACTIONS(1824),
    [sym_keyword_constraint] = ACTIONS(1822),
    [sym_keyword_separator] = ACTIONS(1822),
    [sym_keyword_when] = ACTIONS(1822),
    [sym_keyword_then] = ACTIONS(1822),
    [sym_keyword_else] = ACTIONS(1822),
    [sym_keyword_end] = ACTIONS(1822),
    [sym_keyword_in] = ACTIONS(1822),
    [sym_keyword_and] = ACTIONS(1822),
    [sym_keyword_or] = ACTIONS(1822),
    [sym_keyword_is] = ACTIONS(1822),
    [sym_keyword_not] = ACTIONS(1822),
    [sym_keyword_using] = ACTIONS(1822),
    [sym_keyword_auto_increment] = ACTIONS(1822),
    [sym_keyword_generated] = ACTIONS(1822),
    [sym_keyword_default] = ACTIONS(1822),
    [sym_keyword_returning] = ACTIONS(1822),
    [sym_keyword_first] = ACTIONS(1822),
    [sym_keyword_after] = ACTIONS(1822),
    [sym_keyword_range] = ACTIONS(1822),
    [sym_keyword_rows] = ACTIONS(1822),
    [sym_keyword_groups] = ACTIONS(1822),
    [sym_keyword_between] = ACTIONS(1822),
    [sym_keyword_preceding] = ACTIONS(1822),
    [sym_keyword_following] = ACTIONS(1822),
    [sym_keyword_unique] = ACTIONS(1822),
    [sym_keyword_references] = ACTIONS(1822),
    [aux_sym_keyword_like_token1] = ACTIONS(1822),
    [aux_sym_keyword_like_token2] = ACTIONS(1822),
    [sym_keyword_similar] = ACTIONS(1822),
    [sym_keyword_unsigned] = ACTIONS(1826),
    [sym_keyword_zerofill] = ACTIONS(1828),
    [sym_keyword_check] = ACTIONS(1822),
    [sym_keyword_stored] = ACTIONS(1822),
    [sym_keyword_virtual] = ACTIONS(1822),
    [sym_keyword_comment] = ACTIONS(1822),
    [sym_keyword_null] = ACTIONS(1822),
    [sym_keyword_array] = ACTIONS(1822),
    [anon_sym_LBRACK] = ACTIONS(1822),
    [anon_sym_RBRACK] = ACTIONS(1822),
    [anon_sym_LPAREN] = ACTIONS(1830),
    [anon_sym_RPAREN] = ACTIONS(1822),
    [anon_sym_COMMA] = ACTIONS(1822),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1822),
    [anon_sym_STAR] = ACTIONS(1822),
    [anon_sym_COLON_COLON] = ACTIONS(1822),
    [anon_sym_LT] = ACTIONS(1824),
    [anon_sym_GT] = ACTIONS(1824),
    [anon_sym_LT_EQ] = ACTIONS(1822),
    [anon_sym_GT_EQ] = ACTIONS(1822),
    [anon_sym_COLON] = ACTIONS(1824),
    [sym_op_other] = ACTIONS(1822),
    [anon_sym_PLUS] = ACTIONS(1822),
    [anon_sym_DASH] = ACTIONS(1824),
    [anon_sym_SLASH] = ACTIONS(1824),
    [anon_sym_PERCENT] = ACTIONS(1822),
    [anon_sym_CARET] = ACTIONS(1824),
    [anon_sym_BANG_EQ] = ACTIONS(1822),
    [anon_sym_LT_GT] = ACTIONS(1822),
  },
  [156] = {
    [ts_builtin_sym_end] = ACTIONS(1832),
    [anon_sym_SEMI] = ACTIONS(1832),
    [sym_keyword_from] = ACTIONS(1832),
    [sym_keyword_on] = ACTIONS(1832),
    [sym_keyword_where] = ACTIONS(1832),
    [sym_keyword_desc] = ACTIONS(1832),
    [sym_keyword_asc] = ACTIONS(1832),
    [sym_keyword_limit] = ACTIONS(1832),
    [sym_keyword_primary] = ACTIONS(1832),
    [sym_keyword_create] = ACTIONS(1832),
    [sym_keyword_as] = ACTIONS(1834),
    [sym_keyword_constraint] = ACTIONS(1832),
    [sym_keyword_separator] = ACTIONS(1832),
    [sym_keyword_when] = ACTIONS(1832),
    [sym_keyword_then] = ACTIONS(1832),
    [sym_keyword_else] = ACTIONS(1832),
    [sym_keyword_end] = ACTIONS(1832),
    [sym_keyword_in] = ACTIONS(1832),
    [sym_keyword_and] = ACTIONS(1832),
    [sym_keyword_or] = ACTIONS(1832),
    [sym_keyword_is] = ACTIONS(1832),
    [sym_keyword_not] = ACTIONS(1832),
    [sym_keyword_using] = ACTIONS(1832),
    [sym_keyword_auto_increment] = ACTIONS(1832),
    [sym_keyword_generated] = ACTIONS(1832),
    [sym_keyword_default] = ACTIONS(1832),
    [sym_keyword_returning] = ACTIONS(1832),
    [sym_keyword_first] = ACTIONS(1832),
    [sym_keyword_after] = ACTIONS(1832),
    [sym_keyword_range] = ACTIONS(1832),
    [sym_keyword_rows] = ACTIONS(1832),
    [sym_keyword_groups] = ACTIONS(1832),
    [sym_keyword_between] = ACTIONS(1832),
    [sym_keyword_preceding] = ACTIONS(1832),
    [sym_keyword_following] = ACTIONS(1832),
    [sym_keyword_unique] = ACTIONS(1832),
    [sym_keyword_references] = ACTIONS(1832),
    [aux_sym_keyword_like_token1] = ACTIONS(1832),
    [aux_sym_keyword_like_token2] = ACTIONS(1832),
    [sym_keyword_similar] = ACTIONS(1832),
    [sym_keyword_unsigned] = ACTIONS(1832),
    [sym_keyword_zerofill] = ACTIONS(1832),
    [sym_keyword_check] = ACTIONS(1832),
    [sym_keyword_stored] = ACTIONS(1832),
    [sym_keyword_virtual] = ACTIONS(1832),
    [sym_keyword_comment] = ACTIONS(1832),
    [sym_keyword_null] = ACTIONS(1832),
    [sym_keyword_array] = ACTIONS(1832),
    [anon_sym_LBRACK] = ACTIONS(1832),
    [anon_sym_RBRACK] = ACTIONS(1832),
    [anon_sym_LPAREN] = ACTIONS(1832),
    [anon_sym_RPAREN] = ACTIONS(1832),
    [anon_sym_COMMA] = ACTIONS(1832),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1832),
    [anon_sym_STAR] = ACTIONS(1832),
    [anon_sym_COLON_COLON] = ACTIONS(1832),
    [anon_sym_LT] = ACTIONS(1834),
    [anon_sym_GT] = ACTIONS(1834),
    [anon_sym_LT_EQ] = ACTIONS(1832),
    [anon_sym_GT_EQ] = ACTIONS(1832),
    [anon_sym_COLON] = ACTIONS(1834),
    [sym_op_other] = ACTIONS(1832),
    [anon_sym_PLUS] = ACTIONS(1832),
    [anon_sym_DASH] = ACTIONS(1834),
    [anon_sym_SLASH] = ACTIONS(1834),
    [anon_sym_PERCENT] = ACTIONS(1832),
    [anon_sym_CARET] = ACTIONS(1834),
    [anon_sym_BANG_EQ] = ACTIONS(1832),
    [anon_sym_LT_GT] = ACTIONS(1832),
  },
  [157] = {
    [ts_builtin_sym_end] = ACTIONS(1836),
    [anon_sym_SEMI] = ACTIONS(1836),
    [sym_keyword_from] = ACTIONS(1836),
    [sym_keyword_on] = ACTIONS(1836),
    [sym_keyword_where] = ACTIONS(1836),
    [sym_keyword_desc] = ACTIONS(1836),
    [sym_keyword_asc] = ACTIONS(1836),
    [sym_keyword_limit] = ACTIONS(1836),
    [sym_keyword_primary] = ACTIONS(1836),
    [sym_keyword_create] = ACTIONS(1836),
    [sym_keyword_as] = ACTIONS(1838),
    [sym_keyword_constraint] = ACTIONS(1836),
    [sym_keyword_separator] = ACTIONS(1836),
    [sym_keyword_when] = ACTIONS(1836),
    [sym_keyword_then] = ACTIONS(1836),
    [sym_keyword_else] = ACTIONS(1836),
    [sym_keyword_end] = ACTIONS(1836),
    [sym_keyword_in] = ACTIONS(1836),
    [sym_keyword_and] = ACTIONS(1836),
    [sym_keyword_or] = ACTIONS(1836),
    [sym_keyword_is] = ACTIONS(1836),
    [sym_keyword_not] = ACTIONS(1836),
    [sym_keyword_using] = ACTIONS(1836),
    [sym_keyword_auto_increment] = ACTIONS(1836),
    [sym_keyword_generated] = ACTIONS(1836),
    [sym_keyword_default] = ACTIONS(1836),
    [sym_keyword_returning] = ACTIONS(1836),
    [sym_keyword_first] = ACTIONS(1836),
    [sym_keyword_after] = ACTIONS(1836),
    [sym_keyword_range] = ACTIONS(1836),
    [sym_keyword_rows] = ACTIONS(1836),
    [sym_keyword_groups] = ACTIONS(1836),
    [sym_keyword_between] = ACTIONS(1836),
    [sym_keyword_preceding] = ACTIONS(1836),
    [sym_keyword_following] = ACTIONS(1836),
    [sym_keyword_unique] = ACTIONS(1836),
    [sym_keyword_references] = ACTIONS(1836),
    [aux_sym_keyword_like_token1] = ACTIONS(1836),
    [aux_sym_keyword_like_token2] = ACTIONS(1836),
    [sym_keyword_similar] = ACTIONS(1836),
    [sym_keyword_unsigned] = ACTIONS(1836),
    [sym_keyword_zerofill] = ACTIONS(1836),
    [sym_keyword_check] = ACTIONS(1836),
    [sym_keyword_stored] = ACTIONS(1836),
    [sym_keyword_virtual] = ACTIONS(1836),
    [sym_keyword_comment] = ACTIONS(1836),
    [sym_keyword_null] = ACTIONS(1836),
    [sym_keyword_array] = ACTIONS(1836),
    [anon_sym_LBRACK] = ACTIONS(1836),
    [anon_sym_RBRACK] = ACTIONS(1836),
    [anon_sym_LPAREN] = ACTIONS(1836),
    [anon_sym_RPAREN] = ACTIONS(1836),
    [anon_sym_COMMA] = ACTIONS(1836),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1836),
    [anon_sym_STAR] = ACTIONS(1836),
    [anon_sym_COLON_COLON] = ACTIONS(1836),
    [anon_sym_LT] = ACTIONS(1838),
    [anon_sym_GT] = ACTIONS(1838),
    [anon_sym_LT_EQ] = ACTIONS(1836),
    [anon_sym_GT_EQ] = ACTIONS(1836),
    [anon_sym_COLON] = ACTIONS(1838),
    [sym_op_other] = ACTIONS(1836),
    [anon_sym_PLUS] = ACTIONS(1836),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_SLASH] = ACTIONS(1838),
    [anon_sym_PERCENT] = ACTIONS(1836),
    [anon_sym_CARET] = ACTIONS(1838),
    [anon_sym_BANG_EQ] = ACTIONS(1836),
    [anon_sym_LT_GT] = ACTIONS(1836),
  },
  [158] = {
    [ts_builtin_sym_end] = ACTIONS(1840),
    [anon_sym_SEMI] = ACTIONS(1840),
    [sym_keyword_from] = ACTIONS(1840),
    [sym_keyword_on] = ACTIONS(1840),
    [sym_keyword_where] = ACTIONS(1840),
    [sym_keyword_desc] = ACTIONS(1840),
    [sym_keyword_asc] = ACTIONS(1840),
    [sym_keyword_limit] = ACTIONS(1840),
    [sym_keyword_primary] = ACTIONS(1840),
    [sym_keyword_create] = ACTIONS(1840),
    [sym_keyword_as] = ACTIONS(1842),
    [sym_keyword_constraint] = ACTIONS(1840),
    [sym_keyword_separator] = ACTIONS(1840),
    [sym_keyword_when] = ACTIONS(1840),
    [sym_keyword_then] = ACTIONS(1840),
    [sym_keyword_else] = ACTIONS(1840),
    [sym_keyword_end] = ACTIONS(1840),
    [sym_keyword_in] = ACTIONS(1840),
    [sym_keyword_and] = ACTIONS(1840),
    [sym_keyword_or] = ACTIONS(1840),
    [sym_keyword_is] = ACTIONS(1840),
    [sym_keyword_not] = ACTIONS(1840),
    [sym_keyword_using] = ACTIONS(1840),
    [sym_keyword_auto_increment] = ACTIONS(1840),
    [sym_keyword_generated] = ACTIONS(1840),
    [sym_keyword_default] = ACTIONS(1840),
    [sym_keyword_returning] = ACTIONS(1840),
    [sym_keyword_first] = ACTIONS(1840),
    [sym_keyword_after] = ACTIONS(1840),
    [sym_keyword_range] = ACTIONS(1840),
    [sym_keyword_rows] = ACTIONS(1840),
    [sym_keyword_groups] = ACTIONS(1840),
    [sym_keyword_between] = ACTIONS(1840),
    [sym_keyword_preceding] = ACTIONS(1840),
    [sym_keyword_following] = ACTIONS(1840),
    [sym_keyword_unique] = ACTIONS(1840),
    [sym_keyword_references] = ACTIONS(1840),
    [aux_sym_keyword_like_token1] = ACTIONS(1840),
    [aux_sym_keyword_like_token2] = ACTIONS(1840),
    [sym_keyword_similar] = ACTIONS(1840),
    [sym_keyword_unsigned] = ACTIONS(1844),
    [sym_keyword_zerofill] = ACTIONS(1846),
    [sym_keyword_check] = ACTIONS(1840),
    [sym_keyword_stored] = ACTIONS(1840),
    [sym_keyword_virtual] = ACTIONS(1840),
    [sym_keyword_comment] = ACTIONS(1840),
    [sym_keyword_null] = ACTIONS(1840),
    [sym_keyword_array] = ACTIONS(1840),
    [anon_sym_LBRACK] = ACTIONS(1840),
    [anon_sym_RBRACK] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1848),
    [anon_sym_RPAREN] = ACTIONS(1840),
    [anon_sym_COMMA] = ACTIONS(1840),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1840),
    [anon_sym_COLON_COLON] = ACTIONS(1840),
    [anon_sym_LT] = ACTIONS(1842),
    [anon_sym_GT] = ACTIONS(1842),
    [anon_sym_LT_EQ] = ACTIONS(1840),
    [anon_sym_GT_EQ] = ACTIONS(1840),
    [anon_sym_COLON] = ACTIONS(1842),
    [sym_op_other] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_DASH] = ACTIONS(1842),
    [anon_sym_SLASH] = ACTIONS(1842),
    [anon_sym_PERCENT] = ACTIONS(1840),
    [anon_sym_CARET] = ACTIONS(1842),
    [anon_sym_BANG_EQ] = ACTIONS(1840),
    [anon_sym_LT_GT] = ACTIONS(1840),
  },
  [159] = {
    [sym__identifier] = ACTIONS(1850),
    [aux_sym_keyword_character_token1] = ACTIONS(1850),
    [sym_keyword_unsigned] = ACTIONS(1850),
    [sym_keyword_out] = ACTIONS(1852),
    [sym_keyword_boolean] = ACTIONS(1850),
    [sym_keyword_bit] = ACTIONS(1850),
    [sym_keyword_binary] = ACTIONS(1850),
    [sym_keyword_varbinary] = ACTIONS(1850),
    [sym_keyword_image] = ACTIONS(1850),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1850),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1850),
    [aux_sym_keyword_serial_token1] = ACTIONS(1850),
    [aux_sym_keyword_serial_token2] = ACTIONS(1850),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1850),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1850),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1850),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1850),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1850),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1850),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1850),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1850),
    [aux_sym_keyword_int_token1] = ACTIONS(1850),
    [aux_sym_keyword_int_token2] = ACTIONS(1850),
    [aux_sym_keyword_int_token3] = ACTIONS(1850),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1850),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1850),
    [sym_keyword_decimal] = ACTIONS(1850),
    [sym_keyword_numeric] = ACTIONS(1850),
    [aux_sym_keyword_real_token1] = ACTIONS(1850),
    [aux_sym_keyword_real_token2] = ACTIONS(1850),
    [sym_keyword_float] = ACTIONS(1850),
    [sym_keyword_double] = ACTIONS(1850),
    [sym_keyword_inet] = ACTIONS(1850),
    [sym_keyword_money] = ACTIONS(1850),
    [sym_keyword_smallmoney] = ACTIONS(1850),
    [aux_sym_keyword_char_token1] = ACTIONS(1850),
    [sym_keyword_nchar] = ACTIONS(1850),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1850),
    [sym_keyword_nvarchar] = ACTIONS(1850),
    [sym_keyword_text] = ACTIONS(1850),
    [sym_keyword_string] = ACTIONS(1850),
    [sym_keyword_uuid] = ACTIONS(1850),
    [sym_keyword_json] = ACTIONS(1850),
    [sym_keyword_jsonb] = ACTIONS(1850),
    [sym_keyword_xml] = ACTIONS(1850),
    [sym_keyword_bytea] = ACTIONS(1850),
    [sym_keyword_enum] = ACTIONS(1850),
    [sym_keyword_date] = ACTIONS(1850),
    [sym_keyword_datetime] = ACTIONS(1850),
    [sym_keyword_datetime2] = ACTIONS(1850),
    [sym_keyword_smalldatetime] = ACTIONS(1850),
    [sym_keyword_datetimeoffset] = ACTIONS(1850),
    [sym_keyword_time] = ACTIONS(1850),
    [sym_keyword_timestamp] = ACTIONS(1850),
    [sym_keyword_timestamptz] = ACTIONS(1850),
    [sym_keyword_interval] = ACTIONS(1850),
    [sym_keyword_geometry] = ACTIONS(1850),
    [sym_keyword_geography] = ACTIONS(1850),
    [sym_keyword_box2d] = ACTIONS(1850),
    [sym_keyword_box3d] = ACTIONS(1850),
    [sym_keyword_oid] = ACTIONS(1850),
    [sym_keyword_name] = ACTIONS(1850),
    [sym_keyword_regclass] = ACTIONS(1850),
    [sym_keyword_regnamespace] = ACTIONS(1850),
    [sym_keyword_regproc] = ACTIONS(1850),
    [sym_keyword_regtype] = ACTIONS(1850),
    [aux_sym_double_token1] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(1854),
    [aux_sym_identifier_token1] = ACTIONS(1854),
  },
  [160] = {
    [sym__include_time_zone] = STATE(261),
    [ts_builtin_sym_end] = ACTIONS(1856),
    [anon_sym_SEMI] = ACTIONS(1856),
    [sym_keyword_from] = ACTIONS(1856),
    [sym_keyword_on] = ACTIONS(1856),
    [sym_keyword_where] = ACTIONS(1856),
    [sym_keyword_desc] = ACTIONS(1856),
    [sym_keyword_asc] = ACTIONS(1856),
    [sym_keyword_limit] = ACTIONS(1856),
    [sym_keyword_primary] = ACTIONS(1856),
    [sym_keyword_create] = ACTIONS(1856),
    [sym_keyword_as] = ACTIONS(1858),
    [sym_keyword_constraint] = ACTIONS(1856),
    [sym_keyword_separator] = ACTIONS(1856),
    [sym_keyword_when] = ACTIONS(1856),
    [sym_keyword_then] = ACTIONS(1856),
    [sym_keyword_else] = ACTIONS(1856),
    [sym_keyword_end] = ACTIONS(1856),
    [sym_keyword_in] = ACTIONS(1856),
    [sym_keyword_and] = ACTIONS(1856),
    [sym_keyword_or] = ACTIONS(1856),
    [sym_keyword_is] = ACTIONS(1856),
    [sym_keyword_not] = ACTIONS(1856),
    [sym_keyword_using] = ACTIONS(1856),
    [sym_keyword_auto_increment] = ACTIONS(1856),
    [sym_keyword_generated] = ACTIONS(1856),
    [sym_keyword_default] = ACTIONS(1856),
    [sym_keyword_with] = ACTIONS(1788),
    [sym_keyword_without] = ACTIONS(1790),
    [sym_keyword_returning] = ACTIONS(1856),
    [sym_keyword_first] = ACTIONS(1856),
    [sym_keyword_after] = ACTIONS(1856),
    [sym_keyword_range] = ACTIONS(1856),
    [sym_keyword_rows] = ACTIONS(1856),
    [sym_keyword_groups] = ACTIONS(1856),
    [sym_keyword_between] = ACTIONS(1856),
    [sym_keyword_preceding] = ACTIONS(1856),
    [sym_keyword_following] = ACTIONS(1856),
    [sym_keyword_unique] = ACTIONS(1856),
    [sym_keyword_references] = ACTIONS(1856),
    [aux_sym_keyword_like_token1] = ACTIONS(1856),
    [aux_sym_keyword_like_token2] = ACTIONS(1856),
    [sym_keyword_similar] = ACTIONS(1856),
    [sym_keyword_check] = ACTIONS(1856),
    [sym_keyword_stored] = ACTIONS(1856),
    [sym_keyword_virtual] = ACTIONS(1856),
    [sym_keyword_comment] = ACTIONS(1856),
    [sym_keyword_null] = ACTIONS(1856),
    [sym_keyword_array] = ACTIONS(1856),
    [anon_sym_LBRACK] = ACTIONS(1856),
    [anon_sym_RBRACK] = ACTIONS(1856),
    [anon_sym_RPAREN] = ACTIONS(1856),
    [anon_sym_COMMA] = ACTIONS(1856),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_COLON_COLON] = ACTIONS(1856),
    [anon_sym_LT] = ACTIONS(1858),
    [anon_sym_GT] = ACTIONS(1858),
    [anon_sym_LT_EQ] = ACTIONS(1856),
    [anon_sym_GT_EQ] = ACTIONS(1856),
    [anon_sym_COLON] = ACTIONS(1858),
    [sym_op_other] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_DASH] = ACTIONS(1858),
    [anon_sym_SLASH] = ACTIONS(1858),
    [anon_sym_PERCENT] = ACTIONS(1856),
    [anon_sym_CARET] = ACTIONS(1858),
    [anon_sym_BANG_EQ] = ACTIONS(1856),
    [anon_sym_LT_GT] = ACTIONS(1856),
  },
  [161] = {
    [ts_builtin_sym_end] = ACTIONS(1860),
    [anon_sym_SEMI] = ACTIONS(1860),
    [sym_keyword_from] = ACTIONS(1860),
    [sym_keyword_on] = ACTIONS(1860),
    [sym_keyword_where] = ACTIONS(1860),
    [sym_keyword_desc] = ACTIONS(1860),
    [sym_keyword_asc] = ACTIONS(1860),
    [sym_keyword_limit] = ACTIONS(1860),
    [sym_keyword_primary] = ACTIONS(1860),
    [sym_keyword_create] = ACTIONS(1860),
    [sym_keyword_as] = ACTIONS(1862),
    [sym_keyword_constraint] = ACTIONS(1860),
    [sym_keyword_separator] = ACTIONS(1860),
    [sym_keyword_when] = ACTIONS(1860),
    [sym_keyword_then] = ACTIONS(1860),
    [sym_keyword_else] = ACTIONS(1860),
    [sym_keyword_end] = ACTIONS(1860),
    [sym_keyword_in] = ACTIONS(1860),
    [sym_keyword_and] = ACTIONS(1860),
    [sym_keyword_or] = ACTIONS(1860),
    [sym_keyword_is] = ACTIONS(1860),
    [sym_keyword_not] = ACTIONS(1860),
    [sym_keyword_using] = ACTIONS(1860),
    [sym_keyword_auto_increment] = ACTIONS(1860),
    [sym_keyword_generated] = ACTIONS(1860),
    [sym_keyword_default] = ACTIONS(1860),
    [sym_keyword_returning] = ACTIONS(1860),
    [sym_keyword_first] = ACTIONS(1860),
    [sym_keyword_after] = ACTIONS(1860),
    [sym_keyword_range] = ACTIONS(1860),
    [sym_keyword_rows] = ACTIONS(1860),
    [sym_keyword_groups] = ACTIONS(1860),
    [sym_keyword_between] = ACTIONS(1860),
    [sym_keyword_preceding] = ACTIONS(1860),
    [sym_keyword_following] = ACTIONS(1860),
    [sym_keyword_unique] = ACTIONS(1860),
    [sym_keyword_references] = ACTIONS(1860),
    [aux_sym_keyword_like_token1] = ACTIONS(1860),
    [aux_sym_keyword_like_token2] = ACTIONS(1860),
    [sym_keyword_similar] = ACTIONS(1860),
    [sym_keyword_unsigned] = ACTIONS(1864),
    [sym_keyword_zerofill] = ACTIONS(1866),
    [sym_keyword_check] = ACTIONS(1860),
    [sym_keyword_stored] = ACTIONS(1860),
    [sym_keyword_virtual] = ACTIONS(1860),
    [sym_keyword_comment] = ACTIONS(1860),
    [sym_keyword_null] = ACTIONS(1860),
    [sym_keyword_array] = ACTIONS(1860),
    [anon_sym_LBRACK] = ACTIONS(1860),
    [anon_sym_RBRACK] = ACTIONS(1860),
    [anon_sym_LPAREN] = ACTIONS(1868),
    [anon_sym_RPAREN] = ACTIONS(1860),
    [anon_sym_COMMA] = ACTIONS(1860),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1860),
    [anon_sym_STAR] = ACTIONS(1860),
    [anon_sym_COLON_COLON] = ACTIONS(1860),
    [anon_sym_LT] = ACTIONS(1862),
    [anon_sym_GT] = ACTIONS(1862),
    [anon_sym_LT_EQ] = ACTIONS(1860),
    [anon_sym_GT_EQ] = ACTIONS(1860),
    [anon_sym_COLON] = ACTIONS(1862),
    [sym_op_other] = ACTIONS(1860),
    [anon_sym_PLUS] = ACTIONS(1860),
    [anon_sym_DASH] = ACTIONS(1862),
    [anon_sym_SLASH] = ACTIONS(1862),
    [anon_sym_PERCENT] = ACTIONS(1860),
    [anon_sym_CARET] = ACTIONS(1862),
    [anon_sym_BANG_EQ] = ACTIONS(1860),
    [anon_sym_LT_GT] = ACTIONS(1860),
  },
  [162] = {
    [ts_builtin_sym_end] = ACTIONS(1870),
    [anon_sym_SEMI] = ACTIONS(1870),
    [sym_keyword_from] = ACTIONS(1870),
    [sym_keyword_on] = ACTIONS(1870),
    [sym_keyword_where] = ACTIONS(1870),
    [sym_keyword_desc] = ACTIONS(1870),
    [sym_keyword_asc] = ACTIONS(1870),
    [sym_keyword_limit] = ACTIONS(1870),
    [sym_keyword_primary] = ACTIONS(1870),
    [sym_keyword_create] = ACTIONS(1870),
    [sym_keyword_as] = ACTIONS(1872),
    [sym_keyword_constraint] = ACTIONS(1870),
    [sym_keyword_separator] = ACTIONS(1870),
    [sym_keyword_when] = ACTIONS(1870),
    [sym_keyword_then] = ACTIONS(1870),
    [sym_keyword_else] = ACTIONS(1870),
    [sym_keyword_end] = ACTIONS(1870),
    [sym_keyword_in] = ACTIONS(1870),
    [sym_keyword_and] = ACTIONS(1870),
    [sym_keyword_or] = ACTIONS(1870),
    [sym_keyword_is] = ACTIONS(1870),
    [sym_keyword_not] = ACTIONS(1870),
    [sym_keyword_using] = ACTIONS(1870),
    [sym_keyword_auto_increment] = ACTIONS(1870),
    [sym_keyword_generated] = ACTIONS(1870),
    [sym_keyword_default] = ACTIONS(1870),
    [sym_keyword_returning] = ACTIONS(1870),
    [sym_keyword_first] = ACTIONS(1870),
    [sym_keyword_after] = ACTIONS(1870),
    [sym_keyword_range] = ACTIONS(1870),
    [sym_keyword_rows] = ACTIONS(1870),
    [sym_keyword_groups] = ACTIONS(1870),
    [sym_keyword_between] = ACTIONS(1870),
    [sym_keyword_preceding] = ACTIONS(1870),
    [sym_keyword_following] = ACTIONS(1870),
    [sym_keyword_unique] = ACTIONS(1870),
    [sym_keyword_references] = ACTIONS(1870),
    [aux_sym_keyword_like_token1] = ACTIONS(1870),
    [aux_sym_keyword_like_token2] = ACTIONS(1870),
    [sym_keyword_similar] = ACTIONS(1870),
    [sym_keyword_unsigned] = ACTIONS(1870),
    [sym_keyword_zerofill] = ACTIONS(1870),
    [sym_keyword_check] = ACTIONS(1870),
    [sym_keyword_stored] = ACTIONS(1870),
    [sym_keyword_virtual] = ACTIONS(1870),
    [sym_keyword_comment] = ACTIONS(1870),
    [sym_keyword_null] = ACTIONS(1870),
    [sym_keyword_array] = ACTIONS(1870),
    [anon_sym_LBRACK] = ACTIONS(1870),
    [anon_sym_RBRACK] = ACTIONS(1870),
    [anon_sym_LPAREN] = ACTIONS(1870),
    [anon_sym_RPAREN] = ACTIONS(1870),
    [anon_sym_COMMA] = ACTIONS(1870),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1870),
    [anon_sym_STAR] = ACTIONS(1870),
    [anon_sym_COLON_COLON] = ACTIONS(1870),
    [anon_sym_LT] = ACTIONS(1872),
    [anon_sym_GT] = ACTIONS(1872),
    [anon_sym_LT_EQ] = ACTIONS(1870),
    [anon_sym_GT_EQ] = ACTIONS(1870),
    [anon_sym_COLON] = ACTIONS(1872),
    [sym_op_other] = ACTIONS(1870),
    [anon_sym_PLUS] = ACTIONS(1870),
    [anon_sym_DASH] = ACTIONS(1872),
    [anon_sym_SLASH] = ACTIONS(1872),
    [anon_sym_PERCENT] = ACTIONS(1870),
    [anon_sym_CARET] = ACTIONS(1872),
    [anon_sym_BANG_EQ] = ACTIONS(1870),
    [anon_sym_LT_GT] = ACTIONS(1870),
  },
  [163] = {
    [ts_builtin_sym_end] = ACTIONS(1874),
    [anon_sym_SEMI] = ACTIONS(1874),
    [sym_keyword_from] = ACTIONS(1874),
    [sym_keyword_on] = ACTIONS(1874),
    [sym_keyword_where] = ACTIONS(1874),
    [sym_keyword_desc] = ACTIONS(1874),
    [sym_keyword_asc] = ACTIONS(1874),
    [sym_keyword_limit] = ACTIONS(1874),
    [sym_keyword_primary] = ACTIONS(1874),
    [sym_keyword_create] = ACTIONS(1874),
    [sym_keyword_as] = ACTIONS(1876),
    [sym_keyword_constraint] = ACTIONS(1874),
    [sym_keyword_separator] = ACTIONS(1874),
    [sym_keyword_when] = ACTIONS(1874),
    [sym_keyword_then] = ACTIONS(1874),
    [sym_keyword_else] = ACTIONS(1874),
    [sym_keyword_end] = ACTIONS(1874),
    [sym_keyword_in] = ACTIONS(1874),
    [sym_keyword_and] = ACTIONS(1874),
    [sym_keyword_or] = ACTIONS(1874),
    [sym_keyword_is] = ACTIONS(1874),
    [sym_keyword_not] = ACTIONS(1874),
    [sym_keyword_using] = ACTIONS(1874),
    [sym_keyword_auto_increment] = ACTIONS(1874),
    [sym_keyword_generated] = ACTIONS(1874),
    [sym_keyword_default] = ACTIONS(1874),
    [sym_keyword_returning] = ACTIONS(1874),
    [sym_keyword_first] = ACTIONS(1874),
    [sym_keyword_after] = ACTIONS(1874),
    [sym_keyword_range] = ACTIONS(1874),
    [sym_keyword_rows] = ACTIONS(1874),
    [sym_keyword_groups] = ACTIONS(1874),
    [sym_keyword_between] = ACTIONS(1874),
    [sym_keyword_preceding] = ACTIONS(1874),
    [sym_keyword_following] = ACTIONS(1874),
    [sym_keyword_unique] = ACTIONS(1874),
    [sym_keyword_references] = ACTIONS(1874),
    [aux_sym_keyword_like_token1] = ACTIONS(1874),
    [aux_sym_keyword_like_token2] = ACTIONS(1874),
    [sym_keyword_similar] = ACTIONS(1874),
    [sym_keyword_unsigned] = ACTIONS(1878),
    [sym_keyword_zerofill] = ACTIONS(1880),
    [sym_keyword_check] = ACTIONS(1874),
    [sym_keyword_stored] = ACTIONS(1874),
    [sym_keyword_virtual] = ACTIONS(1874),
    [sym_keyword_comment] = ACTIONS(1874),
    [sym_keyword_null] = ACTIONS(1874),
    [sym_keyword_array] = ACTIONS(1874),
    [anon_sym_LBRACK] = ACTIONS(1874),
    [anon_sym_RBRACK] = ACTIONS(1874),
    [anon_sym_LPAREN] = ACTIONS(1882),
    [anon_sym_RPAREN] = ACTIONS(1874),
    [anon_sym_COMMA] = ACTIONS(1874),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1874),
    [anon_sym_STAR] = ACTIONS(1874),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_LT] = ACTIONS(1876),
    [anon_sym_GT] = ACTIONS(1876),
    [anon_sym_LT_EQ] = ACTIONS(1874),
    [anon_sym_GT_EQ] = ACTIONS(1874),
    [anon_sym_COLON] = ACTIONS(1876),
    [sym_op_other] = ACTIONS(1874),
    [anon_sym_PLUS] = ACTIONS(1874),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_SLASH] = ACTIONS(1876),
    [anon_sym_PERCENT] = ACTIONS(1874),
    [anon_sym_CARET] = ACTIONS(1876),
    [anon_sym_BANG_EQ] = ACTIONS(1874),
    [anon_sym_LT_GT] = ACTIONS(1874),
  },
  [164] = {
    [sym__include_time_zone] = STATE(221),
    [ts_builtin_sym_end] = ACTIONS(1884),
    [anon_sym_SEMI] = ACTIONS(1884),
    [sym_keyword_from] = ACTIONS(1884),
    [sym_keyword_on] = ACTIONS(1884),
    [sym_keyword_where] = ACTIONS(1884),
    [sym_keyword_desc] = ACTIONS(1884),
    [sym_keyword_asc] = ACTIONS(1884),
    [sym_keyword_limit] = ACTIONS(1884),
    [sym_keyword_primary] = ACTIONS(1884),
    [sym_keyword_create] = ACTIONS(1884),
    [sym_keyword_as] = ACTIONS(1886),
    [sym_keyword_constraint] = ACTIONS(1884),
    [sym_keyword_separator] = ACTIONS(1884),
    [sym_keyword_when] = ACTIONS(1884),
    [sym_keyword_then] = ACTIONS(1884),
    [sym_keyword_else] = ACTIONS(1884),
    [sym_keyword_end] = ACTIONS(1884),
    [sym_keyword_in] = ACTIONS(1884),
    [sym_keyword_and] = ACTIONS(1884),
    [sym_keyword_or] = ACTIONS(1884),
    [sym_keyword_is] = ACTIONS(1884),
    [sym_keyword_not] = ACTIONS(1884),
    [sym_keyword_using] = ACTIONS(1884),
    [sym_keyword_auto_increment] = ACTIONS(1884),
    [sym_keyword_generated] = ACTIONS(1884),
    [sym_keyword_default] = ACTIONS(1884),
    [sym_keyword_with] = ACTIONS(1788),
    [sym_keyword_without] = ACTIONS(1790),
    [sym_keyword_returning] = ACTIONS(1884),
    [sym_keyword_first] = ACTIONS(1884),
    [sym_keyword_after] = ACTIONS(1884),
    [sym_keyword_range] = ACTIONS(1884),
    [sym_keyword_rows] = ACTIONS(1884),
    [sym_keyword_groups] = ACTIONS(1884),
    [sym_keyword_between] = ACTIONS(1884),
    [sym_keyword_preceding] = ACTIONS(1884),
    [sym_keyword_following] = ACTIONS(1884),
    [sym_keyword_unique] = ACTIONS(1884),
    [sym_keyword_references] = ACTIONS(1884),
    [aux_sym_keyword_like_token1] = ACTIONS(1884),
    [aux_sym_keyword_like_token2] = ACTIONS(1884),
    [sym_keyword_similar] = ACTIONS(1884),
    [sym_keyword_check] = ACTIONS(1884),
    [sym_keyword_stored] = ACTIONS(1884),
    [sym_keyword_virtual] = ACTIONS(1884),
    [sym_keyword_comment] = ACTIONS(1884),
    [sym_keyword_null] = ACTIONS(1884),
    [sym_keyword_array] = ACTIONS(1884),
    [anon_sym_LBRACK] = ACTIONS(1884),
    [anon_sym_RBRACK] = ACTIONS(1884),
    [anon_sym_RPAREN] = ACTIONS(1884),
    [anon_sym_COMMA] = ACTIONS(1884),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1884),
    [anon_sym_STAR] = ACTIONS(1884),
    [anon_sym_COLON_COLON] = ACTIONS(1884),
    [anon_sym_LT] = ACTIONS(1886),
    [anon_sym_GT] = ACTIONS(1886),
    [anon_sym_LT_EQ] = ACTIONS(1884),
    [anon_sym_GT_EQ] = ACTIONS(1884),
    [anon_sym_COLON] = ACTIONS(1886),
    [sym_op_other] = ACTIONS(1884),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_DASH] = ACTIONS(1886),
    [anon_sym_SLASH] = ACTIONS(1886),
    [anon_sym_PERCENT] = ACTIONS(1884),
    [anon_sym_CARET] = ACTIONS(1886),
    [anon_sym_BANG_EQ] = ACTIONS(1884),
    [anon_sym_LT_GT] = ACTIONS(1884),
  },
  [165] = {
    [ts_builtin_sym_end] = ACTIONS(1772),
    [anon_sym_SEMI] = ACTIONS(1772),
    [sym_keyword_from] = ACTIONS(1772),
    [sym_keyword_on] = ACTIONS(1772),
    [sym_keyword_where] = ACTIONS(1772),
    [sym_keyword_desc] = ACTIONS(1772),
    [sym_keyword_asc] = ACTIONS(1772),
    [sym_keyword_limit] = ACTIONS(1772),
    [sym_keyword_primary] = ACTIONS(1772),
    [sym_keyword_create] = ACTIONS(1772),
    [sym_keyword_as] = ACTIONS(1774),
    [sym_keyword_constraint] = ACTIONS(1772),
    [sym_keyword_separator] = ACTIONS(1772),
    [sym_keyword_when] = ACTIONS(1772),
    [sym_keyword_then] = ACTIONS(1772),
    [sym_keyword_else] = ACTIONS(1772),
    [sym_keyword_end] = ACTIONS(1772),
    [sym_keyword_in] = ACTIONS(1772),
    [sym_keyword_and] = ACTIONS(1772),
    [sym_keyword_or] = ACTIONS(1772),
    [sym_keyword_is] = ACTIONS(1772),
    [sym_keyword_not] = ACTIONS(1772),
    [sym_keyword_using] = ACTIONS(1772),
    [sym_keyword_auto_increment] = ACTIONS(1772),
    [sym_keyword_generated] = ACTIONS(1772),
    [sym_keyword_default] = ACTIONS(1772),
    [sym_keyword_returning] = ACTIONS(1772),
    [sym_keyword_first] = ACTIONS(1772),
    [sym_keyword_after] = ACTIONS(1772),
    [sym_keyword_range] = ACTIONS(1772),
    [sym_keyword_rows] = ACTIONS(1772),
    [sym_keyword_groups] = ACTIONS(1772),
    [sym_keyword_between] = ACTIONS(1772),
    [sym_keyword_preceding] = ACTIONS(1772),
    [sym_keyword_following] = ACTIONS(1772),
    [sym_keyword_unique] = ACTIONS(1772),
    [sym_keyword_references] = ACTIONS(1772),
    [aux_sym_keyword_like_token1] = ACTIONS(1772),
    [aux_sym_keyword_like_token2] = ACTIONS(1772),
    [sym_keyword_similar] = ACTIONS(1772),
    [sym_keyword_unsigned] = ACTIONS(1776),
    [sym_keyword_zerofill] = ACTIONS(1778),
    [sym_keyword_check] = ACTIONS(1772),
    [sym_keyword_stored] = ACTIONS(1772),
    [sym_keyword_virtual] = ACTIONS(1772),
    [sym_keyword_comment] = ACTIONS(1772),
    [sym_keyword_null] = ACTIONS(1772),
    [sym_keyword_array] = ACTIONS(1772),
    [anon_sym_LBRACK] = ACTIONS(1772),
    [anon_sym_RBRACK] = ACTIONS(1772),
    [anon_sym_LPAREN] = ACTIONS(1782),
    [anon_sym_RPAREN] = ACTIONS(1772),
    [anon_sym_COMMA] = ACTIONS(1772),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1772),
    [anon_sym_STAR] = ACTIONS(1772),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LT] = ACTIONS(1774),
    [anon_sym_GT] = ACTIONS(1774),
    [anon_sym_LT_EQ] = ACTIONS(1772),
    [anon_sym_GT_EQ] = ACTIONS(1772),
    [anon_sym_COLON] = ACTIONS(1774),
    [sym_op_other] = ACTIONS(1772),
    [anon_sym_PLUS] = ACTIONS(1772),
    [anon_sym_DASH] = ACTIONS(1774),
    [anon_sym_SLASH] = ACTIONS(1774),
    [anon_sym_PERCENT] = ACTIONS(1772),
    [anon_sym_CARET] = ACTIONS(1774),
    [anon_sym_BANG_EQ] = ACTIONS(1772),
    [anon_sym_LT_GT] = ACTIONS(1772),
  },
  [166] = {
    [ts_builtin_sym_end] = ACTIONS(1888),
    [anon_sym_SEMI] = ACTIONS(1888),
    [sym_keyword_from] = ACTIONS(1888),
    [sym_keyword_on] = ACTIONS(1888),
    [sym_keyword_where] = ACTIONS(1888),
    [sym_keyword_desc] = ACTIONS(1888),
    [sym_keyword_asc] = ACTIONS(1888),
    [sym_keyword_limit] = ACTIONS(1888),
    [sym_keyword_primary] = ACTIONS(1888),
    [sym_keyword_create] = ACTIONS(1888),
    [sym_keyword_as] = ACTIONS(1890),
    [sym_keyword_constraint] = ACTIONS(1888),
    [sym_keyword_separator] = ACTIONS(1888),
    [sym_keyword_when] = ACTIONS(1888),
    [sym_keyword_then] = ACTIONS(1888),
    [sym_keyword_else] = ACTIONS(1888),
    [sym_keyword_end] = ACTIONS(1888),
    [sym_keyword_in] = ACTIONS(1888),
    [sym_keyword_and] = ACTIONS(1888),
    [sym_keyword_or] = ACTIONS(1888),
    [sym_keyword_is] = ACTIONS(1888),
    [sym_keyword_not] = ACTIONS(1888),
    [sym_keyword_using] = ACTIONS(1888),
    [sym_keyword_auto_increment] = ACTIONS(1888),
    [sym_keyword_generated] = ACTIONS(1888),
    [sym_keyword_default] = ACTIONS(1888),
    [sym_keyword_returning] = ACTIONS(1888),
    [sym_keyword_first] = ACTIONS(1888),
    [sym_keyword_after] = ACTIONS(1888),
    [sym_keyword_range] = ACTIONS(1888),
    [sym_keyword_rows] = ACTIONS(1888),
    [sym_keyword_groups] = ACTIONS(1888),
    [sym_keyword_between] = ACTIONS(1888),
    [sym_keyword_preceding] = ACTIONS(1888),
    [sym_keyword_following] = ACTIONS(1888),
    [sym_keyword_unique] = ACTIONS(1888),
    [sym_keyword_references] = ACTIONS(1888),
    [aux_sym_keyword_like_token1] = ACTIONS(1888),
    [aux_sym_keyword_like_token2] = ACTIONS(1888),
    [sym_keyword_similar] = ACTIONS(1888),
    [sym_keyword_unsigned] = ACTIONS(1892),
    [sym_keyword_zerofill] = ACTIONS(1894),
    [sym_keyword_check] = ACTIONS(1888),
    [sym_keyword_stored] = ACTIONS(1888),
    [sym_keyword_virtual] = ACTIONS(1888),
    [sym_keyword_comment] = ACTIONS(1888),
    [sym_keyword_null] = ACTIONS(1888),
    [sym_keyword_array] = ACTIONS(1888),
    [anon_sym_LBRACK] = ACTIONS(1888),
    [anon_sym_RBRACK] = ACTIONS(1888),
    [anon_sym_LPAREN] = ACTIONS(1896),
    [anon_sym_RPAREN] = ACTIONS(1888),
    [anon_sym_COMMA] = ACTIONS(1888),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1888),
    [anon_sym_STAR] = ACTIONS(1888),
    [anon_sym_COLON_COLON] = ACTIONS(1888),
    [anon_sym_LT] = ACTIONS(1890),
    [anon_sym_GT] = ACTIONS(1890),
    [anon_sym_LT_EQ] = ACTIONS(1888),
    [anon_sym_GT_EQ] = ACTIONS(1888),
    [anon_sym_COLON] = ACTIONS(1890),
    [sym_op_other] = ACTIONS(1888),
    [anon_sym_PLUS] = ACTIONS(1888),
    [anon_sym_DASH] = ACTIONS(1890),
    [anon_sym_SLASH] = ACTIONS(1890),
    [anon_sym_PERCENT] = ACTIONS(1888),
    [anon_sym_CARET] = ACTIONS(1890),
    [anon_sym_BANG_EQ] = ACTIONS(1888),
    [anon_sym_LT_GT] = ACTIONS(1888),
  },
  [167] = {
    [ts_builtin_sym_end] = ACTIONS(1898),
    [anon_sym_SEMI] = ACTIONS(1898),
    [sym_keyword_from] = ACTIONS(1898),
    [sym_keyword_on] = ACTIONS(1898),
    [sym_keyword_where] = ACTIONS(1898),
    [sym_keyword_desc] = ACTIONS(1898),
    [sym_keyword_asc] = ACTIONS(1898),
    [sym_keyword_limit] = ACTIONS(1898),
    [sym_keyword_primary] = ACTIONS(1898),
    [sym_keyword_create] = ACTIONS(1898),
    [sym_keyword_as] = ACTIONS(1900),
    [sym_keyword_constraint] = ACTIONS(1898),
    [sym_keyword_separator] = ACTIONS(1898),
    [sym_keyword_when] = ACTIONS(1898),
    [sym_keyword_then] = ACTIONS(1898),
    [sym_keyword_else] = ACTIONS(1898),
    [sym_keyword_end] = ACTIONS(1898),
    [sym_keyword_in] = ACTIONS(1898),
    [sym_keyword_and] = ACTIONS(1898),
    [sym_keyword_or] = ACTIONS(1898),
    [sym_keyword_is] = ACTIONS(1898),
    [sym_keyword_not] = ACTIONS(1898),
    [sym_keyword_using] = ACTIONS(1898),
    [sym_keyword_auto_increment] = ACTIONS(1898),
    [sym_keyword_generated] = ACTIONS(1898),
    [sym_keyword_default] = ACTIONS(1898),
    [sym_keyword_returning] = ACTIONS(1898),
    [sym_keyword_first] = ACTIONS(1898),
    [sym_keyword_after] = ACTIONS(1898),
    [sym_keyword_range] = ACTIONS(1898),
    [sym_keyword_rows] = ACTIONS(1898),
    [sym_keyword_groups] = ACTIONS(1898),
    [sym_keyword_between] = ACTIONS(1898),
    [sym_keyword_preceding] = ACTIONS(1898),
    [sym_keyword_following] = ACTIONS(1898),
    [sym_keyword_unique] = ACTIONS(1898),
    [sym_keyword_references] = ACTIONS(1898),
    [aux_sym_keyword_like_token1] = ACTIONS(1898),
    [aux_sym_keyword_like_token2] = ACTIONS(1898),
    [sym_keyword_similar] = ACTIONS(1898),
    [sym_keyword_unsigned] = ACTIONS(1902),
    [sym_keyword_zerofill] = ACTIONS(1904),
    [sym_keyword_check] = ACTIONS(1898),
    [sym_keyword_stored] = ACTIONS(1898),
    [sym_keyword_virtual] = ACTIONS(1898),
    [sym_keyword_comment] = ACTIONS(1898),
    [sym_keyword_null] = ACTIONS(1898),
    [sym_keyword_array] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1898),
    [anon_sym_RBRACK] = ACTIONS(1898),
    [anon_sym_LPAREN] = ACTIONS(1906),
    [anon_sym_RPAREN] = ACTIONS(1898),
    [anon_sym_COMMA] = ACTIONS(1898),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1898),
    [anon_sym_STAR] = ACTIONS(1898),
    [anon_sym_COLON_COLON] = ACTIONS(1898),
    [anon_sym_LT] = ACTIONS(1900),
    [anon_sym_GT] = ACTIONS(1900),
    [anon_sym_LT_EQ] = ACTIONS(1898),
    [anon_sym_GT_EQ] = ACTIONS(1898),
    [anon_sym_COLON] = ACTIONS(1900),
    [sym_op_other] = ACTIONS(1898),
    [anon_sym_PLUS] = ACTIONS(1898),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_SLASH] = ACTIONS(1900),
    [anon_sym_PERCENT] = ACTIONS(1898),
    [anon_sym_CARET] = ACTIONS(1900),
    [anon_sym_BANG_EQ] = ACTIONS(1898),
    [anon_sym_LT_GT] = ACTIONS(1898),
  },
  [168] = {
    [ts_builtin_sym_end] = ACTIONS(1908),
    [anon_sym_SEMI] = ACTIONS(1908),
    [sym_keyword_from] = ACTIONS(1908),
    [sym_keyword_on] = ACTIONS(1908),
    [sym_keyword_where] = ACTIONS(1908),
    [sym_keyword_desc] = ACTIONS(1908),
    [sym_keyword_asc] = ACTIONS(1908),
    [sym_keyword_limit] = ACTIONS(1908),
    [sym_keyword_primary] = ACTIONS(1908),
    [sym_keyword_create] = ACTIONS(1908),
    [sym_keyword_as] = ACTIONS(1910),
    [sym_keyword_constraint] = ACTIONS(1908),
    [sym_keyword_separator] = ACTIONS(1908),
    [sym_keyword_when] = ACTIONS(1908),
    [sym_keyword_then] = ACTIONS(1908),
    [sym_keyword_else] = ACTIONS(1908),
    [sym_keyword_end] = ACTIONS(1908),
    [sym_keyword_in] = ACTIONS(1908),
    [sym_keyword_and] = ACTIONS(1908),
    [sym_keyword_or] = ACTIONS(1908),
    [sym_keyword_is] = ACTIONS(1908),
    [sym_keyword_not] = ACTIONS(1908),
    [sym_keyword_using] = ACTIONS(1908),
    [sym_keyword_auto_increment] = ACTIONS(1908),
    [sym_keyword_generated] = ACTIONS(1908),
    [sym_keyword_default] = ACTIONS(1908),
    [sym_keyword_returning] = ACTIONS(1908),
    [sym_keyword_first] = ACTIONS(1908),
    [sym_keyword_after] = ACTIONS(1908),
    [sym_keyword_range] = ACTIONS(1908),
    [sym_keyword_rows] = ACTIONS(1908),
    [sym_keyword_groups] = ACTIONS(1908),
    [sym_keyword_between] = ACTIONS(1908),
    [sym_keyword_preceding] = ACTIONS(1908),
    [sym_keyword_following] = ACTIONS(1908),
    [sym_keyword_unique] = ACTIONS(1908),
    [sym_keyword_references] = ACTIONS(1908),
    [aux_sym_keyword_like_token1] = ACTIONS(1908),
    [aux_sym_keyword_like_token2] = ACTIONS(1908),
    [sym_keyword_similar] = ACTIONS(1908),
    [sym_keyword_unsigned] = ACTIONS(1912),
    [sym_keyword_zerofill] = ACTIONS(1914),
    [sym_keyword_check] = ACTIONS(1908),
    [sym_keyword_stored] = ACTIONS(1908),
    [sym_keyword_virtual] = ACTIONS(1908),
    [sym_keyword_comment] = ACTIONS(1908),
    [sym_keyword_null] = ACTIONS(1908),
    [sym_keyword_array] = ACTIONS(1908),
    [anon_sym_LBRACK] = ACTIONS(1908),
    [anon_sym_RBRACK] = ACTIONS(1908),
    [anon_sym_RPAREN] = ACTIONS(1908),
    [anon_sym_COMMA] = ACTIONS(1908),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1908),
    [anon_sym_STAR] = ACTIONS(1908),
    [anon_sym_COLON_COLON] = ACTIONS(1908),
    [anon_sym_LT] = ACTIONS(1910),
    [anon_sym_GT] = ACTIONS(1910),
    [anon_sym_LT_EQ] = ACTIONS(1908),
    [anon_sym_GT_EQ] = ACTIONS(1908),
    [anon_sym_COLON] = ACTIONS(1910),
    [sym_op_other] = ACTIONS(1908),
    [anon_sym_PLUS] = ACTIONS(1908),
    [anon_sym_DASH] = ACTIONS(1910),
    [anon_sym_SLASH] = ACTIONS(1910),
    [anon_sym_PERCENT] = ACTIONS(1908),
    [anon_sym_CARET] = ACTIONS(1910),
    [anon_sym_BANG_EQ] = ACTIONS(1908),
    [anon_sym_LT_GT] = ACTIONS(1908),
  },
  [169] = {
    [ts_builtin_sym_end] = ACTIONS(1916),
    [anon_sym_SEMI] = ACTIONS(1916),
    [sym_keyword_from] = ACTIONS(1916),
    [sym_keyword_on] = ACTIONS(1916),
    [sym_keyword_where] = ACTIONS(1916),
    [sym_keyword_desc] = ACTIONS(1916),
    [sym_keyword_asc] = ACTIONS(1916),
    [sym_keyword_limit] = ACTIONS(1916),
    [sym_keyword_primary] = ACTIONS(1916),
    [sym_keyword_create] = ACTIONS(1916),
    [sym_keyword_as] = ACTIONS(1918),
    [sym_keyword_constraint] = ACTIONS(1916),
    [sym_keyword_separator] = ACTIONS(1916),
    [sym_keyword_when] = ACTIONS(1916),
    [sym_keyword_then] = ACTIONS(1916),
    [sym_keyword_else] = ACTIONS(1916),
    [sym_keyword_end] = ACTIONS(1916),
    [sym_keyword_in] = ACTIONS(1916),
    [sym_keyword_and] = ACTIONS(1916),
    [sym_keyword_or] = ACTIONS(1916),
    [sym_keyword_is] = ACTIONS(1916),
    [sym_keyword_not] = ACTIONS(1916),
    [sym_keyword_using] = ACTIONS(1916),
    [sym_keyword_auto_increment] = ACTIONS(1916),
    [sym_keyword_generated] = ACTIONS(1916),
    [sym_keyword_default] = ACTIONS(1916),
    [sym_keyword_returning] = ACTIONS(1916),
    [sym_keyword_first] = ACTIONS(1916),
    [sym_keyword_after] = ACTIONS(1916),
    [sym_keyword_range] = ACTIONS(1916),
    [sym_keyword_rows] = ACTIONS(1916),
    [sym_keyword_groups] = ACTIONS(1916),
    [sym_keyword_between] = ACTIONS(1916),
    [sym_keyword_preceding] = ACTIONS(1916),
    [sym_keyword_following] = ACTIONS(1916),
    [sym_keyword_unique] = ACTIONS(1916),
    [sym_keyword_references] = ACTIONS(1916),
    [aux_sym_keyword_like_token1] = ACTIONS(1916),
    [aux_sym_keyword_like_token2] = ACTIONS(1916),
    [sym_keyword_similar] = ACTIONS(1916),
    [sym_keyword_unsigned] = ACTIONS(1920),
    [sym_keyword_zerofill] = ACTIONS(1922),
    [sym_keyword_check] = ACTIONS(1916),
    [sym_keyword_stored] = ACTIONS(1916),
    [sym_keyword_virtual] = ACTIONS(1916),
    [sym_keyword_comment] = ACTIONS(1916),
    [sym_keyword_null] = ACTIONS(1916),
    [sym_keyword_array] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1916),
    [anon_sym_RBRACK] = ACTIONS(1916),
    [anon_sym_RPAREN] = ACTIONS(1916),
    [anon_sym_COMMA] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1916),
    [anon_sym_STAR] = ACTIONS(1916),
    [anon_sym_COLON_COLON] = ACTIONS(1916),
    [anon_sym_LT] = ACTIONS(1918),
    [anon_sym_GT] = ACTIONS(1918),
    [anon_sym_LT_EQ] = ACTIONS(1916),
    [anon_sym_GT_EQ] = ACTIONS(1916),
    [anon_sym_COLON] = ACTIONS(1918),
    [sym_op_other] = ACTIONS(1916),
    [anon_sym_PLUS] = ACTIONS(1916),
    [anon_sym_DASH] = ACTIONS(1918),
    [anon_sym_SLASH] = ACTIONS(1918),
    [anon_sym_PERCENT] = ACTIONS(1916),
    [anon_sym_CARET] = ACTIONS(1918),
    [anon_sym_BANG_EQ] = ACTIONS(1916),
    [anon_sym_LT_GT] = ACTIONS(1916),
  },
  [170] = {
    [ts_builtin_sym_end] = ACTIONS(1924),
    [anon_sym_SEMI] = ACTIONS(1924),
    [sym_keyword_from] = ACTIONS(1924),
    [sym_keyword_on] = ACTIONS(1924),
    [sym_keyword_where] = ACTIONS(1924),
    [sym_keyword_desc] = ACTIONS(1924),
    [sym_keyword_asc] = ACTIONS(1924),
    [sym_keyword_limit] = ACTIONS(1924),
    [sym_keyword_primary] = ACTIONS(1924),
    [sym_keyword_create] = ACTIONS(1924),
    [sym_keyword_as] = ACTIONS(1926),
    [sym_keyword_constraint] = ACTIONS(1924),
    [sym_keyword_separator] = ACTIONS(1924),
    [sym_keyword_when] = ACTIONS(1924),
    [sym_keyword_then] = ACTIONS(1924),
    [sym_keyword_else] = ACTIONS(1924),
    [sym_keyword_end] = ACTIONS(1924),
    [sym_keyword_in] = ACTIONS(1924),
    [sym_keyword_and] = ACTIONS(1924),
    [sym_keyword_or] = ACTIONS(1924),
    [sym_keyword_is] = ACTIONS(1924),
    [sym_keyword_not] = ACTIONS(1924),
    [sym_keyword_using] = ACTIONS(1924),
    [sym_keyword_auto_increment] = ACTIONS(1924),
    [sym_keyword_generated] = ACTIONS(1924),
    [sym_keyword_default] = ACTIONS(1924),
    [sym_keyword_returning] = ACTIONS(1924),
    [sym_keyword_first] = ACTIONS(1924),
    [sym_keyword_after] = ACTIONS(1924),
    [sym_keyword_range] = ACTIONS(1924),
    [sym_keyword_rows] = ACTIONS(1924),
    [sym_keyword_groups] = ACTIONS(1924),
    [sym_keyword_between] = ACTIONS(1924),
    [sym_keyword_preceding] = ACTIONS(1924),
    [sym_keyword_following] = ACTIONS(1924),
    [sym_keyword_unique] = ACTIONS(1924),
    [sym_keyword_references] = ACTIONS(1924),
    [aux_sym_keyword_like_token1] = ACTIONS(1924),
    [aux_sym_keyword_like_token2] = ACTIONS(1924),
    [sym_keyword_similar] = ACTIONS(1924),
    [sym_keyword_unsigned] = ACTIONS(1928),
    [sym_keyword_zerofill] = ACTIONS(1930),
    [sym_keyword_check] = ACTIONS(1924),
    [sym_keyword_stored] = ACTIONS(1924),
    [sym_keyword_virtual] = ACTIONS(1924),
    [sym_keyword_comment] = ACTIONS(1924),
    [sym_keyword_null] = ACTIONS(1924),
    [sym_keyword_array] = ACTIONS(1924),
    [anon_sym_LBRACK] = ACTIONS(1924),
    [anon_sym_RBRACK] = ACTIONS(1924),
    [anon_sym_RPAREN] = ACTIONS(1924),
    [anon_sym_COMMA] = ACTIONS(1924),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1924),
    [anon_sym_STAR] = ACTIONS(1924),
    [anon_sym_COLON_COLON] = ACTIONS(1924),
    [anon_sym_LT] = ACTIONS(1926),
    [anon_sym_GT] = ACTIONS(1926),
    [anon_sym_LT_EQ] = ACTIONS(1924),
    [anon_sym_GT_EQ] = ACTIONS(1924),
    [anon_sym_COLON] = ACTIONS(1926),
    [sym_op_other] = ACTIONS(1924),
    [anon_sym_PLUS] = ACTIONS(1924),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_SLASH] = ACTIONS(1926),
    [anon_sym_PERCENT] = ACTIONS(1924),
    [anon_sym_CARET] = ACTIONS(1926),
    [anon_sym_BANG_EQ] = ACTIONS(1924),
    [anon_sym_LT_GT] = ACTIONS(1924),
  },
  [171] = {
    [ts_builtin_sym_end] = ACTIONS(1932),
    [anon_sym_SEMI] = ACTIONS(1932),
    [sym_keyword_from] = ACTIONS(1932),
    [sym_keyword_on] = ACTIONS(1932),
    [sym_keyword_where] = ACTIONS(1932),
    [sym_keyword_desc] = ACTIONS(1932),
    [sym_keyword_asc] = ACTIONS(1932),
    [sym_keyword_limit] = ACTIONS(1932),
    [sym_keyword_primary] = ACTIONS(1932),
    [sym_keyword_create] = ACTIONS(1932),
    [sym_keyword_as] = ACTIONS(1934),
    [sym_keyword_constraint] = ACTIONS(1932),
    [sym_keyword_separator] = ACTIONS(1932),
    [sym_keyword_when] = ACTIONS(1932),
    [sym_keyword_then] = ACTIONS(1932),
    [sym_keyword_else] = ACTIONS(1932),
    [sym_keyword_end] = ACTIONS(1932),
    [sym_keyword_in] = ACTIONS(1932),
    [sym_keyword_and] = ACTIONS(1932),
    [sym_keyword_or] = ACTIONS(1932),
    [sym_keyword_is] = ACTIONS(1932),
    [sym_keyword_not] = ACTIONS(1932),
    [sym_keyword_using] = ACTIONS(1932),
    [sym_keyword_auto_increment] = ACTIONS(1932),
    [sym_keyword_generated] = ACTIONS(1932),
    [sym_keyword_default] = ACTIONS(1932),
    [sym_keyword_returning] = ACTIONS(1932),
    [sym_keyword_first] = ACTIONS(1932),
    [sym_keyword_after] = ACTIONS(1932),
    [sym_keyword_range] = ACTIONS(1932),
    [sym_keyword_rows] = ACTIONS(1932),
    [sym_keyword_groups] = ACTIONS(1932),
    [sym_keyword_between] = ACTIONS(1932),
    [sym_keyword_preceding] = ACTIONS(1932),
    [sym_keyword_following] = ACTIONS(1932),
    [sym_keyword_unique] = ACTIONS(1932),
    [sym_keyword_references] = ACTIONS(1932),
    [aux_sym_keyword_like_token1] = ACTIONS(1932),
    [aux_sym_keyword_like_token2] = ACTIONS(1932),
    [sym_keyword_similar] = ACTIONS(1932),
    [sym_keyword_check] = ACTIONS(1932),
    [sym_keyword_stored] = ACTIONS(1932),
    [sym_keyword_virtual] = ACTIONS(1932),
    [sym_keyword_comment] = ACTIONS(1932),
    [sym_keyword_null] = ACTIONS(1932),
    [sym_keyword_varying] = ACTIONS(1936),
    [sym_keyword_array] = ACTIONS(1932),
    [anon_sym_LBRACK] = ACTIONS(1932),
    [anon_sym_RBRACK] = ACTIONS(1932),
    [anon_sym_LPAREN] = ACTIONS(1938),
    [anon_sym_RPAREN] = ACTIONS(1932),
    [anon_sym_COMMA] = ACTIONS(1932),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1932),
    [anon_sym_COLON_COLON] = ACTIONS(1932),
    [anon_sym_LT] = ACTIONS(1934),
    [anon_sym_GT] = ACTIONS(1934),
    [anon_sym_LT_EQ] = ACTIONS(1932),
    [anon_sym_GT_EQ] = ACTIONS(1932),
    [anon_sym_COLON] = ACTIONS(1934),
    [sym_op_other] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_DASH] = ACTIONS(1934),
    [anon_sym_SLASH] = ACTIONS(1934),
    [anon_sym_PERCENT] = ACTIONS(1932),
    [anon_sym_CARET] = ACTIONS(1934),
    [anon_sym_BANG_EQ] = ACTIONS(1932),
    [anon_sym_LT_GT] = ACTIONS(1932),
  },
  [172] = {
    [ts_builtin_sym_end] = ACTIONS(1940),
    [anon_sym_SEMI] = ACTIONS(1940),
    [sym_keyword_from] = ACTIONS(1940),
    [sym_keyword_on] = ACTIONS(1940),
    [sym_keyword_where] = ACTIONS(1940),
    [sym_keyword_desc] = ACTIONS(1940),
    [sym_keyword_asc] = ACTIONS(1940),
    [sym_keyword_limit] = ACTIONS(1940),
    [sym_keyword_primary] = ACTIONS(1940),
    [sym_keyword_create] = ACTIONS(1940),
    [sym_keyword_as] = ACTIONS(1942),
    [sym_keyword_constraint] = ACTIONS(1940),
    [sym_keyword_separator] = ACTIONS(1940),
    [sym_keyword_when] = ACTIONS(1940),
    [sym_keyword_then] = ACTIONS(1940),
    [sym_keyword_else] = ACTIONS(1940),
    [sym_keyword_end] = ACTIONS(1940),
    [sym_keyword_in] = ACTIONS(1940),
    [sym_keyword_and] = ACTIONS(1940),
    [sym_keyword_or] = ACTIONS(1940),
    [sym_keyword_is] = ACTIONS(1940),
    [sym_keyword_not] = ACTIONS(1940),
    [sym_keyword_using] = ACTIONS(1940),
    [sym_keyword_auto_increment] = ACTIONS(1940),
    [sym_keyword_generated] = ACTIONS(1940),
    [sym_keyword_default] = ACTIONS(1940),
    [sym_keyword_returning] = ACTIONS(1940),
    [sym_keyword_first] = ACTIONS(1940),
    [sym_keyword_after] = ACTIONS(1940),
    [sym_keyword_range] = ACTIONS(1940),
    [sym_keyword_rows] = ACTIONS(1940),
    [sym_keyword_groups] = ACTIONS(1940),
    [sym_keyword_between] = ACTIONS(1940),
    [sym_keyword_preceding] = ACTIONS(1940),
    [sym_keyword_following] = ACTIONS(1940),
    [sym_keyword_unique] = ACTIONS(1940),
    [sym_keyword_references] = ACTIONS(1940),
    [aux_sym_keyword_like_token1] = ACTIONS(1940),
    [aux_sym_keyword_like_token2] = ACTIONS(1940),
    [sym_keyword_similar] = ACTIONS(1940),
    [sym_keyword_unsigned] = ACTIONS(1944),
    [sym_keyword_zerofill] = ACTIONS(1946),
    [sym_keyword_check] = ACTIONS(1940),
    [sym_keyword_stored] = ACTIONS(1940),
    [sym_keyword_virtual] = ACTIONS(1940),
    [sym_keyword_comment] = ACTIONS(1940),
    [sym_keyword_null] = ACTIONS(1940),
    [sym_keyword_array] = ACTIONS(1940),
    [anon_sym_LBRACK] = ACTIONS(1940),
    [anon_sym_RBRACK] = ACTIONS(1940),
    [anon_sym_RPAREN] = ACTIONS(1940),
    [anon_sym_COMMA] = ACTIONS(1940),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1940),
    [anon_sym_STAR] = ACTIONS(1940),
    [anon_sym_COLON_COLON] = ACTIONS(1940),
    [anon_sym_LT] = ACTIONS(1942),
    [anon_sym_GT] = ACTIONS(1942),
    [anon_sym_LT_EQ] = ACTIONS(1940),
    [anon_sym_GT_EQ] = ACTIONS(1940),
    [anon_sym_COLON] = ACTIONS(1942),
    [sym_op_other] = ACTIONS(1940),
    [anon_sym_PLUS] = ACTIONS(1940),
    [anon_sym_DASH] = ACTIONS(1942),
    [anon_sym_SLASH] = ACTIONS(1942),
    [anon_sym_PERCENT] = ACTIONS(1940),
    [anon_sym_CARET] = ACTIONS(1942),
    [anon_sym_BANG_EQ] = ACTIONS(1940),
    [anon_sym_LT_GT] = ACTIONS(1940),
  },
  [173] = {
    [ts_builtin_sym_end] = ACTIONS(1948),
    [anon_sym_SEMI] = ACTIONS(1948),
    [sym_keyword_from] = ACTIONS(1948),
    [sym_keyword_on] = ACTIONS(1948),
    [sym_keyword_where] = ACTIONS(1948),
    [sym_keyword_desc] = ACTIONS(1948),
    [sym_keyword_asc] = ACTIONS(1948),
    [sym_keyword_limit] = ACTIONS(1948),
    [sym_keyword_primary] = ACTIONS(1948),
    [sym_keyword_create] = ACTIONS(1948),
    [sym_keyword_as] = ACTIONS(1950),
    [sym_keyword_constraint] = ACTIONS(1948),
    [sym_keyword_separator] = ACTIONS(1948),
    [sym_keyword_when] = ACTIONS(1948),
    [sym_keyword_then] = ACTIONS(1948),
    [sym_keyword_else] = ACTIONS(1948),
    [sym_keyword_end] = ACTIONS(1948),
    [sym_keyword_in] = ACTIONS(1948),
    [sym_keyword_and] = ACTIONS(1948),
    [sym_keyword_or] = ACTIONS(1948),
    [sym_keyword_is] = ACTIONS(1948),
    [sym_keyword_not] = ACTIONS(1948),
    [sym_keyword_using] = ACTIONS(1948),
    [sym_keyword_auto_increment] = ACTIONS(1948),
    [sym_keyword_generated] = ACTIONS(1948),
    [sym_keyword_default] = ACTIONS(1948),
    [sym_keyword_returning] = ACTIONS(1948),
    [sym_keyword_first] = ACTIONS(1948),
    [sym_keyword_after] = ACTIONS(1948),
    [sym_keyword_range] = ACTIONS(1948),
    [sym_keyword_rows] = ACTIONS(1948),
    [sym_keyword_groups] = ACTIONS(1948),
    [sym_keyword_between] = ACTIONS(1948),
    [sym_keyword_preceding] = ACTIONS(1948),
    [sym_keyword_following] = ACTIONS(1948),
    [sym_keyword_unique] = ACTIONS(1948),
    [sym_keyword_references] = ACTIONS(1948),
    [aux_sym_keyword_like_token1] = ACTIONS(1948),
    [aux_sym_keyword_like_token2] = ACTIONS(1948),
    [sym_keyword_similar] = ACTIONS(1948),
    [sym_keyword_check] = ACTIONS(1948),
    [sym_keyword_stored] = ACTIONS(1948),
    [sym_keyword_virtual] = ACTIONS(1948),
    [sym_keyword_comment] = ACTIONS(1948),
    [sym_keyword_null] = ACTIONS(1948),
    [sym_keyword_varying] = ACTIONS(1952),
    [sym_keyword_array] = ACTIONS(1948),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_RBRACK] = ACTIONS(1948),
    [anon_sym_LPAREN] = ACTIONS(1948),
    [anon_sym_RPAREN] = ACTIONS(1948),
    [anon_sym_COMMA] = ACTIONS(1948),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1948),
    [anon_sym_STAR] = ACTIONS(1948),
    [anon_sym_COLON_COLON] = ACTIONS(1948),
    [anon_sym_LT] = ACTIONS(1950),
    [anon_sym_GT] = ACTIONS(1950),
    [anon_sym_LT_EQ] = ACTIONS(1948),
    [anon_sym_GT_EQ] = ACTIONS(1948),
    [anon_sym_COLON] = ACTIONS(1950),
    [sym_op_other] = ACTIONS(1948),
    [anon_sym_PLUS] = ACTIONS(1948),
    [anon_sym_DASH] = ACTIONS(1950),
    [anon_sym_SLASH] = ACTIONS(1950),
    [anon_sym_PERCENT] = ACTIONS(1948),
    [anon_sym_CARET] = ACTIONS(1950),
    [anon_sym_BANG_EQ] = ACTIONS(1948),
    [anon_sym_LT_GT] = ACTIONS(1948),
  },
  [174] = {
    [ts_builtin_sym_end] = ACTIONS(1954),
    [anon_sym_SEMI] = ACTIONS(1954),
    [sym_keyword_from] = ACTIONS(1954),
    [sym_keyword_on] = ACTIONS(1954),
    [sym_keyword_where] = ACTIONS(1954),
    [sym_keyword_desc] = ACTIONS(1954),
    [sym_keyword_asc] = ACTIONS(1954),
    [sym_keyword_limit] = ACTIONS(1954),
    [sym_keyword_primary] = ACTIONS(1954),
    [sym_keyword_create] = ACTIONS(1954),
    [sym_keyword_as] = ACTIONS(1956),
    [sym_keyword_constraint] = ACTIONS(1954),
    [sym_keyword_separator] = ACTIONS(1954),
    [sym_keyword_when] = ACTIONS(1954),
    [sym_keyword_then] = ACTIONS(1954),
    [sym_keyword_else] = ACTIONS(1954),
    [sym_keyword_end] = ACTIONS(1954),
    [sym_keyword_in] = ACTIONS(1954),
    [sym_keyword_and] = ACTIONS(1954),
    [sym_keyword_or] = ACTIONS(1954),
    [sym_keyword_is] = ACTIONS(1954),
    [sym_keyword_not] = ACTIONS(1954),
    [sym_keyword_using] = ACTIONS(1954),
    [sym_keyword_auto_increment] = ACTIONS(1954),
    [sym_keyword_generated] = ACTIONS(1954),
    [sym_keyword_default] = ACTIONS(1954),
    [sym_keyword_returning] = ACTIONS(1954),
    [sym_keyword_first] = ACTIONS(1954),
    [sym_keyword_after] = ACTIONS(1954),
    [sym_keyword_range] = ACTIONS(1954),
    [sym_keyword_rows] = ACTIONS(1954),
    [sym_keyword_groups] = ACTIONS(1954),
    [sym_keyword_between] = ACTIONS(1954),
    [sym_keyword_preceding] = ACTIONS(1954),
    [sym_keyword_following] = ACTIONS(1954),
    [sym_keyword_unique] = ACTIONS(1954),
    [sym_keyword_references] = ACTIONS(1954),
    [aux_sym_keyword_like_token1] = ACTIONS(1954),
    [aux_sym_keyword_like_token2] = ACTIONS(1954),
    [sym_keyword_similar] = ACTIONS(1954),
    [sym_keyword_unsigned] = ACTIONS(1958),
    [sym_keyword_zerofill] = ACTIONS(1960),
    [sym_keyword_check] = ACTIONS(1954),
    [sym_keyword_stored] = ACTIONS(1954),
    [sym_keyword_virtual] = ACTIONS(1954),
    [sym_keyword_comment] = ACTIONS(1954),
    [sym_keyword_null] = ACTIONS(1954),
    [sym_keyword_array] = ACTIONS(1954),
    [anon_sym_LBRACK] = ACTIONS(1954),
    [anon_sym_RBRACK] = ACTIONS(1954),
    [anon_sym_RPAREN] = ACTIONS(1954),
    [anon_sym_COMMA] = ACTIONS(1954),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1954),
    [anon_sym_STAR] = ACTIONS(1954),
    [anon_sym_COLON_COLON] = ACTIONS(1954),
    [anon_sym_LT] = ACTIONS(1956),
    [anon_sym_GT] = ACTIONS(1956),
    [anon_sym_LT_EQ] = ACTIONS(1954),
    [anon_sym_GT_EQ] = ACTIONS(1954),
    [anon_sym_COLON] = ACTIONS(1956),
    [sym_op_other] = ACTIONS(1954),
    [anon_sym_PLUS] = ACTIONS(1954),
    [anon_sym_DASH] = ACTIONS(1956),
    [anon_sym_SLASH] = ACTIONS(1956),
    [anon_sym_PERCENT] = ACTIONS(1954),
    [anon_sym_CARET] = ACTIONS(1956),
    [anon_sym_BANG_EQ] = ACTIONS(1954),
    [anon_sym_LT_GT] = ACTIONS(1954),
  },
  [175] = {
    [ts_builtin_sym_end] = ACTIONS(1962),
    [anon_sym_SEMI] = ACTIONS(1962),
    [sym_keyword_from] = ACTIONS(1962),
    [sym_keyword_on] = ACTIONS(1962),
    [sym_keyword_where] = ACTIONS(1962),
    [sym_keyword_desc] = ACTIONS(1962),
    [sym_keyword_asc] = ACTIONS(1962),
    [sym_keyword_limit] = ACTIONS(1962),
    [sym_keyword_primary] = ACTIONS(1962),
    [sym_keyword_create] = ACTIONS(1962),
    [sym_keyword_as] = ACTIONS(1964),
    [sym_keyword_constraint] = ACTIONS(1962),
    [sym_keyword_separator] = ACTIONS(1962),
    [sym_keyword_when] = ACTIONS(1962),
    [sym_keyword_then] = ACTIONS(1962),
    [sym_keyword_else] = ACTIONS(1962),
    [sym_keyword_end] = ACTIONS(1962),
    [sym_keyword_in] = ACTIONS(1962),
    [sym_keyword_and] = ACTIONS(1962),
    [sym_keyword_or] = ACTIONS(1962),
    [sym_keyword_is] = ACTIONS(1962),
    [sym_keyword_not] = ACTIONS(1962),
    [sym_keyword_using] = ACTIONS(1962),
    [sym_keyword_auto_increment] = ACTIONS(1962),
    [sym_keyword_generated] = ACTIONS(1962),
    [sym_keyword_default] = ACTIONS(1962),
    [sym_keyword_returning] = ACTIONS(1962),
    [sym_keyword_first] = ACTIONS(1962),
    [sym_keyword_after] = ACTIONS(1962),
    [sym_keyword_range] = ACTIONS(1962),
    [sym_keyword_rows] = ACTIONS(1962),
    [sym_keyword_groups] = ACTIONS(1962),
    [sym_keyword_between] = ACTIONS(1962),
    [sym_keyword_preceding] = ACTIONS(1962),
    [sym_keyword_following] = ACTIONS(1962),
    [sym_keyword_unique] = ACTIONS(1962),
    [sym_keyword_references] = ACTIONS(1962),
    [aux_sym_keyword_like_token1] = ACTIONS(1962),
    [aux_sym_keyword_like_token2] = ACTIONS(1962),
    [sym_keyword_similar] = ACTIONS(1962),
    [sym_keyword_unsigned] = ACTIONS(1966),
    [sym_keyword_zerofill] = ACTIONS(1968),
    [sym_keyword_check] = ACTIONS(1962),
    [sym_keyword_stored] = ACTIONS(1962),
    [sym_keyword_virtual] = ACTIONS(1962),
    [sym_keyword_comment] = ACTIONS(1962),
    [sym_keyword_null] = ACTIONS(1962),
    [sym_keyword_array] = ACTIONS(1962),
    [anon_sym_LBRACK] = ACTIONS(1962),
    [anon_sym_RBRACK] = ACTIONS(1962),
    [anon_sym_RPAREN] = ACTIONS(1962),
    [anon_sym_COMMA] = ACTIONS(1962),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1962),
    [anon_sym_STAR] = ACTIONS(1962),
    [anon_sym_COLON_COLON] = ACTIONS(1962),
    [anon_sym_LT] = ACTIONS(1964),
    [anon_sym_GT] = ACTIONS(1964),
    [anon_sym_LT_EQ] = ACTIONS(1962),
    [anon_sym_GT_EQ] = ACTIONS(1962),
    [anon_sym_COLON] = ACTIONS(1964),
    [sym_op_other] = ACTIONS(1962),
    [anon_sym_PLUS] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1964),
    [anon_sym_SLASH] = ACTIONS(1964),
    [anon_sym_PERCENT] = ACTIONS(1962),
    [anon_sym_CARET] = ACTIONS(1964),
    [anon_sym_BANG_EQ] = ACTIONS(1962),
    [anon_sym_LT_GT] = ACTIONS(1962),
  },
  [176] = {
    [ts_builtin_sym_end] = ACTIONS(1970),
    [anon_sym_SEMI] = ACTIONS(1970),
    [sym_keyword_from] = ACTIONS(1970),
    [sym_keyword_on] = ACTIONS(1970),
    [sym_keyword_where] = ACTIONS(1970),
    [sym_keyword_desc] = ACTIONS(1970),
    [sym_keyword_asc] = ACTIONS(1970),
    [sym_keyword_limit] = ACTIONS(1970),
    [sym_keyword_primary] = ACTIONS(1970),
    [sym_keyword_create] = ACTIONS(1970),
    [sym_keyword_as] = ACTIONS(1972),
    [sym_keyword_constraint] = ACTIONS(1970),
    [sym_keyword_separator] = ACTIONS(1970),
    [sym_keyword_when] = ACTIONS(1970),
    [sym_keyword_then] = ACTIONS(1970),
    [sym_keyword_else] = ACTIONS(1970),
    [sym_keyword_end] = ACTIONS(1970),
    [sym_keyword_in] = ACTIONS(1970),
    [sym_keyword_and] = ACTIONS(1970),
    [sym_keyword_or] = ACTIONS(1970),
    [sym_keyword_is] = ACTIONS(1970),
    [sym_keyword_not] = ACTIONS(1970),
    [sym_keyword_using] = ACTIONS(1970),
    [sym_keyword_auto_increment] = ACTIONS(1970),
    [sym_keyword_generated] = ACTIONS(1970),
    [sym_keyword_default] = ACTIONS(1970),
    [sym_keyword_returning] = ACTIONS(1970),
    [sym_keyword_first] = ACTIONS(1970),
    [sym_keyword_after] = ACTIONS(1970),
    [sym_keyword_range] = ACTIONS(1970),
    [sym_keyword_rows] = ACTIONS(1970),
    [sym_keyword_groups] = ACTIONS(1970),
    [sym_keyword_between] = ACTIONS(1970),
    [sym_keyword_preceding] = ACTIONS(1970),
    [sym_keyword_following] = ACTIONS(1970),
    [sym_keyword_unique] = ACTIONS(1970),
    [sym_keyword_references] = ACTIONS(1970),
    [aux_sym_keyword_like_token1] = ACTIONS(1970),
    [aux_sym_keyword_like_token2] = ACTIONS(1970),
    [sym_keyword_similar] = ACTIONS(1970),
    [sym_keyword_unsigned] = ACTIONS(1974),
    [sym_keyword_zerofill] = ACTIONS(1976),
    [sym_keyword_check] = ACTIONS(1970),
    [sym_keyword_stored] = ACTIONS(1970),
    [sym_keyword_virtual] = ACTIONS(1970),
    [sym_keyword_comment] = ACTIONS(1970),
    [sym_keyword_null] = ACTIONS(1970),
    [sym_keyword_array] = ACTIONS(1970),
    [anon_sym_LBRACK] = ACTIONS(1970),
    [anon_sym_RBRACK] = ACTIONS(1970),
    [anon_sym_RPAREN] = ACTIONS(1970),
    [anon_sym_COMMA] = ACTIONS(1970),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1970),
    [anon_sym_STAR] = ACTIONS(1970),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LT] = ACTIONS(1972),
    [anon_sym_GT] = ACTIONS(1972),
    [anon_sym_LT_EQ] = ACTIONS(1970),
    [anon_sym_GT_EQ] = ACTIONS(1970),
    [anon_sym_COLON] = ACTIONS(1972),
    [sym_op_other] = ACTIONS(1970),
    [anon_sym_PLUS] = ACTIONS(1970),
    [anon_sym_DASH] = ACTIONS(1972),
    [anon_sym_SLASH] = ACTIONS(1972),
    [anon_sym_PERCENT] = ACTIONS(1970),
    [anon_sym_CARET] = ACTIONS(1972),
    [anon_sym_BANG_EQ] = ACTIONS(1970),
    [anon_sym_LT_GT] = ACTIONS(1970),
  },
  [177] = {
    [sym__identifier] = ACTIONS(1978),
    [aux_sym_keyword_character_token1] = ACTIONS(1978),
    [sym_keyword_unsigned] = ACTIONS(1978),
    [sym_keyword_boolean] = ACTIONS(1978),
    [sym_keyword_bit] = ACTIONS(1978),
    [sym_keyword_binary] = ACTIONS(1978),
    [sym_keyword_varbinary] = ACTIONS(1978),
    [sym_keyword_image] = ACTIONS(1978),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1978),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1978),
    [aux_sym_keyword_serial_token1] = ACTIONS(1978),
    [aux_sym_keyword_serial_token2] = ACTIONS(1978),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1978),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1978),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1978),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1978),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1978),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1978),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1978),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1978),
    [aux_sym_keyword_int_token1] = ACTIONS(1978),
    [aux_sym_keyword_int_token2] = ACTIONS(1978),
    [aux_sym_keyword_int_token3] = ACTIONS(1978),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1978),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1978),
    [sym_keyword_decimal] = ACTIONS(1978),
    [sym_keyword_numeric] = ACTIONS(1978),
    [aux_sym_keyword_real_token1] = ACTIONS(1978),
    [aux_sym_keyword_real_token2] = ACTIONS(1978),
    [sym_keyword_float] = ACTIONS(1978),
    [sym_keyword_double] = ACTIONS(1978),
    [sym_keyword_inet] = ACTIONS(1978),
    [sym_keyword_money] = ACTIONS(1978),
    [sym_keyword_smallmoney] = ACTIONS(1978),
    [aux_sym_keyword_char_token1] = ACTIONS(1978),
    [sym_keyword_nchar] = ACTIONS(1978),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1978),
    [sym_keyword_nvarchar] = ACTIONS(1978),
    [sym_keyword_text] = ACTIONS(1978),
    [sym_keyword_string] = ACTIONS(1978),
    [sym_keyword_uuid] = ACTIONS(1978),
    [sym_keyword_json] = ACTIONS(1978),
    [sym_keyword_jsonb] = ACTIONS(1978),
    [sym_keyword_xml] = ACTIONS(1978),
    [sym_keyword_bytea] = ACTIONS(1978),
    [sym_keyword_enum] = ACTIONS(1978),
    [sym_keyword_date] = ACTIONS(1978),
    [sym_keyword_datetime] = ACTIONS(1978),
    [sym_keyword_datetime2] = ACTIONS(1978),
    [sym_keyword_smalldatetime] = ACTIONS(1978),
    [sym_keyword_datetimeoffset] = ACTIONS(1978),
    [sym_keyword_time] = ACTIONS(1978),
    [sym_keyword_timestamp] = ACTIONS(1978),
    [sym_keyword_timestamptz] = ACTIONS(1978),
    [sym_keyword_interval] = ACTIONS(1978),
    [sym_keyword_geometry] = ACTIONS(1978),
    [sym_keyword_geography] = ACTIONS(1978),
    [sym_keyword_box2d] = ACTIONS(1978),
    [sym_keyword_box3d] = ACTIONS(1978),
    [sym_keyword_oid] = ACTIONS(1978),
    [sym_keyword_name] = ACTIONS(1978),
    [sym_keyword_regclass] = ACTIONS(1978),
    [sym_keyword_regnamespace] = ACTIONS(1978),
    [sym_keyword_regproc] = ACTIONS(1978),
    [sym_keyword_regtype] = ACTIONS(1978),
    [aux_sym_double_token1] = ACTIONS(1978),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(1980),
    [aux_sym_identifier_token1] = ACTIONS(1980),
  },
  [178] = {
    [ts_builtin_sym_end] = ACTIONS(1982),
    [anon_sym_SEMI] = ACTIONS(1982),
    [sym_keyword_from] = ACTIONS(1982),
    [sym_keyword_on] = ACTIONS(1982),
    [sym_keyword_where] = ACTIONS(1982),
    [sym_keyword_desc] = ACTIONS(1982),
    [sym_keyword_asc] = ACTIONS(1982),
    [sym_keyword_limit] = ACTIONS(1982),
    [sym_keyword_primary] = ACTIONS(1982),
    [sym_keyword_create] = ACTIONS(1982),
    [sym_keyword_as] = ACTIONS(1984),
    [sym_keyword_constraint] = ACTIONS(1982),
    [sym_keyword_separator] = ACTIONS(1982),
    [sym_keyword_when] = ACTIONS(1982),
    [sym_keyword_then] = ACTIONS(1982),
    [sym_keyword_else] = ACTIONS(1982),
    [sym_keyword_end] = ACTIONS(1982),
    [sym_keyword_in] = ACTIONS(1982),
    [sym_keyword_and] = ACTIONS(1982),
    [sym_keyword_or] = ACTIONS(1982),
    [sym_keyword_is] = ACTIONS(1982),
    [sym_keyword_not] = ACTIONS(1982),
    [sym_keyword_using] = ACTIONS(1982),
    [sym_keyword_auto_increment] = ACTIONS(1982),
    [sym_keyword_generated] = ACTIONS(1982),
    [sym_keyword_default] = ACTIONS(1982),
    [sym_keyword_returning] = ACTIONS(1982),
    [sym_keyword_first] = ACTIONS(1982),
    [sym_keyword_after] = ACTIONS(1982),
    [sym_keyword_range] = ACTIONS(1982),
    [sym_keyword_rows] = ACTIONS(1982),
    [sym_keyword_groups] = ACTIONS(1982),
    [sym_keyword_between] = ACTIONS(1982),
    [sym_keyword_preceding] = ACTIONS(1982),
    [sym_keyword_following] = ACTIONS(1982),
    [sym_keyword_unique] = ACTIONS(1982),
    [sym_keyword_references] = ACTIONS(1982),
    [aux_sym_keyword_like_token1] = ACTIONS(1982),
    [aux_sym_keyword_like_token2] = ACTIONS(1982),
    [sym_keyword_similar] = ACTIONS(1982),
    [sym_keyword_unsigned] = ACTIONS(1986),
    [sym_keyword_zerofill] = ACTIONS(1988),
    [sym_keyword_check] = ACTIONS(1982),
    [sym_keyword_stored] = ACTIONS(1982),
    [sym_keyword_virtual] = ACTIONS(1982),
    [sym_keyword_comment] = ACTIONS(1982),
    [sym_keyword_null] = ACTIONS(1982),
    [sym_keyword_array] = ACTIONS(1982),
    [anon_sym_LBRACK] = ACTIONS(1982),
    [anon_sym_RBRACK] = ACTIONS(1982),
    [anon_sym_RPAREN] = ACTIONS(1982),
    [anon_sym_COMMA] = ACTIONS(1982),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1982),
    [anon_sym_COLON_COLON] = ACTIONS(1982),
    [anon_sym_LT] = ACTIONS(1984),
    [anon_sym_GT] = ACTIONS(1984),
    [anon_sym_LT_EQ] = ACTIONS(1982),
    [anon_sym_GT_EQ] = ACTIONS(1982),
    [anon_sym_COLON] = ACTIONS(1984),
    [sym_op_other] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_DASH] = ACTIONS(1984),
    [anon_sym_SLASH] = ACTIONS(1984),
    [anon_sym_PERCENT] = ACTIONS(1982),
    [anon_sym_CARET] = ACTIONS(1984),
    [anon_sym_BANG_EQ] = ACTIONS(1982),
    [anon_sym_LT_GT] = ACTIONS(1982),
  },
  [179] = {
    [ts_builtin_sym_end] = ACTIONS(1860),
    [anon_sym_SEMI] = ACTIONS(1860),
    [sym_keyword_from] = ACTIONS(1860),
    [sym_keyword_on] = ACTIONS(1860),
    [sym_keyword_where] = ACTIONS(1860),
    [sym_keyword_desc] = ACTIONS(1860),
    [sym_keyword_asc] = ACTIONS(1860),
    [sym_keyword_limit] = ACTIONS(1860),
    [sym_keyword_primary] = ACTIONS(1860),
    [sym_keyword_create] = ACTIONS(1860),
    [sym_keyword_as] = ACTIONS(1862),
    [sym_keyword_constraint] = ACTIONS(1860),
    [sym_keyword_separator] = ACTIONS(1860),
    [sym_keyword_when] = ACTIONS(1860),
    [sym_keyword_then] = ACTIONS(1860),
    [sym_keyword_else] = ACTIONS(1860),
    [sym_keyword_end] = ACTIONS(1860),
    [sym_keyword_in] = ACTIONS(1860),
    [sym_keyword_and] = ACTIONS(1860),
    [sym_keyword_or] = ACTIONS(1860),
    [sym_keyword_is] = ACTIONS(1860),
    [sym_keyword_not] = ACTIONS(1860),
    [sym_keyword_using] = ACTIONS(1860),
    [sym_keyword_auto_increment] = ACTIONS(1860),
    [sym_keyword_generated] = ACTIONS(1860),
    [sym_keyword_default] = ACTIONS(1860),
    [sym_keyword_returning] = ACTIONS(1860),
    [sym_keyword_first] = ACTIONS(1860),
    [sym_keyword_after] = ACTIONS(1860),
    [sym_keyword_range] = ACTIONS(1860),
    [sym_keyword_rows] = ACTIONS(1860),
    [sym_keyword_groups] = ACTIONS(1860),
    [sym_keyword_between] = ACTIONS(1860),
    [sym_keyword_preceding] = ACTIONS(1860),
    [sym_keyword_following] = ACTIONS(1860),
    [sym_keyword_unique] = ACTIONS(1860),
    [sym_keyword_references] = ACTIONS(1860),
    [aux_sym_keyword_like_token1] = ACTIONS(1860),
    [aux_sym_keyword_like_token2] = ACTIONS(1860),
    [sym_keyword_similar] = ACTIONS(1860),
    [sym_keyword_check] = ACTIONS(1860),
    [sym_keyword_stored] = ACTIONS(1860),
    [sym_keyword_virtual] = ACTIONS(1860),
    [sym_keyword_comment] = ACTIONS(1860),
    [sym_keyword_null] = ACTIONS(1860),
    [sym_keyword_precision] = ACTIONS(1990),
    [sym_keyword_array] = ACTIONS(1860),
    [anon_sym_LBRACK] = ACTIONS(1860),
    [anon_sym_RBRACK] = ACTIONS(1860),
    [anon_sym_LPAREN] = ACTIONS(1992),
    [anon_sym_RPAREN] = ACTIONS(1860),
    [anon_sym_COMMA] = ACTIONS(1860),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1860),
    [anon_sym_STAR] = ACTIONS(1860),
    [anon_sym_COLON_COLON] = ACTIONS(1860),
    [anon_sym_LT] = ACTIONS(1862),
    [anon_sym_GT] = ACTIONS(1862),
    [anon_sym_LT_EQ] = ACTIONS(1860),
    [anon_sym_GT_EQ] = ACTIONS(1860),
    [anon_sym_COLON] = ACTIONS(1862),
    [sym_op_other] = ACTIONS(1860),
    [anon_sym_PLUS] = ACTIONS(1860),
    [anon_sym_DASH] = ACTIONS(1862),
    [anon_sym_SLASH] = ACTIONS(1862),
    [anon_sym_PERCENT] = ACTIONS(1860),
    [anon_sym_CARET] = ACTIONS(1862),
    [anon_sym_BANG_EQ] = ACTIONS(1860),
    [anon_sym_LT_GT] = ACTIONS(1860),
  },
  [180] = {
    [ts_builtin_sym_end] = ACTIONS(1994),
    [anon_sym_SEMI] = ACTIONS(1994),
    [sym_keyword_from] = ACTIONS(1994),
    [sym_keyword_on] = ACTIONS(1994),
    [sym_keyword_where] = ACTIONS(1994),
    [sym_keyword_desc] = ACTIONS(1994),
    [sym_keyword_asc] = ACTIONS(1994),
    [sym_keyword_limit] = ACTIONS(1994),
    [sym_keyword_primary] = ACTIONS(1994),
    [sym_keyword_create] = ACTIONS(1994),
    [sym_keyword_as] = ACTIONS(1996),
    [sym_keyword_constraint] = ACTIONS(1994),
    [sym_keyword_separator] = ACTIONS(1994),
    [sym_keyword_when] = ACTIONS(1994),
    [sym_keyword_then] = ACTIONS(1994),
    [sym_keyword_else] = ACTIONS(1994),
    [sym_keyword_end] = ACTIONS(1994),
    [sym_keyword_in] = ACTIONS(1994),
    [sym_keyword_and] = ACTIONS(1994),
    [sym_keyword_or] = ACTIONS(1994),
    [sym_keyword_is] = ACTIONS(1994),
    [sym_keyword_not] = ACTIONS(1994),
    [sym_keyword_using] = ACTIONS(1994),
    [sym_keyword_auto_increment] = ACTIONS(1994),
    [sym_keyword_generated] = ACTIONS(1994),
    [sym_keyword_default] = ACTIONS(1994),
    [sym_keyword_returning] = ACTIONS(1994),
    [sym_keyword_first] = ACTIONS(1994),
    [sym_keyword_after] = ACTIONS(1994),
    [sym_keyword_range] = ACTIONS(1994),
    [sym_keyword_rows] = ACTIONS(1994),
    [sym_keyword_groups] = ACTIONS(1994),
    [sym_keyword_between] = ACTIONS(1994),
    [sym_keyword_preceding] = ACTIONS(1994),
    [sym_keyword_following] = ACTIONS(1994),
    [sym_keyword_unique] = ACTIONS(1994),
    [sym_keyword_references] = ACTIONS(1994),
    [aux_sym_keyword_like_token1] = ACTIONS(1994),
    [aux_sym_keyword_like_token2] = ACTIONS(1994),
    [sym_keyword_similar] = ACTIONS(1994),
    [sym_keyword_check] = ACTIONS(1994),
    [sym_keyword_stored] = ACTIONS(1994),
    [sym_keyword_virtual] = ACTIONS(1994),
    [sym_keyword_comment] = ACTIONS(1994),
    [sym_keyword_null] = ACTIONS(1994),
    [sym_keyword_array] = ACTIONS(1994),
    [anon_sym_LBRACK] = ACTIONS(1994),
    [anon_sym_RBRACK] = ACTIONS(1994),
    [anon_sym_LPAREN] = ACTIONS(1998),
    [anon_sym_RPAREN] = ACTIONS(1994),
    [anon_sym_COMMA] = ACTIONS(1994),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1994),
    [anon_sym_STAR] = ACTIONS(1994),
    [anon_sym_COLON_COLON] = ACTIONS(1994),
    [anon_sym_LT] = ACTIONS(1996),
    [anon_sym_GT] = ACTIONS(1996),
    [anon_sym_LT_EQ] = ACTIONS(1994),
    [anon_sym_GT_EQ] = ACTIONS(1994),
    [anon_sym_COLON] = ACTIONS(1996),
    [sym_op_other] = ACTIONS(1994),
    [anon_sym_PLUS] = ACTIONS(1994),
    [anon_sym_DASH] = ACTIONS(1996),
    [anon_sym_SLASH] = ACTIONS(1996),
    [anon_sym_PERCENT] = ACTIONS(1994),
    [anon_sym_CARET] = ACTIONS(1996),
    [anon_sym_BANG_EQ] = ACTIONS(1994),
    [anon_sym_LT_GT] = ACTIONS(1994),
  },
  [181] = {
    [ts_builtin_sym_end] = ACTIONS(2000),
    [anon_sym_SEMI] = ACTIONS(2000),
    [sym_keyword_from] = ACTIONS(2000),
    [sym_keyword_on] = ACTIONS(2000),
    [sym_keyword_where] = ACTIONS(2000),
    [sym_keyword_desc] = ACTIONS(2000),
    [sym_keyword_asc] = ACTIONS(2000),
    [sym_keyword_limit] = ACTIONS(2000),
    [sym_keyword_primary] = ACTIONS(2000),
    [sym_keyword_create] = ACTIONS(2000),
    [sym_keyword_as] = ACTIONS(2002),
    [sym_keyword_constraint] = ACTIONS(2000),
    [sym_keyword_separator] = ACTIONS(2000),
    [sym_keyword_when] = ACTIONS(2000),
    [sym_keyword_then] = ACTIONS(2000),
    [sym_keyword_else] = ACTIONS(2000),
    [sym_keyword_end] = ACTIONS(2000),
    [sym_keyword_in] = ACTIONS(2000),
    [sym_keyword_and] = ACTIONS(2000),
    [sym_keyword_or] = ACTIONS(2000),
    [sym_keyword_is] = ACTIONS(2000),
    [sym_keyword_not] = ACTIONS(2000),
    [sym_keyword_using] = ACTIONS(2000),
    [sym_keyword_auto_increment] = ACTIONS(2000),
    [sym_keyword_generated] = ACTIONS(2000),
    [sym_keyword_default] = ACTIONS(2000),
    [sym_keyword_returning] = ACTIONS(2000),
    [sym_keyword_first] = ACTIONS(2000),
    [sym_keyword_after] = ACTIONS(2000),
    [sym_keyword_range] = ACTIONS(2000),
    [sym_keyword_rows] = ACTIONS(2000),
    [sym_keyword_groups] = ACTIONS(2000),
    [sym_keyword_between] = ACTIONS(2000),
    [sym_keyword_preceding] = ACTIONS(2000),
    [sym_keyword_following] = ACTIONS(2000),
    [sym_keyword_unique] = ACTIONS(2000),
    [sym_keyword_references] = ACTIONS(2000),
    [aux_sym_keyword_like_token1] = ACTIONS(2000),
    [aux_sym_keyword_like_token2] = ACTIONS(2000),
    [sym_keyword_similar] = ACTIONS(2000),
    [sym_keyword_check] = ACTIONS(2000),
    [sym_keyword_stored] = ACTIONS(2000),
    [sym_keyword_virtual] = ACTIONS(2000),
    [sym_keyword_comment] = ACTIONS(2000),
    [sym_keyword_null] = ACTIONS(2000),
    [sym_keyword_array] = ACTIONS(2000),
    [anon_sym_LBRACK] = ACTIONS(2000),
    [anon_sym_RBRACK] = ACTIONS(2000),
    [anon_sym_LPAREN] = ACTIONS(2004),
    [anon_sym_RPAREN] = ACTIONS(2000),
    [anon_sym_COMMA] = ACTIONS(2000),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2000),
    [anon_sym_STAR] = ACTIONS(2000),
    [anon_sym_COLON_COLON] = ACTIONS(2000),
    [anon_sym_LT] = ACTIONS(2002),
    [anon_sym_GT] = ACTIONS(2002),
    [anon_sym_LT_EQ] = ACTIONS(2000),
    [anon_sym_GT_EQ] = ACTIONS(2000),
    [anon_sym_COLON] = ACTIONS(2002),
    [sym_op_other] = ACTIONS(2000),
    [anon_sym_PLUS] = ACTIONS(2000),
    [anon_sym_DASH] = ACTIONS(2002),
    [anon_sym_SLASH] = ACTIONS(2002),
    [anon_sym_PERCENT] = ACTIONS(2000),
    [anon_sym_CARET] = ACTIONS(2002),
    [anon_sym_BANG_EQ] = ACTIONS(2000),
    [anon_sym_LT_GT] = ACTIONS(2000),
  },
  [182] = {
    [ts_builtin_sym_end] = ACTIONS(2006),
    [anon_sym_SEMI] = ACTIONS(2006),
    [sym_keyword_from] = ACTIONS(2006),
    [sym_keyword_on] = ACTIONS(2006),
    [sym_keyword_where] = ACTIONS(2006),
    [sym_keyword_desc] = ACTIONS(2006),
    [sym_keyword_asc] = ACTIONS(2006),
    [sym_keyword_limit] = ACTIONS(2006),
    [sym_keyword_primary] = ACTIONS(2006),
    [sym_keyword_create] = ACTIONS(2006),
    [sym_keyword_as] = ACTIONS(2008),
    [sym_keyword_constraint] = ACTIONS(2006),
    [sym_keyword_separator] = ACTIONS(2006),
    [sym_keyword_when] = ACTIONS(2006),
    [sym_keyword_then] = ACTIONS(2006),
    [sym_keyword_else] = ACTIONS(2006),
    [sym_keyword_end] = ACTIONS(2006),
    [sym_keyword_in] = ACTIONS(2006),
    [sym_keyword_and] = ACTIONS(2006),
    [sym_keyword_or] = ACTIONS(2006),
    [sym_keyword_is] = ACTIONS(2006),
    [sym_keyword_not] = ACTIONS(2006),
    [sym_keyword_using] = ACTIONS(2006),
    [sym_keyword_auto_increment] = ACTIONS(2006),
    [sym_keyword_generated] = ACTIONS(2006),
    [sym_keyword_default] = ACTIONS(2006),
    [sym_keyword_returning] = ACTIONS(2006),
    [sym_keyword_first] = ACTIONS(2006),
    [sym_keyword_after] = ACTIONS(2006),
    [sym_keyword_range] = ACTIONS(2006),
    [sym_keyword_rows] = ACTIONS(2006),
    [sym_keyword_groups] = ACTIONS(2006),
    [sym_keyword_between] = ACTIONS(2006),
    [sym_keyword_preceding] = ACTIONS(2006),
    [sym_keyword_following] = ACTIONS(2006),
    [sym_keyword_unique] = ACTIONS(2006),
    [sym_keyword_references] = ACTIONS(2006),
    [aux_sym_keyword_like_token1] = ACTIONS(2006),
    [aux_sym_keyword_like_token2] = ACTIONS(2006),
    [sym_keyword_similar] = ACTIONS(2006),
    [sym_keyword_check] = ACTIONS(2006),
    [sym_keyword_stored] = ACTIONS(2006),
    [sym_keyword_virtual] = ACTIONS(2006),
    [sym_keyword_comment] = ACTIONS(2006),
    [sym_keyword_null] = ACTIONS(2006),
    [sym_keyword_array] = ACTIONS(2006),
    [anon_sym_LBRACK] = ACTIONS(2006),
    [anon_sym_RBRACK] = ACTIONS(2006),
    [anon_sym_LPAREN] = ACTIONS(2010),
    [anon_sym_RPAREN] = ACTIONS(2006),
    [anon_sym_COMMA] = ACTIONS(2006),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2006),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2006),
    [anon_sym_LT] = ACTIONS(2008),
    [anon_sym_GT] = ACTIONS(2008),
    [anon_sym_LT_EQ] = ACTIONS(2006),
    [anon_sym_GT_EQ] = ACTIONS(2006),
    [anon_sym_COLON] = ACTIONS(2008),
    [sym_op_other] = ACTIONS(2006),
    [anon_sym_PLUS] = ACTIONS(2006),
    [anon_sym_DASH] = ACTIONS(2008),
    [anon_sym_SLASH] = ACTIONS(2008),
    [anon_sym_PERCENT] = ACTIONS(2006),
    [anon_sym_CARET] = ACTIONS(2008),
    [anon_sym_BANG_EQ] = ACTIONS(2006),
    [anon_sym_LT_GT] = ACTIONS(2006),
  },
  [183] = {
    [ts_builtin_sym_end] = ACTIONS(2012),
    [anon_sym_SEMI] = ACTIONS(2012),
    [sym_keyword_from] = ACTIONS(2012),
    [sym_keyword_on] = ACTIONS(2012),
    [sym_keyword_where] = ACTIONS(2012),
    [sym_keyword_desc] = ACTIONS(2012),
    [sym_keyword_asc] = ACTIONS(2012),
    [sym_keyword_limit] = ACTIONS(2012),
    [sym_keyword_primary] = ACTIONS(2012),
    [sym_keyword_create] = ACTIONS(2012),
    [sym_keyword_as] = ACTIONS(2014),
    [sym_keyword_constraint] = ACTIONS(2012),
    [sym_keyword_separator] = ACTIONS(2012),
    [sym_keyword_when] = ACTIONS(2012),
    [sym_keyword_then] = ACTIONS(2012),
    [sym_keyword_else] = ACTIONS(2012),
    [sym_keyword_end] = ACTIONS(2012),
    [sym_keyword_in] = ACTIONS(2012),
    [sym_keyword_and] = ACTIONS(2012),
    [sym_keyword_or] = ACTIONS(2012),
    [sym_keyword_is] = ACTIONS(2012),
    [sym_keyword_not] = ACTIONS(2012),
    [sym_keyword_using] = ACTIONS(2012),
    [sym_keyword_auto_increment] = ACTIONS(2012),
    [sym_keyword_generated] = ACTIONS(2012),
    [sym_keyword_default] = ACTIONS(2012),
    [sym_keyword_returning] = ACTIONS(2012),
    [sym_keyword_first] = ACTIONS(2012),
    [sym_keyword_after] = ACTIONS(2012),
    [sym_keyword_range] = ACTIONS(2012),
    [sym_keyword_rows] = ACTIONS(2012),
    [sym_keyword_groups] = ACTIONS(2012),
    [sym_keyword_between] = ACTIONS(2012),
    [sym_keyword_preceding] = ACTIONS(2012),
    [sym_keyword_following] = ACTIONS(2012),
    [sym_keyword_unique] = ACTIONS(2012),
    [sym_keyword_references] = ACTIONS(2012),
    [aux_sym_keyword_like_token1] = ACTIONS(2012),
    [aux_sym_keyword_like_token2] = ACTIONS(2012),
    [sym_keyword_similar] = ACTIONS(2012),
    [sym_keyword_check] = ACTIONS(2012),
    [sym_keyword_stored] = ACTIONS(2012),
    [sym_keyword_virtual] = ACTIONS(2012),
    [sym_keyword_comment] = ACTIONS(2012),
    [sym_keyword_null] = ACTIONS(2012),
    [sym_keyword_array] = ACTIONS(2012),
    [anon_sym_LBRACK] = ACTIONS(2012),
    [anon_sym_RBRACK] = ACTIONS(2012),
    [anon_sym_LPAREN] = ACTIONS(2016),
    [anon_sym_RPAREN] = ACTIONS(2012),
    [anon_sym_COMMA] = ACTIONS(2012),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2012),
    [anon_sym_STAR] = ACTIONS(2012),
    [anon_sym_COLON_COLON] = ACTIONS(2012),
    [anon_sym_LT] = ACTIONS(2014),
    [anon_sym_GT] = ACTIONS(2014),
    [anon_sym_LT_EQ] = ACTIONS(2012),
    [anon_sym_GT_EQ] = ACTIONS(2012),
    [anon_sym_COLON] = ACTIONS(2014),
    [sym_op_other] = ACTIONS(2012),
    [anon_sym_PLUS] = ACTIONS(2012),
    [anon_sym_DASH] = ACTIONS(2014),
    [anon_sym_SLASH] = ACTIONS(2014),
    [anon_sym_PERCENT] = ACTIONS(2012),
    [anon_sym_CARET] = ACTIONS(2014),
    [anon_sym_BANG_EQ] = ACTIONS(2012),
    [anon_sym_LT_GT] = ACTIONS(2012),
  },
  [184] = {
    [ts_builtin_sym_end] = ACTIONS(2018),
    [anon_sym_SEMI] = ACTIONS(2018),
    [sym_keyword_from] = ACTIONS(2018),
    [sym_keyword_on] = ACTIONS(2018),
    [sym_keyword_where] = ACTIONS(2018),
    [sym_keyword_desc] = ACTIONS(2018),
    [sym_keyword_asc] = ACTIONS(2018),
    [sym_keyword_limit] = ACTIONS(2018),
    [sym_keyword_primary] = ACTIONS(2018),
    [sym_keyword_create] = ACTIONS(2018),
    [sym_keyword_as] = ACTIONS(2020),
    [sym_keyword_constraint] = ACTIONS(2018),
    [sym_keyword_separator] = ACTIONS(2018),
    [sym_keyword_when] = ACTIONS(2018),
    [sym_keyword_then] = ACTIONS(2018),
    [sym_keyword_else] = ACTIONS(2018),
    [sym_keyword_end] = ACTIONS(2018),
    [sym_keyword_in] = ACTIONS(2018),
    [sym_keyword_and] = ACTIONS(2018),
    [sym_keyword_or] = ACTIONS(2018),
    [sym_keyword_is] = ACTIONS(2018),
    [sym_keyword_not] = ACTIONS(2018),
    [sym_keyword_using] = ACTIONS(2018),
    [sym_keyword_auto_increment] = ACTIONS(2018),
    [sym_keyword_generated] = ACTIONS(2018),
    [sym_keyword_default] = ACTIONS(2018),
    [sym_keyword_returning] = ACTIONS(2018),
    [sym_keyword_first] = ACTIONS(2018),
    [sym_keyword_after] = ACTIONS(2018),
    [sym_keyword_range] = ACTIONS(2018),
    [sym_keyword_rows] = ACTIONS(2018),
    [sym_keyword_groups] = ACTIONS(2018),
    [sym_keyword_between] = ACTIONS(2018),
    [sym_keyword_preceding] = ACTIONS(2018),
    [sym_keyword_following] = ACTIONS(2018),
    [sym_keyword_unique] = ACTIONS(2018),
    [sym_keyword_references] = ACTIONS(2018),
    [aux_sym_keyword_like_token1] = ACTIONS(2018),
    [aux_sym_keyword_like_token2] = ACTIONS(2018),
    [sym_keyword_similar] = ACTIONS(2018),
    [sym_keyword_check] = ACTIONS(2018),
    [sym_keyword_stored] = ACTIONS(2018),
    [sym_keyword_virtual] = ACTIONS(2018),
    [sym_keyword_comment] = ACTIONS(2018),
    [sym_keyword_null] = ACTIONS(2018),
    [sym_keyword_array] = ACTIONS(2018),
    [anon_sym_LBRACK] = ACTIONS(2018),
    [anon_sym_RBRACK] = ACTIONS(2018),
    [anon_sym_LPAREN] = ACTIONS(2022),
    [anon_sym_RPAREN] = ACTIONS(2018),
    [anon_sym_COMMA] = ACTIONS(2018),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2018),
    [anon_sym_STAR] = ACTIONS(2018),
    [anon_sym_COLON_COLON] = ACTIONS(2018),
    [anon_sym_LT] = ACTIONS(2020),
    [anon_sym_GT] = ACTIONS(2020),
    [anon_sym_LT_EQ] = ACTIONS(2018),
    [anon_sym_GT_EQ] = ACTIONS(2018),
    [anon_sym_COLON] = ACTIONS(2020),
    [sym_op_other] = ACTIONS(2018),
    [anon_sym_PLUS] = ACTIONS(2018),
    [anon_sym_DASH] = ACTIONS(2020),
    [anon_sym_SLASH] = ACTIONS(2020),
    [anon_sym_PERCENT] = ACTIONS(2018),
    [anon_sym_CARET] = ACTIONS(2020),
    [anon_sym_BANG_EQ] = ACTIONS(2018),
    [anon_sym_LT_GT] = ACTIONS(2018),
  },
  [185] = {
    [ts_builtin_sym_end] = ACTIONS(2024),
    [anon_sym_SEMI] = ACTIONS(2024),
    [sym_keyword_from] = ACTIONS(2024),
    [sym_keyword_on] = ACTIONS(2024),
    [sym_keyword_where] = ACTIONS(2024),
    [sym_keyword_desc] = ACTIONS(2024),
    [sym_keyword_asc] = ACTIONS(2024),
    [sym_keyword_limit] = ACTIONS(2024),
    [sym_keyword_primary] = ACTIONS(2024),
    [sym_keyword_create] = ACTIONS(2024),
    [sym_keyword_as] = ACTIONS(2026),
    [sym_keyword_constraint] = ACTIONS(2024),
    [sym_keyword_separator] = ACTIONS(2024),
    [sym_keyword_when] = ACTIONS(2024),
    [sym_keyword_then] = ACTIONS(2024),
    [sym_keyword_else] = ACTIONS(2024),
    [sym_keyword_end] = ACTIONS(2024),
    [sym_keyword_in] = ACTIONS(2024),
    [sym_keyword_and] = ACTIONS(2024),
    [sym_keyword_or] = ACTIONS(2024),
    [sym_keyword_is] = ACTIONS(2024),
    [sym_keyword_not] = ACTIONS(2024),
    [sym_keyword_using] = ACTIONS(2024),
    [sym_keyword_auto_increment] = ACTIONS(2024),
    [sym_keyword_generated] = ACTIONS(2024),
    [sym_keyword_default] = ACTIONS(2024),
    [sym_keyword_returning] = ACTIONS(2024),
    [sym_keyword_first] = ACTIONS(2024),
    [sym_keyword_after] = ACTIONS(2024),
    [sym_keyword_range] = ACTIONS(2024),
    [sym_keyword_rows] = ACTIONS(2024),
    [sym_keyword_groups] = ACTIONS(2024),
    [sym_keyword_between] = ACTIONS(2024),
    [sym_keyword_preceding] = ACTIONS(2024),
    [sym_keyword_following] = ACTIONS(2024),
    [sym_keyword_unique] = ACTIONS(2024),
    [sym_keyword_references] = ACTIONS(2024),
    [aux_sym_keyword_like_token1] = ACTIONS(2024),
    [aux_sym_keyword_like_token2] = ACTIONS(2024),
    [sym_keyword_similar] = ACTIONS(2024),
    [sym_keyword_check] = ACTIONS(2024),
    [sym_keyword_stored] = ACTIONS(2024),
    [sym_keyword_virtual] = ACTIONS(2024),
    [sym_keyword_comment] = ACTIONS(2024),
    [sym_keyword_null] = ACTIONS(2024),
    [sym_keyword_array] = ACTIONS(2024),
    [anon_sym_LBRACK] = ACTIONS(2024),
    [anon_sym_RBRACK] = ACTIONS(2024),
    [anon_sym_LPAREN] = ACTIONS(2028),
    [anon_sym_RPAREN] = ACTIONS(2024),
    [anon_sym_COMMA] = ACTIONS(2024),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2024),
    [anon_sym_COLON_COLON] = ACTIONS(2024),
    [anon_sym_LT] = ACTIONS(2026),
    [anon_sym_GT] = ACTIONS(2026),
    [anon_sym_LT_EQ] = ACTIONS(2024),
    [anon_sym_GT_EQ] = ACTIONS(2024),
    [anon_sym_COLON] = ACTIONS(2026),
    [sym_op_other] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_DASH] = ACTIONS(2026),
    [anon_sym_SLASH] = ACTIONS(2026),
    [anon_sym_PERCENT] = ACTIONS(2024),
    [anon_sym_CARET] = ACTIONS(2026),
    [anon_sym_BANG_EQ] = ACTIONS(2024),
    [anon_sym_LT_GT] = ACTIONS(2024),
  },
  [186] = {
    [ts_builtin_sym_end] = ACTIONS(2030),
    [anon_sym_SEMI] = ACTIONS(2030),
    [sym_keyword_from] = ACTIONS(2030),
    [sym_keyword_on] = ACTIONS(2030),
    [sym_keyword_where] = ACTIONS(2030),
    [sym_keyword_desc] = ACTIONS(2030),
    [sym_keyword_asc] = ACTIONS(2030),
    [sym_keyword_limit] = ACTIONS(2030),
    [sym_keyword_primary] = ACTIONS(2030),
    [sym_keyword_create] = ACTIONS(2030),
    [sym_keyword_as] = ACTIONS(2032),
    [sym_keyword_constraint] = ACTIONS(2030),
    [sym_keyword_separator] = ACTIONS(2030),
    [sym_keyword_when] = ACTIONS(2030),
    [sym_keyword_then] = ACTIONS(2030),
    [sym_keyword_else] = ACTIONS(2030),
    [sym_keyword_end] = ACTIONS(2030),
    [sym_keyword_in] = ACTIONS(2030),
    [sym_keyword_and] = ACTIONS(2030),
    [sym_keyword_or] = ACTIONS(2030),
    [sym_keyword_is] = ACTIONS(2030),
    [sym_keyword_not] = ACTIONS(2030),
    [sym_keyword_using] = ACTIONS(2030),
    [sym_keyword_auto_increment] = ACTIONS(2030),
    [sym_keyword_generated] = ACTIONS(2030),
    [sym_keyword_default] = ACTIONS(2030),
    [sym_keyword_returning] = ACTIONS(2030),
    [sym_keyword_first] = ACTIONS(2030),
    [sym_keyword_after] = ACTIONS(2030),
    [sym_keyword_range] = ACTIONS(2030),
    [sym_keyword_rows] = ACTIONS(2030),
    [sym_keyword_groups] = ACTIONS(2030),
    [sym_keyword_between] = ACTIONS(2030),
    [sym_keyword_preceding] = ACTIONS(2030),
    [sym_keyword_following] = ACTIONS(2030),
    [sym_keyword_unique] = ACTIONS(2030),
    [sym_keyword_references] = ACTIONS(2030),
    [aux_sym_keyword_like_token1] = ACTIONS(2030),
    [aux_sym_keyword_like_token2] = ACTIONS(2030),
    [sym_keyword_similar] = ACTIONS(2030),
    [sym_keyword_check] = ACTIONS(2030),
    [sym_keyword_stored] = ACTIONS(2030),
    [sym_keyword_virtual] = ACTIONS(2030),
    [sym_keyword_comment] = ACTIONS(2030),
    [sym_keyword_null] = ACTIONS(2030),
    [sym_keyword_array] = ACTIONS(2030),
    [anon_sym_LBRACK] = ACTIONS(2030),
    [anon_sym_RBRACK] = ACTIONS(2030),
    [anon_sym_LPAREN] = ACTIONS(2034),
    [anon_sym_RPAREN] = ACTIONS(2030),
    [anon_sym_COMMA] = ACTIONS(2030),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2030),
    [anon_sym_STAR] = ACTIONS(2030),
    [anon_sym_COLON_COLON] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(2032),
    [anon_sym_GT] = ACTIONS(2032),
    [anon_sym_LT_EQ] = ACTIONS(2030),
    [anon_sym_GT_EQ] = ACTIONS(2030),
    [anon_sym_COLON] = ACTIONS(2032),
    [sym_op_other] = ACTIONS(2030),
    [anon_sym_PLUS] = ACTIONS(2030),
    [anon_sym_DASH] = ACTIONS(2032),
    [anon_sym_SLASH] = ACTIONS(2032),
    [anon_sym_PERCENT] = ACTIONS(2030),
    [anon_sym_CARET] = ACTIONS(2032),
    [anon_sym_BANG_EQ] = ACTIONS(2030),
    [anon_sym_LT_GT] = ACTIONS(2030),
  },
  [187] = {
    [ts_builtin_sym_end] = ACTIONS(2036),
    [anon_sym_SEMI] = ACTIONS(2036),
    [sym_keyword_from] = ACTIONS(2036),
    [sym_keyword_on] = ACTIONS(2036),
    [sym_keyword_where] = ACTIONS(2036),
    [sym_keyword_desc] = ACTIONS(2036),
    [sym_keyword_asc] = ACTIONS(2036),
    [sym_keyword_limit] = ACTIONS(2036),
    [sym_keyword_primary] = ACTIONS(2036),
    [sym_keyword_create] = ACTIONS(2036),
    [sym_keyword_as] = ACTIONS(2038),
    [sym_keyword_constraint] = ACTIONS(2036),
    [sym_keyword_separator] = ACTIONS(2036),
    [sym_keyword_when] = ACTIONS(2036),
    [sym_keyword_then] = ACTIONS(2036),
    [sym_keyword_else] = ACTIONS(2036),
    [sym_keyword_end] = ACTIONS(2036),
    [sym_keyword_in] = ACTIONS(2036),
    [sym_keyword_and] = ACTIONS(2036),
    [sym_keyword_or] = ACTIONS(2036),
    [sym_keyword_is] = ACTIONS(2036),
    [sym_keyword_not] = ACTIONS(2036),
    [sym_keyword_using] = ACTIONS(2036),
    [sym_keyword_auto_increment] = ACTIONS(2036),
    [sym_keyword_generated] = ACTIONS(2036),
    [sym_keyword_default] = ACTIONS(2036),
    [sym_keyword_returning] = ACTIONS(2036),
    [sym_keyword_first] = ACTIONS(2036),
    [sym_keyword_after] = ACTIONS(2036),
    [sym_keyword_range] = ACTIONS(2036),
    [sym_keyword_rows] = ACTIONS(2036),
    [sym_keyword_groups] = ACTIONS(2036),
    [sym_keyword_between] = ACTIONS(2036),
    [sym_keyword_preceding] = ACTIONS(2036),
    [sym_keyword_following] = ACTIONS(2036),
    [sym_keyword_unique] = ACTIONS(2036),
    [sym_keyword_references] = ACTIONS(2036),
    [aux_sym_keyword_like_token1] = ACTIONS(2036),
    [aux_sym_keyword_like_token2] = ACTIONS(2036),
    [sym_keyword_similar] = ACTIONS(2036),
    [sym_keyword_check] = ACTIONS(2036),
    [sym_keyword_stored] = ACTIONS(2036),
    [sym_keyword_virtual] = ACTIONS(2036),
    [sym_keyword_comment] = ACTIONS(2036),
    [sym_keyword_null] = ACTIONS(2036),
    [sym_keyword_array] = ACTIONS(2036),
    [anon_sym_LBRACK] = ACTIONS(2036),
    [anon_sym_RBRACK] = ACTIONS(2036),
    [anon_sym_LPAREN] = ACTIONS(2040),
    [anon_sym_RPAREN] = ACTIONS(2036),
    [anon_sym_COMMA] = ACTIONS(2036),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2036),
    [anon_sym_STAR] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(2036),
    [anon_sym_LT] = ACTIONS(2038),
    [anon_sym_GT] = ACTIONS(2038),
    [anon_sym_LT_EQ] = ACTIONS(2036),
    [anon_sym_GT_EQ] = ACTIONS(2036),
    [anon_sym_COLON] = ACTIONS(2038),
    [sym_op_other] = ACTIONS(2036),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2038),
    [anon_sym_SLASH] = ACTIONS(2038),
    [anon_sym_PERCENT] = ACTIONS(2036),
    [anon_sym_CARET] = ACTIONS(2038),
    [anon_sym_BANG_EQ] = ACTIONS(2036),
    [anon_sym_LT_GT] = ACTIONS(2036),
  },
  [188] = {
    [ts_builtin_sym_end] = ACTIONS(2006),
    [anon_sym_SEMI] = ACTIONS(2006),
    [sym_keyword_from] = ACTIONS(2006),
    [sym_keyword_on] = ACTIONS(2006),
    [sym_keyword_where] = ACTIONS(2006),
    [sym_keyword_desc] = ACTIONS(2006),
    [sym_keyword_asc] = ACTIONS(2006),
    [sym_keyword_limit] = ACTIONS(2006),
    [sym_keyword_primary] = ACTIONS(2006),
    [sym_keyword_create] = ACTIONS(2006),
    [sym_keyword_as] = ACTIONS(2008),
    [sym_keyword_constraint] = ACTIONS(2006),
    [sym_keyword_separator] = ACTIONS(2006),
    [sym_keyword_when] = ACTIONS(2006),
    [sym_keyword_then] = ACTIONS(2006),
    [sym_keyword_else] = ACTIONS(2006),
    [sym_keyword_end] = ACTIONS(2006),
    [sym_keyword_in] = ACTIONS(2006),
    [sym_keyword_and] = ACTIONS(2006),
    [sym_keyword_or] = ACTIONS(2006),
    [sym_keyword_is] = ACTIONS(2006),
    [sym_keyword_not] = ACTIONS(2006),
    [sym_keyword_using] = ACTIONS(2006),
    [sym_keyword_auto_increment] = ACTIONS(2006),
    [sym_keyword_generated] = ACTIONS(2006),
    [sym_keyword_default] = ACTIONS(2006),
    [sym_keyword_returning] = ACTIONS(2006),
    [sym_keyword_first] = ACTIONS(2006),
    [sym_keyword_after] = ACTIONS(2006),
    [sym_keyword_range] = ACTIONS(2006),
    [sym_keyword_rows] = ACTIONS(2006),
    [sym_keyword_groups] = ACTIONS(2006),
    [sym_keyword_between] = ACTIONS(2006),
    [sym_keyword_preceding] = ACTIONS(2006),
    [sym_keyword_following] = ACTIONS(2006),
    [sym_keyword_unique] = ACTIONS(2006),
    [sym_keyword_references] = ACTIONS(2006),
    [aux_sym_keyword_like_token1] = ACTIONS(2006),
    [aux_sym_keyword_like_token2] = ACTIONS(2006),
    [sym_keyword_similar] = ACTIONS(2006),
    [sym_keyword_zerofill] = ACTIONS(2042),
    [sym_keyword_check] = ACTIONS(2006),
    [sym_keyword_stored] = ACTIONS(2006),
    [sym_keyword_virtual] = ACTIONS(2006),
    [sym_keyword_comment] = ACTIONS(2006),
    [sym_keyword_null] = ACTIONS(2006),
    [sym_keyword_array] = ACTIONS(2006),
    [anon_sym_LBRACK] = ACTIONS(2006),
    [anon_sym_RBRACK] = ACTIONS(2006),
    [anon_sym_RPAREN] = ACTIONS(2006),
    [anon_sym_COMMA] = ACTIONS(2006),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2006),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2006),
    [anon_sym_LT] = ACTIONS(2008),
    [anon_sym_GT] = ACTIONS(2008),
    [anon_sym_LT_EQ] = ACTIONS(2006),
    [anon_sym_GT_EQ] = ACTIONS(2006),
    [anon_sym_COLON] = ACTIONS(2008),
    [sym_op_other] = ACTIONS(2006),
    [anon_sym_PLUS] = ACTIONS(2006),
    [anon_sym_DASH] = ACTIONS(2008),
    [anon_sym_SLASH] = ACTIONS(2008),
    [anon_sym_PERCENT] = ACTIONS(2006),
    [anon_sym_CARET] = ACTIONS(2008),
    [anon_sym_BANG_EQ] = ACTIONS(2006),
    [anon_sym_LT_GT] = ACTIONS(2006),
  },
  [189] = {
    [ts_builtin_sym_end] = ACTIONS(2044),
    [anon_sym_SEMI] = ACTIONS(2044),
    [sym_keyword_from] = ACTIONS(2044),
    [sym_keyword_on] = ACTIONS(2044),
    [sym_keyword_where] = ACTIONS(2044),
    [sym_keyword_desc] = ACTIONS(2044),
    [sym_keyword_asc] = ACTIONS(2044),
    [sym_keyword_limit] = ACTIONS(2044),
    [sym_keyword_primary] = ACTIONS(2044),
    [sym_keyword_create] = ACTIONS(2044),
    [sym_keyword_as] = ACTIONS(2046),
    [sym_keyword_constraint] = ACTIONS(2044),
    [sym_keyword_separator] = ACTIONS(2044),
    [sym_keyword_when] = ACTIONS(2044),
    [sym_keyword_then] = ACTIONS(2044),
    [sym_keyword_else] = ACTIONS(2044),
    [sym_keyword_end] = ACTIONS(2044),
    [sym_keyword_in] = ACTIONS(2044),
    [sym_keyword_and] = ACTIONS(2044),
    [sym_keyword_or] = ACTIONS(2044),
    [sym_keyword_is] = ACTIONS(2044),
    [sym_keyword_not] = ACTIONS(2044),
    [sym_keyword_using] = ACTIONS(2044),
    [sym_keyword_auto_increment] = ACTIONS(2044),
    [sym_keyword_generated] = ACTIONS(2044),
    [sym_keyword_default] = ACTIONS(2044),
    [sym_keyword_returning] = ACTIONS(2044),
    [sym_keyword_first] = ACTIONS(2044),
    [sym_keyword_after] = ACTIONS(2044),
    [sym_keyword_range] = ACTIONS(2044),
    [sym_keyword_rows] = ACTIONS(2044),
    [sym_keyword_groups] = ACTIONS(2044),
    [sym_keyword_between] = ACTIONS(2044),
    [sym_keyword_preceding] = ACTIONS(2044),
    [sym_keyword_following] = ACTIONS(2044),
    [sym_keyword_unique] = ACTIONS(2044),
    [sym_keyword_references] = ACTIONS(2044),
    [aux_sym_keyword_like_token1] = ACTIONS(2044),
    [aux_sym_keyword_like_token2] = ACTIONS(2044),
    [sym_keyword_similar] = ACTIONS(2044),
    [sym_keyword_check] = ACTIONS(2044),
    [sym_keyword_stored] = ACTIONS(2044),
    [sym_keyword_virtual] = ACTIONS(2044),
    [sym_keyword_comment] = ACTIONS(2044),
    [sym_keyword_null] = ACTIONS(2044),
    [sym_keyword_array] = ACTIONS(2044),
    [anon_sym_LBRACK] = ACTIONS(2044),
    [anon_sym_RBRACK] = ACTIONS(2044),
    [anon_sym_LPAREN] = ACTIONS(2048),
    [anon_sym_RPAREN] = ACTIONS(2044),
    [anon_sym_COMMA] = ACTIONS(2044),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2044),
    [anon_sym_STAR] = ACTIONS(2044),
    [anon_sym_COLON_COLON] = ACTIONS(2044),
    [anon_sym_LT] = ACTIONS(2046),
    [anon_sym_GT] = ACTIONS(2046),
    [anon_sym_LT_EQ] = ACTIONS(2044),
    [anon_sym_GT_EQ] = ACTIONS(2044),
    [anon_sym_COLON] = ACTIONS(2046),
    [sym_op_other] = ACTIONS(2044),
    [anon_sym_PLUS] = ACTIONS(2044),
    [anon_sym_DASH] = ACTIONS(2046),
    [anon_sym_SLASH] = ACTIONS(2046),
    [anon_sym_PERCENT] = ACTIONS(2044),
    [anon_sym_CARET] = ACTIONS(2046),
    [anon_sym_BANG_EQ] = ACTIONS(2044),
    [anon_sym_LT_GT] = ACTIONS(2044),
  },
  [190] = {
    [ts_builtin_sym_end] = ACTIONS(2050),
    [anon_sym_SEMI] = ACTIONS(2050),
    [sym_keyword_from] = ACTIONS(2050),
    [sym_keyword_on] = ACTIONS(2050),
    [sym_keyword_where] = ACTIONS(2050),
    [sym_keyword_desc] = ACTIONS(2050),
    [sym_keyword_asc] = ACTIONS(2050),
    [sym_keyword_limit] = ACTIONS(2050),
    [sym_keyword_primary] = ACTIONS(2050),
    [sym_keyword_create] = ACTIONS(2050),
    [sym_keyword_as] = ACTIONS(2052),
    [sym_keyword_constraint] = ACTIONS(2050),
    [sym_keyword_separator] = ACTIONS(2050),
    [sym_keyword_when] = ACTIONS(2050),
    [sym_keyword_then] = ACTIONS(2050),
    [sym_keyword_else] = ACTIONS(2050),
    [sym_keyword_end] = ACTIONS(2050),
    [sym_keyword_in] = ACTIONS(2050),
    [sym_keyword_and] = ACTIONS(2050),
    [sym_keyword_or] = ACTIONS(2050),
    [sym_keyword_is] = ACTIONS(2050),
    [sym_keyword_not] = ACTIONS(2050),
    [sym_keyword_using] = ACTIONS(2050),
    [sym_keyword_auto_increment] = ACTIONS(2050),
    [sym_keyword_generated] = ACTIONS(2050),
    [sym_keyword_default] = ACTIONS(2050),
    [sym_keyword_returning] = ACTIONS(2050),
    [sym_keyword_first] = ACTIONS(2050),
    [sym_keyword_after] = ACTIONS(2050),
    [sym_keyword_range] = ACTIONS(2050),
    [sym_keyword_rows] = ACTIONS(2050),
    [sym_keyword_groups] = ACTIONS(2050),
    [sym_keyword_between] = ACTIONS(2050),
    [sym_keyword_preceding] = ACTIONS(2050),
    [sym_keyword_following] = ACTIONS(2050),
    [sym_keyword_unique] = ACTIONS(2050),
    [sym_keyword_references] = ACTIONS(2050),
    [aux_sym_keyword_like_token1] = ACTIONS(2050),
    [aux_sym_keyword_like_token2] = ACTIONS(2050),
    [sym_keyword_similar] = ACTIONS(2050),
    [sym_keyword_check] = ACTIONS(2050),
    [sym_keyword_stored] = ACTIONS(2050),
    [sym_keyword_virtual] = ACTIONS(2050),
    [sym_keyword_comment] = ACTIONS(2050),
    [sym_keyword_null] = ACTIONS(2050),
    [sym_keyword_array] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_RBRACK] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(2050),
    [anon_sym_RPAREN] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(2050),
    [anon_sym_COLON_COLON] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_COLON] = ACTIONS(2052),
    [sym_op_other] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2052),
    [anon_sym_SLASH] = ACTIONS(2052),
    [anon_sym_PERCENT] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2052),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_LT_GT] = ACTIONS(2050),
  },
  [191] = {
    [ts_builtin_sym_end] = ACTIONS(2054),
    [anon_sym_SEMI] = ACTIONS(2054),
    [sym_keyword_from] = ACTIONS(2054),
    [sym_keyword_on] = ACTIONS(2054),
    [sym_keyword_where] = ACTIONS(2054),
    [sym_keyword_desc] = ACTIONS(2054),
    [sym_keyword_asc] = ACTIONS(2054),
    [sym_keyword_limit] = ACTIONS(2054),
    [sym_keyword_primary] = ACTIONS(2054),
    [sym_keyword_create] = ACTIONS(2054),
    [sym_keyword_as] = ACTIONS(2056),
    [sym_keyword_constraint] = ACTIONS(2054),
    [sym_keyword_separator] = ACTIONS(2054),
    [sym_keyword_when] = ACTIONS(2054),
    [sym_keyword_then] = ACTIONS(2054),
    [sym_keyword_else] = ACTIONS(2054),
    [sym_keyword_end] = ACTIONS(2054),
    [sym_keyword_in] = ACTIONS(2054),
    [sym_keyword_and] = ACTIONS(2054),
    [sym_keyword_or] = ACTIONS(2054),
    [sym_keyword_is] = ACTIONS(2054),
    [sym_keyword_not] = ACTIONS(2054),
    [sym_keyword_using] = ACTIONS(2054),
    [sym_keyword_auto_increment] = ACTIONS(2054),
    [sym_keyword_generated] = ACTIONS(2054),
    [sym_keyword_default] = ACTIONS(2054),
    [sym_keyword_returning] = ACTIONS(2054),
    [sym_keyword_first] = ACTIONS(2054),
    [sym_keyword_after] = ACTIONS(2054),
    [sym_keyword_range] = ACTIONS(2054),
    [sym_keyword_rows] = ACTIONS(2054),
    [sym_keyword_groups] = ACTIONS(2054),
    [sym_keyword_between] = ACTIONS(2054),
    [sym_keyword_preceding] = ACTIONS(2054),
    [sym_keyword_following] = ACTIONS(2054),
    [sym_keyword_unique] = ACTIONS(2054),
    [sym_keyword_references] = ACTIONS(2054),
    [aux_sym_keyword_like_token1] = ACTIONS(2054),
    [aux_sym_keyword_like_token2] = ACTIONS(2054),
    [sym_keyword_similar] = ACTIONS(2054),
    [sym_keyword_check] = ACTIONS(2054),
    [sym_keyword_stored] = ACTIONS(2054),
    [sym_keyword_virtual] = ACTIONS(2054),
    [sym_keyword_comment] = ACTIONS(2054),
    [sym_keyword_null] = ACTIONS(2054),
    [sym_keyword_array] = ACTIONS(2054),
    [anon_sym_LBRACK] = ACTIONS(2054),
    [anon_sym_RBRACK] = ACTIONS(2054),
    [anon_sym_LPAREN] = ACTIONS(2058),
    [anon_sym_RPAREN] = ACTIONS(2054),
    [anon_sym_COMMA] = ACTIONS(2054),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2054),
    [anon_sym_STAR] = ACTIONS(2054),
    [anon_sym_COLON_COLON] = ACTIONS(2054),
    [anon_sym_LT] = ACTIONS(2056),
    [anon_sym_GT] = ACTIONS(2056),
    [anon_sym_LT_EQ] = ACTIONS(2054),
    [anon_sym_GT_EQ] = ACTIONS(2054),
    [anon_sym_COLON] = ACTIONS(2056),
    [sym_op_other] = ACTIONS(2054),
    [anon_sym_PLUS] = ACTIONS(2054),
    [anon_sym_DASH] = ACTIONS(2056),
    [anon_sym_SLASH] = ACTIONS(2056),
    [anon_sym_PERCENT] = ACTIONS(2054),
    [anon_sym_CARET] = ACTIONS(2056),
    [anon_sym_BANG_EQ] = ACTIONS(2054),
    [anon_sym_LT_GT] = ACTIONS(2054),
  },
  [192] = {
    [ts_builtin_sym_end] = ACTIONS(1948),
    [anon_sym_SEMI] = ACTIONS(1948),
    [sym_keyword_from] = ACTIONS(1948),
    [sym_keyword_on] = ACTIONS(1948),
    [sym_keyword_where] = ACTIONS(1948),
    [sym_keyword_desc] = ACTIONS(1948),
    [sym_keyword_asc] = ACTIONS(1948),
    [sym_keyword_limit] = ACTIONS(1948),
    [sym_keyword_primary] = ACTIONS(1948),
    [sym_keyword_create] = ACTIONS(1948),
    [sym_keyword_as] = ACTIONS(1950),
    [sym_keyword_constraint] = ACTIONS(1948),
    [sym_keyword_separator] = ACTIONS(1948),
    [sym_keyword_when] = ACTIONS(1948),
    [sym_keyword_then] = ACTIONS(1948),
    [sym_keyword_else] = ACTIONS(1948),
    [sym_keyword_end] = ACTIONS(1948),
    [sym_keyword_in] = ACTIONS(1948),
    [sym_keyword_and] = ACTIONS(1948),
    [sym_keyword_or] = ACTIONS(1948),
    [sym_keyword_is] = ACTIONS(1948),
    [sym_keyword_not] = ACTIONS(1948),
    [sym_keyword_using] = ACTIONS(1948),
    [sym_keyword_auto_increment] = ACTIONS(1948),
    [sym_keyword_generated] = ACTIONS(1948),
    [sym_keyword_default] = ACTIONS(1948),
    [sym_keyword_returning] = ACTIONS(1948),
    [sym_keyword_first] = ACTIONS(1948),
    [sym_keyword_after] = ACTIONS(1948),
    [sym_keyword_range] = ACTIONS(1948),
    [sym_keyword_rows] = ACTIONS(1948),
    [sym_keyword_groups] = ACTIONS(1948),
    [sym_keyword_between] = ACTIONS(1948),
    [sym_keyword_preceding] = ACTIONS(1948),
    [sym_keyword_following] = ACTIONS(1948),
    [sym_keyword_unique] = ACTIONS(1948),
    [sym_keyword_references] = ACTIONS(1948),
    [aux_sym_keyword_like_token1] = ACTIONS(1948),
    [aux_sym_keyword_like_token2] = ACTIONS(1948),
    [sym_keyword_similar] = ACTIONS(1948),
    [sym_keyword_check] = ACTIONS(1948),
    [sym_keyword_stored] = ACTIONS(1948),
    [sym_keyword_virtual] = ACTIONS(1948),
    [sym_keyword_comment] = ACTIONS(1948),
    [sym_keyword_null] = ACTIONS(1948),
    [sym_keyword_array] = ACTIONS(1948),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_RBRACK] = ACTIONS(1948),
    [anon_sym_LPAREN] = ACTIONS(1948),
    [anon_sym_RPAREN] = ACTIONS(1948),
    [anon_sym_COMMA] = ACTIONS(1948),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1948),
    [anon_sym_STAR] = ACTIONS(1948),
    [anon_sym_COLON_COLON] = ACTIONS(1948),
    [anon_sym_LT] = ACTIONS(1950),
    [anon_sym_GT] = ACTIONS(1950),
    [anon_sym_LT_EQ] = ACTIONS(1948),
    [anon_sym_GT_EQ] = ACTIONS(1948),
    [anon_sym_COLON] = ACTIONS(1950),
    [sym_op_other] = ACTIONS(1948),
    [anon_sym_PLUS] = ACTIONS(1948),
    [anon_sym_DASH] = ACTIONS(1950),
    [anon_sym_SLASH] = ACTIONS(1950),
    [anon_sym_PERCENT] = ACTIONS(1948),
    [anon_sym_CARET] = ACTIONS(1950),
    [anon_sym_BANG_EQ] = ACTIONS(1948),
    [anon_sym_LT_GT] = ACTIONS(1948),
  },
  [193] = {
    [ts_builtin_sym_end] = ACTIONS(1994),
    [anon_sym_SEMI] = ACTIONS(1994),
    [sym_keyword_from] = ACTIONS(1994),
    [sym_keyword_on] = ACTIONS(1994),
    [sym_keyword_where] = ACTIONS(1994),
    [sym_keyword_desc] = ACTIONS(1994),
    [sym_keyword_asc] = ACTIONS(1994),
    [sym_keyword_limit] = ACTIONS(1994),
    [sym_keyword_primary] = ACTIONS(1994),
    [sym_keyword_create] = ACTIONS(1994),
    [sym_keyword_as] = ACTIONS(1996),
    [sym_keyword_constraint] = ACTIONS(1994),
    [sym_keyword_separator] = ACTIONS(1994),
    [sym_keyword_when] = ACTIONS(1994),
    [sym_keyword_then] = ACTIONS(1994),
    [sym_keyword_else] = ACTIONS(1994),
    [sym_keyword_end] = ACTIONS(1994),
    [sym_keyword_in] = ACTIONS(1994),
    [sym_keyword_and] = ACTIONS(1994),
    [sym_keyword_or] = ACTIONS(1994),
    [sym_keyword_is] = ACTIONS(1994),
    [sym_keyword_not] = ACTIONS(1994),
    [sym_keyword_using] = ACTIONS(1994),
    [sym_keyword_auto_increment] = ACTIONS(1994),
    [sym_keyword_generated] = ACTIONS(1994),
    [sym_keyword_default] = ACTIONS(1994),
    [sym_keyword_returning] = ACTIONS(1994),
    [sym_keyword_first] = ACTIONS(1994),
    [sym_keyword_after] = ACTIONS(1994),
    [sym_keyword_range] = ACTIONS(1994),
    [sym_keyword_rows] = ACTIONS(1994),
    [sym_keyword_groups] = ACTIONS(1994),
    [sym_keyword_between] = ACTIONS(1994),
    [sym_keyword_preceding] = ACTIONS(1994),
    [sym_keyword_following] = ACTIONS(1994),
    [sym_keyword_unique] = ACTIONS(1994),
    [sym_keyword_references] = ACTIONS(1994),
    [aux_sym_keyword_like_token1] = ACTIONS(1994),
    [aux_sym_keyword_like_token2] = ACTIONS(1994),
    [sym_keyword_similar] = ACTIONS(1994),
    [sym_keyword_zerofill] = ACTIONS(2060),
    [sym_keyword_check] = ACTIONS(1994),
    [sym_keyword_stored] = ACTIONS(1994),
    [sym_keyword_virtual] = ACTIONS(1994),
    [sym_keyword_comment] = ACTIONS(1994),
    [sym_keyword_null] = ACTIONS(1994),
    [sym_keyword_array] = ACTIONS(1994),
    [anon_sym_LBRACK] = ACTIONS(1994),
    [anon_sym_RBRACK] = ACTIONS(1994),
    [anon_sym_RPAREN] = ACTIONS(1994),
    [anon_sym_COMMA] = ACTIONS(1994),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1994),
    [anon_sym_STAR] = ACTIONS(1994),
    [anon_sym_COLON_COLON] = ACTIONS(1994),
    [anon_sym_LT] = ACTIONS(1996),
    [anon_sym_GT] = ACTIONS(1996),
    [anon_sym_LT_EQ] = ACTIONS(1994),
    [anon_sym_GT_EQ] = ACTIONS(1994),
    [anon_sym_COLON] = ACTIONS(1996),
    [sym_op_other] = ACTIONS(1994),
    [anon_sym_PLUS] = ACTIONS(1994),
    [anon_sym_DASH] = ACTIONS(1996),
    [anon_sym_SLASH] = ACTIONS(1996),
    [anon_sym_PERCENT] = ACTIONS(1994),
    [anon_sym_CARET] = ACTIONS(1996),
    [anon_sym_BANG_EQ] = ACTIONS(1994),
    [anon_sym_LT_GT] = ACTIONS(1994),
  },
  [194] = {
    [ts_builtin_sym_end] = ACTIONS(2062),
    [anon_sym_SEMI] = ACTIONS(2062),
    [sym_keyword_from] = ACTIONS(2062),
    [sym_keyword_on] = ACTIONS(2062),
    [sym_keyword_where] = ACTIONS(2062),
    [sym_keyword_desc] = ACTIONS(2062),
    [sym_keyword_asc] = ACTIONS(2062),
    [sym_keyword_limit] = ACTIONS(2062),
    [sym_keyword_primary] = ACTIONS(2062),
    [sym_keyword_create] = ACTIONS(2062),
    [sym_keyword_as] = ACTIONS(2064),
    [sym_keyword_constraint] = ACTIONS(2062),
    [sym_keyword_separator] = ACTIONS(2062),
    [sym_keyword_when] = ACTIONS(2062),
    [sym_keyword_then] = ACTIONS(2062),
    [sym_keyword_else] = ACTIONS(2062),
    [sym_keyword_end] = ACTIONS(2062),
    [sym_keyword_in] = ACTIONS(2062),
    [sym_keyword_and] = ACTIONS(2062),
    [sym_keyword_or] = ACTIONS(2062),
    [sym_keyword_is] = ACTIONS(2062),
    [sym_keyword_not] = ACTIONS(2062),
    [sym_keyword_using] = ACTIONS(2062),
    [sym_keyword_auto_increment] = ACTIONS(2062),
    [sym_keyword_generated] = ACTIONS(2062),
    [sym_keyword_default] = ACTIONS(2062),
    [sym_keyword_returning] = ACTIONS(2062),
    [sym_keyword_first] = ACTIONS(2062),
    [sym_keyword_after] = ACTIONS(2062),
    [sym_keyword_range] = ACTIONS(2062),
    [sym_keyword_rows] = ACTIONS(2062),
    [sym_keyword_groups] = ACTIONS(2062),
    [sym_keyword_between] = ACTIONS(2062),
    [sym_keyword_preceding] = ACTIONS(2062),
    [sym_keyword_following] = ACTIONS(2062),
    [sym_keyword_unique] = ACTIONS(2062),
    [sym_keyword_references] = ACTIONS(2062),
    [aux_sym_keyword_like_token1] = ACTIONS(2062),
    [aux_sym_keyword_like_token2] = ACTIONS(2062),
    [sym_keyword_similar] = ACTIONS(2062),
    [sym_keyword_zerofill] = ACTIONS(2066),
    [sym_keyword_check] = ACTIONS(2062),
    [sym_keyword_stored] = ACTIONS(2062),
    [sym_keyword_virtual] = ACTIONS(2062),
    [sym_keyword_comment] = ACTIONS(2062),
    [sym_keyword_null] = ACTIONS(2062),
    [sym_keyword_array] = ACTIONS(2062),
    [anon_sym_LBRACK] = ACTIONS(2062),
    [anon_sym_RBRACK] = ACTIONS(2062),
    [anon_sym_RPAREN] = ACTIONS(2062),
    [anon_sym_COMMA] = ACTIONS(2062),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2062),
    [anon_sym_STAR] = ACTIONS(2062),
    [anon_sym_COLON_COLON] = ACTIONS(2062),
    [anon_sym_LT] = ACTIONS(2064),
    [anon_sym_GT] = ACTIONS(2064),
    [anon_sym_LT_EQ] = ACTIONS(2062),
    [anon_sym_GT_EQ] = ACTIONS(2062),
    [anon_sym_COLON] = ACTIONS(2064),
    [sym_op_other] = ACTIONS(2062),
    [anon_sym_PLUS] = ACTIONS(2062),
    [anon_sym_DASH] = ACTIONS(2064),
    [anon_sym_SLASH] = ACTIONS(2064),
    [anon_sym_PERCENT] = ACTIONS(2062),
    [anon_sym_CARET] = ACTIONS(2064),
    [anon_sym_BANG_EQ] = ACTIONS(2062),
    [anon_sym_LT_GT] = ACTIONS(2062),
  },
  [195] = {
    [ts_builtin_sym_end] = ACTIONS(2068),
    [anon_sym_SEMI] = ACTIONS(2068),
    [sym_keyword_from] = ACTIONS(2068),
    [sym_keyword_on] = ACTIONS(2068),
    [sym_keyword_where] = ACTIONS(2068),
    [sym_keyword_desc] = ACTIONS(2068),
    [sym_keyword_asc] = ACTIONS(2068),
    [sym_keyword_limit] = ACTIONS(2068),
    [sym_keyword_primary] = ACTIONS(2068),
    [sym_keyword_create] = ACTIONS(2068),
    [sym_keyword_as] = ACTIONS(2070),
    [sym_keyword_constraint] = ACTIONS(2068),
    [sym_keyword_separator] = ACTIONS(2068),
    [sym_keyword_when] = ACTIONS(2068),
    [sym_keyword_then] = ACTIONS(2068),
    [sym_keyword_else] = ACTIONS(2068),
    [sym_keyword_end] = ACTIONS(2068),
    [sym_keyword_in] = ACTIONS(2068),
    [sym_keyword_and] = ACTIONS(2068),
    [sym_keyword_or] = ACTIONS(2068),
    [sym_keyword_is] = ACTIONS(2068),
    [sym_keyword_not] = ACTIONS(2068),
    [sym_keyword_using] = ACTIONS(2068),
    [sym_keyword_auto_increment] = ACTIONS(2068),
    [sym_keyword_generated] = ACTIONS(2068),
    [sym_keyword_default] = ACTIONS(2068),
    [sym_keyword_returning] = ACTIONS(2068),
    [sym_keyword_first] = ACTIONS(2068),
    [sym_keyword_after] = ACTIONS(2068),
    [sym_keyword_range] = ACTIONS(2068),
    [sym_keyword_rows] = ACTIONS(2068),
    [sym_keyword_groups] = ACTIONS(2068),
    [sym_keyword_between] = ACTIONS(2068),
    [sym_keyword_preceding] = ACTIONS(2068),
    [sym_keyword_following] = ACTIONS(2068),
    [sym_keyword_unique] = ACTIONS(2068),
    [sym_keyword_references] = ACTIONS(2068),
    [aux_sym_keyword_like_token1] = ACTIONS(2068),
    [aux_sym_keyword_like_token2] = ACTIONS(2068),
    [sym_keyword_similar] = ACTIONS(2068),
    [sym_keyword_zerofill] = ACTIONS(2072),
    [sym_keyword_check] = ACTIONS(2068),
    [sym_keyword_stored] = ACTIONS(2068),
    [sym_keyword_virtual] = ACTIONS(2068),
    [sym_keyword_comment] = ACTIONS(2068),
    [sym_keyword_null] = ACTIONS(2068),
    [sym_keyword_array] = ACTIONS(2068),
    [anon_sym_LBRACK] = ACTIONS(2068),
    [anon_sym_RBRACK] = ACTIONS(2068),
    [anon_sym_RPAREN] = ACTIONS(2068),
    [anon_sym_COMMA] = ACTIONS(2068),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2068),
    [anon_sym_STAR] = ACTIONS(2068),
    [anon_sym_COLON_COLON] = ACTIONS(2068),
    [anon_sym_LT] = ACTIONS(2070),
    [anon_sym_GT] = ACTIONS(2070),
    [anon_sym_LT_EQ] = ACTIONS(2068),
    [anon_sym_GT_EQ] = ACTIONS(2068),
    [anon_sym_COLON] = ACTIONS(2070),
    [sym_op_other] = ACTIONS(2068),
    [anon_sym_PLUS] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2070),
    [anon_sym_SLASH] = ACTIONS(2070),
    [anon_sym_PERCENT] = ACTIONS(2068),
    [anon_sym_CARET] = ACTIONS(2070),
    [anon_sym_BANG_EQ] = ACTIONS(2068),
    [anon_sym_LT_GT] = ACTIONS(2068),
  },
  [196] = {
    [sym__array_size_definition] = STATE(290),
    [aux_sym_array_size_definition_repeat1] = STATE(196),
    [ts_builtin_sym_end] = ACTIONS(2074),
    [anon_sym_SEMI] = ACTIONS(2074),
    [sym_keyword_from] = ACTIONS(2074),
    [sym_keyword_on] = ACTIONS(2074),
    [sym_keyword_where] = ACTIONS(2074),
    [sym_keyword_desc] = ACTIONS(2074),
    [sym_keyword_asc] = ACTIONS(2074),
    [sym_keyword_limit] = ACTIONS(2074),
    [sym_keyword_primary] = ACTIONS(2074),
    [sym_keyword_create] = ACTIONS(2074),
    [sym_keyword_as] = ACTIONS(2076),
    [sym_keyword_constraint] = ACTIONS(2074),
    [sym_keyword_separator] = ACTIONS(2074),
    [sym_keyword_when] = ACTIONS(2074),
    [sym_keyword_then] = ACTIONS(2074),
    [sym_keyword_else] = ACTIONS(2074),
    [sym_keyword_end] = ACTIONS(2074),
    [sym_keyword_in] = ACTIONS(2074),
    [sym_keyword_and] = ACTIONS(2074),
    [sym_keyword_or] = ACTIONS(2074),
    [sym_keyword_is] = ACTIONS(2074),
    [sym_keyword_not] = ACTIONS(2074),
    [sym_keyword_using] = ACTIONS(2074),
    [sym_keyword_auto_increment] = ACTIONS(2074),
    [sym_keyword_generated] = ACTIONS(2074),
    [sym_keyword_default] = ACTIONS(2074),
    [sym_keyword_returning] = ACTIONS(2074),
    [sym_keyword_first] = ACTIONS(2074),
    [sym_keyword_after] = ACTIONS(2074),
    [sym_keyword_range] = ACTIONS(2074),
    [sym_keyword_rows] = ACTIONS(2074),
    [sym_keyword_groups] = ACTIONS(2074),
    [sym_keyword_between] = ACTIONS(2074),
    [sym_keyword_preceding] = ACTIONS(2074),
    [sym_keyword_following] = ACTIONS(2074),
    [sym_keyword_unique] = ACTIONS(2074),
    [sym_keyword_references] = ACTIONS(2074),
    [aux_sym_keyword_like_token1] = ACTIONS(2074),
    [aux_sym_keyword_like_token2] = ACTIONS(2074),
    [sym_keyword_similar] = ACTIONS(2074),
    [sym_keyword_check] = ACTIONS(2074),
    [sym_keyword_stored] = ACTIONS(2074),
    [sym_keyword_virtual] = ACTIONS(2074),
    [sym_keyword_comment] = ACTIONS(2074),
    [sym_keyword_null] = ACTIONS(2074),
    [anon_sym_LBRACK] = ACTIONS(2078),
    [anon_sym_RBRACK] = ACTIONS(2074),
    [anon_sym_RPAREN] = ACTIONS(2074),
    [anon_sym_COMMA] = ACTIONS(2074),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2074),
    [anon_sym_STAR] = ACTIONS(2074),
    [anon_sym_COLON_COLON] = ACTIONS(2074),
    [anon_sym_LT] = ACTIONS(2076),
    [anon_sym_GT] = ACTIONS(2076),
    [anon_sym_LT_EQ] = ACTIONS(2074),
    [anon_sym_GT_EQ] = ACTIONS(2074),
    [anon_sym_COLON] = ACTIONS(2076),
    [sym_op_other] = ACTIONS(2074),
    [anon_sym_PLUS] = ACTIONS(2074),
    [anon_sym_DASH] = ACTIONS(2076),
    [anon_sym_SLASH] = ACTIONS(2076),
    [anon_sym_PERCENT] = ACTIONS(2074),
    [anon_sym_CARET] = ACTIONS(2076),
    [anon_sym_BANG_EQ] = ACTIONS(2074),
    [anon_sym_LT_GT] = ACTIONS(2074),
  },
  [197] = {
    [ts_builtin_sym_end] = ACTIONS(2081),
    [anon_sym_SEMI] = ACTIONS(2081),
    [sym_keyword_from] = ACTIONS(2081),
    [sym_keyword_on] = ACTIONS(2081),
    [sym_keyword_where] = ACTIONS(2081),
    [sym_keyword_desc] = ACTIONS(2081),
    [sym_keyword_asc] = ACTIONS(2081),
    [sym_keyword_limit] = ACTIONS(2081),
    [sym_keyword_primary] = ACTIONS(2081),
    [sym_keyword_create] = ACTIONS(2081),
    [sym_keyword_as] = ACTIONS(2083),
    [sym_keyword_constraint] = ACTIONS(2081),
    [sym_keyword_separator] = ACTIONS(2081),
    [sym_keyword_when] = ACTIONS(2081),
    [sym_keyword_then] = ACTIONS(2081),
    [sym_keyword_else] = ACTIONS(2081),
    [sym_keyword_end] = ACTIONS(2081),
    [sym_keyword_in] = ACTIONS(2081),
    [sym_keyword_and] = ACTIONS(2081),
    [sym_keyword_or] = ACTIONS(2081),
    [sym_keyword_is] = ACTIONS(2081),
    [sym_keyword_not] = ACTIONS(2081),
    [sym_keyword_using] = ACTIONS(2081),
    [sym_keyword_auto_increment] = ACTIONS(2081),
    [sym_keyword_generated] = ACTIONS(2081),
    [sym_keyword_default] = ACTIONS(2081),
    [sym_keyword_returning] = ACTIONS(2081),
    [sym_keyword_first] = ACTIONS(2081),
    [sym_keyword_after] = ACTIONS(2081),
    [sym_keyword_range] = ACTIONS(2081),
    [sym_keyword_rows] = ACTIONS(2081),
    [sym_keyword_groups] = ACTIONS(2081),
    [sym_keyword_between] = ACTIONS(2081),
    [sym_keyword_preceding] = ACTIONS(2081),
    [sym_keyword_following] = ACTIONS(2081),
    [sym_keyword_unique] = ACTIONS(2081),
    [sym_keyword_references] = ACTIONS(2081),
    [aux_sym_keyword_like_token1] = ACTIONS(2081),
    [aux_sym_keyword_like_token2] = ACTIONS(2081),
    [sym_keyword_similar] = ACTIONS(2081),
    [sym_keyword_zerofill] = ACTIONS(2085),
    [sym_keyword_check] = ACTIONS(2081),
    [sym_keyword_stored] = ACTIONS(2081),
    [sym_keyword_virtual] = ACTIONS(2081),
    [sym_keyword_comment] = ACTIONS(2081),
    [sym_keyword_null] = ACTIONS(2081),
    [sym_keyword_array] = ACTIONS(2081),
    [anon_sym_LBRACK] = ACTIONS(2081),
    [anon_sym_RBRACK] = ACTIONS(2081),
    [anon_sym_RPAREN] = ACTIONS(2081),
    [anon_sym_COMMA] = ACTIONS(2081),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2081),
    [anon_sym_STAR] = ACTIONS(2081),
    [anon_sym_COLON_COLON] = ACTIONS(2081),
    [anon_sym_LT] = ACTIONS(2083),
    [anon_sym_GT] = ACTIONS(2083),
    [anon_sym_LT_EQ] = ACTIONS(2081),
    [anon_sym_GT_EQ] = ACTIONS(2081),
    [anon_sym_COLON] = ACTIONS(2083),
    [sym_op_other] = ACTIONS(2081),
    [anon_sym_PLUS] = ACTIONS(2081),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_SLASH] = ACTIONS(2083),
    [anon_sym_PERCENT] = ACTIONS(2081),
    [anon_sym_CARET] = ACTIONS(2083),
    [anon_sym_BANG_EQ] = ACTIONS(2081),
    [anon_sym_LT_GT] = ACTIONS(2081),
  },
  [198] = {
    [ts_builtin_sym_end] = ACTIONS(1860),
    [anon_sym_SEMI] = ACTIONS(1860),
    [sym_keyword_from] = ACTIONS(1860),
    [sym_keyword_on] = ACTIONS(1860),
    [sym_keyword_where] = ACTIONS(1860),
    [sym_keyword_desc] = ACTIONS(1860),
    [sym_keyword_asc] = ACTIONS(1860),
    [sym_keyword_limit] = ACTIONS(1860),
    [sym_keyword_primary] = ACTIONS(1860),
    [sym_keyword_create] = ACTIONS(1860),
    [sym_keyword_as] = ACTIONS(1862),
    [sym_keyword_constraint] = ACTIONS(1860),
    [sym_keyword_separator] = ACTIONS(1860),
    [sym_keyword_when] = ACTIONS(1860),
    [sym_keyword_then] = ACTIONS(1860),
    [sym_keyword_else] = ACTIONS(1860),
    [sym_keyword_end] = ACTIONS(1860),
    [sym_keyword_in] = ACTIONS(1860),
    [sym_keyword_and] = ACTIONS(1860),
    [sym_keyword_or] = ACTIONS(1860),
    [sym_keyword_is] = ACTIONS(1860),
    [sym_keyword_not] = ACTIONS(1860),
    [sym_keyword_using] = ACTIONS(1860),
    [sym_keyword_auto_increment] = ACTIONS(1860),
    [sym_keyword_generated] = ACTIONS(1860),
    [sym_keyword_default] = ACTIONS(1860),
    [sym_keyword_returning] = ACTIONS(1860),
    [sym_keyword_first] = ACTIONS(1860),
    [sym_keyword_after] = ACTIONS(1860),
    [sym_keyword_range] = ACTIONS(1860),
    [sym_keyword_rows] = ACTIONS(1860),
    [sym_keyword_groups] = ACTIONS(1860),
    [sym_keyword_between] = ACTIONS(1860),
    [sym_keyword_preceding] = ACTIONS(1860),
    [sym_keyword_following] = ACTIONS(1860),
    [sym_keyword_unique] = ACTIONS(1860),
    [sym_keyword_references] = ACTIONS(1860),
    [aux_sym_keyword_like_token1] = ACTIONS(1860),
    [aux_sym_keyword_like_token2] = ACTIONS(1860),
    [sym_keyword_similar] = ACTIONS(1860),
    [sym_keyword_check] = ACTIONS(1860),
    [sym_keyword_stored] = ACTIONS(1860),
    [sym_keyword_virtual] = ACTIONS(1860),
    [sym_keyword_comment] = ACTIONS(1860),
    [sym_keyword_null] = ACTIONS(1860),
    [sym_keyword_array] = ACTIONS(1860),
    [anon_sym_LBRACK] = ACTIONS(1860),
    [anon_sym_RBRACK] = ACTIONS(1860),
    [anon_sym_LPAREN] = ACTIONS(1992),
    [anon_sym_RPAREN] = ACTIONS(1860),
    [anon_sym_COMMA] = ACTIONS(1860),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1860),
    [anon_sym_STAR] = ACTIONS(1860),
    [anon_sym_COLON_COLON] = ACTIONS(1860),
    [anon_sym_LT] = ACTIONS(1862),
    [anon_sym_GT] = ACTIONS(1862),
    [anon_sym_LT_EQ] = ACTIONS(1860),
    [anon_sym_GT_EQ] = ACTIONS(1860),
    [anon_sym_COLON] = ACTIONS(1862),
    [sym_op_other] = ACTIONS(1860),
    [anon_sym_PLUS] = ACTIONS(1860),
    [anon_sym_DASH] = ACTIONS(1862),
    [anon_sym_SLASH] = ACTIONS(1862),
    [anon_sym_PERCENT] = ACTIONS(1860),
    [anon_sym_CARET] = ACTIONS(1862),
    [anon_sym_BANG_EQ] = ACTIONS(1860),
    [anon_sym_LT_GT] = ACTIONS(1860),
  },
  [199] = {
    [ts_builtin_sym_end] = ACTIONS(2087),
    [anon_sym_SEMI] = ACTIONS(2087),
    [sym_keyword_from] = ACTIONS(2087),
    [sym_keyword_on] = ACTIONS(2087),
    [sym_keyword_where] = ACTIONS(2087),
    [sym_keyword_desc] = ACTIONS(2087),
    [sym_keyword_asc] = ACTIONS(2087),
    [sym_keyword_limit] = ACTIONS(2087),
    [sym_keyword_primary] = ACTIONS(2087),
    [sym_keyword_create] = ACTIONS(2087),
    [sym_keyword_as] = ACTIONS(2089),
    [sym_keyword_constraint] = ACTIONS(2087),
    [sym_keyword_separator] = ACTIONS(2087),
    [sym_keyword_when] = ACTIONS(2087),
    [sym_keyword_then] = ACTIONS(2087),
    [sym_keyword_else] = ACTIONS(2087),
    [sym_keyword_end] = ACTIONS(2087),
    [sym_keyword_in] = ACTIONS(2087),
    [sym_keyword_and] = ACTIONS(2087),
    [sym_keyword_or] = ACTIONS(2087),
    [sym_keyword_is] = ACTIONS(2087),
    [sym_keyword_not] = ACTIONS(2087),
    [sym_keyword_using] = ACTIONS(2087),
    [sym_keyword_auto_increment] = ACTIONS(2087),
    [sym_keyword_generated] = ACTIONS(2087),
    [sym_keyword_default] = ACTIONS(2087),
    [sym_keyword_returning] = ACTIONS(2087),
    [sym_keyword_first] = ACTIONS(2087),
    [sym_keyword_after] = ACTIONS(2087),
    [sym_keyword_range] = ACTIONS(2087),
    [sym_keyword_rows] = ACTIONS(2087),
    [sym_keyword_groups] = ACTIONS(2087),
    [sym_keyword_between] = ACTIONS(2087),
    [sym_keyword_preceding] = ACTIONS(2087),
    [sym_keyword_following] = ACTIONS(2087),
    [sym_keyword_unique] = ACTIONS(2087),
    [sym_keyword_references] = ACTIONS(2087),
    [aux_sym_keyword_like_token1] = ACTIONS(2087),
    [aux_sym_keyword_like_token2] = ACTIONS(2087),
    [sym_keyword_similar] = ACTIONS(2087),
    [sym_keyword_check] = ACTIONS(2087),
    [sym_keyword_stored] = ACTIONS(2087),
    [sym_keyword_virtual] = ACTIONS(2087),
    [sym_keyword_comment] = ACTIONS(2087),
    [sym_keyword_null] = ACTIONS(2087),
    [sym_keyword_array] = ACTIONS(2087),
    [anon_sym_LBRACK] = ACTIONS(2087),
    [anon_sym_RBRACK] = ACTIONS(2087),
    [anon_sym_LPAREN] = ACTIONS(2091),
    [anon_sym_RPAREN] = ACTIONS(2087),
    [anon_sym_COMMA] = ACTIONS(2087),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2087),
    [anon_sym_STAR] = ACTIONS(2087),
    [anon_sym_COLON_COLON] = ACTIONS(2087),
    [anon_sym_LT] = ACTIONS(2089),
    [anon_sym_GT] = ACTIONS(2089),
    [anon_sym_LT_EQ] = ACTIONS(2087),
    [anon_sym_GT_EQ] = ACTIONS(2087),
    [anon_sym_COLON] = ACTIONS(2089),
    [sym_op_other] = ACTIONS(2087),
    [anon_sym_PLUS] = ACTIONS(2087),
    [anon_sym_DASH] = ACTIONS(2089),
    [anon_sym_SLASH] = ACTIONS(2089),
    [anon_sym_PERCENT] = ACTIONS(2087),
    [anon_sym_CARET] = ACTIONS(2089),
    [anon_sym_BANG_EQ] = ACTIONS(2087),
    [anon_sym_LT_GT] = ACTIONS(2087),
  },
  [200] = {
    [ts_builtin_sym_end] = ACTIONS(2093),
    [sym__identifier] = ACTIONS(2095),
    [anon_sym_SEMI] = ACTIONS(2093),
    [sym_keyword_select] = ACTIONS(2095),
    [sym_keyword_values] = ACTIONS(2095),
    [sym_keyword_set] = ACTIONS(2095),
    [sym_keyword_left] = ACTIONS(2095),
    [sym_keyword_right] = ACTIONS(2095),
    [sym_keyword_inner] = ACTIONS(2095),
    [sym_keyword_full] = ACTIONS(2095),
    [sym_keyword_cross] = ACTIONS(2095),
    [sym_keyword_join] = ACTIONS(2095),
    [sym_keyword_natural] = ACTIONS(2095),
    [sym_keyword_on] = ACTIONS(2095),
    [sym_keyword_where] = ACTIONS(2095),
    [sym_keyword_order] = ACTIONS(2095),
    [sym_keyword_group] = ACTIONS(2095),
    [sym_keyword_partition] = ACTIONS(2095),
    [sym_keyword_limit] = ACTIONS(2095),
    [sym_keyword_create] = ACTIONS(2095),
    [sym_keyword_increment] = ACTIONS(2095),
    [sym_keyword_minvalue] = ACTIONS(2095),
    [sym_keyword_maxvalue] = ACTIONS(2095),
    [sym_keyword_owned] = ACTIONS(2095),
    [sym_keyword_start] = ACTIONS(2095),
    [sym_keyword_restart] = ACTIONS(2095),
    [sym_keyword_as] = ACTIONS(2095),
    [sym_keyword_when] = ACTIONS(2095),
    [sym_keyword_is] = ACTIONS(2095),
    [sym_keyword_force] = ACTIONS(2095),
    [sym_keyword_ignore] = ACTIONS(2095),
    [sym_keyword_using] = ACTIONS(2095),
    [sym_keyword_use] = ACTIONS(2095),
    [sym_keyword_collate] = ACTIONS(2095),
    [sym_keyword_default] = ACTIONS(2095),
    [sym_keyword_cascade] = ACTIONS(2095),
    [sym_keyword_restrict] = ACTIONS(2095),
    [sym_keyword_with] = ACTIONS(2095),
    [sym_keyword_no] = ACTIONS(2095),
    [sym_keyword_rename] = ACTIONS(2095),
    [sym_keyword_to] = ACTIONS(2095),
    [sym_keyword_owner] = ACTIONS(2095),
    [sym_keyword_cycle] = ACTIONS(2095),
    [sym_keyword_union] = ACTIONS(2095),
    [sym_keyword_except] = ACTIONS(2095),
    [sym_keyword_intersect] = ACTIONS(2095),
    [sym_keyword_returning] = ACTIONS(2095),
    [sym_keyword_after] = ACTIONS(2095),
    [sym_keyword_before] = ACTIONS(2095),
    [sym_keyword_window] = ACTIONS(2095),
    [sym_keyword_wait] = ACTIONS(2095),
    [sym_keyword_nowait] = ACTIONS(2095),
    [sym_keyword_instead] = ACTIONS(2095),
    [sym_keyword_compute] = ACTIONS(2095),
    [sym_keyword_rewrite] = ACTIONS(2095),
    [sym_keyword_partitioned] = ACTIONS(2095),
    [sym_keyword_cache] = ACTIONS(2095),
    [sym_keyword_array] = ACTIONS(2095),
    [anon_sym_LBRACK] = ACTIONS(2093),
    [anon_sym_LPAREN] = ACTIONS(2093),
    [anon_sym_RPAREN] = ACTIONS(2093),
    [anon_sym_COMMA] = ACTIONS(2093),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2093),
    [anon_sym_COLON_EQ] = ACTIONS(2093),
    [anon_sym_DOT] = ACTIONS(2093),
    [sym__double_quote_string] = ACTIONS(2093),
    [aux_sym_identifier_token1] = ACTIONS(2093),
  },
  [201] = {
    [ts_builtin_sym_end] = ACTIONS(2087),
    [anon_sym_SEMI] = ACTIONS(2087),
    [sym_keyword_from] = ACTIONS(2087),
    [sym_keyword_on] = ACTIONS(2087),
    [sym_keyword_where] = ACTIONS(2087),
    [sym_keyword_desc] = ACTIONS(2087),
    [sym_keyword_asc] = ACTIONS(2087),
    [sym_keyword_limit] = ACTIONS(2087),
    [sym_keyword_primary] = ACTIONS(2087),
    [sym_keyword_create] = ACTIONS(2087),
    [sym_keyword_as] = ACTIONS(2089),
    [sym_keyword_constraint] = ACTIONS(2087),
    [sym_keyword_separator] = ACTIONS(2087),
    [sym_keyword_when] = ACTIONS(2087),
    [sym_keyword_then] = ACTIONS(2087),
    [sym_keyword_else] = ACTIONS(2087),
    [sym_keyword_end] = ACTIONS(2087),
    [sym_keyword_in] = ACTIONS(2087),
    [sym_keyword_and] = ACTIONS(2087),
    [sym_keyword_or] = ACTIONS(2087),
    [sym_keyword_is] = ACTIONS(2087),
    [sym_keyword_not] = ACTIONS(2087),
    [sym_keyword_using] = ACTIONS(2087),
    [sym_keyword_auto_increment] = ACTIONS(2087),
    [sym_keyword_generated] = ACTIONS(2087),
    [sym_keyword_default] = ACTIONS(2087),
    [sym_keyword_returning] = ACTIONS(2087),
    [sym_keyword_first] = ACTIONS(2087),
    [sym_keyword_after] = ACTIONS(2087),
    [sym_keyword_range] = ACTIONS(2087),
    [sym_keyword_rows] = ACTIONS(2087),
    [sym_keyword_groups] = ACTIONS(2087),
    [sym_keyword_between] = ACTIONS(2087),
    [sym_keyword_preceding] = ACTIONS(2087),
    [sym_keyword_following] = ACTIONS(2087),
    [sym_keyword_unique] = ACTIONS(2087),
    [sym_keyword_references] = ACTIONS(2087),
    [aux_sym_keyword_like_token1] = ACTIONS(2087),
    [aux_sym_keyword_like_token2] = ACTIONS(2087),
    [sym_keyword_similar] = ACTIONS(2087),
    [sym_keyword_zerofill] = ACTIONS(2097),
    [sym_keyword_check] = ACTIONS(2087),
    [sym_keyword_stored] = ACTIONS(2087),
    [sym_keyword_virtual] = ACTIONS(2087),
    [sym_keyword_comment] = ACTIONS(2087),
    [sym_keyword_null] = ACTIONS(2087),
    [sym_keyword_array] = ACTIONS(2087),
    [anon_sym_LBRACK] = ACTIONS(2087),
    [anon_sym_RBRACK] = ACTIONS(2087),
    [anon_sym_RPAREN] = ACTIONS(2087),
    [anon_sym_COMMA] = ACTIONS(2087),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2087),
    [anon_sym_STAR] = ACTIONS(2087),
    [anon_sym_COLON_COLON] = ACTIONS(2087),
    [anon_sym_LT] = ACTIONS(2089),
    [anon_sym_GT] = ACTIONS(2089),
    [anon_sym_LT_EQ] = ACTIONS(2087),
    [anon_sym_GT_EQ] = ACTIONS(2087),
    [anon_sym_COLON] = ACTIONS(2089),
    [sym_op_other] = ACTIONS(2087),
    [anon_sym_PLUS] = ACTIONS(2087),
    [anon_sym_DASH] = ACTIONS(2089),
    [anon_sym_SLASH] = ACTIONS(2089),
    [anon_sym_PERCENT] = ACTIONS(2087),
    [anon_sym_CARET] = ACTIONS(2089),
    [anon_sym_BANG_EQ] = ACTIONS(2087),
    [anon_sym_LT_GT] = ACTIONS(2087),
  },
  [202] = {
    [ts_builtin_sym_end] = ACTIONS(2099),
    [anon_sym_SEMI] = ACTIONS(2099),
    [sym_keyword_from] = ACTIONS(2099),
    [sym_keyword_on] = ACTIONS(2099),
    [sym_keyword_where] = ACTIONS(2099),
    [sym_keyword_desc] = ACTIONS(2099),
    [sym_keyword_asc] = ACTIONS(2099),
    [sym_keyword_limit] = ACTIONS(2099),
    [sym_keyword_primary] = ACTIONS(2099),
    [sym_keyword_create] = ACTIONS(2099),
    [sym_keyword_as] = ACTIONS(2101),
    [sym_keyword_constraint] = ACTIONS(2099),
    [sym_keyword_separator] = ACTIONS(2099),
    [sym_keyword_when] = ACTIONS(2099),
    [sym_keyword_then] = ACTIONS(2099),
    [sym_keyword_else] = ACTIONS(2099),
    [sym_keyword_end] = ACTIONS(2099),
    [sym_keyword_in] = ACTIONS(2099),
    [sym_keyword_and] = ACTIONS(2099),
    [sym_keyword_or] = ACTIONS(2099),
    [sym_keyword_is] = ACTIONS(2099),
    [sym_keyword_not] = ACTIONS(2099),
    [sym_keyword_using] = ACTIONS(2099),
    [sym_keyword_auto_increment] = ACTIONS(2099),
    [sym_keyword_generated] = ACTIONS(2099),
    [sym_keyword_default] = ACTIONS(2099),
    [sym_keyword_returning] = ACTIONS(2099),
    [sym_keyword_first] = ACTIONS(2099),
    [sym_keyword_after] = ACTIONS(2099),
    [sym_keyword_range] = ACTIONS(2099),
    [sym_keyword_rows] = ACTIONS(2099),
    [sym_keyword_groups] = ACTIONS(2099),
    [sym_keyword_between] = ACTIONS(2099),
    [sym_keyword_preceding] = ACTIONS(2099),
    [sym_keyword_following] = ACTIONS(2099),
    [sym_keyword_unique] = ACTIONS(2099),
    [sym_keyword_references] = ACTIONS(2099),
    [aux_sym_keyword_like_token1] = ACTIONS(2099),
    [aux_sym_keyword_like_token2] = ACTIONS(2099),
    [sym_keyword_similar] = ACTIONS(2099),
    [sym_keyword_check] = ACTIONS(2099),
    [sym_keyword_stored] = ACTIONS(2099),
    [sym_keyword_virtual] = ACTIONS(2099),
    [sym_keyword_comment] = ACTIONS(2099),
    [sym_keyword_null] = ACTIONS(2099),
    [sym_keyword_array] = ACTIONS(2099),
    [anon_sym_LBRACK] = ACTIONS(2099),
    [anon_sym_RBRACK] = ACTIONS(2099),
    [anon_sym_LPAREN] = ACTIONS(2103),
    [anon_sym_RPAREN] = ACTIONS(2099),
    [anon_sym_COMMA] = ACTIONS(2099),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2099),
    [anon_sym_STAR] = ACTIONS(2099),
    [anon_sym_COLON_COLON] = ACTIONS(2099),
    [anon_sym_LT] = ACTIONS(2101),
    [anon_sym_GT] = ACTIONS(2101),
    [anon_sym_LT_EQ] = ACTIONS(2099),
    [anon_sym_GT_EQ] = ACTIONS(2099),
    [anon_sym_COLON] = ACTIONS(2101),
    [sym_op_other] = ACTIONS(2099),
    [anon_sym_PLUS] = ACTIONS(2099),
    [anon_sym_DASH] = ACTIONS(2101),
    [anon_sym_SLASH] = ACTIONS(2101),
    [anon_sym_PERCENT] = ACTIONS(2099),
    [anon_sym_CARET] = ACTIONS(2101),
    [anon_sym_BANG_EQ] = ACTIONS(2099),
    [anon_sym_LT_GT] = ACTIONS(2099),
  },
  [203] = {
    [ts_builtin_sym_end] = ACTIONS(2044),
    [anon_sym_SEMI] = ACTIONS(2044),
    [sym_keyword_from] = ACTIONS(2044),
    [sym_keyword_on] = ACTIONS(2044),
    [sym_keyword_where] = ACTIONS(2044),
    [sym_keyword_desc] = ACTIONS(2044),
    [sym_keyword_asc] = ACTIONS(2044),
    [sym_keyword_limit] = ACTIONS(2044),
    [sym_keyword_primary] = ACTIONS(2044),
    [sym_keyword_create] = ACTIONS(2044),
    [sym_keyword_as] = ACTIONS(2046),
    [sym_keyword_constraint] = ACTIONS(2044),
    [sym_keyword_separator] = ACTIONS(2044),
    [sym_keyword_when] = ACTIONS(2044),
    [sym_keyword_then] = ACTIONS(2044),
    [sym_keyword_else] = ACTIONS(2044),
    [sym_keyword_end] = ACTIONS(2044),
    [sym_keyword_in] = ACTIONS(2044),
    [sym_keyword_and] = ACTIONS(2044),
    [sym_keyword_or] = ACTIONS(2044),
    [sym_keyword_is] = ACTIONS(2044),
    [sym_keyword_not] = ACTIONS(2044),
    [sym_keyword_using] = ACTIONS(2044),
    [sym_keyword_auto_increment] = ACTIONS(2044),
    [sym_keyword_generated] = ACTIONS(2044),
    [sym_keyword_default] = ACTIONS(2044),
    [sym_keyword_returning] = ACTIONS(2044),
    [sym_keyword_first] = ACTIONS(2044),
    [sym_keyword_after] = ACTIONS(2044),
    [sym_keyword_range] = ACTIONS(2044),
    [sym_keyword_rows] = ACTIONS(2044),
    [sym_keyword_groups] = ACTIONS(2044),
    [sym_keyword_between] = ACTIONS(2044),
    [sym_keyword_preceding] = ACTIONS(2044),
    [sym_keyword_following] = ACTIONS(2044),
    [sym_keyword_unique] = ACTIONS(2044),
    [sym_keyword_references] = ACTIONS(2044),
    [aux_sym_keyword_like_token1] = ACTIONS(2044),
    [aux_sym_keyword_like_token2] = ACTIONS(2044),
    [sym_keyword_similar] = ACTIONS(2044),
    [sym_keyword_zerofill] = ACTIONS(2105),
    [sym_keyword_check] = ACTIONS(2044),
    [sym_keyword_stored] = ACTIONS(2044),
    [sym_keyword_virtual] = ACTIONS(2044),
    [sym_keyword_comment] = ACTIONS(2044),
    [sym_keyword_null] = ACTIONS(2044),
    [sym_keyword_array] = ACTIONS(2044),
    [anon_sym_LBRACK] = ACTIONS(2044),
    [anon_sym_RBRACK] = ACTIONS(2044),
    [anon_sym_RPAREN] = ACTIONS(2044),
    [anon_sym_COMMA] = ACTIONS(2044),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2044),
    [anon_sym_STAR] = ACTIONS(2044),
    [anon_sym_COLON_COLON] = ACTIONS(2044),
    [anon_sym_LT] = ACTIONS(2046),
    [anon_sym_GT] = ACTIONS(2046),
    [anon_sym_LT_EQ] = ACTIONS(2044),
    [anon_sym_GT_EQ] = ACTIONS(2044),
    [anon_sym_COLON] = ACTIONS(2046),
    [sym_op_other] = ACTIONS(2044),
    [anon_sym_PLUS] = ACTIONS(2044),
    [anon_sym_DASH] = ACTIONS(2046),
    [anon_sym_SLASH] = ACTIONS(2046),
    [anon_sym_PERCENT] = ACTIONS(2044),
    [anon_sym_CARET] = ACTIONS(2046),
    [anon_sym_BANG_EQ] = ACTIONS(2044),
    [anon_sym_LT_GT] = ACTIONS(2044),
  },
  [204] = {
    [ts_builtin_sym_end] = ACTIONS(2107),
    [anon_sym_SEMI] = ACTIONS(2107),
    [sym_keyword_from] = ACTIONS(2107),
    [sym_keyword_on] = ACTIONS(2107),
    [sym_keyword_where] = ACTIONS(2107),
    [sym_keyword_desc] = ACTIONS(2107),
    [sym_keyword_asc] = ACTIONS(2107),
    [sym_keyword_limit] = ACTIONS(2107),
    [sym_keyword_primary] = ACTIONS(2107),
    [sym_keyword_create] = ACTIONS(2107),
    [sym_keyword_as] = ACTIONS(2109),
    [sym_keyword_constraint] = ACTIONS(2107),
    [sym_keyword_separator] = ACTIONS(2107),
    [sym_keyword_when] = ACTIONS(2107),
    [sym_keyword_then] = ACTIONS(2107),
    [sym_keyword_else] = ACTIONS(2107),
    [sym_keyword_end] = ACTIONS(2107),
    [sym_keyword_in] = ACTIONS(2107),
    [sym_keyword_and] = ACTIONS(2107),
    [sym_keyword_or] = ACTIONS(2107),
    [sym_keyword_is] = ACTIONS(2107),
    [sym_keyword_not] = ACTIONS(2107),
    [sym_keyword_using] = ACTIONS(2107),
    [sym_keyword_auto_increment] = ACTIONS(2107),
    [sym_keyword_generated] = ACTIONS(2107),
    [sym_keyword_default] = ACTIONS(2107),
    [sym_keyword_returning] = ACTIONS(2107),
    [sym_keyword_first] = ACTIONS(2107),
    [sym_keyword_after] = ACTIONS(2107),
    [sym_keyword_range] = ACTIONS(2107),
    [sym_keyword_rows] = ACTIONS(2107),
    [sym_keyword_groups] = ACTIONS(2107),
    [sym_keyword_between] = ACTIONS(2107),
    [sym_keyword_preceding] = ACTIONS(2107),
    [sym_keyword_following] = ACTIONS(2107),
    [sym_keyword_unique] = ACTIONS(2107),
    [sym_keyword_references] = ACTIONS(2107),
    [aux_sym_keyword_like_token1] = ACTIONS(2107),
    [aux_sym_keyword_like_token2] = ACTIONS(2107),
    [sym_keyword_similar] = ACTIONS(2107),
    [sym_keyword_zerofill] = ACTIONS(2111),
    [sym_keyword_check] = ACTIONS(2107),
    [sym_keyword_stored] = ACTIONS(2107),
    [sym_keyword_virtual] = ACTIONS(2107),
    [sym_keyword_comment] = ACTIONS(2107),
    [sym_keyword_null] = ACTIONS(2107),
    [sym_keyword_array] = ACTIONS(2107),
    [anon_sym_LBRACK] = ACTIONS(2107),
    [anon_sym_RBRACK] = ACTIONS(2107),
    [anon_sym_RPAREN] = ACTIONS(2107),
    [anon_sym_COMMA] = ACTIONS(2107),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2107),
    [anon_sym_STAR] = ACTIONS(2107),
    [anon_sym_COLON_COLON] = ACTIONS(2107),
    [anon_sym_LT] = ACTIONS(2109),
    [anon_sym_GT] = ACTIONS(2109),
    [anon_sym_LT_EQ] = ACTIONS(2107),
    [anon_sym_GT_EQ] = ACTIONS(2107),
    [anon_sym_COLON] = ACTIONS(2109),
    [sym_op_other] = ACTIONS(2107),
    [anon_sym_PLUS] = ACTIONS(2107),
    [anon_sym_DASH] = ACTIONS(2109),
    [anon_sym_SLASH] = ACTIONS(2109),
    [anon_sym_PERCENT] = ACTIONS(2107),
    [anon_sym_CARET] = ACTIONS(2109),
    [anon_sym_BANG_EQ] = ACTIONS(2107),
    [anon_sym_LT_GT] = ACTIONS(2107),
  },
  [205] = {
    [sym__identifier] = ACTIONS(1376),
    [anon_sym_SEMI] = ACTIONS(1374),
    [sym_keyword_from] = ACTIONS(1376),
    [sym_keyword_on] = ACTIONS(1376),
    [sym_keyword_partition] = ACTIONS(1376),
    [sym_keyword_create] = ACTIONS(1376),
    [sym_keyword_as] = ACTIONS(1376),
    [sym_keyword_when] = ACTIONS(1376),
    [sym_keyword_in] = ACTIONS(1376),
    [sym_keyword_and] = ACTIONS(1376),
    [sym_keyword_or] = ACTIONS(1376),
    [sym_keyword_is] = ACTIONS(1376),
    [sym_keyword_not] = ACTIONS(1376),
    [sym_keyword_force] = ACTIONS(1376),
    [sym_keyword_collate] = ACTIONS(1376),
    [sym_keyword_cascade] = ACTIONS(1376),
    [sym_keyword_restrict] = ACTIONS(1376),
    [sym_keyword_with] = ACTIONS(1376),
    [sym_keyword_schema] = ACTIONS(1376),
    [sym_keyword_union] = ACTIONS(1376),
    [sym_keyword_except] = ACTIONS(1376),
    [sym_keyword_intersect] = ACTIONS(1376),
    [sym_keyword_returning] = ACTIONS(1376),
    [sym_keyword_rows] = ACTIONS(1376),
    [sym_keyword_between] = ACTIONS(1376),
    [aux_sym_keyword_like_token1] = ACTIONS(1376),
    [aux_sym_keyword_like_token2] = ACTIONS(1376),
    [sym_keyword_similar] = ACTIONS(1376),
    [sym_keyword_authorization] = ACTIONS(1376),
    [sym_keyword_returns] = ACTIONS(1376),
    [sym_keyword_language] = ACTIONS(1376),
    [sym_keyword_immutable] = ACTIONS(1376),
    [sym_keyword_stable] = ACTIONS(1376),
    [sym_keyword_volatile] = ACTIONS(1376),
    [sym_keyword_leakproof] = ACTIONS(1376),
    [sym_keyword_parallel] = ACTIONS(1376),
    [sym_keyword_called] = ACTIONS(1376),
    [sym_keyword_strict] = ACTIONS(1376),
    [sym_keyword_cost] = ACTIONS(1376),
    [sym_keyword_support] = ACTIONS(1376),
    [sym_keyword_security] = ACTIONS(1376),
    [sym_keyword_version] = ACTIONS(1376),
    [sym_keyword_external] = ACTIONS(1376),
    [sym_keyword_array] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(1374),
    [anon_sym_LPAREN] = ACTIONS(1374),
    [anon_sym_COMMA] = ACTIONS(1374),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1374),
    [anon_sym_DOT] = ACTIONS(1374),
    [anon_sym_STAR] = ACTIONS(1374),
    [anon_sym_COLON_COLON] = ACTIONS(1374),
    [anon_sym_LT] = ACTIONS(1376),
    [anon_sym_GT] = ACTIONS(1376),
    [anon_sym_LT_EQ] = ACTIONS(1374),
    [anon_sym_GT_EQ] = ACTIONS(1374),
    [sym_op_other] = ACTIONS(1374),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1376),
    [anon_sym_SLASH] = ACTIONS(1376),
    [anon_sym_PERCENT] = ACTIONS(1374),
    [anon_sym_CARET] = ACTIONS(1376),
    [anon_sym_BANG_EQ] = ACTIONS(1374),
    [anon_sym_LT_GT] = ACTIONS(1374),
    [sym__double_quote_string] = ACTIONS(1374),
    [aux_sym__single_quote_string_token1] = ACTIONS(1374),
    [aux_sym_identifier_token1] = ACTIONS(1374),
    [sym__dollar_quoted_string_end_tag] = ACTIONS(1374),
  },
  [206] = {
    [ts_builtin_sym_end] = ACTIONS(2113),
    [anon_sym_SEMI] = ACTIONS(2113),
    [sym_keyword_from] = ACTIONS(2113),
    [sym_keyword_on] = ACTIONS(2113),
    [sym_keyword_where] = ACTIONS(2113),
    [sym_keyword_desc] = ACTIONS(2113),
    [sym_keyword_asc] = ACTIONS(2113),
    [sym_keyword_limit] = ACTIONS(2113),
    [sym_keyword_primary] = ACTIONS(2113),
    [sym_keyword_create] = ACTIONS(2113),
    [sym_keyword_as] = ACTIONS(2115),
    [sym_keyword_constraint] = ACTIONS(2113),
    [sym_keyword_separator] = ACTIONS(2113),
    [sym_keyword_when] = ACTIONS(2113),
    [sym_keyword_then] = ACTIONS(2113),
    [sym_keyword_else] = ACTIONS(2113),
    [sym_keyword_end] = ACTIONS(2113),
    [sym_keyword_in] = ACTIONS(2113),
    [sym_keyword_and] = ACTIONS(2113),
    [sym_keyword_or] = ACTIONS(2113),
    [sym_keyword_is] = ACTIONS(2113),
    [sym_keyword_not] = ACTIONS(2113),
    [sym_keyword_using] = ACTIONS(2113),
    [sym_keyword_auto_increment] = ACTIONS(2113),
    [sym_keyword_generated] = ACTIONS(2113),
    [sym_keyword_default] = ACTIONS(2113),
    [sym_keyword_returning] = ACTIONS(2113),
    [sym_keyword_first] = ACTIONS(2113),
    [sym_keyword_after] = ACTIONS(2113),
    [sym_keyword_range] = ACTIONS(2113),
    [sym_keyword_rows] = ACTIONS(2113),
    [sym_keyword_groups] = ACTIONS(2113),
    [sym_keyword_between] = ACTIONS(2113),
    [sym_keyword_preceding] = ACTIONS(2113),
    [sym_keyword_following] = ACTIONS(2113),
    [sym_keyword_unique] = ACTIONS(2113),
    [sym_keyword_references] = ACTIONS(2113),
    [aux_sym_keyword_like_token1] = ACTIONS(2113),
    [aux_sym_keyword_like_token2] = ACTIONS(2113),
    [sym_keyword_similar] = ACTIONS(2113),
    [sym_keyword_check] = ACTIONS(2113),
    [sym_keyword_stored] = ACTIONS(2113),
    [sym_keyword_virtual] = ACTIONS(2113),
    [sym_keyword_comment] = ACTIONS(2113),
    [sym_keyword_null] = ACTIONS(2113),
    [sym_keyword_array] = ACTIONS(2113),
    [anon_sym_LBRACK] = ACTIONS(2113),
    [anon_sym_RBRACK] = ACTIONS(2113),
    [anon_sym_LPAREN] = ACTIONS(2117),
    [anon_sym_RPAREN] = ACTIONS(2113),
    [anon_sym_COMMA] = ACTIONS(2113),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2113),
    [anon_sym_STAR] = ACTIONS(2113),
    [anon_sym_COLON_COLON] = ACTIONS(2113),
    [anon_sym_LT] = ACTIONS(2115),
    [anon_sym_GT] = ACTIONS(2115),
    [anon_sym_LT_EQ] = ACTIONS(2113),
    [anon_sym_GT_EQ] = ACTIONS(2113),
    [anon_sym_COLON] = ACTIONS(2115),
    [sym_op_other] = ACTIONS(2113),
    [anon_sym_PLUS] = ACTIONS(2113),
    [anon_sym_DASH] = ACTIONS(2115),
    [anon_sym_SLASH] = ACTIONS(2115),
    [anon_sym_PERCENT] = ACTIONS(2113),
    [anon_sym_CARET] = ACTIONS(2115),
    [anon_sym_BANG_EQ] = ACTIONS(2113),
    [anon_sym_LT_GT] = ACTIONS(2113),
  },
  [207] = {
    [ts_builtin_sym_end] = ACTIONS(2119),
    [anon_sym_SEMI] = ACTIONS(2119),
    [sym_keyword_from] = ACTIONS(2119),
    [sym_keyword_on] = ACTIONS(2119),
    [sym_keyword_where] = ACTIONS(2119),
    [sym_keyword_desc] = ACTIONS(2119),
    [sym_keyword_asc] = ACTIONS(2119),
    [sym_keyword_limit] = ACTIONS(2119),
    [sym_keyword_primary] = ACTIONS(2119),
    [sym_keyword_create] = ACTIONS(2119),
    [sym_keyword_as] = ACTIONS(2121),
    [sym_keyword_constraint] = ACTIONS(2119),
    [sym_keyword_separator] = ACTIONS(2119),
    [sym_keyword_when] = ACTIONS(2119),
    [sym_keyword_then] = ACTIONS(2119),
    [sym_keyword_else] = ACTIONS(2119),
    [sym_keyword_end] = ACTIONS(2119),
    [sym_keyword_in] = ACTIONS(2119),
    [sym_keyword_and] = ACTIONS(2119),
    [sym_keyword_or] = ACTIONS(2119),
    [sym_keyword_is] = ACTIONS(2119),
    [sym_keyword_not] = ACTIONS(2119),
    [sym_keyword_using] = ACTIONS(2119),
    [sym_keyword_auto_increment] = ACTIONS(2119),
    [sym_keyword_generated] = ACTIONS(2119),
    [sym_keyword_default] = ACTIONS(2119),
    [sym_keyword_returning] = ACTIONS(2119),
    [sym_keyword_first] = ACTIONS(2119),
    [sym_keyword_after] = ACTIONS(2119),
    [sym_keyword_range] = ACTIONS(2119),
    [sym_keyword_rows] = ACTIONS(2119),
    [sym_keyword_groups] = ACTIONS(2119),
    [sym_keyword_between] = ACTIONS(2119),
    [sym_keyword_preceding] = ACTIONS(2119),
    [sym_keyword_following] = ACTIONS(2119),
    [sym_keyword_unique] = ACTIONS(2119),
    [sym_keyword_references] = ACTIONS(2119),
    [aux_sym_keyword_like_token1] = ACTIONS(2119),
    [aux_sym_keyword_like_token2] = ACTIONS(2119),
    [sym_keyword_similar] = ACTIONS(2119),
    [sym_keyword_zerofill] = ACTIONS(2123),
    [sym_keyword_check] = ACTIONS(2119),
    [sym_keyword_stored] = ACTIONS(2119),
    [sym_keyword_virtual] = ACTIONS(2119),
    [sym_keyword_comment] = ACTIONS(2119),
    [sym_keyword_null] = ACTIONS(2119),
    [sym_keyword_array] = ACTIONS(2119),
    [anon_sym_LBRACK] = ACTIONS(2119),
    [anon_sym_RBRACK] = ACTIONS(2119),
    [anon_sym_RPAREN] = ACTIONS(2119),
    [anon_sym_COMMA] = ACTIONS(2119),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2119),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_COLON_COLON] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(2121),
    [anon_sym_GT] = ACTIONS(2121),
    [anon_sym_LT_EQ] = ACTIONS(2119),
    [anon_sym_GT_EQ] = ACTIONS(2119),
    [anon_sym_COLON] = ACTIONS(2121),
    [sym_op_other] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2119),
    [anon_sym_DASH] = ACTIONS(2121),
    [anon_sym_SLASH] = ACTIONS(2121),
    [anon_sym_PERCENT] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2121),
    [anon_sym_BANG_EQ] = ACTIONS(2119),
    [anon_sym_LT_GT] = ACTIONS(2119),
  },
  [208] = {
    [ts_builtin_sym_end] = ACTIONS(2125),
    [anon_sym_SEMI] = ACTIONS(2125),
    [sym_keyword_from] = ACTIONS(2125),
    [sym_keyword_on] = ACTIONS(2125),
    [sym_keyword_where] = ACTIONS(2125),
    [sym_keyword_desc] = ACTIONS(2125),
    [sym_keyword_asc] = ACTIONS(2125),
    [sym_keyword_limit] = ACTIONS(2125),
    [sym_keyword_primary] = ACTIONS(2125),
    [sym_keyword_create] = ACTIONS(2125),
    [sym_keyword_as] = ACTIONS(2127),
    [sym_keyword_constraint] = ACTIONS(2125),
    [sym_keyword_separator] = ACTIONS(2125),
    [sym_keyword_when] = ACTIONS(2125),
    [sym_keyword_then] = ACTIONS(2125),
    [sym_keyword_else] = ACTIONS(2125),
    [sym_keyword_end] = ACTIONS(2125),
    [sym_keyword_in] = ACTIONS(2125),
    [sym_keyword_and] = ACTIONS(2125),
    [sym_keyword_or] = ACTIONS(2125),
    [sym_keyword_is] = ACTIONS(2125),
    [sym_keyword_not] = ACTIONS(2125),
    [sym_keyword_using] = ACTIONS(2125),
    [sym_keyword_auto_increment] = ACTIONS(2125),
    [sym_keyword_generated] = ACTIONS(2125),
    [sym_keyword_default] = ACTIONS(2125),
    [sym_keyword_returning] = ACTIONS(2125),
    [sym_keyword_first] = ACTIONS(2125),
    [sym_keyword_after] = ACTIONS(2125),
    [sym_keyword_range] = ACTIONS(2125),
    [sym_keyword_rows] = ACTIONS(2125),
    [sym_keyword_groups] = ACTIONS(2125),
    [sym_keyword_between] = ACTIONS(2125),
    [sym_keyword_preceding] = ACTIONS(2125),
    [sym_keyword_following] = ACTIONS(2125),
    [sym_keyword_unique] = ACTIONS(2125),
    [sym_keyword_references] = ACTIONS(2125),
    [aux_sym_keyword_like_token1] = ACTIONS(2125),
    [aux_sym_keyword_like_token2] = ACTIONS(2125),
    [sym_keyword_similar] = ACTIONS(2125),
    [sym_keyword_zerofill] = ACTIONS(2129),
    [sym_keyword_check] = ACTIONS(2125),
    [sym_keyword_stored] = ACTIONS(2125),
    [sym_keyword_virtual] = ACTIONS(2125),
    [sym_keyword_comment] = ACTIONS(2125),
    [sym_keyword_null] = ACTIONS(2125),
    [sym_keyword_array] = ACTIONS(2125),
    [anon_sym_LBRACK] = ACTIONS(2125),
    [anon_sym_RBRACK] = ACTIONS(2125),
    [anon_sym_RPAREN] = ACTIONS(2125),
    [anon_sym_COMMA] = ACTIONS(2125),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2125),
    [anon_sym_STAR] = ACTIONS(2125),
    [anon_sym_COLON_COLON] = ACTIONS(2125),
    [anon_sym_LT] = ACTIONS(2127),
    [anon_sym_GT] = ACTIONS(2127),
    [anon_sym_LT_EQ] = ACTIONS(2125),
    [anon_sym_GT_EQ] = ACTIONS(2125),
    [anon_sym_COLON] = ACTIONS(2127),
    [sym_op_other] = ACTIONS(2125),
    [anon_sym_PLUS] = ACTIONS(2125),
    [anon_sym_DASH] = ACTIONS(2127),
    [anon_sym_SLASH] = ACTIONS(2127),
    [anon_sym_PERCENT] = ACTIONS(2125),
    [anon_sym_CARET] = ACTIONS(2127),
    [anon_sym_BANG_EQ] = ACTIONS(2125),
    [anon_sym_LT_GT] = ACTIONS(2125),
  },
  [209] = {
    [ts_builtin_sym_end] = ACTIONS(2131),
    [anon_sym_SEMI] = ACTIONS(2131),
    [sym_keyword_from] = ACTIONS(2131),
    [sym_keyword_on] = ACTIONS(2131),
    [sym_keyword_where] = ACTIONS(2131),
    [sym_keyword_desc] = ACTIONS(2131),
    [sym_keyword_asc] = ACTIONS(2131),
    [sym_keyword_limit] = ACTIONS(2131),
    [sym_keyword_primary] = ACTIONS(2131),
    [sym_keyword_create] = ACTIONS(2131),
    [sym_keyword_as] = ACTIONS(2133),
    [sym_keyword_constraint] = ACTIONS(2131),
    [sym_keyword_separator] = ACTIONS(2131),
    [sym_keyword_when] = ACTIONS(2131),
    [sym_keyword_then] = ACTIONS(2131),
    [sym_keyword_else] = ACTIONS(2131),
    [sym_keyword_end] = ACTIONS(2131),
    [sym_keyword_in] = ACTIONS(2131),
    [sym_keyword_and] = ACTIONS(2131),
    [sym_keyword_or] = ACTIONS(2131),
    [sym_keyword_is] = ACTIONS(2131),
    [sym_keyword_not] = ACTIONS(2131),
    [sym_keyword_using] = ACTIONS(2131),
    [sym_keyword_auto_increment] = ACTIONS(2131),
    [sym_keyword_generated] = ACTIONS(2131),
    [sym_keyword_default] = ACTIONS(2131),
    [sym_keyword_returning] = ACTIONS(2131),
    [sym_keyword_first] = ACTIONS(2131),
    [sym_keyword_after] = ACTIONS(2131),
    [sym_keyword_range] = ACTIONS(2131),
    [sym_keyword_rows] = ACTIONS(2131),
    [sym_keyword_groups] = ACTIONS(2131),
    [sym_keyword_between] = ACTIONS(2131),
    [sym_keyword_preceding] = ACTIONS(2131),
    [sym_keyword_following] = ACTIONS(2131),
    [sym_keyword_unique] = ACTIONS(2131),
    [sym_keyword_references] = ACTIONS(2131),
    [aux_sym_keyword_like_token1] = ACTIONS(2131),
    [aux_sym_keyword_like_token2] = ACTIONS(2131),
    [sym_keyword_similar] = ACTIONS(2131),
    [sym_keyword_check] = ACTIONS(2131),
    [sym_keyword_stored] = ACTIONS(2131),
    [sym_keyword_virtual] = ACTIONS(2131),
    [sym_keyword_comment] = ACTIONS(2131),
    [sym_keyword_null] = ACTIONS(2131),
    [sym_keyword_array] = ACTIONS(2131),
    [anon_sym_LBRACK] = ACTIONS(2131),
    [anon_sym_RBRACK] = ACTIONS(2131),
    [anon_sym_LPAREN] = ACTIONS(2135),
    [anon_sym_RPAREN] = ACTIONS(2131),
    [anon_sym_COMMA] = ACTIONS(2131),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2131),
    [anon_sym_STAR] = ACTIONS(2131),
    [anon_sym_COLON_COLON] = ACTIONS(2131),
    [anon_sym_LT] = ACTIONS(2133),
    [anon_sym_GT] = ACTIONS(2133),
    [anon_sym_LT_EQ] = ACTIONS(2131),
    [anon_sym_GT_EQ] = ACTIONS(2131),
    [anon_sym_COLON] = ACTIONS(2133),
    [sym_op_other] = ACTIONS(2131),
    [anon_sym_PLUS] = ACTIONS(2131),
    [anon_sym_DASH] = ACTIONS(2133),
    [anon_sym_SLASH] = ACTIONS(2133),
    [anon_sym_PERCENT] = ACTIONS(2131),
    [anon_sym_CARET] = ACTIONS(2133),
    [anon_sym_BANG_EQ] = ACTIONS(2131),
    [anon_sym_LT_GT] = ACTIONS(2131),
  },
  [210] = {
    [ts_builtin_sym_end] = ACTIONS(1860),
    [anon_sym_SEMI] = ACTIONS(1860),
    [sym_keyword_from] = ACTIONS(1860),
    [sym_keyword_on] = ACTIONS(1860),
    [sym_keyword_where] = ACTIONS(1860),
    [sym_keyword_desc] = ACTIONS(1860),
    [sym_keyword_asc] = ACTIONS(1860),
    [sym_keyword_limit] = ACTIONS(1860),
    [sym_keyword_primary] = ACTIONS(1860),
    [sym_keyword_create] = ACTIONS(1860),
    [sym_keyword_as] = ACTIONS(1862),
    [sym_keyword_constraint] = ACTIONS(1860),
    [sym_keyword_separator] = ACTIONS(1860),
    [sym_keyword_when] = ACTIONS(1860),
    [sym_keyword_then] = ACTIONS(1860),
    [sym_keyword_else] = ACTIONS(1860),
    [sym_keyword_end] = ACTIONS(1860),
    [sym_keyword_in] = ACTIONS(1860),
    [sym_keyword_and] = ACTIONS(1860),
    [sym_keyword_or] = ACTIONS(1860),
    [sym_keyword_is] = ACTIONS(1860),
    [sym_keyword_not] = ACTIONS(1860),
    [sym_keyword_using] = ACTIONS(1860),
    [sym_keyword_auto_increment] = ACTIONS(1860),
    [sym_keyword_generated] = ACTIONS(1860),
    [sym_keyword_default] = ACTIONS(1860),
    [sym_keyword_returning] = ACTIONS(1860),
    [sym_keyword_first] = ACTIONS(1860),
    [sym_keyword_after] = ACTIONS(1860),
    [sym_keyword_range] = ACTIONS(1860),
    [sym_keyword_rows] = ACTIONS(1860),
    [sym_keyword_groups] = ACTIONS(1860),
    [sym_keyword_between] = ACTIONS(1860),
    [sym_keyword_preceding] = ACTIONS(1860),
    [sym_keyword_following] = ACTIONS(1860),
    [sym_keyword_unique] = ACTIONS(1860),
    [sym_keyword_references] = ACTIONS(1860),
    [aux_sym_keyword_like_token1] = ACTIONS(1860),
    [aux_sym_keyword_like_token2] = ACTIONS(1860),
    [sym_keyword_similar] = ACTIONS(1860),
    [sym_keyword_zerofill] = ACTIONS(1866),
    [sym_keyword_check] = ACTIONS(1860),
    [sym_keyword_stored] = ACTIONS(1860),
    [sym_keyword_virtual] = ACTIONS(1860),
    [sym_keyword_comment] = ACTIONS(1860),
    [sym_keyword_null] = ACTIONS(1860),
    [sym_keyword_array] = ACTIONS(1860),
    [anon_sym_LBRACK] = ACTIONS(1860),
    [anon_sym_RBRACK] = ACTIONS(1860),
    [anon_sym_RPAREN] = ACTIONS(1860),
    [anon_sym_COMMA] = ACTIONS(1860),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1860),
    [anon_sym_STAR] = ACTIONS(1860),
    [anon_sym_COLON_COLON] = ACTIONS(1860),
    [anon_sym_LT] = ACTIONS(1862),
    [anon_sym_GT] = ACTIONS(1862),
    [anon_sym_LT_EQ] = ACTIONS(1860),
    [anon_sym_GT_EQ] = ACTIONS(1860),
    [anon_sym_COLON] = ACTIONS(1862),
    [sym_op_other] = ACTIONS(1860),
    [anon_sym_PLUS] = ACTIONS(1860),
    [anon_sym_DASH] = ACTIONS(1862),
    [anon_sym_SLASH] = ACTIONS(1862),
    [anon_sym_PERCENT] = ACTIONS(1860),
    [anon_sym_CARET] = ACTIONS(1862),
    [anon_sym_BANG_EQ] = ACTIONS(1860),
    [anon_sym_LT_GT] = ACTIONS(1860),
  },
  [211] = {
    [ts_builtin_sym_end] = ACTIONS(2036),
    [anon_sym_SEMI] = ACTIONS(2036),
    [sym_keyword_from] = ACTIONS(2036),
    [sym_keyword_on] = ACTIONS(2036),
    [sym_keyword_where] = ACTIONS(2036),
    [sym_keyword_desc] = ACTIONS(2036),
    [sym_keyword_asc] = ACTIONS(2036),
    [sym_keyword_limit] = ACTIONS(2036),
    [sym_keyword_primary] = ACTIONS(2036),
    [sym_keyword_create] = ACTIONS(2036),
    [sym_keyword_as] = ACTIONS(2038),
    [sym_keyword_constraint] = ACTIONS(2036),
    [sym_keyword_separator] = ACTIONS(2036),
    [sym_keyword_when] = ACTIONS(2036),
    [sym_keyword_then] = ACTIONS(2036),
    [sym_keyword_else] = ACTIONS(2036),
    [sym_keyword_end] = ACTIONS(2036),
    [sym_keyword_in] = ACTIONS(2036),
    [sym_keyword_and] = ACTIONS(2036),
    [sym_keyword_or] = ACTIONS(2036),
    [sym_keyword_is] = ACTIONS(2036),
    [sym_keyword_not] = ACTIONS(2036),
    [sym_keyword_using] = ACTIONS(2036),
    [sym_keyword_auto_increment] = ACTIONS(2036),
    [sym_keyword_generated] = ACTIONS(2036),
    [sym_keyword_default] = ACTIONS(2036),
    [sym_keyword_returning] = ACTIONS(2036),
    [sym_keyword_first] = ACTIONS(2036),
    [sym_keyword_after] = ACTIONS(2036),
    [sym_keyword_range] = ACTIONS(2036),
    [sym_keyword_rows] = ACTIONS(2036),
    [sym_keyword_groups] = ACTIONS(2036),
    [sym_keyword_between] = ACTIONS(2036),
    [sym_keyword_preceding] = ACTIONS(2036),
    [sym_keyword_following] = ACTIONS(2036),
    [sym_keyword_unique] = ACTIONS(2036),
    [sym_keyword_references] = ACTIONS(2036),
    [aux_sym_keyword_like_token1] = ACTIONS(2036),
    [aux_sym_keyword_like_token2] = ACTIONS(2036),
    [sym_keyword_similar] = ACTIONS(2036),
    [sym_keyword_zerofill] = ACTIONS(2137),
    [sym_keyword_check] = ACTIONS(2036),
    [sym_keyword_stored] = ACTIONS(2036),
    [sym_keyword_virtual] = ACTIONS(2036),
    [sym_keyword_comment] = ACTIONS(2036),
    [sym_keyword_null] = ACTIONS(2036),
    [sym_keyword_array] = ACTIONS(2036),
    [anon_sym_LBRACK] = ACTIONS(2036),
    [anon_sym_RBRACK] = ACTIONS(2036),
    [anon_sym_RPAREN] = ACTIONS(2036),
    [anon_sym_COMMA] = ACTIONS(2036),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2036),
    [anon_sym_STAR] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(2036),
    [anon_sym_LT] = ACTIONS(2038),
    [anon_sym_GT] = ACTIONS(2038),
    [anon_sym_LT_EQ] = ACTIONS(2036),
    [anon_sym_GT_EQ] = ACTIONS(2036),
    [anon_sym_COLON] = ACTIONS(2038),
    [sym_op_other] = ACTIONS(2036),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2038),
    [anon_sym_SLASH] = ACTIONS(2038),
    [anon_sym_PERCENT] = ACTIONS(2036),
    [anon_sym_CARET] = ACTIONS(2038),
    [anon_sym_BANG_EQ] = ACTIONS(2036),
    [anon_sym_LT_GT] = ACTIONS(2036),
  },
  [212] = {
    [ts_builtin_sym_end] = ACTIONS(2139),
    [anon_sym_SEMI] = ACTIONS(2139),
    [sym_keyword_from] = ACTIONS(2139),
    [sym_keyword_on] = ACTIONS(2139),
    [sym_keyword_where] = ACTIONS(2139),
    [sym_keyword_desc] = ACTIONS(2139),
    [sym_keyword_asc] = ACTIONS(2139),
    [sym_keyword_limit] = ACTIONS(2139),
    [sym_keyword_primary] = ACTIONS(2139),
    [sym_keyword_create] = ACTIONS(2139),
    [sym_keyword_as] = ACTIONS(2141),
    [sym_keyword_constraint] = ACTIONS(2139),
    [sym_keyword_separator] = ACTIONS(2139),
    [sym_keyword_when] = ACTIONS(2139),
    [sym_keyword_then] = ACTIONS(2139),
    [sym_keyword_else] = ACTIONS(2139),
    [sym_keyword_end] = ACTIONS(2139),
    [sym_keyword_in] = ACTIONS(2139),
    [sym_keyword_and] = ACTIONS(2139),
    [sym_keyword_or] = ACTIONS(2139),
    [sym_keyword_is] = ACTIONS(2139),
    [sym_keyword_not] = ACTIONS(2139),
    [sym_keyword_using] = ACTIONS(2139),
    [sym_keyword_auto_increment] = ACTIONS(2139),
    [sym_keyword_generated] = ACTIONS(2139),
    [sym_keyword_default] = ACTIONS(2139),
    [sym_keyword_returning] = ACTIONS(2139),
    [sym_keyword_first] = ACTIONS(2139),
    [sym_keyword_after] = ACTIONS(2139),
    [sym_keyword_range] = ACTIONS(2139),
    [sym_keyword_rows] = ACTIONS(2139),
    [sym_keyword_groups] = ACTIONS(2139),
    [sym_keyword_between] = ACTIONS(2139),
    [sym_keyword_preceding] = ACTIONS(2139),
    [sym_keyword_following] = ACTIONS(2139),
    [sym_keyword_unique] = ACTIONS(2139),
    [sym_keyword_references] = ACTIONS(2139),
    [aux_sym_keyword_like_token1] = ACTIONS(2139),
    [aux_sym_keyword_like_token2] = ACTIONS(2139),
    [sym_keyword_similar] = ACTIONS(2139),
    [sym_keyword_zerofill] = ACTIONS(2143),
    [sym_keyword_check] = ACTIONS(2139),
    [sym_keyword_stored] = ACTIONS(2139),
    [sym_keyword_virtual] = ACTIONS(2139),
    [sym_keyword_comment] = ACTIONS(2139),
    [sym_keyword_null] = ACTIONS(2139),
    [sym_keyword_array] = ACTIONS(2139),
    [anon_sym_LBRACK] = ACTIONS(2139),
    [anon_sym_RBRACK] = ACTIONS(2139),
    [anon_sym_RPAREN] = ACTIONS(2139),
    [anon_sym_COMMA] = ACTIONS(2139),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2139),
    [anon_sym_STAR] = ACTIONS(2139),
    [anon_sym_COLON_COLON] = ACTIONS(2139),
    [anon_sym_LT] = ACTIONS(2141),
    [anon_sym_GT] = ACTIONS(2141),
    [anon_sym_LT_EQ] = ACTIONS(2139),
    [anon_sym_GT_EQ] = ACTIONS(2139),
    [anon_sym_COLON] = ACTIONS(2141),
    [sym_op_other] = ACTIONS(2139),
    [anon_sym_PLUS] = ACTIONS(2139),
    [anon_sym_DASH] = ACTIONS(2141),
    [anon_sym_SLASH] = ACTIONS(2141),
    [anon_sym_PERCENT] = ACTIONS(2139),
    [anon_sym_CARET] = ACTIONS(2141),
    [anon_sym_BANG_EQ] = ACTIONS(2139),
    [anon_sym_LT_GT] = ACTIONS(2139),
  },
  [213] = {
    [ts_builtin_sym_end] = ACTIONS(2145),
    [anon_sym_SEMI] = ACTIONS(2145),
    [sym_keyword_from] = ACTIONS(2145),
    [sym_keyword_on] = ACTIONS(2145),
    [sym_keyword_where] = ACTIONS(2145),
    [sym_keyword_desc] = ACTIONS(2145),
    [sym_keyword_asc] = ACTIONS(2145),
    [sym_keyword_limit] = ACTIONS(2145),
    [sym_keyword_primary] = ACTIONS(2145),
    [sym_keyword_create] = ACTIONS(2145),
    [sym_keyword_as] = ACTIONS(2147),
    [sym_keyword_constraint] = ACTIONS(2145),
    [sym_keyword_separator] = ACTIONS(2145),
    [sym_keyword_when] = ACTIONS(2145),
    [sym_keyword_then] = ACTIONS(2145),
    [sym_keyword_else] = ACTIONS(2145),
    [sym_keyword_end] = ACTIONS(2145),
    [sym_keyword_in] = ACTIONS(2145),
    [sym_keyword_and] = ACTIONS(2145),
    [sym_keyword_or] = ACTIONS(2145),
    [sym_keyword_is] = ACTIONS(2145),
    [sym_keyword_not] = ACTIONS(2145),
    [sym_keyword_using] = ACTIONS(2145),
    [sym_keyword_auto_increment] = ACTIONS(2145),
    [sym_keyword_generated] = ACTIONS(2145),
    [sym_keyword_default] = ACTIONS(2145),
    [sym_keyword_returning] = ACTIONS(2145),
    [sym_keyword_first] = ACTIONS(2145),
    [sym_keyword_after] = ACTIONS(2145),
    [sym_keyword_range] = ACTIONS(2145),
    [sym_keyword_rows] = ACTIONS(2145),
    [sym_keyword_groups] = ACTIONS(2145),
    [sym_keyword_between] = ACTIONS(2145),
    [sym_keyword_preceding] = ACTIONS(2145),
    [sym_keyword_following] = ACTIONS(2145),
    [sym_keyword_unique] = ACTIONS(2145),
    [sym_keyword_references] = ACTIONS(2145),
    [aux_sym_keyword_like_token1] = ACTIONS(2145),
    [aux_sym_keyword_like_token2] = ACTIONS(2145),
    [sym_keyword_similar] = ACTIONS(2145),
    [sym_keyword_zerofill] = ACTIONS(2149),
    [sym_keyword_check] = ACTIONS(2145),
    [sym_keyword_stored] = ACTIONS(2145),
    [sym_keyword_virtual] = ACTIONS(2145),
    [sym_keyword_comment] = ACTIONS(2145),
    [sym_keyword_null] = ACTIONS(2145),
    [sym_keyword_array] = ACTIONS(2145),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [anon_sym_RBRACK] = ACTIONS(2145),
    [anon_sym_RPAREN] = ACTIONS(2145),
    [anon_sym_COMMA] = ACTIONS(2145),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2145),
    [anon_sym_STAR] = ACTIONS(2145),
    [anon_sym_COLON_COLON] = ACTIONS(2145),
    [anon_sym_LT] = ACTIONS(2147),
    [anon_sym_GT] = ACTIONS(2147),
    [anon_sym_LT_EQ] = ACTIONS(2145),
    [anon_sym_GT_EQ] = ACTIONS(2145),
    [anon_sym_COLON] = ACTIONS(2147),
    [sym_op_other] = ACTIONS(2145),
    [anon_sym_PLUS] = ACTIONS(2145),
    [anon_sym_DASH] = ACTIONS(2147),
    [anon_sym_SLASH] = ACTIONS(2147),
    [anon_sym_PERCENT] = ACTIONS(2145),
    [anon_sym_CARET] = ACTIONS(2147),
    [anon_sym_BANG_EQ] = ACTIONS(2145),
    [anon_sym_LT_GT] = ACTIONS(2145),
  },
  [214] = {
    [ts_builtin_sym_end] = ACTIONS(2151),
    [anon_sym_SEMI] = ACTIONS(2151),
    [sym_keyword_from] = ACTIONS(2151),
    [sym_keyword_on] = ACTIONS(2151),
    [sym_keyword_where] = ACTIONS(2151),
    [sym_keyword_desc] = ACTIONS(2151),
    [sym_keyword_asc] = ACTIONS(2151),
    [sym_keyword_limit] = ACTIONS(2151),
    [sym_keyword_primary] = ACTIONS(2151),
    [sym_keyword_create] = ACTIONS(2151),
    [sym_keyword_as] = ACTIONS(2153),
    [sym_keyword_constraint] = ACTIONS(2151),
    [sym_keyword_separator] = ACTIONS(2151),
    [sym_keyword_when] = ACTIONS(2151),
    [sym_keyword_then] = ACTIONS(2151),
    [sym_keyword_else] = ACTIONS(2151),
    [sym_keyword_end] = ACTIONS(2151),
    [sym_keyword_in] = ACTIONS(2151),
    [sym_keyword_and] = ACTIONS(2151),
    [sym_keyword_or] = ACTIONS(2151),
    [sym_keyword_is] = ACTIONS(2151),
    [sym_keyword_not] = ACTIONS(2151),
    [sym_keyword_using] = ACTIONS(2151),
    [sym_keyword_auto_increment] = ACTIONS(2151),
    [sym_keyword_generated] = ACTIONS(2151),
    [sym_keyword_default] = ACTIONS(2151),
    [sym_keyword_returning] = ACTIONS(2151),
    [sym_keyword_first] = ACTIONS(2151),
    [sym_keyword_after] = ACTIONS(2151),
    [sym_keyword_range] = ACTIONS(2151),
    [sym_keyword_rows] = ACTIONS(2151),
    [sym_keyword_groups] = ACTIONS(2151),
    [sym_keyword_between] = ACTIONS(2151),
    [sym_keyword_preceding] = ACTIONS(2151),
    [sym_keyword_following] = ACTIONS(2151),
    [sym_keyword_unique] = ACTIONS(2151),
    [sym_keyword_references] = ACTIONS(2151),
    [aux_sym_keyword_like_token1] = ACTIONS(2151),
    [aux_sym_keyword_like_token2] = ACTIONS(2151),
    [sym_keyword_similar] = ACTIONS(2151),
    [sym_keyword_check] = ACTIONS(2151),
    [sym_keyword_stored] = ACTIONS(2151),
    [sym_keyword_virtual] = ACTIONS(2151),
    [sym_keyword_comment] = ACTIONS(2151),
    [sym_keyword_null] = ACTIONS(2151),
    [sym_keyword_array] = ACTIONS(2151),
    [anon_sym_LBRACK] = ACTIONS(2151),
    [anon_sym_RBRACK] = ACTIONS(2151),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_RPAREN] = ACTIONS(2151),
    [anon_sym_COMMA] = ACTIONS(2151),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2151),
    [anon_sym_STAR] = ACTIONS(2151),
    [anon_sym_COLON_COLON] = ACTIONS(2151),
    [anon_sym_LT] = ACTIONS(2153),
    [anon_sym_GT] = ACTIONS(2153),
    [anon_sym_LT_EQ] = ACTIONS(2151),
    [anon_sym_GT_EQ] = ACTIONS(2151),
    [anon_sym_COLON] = ACTIONS(2153),
    [sym_op_other] = ACTIONS(2151),
    [anon_sym_PLUS] = ACTIONS(2151),
    [anon_sym_DASH] = ACTIONS(2153),
    [anon_sym_SLASH] = ACTIONS(2153),
    [anon_sym_PERCENT] = ACTIONS(2151),
    [anon_sym_CARET] = ACTIONS(2153),
    [anon_sym_BANG_EQ] = ACTIONS(2151),
    [anon_sym_LT_GT] = ACTIONS(2151),
  },
  [215] = {
    [ts_builtin_sym_end] = ACTIONS(2157),
    [anon_sym_SEMI] = ACTIONS(2157),
    [sym_keyword_from] = ACTIONS(2157),
    [sym_keyword_on] = ACTIONS(2157),
    [sym_keyword_where] = ACTIONS(2157),
    [sym_keyword_desc] = ACTIONS(2157),
    [sym_keyword_asc] = ACTIONS(2157),
    [sym_keyword_limit] = ACTIONS(2157),
    [sym_keyword_primary] = ACTIONS(2157),
    [sym_keyword_create] = ACTIONS(2157),
    [sym_keyword_as] = ACTIONS(2159),
    [sym_keyword_constraint] = ACTIONS(2157),
    [sym_keyword_separator] = ACTIONS(2157),
    [sym_keyword_when] = ACTIONS(2157),
    [sym_keyword_then] = ACTIONS(2157),
    [sym_keyword_else] = ACTIONS(2157),
    [sym_keyword_end] = ACTIONS(2157),
    [sym_keyword_in] = ACTIONS(2157),
    [sym_keyword_and] = ACTIONS(2157),
    [sym_keyword_or] = ACTIONS(2157),
    [sym_keyword_is] = ACTIONS(2157),
    [sym_keyword_not] = ACTIONS(2157),
    [sym_keyword_using] = ACTIONS(2157),
    [sym_keyword_auto_increment] = ACTIONS(2157),
    [sym_keyword_generated] = ACTIONS(2157),
    [sym_keyword_default] = ACTIONS(2157),
    [sym_keyword_returning] = ACTIONS(2157),
    [sym_keyword_first] = ACTIONS(2157),
    [sym_keyword_after] = ACTIONS(2157),
    [sym_keyword_range] = ACTIONS(2157),
    [sym_keyword_rows] = ACTIONS(2157),
    [sym_keyword_groups] = ACTIONS(2157),
    [sym_keyword_between] = ACTIONS(2157),
    [sym_keyword_preceding] = ACTIONS(2157),
    [sym_keyword_following] = ACTIONS(2157),
    [sym_keyword_unique] = ACTIONS(2157),
    [sym_keyword_references] = ACTIONS(2157),
    [aux_sym_keyword_like_token1] = ACTIONS(2157),
    [aux_sym_keyword_like_token2] = ACTIONS(2157),
    [sym_keyword_similar] = ACTIONS(2157),
    [sym_keyword_check] = ACTIONS(2157),
    [sym_keyword_stored] = ACTIONS(2157),
    [sym_keyword_virtual] = ACTIONS(2157),
    [sym_keyword_comment] = ACTIONS(2157),
    [sym_keyword_null] = ACTIONS(2157),
    [sym_keyword_array] = ACTIONS(2157),
    [anon_sym_LBRACK] = ACTIONS(2157),
    [anon_sym_RBRACK] = ACTIONS(2157),
    [anon_sym_LPAREN] = ACTIONS(2161),
    [anon_sym_RPAREN] = ACTIONS(2157),
    [anon_sym_COMMA] = ACTIONS(2157),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2157),
    [anon_sym_STAR] = ACTIONS(2157),
    [anon_sym_COLON_COLON] = ACTIONS(2157),
    [anon_sym_LT] = ACTIONS(2159),
    [anon_sym_GT] = ACTIONS(2159),
    [anon_sym_LT_EQ] = ACTIONS(2157),
    [anon_sym_GT_EQ] = ACTIONS(2157),
    [anon_sym_COLON] = ACTIONS(2159),
    [sym_op_other] = ACTIONS(2157),
    [anon_sym_PLUS] = ACTIONS(2157),
    [anon_sym_DASH] = ACTIONS(2159),
    [anon_sym_SLASH] = ACTIONS(2159),
    [anon_sym_PERCENT] = ACTIONS(2157),
    [anon_sym_CARET] = ACTIONS(2159),
    [anon_sym_BANG_EQ] = ACTIONS(2157),
    [anon_sym_LT_GT] = ACTIONS(2157),
  },
  [216] = {
    [ts_builtin_sym_end] = ACTIONS(2030),
    [anon_sym_SEMI] = ACTIONS(2030),
    [sym_keyword_from] = ACTIONS(2030),
    [sym_keyword_on] = ACTIONS(2030),
    [sym_keyword_where] = ACTIONS(2030),
    [sym_keyword_desc] = ACTIONS(2030),
    [sym_keyword_asc] = ACTIONS(2030),
    [sym_keyword_limit] = ACTIONS(2030),
    [sym_keyword_primary] = ACTIONS(2030),
    [sym_keyword_create] = ACTIONS(2030),
    [sym_keyword_as] = ACTIONS(2032),
    [sym_keyword_constraint] = ACTIONS(2030),
    [sym_keyword_separator] = ACTIONS(2030),
    [sym_keyword_when] = ACTIONS(2030),
    [sym_keyword_then] = ACTIONS(2030),
    [sym_keyword_else] = ACTIONS(2030),
    [sym_keyword_end] = ACTIONS(2030),
    [sym_keyword_in] = ACTIONS(2030),
    [sym_keyword_and] = ACTIONS(2030),
    [sym_keyword_or] = ACTIONS(2030),
    [sym_keyword_is] = ACTIONS(2030),
    [sym_keyword_not] = ACTIONS(2030),
    [sym_keyword_using] = ACTIONS(2030),
    [sym_keyword_auto_increment] = ACTIONS(2030),
    [sym_keyword_generated] = ACTIONS(2030),
    [sym_keyword_default] = ACTIONS(2030),
    [sym_keyword_returning] = ACTIONS(2030),
    [sym_keyword_first] = ACTIONS(2030),
    [sym_keyword_after] = ACTIONS(2030),
    [sym_keyword_range] = ACTIONS(2030),
    [sym_keyword_rows] = ACTIONS(2030),
    [sym_keyword_groups] = ACTIONS(2030),
    [sym_keyword_between] = ACTIONS(2030),
    [sym_keyword_preceding] = ACTIONS(2030),
    [sym_keyword_following] = ACTIONS(2030),
    [sym_keyword_unique] = ACTIONS(2030),
    [sym_keyword_references] = ACTIONS(2030),
    [aux_sym_keyword_like_token1] = ACTIONS(2030),
    [aux_sym_keyword_like_token2] = ACTIONS(2030),
    [sym_keyword_similar] = ACTIONS(2030),
    [sym_keyword_zerofill] = ACTIONS(2163),
    [sym_keyword_check] = ACTIONS(2030),
    [sym_keyword_stored] = ACTIONS(2030),
    [sym_keyword_virtual] = ACTIONS(2030),
    [sym_keyword_comment] = ACTIONS(2030),
    [sym_keyword_null] = ACTIONS(2030),
    [sym_keyword_array] = ACTIONS(2030),
    [anon_sym_LBRACK] = ACTIONS(2030),
    [anon_sym_RBRACK] = ACTIONS(2030),
    [anon_sym_RPAREN] = ACTIONS(2030),
    [anon_sym_COMMA] = ACTIONS(2030),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2030),
    [anon_sym_STAR] = ACTIONS(2030),
    [anon_sym_COLON_COLON] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(2032),
    [anon_sym_GT] = ACTIONS(2032),
    [anon_sym_LT_EQ] = ACTIONS(2030),
    [anon_sym_GT_EQ] = ACTIONS(2030),
    [anon_sym_COLON] = ACTIONS(2032),
    [sym_op_other] = ACTIONS(2030),
    [anon_sym_PLUS] = ACTIONS(2030),
    [anon_sym_DASH] = ACTIONS(2032),
    [anon_sym_SLASH] = ACTIONS(2032),
    [anon_sym_PERCENT] = ACTIONS(2030),
    [anon_sym_CARET] = ACTIONS(2032),
    [anon_sym_BANG_EQ] = ACTIONS(2030),
    [anon_sym_LT_GT] = ACTIONS(2030),
  },
  [217] = {
    [ts_builtin_sym_end] = ACTIONS(2165),
    [anon_sym_SEMI] = ACTIONS(2165),
    [sym_keyword_from] = ACTIONS(2165),
    [sym_keyword_on] = ACTIONS(2165),
    [sym_keyword_where] = ACTIONS(2165),
    [sym_keyword_desc] = ACTIONS(2165),
    [sym_keyword_asc] = ACTIONS(2165),
    [sym_keyword_limit] = ACTIONS(2165),
    [sym_keyword_primary] = ACTIONS(2165),
    [sym_keyword_create] = ACTIONS(2165),
    [sym_keyword_as] = ACTIONS(2167),
    [sym_keyword_constraint] = ACTIONS(2165),
    [sym_keyword_separator] = ACTIONS(2165),
    [sym_keyword_when] = ACTIONS(2165),
    [sym_keyword_then] = ACTIONS(2165),
    [sym_keyword_else] = ACTIONS(2165),
    [sym_keyword_end] = ACTIONS(2165),
    [sym_keyword_in] = ACTIONS(2165),
    [sym_keyword_and] = ACTIONS(2165),
    [sym_keyword_or] = ACTIONS(2165),
    [sym_keyword_is] = ACTIONS(2165),
    [sym_keyword_not] = ACTIONS(2165),
    [sym_keyword_using] = ACTIONS(2165),
    [sym_keyword_auto_increment] = ACTIONS(2165),
    [sym_keyword_generated] = ACTIONS(2165),
    [sym_keyword_default] = ACTIONS(2165),
    [sym_keyword_returning] = ACTIONS(2165),
    [sym_keyword_first] = ACTIONS(2165),
    [sym_keyword_after] = ACTIONS(2165),
    [sym_keyword_range] = ACTIONS(2165),
    [sym_keyword_rows] = ACTIONS(2165),
    [sym_keyword_groups] = ACTIONS(2165),
    [sym_keyword_between] = ACTIONS(2165),
    [sym_keyword_preceding] = ACTIONS(2165),
    [sym_keyword_following] = ACTIONS(2165),
    [sym_keyword_unique] = ACTIONS(2165),
    [sym_keyword_references] = ACTIONS(2165),
    [aux_sym_keyword_like_token1] = ACTIONS(2165),
    [aux_sym_keyword_like_token2] = ACTIONS(2165),
    [sym_keyword_similar] = ACTIONS(2165),
    [sym_keyword_check] = ACTIONS(2165),
    [sym_keyword_stored] = ACTIONS(2165),
    [sym_keyword_virtual] = ACTIONS(2165),
    [sym_keyword_comment] = ACTIONS(2165),
    [sym_keyword_null] = ACTIONS(2165),
    [sym_keyword_array] = ACTIONS(2165),
    [anon_sym_LBRACK] = ACTIONS(2165),
    [anon_sym_RBRACK] = ACTIONS(2165),
    [anon_sym_LPAREN] = ACTIONS(2165),
    [anon_sym_RPAREN] = ACTIONS(2165),
    [anon_sym_COMMA] = ACTIONS(2165),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2165),
    [anon_sym_STAR] = ACTIONS(2165),
    [anon_sym_COLON_COLON] = ACTIONS(2165),
    [anon_sym_LT] = ACTIONS(2167),
    [anon_sym_GT] = ACTIONS(2167),
    [anon_sym_LT_EQ] = ACTIONS(2165),
    [anon_sym_GT_EQ] = ACTIONS(2165),
    [anon_sym_COLON] = ACTIONS(2167),
    [sym_op_other] = ACTIONS(2165),
    [anon_sym_PLUS] = ACTIONS(2165),
    [anon_sym_DASH] = ACTIONS(2167),
    [anon_sym_SLASH] = ACTIONS(2167),
    [anon_sym_PERCENT] = ACTIONS(2165),
    [anon_sym_CARET] = ACTIONS(2167),
    [anon_sym_BANG_EQ] = ACTIONS(2165),
    [anon_sym_LT_GT] = ACTIONS(2165),
  },
  [218] = {
    [ts_builtin_sym_end] = ACTIONS(2169),
    [anon_sym_SEMI] = ACTIONS(2169),
    [sym_keyword_from] = ACTIONS(2169),
    [sym_keyword_on] = ACTIONS(2169),
    [sym_keyword_where] = ACTIONS(2169),
    [sym_keyword_desc] = ACTIONS(2169),
    [sym_keyword_asc] = ACTIONS(2169),
    [sym_keyword_limit] = ACTIONS(2169),
    [sym_keyword_primary] = ACTIONS(2169),
    [sym_keyword_create] = ACTIONS(2169),
    [sym_keyword_as] = ACTIONS(2171),
    [sym_keyword_constraint] = ACTIONS(2169),
    [sym_keyword_separator] = ACTIONS(2169),
    [sym_keyword_when] = ACTIONS(2169),
    [sym_keyword_then] = ACTIONS(2169),
    [sym_keyword_else] = ACTIONS(2169),
    [sym_keyword_end] = ACTIONS(2169),
    [sym_keyword_in] = ACTIONS(2169),
    [sym_keyword_and] = ACTIONS(2169),
    [sym_keyword_or] = ACTIONS(2169),
    [sym_keyword_is] = ACTIONS(2169),
    [sym_keyword_not] = ACTIONS(2169),
    [sym_keyword_using] = ACTIONS(2169),
    [sym_keyword_auto_increment] = ACTIONS(2169),
    [sym_keyword_generated] = ACTIONS(2169),
    [sym_keyword_default] = ACTIONS(2169),
    [sym_keyword_returning] = ACTIONS(2169),
    [sym_keyword_first] = ACTIONS(2169),
    [sym_keyword_after] = ACTIONS(2169),
    [sym_keyword_range] = ACTIONS(2169),
    [sym_keyword_rows] = ACTIONS(2169),
    [sym_keyword_groups] = ACTIONS(2169),
    [sym_keyword_between] = ACTIONS(2169),
    [sym_keyword_preceding] = ACTIONS(2169),
    [sym_keyword_following] = ACTIONS(2169),
    [sym_keyword_unique] = ACTIONS(2169),
    [sym_keyword_references] = ACTIONS(2169),
    [aux_sym_keyword_like_token1] = ACTIONS(2169),
    [aux_sym_keyword_like_token2] = ACTIONS(2169),
    [sym_keyword_similar] = ACTIONS(2169),
    [sym_keyword_check] = ACTIONS(2169),
    [sym_keyword_stored] = ACTIONS(2169),
    [sym_keyword_virtual] = ACTIONS(2169),
    [sym_keyword_comment] = ACTIONS(2169),
    [sym_keyword_null] = ACTIONS(2169),
    [sym_keyword_array] = ACTIONS(2169),
    [anon_sym_LBRACK] = ACTIONS(2169),
    [anon_sym_RBRACK] = ACTIONS(2169),
    [anon_sym_LPAREN] = ACTIONS(2173),
    [anon_sym_RPAREN] = ACTIONS(2169),
    [anon_sym_COMMA] = ACTIONS(2169),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2169),
    [anon_sym_STAR] = ACTIONS(2169),
    [anon_sym_COLON_COLON] = ACTIONS(2169),
    [anon_sym_LT] = ACTIONS(2171),
    [anon_sym_GT] = ACTIONS(2171),
    [anon_sym_LT_EQ] = ACTIONS(2169),
    [anon_sym_GT_EQ] = ACTIONS(2169),
    [anon_sym_COLON] = ACTIONS(2171),
    [sym_op_other] = ACTIONS(2169),
    [anon_sym_PLUS] = ACTIONS(2169),
    [anon_sym_DASH] = ACTIONS(2171),
    [anon_sym_SLASH] = ACTIONS(2171),
    [anon_sym_PERCENT] = ACTIONS(2169),
    [anon_sym_CARET] = ACTIONS(2171),
    [anon_sym_BANG_EQ] = ACTIONS(2169),
    [anon_sym_LT_GT] = ACTIONS(2169),
  },
  [219] = {
    [ts_builtin_sym_end] = ACTIONS(2018),
    [anon_sym_SEMI] = ACTIONS(2018),
    [sym_keyword_from] = ACTIONS(2018),
    [sym_keyword_on] = ACTIONS(2018),
    [sym_keyword_where] = ACTIONS(2018),
    [sym_keyword_desc] = ACTIONS(2018),
    [sym_keyword_asc] = ACTIONS(2018),
    [sym_keyword_limit] = ACTIONS(2018),
    [sym_keyword_primary] = ACTIONS(2018),
    [sym_keyword_create] = ACTIONS(2018),
    [sym_keyword_as] = ACTIONS(2020),
    [sym_keyword_constraint] = ACTIONS(2018),
    [sym_keyword_separator] = ACTIONS(2018),
    [sym_keyword_when] = ACTIONS(2018),
    [sym_keyword_then] = ACTIONS(2018),
    [sym_keyword_else] = ACTIONS(2018),
    [sym_keyword_end] = ACTIONS(2018),
    [sym_keyword_in] = ACTIONS(2018),
    [sym_keyword_and] = ACTIONS(2018),
    [sym_keyword_or] = ACTIONS(2018),
    [sym_keyword_is] = ACTIONS(2018),
    [sym_keyword_not] = ACTIONS(2018),
    [sym_keyword_using] = ACTIONS(2018),
    [sym_keyword_auto_increment] = ACTIONS(2018),
    [sym_keyword_generated] = ACTIONS(2018),
    [sym_keyword_default] = ACTIONS(2018),
    [sym_keyword_returning] = ACTIONS(2018),
    [sym_keyword_first] = ACTIONS(2018),
    [sym_keyword_after] = ACTIONS(2018),
    [sym_keyword_range] = ACTIONS(2018),
    [sym_keyword_rows] = ACTIONS(2018),
    [sym_keyword_groups] = ACTIONS(2018),
    [sym_keyword_between] = ACTIONS(2018),
    [sym_keyword_preceding] = ACTIONS(2018),
    [sym_keyword_following] = ACTIONS(2018),
    [sym_keyword_unique] = ACTIONS(2018),
    [sym_keyword_references] = ACTIONS(2018),
    [aux_sym_keyword_like_token1] = ACTIONS(2018),
    [aux_sym_keyword_like_token2] = ACTIONS(2018),
    [sym_keyword_similar] = ACTIONS(2018),
    [sym_keyword_zerofill] = ACTIONS(2175),
    [sym_keyword_check] = ACTIONS(2018),
    [sym_keyword_stored] = ACTIONS(2018),
    [sym_keyword_virtual] = ACTIONS(2018),
    [sym_keyword_comment] = ACTIONS(2018),
    [sym_keyword_null] = ACTIONS(2018),
    [sym_keyword_array] = ACTIONS(2018),
    [anon_sym_LBRACK] = ACTIONS(2018),
    [anon_sym_RBRACK] = ACTIONS(2018),
    [anon_sym_RPAREN] = ACTIONS(2018),
    [anon_sym_COMMA] = ACTIONS(2018),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2018),
    [anon_sym_STAR] = ACTIONS(2018),
    [anon_sym_COLON_COLON] = ACTIONS(2018),
    [anon_sym_LT] = ACTIONS(2020),
    [anon_sym_GT] = ACTIONS(2020),
    [anon_sym_LT_EQ] = ACTIONS(2018),
    [anon_sym_GT_EQ] = ACTIONS(2018),
    [anon_sym_COLON] = ACTIONS(2020),
    [sym_op_other] = ACTIONS(2018),
    [anon_sym_PLUS] = ACTIONS(2018),
    [anon_sym_DASH] = ACTIONS(2020),
    [anon_sym_SLASH] = ACTIONS(2020),
    [anon_sym_PERCENT] = ACTIONS(2018),
    [anon_sym_CARET] = ACTIONS(2020),
    [anon_sym_BANG_EQ] = ACTIONS(2018),
    [anon_sym_LT_GT] = ACTIONS(2018),
  },
  [220] = {
    [ts_builtin_sym_end] = ACTIONS(2177),
    [anon_sym_SEMI] = ACTIONS(2177),
    [sym_keyword_from] = ACTIONS(2177),
    [sym_keyword_on] = ACTIONS(2177),
    [sym_keyword_where] = ACTIONS(2177),
    [sym_keyword_desc] = ACTIONS(2177),
    [sym_keyword_asc] = ACTIONS(2177),
    [sym_keyword_limit] = ACTIONS(2177),
    [sym_keyword_primary] = ACTIONS(2177),
    [sym_keyword_create] = ACTIONS(2177),
    [sym_keyword_as] = ACTIONS(2179),
    [sym_keyword_constraint] = ACTIONS(2177),
    [sym_keyword_separator] = ACTIONS(2177),
    [sym_keyword_when] = ACTIONS(2177),
    [sym_keyword_then] = ACTIONS(2177),
    [sym_keyword_else] = ACTIONS(2177),
    [sym_keyword_end] = ACTIONS(2177),
    [sym_keyword_in] = ACTIONS(2177),
    [sym_keyword_and] = ACTIONS(2177),
    [sym_keyword_or] = ACTIONS(2177),
    [sym_keyword_is] = ACTIONS(2177),
    [sym_keyword_not] = ACTIONS(2177),
    [sym_keyword_using] = ACTIONS(2177),
    [sym_keyword_auto_increment] = ACTIONS(2177),
    [sym_keyword_generated] = ACTIONS(2177),
    [sym_keyword_default] = ACTIONS(2177),
    [sym_keyword_returning] = ACTIONS(2177),
    [sym_keyword_first] = ACTIONS(2177),
    [sym_keyword_after] = ACTIONS(2177),
    [sym_keyword_range] = ACTIONS(2177),
    [sym_keyword_rows] = ACTIONS(2177),
    [sym_keyword_groups] = ACTIONS(2177),
    [sym_keyword_between] = ACTIONS(2177),
    [sym_keyword_preceding] = ACTIONS(2177),
    [sym_keyword_following] = ACTIONS(2177),
    [sym_keyword_unique] = ACTIONS(2177),
    [sym_keyword_references] = ACTIONS(2177),
    [aux_sym_keyword_like_token1] = ACTIONS(2177),
    [aux_sym_keyword_like_token2] = ACTIONS(2177),
    [sym_keyword_similar] = ACTIONS(2177),
    [sym_keyword_check] = ACTIONS(2177),
    [sym_keyword_stored] = ACTIONS(2177),
    [sym_keyword_virtual] = ACTIONS(2177),
    [sym_keyword_comment] = ACTIONS(2177),
    [sym_keyword_null] = ACTIONS(2177),
    [sym_keyword_array] = ACTIONS(2177),
    [anon_sym_LBRACK] = ACTIONS(2177),
    [anon_sym_RBRACK] = ACTIONS(2177),
    [anon_sym_RPAREN] = ACTIONS(2177),
    [anon_sym_COMMA] = ACTIONS(2177),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2177),
    [anon_sym_STAR] = ACTIONS(2177),
    [anon_sym_COLON_COLON] = ACTIONS(2177),
    [anon_sym_LT] = ACTIONS(2179),
    [anon_sym_GT] = ACTIONS(2179),
    [anon_sym_LT_EQ] = ACTIONS(2177),
    [anon_sym_GT_EQ] = ACTIONS(2177),
    [anon_sym_COLON] = ACTIONS(2179),
    [sym_op_other] = ACTIONS(2177),
    [anon_sym_PLUS] = ACTIONS(2177),
    [anon_sym_DASH] = ACTIONS(2179),
    [anon_sym_SLASH] = ACTIONS(2179),
    [anon_sym_PERCENT] = ACTIONS(2177),
    [anon_sym_CARET] = ACTIONS(2179),
    [anon_sym_BANG_EQ] = ACTIONS(2177),
    [anon_sym_LT_GT] = ACTIONS(2177),
  },
  [221] = {
    [ts_builtin_sym_end] = ACTIONS(2181),
    [anon_sym_SEMI] = ACTIONS(2181),
    [sym_keyword_from] = ACTIONS(2181),
    [sym_keyword_on] = ACTIONS(2181),
    [sym_keyword_where] = ACTIONS(2181),
    [sym_keyword_desc] = ACTIONS(2181),
    [sym_keyword_asc] = ACTIONS(2181),
    [sym_keyword_limit] = ACTIONS(2181),
    [sym_keyword_primary] = ACTIONS(2181),
    [sym_keyword_create] = ACTIONS(2181),
    [sym_keyword_as] = ACTIONS(2183),
    [sym_keyword_constraint] = ACTIONS(2181),
    [sym_keyword_separator] = ACTIONS(2181),
    [sym_keyword_when] = ACTIONS(2181),
    [sym_keyword_then] = ACTIONS(2181),
    [sym_keyword_else] = ACTIONS(2181),
    [sym_keyword_end] = ACTIONS(2181),
    [sym_keyword_in] = ACTIONS(2181),
    [sym_keyword_and] = ACTIONS(2181),
    [sym_keyword_or] = ACTIONS(2181),
    [sym_keyword_is] = ACTIONS(2181),
    [sym_keyword_not] = ACTIONS(2181),
    [sym_keyword_using] = ACTIONS(2181),
    [sym_keyword_auto_increment] = ACTIONS(2181),
    [sym_keyword_generated] = ACTIONS(2181),
    [sym_keyword_default] = ACTIONS(2181),
    [sym_keyword_returning] = ACTIONS(2181),
    [sym_keyword_first] = ACTIONS(2181),
    [sym_keyword_after] = ACTIONS(2181),
    [sym_keyword_range] = ACTIONS(2181),
    [sym_keyword_rows] = ACTIONS(2181),
    [sym_keyword_groups] = ACTIONS(2181),
    [sym_keyword_between] = ACTIONS(2181),
    [sym_keyword_preceding] = ACTIONS(2181),
    [sym_keyword_following] = ACTIONS(2181),
    [sym_keyword_unique] = ACTIONS(2181),
    [sym_keyword_references] = ACTIONS(2181),
    [aux_sym_keyword_like_token1] = ACTIONS(2181),
    [aux_sym_keyword_like_token2] = ACTIONS(2181),
    [sym_keyword_similar] = ACTIONS(2181),
    [sym_keyword_check] = ACTIONS(2181),
    [sym_keyword_stored] = ACTIONS(2181),
    [sym_keyword_virtual] = ACTIONS(2181),
    [sym_keyword_comment] = ACTIONS(2181),
    [sym_keyword_null] = ACTIONS(2181),
    [sym_keyword_array] = ACTIONS(2181),
    [anon_sym_LBRACK] = ACTIONS(2181),
    [anon_sym_RBRACK] = ACTIONS(2181),
    [anon_sym_RPAREN] = ACTIONS(2181),
    [anon_sym_COMMA] = ACTIONS(2181),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2181),
    [anon_sym_STAR] = ACTIONS(2181),
    [anon_sym_COLON_COLON] = ACTIONS(2181),
    [anon_sym_LT] = ACTIONS(2183),
    [anon_sym_GT] = ACTIONS(2183),
    [anon_sym_LT_EQ] = ACTIONS(2181),
    [anon_sym_GT_EQ] = ACTIONS(2181),
    [anon_sym_COLON] = ACTIONS(2183),
    [sym_op_other] = ACTIONS(2181),
    [anon_sym_PLUS] = ACTIONS(2181),
    [anon_sym_DASH] = ACTIONS(2183),
    [anon_sym_SLASH] = ACTIONS(2183),
    [anon_sym_PERCENT] = ACTIONS(2181),
    [anon_sym_CARET] = ACTIONS(2183),
    [anon_sym_BANG_EQ] = ACTIONS(2181),
    [anon_sym_LT_GT] = ACTIONS(2181),
  },
  [222] = {
    [ts_builtin_sym_end] = ACTIONS(2185),
    [anon_sym_SEMI] = ACTIONS(2185),
    [sym_keyword_from] = ACTIONS(2185),
    [sym_keyword_on] = ACTIONS(2185),
    [sym_keyword_where] = ACTIONS(2185),
    [sym_keyword_desc] = ACTIONS(2185),
    [sym_keyword_asc] = ACTIONS(2185),
    [sym_keyword_limit] = ACTIONS(2185),
    [sym_keyword_primary] = ACTIONS(2185),
    [sym_keyword_create] = ACTIONS(2185),
    [sym_keyword_as] = ACTIONS(2187),
    [sym_keyword_constraint] = ACTIONS(2185),
    [sym_keyword_separator] = ACTIONS(2185),
    [sym_keyword_when] = ACTIONS(2185),
    [sym_keyword_then] = ACTIONS(2185),
    [sym_keyword_else] = ACTIONS(2185),
    [sym_keyword_end] = ACTIONS(2185),
    [sym_keyword_in] = ACTIONS(2185),
    [sym_keyword_and] = ACTIONS(2185),
    [sym_keyword_or] = ACTIONS(2185),
    [sym_keyword_is] = ACTIONS(2185),
    [sym_keyword_not] = ACTIONS(2185),
    [sym_keyword_using] = ACTIONS(2185),
    [sym_keyword_auto_increment] = ACTIONS(2185),
    [sym_keyword_generated] = ACTIONS(2185),
    [sym_keyword_default] = ACTIONS(2185),
    [sym_keyword_returning] = ACTIONS(2185),
    [sym_keyword_first] = ACTIONS(2185),
    [sym_keyword_after] = ACTIONS(2185),
    [sym_keyword_range] = ACTIONS(2185),
    [sym_keyword_rows] = ACTIONS(2185),
    [sym_keyword_groups] = ACTIONS(2185),
    [sym_keyword_between] = ACTIONS(2185),
    [sym_keyword_preceding] = ACTIONS(2185),
    [sym_keyword_following] = ACTIONS(2185),
    [sym_keyword_unique] = ACTIONS(2185),
    [sym_keyword_references] = ACTIONS(2185),
    [aux_sym_keyword_like_token1] = ACTIONS(2185),
    [aux_sym_keyword_like_token2] = ACTIONS(2185),
    [sym_keyword_similar] = ACTIONS(2185),
    [sym_keyword_check] = ACTIONS(2185),
    [sym_keyword_stored] = ACTIONS(2185),
    [sym_keyword_virtual] = ACTIONS(2185),
    [sym_keyword_comment] = ACTIONS(2185),
    [sym_keyword_null] = ACTIONS(2185),
    [sym_keyword_array] = ACTIONS(2185),
    [anon_sym_LBRACK] = ACTIONS(2185),
    [anon_sym_RBRACK] = ACTIONS(2185),
    [anon_sym_RPAREN] = ACTIONS(2185),
    [anon_sym_COMMA] = ACTIONS(2185),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2185),
    [anon_sym_STAR] = ACTIONS(2185),
    [anon_sym_COLON_COLON] = ACTIONS(2185),
    [anon_sym_LT] = ACTIONS(2187),
    [anon_sym_GT] = ACTIONS(2187),
    [anon_sym_LT_EQ] = ACTIONS(2185),
    [anon_sym_GT_EQ] = ACTIONS(2185),
    [anon_sym_COLON] = ACTIONS(2187),
    [sym_op_other] = ACTIONS(2185),
    [anon_sym_PLUS] = ACTIONS(2185),
    [anon_sym_DASH] = ACTIONS(2187),
    [anon_sym_SLASH] = ACTIONS(2187),
    [anon_sym_PERCENT] = ACTIONS(2185),
    [anon_sym_CARET] = ACTIONS(2187),
    [anon_sym_BANG_EQ] = ACTIONS(2185),
    [anon_sym_LT_GT] = ACTIONS(2185),
  },
  [223] = {
    [ts_builtin_sym_end] = ACTIONS(1772),
    [anon_sym_SEMI] = ACTIONS(1772),
    [sym_keyword_from] = ACTIONS(1772),
    [sym_keyword_on] = ACTIONS(1772),
    [sym_keyword_where] = ACTIONS(1772),
    [sym_keyword_desc] = ACTIONS(1772),
    [sym_keyword_asc] = ACTIONS(1772),
    [sym_keyword_limit] = ACTIONS(1772),
    [sym_keyword_primary] = ACTIONS(1772),
    [sym_keyword_create] = ACTIONS(1772),
    [sym_keyword_as] = ACTIONS(1774),
    [sym_keyword_constraint] = ACTIONS(1772),
    [sym_keyword_separator] = ACTIONS(1772),
    [sym_keyword_when] = ACTIONS(1772),
    [sym_keyword_then] = ACTIONS(1772),
    [sym_keyword_else] = ACTIONS(1772),
    [sym_keyword_end] = ACTIONS(1772),
    [sym_keyword_in] = ACTIONS(1772),
    [sym_keyword_and] = ACTIONS(1772),
    [sym_keyword_or] = ACTIONS(1772),
    [sym_keyword_is] = ACTIONS(1772),
    [sym_keyword_not] = ACTIONS(1772),
    [sym_keyword_using] = ACTIONS(1772),
    [sym_keyword_auto_increment] = ACTIONS(1772),
    [sym_keyword_generated] = ACTIONS(1772),
    [sym_keyword_default] = ACTIONS(1772),
    [sym_keyword_returning] = ACTIONS(1772),
    [sym_keyword_first] = ACTIONS(1772),
    [sym_keyword_after] = ACTIONS(1772),
    [sym_keyword_range] = ACTIONS(1772),
    [sym_keyword_rows] = ACTIONS(1772),
    [sym_keyword_groups] = ACTIONS(1772),
    [sym_keyword_between] = ACTIONS(1772),
    [sym_keyword_preceding] = ACTIONS(1772),
    [sym_keyword_following] = ACTIONS(1772),
    [sym_keyword_unique] = ACTIONS(1772),
    [sym_keyword_references] = ACTIONS(1772),
    [aux_sym_keyword_like_token1] = ACTIONS(1772),
    [aux_sym_keyword_like_token2] = ACTIONS(1772),
    [sym_keyword_similar] = ACTIONS(1772),
    [sym_keyword_check] = ACTIONS(1772),
    [sym_keyword_stored] = ACTIONS(1772),
    [sym_keyword_virtual] = ACTIONS(1772),
    [sym_keyword_comment] = ACTIONS(1772),
    [sym_keyword_null] = ACTIONS(1772),
    [sym_keyword_array] = ACTIONS(1772),
    [anon_sym_LBRACK] = ACTIONS(1772),
    [anon_sym_RBRACK] = ACTIONS(1772),
    [anon_sym_RPAREN] = ACTIONS(1772),
    [anon_sym_COMMA] = ACTIONS(1772),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1772),
    [anon_sym_STAR] = ACTIONS(1772),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LT] = ACTIONS(1774),
    [anon_sym_GT] = ACTIONS(1774),
    [anon_sym_LT_EQ] = ACTIONS(1772),
    [anon_sym_GT_EQ] = ACTIONS(1772),
    [anon_sym_COLON] = ACTIONS(1774),
    [sym_op_other] = ACTIONS(1772),
    [anon_sym_PLUS] = ACTIONS(1772),
    [anon_sym_DASH] = ACTIONS(1774),
    [anon_sym_SLASH] = ACTIONS(1774),
    [anon_sym_PERCENT] = ACTIONS(1772),
    [anon_sym_CARET] = ACTIONS(1774),
    [anon_sym_BANG_EQ] = ACTIONS(1772),
    [anon_sym_LT_GT] = ACTIONS(1772),
  },
  [224] = {
    [ts_builtin_sym_end] = ACTIONS(2189),
    [anon_sym_SEMI] = ACTIONS(2189),
    [sym_keyword_from] = ACTIONS(2189),
    [sym_keyword_on] = ACTIONS(2189),
    [sym_keyword_where] = ACTIONS(2189),
    [sym_keyword_desc] = ACTIONS(2189),
    [sym_keyword_asc] = ACTIONS(2189),
    [sym_keyword_limit] = ACTIONS(2189),
    [sym_keyword_primary] = ACTIONS(2189),
    [sym_keyword_create] = ACTIONS(2189),
    [sym_keyword_as] = ACTIONS(2191),
    [sym_keyword_constraint] = ACTIONS(2189),
    [sym_keyword_separator] = ACTIONS(2189),
    [sym_keyword_when] = ACTIONS(2189),
    [sym_keyword_then] = ACTIONS(2189),
    [sym_keyword_else] = ACTIONS(2189),
    [sym_keyword_end] = ACTIONS(2189),
    [sym_keyword_in] = ACTIONS(2189),
    [sym_keyword_and] = ACTIONS(2189),
    [sym_keyword_or] = ACTIONS(2189),
    [sym_keyword_is] = ACTIONS(2189),
    [sym_keyword_not] = ACTIONS(2189),
    [sym_keyword_using] = ACTIONS(2189),
    [sym_keyword_auto_increment] = ACTIONS(2189),
    [sym_keyword_generated] = ACTIONS(2189),
    [sym_keyword_default] = ACTIONS(2189),
    [sym_keyword_returning] = ACTIONS(2189),
    [sym_keyword_first] = ACTIONS(2189),
    [sym_keyword_after] = ACTIONS(2189),
    [sym_keyword_range] = ACTIONS(2189),
    [sym_keyword_rows] = ACTIONS(2189),
    [sym_keyword_groups] = ACTIONS(2189),
    [sym_keyword_between] = ACTIONS(2189),
    [sym_keyword_preceding] = ACTIONS(2189),
    [sym_keyword_following] = ACTIONS(2189),
    [sym_keyword_unique] = ACTIONS(2189),
    [sym_keyword_references] = ACTIONS(2189),
    [aux_sym_keyword_like_token1] = ACTIONS(2189),
    [aux_sym_keyword_like_token2] = ACTIONS(2189),
    [sym_keyword_similar] = ACTIONS(2189),
    [sym_keyword_check] = ACTIONS(2189),
    [sym_keyword_stored] = ACTIONS(2189),
    [sym_keyword_virtual] = ACTIONS(2189),
    [sym_keyword_comment] = ACTIONS(2189),
    [sym_keyword_null] = ACTIONS(2189),
    [sym_keyword_array] = ACTIONS(2189),
    [anon_sym_LBRACK] = ACTIONS(2189),
    [anon_sym_RBRACK] = ACTIONS(2189),
    [anon_sym_RPAREN] = ACTIONS(2189),
    [anon_sym_COMMA] = ACTIONS(2189),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2189),
    [anon_sym_STAR] = ACTIONS(2189),
    [anon_sym_COLON_COLON] = ACTIONS(2189),
    [anon_sym_LT] = ACTIONS(2191),
    [anon_sym_GT] = ACTIONS(2191),
    [anon_sym_LT_EQ] = ACTIONS(2189),
    [anon_sym_GT_EQ] = ACTIONS(2189),
    [anon_sym_COLON] = ACTIONS(2191),
    [sym_op_other] = ACTIONS(2189),
    [anon_sym_PLUS] = ACTIONS(2189),
    [anon_sym_DASH] = ACTIONS(2191),
    [anon_sym_SLASH] = ACTIONS(2191),
    [anon_sym_PERCENT] = ACTIONS(2189),
    [anon_sym_CARET] = ACTIONS(2191),
    [anon_sym_BANG_EQ] = ACTIONS(2189),
    [anon_sym_LT_GT] = ACTIONS(2189),
  },
  [225] = {
    [ts_builtin_sym_end] = ACTIONS(2193),
    [anon_sym_SEMI] = ACTIONS(2193),
    [sym_keyword_from] = ACTIONS(2193),
    [sym_keyword_on] = ACTIONS(2193),
    [sym_keyword_where] = ACTIONS(2193),
    [sym_keyword_desc] = ACTIONS(2193),
    [sym_keyword_asc] = ACTIONS(2193),
    [sym_keyword_limit] = ACTIONS(2193),
    [sym_keyword_primary] = ACTIONS(2193),
    [sym_keyword_create] = ACTIONS(2193),
    [sym_keyword_as] = ACTIONS(2195),
    [sym_keyword_constraint] = ACTIONS(2193),
    [sym_keyword_separator] = ACTIONS(2193),
    [sym_keyword_when] = ACTIONS(2193),
    [sym_keyword_then] = ACTIONS(2193),
    [sym_keyword_else] = ACTIONS(2193),
    [sym_keyword_end] = ACTIONS(2193),
    [sym_keyword_in] = ACTIONS(2193),
    [sym_keyword_and] = ACTIONS(2193),
    [sym_keyword_or] = ACTIONS(2193),
    [sym_keyword_is] = ACTIONS(2193),
    [sym_keyword_not] = ACTIONS(2193),
    [sym_keyword_using] = ACTIONS(2193),
    [sym_keyword_auto_increment] = ACTIONS(2193),
    [sym_keyword_generated] = ACTIONS(2193),
    [sym_keyword_default] = ACTIONS(2193),
    [sym_keyword_returning] = ACTIONS(2193),
    [sym_keyword_first] = ACTIONS(2193),
    [sym_keyword_after] = ACTIONS(2193),
    [sym_keyword_range] = ACTIONS(2193),
    [sym_keyword_rows] = ACTIONS(2193),
    [sym_keyword_groups] = ACTIONS(2193),
    [sym_keyword_between] = ACTIONS(2193),
    [sym_keyword_preceding] = ACTIONS(2193),
    [sym_keyword_following] = ACTIONS(2193),
    [sym_keyword_unique] = ACTIONS(2193),
    [sym_keyword_references] = ACTIONS(2193),
    [aux_sym_keyword_like_token1] = ACTIONS(2193),
    [aux_sym_keyword_like_token2] = ACTIONS(2193),
    [sym_keyword_similar] = ACTIONS(2193),
    [sym_keyword_check] = ACTIONS(2193),
    [sym_keyword_stored] = ACTIONS(2193),
    [sym_keyword_virtual] = ACTIONS(2193),
    [sym_keyword_comment] = ACTIONS(2193),
    [sym_keyword_null] = ACTIONS(2193),
    [sym_keyword_array] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2193),
    [anon_sym_RBRACK] = ACTIONS(2193),
    [anon_sym_RPAREN] = ACTIONS(2193),
    [anon_sym_COMMA] = ACTIONS(2193),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2193),
    [anon_sym_STAR] = ACTIONS(2193),
    [anon_sym_COLON_COLON] = ACTIONS(2193),
    [anon_sym_LT] = ACTIONS(2195),
    [anon_sym_GT] = ACTIONS(2195),
    [anon_sym_LT_EQ] = ACTIONS(2193),
    [anon_sym_GT_EQ] = ACTIONS(2193),
    [anon_sym_COLON] = ACTIONS(2195),
    [sym_op_other] = ACTIONS(2193),
    [anon_sym_PLUS] = ACTIONS(2193),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_SLASH] = ACTIONS(2195),
    [anon_sym_PERCENT] = ACTIONS(2193),
    [anon_sym_CARET] = ACTIONS(2195),
    [anon_sym_BANG_EQ] = ACTIONS(2193),
    [anon_sym_LT_GT] = ACTIONS(2193),
  },
  [226] = {
    [ts_builtin_sym_end] = ACTIONS(1924),
    [anon_sym_SEMI] = ACTIONS(1924),
    [sym_keyword_from] = ACTIONS(1924),
    [sym_keyword_on] = ACTIONS(1924),
    [sym_keyword_where] = ACTIONS(1924),
    [sym_keyword_desc] = ACTIONS(1924),
    [sym_keyword_asc] = ACTIONS(1924),
    [sym_keyword_limit] = ACTIONS(1924),
    [sym_keyword_primary] = ACTIONS(1924),
    [sym_keyword_create] = ACTIONS(1924),
    [sym_keyword_as] = ACTIONS(1926),
    [sym_keyword_constraint] = ACTIONS(1924),
    [sym_keyword_separator] = ACTIONS(1924),
    [sym_keyword_when] = ACTIONS(1924),
    [sym_keyword_then] = ACTIONS(1924),
    [sym_keyword_else] = ACTIONS(1924),
    [sym_keyword_end] = ACTIONS(1924),
    [sym_keyword_in] = ACTIONS(1924),
    [sym_keyword_and] = ACTIONS(1924),
    [sym_keyword_or] = ACTIONS(1924),
    [sym_keyword_is] = ACTIONS(1924),
    [sym_keyword_not] = ACTIONS(1924),
    [sym_keyword_using] = ACTIONS(1924),
    [sym_keyword_auto_increment] = ACTIONS(1924),
    [sym_keyword_generated] = ACTIONS(1924),
    [sym_keyword_default] = ACTIONS(1924),
    [sym_keyword_returning] = ACTIONS(1924),
    [sym_keyword_first] = ACTIONS(1924),
    [sym_keyword_after] = ACTIONS(1924),
    [sym_keyword_range] = ACTIONS(1924),
    [sym_keyword_rows] = ACTIONS(1924),
    [sym_keyword_groups] = ACTIONS(1924),
    [sym_keyword_between] = ACTIONS(1924),
    [sym_keyword_preceding] = ACTIONS(1924),
    [sym_keyword_following] = ACTIONS(1924),
    [sym_keyword_unique] = ACTIONS(1924),
    [sym_keyword_references] = ACTIONS(1924),
    [aux_sym_keyword_like_token1] = ACTIONS(1924),
    [aux_sym_keyword_like_token2] = ACTIONS(1924),
    [sym_keyword_similar] = ACTIONS(1924),
    [sym_keyword_check] = ACTIONS(1924),
    [sym_keyword_stored] = ACTIONS(1924),
    [sym_keyword_virtual] = ACTIONS(1924),
    [sym_keyword_comment] = ACTIONS(1924),
    [sym_keyword_null] = ACTIONS(1924),
    [sym_keyword_array] = ACTIONS(1924),
    [anon_sym_LBRACK] = ACTIONS(1924),
    [anon_sym_RBRACK] = ACTIONS(1924),
    [anon_sym_RPAREN] = ACTIONS(1924),
    [anon_sym_COMMA] = ACTIONS(1924),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1924),
    [anon_sym_STAR] = ACTIONS(1924),
    [anon_sym_COLON_COLON] = ACTIONS(1924),
    [anon_sym_LT] = ACTIONS(1926),
    [anon_sym_GT] = ACTIONS(1926),
    [anon_sym_LT_EQ] = ACTIONS(1924),
    [anon_sym_GT_EQ] = ACTIONS(1924),
    [anon_sym_COLON] = ACTIONS(1926),
    [sym_op_other] = ACTIONS(1924),
    [anon_sym_PLUS] = ACTIONS(1924),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_SLASH] = ACTIONS(1926),
    [anon_sym_PERCENT] = ACTIONS(1924),
    [anon_sym_CARET] = ACTIONS(1926),
    [anon_sym_BANG_EQ] = ACTIONS(1924),
    [anon_sym_LT_GT] = ACTIONS(1924),
  },
  [227] = {
    [ts_builtin_sym_end] = ACTIONS(2197),
    [anon_sym_SEMI] = ACTIONS(2197),
    [sym_keyword_from] = ACTIONS(2197),
    [sym_keyword_on] = ACTIONS(2197),
    [sym_keyword_where] = ACTIONS(2197),
    [sym_keyword_desc] = ACTIONS(2197),
    [sym_keyword_asc] = ACTIONS(2197),
    [sym_keyword_limit] = ACTIONS(2197),
    [sym_keyword_primary] = ACTIONS(2197),
    [sym_keyword_create] = ACTIONS(2197),
    [sym_keyword_as] = ACTIONS(2199),
    [sym_keyword_constraint] = ACTIONS(2197),
    [sym_keyword_separator] = ACTIONS(2197),
    [sym_keyword_when] = ACTIONS(2197),
    [sym_keyword_then] = ACTIONS(2197),
    [sym_keyword_else] = ACTIONS(2197),
    [sym_keyword_end] = ACTIONS(2197),
    [sym_keyword_in] = ACTIONS(2197),
    [sym_keyword_and] = ACTIONS(2197),
    [sym_keyword_or] = ACTIONS(2197),
    [sym_keyword_is] = ACTIONS(2197),
    [sym_keyword_not] = ACTIONS(2197),
    [sym_keyword_using] = ACTIONS(2197),
    [sym_keyword_auto_increment] = ACTIONS(2197),
    [sym_keyword_generated] = ACTIONS(2197),
    [sym_keyword_default] = ACTIONS(2197),
    [sym_keyword_returning] = ACTIONS(2197),
    [sym_keyword_first] = ACTIONS(2197),
    [sym_keyword_after] = ACTIONS(2197),
    [sym_keyword_range] = ACTIONS(2197),
    [sym_keyword_rows] = ACTIONS(2197),
    [sym_keyword_groups] = ACTIONS(2197),
    [sym_keyword_between] = ACTIONS(2197),
    [sym_keyword_preceding] = ACTIONS(2197),
    [sym_keyword_following] = ACTIONS(2197),
    [sym_keyword_unique] = ACTIONS(2197),
    [sym_keyword_references] = ACTIONS(2197),
    [aux_sym_keyword_like_token1] = ACTIONS(2197),
    [aux_sym_keyword_like_token2] = ACTIONS(2197),
    [sym_keyword_similar] = ACTIONS(2197),
    [sym_keyword_check] = ACTIONS(2197),
    [sym_keyword_stored] = ACTIONS(2197),
    [sym_keyword_virtual] = ACTIONS(2197),
    [sym_keyword_comment] = ACTIONS(2197),
    [sym_keyword_null] = ACTIONS(2197),
    [sym_keyword_array] = ACTIONS(2197),
    [anon_sym_LBRACK] = ACTIONS(2197),
    [anon_sym_RBRACK] = ACTIONS(2197),
    [anon_sym_RPAREN] = ACTIONS(2197),
    [anon_sym_COMMA] = ACTIONS(2197),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2197),
    [anon_sym_STAR] = ACTIONS(2197),
    [anon_sym_COLON_COLON] = ACTIONS(2197),
    [anon_sym_LT] = ACTIONS(2199),
    [anon_sym_GT] = ACTIONS(2199),
    [anon_sym_LT_EQ] = ACTIONS(2197),
    [anon_sym_GT_EQ] = ACTIONS(2197),
    [anon_sym_COLON] = ACTIONS(2199),
    [sym_op_other] = ACTIONS(2197),
    [anon_sym_PLUS] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2199),
    [anon_sym_SLASH] = ACTIONS(2199),
    [anon_sym_PERCENT] = ACTIONS(2197),
    [anon_sym_CARET] = ACTIONS(2199),
    [anon_sym_BANG_EQ] = ACTIONS(2197),
    [anon_sym_LT_GT] = ACTIONS(2197),
  },
  [228] = {
    [ts_builtin_sym_end] = ACTIONS(2201),
    [anon_sym_SEMI] = ACTIONS(2201),
    [sym_keyword_from] = ACTIONS(2201),
    [sym_keyword_on] = ACTIONS(2201),
    [sym_keyword_where] = ACTIONS(2201),
    [sym_keyword_desc] = ACTIONS(2201),
    [sym_keyword_asc] = ACTIONS(2201),
    [sym_keyword_limit] = ACTIONS(2201),
    [sym_keyword_primary] = ACTIONS(2201),
    [sym_keyword_create] = ACTIONS(2201),
    [sym_keyword_as] = ACTIONS(2203),
    [sym_keyword_constraint] = ACTIONS(2201),
    [sym_keyword_separator] = ACTIONS(2201),
    [sym_keyword_when] = ACTIONS(2201),
    [sym_keyword_then] = ACTIONS(2201),
    [sym_keyword_else] = ACTIONS(2201),
    [sym_keyword_end] = ACTIONS(2201),
    [sym_keyword_in] = ACTIONS(2201),
    [sym_keyword_and] = ACTIONS(2201),
    [sym_keyword_or] = ACTIONS(2201),
    [sym_keyword_is] = ACTIONS(2201),
    [sym_keyword_not] = ACTIONS(2201),
    [sym_keyword_using] = ACTIONS(2201),
    [sym_keyword_auto_increment] = ACTIONS(2201),
    [sym_keyword_generated] = ACTIONS(2201),
    [sym_keyword_default] = ACTIONS(2201),
    [sym_keyword_returning] = ACTIONS(2201),
    [sym_keyword_first] = ACTIONS(2201),
    [sym_keyword_after] = ACTIONS(2201),
    [sym_keyword_range] = ACTIONS(2201),
    [sym_keyword_rows] = ACTIONS(2201),
    [sym_keyword_groups] = ACTIONS(2201),
    [sym_keyword_between] = ACTIONS(2201),
    [sym_keyword_preceding] = ACTIONS(2201),
    [sym_keyword_following] = ACTIONS(2201),
    [sym_keyword_unique] = ACTIONS(2201),
    [sym_keyword_references] = ACTIONS(2201),
    [aux_sym_keyword_like_token1] = ACTIONS(2201),
    [aux_sym_keyword_like_token2] = ACTIONS(2201),
    [sym_keyword_similar] = ACTIONS(2201),
    [sym_keyword_check] = ACTIONS(2201),
    [sym_keyword_stored] = ACTIONS(2201),
    [sym_keyword_virtual] = ACTIONS(2201),
    [sym_keyword_comment] = ACTIONS(2201),
    [sym_keyword_null] = ACTIONS(2201),
    [sym_keyword_array] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2201),
    [anon_sym_RBRACK] = ACTIONS(2201),
    [anon_sym_RPAREN] = ACTIONS(2201),
    [anon_sym_COMMA] = ACTIONS(2201),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2201),
    [anon_sym_STAR] = ACTIONS(2201),
    [anon_sym_COLON_COLON] = ACTIONS(2201),
    [anon_sym_LT] = ACTIONS(2203),
    [anon_sym_GT] = ACTIONS(2203),
    [anon_sym_LT_EQ] = ACTIONS(2201),
    [anon_sym_GT_EQ] = ACTIONS(2201),
    [anon_sym_COLON] = ACTIONS(2203),
    [sym_op_other] = ACTIONS(2201),
    [anon_sym_PLUS] = ACTIONS(2201),
    [anon_sym_DASH] = ACTIONS(2203),
    [anon_sym_SLASH] = ACTIONS(2203),
    [anon_sym_PERCENT] = ACTIONS(2201),
    [anon_sym_CARET] = ACTIONS(2203),
    [anon_sym_BANG_EQ] = ACTIONS(2201),
    [anon_sym_LT_GT] = ACTIONS(2201),
  },
  [229] = {
    [ts_builtin_sym_end] = ACTIONS(2205),
    [anon_sym_SEMI] = ACTIONS(2205),
    [sym_keyword_from] = ACTIONS(2205),
    [sym_keyword_on] = ACTIONS(2205),
    [sym_keyword_where] = ACTIONS(2205),
    [sym_keyword_desc] = ACTIONS(2205),
    [sym_keyword_asc] = ACTIONS(2205),
    [sym_keyword_limit] = ACTIONS(2205),
    [sym_keyword_primary] = ACTIONS(2205),
    [sym_keyword_create] = ACTIONS(2205),
    [sym_keyword_as] = ACTIONS(2207),
    [sym_keyword_constraint] = ACTIONS(2205),
    [sym_keyword_separator] = ACTIONS(2205),
    [sym_keyword_when] = ACTIONS(2205),
    [sym_keyword_then] = ACTIONS(2205),
    [sym_keyword_else] = ACTIONS(2205),
    [sym_keyword_end] = ACTIONS(2205),
    [sym_keyword_in] = ACTIONS(2205),
    [sym_keyword_and] = ACTIONS(2205),
    [sym_keyword_or] = ACTIONS(2205),
    [sym_keyword_is] = ACTIONS(2205),
    [sym_keyword_not] = ACTIONS(2205),
    [sym_keyword_using] = ACTIONS(2205),
    [sym_keyword_auto_increment] = ACTIONS(2205),
    [sym_keyword_generated] = ACTIONS(2205),
    [sym_keyword_default] = ACTIONS(2205),
    [sym_keyword_returning] = ACTIONS(2205),
    [sym_keyword_first] = ACTIONS(2205),
    [sym_keyword_after] = ACTIONS(2205),
    [sym_keyword_range] = ACTIONS(2205),
    [sym_keyword_rows] = ACTIONS(2205),
    [sym_keyword_groups] = ACTIONS(2205),
    [sym_keyword_between] = ACTIONS(2205),
    [sym_keyword_preceding] = ACTIONS(2205),
    [sym_keyword_following] = ACTIONS(2205),
    [sym_keyword_unique] = ACTIONS(2205),
    [sym_keyword_references] = ACTIONS(2205),
    [aux_sym_keyword_like_token1] = ACTIONS(2205),
    [aux_sym_keyword_like_token2] = ACTIONS(2205),
    [sym_keyword_similar] = ACTIONS(2205),
    [sym_keyword_check] = ACTIONS(2205),
    [sym_keyword_stored] = ACTIONS(2205),
    [sym_keyword_virtual] = ACTIONS(2205),
    [sym_keyword_comment] = ACTIONS(2205),
    [sym_keyword_null] = ACTIONS(2205),
    [sym_keyword_array] = ACTIONS(2205),
    [anon_sym_LBRACK] = ACTIONS(2205),
    [anon_sym_RBRACK] = ACTIONS(2205),
    [anon_sym_RPAREN] = ACTIONS(2205),
    [anon_sym_COMMA] = ACTIONS(2205),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2205),
    [anon_sym_STAR] = ACTIONS(2205),
    [anon_sym_COLON_COLON] = ACTIONS(2205),
    [anon_sym_LT] = ACTIONS(2207),
    [anon_sym_GT] = ACTIONS(2207),
    [anon_sym_LT_EQ] = ACTIONS(2205),
    [anon_sym_GT_EQ] = ACTIONS(2205),
    [anon_sym_COLON] = ACTIONS(2207),
    [sym_op_other] = ACTIONS(2205),
    [anon_sym_PLUS] = ACTIONS(2205),
    [anon_sym_DASH] = ACTIONS(2207),
    [anon_sym_SLASH] = ACTIONS(2207),
    [anon_sym_PERCENT] = ACTIONS(2205),
    [anon_sym_CARET] = ACTIONS(2207),
    [anon_sym_BANG_EQ] = ACTIONS(2205),
    [anon_sym_LT_GT] = ACTIONS(2205),
  },
  [230] = {
    [ts_builtin_sym_end] = ACTIONS(2209),
    [anon_sym_SEMI] = ACTIONS(2209),
    [sym_keyword_from] = ACTIONS(2209),
    [sym_keyword_on] = ACTIONS(2209),
    [sym_keyword_where] = ACTIONS(2209),
    [sym_keyword_desc] = ACTIONS(2209),
    [sym_keyword_asc] = ACTIONS(2209),
    [sym_keyword_limit] = ACTIONS(2209),
    [sym_keyword_primary] = ACTIONS(2209),
    [sym_keyword_create] = ACTIONS(2209),
    [sym_keyword_as] = ACTIONS(2211),
    [sym_keyword_constraint] = ACTIONS(2209),
    [sym_keyword_separator] = ACTIONS(2209),
    [sym_keyword_when] = ACTIONS(2209),
    [sym_keyword_then] = ACTIONS(2209),
    [sym_keyword_else] = ACTIONS(2209),
    [sym_keyword_end] = ACTIONS(2209),
    [sym_keyword_in] = ACTIONS(2209),
    [sym_keyword_and] = ACTIONS(2209),
    [sym_keyword_or] = ACTIONS(2209),
    [sym_keyword_is] = ACTIONS(2209),
    [sym_keyword_not] = ACTIONS(2209),
    [sym_keyword_using] = ACTIONS(2209),
    [sym_keyword_auto_increment] = ACTIONS(2209),
    [sym_keyword_generated] = ACTIONS(2209),
    [sym_keyword_default] = ACTIONS(2209),
    [sym_keyword_returning] = ACTIONS(2209),
    [sym_keyword_first] = ACTIONS(2209),
    [sym_keyword_after] = ACTIONS(2209),
    [sym_keyword_range] = ACTIONS(2209),
    [sym_keyword_rows] = ACTIONS(2209),
    [sym_keyword_groups] = ACTIONS(2209),
    [sym_keyword_between] = ACTIONS(2209),
    [sym_keyword_preceding] = ACTIONS(2209),
    [sym_keyword_following] = ACTIONS(2209),
    [sym_keyword_unique] = ACTIONS(2209),
    [sym_keyword_references] = ACTIONS(2209),
    [aux_sym_keyword_like_token1] = ACTIONS(2209),
    [aux_sym_keyword_like_token2] = ACTIONS(2209),
    [sym_keyword_similar] = ACTIONS(2209),
    [sym_keyword_check] = ACTIONS(2209),
    [sym_keyword_stored] = ACTIONS(2209),
    [sym_keyword_virtual] = ACTIONS(2209),
    [sym_keyword_comment] = ACTIONS(2209),
    [sym_keyword_null] = ACTIONS(2209),
    [sym_keyword_array] = ACTIONS(2209),
    [anon_sym_LBRACK] = ACTIONS(2209),
    [anon_sym_RBRACK] = ACTIONS(2209),
    [anon_sym_RPAREN] = ACTIONS(2209),
    [anon_sym_COMMA] = ACTIONS(2209),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2209),
    [anon_sym_STAR] = ACTIONS(2209),
    [anon_sym_COLON_COLON] = ACTIONS(2209),
    [anon_sym_LT] = ACTIONS(2211),
    [anon_sym_GT] = ACTIONS(2211),
    [anon_sym_LT_EQ] = ACTIONS(2209),
    [anon_sym_GT_EQ] = ACTIONS(2209),
    [anon_sym_COLON] = ACTIONS(2211),
    [sym_op_other] = ACTIONS(2209),
    [anon_sym_PLUS] = ACTIONS(2209),
    [anon_sym_DASH] = ACTIONS(2211),
    [anon_sym_SLASH] = ACTIONS(2211),
    [anon_sym_PERCENT] = ACTIONS(2209),
    [anon_sym_CARET] = ACTIONS(2211),
    [anon_sym_BANG_EQ] = ACTIONS(2209),
    [anon_sym_LT_GT] = ACTIONS(2209),
  },
  [231] = {
    [ts_builtin_sym_end] = ACTIONS(2213),
    [anon_sym_SEMI] = ACTIONS(2213),
    [sym_keyword_from] = ACTIONS(2213),
    [sym_keyword_on] = ACTIONS(2213),
    [sym_keyword_where] = ACTIONS(2213),
    [sym_keyword_desc] = ACTIONS(2213),
    [sym_keyword_asc] = ACTIONS(2213),
    [sym_keyword_limit] = ACTIONS(2213),
    [sym_keyword_primary] = ACTIONS(2213),
    [sym_keyword_create] = ACTIONS(2213),
    [sym_keyword_as] = ACTIONS(2215),
    [sym_keyword_constraint] = ACTIONS(2213),
    [sym_keyword_separator] = ACTIONS(2213),
    [sym_keyword_when] = ACTIONS(2213),
    [sym_keyword_then] = ACTIONS(2213),
    [sym_keyword_else] = ACTIONS(2213),
    [sym_keyword_end] = ACTIONS(2213),
    [sym_keyword_in] = ACTIONS(2213),
    [sym_keyword_and] = ACTIONS(2213),
    [sym_keyword_or] = ACTIONS(2213),
    [sym_keyword_is] = ACTIONS(2213),
    [sym_keyword_not] = ACTIONS(2213),
    [sym_keyword_using] = ACTIONS(2213),
    [sym_keyword_auto_increment] = ACTIONS(2213),
    [sym_keyword_generated] = ACTIONS(2213),
    [sym_keyword_default] = ACTIONS(2213),
    [sym_keyword_returning] = ACTIONS(2213),
    [sym_keyword_first] = ACTIONS(2213),
    [sym_keyword_after] = ACTIONS(2213),
    [sym_keyword_range] = ACTIONS(2213),
    [sym_keyword_rows] = ACTIONS(2213),
    [sym_keyword_groups] = ACTIONS(2213),
    [sym_keyword_between] = ACTIONS(2213),
    [sym_keyword_preceding] = ACTIONS(2213),
    [sym_keyword_following] = ACTIONS(2213),
    [sym_keyword_unique] = ACTIONS(2213),
    [sym_keyword_references] = ACTIONS(2213),
    [aux_sym_keyword_like_token1] = ACTIONS(2213),
    [aux_sym_keyword_like_token2] = ACTIONS(2213),
    [sym_keyword_similar] = ACTIONS(2213),
    [sym_keyword_check] = ACTIONS(2213),
    [sym_keyword_stored] = ACTIONS(2213),
    [sym_keyword_virtual] = ACTIONS(2213),
    [sym_keyword_comment] = ACTIONS(2213),
    [sym_keyword_null] = ACTIONS(2213),
    [sym_keyword_array] = ACTIONS(2213),
    [anon_sym_LBRACK] = ACTIONS(2213),
    [anon_sym_RBRACK] = ACTIONS(2213),
    [anon_sym_RPAREN] = ACTIONS(2213),
    [anon_sym_COMMA] = ACTIONS(2213),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2213),
    [anon_sym_STAR] = ACTIONS(2213),
    [anon_sym_COLON_COLON] = ACTIONS(2213),
    [anon_sym_LT] = ACTIONS(2215),
    [anon_sym_GT] = ACTIONS(2215),
    [anon_sym_LT_EQ] = ACTIONS(2213),
    [anon_sym_GT_EQ] = ACTIONS(2213),
    [anon_sym_COLON] = ACTIONS(2215),
    [sym_op_other] = ACTIONS(2213),
    [anon_sym_PLUS] = ACTIONS(2213),
    [anon_sym_DASH] = ACTIONS(2215),
    [anon_sym_SLASH] = ACTIONS(2215),
    [anon_sym_PERCENT] = ACTIONS(2213),
    [anon_sym_CARET] = ACTIONS(2215),
    [anon_sym_BANG_EQ] = ACTIONS(2213),
    [anon_sym_LT_GT] = ACTIONS(2213),
  },
  [232] = {
    [ts_builtin_sym_end] = ACTIONS(2217),
    [anon_sym_SEMI] = ACTIONS(2217),
    [sym_keyword_from] = ACTIONS(2217),
    [sym_keyword_on] = ACTIONS(2217),
    [sym_keyword_where] = ACTIONS(2217),
    [sym_keyword_desc] = ACTIONS(2217),
    [sym_keyword_asc] = ACTIONS(2217),
    [sym_keyword_limit] = ACTIONS(2217),
    [sym_keyword_primary] = ACTIONS(2217),
    [sym_keyword_create] = ACTIONS(2217),
    [sym_keyword_as] = ACTIONS(2219),
    [sym_keyword_constraint] = ACTIONS(2217),
    [sym_keyword_separator] = ACTIONS(2217),
    [sym_keyword_when] = ACTIONS(2217),
    [sym_keyword_then] = ACTIONS(2217),
    [sym_keyword_else] = ACTIONS(2217),
    [sym_keyword_end] = ACTIONS(2217),
    [sym_keyword_in] = ACTIONS(2217),
    [sym_keyword_and] = ACTIONS(2217),
    [sym_keyword_or] = ACTIONS(2217),
    [sym_keyword_is] = ACTIONS(2217),
    [sym_keyword_not] = ACTIONS(2217),
    [sym_keyword_using] = ACTIONS(2217),
    [sym_keyword_auto_increment] = ACTIONS(2217),
    [sym_keyword_generated] = ACTIONS(2217),
    [sym_keyword_default] = ACTIONS(2217),
    [sym_keyword_returning] = ACTIONS(2217),
    [sym_keyword_first] = ACTIONS(2217),
    [sym_keyword_after] = ACTIONS(2217),
    [sym_keyword_range] = ACTIONS(2217),
    [sym_keyword_rows] = ACTIONS(2217),
    [sym_keyword_groups] = ACTIONS(2217),
    [sym_keyword_between] = ACTIONS(2217),
    [sym_keyword_preceding] = ACTIONS(2217),
    [sym_keyword_following] = ACTIONS(2217),
    [sym_keyword_unique] = ACTIONS(2217),
    [sym_keyword_references] = ACTIONS(2217),
    [aux_sym_keyword_like_token1] = ACTIONS(2217),
    [aux_sym_keyword_like_token2] = ACTIONS(2217),
    [sym_keyword_similar] = ACTIONS(2217),
    [sym_keyword_check] = ACTIONS(2217),
    [sym_keyword_stored] = ACTIONS(2217),
    [sym_keyword_virtual] = ACTIONS(2217),
    [sym_keyword_comment] = ACTIONS(2217),
    [sym_keyword_null] = ACTIONS(2217),
    [sym_keyword_array] = ACTIONS(2217),
    [anon_sym_LBRACK] = ACTIONS(2217),
    [anon_sym_RBRACK] = ACTIONS(2217),
    [anon_sym_RPAREN] = ACTIONS(2217),
    [anon_sym_COMMA] = ACTIONS(2217),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2217),
    [anon_sym_STAR] = ACTIONS(2217),
    [anon_sym_COLON_COLON] = ACTIONS(2217),
    [anon_sym_LT] = ACTIONS(2219),
    [anon_sym_GT] = ACTIONS(2219),
    [anon_sym_LT_EQ] = ACTIONS(2217),
    [anon_sym_GT_EQ] = ACTIONS(2217),
    [anon_sym_COLON] = ACTIONS(2219),
    [sym_op_other] = ACTIONS(2217),
    [anon_sym_PLUS] = ACTIONS(2217),
    [anon_sym_DASH] = ACTIONS(2219),
    [anon_sym_SLASH] = ACTIONS(2219),
    [anon_sym_PERCENT] = ACTIONS(2217),
    [anon_sym_CARET] = ACTIONS(2219),
    [anon_sym_BANG_EQ] = ACTIONS(2217),
    [anon_sym_LT_GT] = ACTIONS(2217),
  },
  [233] = {
    [ts_builtin_sym_end] = ACTIONS(2221),
    [anon_sym_SEMI] = ACTIONS(2221),
    [sym_keyword_from] = ACTIONS(2221),
    [sym_keyword_on] = ACTIONS(2221),
    [sym_keyword_where] = ACTIONS(2221),
    [sym_keyword_desc] = ACTIONS(2221),
    [sym_keyword_asc] = ACTIONS(2221),
    [sym_keyword_limit] = ACTIONS(2221),
    [sym_keyword_primary] = ACTIONS(2221),
    [sym_keyword_create] = ACTIONS(2221),
    [sym_keyword_as] = ACTIONS(2223),
    [sym_keyword_constraint] = ACTIONS(2221),
    [sym_keyword_separator] = ACTIONS(2221),
    [sym_keyword_when] = ACTIONS(2221),
    [sym_keyword_then] = ACTIONS(2221),
    [sym_keyword_else] = ACTIONS(2221),
    [sym_keyword_end] = ACTIONS(2221),
    [sym_keyword_in] = ACTIONS(2221),
    [sym_keyword_and] = ACTIONS(2221),
    [sym_keyword_or] = ACTIONS(2221),
    [sym_keyword_is] = ACTIONS(2221),
    [sym_keyword_not] = ACTIONS(2221),
    [sym_keyword_using] = ACTIONS(2221),
    [sym_keyword_auto_increment] = ACTIONS(2221),
    [sym_keyword_generated] = ACTIONS(2221),
    [sym_keyword_default] = ACTIONS(2221),
    [sym_keyword_returning] = ACTIONS(2221),
    [sym_keyword_first] = ACTIONS(2221),
    [sym_keyword_after] = ACTIONS(2221),
    [sym_keyword_range] = ACTIONS(2221),
    [sym_keyword_rows] = ACTIONS(2221),
    [sym_keyword_groups] = ACTIONS(2221),
    [sym_keyword_between] = ACTIONS(2221),
    [sym_keyword_preceding] = ACTIONS(2221),
    [sym_keyword_following] = ACTIONS(2221),
    [sym_keyword_unique] = ACTIONS(2221),
    [sym_keyword_references] = ACTIONS(2221),
    [aux_sym_keyword_like_token1] = ACTIONS(2221),
    [aux_sym_keyword_like_token2] = ACTIONS(2221),
    [sym_keyword_similar] = ACTIONS(2221),
    [sym_keyword_check] = ACTIONS(2221),
    [sym_keyword_stored] = ACTIONS(2221),
    [sym_keyword_virtual] = ACTIONS(2221),
    [sym_keyword_comment] = ACTIONS(2221),
    [sym_keyword_null] = ACTIONS(2221),
    [sym_keyword_array] = ACTIONS(2221),
    [anon_sym_LBRACK] = ACTIONS(2221),
    [anon_sym_RBRACK] = ACTIONS(2221),
    [anon_sym_RPAREN] = ACTIONS(2221),
    [anon_sym_COMMA] = ACTIONS(2221),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2221),
    [anon_sym_STAR] = ACTIONS(2221),
    [anon_sym_COLON_COLON] = ACTIONS(2221),
    [anon_sym_LT] = ACTIONS(2223),
    [anon_sym_GT] = ACTIONS(2223),
    [anon_sym_LT_EQ] = ACTIONS(2221),
    [anon_sym_GT_EQ] = ACTIONS(2221),
    [anon_sym_COLON] = ACTIONS(2223),
    [sym_op_other] = ACTIONS(2221),
    [anon_sym_PLUS] = ACTIONS(2221),
    [anon_sym_DASH] = ACTIONS(2223),
    [anon_sym_SLASH] = ACTIONS(2223),
    [anon_sym_PERCENT] = ACTIONS(2221),
    [anon_sym_CARET] = ACTIONS(2223),
    [anon_sym_BANG_EQ] = ACTIONS(2221),
    [anon_sym_LT_GT] = ACTIONS(2221),
  },
  [234] = {
    [ts_builtin_sym_end] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2225),
    [sym_keyword_from] = ACTIONS(2225),
    [sym_keyword_on] = ACTIONS(2225),
    [sym_keyword_where] = ACTIONS(2225),
    [sym_keyword_desc] = ACTIONS(2225),
    [sym_keyword_asc] = ACTIONS(2225),
    [sym_keyword_limit] = ACTIONS(2225),
    [sym_keyword_primary] = ACTIONS(2225),
    [sym_keyword_create] = ACTIONS(2225),
    [sym_keyword_as] = ACTIONS(2227),
    [sym_keyword_constraint] = ACTIONS(2225),
    [sym_keyword_separator] = ACTIONS(2225),
    [sym_keyword_when] = ACTIONS(2225),
    [sym_keyword_then] = ACTIONS(2225),
    [sym_keyword_else] = ACTIONS(2225),
    [sym_keyword_end] = ACTIONS(2225),
    [sym_keyword_in] = ACTIONS(2225),
    [sym_keyword_and] = ACTIONS(2225),
    [sym_keyword_or] = ACTIONS(2225),
    [sym_keyword_is] = ACTIONS(2225),
    [sym_keyword_not] = ACTIONS(2225),
    [sym_keyword_using] = ACTIONS(2225),
    [sym_keyword_auto_increment] = ACTIONS(2225),
    [sym_keyword_generated] = ACTIONS(2225),
    [sym_keyword_default] = ACTIONS(2225),
    [sym_keyword_returning] = ACTIONS(2225),
    [sym_keyword_first] = ACTIONS(2225),
    [sym_keyword_after] = ACTIONS(2225),
    [sym_keyword_range] = ACTIONS(2225),
    [sym_keyword_rows] = ACTIONS(2225),
    [sym_keyword_groups] = ACTIONS(2225),
    [sym_keyword_between] = ACTIONS(2225),
    [sym_keyword_preceding] = ACTIONS(2225),
    [sym_keyword_following] = ACTIONS(2225),
    [sym_keyword_unique] = ACTIONS(2225),
    [sym_keyword_references] = ACTIONS(2225),
    [aux_sym_keyword_like_token1] = ACTIONS(2225),
    [aux_sym_keyword_like_token2] = ACTIONS(2225),
    [sym_keyword_similar] = ACTIONS(2225),
    [sym_keyword_check] = ACTIONS(2225),
    [sym_keyword_stored] = ACTIONS(2225),
    [sym_keyword_virtual] = ACTIONS(2225),
    [sym_keyword_comment] = ACTIONS(2225),
    [sym_keyword_null] = ACTIONS(2225),
    [sym_keyword_array] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_RBRACK] = ACTIONS(2225),
    [anon_sym_RPAREN] = ACTIONS(2225),
    [anon_sym_COMMA] = ACTIONS(2225),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2225),
    [anon_sym_STAR] = ACTIONS(2225),
    [anon_sym_COLON_COLON] = ACTIONS(2225),
    [anon_sym_LT] = ACTIONS(2227),
    [anon_sym_GT] = ACTIONS(2227),
    [anon_sym_LT_EQ] = ACTIONS(2225),
    [anon_sym_GT_EQ] = ACTIONS(2225),
    [anon_sym_COLON] = ACTIONS(2227),
    [sym_op_other] = ACTIONS(2225),
    [anon_sym_PLUS] = ACTIONS(2225),
    [anon_sym_DASH] = ACTIONS(2227),
    [anon_sym_SLASH] = ACTIONS(2227),
    [anon_sym_PERCENT] = ACTIONS(2225),
    [anon_sym_CARET] = ACTIONS(2227),
    [anon_sym_BANG_EQ] = ACTIONS(2225),
    [anon_sym_LT_GT] = ACTIONS(2225),
  },
  [235] = {
    [ts_builtin_sym_end] = ACTIONS(2119),
    [anon_sym_SEMI] = ACTIONS(2119),
    [sym_keyword_from] = ACTIONS(2119),
    [sym_keyword_on] = ACTIONS(2119),
    [sym_keyword_where] = ACTIONS(2119),
    [sym_keyword_desc] = ACTIONS(2119),
    [sym_keyword_asc] = ACTIONS(2119),
    [sym_keyword_limit] = ACTIONS(2119),
    [sym_keyword_primary] = ACTIONS(2119),
    [sym_keyword_create] = ACTIONS(2119),
    [sym_keyword_as] = ACTIONS(2121),
    [sym_keyword_constraint] = ACTIONS(2119),
    [sym_keyword_separator] = ACTIONS(2119),
    [sym_keyword_when] = ACTIONS(2119),
    [sym_keyword_then] = ACTIONS(2119),
    [sym_keyword_else] = ACTIONS(2119),
    [sym_keyword_end] = ACTIONS(2119),
    [sym_keyword_in] = ACTIONS(2119),
    [sym_keyword_and] = ACTIONS(2119),
    [sym_keyword_or] = ACTIONS(2119),
    [sym_keyword_is] = ACTIONS(2119),
    [sym_keyword_not] = ACTIONS(2119),
    [sym_keyword_using] = ACTIONS(2119),
    [sym_keyword_auto_increment] = ACTIONS(2119),
    [sym_keyword_generated] = ACTIONS(2119),
    [sym_keyword_default] = ACTIONS(2119),
    [sym_keyword_returning] = ACTIONS(2119),
    [sym_keyword_first] = ACTIONS(2119),
    [sym_keyword_after] = ACTIONS(2119),
    [sym_keyword_range] = ACTIONS(2119),
    [sym_keyword_rows] = ACTIONS(2119),
    [sym_keyword_groups] = ACTIONS(2119),
    [sym_keyword_between] = ACTIONS(2119),
    [sym_keyword_preceding] = ACTIONS(2119),
    [sym_keyword_following] = ACTIONS(2119),
    [sym_keyword_unique] = ACTIONS(2119),
    [sym_keyword_references] = ACTIONS(2119),
    [aux_sym_keyword_like_token1] = ACTIONS(2119),
    [aux_sym_keyword_like_token2] = ACTIONS(2119),
    [sym_keyword_similar] = ACTIONS(2119),
    [sym_keyword_check] = ACTIONS(2119),
    [sym_keyword_stored] = ACTIONS(2119),
    [sym_keyword_virtual] = ACTIONS(2119),
    [sym_keyword_comment] = ACTIONS(2119),
    [sym_keyword_null] = ACTIONS(2119),
    [sym_keyword_array] = ACTIONS(2119),
    [anon_sym_LBRACK] = ACTIONS(2119),
    [anon_sym_RBRACK] = ACTIONS(2119),
    [anon_sym_RPAREN] = ACTIONS(2119),
    [anon_sym_COMMA] = ACTIONS(2119),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2119),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_COLON_COLON] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(2121),
    [anon_sym_GT] = ACTIONS(2121),
    [anon_sym_LT_EQ] = ACTIONS(2119),
    [anon_sym_GT_EQ] = ACTIONS(2119),
    [anon_sym_COLON] = ACTIONS(2121),
    [sym_op_other] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2119),
    [anon_sym_DASH] = ACTIONS(2121),
    [anon_sym_SLASH] = ACTIONS(2121),
    [anon_sym_PERCENT] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2121),
    [anon_sym_BANG_EQ] = ACTIONS(2119),
    [anon_sym_LT_GT] = ACTIONS(2119),
  },
  [236] = {
    [ts_builtin_sym_end] = ACTIONS(2044),
    [anon_sym_SEMI] = ACTIONS(2044),
    [sym_keyword_from] = ACTIONS(2044),
    [sym_keyword_on] = ACTIONS(2044),
    [sym_keyword_where] = ACTIONS(2044),
    [sym_keyword_desc] = ACTIONS(2044),
    [sym_keyword_asc] = ACTIONS(2044),
    [sym_keyword_limit] = ACTIONS(2044),
    [sym_keyword_primary] = ACTIONS(2044),
    [sym_keyword_create] = ACTIONS(2044),
    [sym_keyword_as] = ACTIONS(2046),
    [sym_keyword_constraint] = ACTIONS(2044),
    [sym_keyword_separator] = ACTIONS(2044),
    [sym_keyword_when] = ACTIONS(2044),
    [sym_keyword_then] = ACTIONS(2044),
    [sym_keyword_else] = ACTIONS(2044),
    [sym_keyword_end] = ACTIONS(2044),
    [sym_keyword_in] = ACTIONS(2044),
    [sym_keyword_and] = ACTIONS(2044),
    [sym_keyword_or] = ACTIONS(2044),
    [sym_keyword_is] = ACTIONS(2044),
    [sym_keyword_not] = ACTIONS(2044),
    [sym_keyword_using] = ACTIONS(2044),
    [sym_keyword_auto_increment] = ACTIONS(2044),
    [sym_keyword_generated] = ACTIONS(2044),
    [sym_keyword_default] = ACTIONS(2044),
    [sym_keyword_returning] = ACTIONS(2044),
    [sym_keyword_first] = ACTIONS(2044),
    [sym_keyword_after] = ACTIONS(2044),
    [sym_keyword_range] = ACTIONS(2044),
    [sym_keyword_rows] = ACTIONS(2044),
    [sym_keyword_groups] = ACTIONS(2044),
    [sym_keyword_between] = ACTIONS(2044),
    [sym_keyword_preceding] = ACTIONS(2044),
    [sym_keyword_following] = ACTIONS(2044),
    [sym_keyword_unique] = ACTIONS(2044),
    [sym_keyword_references] = ACTIONS(2044),
    [aux_sym_keyword_like_token1] = ACTIONS(2044),
    [aux_sym_keyword_like_token2] = ACTIONS(2044),
    [sym_keyword_similar] = ACTIONS(2044),
    [sym_keyword_check] = ACTIONS(2044),
    [sym_keyword_stored] = ACTIONS(2044),
    [sym_keyword_virtual] = ACTIONS(2044),
    [sym_keyword_comment] = ACTIONS(2044),
    [sym_keyword_null] = ACTIONS(2044),
    [sym_keyword_array] = ACTIONS(2044),
    [anon_sym_LBRACK] = ACTIONS(2044),
    [anon_sym_RBRACK] = ACTIONS(2044),
    [anon_sym_RPAREN] = ACTIONS(2044),
    [anon_sym_COMMA] = ACTIONS(2044),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2044),
    [anon_sym_STAR] = ACTIONS(2044),
    [anon_sym_COLON_COLON] = ACTIONS(2044),
    [anon_sym_LT] = ACTIONS(2046),
    [anon_sym_GT] = ACTIONS(2046),
    [anon_sym_LT_EQ] = ACTIONS(2044),
    [anon_sym_GT_EQ] = ACTIONS(2044),
    [anon_sym_COLON] = ACTIONS(2046),
    [sym_op_other] = ACTIONS(2044),
    [anon_sym_PLUS] = ACTIONS(2044),
    [anon_sym_DASH] = ACTIONS(2046),
    [anon_sym_SLASH] = ACTIONS(2046),
    [anon_sym_PERCENT] = ACTIONS(2044),
    [anon_sym_CARET] = ACTIONS(2046),
    [anon_sym_BANG_EQ] = ACTIONS(2044),
    [anon_sym_LT_GT] = ACTIONS(2044),
  },
  [237] = {
    [ts_builtin_sym_end] = ACTIONS(1860),
    [anon_sym_SEMI] = ACTIONS(1860),
    [sym_keyword_from] = ACTIONS(1860),
    [sym_keyword_on] = ACTIONS(1860),
    [sym_keyword_where] = ACTIONS(1860),
    [sym_keyword_desc] = ACTIONS(1860),
    [sym_keyword_asc] = ACTIONS(1860),
    [sym_keyword_limit] = ACTIONS(1860),
    [sym_keyword_primary] = ACTIONS(1860),
    [sym_keyword_create] = ACTIONS(1860),
    [sym_keyword_as] = ACTIONS(1862),
    [sym_keyword_constraint] = ACTIONS(1860),
    [sym_keyword_separator] = ACTIONS(1860),
    [sym_keyword_when] = ACTIONS(1860),
    [sym_keyword_then] = ACTIONS(1860),
    [sym_keyword_else] = ACTIONS(1860),
    [sym_keyword_end] = ACTIONS(1860),
    [sym_keyword_in] = ACTIONS(1860),
    [sym_keyword_and] = ACTIONS(1860),
    [sym_keyword_or] = ACTIONS(1860),
    [sym_keyword_is] = ACTIONS(1860),
    [sym_keyword_not] = ACTIONS(1860),
    [sym_keyword_using] = ACTIONS(1860),
    [sym_keyword_auto_increment] = ACTIONS(1860),
    [sym_keyword_generated] = ACTIONS(1860),
    [sym_keyword_default] = ACTIONS(1860),
    [sym_keyword_returning] = ACTIONS(1860),
    [sym_keyword_first] = ACTIONS(1860),
    [sym_keyword_after] = ACTIONS(1860),
    [sym_keyword_range] = ACTIONS(1860),
    [sym_keyword_rows] = ACTIONS(1860),
    [sym_keyword_groups] = ACTIONS(1860),
    [sym_keyword_between] = ACTIONS(1860),
    [sym_keyword_preceding] = ACTIONS(1860),
    [sym_keyword_following] = ACTIONS(1860),
    [sym_keyword_unique] = ACTIONS(1860),
    [sym_keyword_references] = ACTIONS(1860),
    [aux_sym_keyword_like_token1] = ACTIONS(1860),
    [aux_sym_keyword_like_token2] = ACTIONS(1860),
    [sym_keyword_similar] = ACTIONS(1860),
    [sym_keyword_check] = ACTIONS(1860),
    [sym_keyword_stored] = ACTIONS(1860),
    [sym_keyword_virtual] = ACTIONS(1860),
    [sym_keyword_comment] = ACTIONS(1860),
    [sym_keyword_null] = ACTIONS(1860),
    [sym_keyword_array] = ACTIONS(1860),
    [anon_sym_LBRACK] = ACTIONS(1860),
    [anon_sym_RBRACK] = ACTIONS(1860),
    [anon_sym_RPAREN] = ACTIONS(1860),
    [anon_sym_COMMA] = ACTIONS(1860),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1860),
    [anon_sym_STAR] = ACTIONS(1860),
    [anon_sym_COLON_COLON] = ACTIONS(1860),
    [anon_sym_LT] = ACTIONS(1862),
    [anon_sym_GT] = ACTIONS(1862),
    [anon_sym_LT_EQ] = ACTIONS(1860),
    [anon_sym_GT_EQ] = ACTIONS(1860),
    [anon_sym_COLON] = ACTIONS(1862),
    [sym_op_other] = ACTIONS(1860),
    [anon_sym_PLUS] = ACTIONS(1860),
    [anon_sym_DASH] = ACTIONS(1862),
    [anon_sym_SLASH] = ACTIONS(1862),
    [anon_sym_PERCENT] = ACTIONS(1860),
    [anon_sym_CARET] = ACTIONS(1862),
    [anon_sym_BANG_EQ] = ACTIONS(1860),
    [anon_sym_LT_GT] = ACTIONS(1860),
  },
  [238] = {
    [ts_builtin_sym_end] = ACTIONS(2229),
    [anon_sym_SEMI] = ACTIONS(2229),
    [sym_keyword_from] = ACTIONS(2229),
    [sym_keyword_on] = ACTIONS(2229),
    [sym_keyword_where] = ACTIONS(2229),
    [sym_keyword_desc] = ACTIONS(2229),
    [sym_keyword_asc] = ACTIONS(2229),
    [sym_keyword_limit] = ACTIONS(2229),
    [sym_keyword_primary] = ACTIONS(2229),
    [sym_keyword_create] = ACTIONS(2229),
    [sym_keyword_as] = ACTIONS(2231),
    [sym_keyword_constraint] = ACTIONS(2229),
    [sym_keyword_separator] = ACTIONS(2229),
    [sym_keyword_when] = ACTIONS(2229),
    [sym_keyword_then] = ACTIONS(2229),
    [sym_keyword_else] = ACTIONS(2229),
    [sym_keyword_end] = ACTIONS(2229),
    [sym_keyword_in] = ACTIONS(2229),
    [sym_keyword_and] = ACTIONS(2229),
    [sym_keyword_or] = ACTIONS(2229),
    [sym_keyword_is] = ACTIONS(2229),
    [sym_keyword_not] = ACTIONS(2229),
    [sym_keyword_using] = ACTIONS(2229),
    [sym_keyword_auto_increment] = ACTIONS(2229),
    [sym_keyword_generated] = ACTIONS(2229),
    [sym_keyword_default] = ACTIONS(2229),
    [sym_keyword_returning] = ACTIONS(2229),
    [sym_keyword_first] = ACTIONS(2229),
    [sym_keyword_after] = ACTIONS(2229),
    [sym_keyword_range] = ACTIONS(2229),
    [sym_keyword_rows] = ACTIONS(2229),
    [sym_keyword_groups] = ACTIONS(2229),
    [sym_keyword_between] = ACTIONS(2229),
    [sym_keyword_preceding] = ACTIONS(2229),
    [sym_keyword_following] = ACTIONS(2229),
    [sym_keyword_unique] = ACTIONS(2229),
    [sym_keyword_references] = ACTIONS(2229),
    [aux_sym_keyword_like_token1] = ACTIONS(2229),
    [aux_sym_keyword_like_token2] = ACTIONS(2229),
    [sym_keyword_similar] = ACTIONS(2229),
    [sym_keyword_check] = ACTIONS(2229),
    [sym_keyword_stored] = ACTIONS(2229),
    [sym_keyword_virtual] = ACTIONS(2229),
    [sym_keyword_comment] = ACTIONS(2229),
    [sym_keyword_null] = ACTIONS(2229),
    [sym_keyword_array] = ACTIONS(2229),
    [anon_sym_LBRACK] = ACTIONS(2229),
    [anon_sym_RBRACK] = ACTIONS(2229),
    [anon_sym_RPAREN] = ACTIONS(2229),
    [anon_sym_COMMA] = ACTIONS(2229),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2229),
    [anon_sym_STAR] = ACTIONS(2229),
    [anon_sym_COLON_COLON] = ACTIONS(2229),
    [anon_sym_LT] = ACTIONS(2231),
    [anon_sym_GT] = ACTIONS(2231),
    [anon_sym_LT_EQ] = ACTIONS(2229),
    [anon_sym_GT_EQ] = ACTIONS(2229),
    [anon_sym_COLON] = ACTIONS(2231),
    [sym_op_other] = ACTIONS(2229),
    [anon_sym_PLUS] = ACTIONS(2229),
    [anon_sym_DASH] = ACTIONS(2231),
    [anon_sym_SLASH] = ACTIONS(2231),
    [anon_sym_PERCENT] = ACTIONS(2229),
    [anon_sym_CARET] = ACTIONS(2231),
    [anon_sym_BANG_EQ] = ACTIONS(2229),
    [anon_sym_LT_GT] = ACTIONS(2229),
  },
  [239] = {
    [ts_builtin_sym_end] = ACTIONS(2036),
    [anon_sym_SEMI] = ACTIONS(2036),
    [sym_keyword_from] = ACTIONS(2036),
    [sym_keyword_on] = ACTIONS(2036),
    [sym_keyword_where] = ACTIONS(2036),
    [sym_keyword_desc] = ACTIONS(2036),
    [sym_keyword_asc] = ACTIONS(2036),
    [sym_keyword_limit] = ACTIONS(2036),
    [sym_keyword_primary] = ACTIONS(2036),
    [sym_keyword_create] = ACTIONS(2036),
    [sym_keyword_as] = ACTIONS(2038),
    [sym_keyword_constraint] = ACTIONS(2036),
    [sym_keyword_separator] = ACTIONS(2036),
    [sym_keyword_when] = ACTIONS(2036),
    [sym_keyword_then] = ACTIONS(2036),
    [sym_keyword_else] = ACTIONS(2036),
    [sym_keyword_end] = ACTIONS(2036),
    [sym_keyword_in] = ACTIONS(2036),
    [sym_keyword_and] = ACTIONS(2036),
    [sym_keyword_or] = ACTIONS(2036),
    [sym_keyword_is] = ACTIONS(2036),
    [sym_keyword_not] = ACTIONS(2036),
    [sym_keyword_using] = ACTIONS(2036),
    [sym_keyword_auto_increment] = ACTIONS(2036),
    [sym_keyword_generated] = ACTIONS(2036),
    [sym_keyword_default] = ACTIONS(2036),
    [sym_keyword_returning] = ACTIONS(2036),
    [sym_keyword_first] = ACTIONS(2036),
    [sym_keyword_after] = ACTIONS(2036),
    [sym_keyword_range] = ACTIONS(2036),
    [sym_keyword_rows] = ACTIONS(2036),
    [sym_keyword_groups] = ACTIONS(2036),
    [sym_keyword_between] = ACTIONS(2036),
    [sym_keyword_preceding] = ACTIONS(2036),
    [sym_keyword_following] = ACTIONS(2036),
    [sym_keyword_unique] = ACTIONS(2036),
    [sym_keyword_references] = ACTIONS(2036),
    [aux_sym_keyword_like_token1] = ACTIONS(2036),
    [aux_sym_keyword_like_token2] = ACTIONS(2036),
    [sym_keyword_similar] = ACTIONS(2036),
    [sym_keyword_check] = ACTIONS(2036),
    [sym_keyword_stored] = ACTIONS(2036),
    [sym_keyword_virtual] = ACTIONS(2036),
    [sym_keyword_comment] = ACTIONS(2036),
    [sym_keyword_null] = ACTIONS(2036),
    [sym_keyword_array] = ACTIONS(2036),
    [anon_sym_LBRACK] = ACTIONS(2036),
    [anon_sym_RBRACK] = ACTIONS(2036),
    [anon_sym_RPAREN] = ACTIONS(2036),
    [anon_sym_COMMA] = ACTIONS(2036),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2036),
    [anon_sym_STAR] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(2036),
    [anon_sym_LT] = ACTIONS(2038),
    [anon_sym_GT] = ACTIONS(2038),
    [anon_sym_LT_EQ] = ACTIONS(2036),
    [anon_sym_GT_EQ] = ACTIONS(2036),
    [anon_sym_COLON] = ACTIONS(2038),
    [sym_op_other] = ACTIONS(2036),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2038),
    [anon_sym_SLASH] = ACTIONS(2038),
    [anon_sym_PERCENT] = ACTIONS(2036),
    [anon_sym_CARET] = ACTIONS(2038),
    [anon_sym_BANG_EQ] = ACTIONS(2036),
    [anon_sym_LT_GT] = ACTIONS(2036),
  },
  [240] = {
    [ts_builtin_sym_end] = ACTIONS(2030),
    [anon_sym_SEMI] = ACTIONS(2030),
    [sym_keyword_from] = ACTIONS(2030),
    [sym_keyword_on] = ACTIONS(2030),
    [sym_keyword_where] = ACTIONS(2030),
    [sym_keyword_desc] = ACTIONS(2030),
    [sym_keyword_asc] = ACTIONS(2030),
    [sym_keyword_limit] = ACTIONS(2030),
    [sym_keyword_primary] = ACTIONS(2030),
    [sym_keyword_create] = ACTIONS(2030),
    [sym_keyword_as] = ACTIONS(2032),
    [sym_keyword_constraint] = ACTIONS(2030),
    [sym_keyword_separator] = ACTIONS(2030),
    [sym_keyword_when] = ACTIONS(2030),
    [sym_keyword_then] = ACTIONS(2030),
    [sym_keyword_else] = ACTIONS(2030),
    [sym_keyword_end] = ACTIONS(2030),
    [sym_keyword_in] = ACTIONS(2030),
    [sym_keyword_and] = ACTIONS(2030),
    [sym_keyword_or] = ACTIONS(2030),
    [sym_keyword_is] = ACTIONS(2030),
    [sym_keyword_not] = ACTIONS(2030),
    [sym_keyword_using] = ACTIONS(2030),
    [sym_keyword_auto_increment] = ACTIONS(2030),
    [sym_keyword_generated] = ACTIONS(2030),
    [sym_keyword_default] = ACTIONS(2030),
    [sym_keyword_returning] = ACTIONS(2030),
    [sym_keyword_first] = ACTIONS(2030),
    [sym_keyword_after] = ACTIONS(2030),
    [sym_keyword_range] = ACTIONS(2030),
    [sym_keyword_rows] = ACTIONS(2030),
    [sym_keyword_groups] = ACTIONS(2030),
    [sym_keyword_between] = ACTIONS(2030),
    [sym_keyword_preceding] = ACTIONS(2030),
    [sym_keyword_following] = ACTIONS(2030),
    [sym_keyword_unique] = ACTIONS(2030),
    [sym_keyword_references] = ACTIONS(2030),
    [aux_sym_keyword_like_token1] = ACTIONS(2030),
    [aux_sym_keyword_like_token2] = ACTIONS(2030),
    [sym_keyword_similar] = ACTIONS(2030),
    [sym_keyword_check] = ACTIONS(2030),
    [sym_keyword_stored] = ACTIONS(2030),
    [sym_keyword_virtual] = ACTIONS(2030),
    [sym_keyword_comment] = ACTIONS(2030),
    [sym_keyword_null] = ACTIONS(2030),
    [sym_keyword_array] = ACTIONS(2030),
    [anon_sym_LBRACK] = ACTIONS(2030),
    [anon_sym_RBRACK] = ACTIONS(2030),
    [anon_sym_RPAREN] = ACTIONS(2030),
    [anon_sym_COMMA] = ACTIONS(2030),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2030),
    [anon_sym_STAR] = ACTIONS(2030),
    [anon_sym_COLON_COLON] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(2032),
    [anon_sym_GT] = ACTIONS(2032),
    [anon_sym_LT_EQ] = ACTIONS(2030),
    [anon_sym_GT_EQ] = ACTIONS(2030),
    [anon_sym_COLON] = ACTIONS(2032),
    [sym_op_other] = ACTIONS(2030),
    [anon_sym_PLUS] = ACTIONS(2030),
    [anon_sym_DASH] = ACTIONS(2032),
    [anon_sym_SLASH] = ACTIONS(2032),
    [anon_sym_PERCENT] = ACTIONS(2030),
    [anon_sym_CARET] = ACTIONS(2032),
    [anon_sym_BANG_EQ] = ACTIONS(2030),
    [anon_sym_LT_GT] = ACTIONS(2030),
  },
  [241] = {
    [ts_builtin_sym_end] = ACTIONS(2018),
    [anon_sym_SEMI] = ACTIONS(2018),
    [sym_keyword_from] = ACTIONS(2018),
    [sym_keyword_on] = ACTIONS(2018),
    [sym_keyword_where] = ACTIONS(2018),
    [sym_keyword_desc] = ACTIONS(2018),
    [sym_keyword_asc] = ACTIONS(2018),
    [sym_keyword_limit] = ACTIONS(2018),
    [sym_keyword_primary] = ACTIONS(2018),
    [sym_keyword_create] = ACTIONS(2018),
    [sym_keyword_as] = ACTIONS(2020),
    [sym_keyword_constraint] = ACTIONS(2018),
    [sym_keyword_separator] = ACTIONS(2018),
    [sym_keyword_when] = ACTIONS(2018),
    [sym_keyword_then] = ACTIONS(2018),
    [sym_keyword_else] = ACTIONS(2018),
    [sym_keyword_end] = ACTIONS(2018),
    [sym_keyword_in] = ACTIONS(2018),
    [sym_keyword_and] = ACTIONS(2018),
    [sym_keyword_or] = ACTIONS(2018),
    [sym_keyword_is] = ACTIONS(2018),
    [sym_keyword_not] = ACTIONS(2018),
    [sym_keyword_using] = ACTIONS(2018),
    [sym_keyword_auto_increment] = ACTIONS(2018),
    [sym_keyword_generated] = ACTIONS(2018),
    [sym_keyword_default] = ACTIONS(2018),
    [sym_keyword_returning] = ACTIONS(2018),
    [sym_keyword_first] = ACTIONS(2018),
    [sym_keyword_after] = ACTIONS(2018),
    [sym_keyword_range] = ACTIONS(2018),
    [sym_keyword_rows] = ACTIONS(2018),
    [sym_keyword_groups] = ACTIONS(2018),
    [sym_keyword_between] = ACTIONS(2018),
    [sym_keyword_preceding] = ACTIONS(2018),
    [sym_keyword_following] = ACTIONS(2018),
    [sym_keyword_unique] = ACTIONS(2018),
    [sym_keyword_references] = ACTIONS(2018),
    [aux_sym_keyword_like_token1] = ACTIONS(2018),
    [aux_sym_keyword_like_token2] = ACTIONS(2018),
    [sym_keyword_similar] = ACTIONS(2018),
    [sym_keyword_check] = ACTIONS(2018),
    [sym_keyword_stored] = ACTIONS(2018),
    [sym_keyword_virtual] = ACTIONS(2018),
    [sym_keyword_comment] = ACTIONS(2018),
    [sym_keyword_null] = ACTIONS(2018),
    [sym_keyword_array] = ACTIONS(2018),
    [anon_sym_LBRACK] = ACTIONS(2018),
    [anon_sym_RBRACK] = ACTIONS(2018),
    [anon_sym_RPAREN] = ACTIONS(2018),
    [anon_sym_COMMA] = ACTIONS(2018),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2018),
    [anon_sym_STAR] = ACTIONS(2018),
    [anon_sym_COLON_COLON] = ACTIONS(2018),
    [anon_sym_LT] = ACTIONS(2020),
    [anon_sym_GT] = ACTIONS(2020),
    [anon_sym_LT_EQ] = ACTIONS(2018),
    [anon_sym_GT_EQ] = ACTIONS(2018),
    [anon_sym_COLON] = ACTIONS(2020),
    [sym_op_other] = ACTIONS(2018),
    [anon_sym_PLUS] = ACTIONS(2018),
    [anon_sym_DASH] = ACTIONS(2020),
    [anon_sym_SLASH] = ACTIONS(2020),
    [anon_sym_PERCENT] = ACTIONS(2018),
    [anon_sym_CARET] = ACTIONS(2020),
    [anon_sym_BANG_EQ] = ACTIONS(2018),
    [anon_sym_LT_GT] = ACTIONS(2018),
  },
  [242] = {
    [ts_builtin_sym_end] = ACTIONS(2139),
    [anon_sym_SEMI] = ACTIONS(2139),
    [sym_keyword_from] = ACTIONS(2139),
    [sym_keyword_on] = ACTIONS(2139),
    [sym_keyword_where] = ACTIONS(2139),
    [sym_keyword_desc] = ACTIONS(2139),
    [sym_keyword_asc] = ACTIONS(2139),
    [sym_keyword_limit] = ACTIONS(2139),
    [sym_keyword_primary] = ACTIONS(2139),
    [sym_keyword_create] = ACTIONS(2139),
    [sym_keyword_as] = ACTIONS(2141),
    [sym_keyword_constraint] = ACTIONS(2139),
    [sym_keyword_separator] = ACTIONS(2139),
    [sym_keyword_when] = ACTIONS(2139),
    [sym_keyword_then] = ACTIONS(2139),
    [sym_keyword_else] = ACTIONS(2139),
    [sym_keyword_end] = ACTIONS(2139),
    [sym_keyword_in] = ACTIONS(2139),
    [sym_keyword_and] = ACTIONS(2139),
    [sym_keyword_or] = ACTIONS(2139),
    [sym_keyword_is] = ACTIONS(2139),
    [sym_keyword_not] = ACTIONS(2139),
    [sym_keyword_using] = ACTIONS(2139),
    [sym_keyword_auto_increment] = ACTIONS(2139),
    [sym_keyword_generated] = ACTIONS(2139),
    [sym_keyword_default] = ACTIONS(2139),
    [sym_keyword_returning] = ACTIONS(2139),
    [sym_keyword_first] = ACTIONS(2139),
    [sym_keyword_after] = ACTIONS(2139),
    [sym_keyword_range] = ACTIONS(2139),
    [sym_keyword_rows] = ACTIONS(2139),
    [sym_keyword_groups] = ACTIONS(2139),
    [sym_keyword_between] = ACTIONS(2139),
    [sym_keyword_preceding] = ACTIONS(2139),
    [sym_keyword_following] = ACTIONS(2139),
    [sym_keyword_unique] = ACTIONS(2139),
    [sym_keyword_references] = ACTIONS(2139),
    [aux_sym_keyword_like_token1] = ACTIONS(2139),
    [aux_sym_keyword_like_token2] = ACTIONS(2139),
    [sym_keyword_similar] = ACTIONS(2139),
    [sym_keyword_check] = ACTIONS(2139),
    [sym_keyword_stored] = ACTIONS(2139),
    [sym_keyword_virtual] = ACTIONS(2139),
    [sym_keyword_comment] = ACTIONS(2139),
    [sym_keyword_null] = ACTIONS(2139),
    [sym_keyword_array] = ACTIONS(2139),
    [anon_sym_LBRACK] = ACTIONS(2139),
    [anon_sym_RBRACK] = ACTIONS(2139),
    [anon_sym_RPAREN] = ACTIONS(2139),
    [anon_sym_COMMA] = ACTIONS(2139),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2139),
    [anon_sym_STAR] = ACTIONS(2139),
    [anon_sym_COLON_COLON] = ACTIONS(2139),
    [anon_sym_LT] = ACTIONS(2141),
    [anon_sym_GT] = ACTIONS(2141),
    [anon_sym_LT_EQ] = ACTIONS(2139),
    [anon_sym_GT_EQ] = ACTIONS(2139),
    [anon_sym_COLON] = ACTIONS(2141),
    [sym_op_other] = ACTIONS(2139),
    [anon_sym_PLUS] = ACTIONS(2139),
    [anon_sym_DASH] = ACTIONS(2141),
    [anon_sym_SLASH] = ACTIONS(2141),
    [anon_sym_PERCENT] = ACTIONS(2139),
    [anon_sym_CARET] = ACTIONS(2141),
    [anon_sym_BANG_EQ] = ACTIONS(2139),
    [anon_sym_LT_GT] = ACTIONS(2139),
  },
  [243] = {
    [ts_builtin_sym_end] = ACTIONS(2233),
    [anon_sym_SEMI] = ACTIONS(2233),
    [sym_keyword_from] = ACTIONS(2233),
    [sym_keyword_on] = ACTIONS(2233),
    [sym_keyword_where] = ACTIONS(2233),
    [sym_keyword_desc] = ACTIONS(2233),
    [sym_keyword_asc] = ACTIONS(2233),
    [sym_keyword_limit] = ACTIONS(2233),
    [sym_keyword_primary] = ACTIONS(2233),
    [sym_keyword_create] = ACTIONS(2233),
    [sym_keyword_as] = ACTIONS(2235),
    [sym_keyword_constraint] = ACTIONS(2233),
    [sym_keyword_separator] = ACTIONS(2233),
    [sym_keyword_when] = ACTIONS(2233),
    [sym_keyword_then] = ACTIONS(2233),
    [sym_keyword_else] = ACTIONS(2233),
    [sym_keyword_end] = ACTIONS(2233),
    [sym_keyword_in] = ACTIONS(2233),
    [sym_keyword_and] = ACTIONS(2233),
    [sym_keyword_or] = ACTIONS(2233),
    [sym_keyword_is] = ACTIONS(2233),
    [sym_keyword_not] = ACTIONS(2233),
    [sym_keyword_using] = ACTIONS(2233),
    [sym_keyword_auto_increment] = ACTIONS(2233),
    [sym_keyword_generated] = ACTIONS(2233),
    [sym_keyword_default] = ACTIONS(2233),
    [sym_keyword_returning] = ACTIONS(2233),
    [sym_keyword_first] = ACTIONS(2233),
    [sym_keyword_after] = ACTIONS(2233),
    [sym_keyword_range] = ACTIONS(2233),
    [sym_keyword_rows] = ACTIONS(2233),
    [sym_keyword_groups] = ACTIONS(2233),
    [sym_keyword_between] = ACTIONS(2233),
    [sym_keyword_preceding] = ACTIONS(2233),
    [sym_keyword_following] = ACTIONS(2233),
    [sym_keyword_unique] = ACTIONS(2233),
    [sym_keyword_references] = ACTIONS(2233),
    [aux_sym_keyword_like_token1] = ACTIONS(2233),
    [aux_sym_keyword_like_token2] = ACTIONS(2233),
    [sym_keyword_similar] = ACTIONS(2233),
    [sym_keyword_check] = ACTIONS(2233),
    [sym_keyword_stored] = ACTIONS(2233),
    [sym_keyword_virtual] = ACTIONS(2233),
    [sym_keyword_comment] = ACTIONS(2233),
    [sym_keyword_null] = ACTIONS(2233),
    [sym_keyword_array] = ACTIONS(2233),
    [anon_sym_LBRACK] = ACTIONS(2233),
    [anon_sym_RBRACK] = ACTIONS(2233),
    [anon_sym_RPAREN] = ACTIONS(2233),
    [anon_sym_COMMA] = ACTIONS(2233),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2233),
    [anon_sym_STAR] = ACTIONS(2233),
    [anon_sym_COLON_COLON] = ACTIONS(2233),
    [anon_sym_LT] = ACTIONS(2235),
    [anon_sym_GT] = ACTIONS(2235),
    [anon_sym_LT_EQ] = ACTIONS(2233),
    [anon_sym_GT_EQ] = ACTIONS(2233),
    [anon_sym_COLON] = ACTIONS(2235),
    [sym_op_other] = ACTIONS(2233),
    [anon_sym_PLUS] = ACTIONS(2233),
    [anon_sym_DASH] = ACTIONS(2235),
    [anon_sym_SLASH] = ACTIONS(2235),
    [anon_sym_PERCENT] = ACTIONS(2233),
    [anon_sym_CARET] = ACTIONS(2235),
    [anon_sym_BANG_EQ] = ACTIONS(2233),
    [anon_sym_LT_GT] = ACTIONS(2233),
  },
  [244] = {
    [ts_builtin_sym_end] = ACTIONS(2237),
    [anon_sym_SEMI] = ACTIONS(2237),
    [sym_keyword_from] = ACTIONS(2237),
    [sym_keyword_on] = ACTIONS(2237),
    [sym_keyword_where] = ACTIONS(2237),
    [sym_keyword_desc] = ACTIONS(2237),
    [sym_keyword_asc] = ACTIONS(2237),
    [sym_keyword_limit] = ACTIONS(2237),
    [sym_keyword_primary] = ACTIONS(2237),
    [sym_keyword_create] = ACTIONS(2237),
    [sym_keyword_as] = ACTIONS(2239),
    [sym_keyword_constraint] = ACTIONS(2237),
    [sym_keyword_separator] = ACTIONS(2237),
    [sym_keyword_when] = ACTIONS(2237),
    [sym_keyword_then] = ACTIONS(2237),
    [sym_keyword_else] = ACTIONS(2237),
    [sym_keyword_end] = ACTIONS(2237),
    [sym_keyword_in] = ACTIONS(2237),
    [sym_keyword_and] = ACTIONS(2237),
    [sym_keyword_or] = ACTIONS(2237),
    [sym_keyword_is] = ACTIONS(2237),
    [sym_keyword_not] = ACTIONS(2237),
    [sym_keyword_using] = ACTIONS(2237),
    [sym_keyword_auto_increment] = ACTIONS(2237),
    [sym_keyword_generated] = ACTIONS(2237),
    [sym_keyword_default] = ACTIONS(2237),
    [sym_keyword_returning] = ACTIONS(2237),
    [sym_keyword_first] = ACTIONS(2237),
    [sym_keyword_after] = ACTIONS(2237),
    [sym_keyword_range] = ACTIONS(2237),
    [sym_keyword_rows] = ACTIONS(2237),
    [sym_keyword_groups] = ACTIONS(2237),
    [sym_keyword_between] = ACTIONS(2237),
    [sym_keyword_preceding] = ACTIONS(2237),
    [sym_keyword_following] = ACTIONS(2237),
    [sym_keyword_unique] = ACTIONS(2237),
    [sym_keyword_references] = ACTIONS(2237),
    [aux_sym_keyword_like_token1] = ACTIONS(2237),
    [aux_sym_keyword_like_token2] = ACTIONS(2237),
    [sym_keyword_similar] = ACTIONS(2237),
    [sym_keyword_check] = ACTIONS(2237),
    [sym_keyword_stored] = ACTIONS(2237),
    [sym_keyword_virtual] = ACTIONS(2237),
    [sym_keyword_comment] = ACTIONS(2237),
    [sym_keyword_null] = ACTIONS(2237),
    [sym_keyword_array] = ACTIONS(2237),
    [anon_sym_LBRACK] = ACTIONS(2237),
    [anon_sym_RBRACK] = ACTIONS(2237),
    [anon_sym_RPAREN] = ACTIONS(2237),
    [anon_sym_COMMA] = ACTIONS(2237),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2237),
    [anon_sym_STAR] = ACTIONS(2237),
    [anon_sym_COLON_COLON] = ACTIONS(2237),
    [anon_sym_LT] = ACTIONS(2239),
    [anon_sym_GT] = ACTIONS(2239),
    [anon_sym_LT_EQ] = ACTIONS(2237),
    [anon_sym_GT_EQ] = ACTIONS(2237),
    [anon_sym_COLON] = ACTIONS(2239),
    [sym_op_other] = ACTIONS(2237),
    [anon_sym_PLUS] = ACTIONS(2237),
    [anon_sym_DASH] = ACTIONS(2239),
    [anon_sym_SLASH] = ACTIONS(2239),
    [anon_sym_PERCENT] = ACTIONS(2237),
    [anon_sym_CARET] = ACTIONS(2239),
    [anon_sym_BANG_EQ] = ACTIONS(2237),
    [anon_sym_LT_GT] = ACTIONS(2237),
  },
  [245] = {
    [ts_builtin_sym_end] = ACTIONS(2241),
    [anon_sym_SEMI] = ACTIONS(2241),
    [sym_keyword_from] = ACTIONS(2241),
    [sym_keyword_on] = ACTIONS(2241),
    [sym_keyword_where] = ACTIONS(2241),
    [sym_keyword_desc] = ACTIONS(2241),
    [sym_keyword_asc] = ACTIONS(2241),
    [sym_keyword_limit] = ACTIONS(2241),
    [sym_keyword_primary] = ACTIONS(2241),
    [sym_keyword_create] = ACTIONS(2241),
    [sym_keyword_as] = ACTIONS(2243),
    [sym_keyword_constraint] = ACTIONS(2241),
    [sym_keyword_separator] = ACTIONS(2241),
    [sym_keyword_when] = ACTIONS(2241),
    [sym_keyword_then] = ACTIONS(2241),
    [sym_keyword_else] = ACTIONS(2241),
    [sym_keyword_end] = ACTIONS(2241),
    [sym_keyword_in] = ACTIONS(2241),
    [sym_keyword_and] = ACTIONS(2241),
    [sym_keyword_or] = ACTIONS(2241),
    [sym_keyword_is] = ACTIONS(2241),
    [sym_keyword_not] = ACTIONS(2241),
    [sym_keyword_using] = ACTIONS(2241),
    [sym_keyword_auto_increment] = ACTIONS(2241),
    [sym_keyword_generated] = ACTIONS(2241),
    [sym_keyword_default] = ACTIONS(2241),
    [sym_keyword_returning] = ACTIONS(2241),
    [sym_keyword_first] = ACTIONS(2241),
    [sym_keyword_after] = ACTIONS(2241),
    [sym_keyword_range] = ACTIONS(2241),
    [sym_keyword_rows] = ACTIONS(2241),
    [sym_keyword_groups] = ACTIONS(2241),
    [sym_keyword_between] = ACTIONS(2241),
    [sym_keyword_preceding] = ACTIONS(2241),
    [sym_keyword_following] = ACTIONS(2241),
    [sym_keyword_unique] = ACTIONS(2241),
    [sym_keyword_references] = ACTIONS(2241),
    [aux_sym_keyword_like_token1] = ACTIONS(2241),
    [aux_sym_keyword_like_token2] = ACTIONS(2241),
    [sym_keyword_similar] = ACTIONS(2241),
    [sym_keyword_check] = ACTIONS(2241),
    [sym_keyword_stored] = ACTIONS(2241),
    [sym_keyword_virtual] = ACTIONS(2241),
    [sym_keyword_comment] = ACTIONS(2241),
    [sym_keyword_null] = ACTIONS(2241),
    [sym_keyword_array] = ACTIONS(2241),
    [anon_sym_LBRACK] = ACTIONS(2241),
    [anon_sym_RBRACK] = ACTIONS(2241),
    [anon_sym_RPAREN] = ACTIONS(2241),
    [anon_sym_COMMA] = ACTIONS(2241),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2241),
    [anon_sym_STAR] = ACTIONS(2241),
    [anon_sym_COLON_COLON] = ACTIONS(2241),
    [anon_sym_LT] = ACTIONS(2243),
    [anon_sym_GT] = ACTIONS(2243),
    [anon_sym_LT_EQ] = ACTIONS(2241),
    [anon_sym_GT_EQ] = ACTIONS(2241),
    [anon_sym_COLON] = ACTIONS(2243),
    [sym_op_other] = ACTIONS(2241),
    [anon_sym_PLUS] = ACTIONS(2241),
    [anon_sym_DASH] = ACTIONS(2243),
    [anon_sym_SLASH] = ACTIONS(2243),
    [anon_sym_PERCENT] = ACTIONS(2241),
    [anon_sym_CARET] = ACTIONS(2243),
    [anon_sym_BANG_EQ] = ACTIONS(2241),
    [anon_sym_LT_GT] = ACTIONS(2241),
  },
  [246] = {
    [ts_builtin_sym_end] = ACTIONS(2245),
    [anon_sym_SEMI] = ACTIONS(2245),
    [sym_keyword_from] = ACTIONS(2245),
    [sym_keyword_on] = ACTIONS(2245),
    [sym_keyword_where] = ACTIONS(2245),
    [sym_keyword_desc] = ACTIONS(2245),
    [sym_keyword_asc] = ACTIONS(2245),
    [sym_keyword_limit] = ACTIONS(2245),
    [sym_keyword_primary] = ACTIONS(2245),
    [sym_keyword_create] = ACTIONS(2245),
    [sym_keyword_as] = ACTIONS(2247),
    [sym_keyword_constraint] = ACTIONS(2245),
    [sym_keyword_separator] = ACTIONS(2245),
    [sym_keyword_when] = ACTIONS(2245),
    [sym_keyword_then] = ACTIONS(2245),
    [sym_keyword_else] = ACTIONS(2245),
    [sym_keyword_end] = ACTIONS(2245),
    [sym_keyword_in] = ACTIONS(2245),
    [sym_keyword_and] = ACTIONS(2245),
    [sym_keyword_or] = ACTIONS(2245),
    [sym_keyword_is] = ACTIONS(2245),
    [sym_keyword_not] = ACTIONS(2245),
    [sym_keyword_using] = ACTIONS(2245),
    [sym_keyword_auto_increment] = ACTIONS(2245),
    [sym_keyword_generated] = ACTIONS(2245),
    [sym_keyword_default] = ACTIONS(2245),
    [sym_keyword_returning] = ACTIONS(2245),
    [sym_keyword_first] = ACTIONS(2245),
    [sym_keyword_after] = ACTIONS(2245),
    [sym_keyword_range] = ACTIONS(2245),
    [sym_keyword_rows] = ACTIONS(2245),
    [sym_keyword_groups] = ACTIONS(2245),
    [sym_keyword_between] = ACTIONS(2245),
    [sym_keyword_preceding] = ACTIONS(2245),
    [sym_keyword_following] = ACTIONS(2245),
    [sym_keyword_unique] = ACTIONS(2245),
    [sym_keyword_references] = ACTIONS(2245),
    [aux_sym_keyword_like_token1] = ACTIONS(2245),
    [aux_sym_keyword_like_token2] = ACTIONS(2245),
    [sym_keyword_similar] = ACTIONS(2245),
    [sym_keyword_check] = ACTIONS(2245),
    [sym_keyword_stored] = ACTIONS(2245),
    [sym_keyword_virtual] = ACTIONS(2245),
    [sym_keyword_comment] = ACTIONS(2245),
    [sym_keyword_null] = ACTIONS(2245),
    [sym_keyword_array] = ACTIONS(2245),
    [anon_sym_LBRACK] = ACTIONS(2245),
    [anon_sym_RBRACK] = ACTIONS(2245),
    [anon_sym_RPAREN] = ACTIONS(2245),
    [anon_sym_COMMA] = ACTIONS(2245),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2245),
    [anon_sym_STAR] = ACTIONS(2245),
    [anon_sym_COLON_COLON] = ACTIONS(2245),
    [anon_sym_LT] = ACTIONS(2247),
    [anon_sym_GT] = ACTIONS(2247),
    [anon_sym_LT_EQ] = ACTIONS(2245),
    [anon_sym_GT_EQ] = ACTIONS(2245),
    [anon_sym_COLON] = ACTIONS(2247),
    [sym_op_other] = ACTIONS(2245),
    [anon_sym_PLUS] = ACTIONS(2245),
    [anon_sym_DASH] = ACTIONS(2247),
    [anon_sym_SLASH] = ACTIONS(2247),
    [anon_sym_PERCENT] = ACTIONS(2245),
    [anon_sym_CARET] = ACTIONS(2247),
    [anon_sym_BANG_EQ] = ACTIONS(2245),
    [anon_sym_LT_GT] = ACTIONS(2245),
  },
  [247] = {
    [ts_builtin_sym_end] = ACTIONS(2006),
    [anon_sym_SEMI] = ACTIONS(2006),
    [sym_keyword_from] = ACTIONS(2006),
    [sym_keyword_on] = ACTIONS(2006),
    [sym_keyword_where] = ACTIONS(2006),
    [sym_keyword_desc] = ACTIONS(2006),
    [sym_keyword_asc] = ACTIONS(2006),
    [sym_keyword_limit] = ACTIONS(2006),
    [sym_keyword_primary] = ACTIONS(2006),
    [sym_keyword_create] = ACTIONS(2006),
    [sym_keyword_as] = ACTIONS(2008),
    [sym_keyword_constraint] = ACTIONS(2006),
    [sym_keyword_separator] = ACTIONS(2006),
    [sym_keyword_when] = ACTIONS(2006),
    [sym_keyword_then] = ACTIONS(2006),
    [sym_keyword_else] = ACTIONS(2006),
    [sym_keyword_end] = ACTIONS(2006),
    [sym_keyword_in] = ACTIONS(2006),
    [sym_keyword_and] = ACTIONS(2006),
    [sym_keyword_or] = ACTIONS(2006),
    [sym_keyword_is] = ACTIONS(2006),
    [sym_keyword_not] = ACTIONS(2006),
    [sym_keyword_using] = ACTIONS(2006),
    [sym_keyword_auto_increment] = ACTIONS(2006),
    [sym_keyword_generated] = ACTIONS(2006),
    [sym_keyword_default] = ACTIONS(2006),
    [sym_keyword_returning] = ACTIONS(2006),
    [sym_keyword_first] = ACTIONS(2006),
    [sym_keyword_after] = ACTIONS(2006),
    [sym_keyword_range] = ACTIONS(2006),
    [sym_keyword_rows] = ACTIONS(2006),
    [sym_keyword_groups] = ACTIONS(2006),
    [sym_keyword_between] = ACTIONS(2006),
    [sym_keyword_preceding] = ACTIONS(2006),
    [sym_keyword_following] = ACTIONS(2006),
    [sym_keyword_unique] = ACTIONS(2006),
    [sym_keyword_references] = ACTIONS(2006),
    [aux_sym_keyword_like_token1] = ACTIONS(2006),
    [aux_sym_keyword_like_token2] = ACTIONS(2006),
    [sym_keyword_similar] = ACTIONS(2006),
    [sym_keyword_check] = ACTIONS(2006),
    [sym_keyword_stored] = ACTIONS(2006),
    [sym_keyword_virtual] = ACTIONS(2006),
    [sym_keyword_comment] = ACTIONS(2006),
    [sym_keyword_null] = ACTIONS(2006),
    [sym_keyword_array] = ACTIONS(2006),
    [anon_sym_LBRACK] = ACTIONS(2006),
    [anon_sym_RBRACK] = ACTIONS(2006),
    [anon_sym_RPAREN] = ACTIONS(2006),
    [anon_sym_COMMA] = ACTIONS(2006),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2006),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2006),
    [anon_sym_LT] = ACTIONS(2008),
    [anon_sym_GT] = ACTIONS(2008),
    [anon_sym_LT_EQ] = ACTIONS(2006),
    [anon_sym_GT_EQ] = ACTIONS(2006),
    [anon_sym_COLON] = ACTIONS(2008),
    [sym_op_other] = ACTIONS(2006),
    [anon_sym_PLUS] = ACTIONS(2006),
    [anon_sym_DASH] = ACTIONS(2008),
    [anon_sym_SLASH] = ACTIONS(2008),
    [anon_sym_PERCENT] = ACTIONS(2006),
    [anon_sym_CARET] = ACTIONS(2008),
    [anon_sym_BANG_EQ] = ACTIONS(2006),
    [anon_sym_LT_GT] = ACTIONS(2006),
  },
  [248] = {
    [ts_builtin_sym_end] = ACTIONS(2249),
    [anon_sym_SEMI] = ACTIONS(2249),
    [sym_keyword_from] = ACTIONS(2249),
    [sym_keyword_on] = ACTIONS(2249),
    [sym_keyword_where] = ACTIONS(2249),
    [sym_keyword_desc] = ACTIONS(2249),
    [sym_keyword_asc] = ACTIONS(2249),
    [sym_keyword_limit] = ACTIONS(2249),
    [sym_keyword_primary] = ACTIONS(2249),
    [sym_keyword_create] = ACTIONS(2249),
    [sym_keyword_as] = ACTIONS(2251),
    [sym_keyword_constraint] = ACTIONS(2249),
    [sym_keyword_separator] = ACTIONS(2249),
    [sym_keyword_when] = ACTIONS(2249),
    [sym_keyword_then] = ACTIONS(2249),
    [sym_keyword_else] = ACTIONS(2249),
    [sym_keyword_end] = ACTIONS(2249),
    [sym_keyword_in] = ACTIONS(2249),
    [sym_keyword_and] = ACTIONS(2249),
    [sym_keyword_or] = ACTIONS(2249),
    [sym_keyword_is] = ACTIONS(2249),
    [sym_keyword_not] = ACTIONS(2249),
    [sym_keyword_using] = ACTIONS(2249),
    [sym_keyword_auto_increment] = ACTIONS(2249),
    [sym_keyword_generated] = ACTIONS(2249),
    [sym_keyword_default] = ACTIONS(2249),
    [sym_keyword_returning] = ACTIONS(2249),
    [sym_keyword_first] = ACTIONS(2249),
    [sym_keyword_after] = ACTIONS(2249),
    [sym_keyword_range] = ACTIONS(2249),
    [sym_keyword_rows] = ACTIONS(2249),
    [sym_keyword_groups] = ACTIONS(2249),
    [sym_keyword_between] = ACTIONS(2249),
    [sym_keyword_preceding] = ACTIONS(2249),
    [sym_keyword_following] = ACTIONS(2249),
    [sym_keyword_unique] = ACTIONS(2249),
    [sym_keyword_references] = ACTIONS(2249),
    [aux_sym_keyword_like_token1] = ACTIONS(2249),
    [aux_sym_keyword_like_token2] = ACTIONS(2249),
    [sym_keyword_similar] = ACTIONS(2249),
    [sym_keyword_check] = ACTIONS(2249),
    [sym_keyword_stored] = ACTIONS(2249),
    [sym_keyword_virtual] = ACTIONS(2249),
    [sym_keyword_comment] = ACTIONS(2249),
    [sym_keyword_null] = ACTIONS(2249),
    [sym_keyword_array] = ACTIONS(2249),
    [anon_sym_LBRACK] = ACTIONS(2249),
    [anon_sym_RBRACK] = ACTIONS(2249),
    [anon_sym_RPAREN] = ACTIONS(2249),
    [anon_sym_COMMA] = ACTIONS(2249),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2249),
    [anon_sym_STAR] = ACTIONS(2249),
    [anon_sym_COLON_COLON] = ACTIONS(2249),
    [anon_sym_LT] = ACTIONS(2251),
    [anon_sym_GT] = ACTIONS(2251),
    [anon_sym_LT_EQ] = ACTIONS(2249),
    [anon_sym_GT_EQ] = ACTIONS(2249),
    [anon_sym_COLON] = ACTIONS(2251),
    [sym_op_other] = ACTIONS(2249),
    [anon_sym_PLUS] = ACTIONS(2249),
    [anon_sym_DASH] = ACTIONS(2251),
    [anon_sym_SLASH] = ACTIONS(2251),
    [anon_sym_PERCENT] = ACTIONS(2249),
    [anon_sym_CARET] = ACTIONS(2251),
    [anon_sym_BANG_EQ] = ACTIONS(2249),
    [anon_sym_LT_GT] = ACTIONS(2249),
  },
  [249] = {
    [ts_builtin_sym_end] = ACTIONS(2253),
    [anon_sym_SEMI] = ACTIONS(2253),
    [sym_keyword_from] = ACTIONS(2253),
    [sym_keyword_on] = ACTIONS(2253),
    [sym_keyword_where] = ACTIONS(2253),
    [sym_keyword_desc] = ACTIONS(2253),
    [sym_keyword_asc] = ACTIONS(2253),
    [sym_keyword_limit] = ACTIONS(2253),
    [sym_keyword_primary] = ACTIONS(2253),
    [sym_keyword_create] = ACTIONS(2253),
    [sym_keyword_as] = ACTIONS(2255),
    [sym_keyword_constraint] = ACTIONS(2253),
    [sym_keyword_separator] = ACTIONS(2253),
    [sym_keyword_when] = ACTIONS(2253),
    [sym_keyword_then] = ACTIONS(2253),
    [sym_keyword_else] = ACTIONS(2253),
    [sym_keyword_end] = ACTIONS(2253),
    [sym_keyword_in] = ACTIONS(2253),
    [sym_keyword_and] = ACTIONS(2253),
    [sym_keyword_or] = ACTIONS(2253),
    [sym_keyword_is] = ACTIONS(2253),
    [sym_keyword_not] = ACTIONS(2253),
    [sym_keyword_using] = ACTIONS(2253),
    [sym_keyword_auto_increment] = ACTIONS(2253),
    [sym_keyword_generated] = ACTIONS(2253),
    [sym_keyword_default] = ACTIONS(2253),
    [sym_keyword_returning] = ACTIONS(2253),
    [sym_keyword_first] = ACTIONS(2253),
    [sym_keyword_after] = ACTIONS(2253),
    [sym_keyword_range] = ACTIONS(2253),
    [sym_keyword_rows] = ACTIONS(2253),
    [sym_keyword_groups] = ACTIONS(2253),
    [sym_keyword_between] = ACTIONS(2253),
    [sym_keyword_preceding] = ACTIONS(2253),
    [sym_keyword_following] = ACTIONS(2253),
    [sym_keyword_unique] = ACTIONS(2253),
    [sym_keyword_references] = ACTIONS(2253),
    [aux_sym_keyword_like_token1] = ACTIONS(2253),
    [aux_sym_keyword_like_token2] = ACTIONS(2253),
    [sym_keyword_similar] = ACTIONS(2253),
    [sym_keyword_check] = ACTIONS(2253),
    [sym_keyword_stored] = ACTIONS(2253),
    [sym_keyword_virtual] = ACTIONS(2253),
    [sym_keyword_comment] = ACTIONS(2253),
    [sym_keyword_null] = ACTIONS(2253),
    [sym_keyword_array] = ACTIONS(2253),
    [anon_sym_LBRACK] = ACTIONS(2253),
    [anon_sym_RBRACK] = ACTIONS(2253),
    [anon_sym_RPAREN] = ACTIONS(2253),
    [anon_sym_COMMA] = ACTIONS(2253),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2253),
    [anon_sym_STAR] = ACTIONS(2253),
    [anon_sym_COLON_COLON] = ACTIONS(2253),
    [anon_sym_LT] = ACTIONS(2255),
    [anon_sym_GT] = ACTIONS(2255),
    [anon_sym_LT_EQ] = ACTIONS(2253),
    [anon_sym_GT_EQ] = ACTIONS(2253),
    [anon_sym_COLON] = ACTIONS(2255),
    [sym_op_other] = ACTIONS(2253),
    [anon_sym_PLUS] = ACTIONS(2253),
    [anon_sym_DASH] = ACTIONS(2255),
    [anon_sym_SLASH] = ACTIONS(2255),
    [anon_sym_PERCENT] = ACTIONS(2253),
    [anon_sym_CARET] = ACTIONS(2255),
    [anon_sym_BANG_EQ] = ACTIONS(2253),
    [anon_sym_LT_GT] = ACTIONS(2253),
  },
  [250] = {
    [ts_builtin_sym_end] = ACTIONS(2257),
    [anon_sym_SEMI] = ACTIONS(2257),
    [sym_keyword_from] = ACTIONS(2257),
    [sym_keyword_on] = ACTIONS(2257),
    [sym_keyword_where] = ACTIONS(2257),
    [sym_keyword_desc] = ACTIONS(2257),
    [sym_keyword_asc] = ACTIONS(2257),
    [sym_keyword_limit] = ACTIONS(2257),
    [sym_keyword_primary] = ACTIONS(2257),
    [sym_keyword_create] = ACTIONS(2257),
    [sym_keyword_as] = ACTIONS(2259),
    [sym_keyword_constraint] = ACTIONS(2257),
    [sym_keyword_separator] = ACTIONS(2257),
    [sym_keyword_when] = ACTIONS(2257),
    [sym_keyword_then] = ACTIONS(2257),
    [sym_keyword_else] = ACTIONS(2257),
    [sym_keyword_end] = ACTIONS(2257),
    [sym_keyword_in] = ACTIONS(2257),
    [sym_keyword_and] = ACTIONS(2257),
    [sym_keyword_or] = ACTIONS(2257),
    [sym_keyword_is] = ACTIONS(2257),
    [sym_keyword_not] = ACTIONS(2257),
    [sym_keyword_using] = ACTIONS(2257),
    [sym_keyword_auto_increment] = ACTIONS(2257),
    [sym_keyword_generated] = ACTIONS(2257),
    [sym_keyword_default] = ACTIONS(2257),
    [sym_keyword_returning] = ACTIONS(2257),
    [sym_keyword_first] = ACTIONS(2257),
    [sym_keyword_after] = ACTIONS(2257),
    [sym_keyword_range] = ACTIONS(2257),
    [sym_keyword_rows] = ACTIONS(2257),
    [sym_keyword_groups] = ACTIONS(2257),
    [sym_keyword_between] = ACTIONS(2257),
    [sym_keyword_preceding] = ACTIONS(2257),
    [sym_keyword_following] = ACTIONS(2257),
    [sym_keyword_unique] = ACTIONS(2257),
    [sym_keyword_references] = ACTIONS(2257),
    [aux_sym_keyword_like_token1] = ACTIONS(2257),
    [aux_sym_keyword_like_token2] = ACTIONS(2257),
    [sym_keyword_similar] = ACTIONS(2257),
    [sym_keyword_check] = ACTIONS(2257),
    [sym_keyword_stored] = ACTIONS(2257),
    [sym_keyword_virtual] = ACTIONS(2257),
    [sym_keyword_comment] = ACTIONS(2257),
    [sym_keyword_null] = ACTIONS(2257),
    [sym_keyword_array] = ACTIONS(2257),
    [anon_sym_LBRACK] = ACTIONS(2257),
    [anon_sym_RBRACK] = ACTIONS(2257),
    [anon_sym_RPAREN] = ACTIONS(2257),
    [anon_sym_COMMA] = ACTIONS(2257),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2257),
    [anon_sym_STAR] = ACTIONS(2257),
    [anon_sym_COLON_COLON] = ACTIONS(2257),
    [anon_sym_LT] = ACTIONS(2259),
    [anon_sym_GT] = ACTIONS(2259),
    [anon_sym_LT_EQ] = ACTIONS(2257),
    [anon_sym_GT_EQ] = ACTIONS(2257),
    [anon_sym_COLON] = ACTIONS(2259),
    [sym_op_other] = ACTIONS(2257),
    [anon_sym_PLUS] = ACTIONS(2257),
    [anon_sym_DASH] = ACTIONS(2259),
    [anon_sym_SLASH] = ACTIONS(2259),
    [anon_sym_PERCENT] = ACTIONS(2257),
    [anon_sym_CARET] = ACTIONS(2259),
    [anon_sym_BANG_EQ] = ACTIONS(2257),
    [anon_sym_LT_GT] = ACTIONS(2257),
  },
  [251] = {
    [ts_builtin_sym_end] = ACTIONS(2261),
    [anon_sym_SEMI] = ACTIONS(2261),
    [sym_keyword_from] = ACTIONS(2261),
    [sym_keyword_on] = ACTIONS(2261),
    [sym_keyword_where] = ACTIONS(2261),
    [sym_keyword_desc] = ACTIONS(2261),
    [sym_keyword_asc] = ACTIONS(2261),
    [sym_keyword_limit] = ACTIONS(2261),
    [sym_keyword_primary] = ACTIONS(2261),
    [sym_keyword_create] = ACTIONS(2261),
    [sym_keyword_as] = ACTIONS(2263),
    [sym_keyword_constraint] = ACTIONS(2261),
    [sym_keyword_separator] = ACTIONS(2261),
    [sym_keyword_when] = ACTIONS(2261),
    [sym_keyword_then] = ACTIONS(2261),
    [sym_keyword_else] = ACTIONS(2261),
    [sym_keyword_end] = ACTIONS(2261),
    [sym_keyword_in] = ACTIONS(2261),
    [sym_keyword_and] = ACTIONS(2261),
    [sym_keyword_or] = ACTIONS(2261),
    [sym_keyword_is] = ACTIONS(2261),
    [sym_keyword_not] = ACTIONS(2261),
    [sym_keyword_using] = ACTIONS(2261),
    [sym_keyword_auto_increment] = ACTIONS(2261),
    [sym_keyword_generated] = ACTIONS(2261),
    [sym_keyword_default] = ACTIONS(2261),
    [sym_keyword_returning] = ACTIONS(2261),
    [sym_keyword_first] = ACTIONS(2261),
    [sym_keyword_after] = ACTIONS(2261),
    [sym_keyword_range] = ACTIONS(2261),
    [sym_keyword_rows] = ACTIONS(2261),
    [sym_keyword_groups] = ACTIONS(2261),
    [sym_keyword_between] = ACTIONS(2261),
    [sym_keyword_preceding] = ACTIONS(2261),
    [sym_keyword_following] = ACTIONS(2261),
    [sym_keyword_unique] = ACTIONS(2261),
    [sym_keyword_references] = ACTIONS(2261),
    [aux_sym_keyword_like_token1] = ACTIONS(2261),
    [aux_sym_keyword_like_token2] = ACTIONS(2261),
    [sym_keyword_similar] = ACTIONS(2261),
    [sym_keyword_check] = ACTIONS(2261),
    [sym_keyword_stored] = ACTIONS(2261),
    [sym_keyword_virtual] = ACTIONS(2261),
    [sym_keyword_comment] = ACTIONS(2261),
    [sym_keyword_null] = ACTIONS(2261),
    [sym_keyword_array] = ACTIONS(2261),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_RBRACK] = ACTIONS(2261),
    [anon_sym_RPAREN] = ACTIONS(2261),
    [anon_sym_COMMA] = ACTIONS(2261),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2261),
    [anon_sym_STAR] = ACTIONS(2261),
    [anon_sym_COLON_COLON] = ACTIONS(2261),
    [anon_sym_LT] = ACTIONS(2263),
    [anon_sym_GT] = ACTIONS(2263),
    [anon_sym_LT_EQ] = ACTIONS(2261),
    [anon_sym_GT_EQ] = ACTIONS(2261),
    [anon_sym_COLON] = ACTIONS(2263),
    [sym_op_other] = ACTIONS(2261),
    [anon_sym_PLUS] = ACTIONS(2261),
    [anon_sym_DASH] = ACTIONS(2263),
    [anon_sym_SLASH] = ACTIONS(2263),
    [anon_sym_PERCENT] = ACTIONS(2261),
    [anon_sym_CARET] = ACTIONS(2263),
    [anon_sym_BANG_EQ] = ACTIONS(2261),
    [anon_sym_LT_GT] = ACTIONS(2261),
  },
  [252] = {
    [ts_builtin_sym_end] = ACTIONS(2265),
    [anon_sym_SEMI] = ACTIONS(2265),
    [sym_keyword_from] = ACTIONS(2265),
    [sym_keyword_on] = ACTIONS(2265),
    [sym_keyword_where] = ACTIONS(2265),
    [sym_keyword_desc] = ACTIONS(2265),
    [sym_keyword_asc] = ACTIONS(2265),
    [sym_keyword_limit] = ACTIONS(2265),
    [sym_keyword_primary] = ACTIONS(2265),
    [sym_keyword_create] = ACTIONS(2265),
    [sym_keyword_as] = ACTIONS(2267),
    [sym_keyword_constraint] = ACTIONS(2265),
    [sym_keyword_separator] = ACTIONS(2265),
    [sym_keyword_when] = ACTIONS(2265),
    [sym_keyword_then] = ACTIONS(2265),
    [sym_keyword_else] = ACTIONS(2265),
    [sym_keyword_end] = ACTIONS(2265),
    [sym_keyword_in] = ACTIONS(2265),
    [sym_keyword_and] = ACTIONS(2265),
    [sym_keyword_or] = ACTIONS(2265),
    [sym_keyword_is] = ACTIONS(2265),
    [sym_keyword_not] = ACTIONS(2265),
    [sym_keyword_using] = ACTIONS(2265),
    [sym_keyword_auto_increment] = ACTIONS(2265),
    [sym_keyword_generated] = ACTIONS(2265),
    [sym_keyword_default] = ACTIONS(2265),
    [sym_keyword_returning] = ACTIONS(2265),
    [sym_keyword_first] = ACTIONS(2265),
    [sym_keyword_after] = ACTIONS(2265),
    [sym_keyword_range] = ACTIONS(2265),
    [sym_keyword_rows] = ACTIONS(2265),
    [sym_keyword_groups] = ACTIONS(2265),
    [sym_keyword_between] = ACTIONS(2265),
    [sym_keyword_preceding] = ACTIONS(2265),
    [sym_keyword_following] = ACTIONS(2265),
    [sym_keyword_unique] = ACTIONS(2265),
    [sym_keyword_references] = ACTIONS(2265),
    [aux_sym_keyword_like_token1] = ACTIONS(2265),
    [aux_sym_keyword_like_token2] = ACTIONS(2265),
    [sym_keyword_similar] = ACTIONS(2265),
    [sym_keyword_check] = ACTIONS(2265),
    [sym_keyword_stored] = ACTIONS(2265),
    [sym_keyword_virtual] = ACTIONS(2265),
    [sym_keyword_comment] = ACTIONS(2265),
    [sym_keyword_null] = ACTIONS(2265),
    [sym_keyword_array] = ACTIONS(2265),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_RBRACK] = ACTIONS(2265),
    [anon_sym_RPAREN] = ACTIONS(2265),
    [anon_sym_COMMA] = ACTIONS(2265),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2265),
    [anon_sym_STAR] = ACTIONS(2265),
    [anon_sym_COLON_COLON] = ACTIONS(2265),
    [anon_sym_LT] = ACTIONS(2267),
    [anon_sym_GT] = ACTIONS(2267),
    [anon_sym_LT_EQ] = ACTIONS(2265),
    [anon_sym_GT_EQ] = ACTIONS(2265),
    [anon_sym_COLON] = ACTIONS(2267),
    [sym_op_other] = ACTIONS(2265),
    [anon_sym_PLUS] = ACTIONS(2265),
    [anon_sym_DASH] = ACTIONS(2267),
    [anon_sym_SLASH] = ACTIONS(2267),
    [anon_sym_PERCENT] = ACTIONS(2265),
    [anon_sym_CARET] = ACTIONS(2267),
    [anon_sym_BANG_EQ] = ACTIONS(2265),
    [anon_sym_LT_GT] = ACTIONS(2265),
  },
  [253] = {
    [ts_builtin_sym_end] = ACTIONS(2269),
    [anon_sym_SEMI] = ACTIONS(2269),
    [sym_keyword_from] = ACTIONS(2269),
    [sym_keyword_on] = ACTIONS(2269),
    [sym_keyword_where] = ACTIONS(2269),
    [sym_keyword_desc] = ACTIONS(2269),
    [sym_keyword_asc] = ACTIONS(2269),
    [sym_keyword_limit] = ACTIONS(2269),
    [sym_keyword_primary] = ACTIONS(2269),
    [sym_keyword_create] = ACTIONS(2269),
    [sym_keyword_as] = ACTIONS(2271),
    [sym_keyword_constraint] = ACTIONS(2269),
    [sym_keyword_separator] = ACTIONS(2269),
    [sym_keyword_when] = ACTIONS(2269),
    [sym_keyword_then] = ACTIONS(2269),
    [sym_keyword_else] = ACTIONS(2269),
    [sym_keyword_end] = ACTIONS(2269),
    [sym_keyword_in] = ACTIONS(2269),
    [sym_keyword_and] = ACTIONS(2269),
    [sym_keyword_or] = ACTIONS(2269),
    [sym_keyword_is] = ACTIONS(2269),
    [sym_keyword_not] = ACTIONS(2269),
    [sym_keyword_using] = ACTIONS(2269),
    [sym_keyword_auto_increment] = ACTIONS(2269),
    [sym_keyword_generated] = ACTIONS(2269),
    [sym_keyword_default] = ACTIONS(2269),
    [sym_keyword_returning] = ACTIONS(2269),
    [sym_keyword_first] = ACTIONS(2269),
    [sym_keyword_after] = ACTIONS(2269),
    [sym_keyword_range] = ACTIONS(2269),
    [sym_keyword_rows] = ACTIONS(2269),
    [sym_keyword_groups] = ACTIONS(2269),
    [sym_keyword_between] = ACTIONS(2269),
    [sym_keyword_preceding] = ACTIONS(2269),
    [sym_keyword_following] = ACTIONS(2269),
    [sym_keyword_unique] = ACTIONS(2269),
    [sym_keyword_references] = ACTIONS(2269),
    [aux_sym_keyword_like_token1] = ACTIONS(2269),
    [aux_sym_keyword_like_token2] = ACTIONS(2269),
    [sym_keyword_similar] = ACTIONS(2269),
    [sym_keyword_check] = ACTIONS(2269),
    [sym_keyword_stored] = ACTIONS(2269),
    [sym_keyword_virtual] = ACTIONS(2269),
    [sym_keyword_comment] = ACTIONS(2269),
    [sym_keyword_null] = ACTIONS(2269),
    [sym_keyword_array] = ACTIONS(2269),
    [anon_sym_LBRACK] = ACTIONS(2269),
    [anon_sym_RBRACK] = ACTIONS(2269),
    [anon_sym_RPAREN] = ACTIONS(2269),
    [anon_sym_COMMA] = ACTIONS(2269),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2269),
    [anon_sym_STAR] = ACTIONS(2269),
    [anon_sym_COLON_COLON] = ACTIONS(2269),
    [anon_sym_LT] = ACTIONS(2271),
    [anon_sym_GT] = ACTIONS(2271),
    [anon_sym_LT_EQ] = ACTIONS(2269),
    [anon_sym_GT_EQ] = ACTIONS(2269),
    [anon_sym_COLON] = ACTIONS(2271),
    [sym_op_other] = ACTIONS(2269),
    [anon_sym_PLUS] = ACTIONS(2269),
    [anon_sym_DASH] = ACTIONS(2271),
    [anon_sym_SLASH] = ACTIONS(2271),
    [anon_sym_PERCENT] = ACTIONS(2269),
    [anon_sym_CARET] = ACTIONS(2271),
    [anon_sym_BANG_EQ] = ACTIONS(2269),
    [anon_sym_LT_GT] = ACTIONS(2269),
  },
  [254] = {
    [ts_builtin_sym_end] = ACTIONS(2273),
    [anon_sym_SEMI] = ACTIONS(2273),
    [sym_keyword_from] = ACTIONS(2273),
    [sym_keyword_on] = ACTIONS(2273),
    [sym_keyword_where] = ACTIONS(2273),
    [sym_keyword_desc] = ACTIONS(2273),
    [sym_keyword_asc] = ACTIONS(2273),
    [sym_keyword_limit] = ACTIONS(2273),
    [sym_keyword_primary] = ACTIONS(2273),
    [sym_keyword_create] = ACTIONS(2273),
    [sym_keyword_as] = ACTIONS(2275),
    [sym_keyword_constraint] = ACTIONS(2273),
    [sym_keyword_separator] = ACTIONS(2273),
    [sym_keyword_when] = ACTIONS(2273),
    [sym_keyword_then] = ACTIONS(2273),
    [sym_keyword_else] = ACTIONS(2273),
    [sym_keyword_end] = ACTIONS(2273),
    [sym_keyword_in] = ACTIONS(2273),
    [sym_keyword_and] = ACTIONS(2273),
    [sym_keyword_or] = ACTIONS(2273),
    [sym_keyword_is] = ACTIONS(2273),
    [sym_keyword_not] = ACTIONS(2273),
    [sym_keyword_using] = ACTIONS(2273),
    [sym_keyword_auto_increment] = ACTIONS(2273),
    [sym_keyword_generated] = ACTIONS(2273),
    [sym_keyword_default] = ACTIONS(2273),
    [sym_keyword_returning] = ACTIONS(2273),
    [sym_keyword_first] = ACTIONS(2273),
    [sym_keyword_after] = ACTIONS(2273),
    [sym_keyword_range] = ACTIONS(2273),
    [sym_keyword_rows] = ACTIONS(2273),
    [sym_keyword_groups] = ACTIONS(2273),
    [sym_keyword_between] = ACTIONS(2273),
    [sym_keyword_preceding] = ACTIONS(2273),
    [sym_keyword_following] = ACTIONS(2273),
    [sym_keyword_unique] = ACTIONS(2273),
    [sym_keyword_references] = ACTIONS(2273),
    [aux_sym_keyword_like_token1] = ACTIONS(2273),
    [aux_sym_keyword_like_token2] = ACTIONS(2273),
    [sym_keyword_similar] = ACTIONS(2273),
    [sym_keyword_check] = ACTIONS(2273),
    [sym_keyword_stored] = ACTIONS(2273),
    [sym_keyword_virtual] = ACTIONS(2273),
    [sym_keyword_comment] = ACTIONS(2273),
    [sym_keyword_null] = ACTIONS(2273),
    [sym_keyword_array] = ACTIONS(2273),
    [anon_sym_LBRACK] = ACTIONS(2273),
    [anon_sym_RBRACK] = ACTIONS(2273),
    [anon_sym_RPAREN] = ACTIONS(2273),
    [anon_sym_COMMA] = ACTIONS(2273),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2273),
    [anon_sym_STAR] = ACTIONS(2273),
    [anon_sym_COLON_COLON] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_GT] = ACTIONS(2275),
    [anon_sym_LT_EQ] = ACTIONS(2273),
    [anon_sym_GT_EQ] = ACTIONS(2273),
    [anon_sym_COLON] = ACTIONS(2275),
    [sym_op_other] = ACTIONS(2273),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2275),
    [anon_sym_SLASH] = ACTIONS(2275),
    [anon_sym_PERCENT] = ACTIONS(2273),
    [anon_sym_CARET] = ACTIONS(2275),
    [anon_sym_BANG_EQ] = ACTIONS(2273),
    [anon_sym_LT_GT] = ACTIONS(2273),
  },
  [255] = {
    [ts_builtin_sym_end] = ACTIONS(2277),
    [anon_sym_SEMI] = ACTIONS(2277),
    [sym_keyword_from] = ACTIONS(2277),
    [sym_keyword_on] = ACTIONS(2277),
    [sym_keyword_where] = ACTIONS(2277),
    [sym_keyword_desc] = ACTIONS(2277),
    [sym_keyword_asc] = ACTIONS(2277),
    [sym_keyword_limit] = ACTIONS(2277),
    [sym_keyword_primary] = ACTIONS(2277),
    [sym_keyword_create] = ACTIONS(2277),
    [sym_keyword_as] = ACTIONS(2279),
    [sym_keyword_constraint] = ACTIONS(2277),
    [sym_keyword_separator] = ACTIONS(2277),
    [sym_keyword_when] = ACTIONS(2277),
    [sym_keyword_then] = ACTIONS(2277),
    [sym_keyword_else] = ACTIONS(2277),
    [sym_keyword_end] = ACTIONS(2277),
    [sym_keyword_in] = ACTIONS(2277),
    [sym_keyword_and] = ACTIONS(2277),
    [sym_keyword_or] = ACTIONS(2277),
    [sym_keyword_is] = ACTIONS(2277),
    [sym_keyword_not] = ACTIONS(2277),
    [sym_keyword_using] = ACTIONS(2277),
    [sym_keyword_auto_increment] = ACTIONS(2277),
    [sym_keyword_generated] = ACTIONS(2277),
    [sym_keyword_default] = ACTIONS(2277),
    [sym_keyword_returning] = ACTIONS(2277),
    [sym_keyword_first] = ACTIONS(2277),
    [sym_keyword_after] = ACTIONS(2277),
    [sym_keyword_range] = ACTIONS(2277),
    [sym_keyword_rows] = ACTIONS(2277),
    [sym_keyword_groups] = ACTIONS(2277),
    [sym_keyword_between] = ACTIONS(2277),
    [sym_keyword_preceding] = ACTIONS(2277),
    [sym_keyword_following] = ACTIONS(2277),
    [sym_keyword_unique] = ACTIONS(2277),
    [sym_keyword_references] = ACTIONS(2277),
    [aux_sym_keyword_like_token1] = ACTIONS(2277),
    [aux_sym_keyword_like_token2] = ACTIONS(2277),
    [sym_keyword_similar] = ACTIONS(2277),
    [sym_keyword_check] = ACTIONS(2277),
    [sym_keyword_stored] = ACTIONS(2277),
    [sym_keyword_virtual] = ACTIONS(2277),
    [sym_keyword_comment] = ACTIONS(2277),
    [sym_keyword_null] = ACTIONS(2277),
    [sym_keyword_array] = ACTIONS(2277),
    [anon_sym_LBRACK] = ACTIONS(2277),
    [anon_sym_RBRACK] = ACTIONS(2277),
    [anon_sym_RPAREN] = ACTIONS(2277),
    [anon_sym_COMMA] = ACTIONS(2277),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2277),
    [anon_sym_STAR] = ACTIONS(2277),
    [anon_sym_COLON_COLON] = ACTIONS(2277),
    [anon_sym_LT] = ACTIONS(2279),
    [anon_sym_GT] = ACTIONS(2279),
    [anon_sym_LT_EQ] = ACTIONS(2277),
    [anon_sym_GT_EQ] = ACTIONS(2277),
    [anon_sym_COLON] = ACTIONS(2279),
    [sym_op_other] = ACTIONS(2277),
    [anon_sym_PLUS] = ACTIONS(2277),
    [anon_sym_DASH] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2277),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym_BANG_EQ] = ACTIONS(2277),
    [anon_sym_LT_GT] = ACTIONS(2277),
  },
  [256] = {
    [ts_builtin_sym_end] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2281),
    [sym_keyword_from] = ACTIONS(2281),
    [sym_keyword_on] = ACTIONS(2281),
    [sym_keyword_where] = ACTIONS(2281),
    [sym_keyword_desc] = ACTIONS(2281),
    [sym_keyword_asc] = ACTIONS(2281),
    [sym_keyword_limit] = ACTIONS(2281),
    [sym_keyword_primary] = ACTIONS(2281),
    [sym_keyword_create] = ACTIONS(2281),
    [sym_keyword_as] = ACTIONS(2283),
    [sym_keyword_constraint] = ACTIONS(2281),
    [sym_keyword_separator] = ACTIONS(2281),
    [sym_keyword_when] = ACTIONS(2281),
    [sym_keyword_then] = ACTIONS(2281),
    [sym_keyword_else] = ACTIONS(2281),
    [sym_keyword_end] = ACTIONS(2281),
    [sym_keyword_in] = ACTIONS(2281),
    [sym_keyword_and] = ACTIONS(2281),
    [sym_keyword_or] = ACTIONS(2281),
    [sym_keyword_is] = ACTIONS(2281),
    [sym_keyword_not] = ACTIONS(2281),
    [sym_keyword_using] = ACTIONS(2281),
    [sym_keyword_auto_increment] = ACTIONS(2281),
    [sym_keyword_generated] = ACTIONS(2281),
    [sym_keyword_default] = ACTIONS(2281),
    [sym_keyword_returning] = ACTIONS(2281),
    [sym_keyword_first] = ACTIONS(2281),
    [sym_keyword_after] = ACTIONS(2281),
    [sym_keyword_range] = ACTIONS(2281),
    [sym_keyword_rows] = ACTIONS(2281),
    [sym_keyword_groups] = ACTIONS(2281),
    [sym_keyword_between] = ACTIONS(2281),
    [sym_keyword_preceding] = ACTIONS(2281),
    [sym_keyword_following] = ACTIONS(2281),
    [sym_keyword_unique] = ACTIONS(2281),
    [sym_keyword_references] = ACTIONS(2281),
    [aux_sym_keyword_like_token1] = ACTIONS(2281),
    [aux_sym_keyword_like_token2] = ACTIONS(2281),
    [sym_keyword_similar] = ACTIONS(2281),
    [sym_keyword_check] = ACTIONS(2281),
    [sym_keyword_stored] = ACTIONS(2281),
    [sym_keyword_virtual] = ACTIONS(2281),
    [sym_keyword_comment] = ACTIONS(2281),
    [sym_keyword_null] = ACTIONS(2281),
    [sym_keyword_array] = ACTIONS(2281),
    [anon_sym_LBRACK] = ACTIONS(2281),
    [anon_sym_RBRACK] = ACTIONS(2281),
    [anon_sym_RPAREN] = ACTIONS(2281),
    [anon_sym_COMMA] = ACTIONS(2281),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2281),
    [anon_sym_STAR] = ACTIONS(2281),
    [anon_sym_COLON_COLON] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2283),
    [anon_sym_GT] = ACTIONS(2283),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_GT_EQ] = ACTIONS(2281),
    [anon_sym_COLON] = ACTIONS(2283),
    [sym_op_other] = ACTIONS(2281),
    [anon_sym_PLUS] = ACTIONS(2281),
    [anon_sym_DASH] = ACTIONS(2283),
    [anon_sym_SLASH] = ACTIONS(2283),
    [anon_sym_PERCENT] = ACTIONS(2281),
    [anon_sym_CARET] = ACTIONS(2283),
    [anon_sym_BANG_EQ] = ACTIONS(2281),
    [anon_sym_LT_GT] = ACTIONS(2281),
  },
  [257] = {
    [ts_builtin_sym_end] = ACTIONS(2285),
    [anon_sym_SEMI] = ACTIONS(2285),
    [sym_keyword_from] = ACTIONS(2285),
    [sym_keyword_on] = ACTIONS(2285),
    [sym_keyword_where] = ACTIONS(2285),
    [sym_keyword_desc] = ACTIONS(2285),
    [sym_keyword_asc] = ACTIONS(2285),
    [sym_keyword_limit] = ACTIONS(2285),
    [sym_keyword_primary] = ACTIONS(2285),
    [sym_keyword_create] = ACTIONS(2285),
    [sym_keyword_as] = ACTIONS(2287),
    [sym_keyword_constraint] = ACTIONS(2285),
    [sym_keyword_separator] = ACTIONS(2285),
    [sym_keyword_when] = ACTIONS(2285),
    [sym_keyword_then] = ACTIONS(2285),
    [sym_keyword_else] = ACTIONS(2285),
    [sym_keyword_end] = ACTIONS(2285),
    [sym_keyword_in] = ACTIONS(2285),
    [sym_keyword_and] = ACTIONS(2285),
    [sym_keyword_or] = ACTIONS(2285),
    [sym_keyword_is] = ACTIONS(2285),
    [sym_keyword_not] = ACTIONS(2285),
    [sym_keyword_using] = ACTIONS(2285),
    [sym_keyword_auto_increment] = ACTIONS(2285),
    [sym_keyword_generated] = ACTIONS(2285),
    [sym_keyword_default] = ACTIONS(2285),
    [sym_keyword_returning] = ACTIONS(2285),
    [sym_keyword_first] = ACTIONS(2285),
    [sym_keyword_after] = ACTIONS(2285),
    [sym_keyword_range] = ACTIONS(2285),
    [sym_keyword_rows] = ACTIONS(2285),
    [sym_keyword_groups] = ACTIONS(2285),
    [sym_keyword_between] = ACTIONS(2285),
    [sym_keyword_preceding] = ACTIONS(2285),
    [sym_keyword_following] = ACTIONS(2285),
    [sym_keyword_unique] = ACTIONS(2285),
    [sym_keyword_references] = ACTIONS(2285),
    [aux_sym_keyword_like_token1] = ACTIONS(2285),
    [aux_sym_keyword_like_token2] = ACTIONS(2285),
    [sym_keyword_similar] = ACTIONS(2285),
    [sym_keyword_check] = ACTIONS(2285),
    [sym_keyword_stored] = ACTIONS(2285),
    [sym_keyword_virtual] = ACTIONS(2285),
    [sym_keyword_comment] = ACTIONS(2285),
    [sym_keyword_null] = ACTIONS(2285),
    [sym_keyword_array] = ACTIONS(2285),
    [anon_sym_LBRACK] = ACTIONS(2285),
    [anon_sym_RBRACK] = ACTIONS(2285),
    [anon_sym_RPAREN] = ACTIONS(2285),
    [anon_sym_COMMA] = ACTIONS(2285),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2285),
    [anon_sym_STAR] = ACTIONS(2285),
    [anon_sym_COLON_COLON] = ACTIONS(2285),
    [anon_sym_LT] = ACTIONS(2287),
    [anon_sym_GT] = ACTIONS(2287),
    [anon_sym_LT_EQ] = ACTIONS(2285),
    [anon_sym_GT_EQ] = ACTIONS(2285),
    [anon_sym_COLON] = ACTIONS(2287),
    [sym_op_other] = ACTIONS(2285),
    [anon_sym_PLUS] = ACTIONS(2285),
    [anon_sym_DASH] = ACTIONS(2287),
    [anon_sym_SLASH] = ACTIONS(2287),
    [anon_sym_PERCENT] = ACTIONS(2285),
    [anon_sym_CARET] = ACTIONS(2287),
    [anon_sym_BANG_EQ] = ACTIONS(2285),
    [anon_sym_LT_GT] = ACTIONS(2285),
  },
  [258] = {
    [ts_builtin_sym_end] = ACTIONS(2289),
    [anon_sym_SEMI] = ACTIONS(2289),
    [sym_keyword_from] = ACTIONS(2289),
    [sym_keyword_on] = ACTIONS(2289),
    [sym_keyword_where] = ACTIONS(2289),
    [sym_keyword_desc] = ACTIONS(2289),
    [sym_keyword_asc] = ACTIONS(2289),
    [sym_keyword_limit] = ACTIONS(2289),
    [sym_keyword_primary] = ACTIONS(2289),
    [sym_keyword_create] = ACTIONS(2289),
    [sym_keyword_as] = ACTIONS(2291),
    [sym_keyword_constraint] = ACTIONS(2289),
    [sym_keyword_separator] = ACTIONS(2289),
    [sym_keyword_when] = ACTIONS(2289),
    [sym_keyword_then] = ACTIONS(2289),
    [sym_keyword_else] = ACTIONS(2289),
    [sym_keyword_end] = ACTIONS(2289),
    [sym_keyword_in] = ACTIONS(2289),
    [sym_keyword_and] = ACTIONS(2289),
    [sym_keyword_or] = ACTIONS(2289),
    [sym_keyword_is] = ACTIONS(2289),
    [sym_keyword_not] = ACTIONS(2289),
    [sym_keyword_using] = ACTIONS(2289),
    [sym_keyword_auto_increment] = ACTIONS(2289),
    [sym_keyword_generated] = ACTIONS(2289),
    [sym_keyword_default] = ACTIONS(2289),
    [sym_keyword_returning] = ACTIONS(2289),
    [sym_keyword_first] = ACTIONS(2289),
    [sym_keyword_after] = ACTIONS(2289),
    [sym_keyword_range] = ACTIONS(2289),
    [sym_keyword_rows] = ACTIONS(2289),
    [sym_keyword_groups] = ACTIONS(2289),
    [sym_keyword_between] = ACTIONS(2289),
    [sym_keyword_preceding] = ACTIONS(2289),
    [sym_keyword_following] = ACTIONS(2289),
    [sym_keyword_unique] = ACTIONS(2289),
    [sym_keyword_references] = ACTIONS(2289),
    [aux_sym_keyword_like_token1] = ACTIONS(2289),
    [aux_sym_keyword_like_token2] = ACTIONS(2289),
    [sym_keyword_similar] = ACTIONS(2289),
    [sym_keyword_check] = ACTIONS(2289),
    [sym_keyword_stored] = ACTIONS(2289),
    [sym_keyword_virtual] = ACTIONS(2289),
    [sym_keyword_comment] = ACTIONS(2289),
    [sym_keyword_null] = ACTIONS(2289),
    [sym_keyword_array] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2289),
    [anon_sym_RBRACK] = ACTIONS(2289),
    [anon_sym_RPAREN] = ACTIONS(2289),
    [anon_sym_COMMA] = ACTIONS(2289),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2289),
    [anon_sym_STAR] = ACTIONS(2289),
    [anon_sym_COLON_COLON] = ACTIONS(2289),
    [anon_sym_LT] = ACTIONS(2291),
    [anon_sym_GT] = ACTIONS(2291),
    [anon_sym_LT_EQ] = ACTIONS(2289),
    [anon_sym_GT_EQ] = ACTIONS(2289),
    [anon_sym_COLON] = ACTIONS(2291),
    [sym_op_other] = ACTIONS(2289),
    [anon_sym_PLUS] = ACTIONS(2289),
    [anon_sym_DASH] = ACTIONS(2291),
    [anon_sym_SLASH] = ACTIONS(2291),
    [anon_sym_PERCENT] = ACTIONS(2289),
    [anon_sym_CARET] = ACTIONS(2291),
    [anon_sym_BANG_EQ] = ACTIONS(2289),
    [anon_sym_LT_GT] = ACTIONS(2289),
  },
  [259] = {
    [ts_builtin_sym_end] = ACTIONS(2293),
    [anon_sym_SEMI] = ACTIONS(2293),
    [sym_keyword_from] = ACTIONS(2293),
    [sym_keyword_on] = ACTIONS(2293),
    [sym_keyword_where] = ACTIONS(2293),
    [sym_keyword_desc] = ACTIONS(2293),
    [sym_keyword_asc] = ACTIONS(2293),
    [sym_keyword_limit] = ACTIONS(2293),
    [sym_keyword_primary] = ACTIONS(2293),
    [sym_keyword_create] = ACTIONS(2293),
    [sym_keyword_as] = ACTIONS(2295),
    [sym_keyword_constraint] = ACTIONS(2293),
    [sym_keyword_separator] = ACTIONS(2293),
    [sym_keyword_when] = ACTIONS(2293),
    [sym_keyword_then] = ACTIONS(2293),
    [sym_keyword_else] = ACTIONS(2293),
    [sym_keyword_end] = ACTIONS(2293),
    [sym_keyword_in] = ACTIONS(2293),
    [sym_keyword_and] = ACTIONS(2293),
    [sym_keyword_or] = ACTIONS(2293),
    [sym_keyword_is] = ACTIONS(2293),
    [sym_keyword_not] = ACTIONS(2293),
    [sym_keyword_using] = ACTIONS(2293),
    [sym_keyword_auto_increment] = ACTIONS(2293),
    [sym_keyword_generated] = ACTIONS(2293),
    [sym_keyword_default] = ACTIONS(2293),
    [sym_keyword_returning] = ACTIONS(2293),
    [sym_keyword_first] = ACTIONS(2293),
    [sym_keyword_after] = ACTIONS(2293),
    [sym_keyword_range] = ACTIONS(2293),
    [sym_keyword_rows] = ACTIONS(2293),
    [sym_keyword_groups] = ACTIONS(2293),
    [sym_keyword_between] = ACTIONS(2293),
    [sym_keyword_preceding] = ACTIONS(2293),
    [sym_keyword_following] = ACTIONS(2293),
    [sym_keyword_unique] = ACTIONS(2293),
    [sym_keyword_references] = ACTIONS(2293),
    [aux_sym_keyword_like_token1] = ACTIONS(2293),
    [aux_sym_keyword_like_token2] = ACTIONS(2293),
    [sym_keyword_similar] = ACTIONS(2293),
    [sym_keyword_check] = ACTIONS(2293),
    [sym_keyword_stored] = ACTIONS(2293),
    [sym_keyword_virtual] = ACTIONS(2293),
    [sym_keyword_comment] = ACTIONS(2293),
    [sym_keyword_null] = ACTIONS(2293),
    [sym_keyword_array] = ACTIONS(2293),
    [anon_sym_LBRACK] = ACTIONS(2293),
    [anon_sym_RBRACK] = ACTIONS(2293),
    [anon_sym_RPAREN] = ACTIONS(2293),
    [anon_sym_COMMA] = ACTIONS(2293),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2293),
    [anon_sym_STAR] = ACTIONS(2293),
    [anon_sym_COLON_COLON] = ACTIONS(2293),
    [anon_sym_LT] = ACTIONS(2295),
    [anon_sym_GT] = ACTIONS(2295),
    [anon_sym_LT_EQ] = ACTIONS(2293),
    [anon_sym_GT_EQ] = ACTIONS(2293),
    [anon_sym_COLON] = ACTIONS(2295),
    [sym_op_other] = ACTIONS(2293),
    [anon_sym_PLUS] = ACTIONS(2293),
    [anon_sym_DASH] = ACTIONS(2295),
    [anon_sym_SLASH] = ACTIONS(2295),
    [anon_sym_PERCENT] = ACTIONS(2293),
    [anon_sym_CARET] = ACTIONS(2295),
    [anon_sym_BANG_EQ] = ACTIONS(2293),
    [anon_sym_LT_GT] = ACTIONS(2293),
  },
  [260] = {
    [ts_builtin_sym_end] = ACTIONS(2297),
    [anon_sym_SEMI] = ACTIONS(2297),
    [sym_keyword_from] = ACTIONS(2297),
    [sym_keyword_on] = ACTIONS(2297),
    [sym_keyword_where] = ACTIONS(2297),
    [sym_keyword_desc] = ACTIONS(2297),
    [sym_keyword_asc] = ACTIONS(2297),
    [sym_keyword_limit] = ACTIONS(2297),
    [sym_keyword_primary] = ACTIONS(2297),
    [sym_keyword_create] = ACTIONS(2297),
    [sym_keyword_as] = ACTIONS(2299),
    [sym_keyword_constraint] = ACTIONS(2297),
    [sym_keyword_separator] = ACTIONS(2297),
    [sym_keyword_when] = ACTIONS(2297),
    [sym_keyword_then] = ACTIONS(2297),
    [sym_keyword_else] = ACTIONS(2297),
    [sym_keyword_end] = ACTIONS(2297),
    [sym_keyword_in] = ACTIONS(2297),
    [sym_keyword_and] = ACTIONS(2297),
    [sym_keyword_or] = ACTIONS(2297),
    [sym_keyword_is] = ACTIONS(2297),
    [sym_keyword_not] = ACTIONS(2297),
    [sym_keyword_using] = ACTIONS(2297),
    [sym_keyword_auto_increment] = ACTIONS(2297),
    [sym_keyword_generated] = ACTIONS(2297),
    [sym_keyword_default] = ACTIONS(2297),
    [sym_keyword_returning] = ACTIONS(2297),
    [sym_keyword_first] = ACTIONS(2297),
    [sym_keyword_after] = ACTIONS(2297),
    [sym_keyword_range] = ACTIONS(2297),
    [sym_keyword_rows] = ACTIONS(2297),
    [sym_keyword_groups] = ACTIONS(2297),
    [sym_keyword_between] = ACTIONS(2297),
    [sym_keyword_preceding] = ACTIONS(2297),
    [sym_keyword_following] = ACTIONS(2297),
    [sym_keyword_unique] = ACTIONS(2297),
    [sym_keyword_references] = ACTIONS(2297),
    [aux_sym_keyword_like_token1] = ACTIONS(2297),
    [aux_sym_keyword_like_token2] = ACTIONS(2297),
    [sym_keyword_similar] = ACTIONS(2297),
    [sym_keyword_check] = ACTIONS(2297),
    [sym_keyword_stored] = ACTIONS(2297),
    [sym_keyword_virtual] = ACTIONS(2297),
    [sym_keyword_comment] = ACTIONS(2297),
    [sym_keyword_null] = ACTIONS(2297),
    [sym_keyword_array] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2297),
    [anon_sym_RBRACK] = ACTIONS(2297),
    [anon_sym_RPAREN] = ACTIONS(2297),
    [anon_sym_COMMA] = ACTIONS(2297),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2297),
    [anon_sym_STAR] = ACTIONS(2297),
    [anon_sym_COLON_COLON] = ACTIONS(2297),
    [anon_sym_LT] = ACTIONS(2299),
    [anon_sym_GT] = ACTIONS(2299),
    [anon_sym_LT_EQ] = ACTIONS(2297),
    [anon_sym_GT_EQ] = ACTIONS(2297),
    [anon_sym_COLON] = ACTIONS(2299),
    [sym_op_other] = ACTIONS(2297),
    [anon_sym_PLUS] = ACTIONS(2297),
    [anon_sym_DASH] = ACTIONS(2299),
    [anon_sym_SLASH] = ACTIONS(2299),
    [anon_sym_PERCENT] = ACTIONS(2297),
    [anon_sym_CARET] = ACTIONS(2299),
    [anon_sym_BANG_EQ] = ACTIONS(2297),
    [anon_sym_LT_GT] = ACTIONS(2297),
  },
  [261] = {
    [ts_builtin_sym_end] = ACTIONS(2301),
    [anon_sym_SEMI] = ACTIONS(2301),
    [sym_keyword_from] = ACTIONS(2301),
    [sym_keyword_on] = ACTIONS(2301),
    [sym_keyword_where] = ACTIONS(2301),
    [sym_keyword_desc] = ACTIONS(2301),
    [sym_keyword_asc] = ACTIONS(2301),
    [sym_keyword_limit] = ACTIONS(2301),
    [sym_keyword_primary] = ACTIONS(2301),
    [sym_keyword_create] = ACTIONS(2301),
    [sym_keyword_as] = ACTIONS(2303),
    [sym_keyword_constraint] = ACTIONS(2301),
    [sym_keyword_separator] = ACTIONS(2301),
    [sym_keyword_when] = ACTIONS(2301),
    [sym_keyword_then] = ACTIONS(2301),
    [sym_keyword_else] = ACTIONS(2301),
    [sym_keyword_end] = ACTIONS(2301),
    [sym_keyword_in] = ACTIONS(2301),
    [sym_keyword_and] = ACTIONS(2301),
    [sym_keyword_or] = ACTIONS(2301),
    [sym_keyword_is] = ACTIONS(2301),
    [sym_keyword_not] = ACTIONS(2301),
    [sym_keyword_using] = ACTIONS(2301),
    [sym_keyword_auto_increment] = ACTIONS(2301),
    [sym_keyword_generated] = ACTIONS(2301),
    [sym_keyword_default] = ACTIONS(2301),
    [sym_keyword_returning] = ACTIONS(2301),
    [sym_keyword_first] = ACTIONS(2301),
    [sym_keyword_after] = ACTIONS(2301),
    [sym_keyword_range] = ACTIONS(2301),
    [sym_keyword_rows] = ACTIONS(2301),
    [sym_keyword_groups] = ACTIONS(2301),
    [sym_keyword_between] = ACTIONS(2301),
    [sym_keyword_preceding] = ACTIONS(2301),
    [sym_keyword_following] = ACTIONS(2301),
    [sym_keyword_unique] = ACTIONS(2301),
    [sym_keyword_references] = ACTIONS(2301),
    [aux_sym_keyword_like_token1] = ACTIONS(2301),
    [aux_sym_keyword_like_token2] = ACTIONS(2301),
    [sym_keyword_similar] = ACTIONS(2301),
    [sym_keyword_check] = ACTIONS(2301),
    [sym_keyword_stored] = ACTIONS(2301),
    [sym_keyword_virtual] = ACTIONS(2301),
    [sym_keyword_comment] = ACTIONS(2301),
    [sym_keyword_null] = ACTIONS(2301),
    [sym_keyword_array] = ACTIONS(2301),
    [anon_sym_LBRACK] = ACTIONS(2301),
    [anon_sym_RBRACK] = ACTIONS(2301),
    [anon_sym_RPAREN] = ACTIONS(2301),
    [anon_sym_COMMA] = ACTIONS(2301),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2301),
    [anon_sym_STAR] = ACTIONS(2301),
    [anon_sym_COLON_COLON] = ACTIONS(2301),
    [anon_sym_LT] = ACTIONS(2303),
    [anon_sym_GT] = ACTIONS(2303),
    [anon_sym_LT_EQ] = ACTIONS(2301),
    [anon_sym_GT_EQ] = ACTIONS(2301),
    [anon_sym_COLON] = ACTIONS(2303),
    [sym_op_other] = ACTIONS(2301),
    [anon_sym_PLUS] = ACTIONS(2301),
    [anon_sym_DASH] = ACTIONS(2303),
    [anon_sym_SLASH] = ACTIONS(2303),
    [anon_sym_PERCENT] = ACTIONS(2301),
    [anon_sym_CARET] = ACTIONS(2303),
    [anon_sym_BANG_EQ] = ACTIONS(2301),
    [anon_sym_LT_GT] = ACTIONS(2301),
  },
  [262] = {
    [ts_builtin_sym_end] = ACTIONS(2305),
    [anon_sym_SEMI] = ACTIONS(2305),
    [sym_keyword_from] = ACTIONS(2305),
    [sym_keyword_on] = ACTIONS(2305),
    [sym_keyword_where] = ACTIONS(2305),
    [sym_keyword_desc] = ACTIONS(2305),
    [sym_keyword_asc] = ACTIONS(2305),
    [sym_keyword_limit] = ACTIONS(2305),
    [sym_keyword_primary] = ACTIONS(2305),
    [sym_keyword_create] = ACTIONS(2305),
    [sym_keyword_as] = ACTIONS(2307),
    [sym_keyword_constraint] = ACTIONS(2305),
    [sym_keyword_separator] = ACTIONS(2305),
    [sym_keyword_when] = ACTIONS(2305),
    [sym_keyword_then] = ACTIONS(2305),
    [sym_keyword_else] = ACTIONS(2305),
    [sym_keyword_end] = ACTIONS(2305),
    [sym_keyword_in] = ACTIONS(2305),
    [sym_keyword_and] = ACTIONS(2305),
    [sym_keyword_or] = ACTIONS(2305),
    [sym_keyword_is] = ACTIONS(2305),
    [sym_keyword_not] = ACTIONS(2305),
    [sym_keyword_using] = ACTIONS(2305),
    [sym_keyword_auto_increment] = ACTIONS(2305),
    [sym_keyword_generated] = ACTIONS(2305),
    [sym_keyword_default] = ACTIONS(2305),
    [sym_keyword_returning] = ACTIONS(2305),
    [sym_keyword_first] = ACTIONS(2305),
    [sym_keyword_after] = ACTIONS(2305),
    [sym_keyword_range] = ACTIONS(2305),
    [sym_keyword_rows] = ACTIONS(2305),
    [sym_keyword_groups] = ACTIONS(2305),
    [sym_keyword_between] = ACTIONS(2305),
    [sym_keyword_preceding] = ACTIONS(2305),
    [sym_keyword_following] = ACTIONS(2305),
    [sym_keyword_unique] = ACTIONS(2305),
    [sym_keyword_references] = ACTIONS(2305),
    [aux_sym_keyword_like_token1] = ACTIONS(2305),
    [aux_sym_keyword_like_token2] = ACTIONS(2305),
    [sym_keyword_similar] = ACTIONS(2305),
    [sym_keyword_check] = ACTIONS(2305),
    [sym_keyword_stored] = ACTIONS(2305),
    [sym_keyword_virtual] = ACTIONS(2305),
    [sym_keyword_comment] = ACTIONS(2305),
    [sym_keyword_null] = ACTIONS(2305),
    [sym_keyword_array] = ACTIONS(2305),
    [anon_sym_LBRACK] = ACTIONS(2305),
    [anon_sym_RBRACK] = ACTIONS(2305),
    [anon_sym_RPAREN] = ACTIONS(2305),
    [anon_sym_COMMA] = ACTIONS(2305),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2305),
    [anon_sym_STAR] = ACTIONS(2305),
    [anon_sym_COLON_COLON] = ACTIONS(2305),
    [anon_sym_LT] = ACTIONS(2307),
    [anon_sym_GT] = ACTIONS(2307),
    [anon_sym_LT_EQ] = ACTIONS(2305),
    [anon_sym_GT_EQ] = ACTIONS(2305),
    [anon_sym_COLON] = ACTIONS(2307),
    [sym_op_other] = ACTIONS(2305),
    [anon_sym_PLUS] = ACTIONS(2305),
    [anon_sym_DASH] = ACTIONS(2307),
    [anon_sym_SLASH] = ACTIONS(2307),
    [anon_sym_PERCENT] = ACTIONS(2305),
    [anon_sym_CARET] = ACTIONS(2307),
    [anon_sym_BANG_EQ] = ACTIONS(2305),
    [anon_sym_LT_GT] = ACTIONS(2305),
  },
  [263] = {
    [ts_builtin_sym_end] = ACTIONS(2309),
    [anon_sym_SEMI] = ACTIONS(2309),
    [sym_keyword_from] = ACTIONS(2309),
    [sym_keyword_on] = ACTIONS(2309),
    [sym_keyword_where] = ACTIONS(2309),
    [sym_keyword_desc] = ACTIONS(2309),
    [sym_keyword_asc] = ACTIONS(2309),
    [sym_keyword_limit] = ACTIONS(2309),
    [sym_keyword_primary] = ACTIONS(2309),
    [sym_keyword_create] = ACTIONS(2309),
    [sym_keyword_as] = ACTIONS(2311),
    [sym_keyword_constraint] = ACTIONS(2309),
    [sym_keyword_separator] = ACTIONS(2309),
    [sym_keyword_when] = ACTIONS(2309),
    [sym_keyword_then] = ACTIONS(2309),
    [sym_keyword_else] = ACTIONS(2309),
    [sym_keyword_end] = ACTIONS(2309),
    [sym_keyword_in] = ACTIONS(2309),
    [sym_keyword_and] = ACTIONS(2309),
    [sym_keyword_or] = ACTIONS(2309),
    [sym_keyword_is] = ACTIONS(2309),
    [sym_keyword_not] = ACTIONS(2309),
    [sym_keyword_using] = ACTIONS(2309),
    [sym_keyword_auto_increment] = ACTIONS(2309),
    [sym_keyword_generated] = ACTIONS(2309),
    [sym_keyword_default] = ACTIONS(2309),
    [sym_keyword_returning] = ACTIONS(2309),
    [sym_keyword_first] = ACTIONS(2309),
    [sym_keyword_after] = ACTIONS(2309),
    [sym_keyword_range] = ACTIONS(2309),
    [sym_keyword_rows] = ACTIONS(2309),
    [sym_keyword_groups] = ACTIONS(2309),
    [sym_keyword_between] = ACTIONS(2309),
    [sym_keyword_preceding] = ACTIONS(2309),
    [sym_keyword_following] = ACTIONS(2309),
    [sym_keyword_unique] = ACTIONS(2309),
    [sym_keyword_references] = ACTIONS(2309),
    [aux_sym_keyword_like_token1] = ACTIONS(2309),
    [aux_sym_keyword_like_token2] = ACTIONS(2309),
    [sym_keyword_similar] = ACTIONS(2309),
    [sym_keyword_check] = ACTIONS(2309),
    [sym_keyword_stored] = ACTIONS(2309),
    [sym_keyword_virtual] = ACTIONS(2309),
    [sym_keyword_comment] = ACTIONS(2309),
    [sym_keyword_null] = ACTIONS(2309),
    [sym_keyword_array] = ACTIONS(2309),
    [anon_sym_LBRACK] = ACTIONS(2309),
    [anon_sym_RBRACK] = ACTIONS(2309),
    [anon_sym_RPAREN] = ACTIONS(2309),
    [anon_sym_COMMA] = ACTIONS(2309),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2309),
    [anon_sym_STAR] = ACTIONS(2309),
    [anon_sym_COLON_COLON] = ACTIONS(2309),
    [anon_sym_LT] = ACTIONS(2311),
    [anon_sym_GT] = ACTIONS(2311),
    [anon_sym_LT_EQ] = ACTIONS(2309),
    [anon_sym_GT_EQ] = ACTIONS(2309),
    [anon_sym_COLON] = ACTIONS(2311),
    [sym_op_other] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2309),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_SLASH] = ACTIONS(2311),
    [anon_sym_PERCENT] = ACTIONS(2309),
    [anon_sym_CARET] = ACTIONS(2311),
    [anon_sym_BANG_EQ] = ACTIONS(2309),
    [anon_sym_LT_GT] = ACTIONS(2309),
  },
  [264] = {
    [ts_builtin_sym_end] = ACTIONS(2313),
    [anon_sym_SEMI] = ACTIONS(2313),
    [sym_keyword_from] = ACTIONS(2313),
    [sym_keyword_on] = ACTIONS(2313),
    [sym_keyword_where] = ACTIONS(2313),
    [sym_keyword_desc] = ACTIONS(2313),
    [sym_keyword_asc] = ACTIONS(2313),
    [sym_keyword_limit] = ACTIONS(2313),
    [sym_keyword_primary] = ACTIONS(2313),
    [sym_keyword_create] = ACTIONS(2313),
    [sym_keyword_as] = ACTIONS(2315),
    [sym_keyword_constraint] = ACTIONS(2313),
    [sym_keyword_separator] = ACTIONS(2313),
    [sym_keyword_when] = ACTIONS(2313),
    [sym_keyword_then] = ACTIONS(2313),
    [sym_keyword_else] = ACTIONS(2313),
    [sym_keyword_end] = ACTIONS(2313),
    [sym_keyword_in] = ACTIONS(2313),
    [sym_keyword_and] = ACTIONS(2313),
    [sym_keyword_or] = ACTIONS(2313),
    [sym_keyword_is] = ACTIONS(2313),
    [sym_keyword_not] = ACTIONS(2313),
    [sym_keyword_using] = ACTIONS(2313),
    [sym_keyword_auto_increment] = ACTIONS(2313),
    [sym_keyword_generated] = ACTIONS(2313),
    [sym_keyword_default] = ACTIONS(2313),
    [sym_keyword_returning] = ACTIONS(2313),
    [sym_keyword_first] = ACTIONS(2313),
    [sym_keyword_after] = ACTIONS(2313),
    [sym_keyword_range] = ACTIONS(2313),
    [sym_keyword_rows] = ACTIONS(2313),
    [sym_keyword_groups] = ACTIONS(2313),
    [sym_keyword_between] = ACTIONS(2313),
    [sym_keyword_preceding] = ACTIONS(2313),
    [sym_keyword_following] = ACTIONS(2313),
    [sym_keyword_unique] = ACTIONS(2313),
    [sym_keyword_references] = ACTIONS(2313),
    [aux_sym_keyword_like_token1] = ACTIONS(2313),
    [aux_sym_keyword_like_token2] = ACTIONS(2313),
    [sym_keyword_similar] = ACTIONS(2313),
    [sym_keyword_check] = ACTIONS(2313),
    [sym_keyword_stored] = ACTIONS(2313),
    [sym_keyword_virtual] = ACTIONS(2313),
    [sym_keyword_comment] = ACTIONS(2313),
    [sym_keyword_null] = ACTIONS(2313),
    [sym_keyword_array] = ACTIONS(2313),
    [anon_sym_LBRACK] = ACTIONS(2313),
    [anon_sym_RBRACK] = ACTIONS(2313),
    [anon_sym_RPAREN] = ACTIONS(2313),
    [anon_sym_COMMA] = ACTIONS(2313),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2313),
    [anon_sym_STAR] = ACTIONS(2313),
    [anon_sym_COLON_COLON] = ACTIONS(2313),
    [anon_sym_LT] = ACTIONS(2315),
    [anon_sym_GT] = ACTIONS(2315),
    [anon_sym_LT_EQ] = ACTIONS(2313),
    [anon_sym_GT_EQ] = ACTIONS(2313),
    [anon_sym_COLON] = ACTIONS(2315),
    [sym_op_other] = ACTIONS(2313),
    [anon_sym_PLUS] = ACTIONS(2313),
    [anon_sym_DASH] = ACTIONS(2315),
    [anon_sym_SLASH] = ACTIONS(2315),
    [anon_sym_PERCENT] = ACTIONS(2313),
    [anon_sym_CARET] = ACTIONS(2315),
    [anon_sym_BANG_EQ] = ACTIONS(2313),
    [anon_sym_LT_GT] = ACTIONS(2313),
  },
  [265] = {
    [ts_builtin_sym_end] = ACTIONS(2317),
    [anon_sym_SEMI] = ACTIONS(2317),
    [sym_keyword_from] = ACTIONS(2317),
    [sym_keyword_on] = ACTIONS(2317),
    [sym_keyword_where] = ACTIONS(2317),
    [sym_keyword_desc] = ACTIONS(2317),
    [sym_keyword_asc] = ACTIONS(2317),
    [sym_keyword_limit] = ACTIONS(2317),
    [sym_keyword_primary] = ACTIONS(2317),
    [sym_keyword_create] = ACTIONS(2317),
    [sym_keyword_as] = ACTIONS(2319),
    [sym_keyword_constraint] = ACTIONS(2317),
    [sym_keyword_separator] = ACTIONS(2317),
    [sym_keyword_when] = ACTIONS(2317),
    [sym_keyword_then] = ACTIONS(2317),
    [sym_keyword_else] = ACTIONS(2317),
    [sym_keyword_end] = ACTIONS(2317),
    [sym_keyword_in] = ACTIONS(2317),
    [sym_keyword_and] = ACTIONS(2317),
    [sym_keyword_or] = ACTIONS(2317),
    [sym_keyword_is] = ACTIONS(2317),
    [sym_keyword_not] = ACTIONS(2317),
    [sym_keyword_using] = ACTIONS(2317),
    [sym_keyword_auto_increment] = ACTIONS(2317),
    [sym_keyword_generated] = ACTIONS(2317),
    [sym_keyword_default] = ACTIONS(2317),
    [sym_keyword_returning] = ACTIONS(2317),
    [sym_keyword_first] = ACTIONS(2317),
    [sym_keyword_after] = ACTIONS(2317),
    [sym_keyword_range] = ACTIONS(2317),
    [sym_keyword_rows] = ACTIONS(2317),
    [sym_keyword_groups] = ACTIONS(2317),
    [sym_keyword_between] = ACTIONS(2317),
    [sym_keyword_preceding] = ACTIONS(2317),
    [sym_keyword_following] = ACTIONS(2317),
    [sym_keyword_unique] = ACTIONS(2317),
    [sym_keyword_references] = ACTIONS(2317),
    [aux_sym_keyword_like_token1] = ACTIONS(2317),
    [aux_sym_keyword_like_token2] = ACTIONS(2317),
    [sym_keyword_similar] = ACTIONS(2317),
    [sym_keyword_check] = ACTIONS(2317),
    [sym_keyword_stored] = ACTIONS(2317),
    [sym_keyword_virtual] = ACTIONS(2317),
    [sym_keyword_comment] = ACTIONS(2317),
    [sym_keyword_null] = ACTIONS(2317),
    [sym_keyword_array] = ACTIONS(2317),
    [anon_sym_LBRACK] = ACTIONS(2317),
    [anon_sym_RBRACK] = ACTIONS(2317),
    [anon_sym_RPAREN] = ACTIONS(2317),
    [anon_sym_COMMA] = ACTIONS(2317),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2317),
    [anon_sym_STAR] = ACTIONS(2317),
    [anon_sym_COLON_COLON] = ACTIONS(2317),
    [anon_sym_LT] = ACTIONS(2319),
    [anon_sym_GT] = ACTIONS(2319),
    [anon_sym_LT_EQ] = ACTIONS(2317),
    [anon_sym_GT_EQ] = ACTIONS(2317),
    [anon_sym_COLON] = ACTIONS(2319),
    [sym_op_other] = ACTIONS(2317),
    [anon_sym_PLUS] = ACTIONS(2317),
    [anon_sym_DASH] = ACTIONS(2319),
    [anon_sym_SLASH] = ACTIONS(2319),
    [anon_sym_PERCENT] = ACTIONS(2317),
    [anon_sym_CARET] = ACTIONS(2319),
    [anon_sym_BANG_EQ] = ACTIONS(2317),
    [anon_sym_LT_GT] = ACTIONS(2317),
  },
  [266] = {
    [ts_builtin_sym_end] = ACTIONS(2081),
    [anon_sym_SEMI] = ACTIONS(2081),
    [sym_keyword_from] = ACTIONS(2081),
    [sym_keyword_on] = ACTIONS(2081),
    [sym_keyword_where] = ACTIONS(2081),
    [sym_keyword_desc] = ACTIONS(2081),
    [sym_keyword_asc] = ACTIONS(2081),
    [sym_keyword_limit] = ACTIONS(2081),
    [sym_keyword_primary] = ACTIONS(2081),
    [sym_keyword_create] = ACTIONS(2081),
    [sym_keyword_as] = ACTIONS(2083),
    [sym_keyword_constraint] = ACTIONS(2081),
    [sym_keyword_separator] = ACTIONS(2081),
    [sym_keyword_when] = ACTIONS(2081),
    [sym_keyword_then] = ACTIONS(2081),
    [sym_keyword_else] = ACTIONS(2081),
    [sym_keyword_end] = ACTIONS(2081),
    [sym_keyword_in] = ACTIONS(2081),
    [sym_keyword_and] = ACTIONS(2081),
    [sym_keyword_or] = ACTIONS(2081),
    [sym_keyword_is] = ACTIONS(2081),
    [sym_keyword_not] = ACTIONS(2081),
    [sym_keyword_using] = ACTIONS(2081),
    [sym_keyword_auto_increment] = ACTIONS(2081),
    [sym_keyword_generated] = ACTIONS(2081),
    [sym_keyword_default] = ACTIONS(2081),
    [sym_keyword_returning] = ACTIONS(2081),
    [sym_keyword_first] = ACTIONS(2081),
    [sym_keyword_after] = ACTIONS(2081),
    [sym_keyword_range] = ACTIONS(2081),
    [sym_keyword_rows] = ACTIONS(2081),
    [sym_keyword_groups] = ACTIONS(2081),
    [sym_keyword_between] = ACTIONS(2081),
    [sym_keyword_preceding] = ACTIONS(2081),
    [sym_keyword_following] = ACTIONS(2081),
    [sym_keyword_unique] = ACTIONS(2081),
    [sym_keyword_references] = ACTIONS(2081),
    [aux_sym_keyword_like_token1] = ACTIONS(2081),
    [aux_sym_keyword_like_token2] = ACTIONS(2081),
    [sym_keyword_similar] = ACTIONS(2081),
    [sym_keyword_check] = ACTIONS(2081),
    [sym_keyword_stored] = ACTIONS(2081),
    [sym_keyword_virtual] = ACTIONS(2081),
    [sym_keyword_comment] = ACTIONS(2081),
    [sym_keyword_null] = ACTIONS(2081),
    [sym_keyword_array] = ACTIONS(2081),
    [anon_sym_LBRACK] = ACTIONS(2081),
    [anon_sym_RBRACK] = ACTIONS(2081),
    [anon_sym_RPAREN] = ACTIONS(2081),
    [anon_sym_COMMA] = ACTIONS(2081),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2081),
    [anon_sym_STAR] = ACTIONS(2081),
    [anon_sym_COLON_COLON] = ACTIONS(2081),
    [anon_sym_LT] = ACTIONS(2083),
    [anon_sym_GT] = ACTIONS(2083),
    [anon_sym_LT_EQ] = ACTIONS(2081),
    [anon_sym_GT_EQ] = ACTIONS(2081),
    [anon_sym_COLON] = ACTIONS(2083),
    [sym_op_other] = ACTIONS(2081),
    [anon_sym_PLUS] = ACTIONS(2081),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_SLASH] = ACTIONS(2083),
    [anon_sym_PERCENT] = ACTIONS(2081),
    [anon_sym_CARET] = ACTIONS(2083),
    [anon_sym_BANG_EQ] = ACTIONS(2081),
    [anon_sym_LT_GT] = ACTIONS(2081),
  },
  [267] = {
    [ts_builtin_sym_end] = ACTIONS(2321),
    [anon_sym_SEMI] = ACTIONS(2321),
    [sym_keyword_from] = ACTIONS(2321),
    [sym_keyword_on] = ACTIONS(2321),
    [sym_keyword_where] = ACTIONS(2321),
    [sym_keyword_desc] = ACTIONS(2321),
    [sym_keyword_asc] = ACTIONS(2321),
    [sym_keyword_limit] = ACTIONS(2321),
    [sym_keyword_primary] = ACTIONS(2321),
    [sym_keyword_create] = ACTIONS(2321),
    [sym_keyword_as] = ACTIONS(2323),
    [sym_keyword_constraint] = ACTIONS(2321),
    [sym_keyword_separator] = ACTIONS(2321),
    [sym_keyword_when] = ACTIONS(2321),
    [sym_keyword_then] = ACTIONS(2321),
    [sym_keyword_else] = ACTIONS(2321),
    [sym_keyword_end] = ACTIONS(2321),
    [sym_keyword_in] = ACTIONS(2321),
    [sym_keyword_and] = ACTIONS(2321),
    [sym_keyword_or] = ACTIONS(2321),
    [sym_keyword_is] = ACTIONS(2321),
    [sym_keyword_not] = ACTIONS(2321),
    [sym_keyword_using] = ACTIONS(2321),
    [sym_keyword_auto_increment] = ACTIONS(2321),
    [sym_keyword_generated] = ACTIONS(2321),
    [sym_keyword_default] = ACTIONS(2321),
    [sym_keyword_returning] = ACTIONS(2321),
    [sym_keyword_first] = ACTIONS(2321),
    [sym_keyword_after] = ACTIONS(2321),
    [sym_keyword_range] = ACTIONS(2321),
    [sym_keyword_rows] = ACTIONS(2321),
    [sym_keyword_groups] = ACTIONS(2321),
    [sym_keyword_between] = ACTIONS(2321),
    [sym_keyword_preceding] = ACTIONS(2321),
    [sym_keyword_following] = ACTIONS(2321),
    [sym_keyword_unique] = ACTIONS(2321),
    [sym_keyword_references] = ACTIONS(2321),
    [aux_sym_keyword_like_token1] = ACTIONS(2321),
    [aux_sym_keyword_like_token2] = ACTIONS(2321),
    [sym_keyword_similar] = ACTIONS(2321),
    [sym_keyword_check] = ACTIONS(2321),
    [sym_keyword_stored] = ACTIONS(2321),
    [sym_keyword_virtual] = ACTIONS(2321),
    [sym_keyword_comment] = ACTIONS(2321),
    [sym_keyword_null] = ACTIONS(2321),
    [sym_keyword_array] = ACTIONS(2321),
    [anon_sym_LBRACK] = ACTIONS(2321),
    [anon_sym_RBRACK] = ACTIONS(2321),
    [anon_sym_RPAREN] = ACTIONS(2321),
    [anon_sym_COMMA] = ACTIONS(2321),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2321),
    [anon_sym_STAR] = ACTIONS(2321),
    [anon_sym_COLON_COLON] = ACTIONS(2321),
    [anon_sym_LT] = ACTIONS(2323),
    [anon_sym_GT] = ACTIONS(2323),
    [anon_sym_LT_EQ] = ACTIONS(2321),
    [anon_sym_GT_EQ] = ACTIONS(2321),
    [anon_sym_COLON] = ACTIONS(2323),
    [sym_op_other] = ACTIONS(2321),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_DASH] = ACTIONS(2323),
    [anon_sym_SLASH] = ACTIONS(2323),
    [anon_sym_PERCENT] = ACTIONS(2321),
    [anon_sym_CARET] = ACTIONS(2323),
    [anon_sym_BANG_EQ] = ACTIONS(2321),
    [anon_sym_LT_GT] = ACTIONS(2321),
  },
  [268] = {
    [ts_builtin_sym_end] = ACTIONS(2325),
    [anon_sym_SEMI] = ACTIONS(2325),
    [sym_keyword_from] = ACTIONS(2325),
    [sym_keyword_on] = ACTIONS(2325),
    [sym_keyword_where] = ACTIONS(2325),
    [sym_keyword_desc] = ACTIONS(2325),
    [sym_keyword_asc] = ACTIONS(2325),
    [sym_keyword_limit] = ACTIONS(2325),
    [sym_keyword_primary] = ACTIONS(2325),
    [sym_keyword_create] = ACTIONS(2325),
    [sym_keyword_as] = ACTIONS(2327),
    [sym_keyword_constraint] = ACTIONS(2325),
    [sym_keyword_separator] = ACTIONS(2325),
    [sym_keyword_when] = ACTIONS(2325),
    [sym_keyword_then] = ACTIONS(2325),
    [sym_keyword_else] = ACTIONS(2325),
    [sym_keyword_end] = ACTIONS(2325),
    [sym_keyword_in] = ACTIONS(2325),
    [sym_keyword_and] = ACTIONS(2325),
    [sym_keyword_or] = ACTIONS(2325),
    [sym_keyword_is] = ACTIONS(2325),
    [sym_keyword_not] = ACTIONS(2325),
    [sym_keyword_using] = ACTIONS(2325),
    [sym_keyword_auto_increment] = ACTIONS(2325),
    [sym_keyword_generated] = ACTIONS(2325),
    [sym_keyword_default] = ACTIONS(2325),
    [sym_keyword_returning] = ACTIONS(2325),
    [sym_keyword_first] = ACTIONS(2325),
    [sym_keyword_after] = ACTIONS(2325),
    [sym_keyword_range] = ACTIONS(2325),
    [sym_keyword_rows] = ACTIONS(2325),
    [sym_keyword_groups] = ACTIONS(2325),
    [sym_keyword_between] = ACTIONS(2325),
    [sym_keyword_preceding] = ACTIONS(2325),
    [sym_keyword_following] = ACTIONS(2325),
    [sym_keyword_unique] = ACTIONS(2325),
    [sym_keyword_references] = ACTIONS(2325),
    [aux_sym_keyword_like_token1] = ACTIONS(2325),
    [aux_sym_keyword_like_token2] = ACTIONS(2325),
    [sym_keyword_similar] = ACTIONS(2325),
    [sym_keyword_check] = ACTIONS(2325),
    [sym_keyword_stored] = ACTIONS(2325),
    [sym_keyword_virtual] = ACTIONS(2325),
    [sym_keyword_comment] = ACTIONS(2325),
    [sym_keyword_null] = ACTIONS(2325),
    [sym_keyword_array] = ACTIONS(2325),
    [anon_sym_LBRACK] = ACTIONS(2325),
    [anon_sym_RBRACK] = ACTIONS(2325),
    [anon_sym_RPAREN] = ACTIONS(2325),
    [anon_sym_COMMA] = ACTIONS(2325),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2325),
    [anon_sym_STAR] = ACTIONS(2325),
    [anon_sym_COLON_COLON] = ACTIONS(2325),
    [anon_sym_LT] = ACTIONS(2327),
    [anon_sym_GT] = ACTIONS(2327),
    [anon_sym_LT_EQ] = ACTIONS(2325),
    [anon_sym_GT_EQ] = ACTIONS(2325),
    [anon_sym_COLON] = ACTIONS(2327),
    [sym_op_other] = ACTIONS(2325),
    [anon_sym_PLUS] = ACTIONS(2325),
    [anon_sym_DASH] = ACTIONS(2327),
    [anon_sym_SLASH] = ACTIONS(2327),
    [anon_sym_PERCENT] = ACTIONS(2325),
    [anon_sym_CARET] = ACTIONS(2327),
    [anon_sym_BANG_EQ] = ACTIONS(2325),
    [anon_sym_LT_GT] = ACTIONS(2325),
  },
  [269] = {
    [ts_builtin_sym_end] = ACTIONS(2329),
    [anon_sym_SEMI] = ACTIONS(2329),
    [sym_keyword_from] = ACTIONS(2329),
    [sym_keyword_on] = ACTIONS(2329),
    [sym_keyword_where] = ACTIONS(2329),
    [sym_keyword_desc] = ACTIONS(2329),
    [sym_keyword_asc] = ACTIONS(2329),
    [sym_keyword_limit] = ACTIONS(2329),
    [sym_keyword_primary] = ACTIONS(2329),
    [sym_keyword_create] = ACTIONS(2329),
    [sym_keyword_as] = ACTIONS(2331),
    [sym_keyword_constraint] = ACTIONS(2329),
    [sym_keyword_separator] = ACTIONS(2329),
    [sym_keyword_when] = ACTIONS(2329),
    [sym_keyword_then] = ACTIONS(2329),
    [sym_keyword_else] = ACTIONS(2329),
    [sym_keyword_end] = ACTIONS(2329),
    [sym_keyword_in] = ACTIONS(2329),
    [sym_keyword_and] = ACTIONS(2329),
    [sym_keyword_or] = ACTIONS(2329),
    [sym_keyword_is] = ACTIONS(2329),
    [sym_keyword_not] = ACTIONS(2329),
    [sym_keyword_using] = ACTIONS(2329),
    [sym_keyword_auto_increment] = ACTIONS(2329),
    [sym_keyword_generated] = ACTIONS(2329),
    [sym_keyword_default] = ACTIONS(2329),
    [sym_keyword_returning] = ACTIONS(2329),
    [sym_keyword_first] = ACTIONS(2329),
    [sym_keyword_after] = ACTIONS(2329),
    [sym_keyword_range] = ACTIONS(2329),
    [sym_keyword_rows] = ACTIONS(2329),
    [sym_keyword_groups] = ACTIONS(2329),
    [sym_keyword_between] = ACTIONS(2329),
    [sym_keyword_preceding] = ACTIONS(2329),
    [sym_keyword_following] = ACTIONS(2329),
    [sym_keyword_unique] = ACTIONS(2329),
    [sym_keyword_references] = ACTIONS(2329),
    [aux_sym_keyword_like_token1] = ACTIONS(2329),
    [aux_sym_keyword_like_token2] = ACTIONS(2329),
    [sym_keyword_similar] = ACTIONS(2329),
    [sym_keyword_check] = ACTIONS(2329),
    [sym_keyword_stored] = ACTIONS(2329),
    [sym_keyword_virtual] = ACTIONS(2329),
    [sym_keyword_comment] = ACTIONS(2329),
    [sym_keyword_null] = ACTIONS(2329),
    [sym_keyword_array] = ACTIONS(2329),
    [anon_sym_LBRACK] = ACTIONS(2329),
    [anon_sym_RBRACK] = ACTIONS(2329),
    [anon_sym_RPAREN] = ACTIONS(2329),
    [anon_sym_COMMA] = ACTIONS(2329),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2329),
    [anon_sym_STAR] = ACTIONS(2329),
    [anon_sym_COLON_COLON] = ACTIONS(2329),
    [anon_sym_LT] = ACTIONS(2331),
    [anon_sym_GT] = ACTIONS(2331),
    [anon_sym_LT_EQ] = ACTIONS(2329),
    [anon_sym_GT_EQ] = ACTIONS(2329),
    [anon_sym_COLON] = ACTIONS(2331),
    [sym_op_other] = ACTIONS(2329),
    [anon_sym_PLUS] = ACTIONS(2329),
    [anon_sym_DASH] = ACTIONS(2331),
    [anon_sym_SLASH] = ACTIONS(2331),
    [anon_sym_PERCENT] = ACTIONS(2329),
    [anon_sym_CARET] = ACTIONS(2331),
    [anon_sym_BANG_EQ] = ACTIONS(2329),
    [anon_sym_LT_GT] = ACTIONS(2329),
  },
  [270] = {
    [ts_builtin_sym_end] = ACTIONS(2087),
    [anon_sym_SEMI] = ACTIONS(2087),
    [sym_keyword_from] = ACTIONS(2087),
    [sym_keyword_on] = ACTIONS(2087),
    [sym_keyword_where] = ACTIONS(2087),
    [sym_keyword_desc] = ACTIONS(2087),
    [sym_keyword_asc] = ACTIONS(2087),
    [sym_keyword_limit] = ACTIONS(2087),
    [sym_keyword_primary] = ACTIONS(2087),
    [sym_keyword_create] = ACTIONS(2087),
    [sym_keyword_as] = ACTIONS(2089),
    [sym_keyword_constraint] = ACTIONS(2087),
    [sym_keyword_separator] = ACTIONS(2087),
    [sym_keyword_when] = ACTIONS(2087),
    [sym_keyword_then] = ACTIONS(2087),
    [sym_keyword_else] = ACTIONS(2087),
    [sym_keyword_end] = ACTIONS(2087),
    [sym_keyword_in] = ACTIONS(2087),
    [sym_keyword_and] = ACTIONS(2087),
    [sym_keyword_or] = ACTIONS(2087),
    [sym_keyword_is] = ACTIONS(2087),
    [sym_keyword_not] = ACTIONS(2087),
    [sym_keyword_using] = ACTIONS(2087),
    [sym_keyword_auto_increment] = ACTIONS(2087),
    [sym_keyword_generated] = ACTIONS(2087),
    [sym_keyword_default] = ACTIONS(2087),
    [sym_keyword_returning] = ACTIONS(2087),
    [sym_keyword_first] = ACTIONS(2087),
    [sym_keyword_after] = ACTIONS(2087),
    [sym_keyword_range] = ACTIONS(2087),
    [sym_keyword_rows] = ACTIONS(2087),
    [sym_keyword_groups] = ACTIONS(2087),
    [sym_keyword_between] = ACTIONS(2087),
    [sym_keyword_preceding] = ACTIONS(2087),
    [sym_keyword_following] = ACTIONS(2087),
    [sym_keyword_unique] = ACTIONS(2087),
    [sym_keyword_references] = ACTIONS(2087),
    [aux_sym_keyword_like_token1] = ACTIONS(2087),
    [aux_sym_keyword_like_token2] = ACTIONS(2087),
    [sym_keyword_similar] = ACTIONS(2087),
    [sym_keyword_check] = ACTIONS(2087),
    [sym_keyword_stored] = ACTIONS(2087),
    [sym_keyword_virtual] = ACTIONS(2087),
    [sym_keyword_comment] = ACTIONS(2087),
    [sym_keyword_null] = ACTIONS(2087),
    [sym_keyword_array] = ACTIONS(2087),
    [anon_sym_LBRACK] = ACTIONS(2087),
    [anon_sym_RBRACK] = ACTIONS(2087),
    [anon_sym_RPAREN] = ACTIONS(2087),
    [anon_sym_COMMA] = ACTIONS(2087),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2087),
    [anon_sym_STAR] = ACTIONS(2087),
    [anon_sym_COLON_COLON] = ACTIONS(2087),
    [anon_sym_LT] = ACTIONS(2089),
    [anon_sym_GT] = ACTIONS(2089),
    [anon_sym_LT_EQ] = ACTIONS(2087),
    [anon_sym_GT_EQ] = ACTIONS(2087),
    [anon_sym_COLON] = ACTIONS(2089),
    [sym_op_other] = ACTIONS(2087),
    [anon_sym_PLUS] = ACTIONS(2087),
    [anon_sym_DASH] = ACTIONS(2089),
    [anon_sym_SLASH] = ACTIONS(2089),
    [anon_sym_PERCENT] = ACTIONS(2087),
    [anon_sym_CARET] = ACTIONS(2089),
    [anon_sym_BANG_EQ] = ACTIONS(2087),
    [anon_sym_LT_GT] = ACTIONS(2087),
  },
  [271] = {
    [ts_builtin_sym_end] = ACTIONS(2333),
    [anon_sym_SEMI] = ACTIONS(2333),
    [sym_keyword_from] = ACTIONS(2333),
    [sym_keyword_on] = ACTIONS(2333),
    [sym_keyword_where] = ACTIONS(2333),
    [sym_keyword_desc] = ACTIONS(2333),
    [sym_keyword_asc] = ACTIONS(2333),
    [sym_keyword_limit] = ACTIONS(2333),
    [sym_keyword_primary] = ACTIONS(2333),
    [sym_keyword_create] = ACTIONS(2333),
    [sym_keyword_as] = ACTIONS(2335),
    [sym_keyword_constraint] = ACTIONS(2333),
    [sym_keyword_separator] = ACTIONS(2333),
    [sym_keyword_when] = ACTIONS(2333),
    [sym_keyword_then] = ACTIONS(2333),
    [sym_keyword_else] = ACTIONS(2333),
    [sym_keyword_end] = ACTIONS(2333),
    [sym_keyword_in] = ACTIONS(2333),
    [sym_keyword_and] = ACTIONS(2333),
    [sym_keyword_or] = ACTIONS(2333),
    [sym_keyword_is] = ACTIONS(2333),
    [sym_keyword_not] = ACTIONS(2333),
    [sym_keyword_using] = ACTIONS(2333),
    [sym_keyword_auto_increment] = ACTIONS(2333),
    [sym_keyword_generated] = ACTIONS(2333),
    [sym_keyword_default] = ACTIONS(2333),
    [sym_keyword_returning] = ACTIONS(2333),
    [sym_keyword_first] = ACTIONS(2333),
    [sym_keyword_after] = ACTIONS(2333),
    [sym_keyword_range] = ACTIONS(2333),
    [sym_keyword_rows] = ACTIONS(2333),
    [sym_keyword_groups] = ACTIONS(2333),
    [sym_keyword_between] = ACTIONS(2333),
    [sym_keyword_preceding] = ACTIONS(2333),
    [sym_keyword_following] = ACTIONS(2333),
    [sym_keyword_unique] = ACTIONS(2333),
    [sym_keyword_references] = ACTIONS(2333),
    [aux_sym_keyword_like_token1] = ACTIONS(2333),
    [aux_sym_keyword_like_token2] = ACTIONS(2333),
    [sym_keyword_similar] = ACTIONS(2333),
    [sym_keyword_check] = ACTIONS(2333),
    [sym_keyword_stored] = ACTIONS(2333),
    [sym_keyword_virtual] = ACTIONS(2333),
    [sym_keyword_comment] = ACTIONS(2333),
    [sym_keyword_null] = ACTIONS(2333),
    [sym_keyword_array] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(2333),
    [anon_sym_RBRACK] = ACTIONS(2333),
    [anon_sym_RPAREN] = ACTIONS(2333),
    [anon_sym_COMMA] = ACTIONS(2333),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2333),
    [anon_sym_STAR] = ACTIONS(2333),
    [anon_sym_COLON_COLON] = ACTIONS(2333),
    [anon_sym_LT] = ACTIONS(2335),
    [anon_sym_GT] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2333),
    [anon_sym_GT_EQ] = ACTIONS(2333),
    [anon_sym_COLON] = ACTIONS(2335),
    [sym_op_other] = ACTIONS(2333),
    [anon_sym_PLUS] = ACTIONS(2333),
    [anon_sym_DASH] = ACTIONS(2335),
    [anon_sym_SLASH] = ACTIONS(2335),
    [anon_sym_PERCENT] = ACTIONS(2333),
    [anon_sym_CARET] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2333),
    [anon_sym_LT_GT] = ACTIONS(2333),
  },
  [272] = {
    [ts_builtin_sym_end] = ACTIONS(2337),
    [anon_sym_SEMI] = ACTIONS(2337),
    [sym_keyword_from] = ACTIONS(2337),
    [sym_keyword_on] = ACTIONS(2337),
    [sym_keyword_where] = ACTIONS(2337),
    [sym_keyword_desc] = ACTIONS(2337),
    [sym_keyword_asc] = ACTIONS(2337),
    [sym_keyword_limit] = ACTIONS(2337),
    [sym_keyword_primary] = ACTIONS(2337),
    [sym_keyword_create] = ACTIONS(2337),
    [sym_keyword_as] = ACTIONS(2339),
    [sym_keyword_constraint] = ACTIONS(2337),
    [sym_keyword_separator] = ACTIONS(2337),
    [sym_keyword_when] = ACTIONS(2337),
    [sym_keyword_then] = ACTIONS(2337),
    [sym_keyword_else] = ACTIONS(2337),
    [sym_keyword_end] = ACTIONS(2337),
    [sym_keyword_in] = ACTIONS(2337),
    [sym_keyword_and] = ACTIONS(2337),
    [sym_keyword_or] = ACTIONS(2337),
    [sym_keyword_is] = ACTIONS(2337),
    [sym_keyword_not] = ACTIONS(2337),
    [sym_keyword_using] = ACTIONS(2337),
    [sym_keyword_auto_increment] = ACTIONS(2337),
    [sym_keyword_generated] = ACTIONS(2337),
    [sym_keyword_default] = ACTIONS(2337),
    [sym_keyword_returning] = ACTIONS(2337),
    [sym_keyword_first] = ACTIONS(2337),
    [sym_keyword_after] = ACTIONS(2337),
    [sym_keyword_range] = ACTIONS(2337),
    [sym_keyword_rows] = ACTIONS(2337),
    [sym_keyword_groups] = ACTIONS(2337),
    [sym_keyword_between] = ACTIONS(2337),
    [sym_keyword_preceding] = ACTIONS(2337),
    [sym_keyword_following] = ACTIONS(2337),
    [sym_keyword_unique] = ACTIONS(2337),
    [sym_keyword_references] = ACTIONS(2337),
    [aux_sym_keyword_like_token1] = ACTIONS(2337),
    [aux_sym_keyword_like_token2] = ACTIONS(2337),
    [sym_keyword_similar] = ACTIONS(2337),
    [sym_keyword_check] = ACTIONS(2337),
    [sym_keyword_stored] = ACTIONS(2337),
    [sym_keyword_virtual] = ACTIONS(2337),
    [sym_keyword_comment] = ACTIONS(2337),
    [sym_keyword_null] = ACTIONS(2337),
    [sym_keyword_array] = ACTIONS(2337),
    [anon_sym_LBRACK] = ACTIONS(2337),
    [anon_sym_RBRACK] = ACTIONS(2337),
    [anon_sym_RPAREN] = ACTIONS(2337),
    [anon_sym_COMMA] = ACTIONS(2337),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2337),
    [anon_sym_STAR] = ACTIONS(2337),
    [anon_sym_COLON_COLON] = ACTIONS(2337),
    [anon_sym_LT] = ACTIONS(2339),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LT_EQ] = ACTIONS(2337),
    [anon_sym_GT_EQ] = ACTIONS(2337),
    [anon_sym_COLON] = ACTIONS(2339),
    [sym_op_other] = ACTIONS(2337),
    [anon_sym_PLUS] = ACTIONS(2337),
    [anon_sym_DASH] = ACTIONS(2339),
    [anon_sym_SLASH] = ACTIONS(2339),
    [anon_sym_PERCENT] = ACTIONS(2337),
    [anon_sym_CARET] = ACTIONS(2339),
    [anon_sym_BANG_EQ] = ACTIONS(2337),
    [anon_sym_LT_GT] = ACTIONS(2337),
  },
  [273] = {
    [ts_builtin_sym_end] = ACTIONS(2068),
    [anon_sym_SEMI] = ACTIONS(2068),
    [sym_keyword_from] = ACTIONS(2068),
    [sym_keyword_on] = ACTIONS(2068),
    [sym_keyword_where] = ACTIONS(2068),
    [sym_keyword_desc] = ACTIONS(2068),
    [sym_keyword_asc] = ACTIONS(2068),
    [sym_keyword_limit] = ACTIONS(2068),
    [sym_keyword_primary] = ACTIONS(2068),
    [sym_keyword_create] = ACTIONS(2068),
    [sym_keyword_as] = ACTIONS(2070),
    [sym_keyword_constraint] = ACTIONS(2068),
    [sym_keyword_separator] = ACTIONS(2068),
    [sym_keyword_when] = ACTIONS(2068),
    [sym_keyword_then] = ACTIONS(2068),
    [sym_keyword_else] = ACTIONS(2068),
    [sym_keyword_end] = ACTIONS(2068),
    [sym_keyword_in] = ACTIONS(2068),
    [sym_keyword_and] = ACTIONS(2068),
    [sym_keyword_or] = ACTIONS(2068),
    [sym_keyword_is] = ACTIONS(2068),
    [sym_keyword_not] = ACTIONS(2068),
    [sym_keyword_using] = ACTIONS(2068),
    [sym_keyword_auto_increment] = ACTIONS(2068),
    [sym_keyword_generated] = ACTIONS(2068),
    [sym_keyword_default] = ACTIONS(2068),
    [sym_keyword_returning] = ACTIONS(2068),
    [sym_keyword_first] = ACTIONS(2068),
    [sym_keyword_after] = ACTIONS(2068),
    [sym_keyword_range] = ACTIONS(2068),
    [sym_keyword_rows] = ACTIONS(2068),
    [sym_keyword_groups] = ACTIONS(2068),
    [sym_keyword_between] = ACTIONS(2068),
    [sym_keyword_preceding] = ACTIONS(2068),
    [sym_keyword_following] = ACTIONS(2068),
    [sym_keyword_unique] = ACTIONS(2068),
    [sym_keyword_references] = ACTIONS(2068),
    [aux_sym_keyword_like_token1] = ACTIONS(2068),
    [aux_sym_keyword_like_token2] = ACTIONS(2068),
    [sym_keyword_similar] = ACTIONS(2068),
    [sym_keyword_check] = ACTIONS(2068),
    [sym_keyword_stored] = ACTIONS(2068),
    [sym_keyword_virtual] = ACTIONS(2068),
    [sym_keyword_comment] = ACTIONS(2068),
    [sym_keyword_null] = ACTIONS(2068),
    [sym_keyword_array] = ACTIONS(2068),
    [anon_sym_LBRACK] = ACTIONS(2068),
    [anon_sym_RBRACK] = ACTIONS(2068),
    [anon_sym_RPAREN] = ACTIONS(2068),
    [anon_sym_COMMA] = ACTIONS(2068),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2068),
    [anon_sym_STAR] = ACTIONS(2068),
    [anon_sym_COLON_COLON] = ACTIONS(2068),
    [anon_sym_LT] = ACTIONS(2070),
    [anon_sym_GT] = ACTIONS(2070),
    [anon_sym_LT_EQ] = ACTIONS(2068),
    [anon_sym_GT_EQ] = ACTIONS(2068),
    [anon_sym_COLON] = ACTIONS(2070),
    [sym_op_other] = ACTIONS(2068),
    [anon_sym_PLUS] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2070),
    [anon_sym_SLASH] = ACTIONS(2070),
    [anon_sym_PERCENT] = ACTIONS(2068),
    [anon_sym_CARET] = ACTIONS(2070),
    [anon_sym_BANG_EQ] = ACTIONS(2068),
    [anon_sym_LT_GT] = ACTIONS(2068),
  },
  [274] = {
    [ts_builtin_sym_end] = ACTIONS(2341),
    [anon_sym_SEMI] = ACTIONS(2341),
    [sym_keyword_from] = ACTIONS(2341),
    [sym_keyword_on] = ACTIONS(2341),
    [sym_keyword_where] = ACTIONS(2341),
    [sym_keyword_desc] = ACTIONS(2341),
    [sym_keyword_asc] = ACTIONS(2341),
    [sym_keyword_limit] = ACTIONS(2341),
    [sym_keyword_primary] = ACTIONS(2341),
    [sym_keyword_create] = ACTIONS(2341),
    [sym_keyword_as] = ACTIONS(2343),
    [sym_keyword_constraint] = ACTIONS(2341),
    [sym_keyword_separator] = ACTIONS(2341),
    [sym_keyword_when] = ACTIONS(2341),
    [sym_keyword_then] = ACTIONS(2341),
    [sym_keyword_else] = ACTIONS(2341),
    [sym_keyword_end] = ACTIONS(2341),
    [sym_keyword_in] = ACTIONS(2341),
    [sym_keyword_and] = ACTIONS(2341),
    [sym_keyword_or] = ACTIONS(2341),
    [sym_keyword_is] = ACTIONS(2341),
    [sym_keyword_not] = ACTIONS(2341),
    [sym_keyword_using] = ACTIONS(2341),
    [sym_keyword_auto_increment] = ACTIONS(2341),
    [sym_keyword_generated] = ACTIONS(2341),
    [sym_keyword_default] = ACTIONS(2341),
    [sym_keyword_returning] = ACTIONS(2341),
    [sym_keyword_first] = ACTIONS(2341),
    [sym_keyword_after] = ACTIONS(2341),
    [sym_keyword_range] = ACTIONS(2341),
    [sym_keyword_rows] = ACTIONS(2341),
    [sym_keyword_groups] = ACTIONS(2341),
    [sym_keyword_between] = ACTIONS(2341),
    [sym_keyword_preceding] = ACTIONS(2341),
    [sym_keyword_following] = ACTIONS(2341),
    [sym_keyword_unique] = ACTIONS(2341),
    [sym_keyword_references] = ACTIONS(2341),
    [aux_sym_keyword_like_token1] = ACTIONS(2341),
    [aux_sym_keyword_like_token2] = ACTIONS(2341),
    [sym_keyword_similar] = ACTIONS(2341),
    [sym_keyword_check] = ACTIONS(2341),
    [sym_keyword_stored] = ACTIONS(2341),
    [sym_keyword_virtual] = ACTIONS(2341),
    [sym_keyword_comment] = ACTIONS(2341),
    [sym_keyword_null] = ACTIONS(2341),
    [sym_keyword_array] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2341),
    [anon_sym_RBRACK] = ACTIONS(2341),
    [anon_sym_RPAREN] = ACTIONS(2341),
    [anon_sym_COMMA] = ACTIONS(2341),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2341),
    [anon_sym_STAR] = ACTIONS(2341),
    [anon_sym_COLON_COLON] = ACTIONS(2341),
    [anon_sym_LT] = ACTIONS(2343),
    [anon_sym_GT] = ACTIONS(2343),
    [anon_sym_LT_EQ] = ACTIONS(2341),
    [anon_sym_GT_EQ] = ACTIONS(2341),
    [anon_sym_COLON] = ACTIONS(2343),
    [sym_op_other] = ACTIONS(2341),
    [anon_sym_PLUS] = ACTIONS(2341),
    [anon_sym_DASH] = ACTIONS(2343),
    [anon_sym_SLASH] = ACTIONS(2343),
    [anon_sym_PERCENT] = ACTIONS(2341),
    [anon_sym_CARET] = ACTIONS(2343),
    [anon_sym_BANG_EQ] = ACTIONS(2341),
    [anon_sym_LT_GT] = ACTIONS(2341),
  },
  [275] = {
    [ts_builtin_sym_end] = ACTIONS(2345),
    [anon_sym_SEMI] = ACTIONS(2345),
    [sym_keyword_from] = ACTIONS(2345),
    [sym_keyword_on] = ACTIONS(2345),
    [sym_keyword_where] = ACTIONS(2345),
    [sym_keyword_desc] = ACTIONS(2345),
    [sym_keyword_asc] = ACTIONS(2345),
    [sym_keyword_limit] = ACTIONS(2345),
    [sym_keyword_primary] = ACTIONS(2345),
    [sym_keyword_create] = ACTIONS(2345),
    [sym_keyword_as] = ACTIONS(2347),
    [sym_keyword_constraint] = ACTIONS(2345),
    [sym_keyword_separator] = ACTIONS(2345),
    [sym_keyword_when] = ACTIONS(2345),
    [sym_keyword_then] = ACTIONS(2345),
    [sym_keyword_else] = ACTIONS(2345),
    [sym_keyword_end] = ACTIONS(2345),
    [sym_keyword_in] = ACTIONS(2345),
    [sym_keyword_and] = ACTIONS(2345),
    [sym_keyword_or] = ACTIONS(2345),
    [sym_keyword_is] = ACTIONS(2345),
    [sym_keyword_not] = ACTIONS(2345),
    [sym_keyword_using] = ACTIONS(2345),
    [sym_keyword_auto_increment] = ACTIONS(2345),
    [sym_keyword_generated] = ACTIONS(2345),
    [sym_keyword_default] = ACTIONS(2345),
    [sym_keyword_returning] = ACTIONS(2345),
    [sym_keyword_first] = ACTIONS(2345),
    [sym_keyword_after] = ACTIONS(2345),
    [sym_keyword_range] = ACTIONS(2345),
    [sym_keyword_rows] = ACTIONS(2345),
    [sym_keyword_groups] = ACTIONS(2345),
    [sym_keyword_between] = ACTIONS(2345),
    [sym_keyword_preceding] = ACTIONS(2345),
    [sym_keyword_following] = ACTIONS(2345),
    [sym_keyword_unique] = ACTIONS(2345),
    [sym_keyword_references] = ACTIONS(2345),
    [aux_sym_keyword_like_token1] = ACTIONS(2345),
    [aux_sym_keyword_like_token2] = ACTIONS(2345),
    [sym_keyword_similar] = ACTIONS(2345),
    [sym_keyword_check] = ACTIONS(2345),
    [sym_keyword_stored] = ACTIONS(2345),
    [sym_keyword_virtual] = ACTIONS(2345),
    [sym_keyword_comment] = ACTIONS(2345),
    [sym_keyword_null] = ACTIONS(2345),
    [sym_keyword_array] = ACTIONS(2345),
    [anon_sym_LBRACK] = ACTIONS(2345),
    [anon_sym_RBRACK] = ACTIONS(2345),
    [anon_sym_RPAREN] = ACTIONS(2345),
    [anon_sym_COMMA] = ACTIONS(2345),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2345),
    [anon_sym_STAR] = ACTIONS(2345),
    [anon_sym_COLON_COLON] = ACTIONS(2345),
    [anon_sym_LT] = ACTIONS(2347),
    [anon_sym_GT] = ACTIONS(2347),
    [anon_sym_LT_EQ] = ACTIONS(2345),
    [anon_sym_GT_EQ] = ACTIONS(2345),
    [anon_sym_COLON] = ACTIONS(2347),
    [sym_op_other] = ACTIONS(2345),
    [anon_sym_PLUS] = ACTIONS(2345),
    [anon_sym_DASH] = ACTIONS(2347),
    [anon_sym_SLASH] = ACTIONS(2347),
    [anon_sym_PERCENT] = ACTIONS(2345),
    [anon_sym_CARET] = ACTIONS(2347),
    [anon_sym_BANG_EQ] = ACTIONS(2345),
    [anon_sym_LT_GT] = ACTIONS(2345),
  },
  [276] = {
    [ts_builtin_sym_end] = ACTIONS(2349),
    [anon_sym_SEMI] = ACTIONS(2349),
    [sym_keyword_from] = ACTIONS(2349),
    [sym_keyword_on] = ACTIONS(2349),
    [sym_keyword_where] = ACTIONS(2349),
    [sym_keyword_desc] = ACTIONS(2349),
    [sym_keyword_asc] = ACTIONS(2349),
    [sym_keyword_limit] = ACTIONS(2349),
    [sym_keyword_primary] = ACTIONS(2349),
    [sym_keyword_create] = ACTIONS(2349),
    [sym_keyword_as] = ACTIONS(2351),
    [sym_keyword_constraint] = ACTIONS(2349),
    [sym_keyword_separator] = ACTIONS(2349),
    [sym_keyword_when] = ACTIONS(2349),
    [sym_keyword_then] = ACTIONS(2349),
    [sym_keyword_else] = ACTIONS(2349),
    [sym_keyword_end] = ACTIONS(2349),
    [sym_keyword_in] = ACTIONS(2349),
    [sym_keyword_and] = ACTIONS(2349),
    [sym_keyword_or] = ACTIONS(2349),
    [sym_keyword_is] = ACTIONS(2349),
    [sym_keyword_not] = ACTIONS(2349),
    [sym_keyword_using] = ACTIONS(2349),
    [sym_keyword_auto_increment] = ACTIONS(2349),
    [sym_keyword_generated] = ACTIONS(2349),
    [sym_keyword_default] = ACTIONS(2349),
    [sym_keyword_returning] = ACTIONS(2349),
    [sym_keyword_first] = ACTIONS(2349),
    [sym_keyword_after] = ACTIONS(2349),
    [sym_keyword_range] = ACTIONS(2349),
    [sym_keyword_rows] = ACTIONS(2349),
    [sym_keyword_groups] = ACTIONS(2349),
    [sym_keyword_between] = ACTIONS(2349),
    [sym_keyword_preceding] = ACTIONS(2349),
    [sym_keyword_following] = ACTIONS(2349),
    [sym_keyword_unique] = ACTIONS(2349),
    [sym_keyword_references] = ACTIONS(2349),
    [aux_sym_keyword_like_token1] = ACTIONS(2349),
    [aux_sym_keyword_like_token2] = ACTIONS(2349),
    [sym_keyword_similar] = ACTIONS(2349),
    [sym_keyword_check] = ACTIONS(2349),
    [sym_keyword_stored] = ACTIONS(2349),
    [sym_keyword_virtual] = ACTIONS(2349),
    [sym_keyword_comment] = ACTIONS(2349),
    [sym_keyword_null] = ACTIONS(2349),
    [sym_keyword_array] = ACTIONS(2349),
    [anon_sym_LBRACK] = ACTIONS(2349),
    [anon_sym_RBRACK] = ACTIONS(2349),
    [anon_sym_RPAREN] = ACTIONS(2349),
    [anon_sym_COMMA] = ACTIONS(2349),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2349),
    [anon_sym_STAR] = ACTIONS(2349),
    [anon_sym_COLON_COLON] = ACTIONS(2349),
    [anon_sym_LT] = ACTIONS(2351),
    [anon_sym_GT] = ACTIONS(2351),
    [anon_sym_LT_EQ] = ACTIONS(2349),
    [anon_sym_GT_EQ] = ACTIONS(2349),
    [anon_sym_COLON] = ACTIONS(2351),
    [sym_op_other] = ACTIONS(2349),
    [anon_sym_PLUS] = ACTIONS(2349),
    [anon_sym_DASH] = ACTIONS(2351),
    [anon_sym_SLASH] = ACTIONS(2351),
    [anon_sym_PERCENT] = ACTIONS(2349),
    [anon_sym_CARET] = ACTIONS(2351),
    [anon_sym_BANG_EQ] = ACTIONS(2349),
    [anon_sym_LT_GT] = ACTIONS(2349),
  },
  [277] = {
    [ts_builtin_sym_end] = ACTIONS(2353),
    [anon_sym_SEMI] = ACTIONS(2353),
    [sym_keyword_from] = ACTIONS(2353),
    [sym_keyword_on] = ACTIONS(2353),
    [sym_keyword_where] = ACTIONS(2353),
    [sym_keyword_desc] = ACTIONS(2353),
    [sym_keyword_asc] = ACTIONS(2353),
    [sym_keyword_limit] = ACTIONS(2353),
    [sym_keyword_primary] = ACTIONS(2353),
    [sym_keyword_create] = ACTIONS(2353),
    [sym_keyword_as] = ACTIONS(2355),
    [sym_keyword_constraint] = ACTIONS(2353),
    [sym_keyword_separator] = ACTIONS(2353),
    [sym_keyword_when] = ACTIONS(2353),
    [sym_keyword_then] = ACTIONS(2353),
    [sym_keyword_else] = ACTIONS(2353),
    [sym_keyword_end] = ACTIONS(2353),
    [sym_keyword_in] = ACTIONS(2353),
    [sym_keyword_and] = ACTIONS(2353),
    [sym_keyword_or] = ACTIONS(2353),
    [sym_keyword_is] = ACTIONS(2353),
    [sym_keyword_not] = ACTIONS(2353),
    [sym_keyword_using] = ACTIONS(2353),
    [sym_keyword_auto_increment] = ACTIONS(2353),
    [sym_keyword_generated] = ACTIONS(2353),
    [sym_keyword_default] = ACTIONS(2353),
    [sym_keyword_returning] = ACTIONS(2353),
    [sym_keyword_first] = ACTIONS(2353),
    [sym_keyword_after] = ACTIONS(2353),
    [sym_keyword_range] = ACTIONS(2353),
    [sym_keyword_rows] = ACTIONS(2353),
    [sym_keyword_groups] = ACTIONS(2353),
    [sym_keyword_between] = ACTIONS(2353),
    [sym_keyword_preceding] = ACTIONS(2353),
    [sym_keyword_following] = ACTIONS(2353),
    [sym_keyword_unique] = ACTIONS(2353),
    [sym_keyword_references] = ACTIONS(2353),
    [aux_sym_keyword_like_token1] = ACTIONS(2353),
    [aux_sym_keyword_like_token2] = ACTIONS(2353),
    [sym_keyword_similar] = ACTIONS(2353),
    [sym_keyword_check] = ACTIONS(2353),
    [sym_keyword_stored] = ACTIONS(2353),
    [sym_keyword_virtual] = ACTIONS(2353),
    [sym_keyword_comment] = ACTIONS(2353),
    [sym_keyword_null] = ACTIONS(2353),
    [sym_keyword_array] = ACTIONS(2353),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [anon_sym_RBRACK] = ACTIONS(2353),
    [anon_sym_RPAREN] = ACTIONS(2353),
    [anon_sym_COMMA] = ACTIONS(2353),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2353),
    [anon_sym_STAR] = ACTIONS(2353),
    [anon_sym_COLON_COLON] = ACTIONS(2353),
    [anon_sym_LT] = ACTIONS(2355),
    [anon_sym_GT] = ACTIONS(2355),
    [anon_sym_LT_EQ] = ACTIONS(2353),
    [anon_sym_GT_EQ] = ACTIONS(2353),
    [anon_sym_COLON] = ACTIONS(2355),
    [sym_op_other] = ACTIONS(2353),
    [anon_sym_PLUS] = ACTIONS(2353),
    [anon_sym_DASH] = ACTIONS(2355),
    [anon_sym_SLASH] = ACTIONS(2355),
    [anon_sym_PERCENT] = ACTIONS(2353),
    [anon_sym_CARET] = ACTIONS(2355),
    [anon_sym_BANG_EQ] = ACTIONS(2353),
    [anon_sym_LT_GT] = ACTIONS(2353),
  },
  [278] = {
    [ts_builtin_sym_end] = ACTIONS(2107),
    [anon_sym_SEMI] = ACTIONS(2107),
    [sym_keyword_from] = ACTIONS(2107),
    [sym_keyword_on] = ACTIONS(2107),
    [sym_keyword_where] = ACTIONS(2107),
    [sym_keyword_desc] = ACTIONS(2107),
    [sym_keyword_asc] = ACTIONS(2107),
    [sym_keyword_limit] = ACTIONS(2107),
    [sym_keyword_primary] = ACTIONS(2107),
    [sym_keyword_create] = ACTIONS(2107),
    [sym_keyword_as] = ACTIONS(2109),
    [sym_keyword_constraint] = ACTIONS(2107),
    [sym_keyword_separator] = ACTIONS(2107),
    [sym_keyword_when] = ACTIONS(2107),
    [sym_keyword_then] = ACTIONS(2107),
    [sym_keyword_else] = ACTIONS(2107),
    [sym_keyword_end] = ACTIONS(2107),
    [sym_keyword_in] = ACTIONS(2107),
    [sym_keyword_and] = ACTIONS(2107),
    [sym_keyword_or] = ACTIONS(2107),
    [sym_keyword_is] = ACTIONS(2107),
    [sym_keyword_not] = ACTIONS(2107),
    [sym_keyword_using] = ACTIONS(2107),
    [sym_keyword_auto_increment] = ACTIONS(2107),
    [sym_keyword_generated] = ACTIONS(2107),
    [sym_keyword_default] = ACTIONS(2107),
    [sym_keyword_returning] = ACTIONS(2107),
    [sym_keyword_first] = ACTIONS(2107),
    [sym_keyword_after] = ACTIONS(2107),
    [sym_keyword_range] = ACTIONS(2107),
    [sym_keyword_rows] = ACTIONS(2107),
    [sym_keyword_groups] = ACTIONS(2107),
    [sym_keyword_between] = ACTIONS(2107),
    [sym_keyword_preceding] = ACTIONS(2107),
    [sym_keyword_following] = ACTIONS(2107),
    [sym_keyword_unique] = ACTIONS(2107),
    [sym_keyword_references] = ACTIONS(2107),
    [aux_sym_keyword_like_token1] = ACTIONS(2107),
    [aux_sym_keyword_like_token2] = ACTIONS(2107),
    [sym_keyword_similar] = ACTIONS(2107),
    [sym_keyword_check] = ACTIONS(2107),
    [sym_keyword_stored] = ACTIONS(2107),
    [sym_keyword_virtual] = ACTIONS(2107),
    [sym_keyword_comment] = ACTIONS(2107),
    [sym_keyword_null] = ACTIONS(2107),
    [sym_keyword_array] = ACTIONS(2107),
    [anon_sym_LBRACK] = ACTIONS(2107),
    [anon_sym_RBRACK] = ACTIONS(2107),
    [anon_sym_RPAREN] = ACTIONS(2107),
    [anon_sym_COMMA] = ACTIONS(2107),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2107),
    [anon_sym_STAR] = ACTIONS(2107),
    [anon_sym_COLON_COLON] = ACTIONS(2107),
    [anon_sym_LT] = ACTIONS(2109),
    [anon_sym_GT] = ACTIONS(2109),
    [anon_sym_LT_EQ] = ACTIONS(2107),
    [anon_sym_GT_EQ] = ACTIONS(2107),
    [anon_sym_COLON] = ACTIONS(2109),
    [sym_op_other] = ACTIONS(2107),
    [anon_sym_PLUS] = ACTIONS(2107),
    [anon_sym_DASH] = ACTIONS(2109),
    [anon_sym_SLASH] = ACTIONS(2109),
    [anon_sym_PERCENT] = ACTIONS(2107),
    [anon_sym_CARET] = ACTIONS(2109),
    [anon_sym_BANG_EQ] = ACTIONS(2107),
    [anon_sym_LT_GT] = ACTIONS(2107),
  },
  [279] = {
    [ts_builtin_sym_end] = ACTIONS(2145),
    [anon_sym_SEMI] = ACTIONS(2145),
    [sym_keyword_from] = ACTIONS(2145),
    [sym_keyword_on] = ACTIONS(2145),
    [sym_keyword_where] = ACTIONS(2145),
    [sym_keyword_desc] = ACTIONS(2145),
    [sym_keyword_asc] = ACTIONS(2145),
    [sym_keyword_limit] = ACTIONS(2145),
    [sym_keyword_primary] = ACTIONS(2145),
    [sym_keyword_create] = ACTIONS(2145),
    [sym_keyword_as] = ACTIONS(2147),
    [sym_keyword_constraint] = ACTIONS(2145),
    [sym_keyword_separator] = ACTIONS(2145),
    [sym_keyword_when] = ACTIONS(2145),
    [sym_keyword_then] = ACTIONS(2145),
    [sym_keyword_else] = ACTIONS(2145),
    [sym_keyword_end] = ACTIONS(2145),
    [sym_keyword_in] = ACTIONS(2145),
    [sym_keyword_and] = ACTIONS(2145),
    [sym_keyword_or] = ACTIONS(2145),
    [sym_keyword_is] = ACTIONS(2145),
    [sym_keyword_not] = ACTIONS(2145),
    [sym_keyword_using] = ACTIONS(2145),
    [sym_keyword_auto_increment] = ACTIONS(2145),
    [sym_keyword_generated] = ACTIONS(2145),
    [sym_keyword_default] = ACTIONS(2145),
    [sym_keyword_returning] = ACTIONS(2145),
    [sym_keyword_first] = ACTIONS(2145),
    [sym_keyword_after] = ACTIONS(2145),
    [sym_keyword_range] = ACTIONS(2145),
    [sym_keyword_rows] = ACTIONS(2145),
    [sym_keyword_groups] = ACTIONS(2145),
    [sym_keyword_between] = ACTIONS(2145),
    [sym_keyword_preceding] = ACTIONS(2145),
    [sym_keyword_following] = ACTIONS(2145),
    [sym_keyword_unique] = ACTIONS(2145),
    [sym_keyword_references] = ACTIONS(2145),
    [aux_sym_keyword_like_token1] = ACTIONS(2145),
    [aux_sym_keyword_like_token2] = ACTIONS(2145),
    [sym_keyword_similar] = ACTIONS(2145),
    [sym_keyword_check] = ACTIONS(2145),
    [sym_keyword_stored] = ACTIONS(2145),
    [sym_keyword_virtual] = ACTIONS(2145),
    [sym_keyword_comment] = ACTIONS(2145),
    [sym_keyword_null] = ACTIONS(2145),
    [sym_keyword_array] = ACTIONS(2145),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [anon_sym_RBRACK] = ACTIONS(2145),
    [anon_sym_RPAREN] = ACTIONS(2145),
    [anon_sym_COMMA] = ACTIONS(2145),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2145),
    [anon_sym_STAR] = ACTIONS(2145),
    [anon_sym_COLON_COLON] = ACTIONS(2145),
    [anon_sym_LT] = ACTIONS(2147),
    [anon_sym_GT] = ACTIONS(2147),
    [anon_sym_LT_EQ] = ACTIONS(2145),
    [anon_sym_GT_EQ] = ACTIONS(2145),
    [anon_sym_COLON] = ACTIONS(2147),
    [sym_op_other] = ACTIONS(2145),
    [anon_sym_PLUS] = ACTIONS(2145),
    [anon_sym_DASH] = ACTIONS(2147),
    [anon_sym_SLASH] = ACTIONS(2147),
    [anon_sym_PERCENT] = ACTIONS(2145),
    [anon_sym_CARET] = ACTIONS(2147),
    [anon_sym_BANG_EQ] = ACTIONS(2145),
    [anon_sym_LT_GT] = ACTIONS(2145),
  },
  [280] = {
    [ts_builtin_sym_end] = ACTIONS(2125),
    [anon_sym_SEMI] = ACTIONS(2125),
    [sym_keyword_from] = ACTIONS(2125),
    [sym_keyword_on] = ACTIONS(2125),
    [sym_keyword_where] = ACTIONS(2125),
    [sym_keyword_desc] = ACTIONS(2125),
    [sym_keyword_asc] = ACTIONS(2125),
    [sym_keyword_limit] = ACTIONS(2125),
    [sym_keyword_primary] = ACTIONS(2125),
    [sym_keyword_create] = ACTIONS(2125),
    [sym_keyword_as] = ACTIONS(2127),
    [sym_keyword_constraint] = ACTIONS(2125),
    [sym_keyword_separator] = ACTIONS(2125),
    [sym_keyword_when] = ACTIONS(2125),
    [sym_keyword_then] = ACTIONS(2125),
    [sym_keyword_else] = ACTIONS(2125),
    [sym_keyword_end] = ACTIONS(2125),
    [sym_keyword_in] = ACTIONS(2125),
    [sym_keyword_and] = ACTIONS(2125),
    [sym_keyword_or] = ACTIONS(2125),
    [sym_keyword_is] = ACTIONS(2125),
    [sym_keyword_not] = ACTIONS(2125),
    [sym_keyword_using] = ACTIONS(2125),
    [sym_keyword_auto_increment] = ACTIONS(2125),
    [sym_keyword_generated] = ACTIONS(2125),
    [sym_keyword_default] = ACTIONS(2125),
    [sym_keyword_returning] = ACTIONS(2125),
    [sym_keyword_first] = ACTIONS(2125),
    [sym_keyword_after] = ACTIONS(2125),
    [sym_keyword_range] = ACTIONS(2125),
    [sym_keyword_rows] = ACTIONS(2125),
    [sym_keyword_groups] = ACTIONS(2125),
    [sym_keyword_between] = ACTIONS(2125),
    [sym_keyword_preceding] = ACTIONS(2125),
    [sym_keyword_following] = ACTIONS(2125),
    [sym_keyword_unique] = ACTIONS(2125),
    [sym_keyword_references] = ACTIONS(2125),
    [aux_sym_keyword_like_token1] = ACTIONS(2125),
    [aux_sym_keyword_like_token2] = ACTIONS(2125),
    [sym_keyword_similar] = ACTIONS(2125),
    [sym_keyword_check] = ACTIONS(2125),
    [sym_keyword_stored] = ACTIONS(2125),
    [sym_keyword_virtual] = ACTIONS(2125),
    [sym_keyword_comment] = ACTIONS(2125),
    [sym_keyword_null] = ACTIONS(2125),
    [sym_keyword_array] = ACTIONS(2125),
    [anon_sym_LBRACK] = ACTIONS(2125),
    [anon_sym_RBRACK] = ACTIONS(2125),
    [anon_sym_RPAREN] = ACTIONS(2125),
    [anon_sym_COMMA] = ACTIONS(2125),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2125),
    [anon_sym_STAR] = ACTIONS(2125),
    [anon_sym_COLON_COLON] = ACTIONS(2125),
    [anon_sym_LT] = ACTIONS(2127),
    [anon_sym_GT] = ACTIONS(2127),
    [anon_sym_LT_EQ] = ACTIONS(2125),
    [anon_sym_GT_EQ] = ACTIONS(2125),
    [anon_sym_COLON] = ACTIONS(2127),
    [sym_op_other] = ACTIONS(2125),
    [anon_sym_PLUS] = ACTIONS(2125),
    [anon_sym_DASH] = ACTIONS(2127),
    [anon_sym_SLASH] = ACTIONS(2127),
    [anon_sym_PERCENT] = ACTIONS(2125),
    [anon_sym_CARET] = ACTIONS(2127),
    [anon_sym_BANG_EQ] = ACTIONS(2125),
    [anon_sym_LT_GT] = ACTIONS(2125),
  },
  [281] = {
    [ts_builtin_sym_end] = ACTIONS(2357),
    [anon_sym_SEMI] = ACTIONS(2357),
    [sym_keyword_from] = ACTIONS(2357),
    [sym_keyword_on] = ACTIONS(2357),
    [sym_keyword_where] = ACTIONS(2357),
    [sym_keyword_desc] = ACTIONS(2357),
    [sym_keyword_asc] = ACTIONS(2357),
    [sym_keyword_limit] = ACTIONS(2357),
    [sym_keyword_primary] = ACTIONS(2357),
    [sym_keyword_create] = ACTIONS(2357),
    [sym_keyword_as] = ACTIONS(2359),
    [sym_keyword_constraint] = ACTIONS(2357),
    [sym_keyword_separator] = ACTIONS(2357),
    [sym_keyword_when] = ACTIONS(2357),
    [sym_keyword_then] = ACTIONS(2357),
    [sym_keyword_else] = ACTIONS(2357),
    [sym_keyword_end] = ACTIONS(2357),
    [sym_keyword_in] = ACTIONS(2357),
    [sym_keyword_and] = ACTIONS(2357),
    [sym_keyword_or] = ACTIONS(2357),
    [sym_keyword_is] = ACTIONS(2357),
    [sym_keyword_not] = ACTIONS(2357),
    [sym_keyword_using] = ACTIONS(2357),
    [sym_keyword_auto_increment] = ACTIONS(2357),
    [sym_keyword_generated] = ACTIONS(2357),
    [sym_keyword_default] = ACTIONS(2357),
    [sym_keyword_returning] = ACTIONS(2357),
    [sym_keyword_first] = ACTIONS(2357),
    [sym_keyword_after] = ACTIONS(2357),
    [sym_keyword_range] = ACTIONS(2357),
    [sym_keyword_rows] = ACTIONS(2357),
    [sym_keyword_groups] = ACTIONS(2357),
    [sym_keyword_between] = ACTIONS(2357),
    [sym_keyword_preceding] = ACTIONS(2357),
    [sym_keyword_following] = ACTIONS(2357),
    [sym_keyword_unique] = ACTIONS(2357),
    [sym_keyword_references] = ACTIONS(2357),
    [aux_sym_keyword_like_token1] = ACTIONS(2357),
    [aux_sym_keyword_like_token2] = ACTIONS(2357),
    [sym_keyword_similar] = ACTIONS(2357),
    [sym_keyword_check] = ACTIONS(2357),
    [sym_keyword_stored] = ACTIONS(2357),
    [sym_keyword_virtual] = ACTIONS(2357),
    [sym_keyword_comment] = ACTIONS(2357),
    [sym_keyword_null] = ACTIONS(2357),
    [sym_keyword_array] = ACTIONS(2357),
    [anon_sym_LBRACK] = ACTIONS(2357),
    [anon_sym_RBRACK] = ACTIONS(2357),
    [anon_sym_RPAREN] = ACTIONS(2357),
    [anon_sym_COMMA] = ACTIONS(2357),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2357),
    [anon_sym_STAR] = ACTIONS(2357),
    [anon_sym_COLON_COLON] = ACTIONS(2357),
    [anon_sym_LT] = ACTIONS(2359),
    [anon_sym_GT] = ACTIONS(2359),
    [anon_sym_LT_EQ] = ACTIONS(2357),
    [anon_sym_GT_EQ] = ACTIONS(2357),
    [anon_sym_COLON] = ACTIONS(2359),
    [sym_op_other] = ACTIONS(2357),
    [anon_sym_PLUS] = ACTIONS(2357),
    [anon_sym_DASH] = ACTIONS(2359),
    [anon_sym_SLASH] = ACTIONS(2359),
    [anon_sym_PERCENT] = ACTIONS(2357),
    [anon_sym_CARET] = ACTIONS(2359),
    [anon_sym_BANG_EQ] = ACTIONS(2357),
    [anon_sym_LT_GT] = ACTIONS(2357),
  },
  [282] = {
    [ts_builtin_sym_end] = ACTIONS(1994),
    [anon_sym_SEMI] = ACTIONS(1994),
    [sym_keyword_from] = ACTIONS(1994),
    [sym_keyword_on] = ACTIONS(1994),
    [sym_keyword_where] = ACTIONS(1994),
    [sym_keyword_desc] = ACTIONS(1994),
    [sym_keyword_asc] = ACTIONS(1994),
    [sym_keyword_limit] = ACTIONS(1994),
    [sym_keyword_primary] = ACTIONS(1994),
    [sym_keyword_create] = ACTIONS(1994),
    [sym_keyword_as] = ACTIONS(1996),
    [sym_keyword_constraint] = ACTIONS(1994),
    [sym_keyword_separator] = ACTIONS(1994),
    [sym_keyword_when] = ACTIONS(1994),
    [sym_keyword_then] = ACTIONS(1994),
    [sym_keyword_else] = ACTIONS(1994),
    [sym_keyword_end] = ACTIONS(1994),
    [sym_keyword_in] = ACTIONS(1994),
    [sym_keyword_and] = ACTIONS(1994),
    [sym_keyword_or] = ACTIONS(1994),
    [sym_keyword_is] = ACTIONS(1994),
    [sym_keyword_not] = ACTIONS(1994),
    [sym_keyword_using] = ACTIONS(1994),
    [sym_keyword_auto_increment] = ACTIONS(1994),
    [sym_keyword_generated] = ACTIONS(1994),
    [sym_keyword_default] = ACTIONS(1994),
    [sym_keyword_returning] = ACTIONS(1994),
    [sym_keyword_first] = ACTIONS(1994),
    [sym_keyword_after] = ACTIONS(1994),
    [sym_keyword_range] = ACTIONS(1994),
    [sym_keyword_rows] = ACTIONS(1994),
    [sym_keyword_groups] = ACTIONS(1994),
    [sym_keyword_between] = ACTIONS(1994),
    [sym_keyword_preceding] = ACTIONS(1994),
    [sym_keyword_following] = ACTIONS(1994),
    [sym_keyword_unique] = ACTIONS(1994),
    [sym_keyword_references] = ACTIONS(1994),
    [aux_sym_keyword_like_token1] = ACTIONS(1994),
    [aux_sym_keyword_like_token2] = ACTIONS(1994),
    [sym_keyword_similar] = ACTIONS(1994),
    [sym_keyword_check] = ACTIONS(1994),
    [sym_keyword_stored] = ACTIONS(1994),
    [sym_keyword_virtual] = ACTIONS(1994),
    [sym_keyword_comment] = ACTIONS(1994),
    [sym_keyword_null] = ACTIONS(1994),
    [sym_keyword_array] = ACTIONS(1994),
    [anon_sym_LBRACK] = ACTIONS(1994),
    [anon_sym_RBRACK] = ACTIONS(1994),
    [anon_sym_RPAREN] = ACTIONS(1994),
    [anon_sym_COMMA] = ACTIONS(1994),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1994),
    [anon_sym_STAR] = ACTIONS(1994),
    [anon_sym_COLON_COLON] = ACTIONS(1994),
    [anon_sym_LT] = ACTIONS(1996),
    [anon_sym_GT] = ACTIONS(1996),
    [anon_sym_LT_EQ] = ACTIONS(1994),
    [anon_sym_GT_EQ] = ACTIONS(1994),
    [anon_sym_COLON] = ACTIONS(1996),
    [sym_op_other] = ACTIONS(1994),
    [anon_sym_PLUS] = ACTIONS(1994),
    [anon_sym_DASH] = ACTIONS(1996),
    [anon_sym_SLASH] = ACTIONS(1996),
    [anon_sym_PERCENT] = ACTIONS(1994),
    [anon_sym_CARET] = ACTIONS(1996),
    [anon_sym_BANG_EQ] = ACTIONS(1994),
    [anon_sym_LT_GT] = ACTIONS(1994),
  },
  [283] = {
    [ts_builtin_sym_end] = ACTIONS(2062),
    [anon_sym_SEMI] = ACTIONS(2062),
    [sym_keyword_from] = ACTIONS(2062),
    [sym_keyword_on] = ACTIONS(2062),
    [sym_keyword_where] = ACTIONS(2062),
    [sym_keyword_desc] = ACTIONS(2062),
    [sym_keyword_asc] = ACTIONS(2062),
    [sym_keyword_limit] = ACTIONS(2062),
    [sym_keyword_primary] = ACTIONS(2062),
    [sym_keyword_create] = ACTIONS(2062),
    [sym_keyword_as] = ACTIONS(2064),
    [sym_keyword_constraint] = ACTIONS(2062),
    [sym_keyword_separator] = ACTIONS(2062),
    [sym_keyword_when] = ACTIONS(2062),
    [sym_keyword_then] = ACTIONS(2062),
    [sym_keyword_else] = ACTIONS(2062),
    [sym_keyword_end] = ACTIONS(2062),
    [sym_keyword_in] = ACTIONS(2062),
    [sym_keyword_and] = ACTIONS(2062),
    [sym_keyword_or] = ACTIONS(2062),
    [sym_keyword_is] = ACTIONS(2062),
    [sym_keyword_not] = ACTIONS(2062),
    [sym_keyword_using] = ACTIONS(2062),
    [sym_keyword_auto_increment] = ACTIONS(2062),
    [sym_keyword_generated] = ACTIONS(2062),
    [sym_keyword_default] = ACTIONS(2062),
    [sym_keyword_returning] = ACTIONS(2062),
    [sym_keyword_first] = ACTIONS(2062),
    [sym_keyword_after] = ACTIONS(2062),
    [sym_keyword_range] = ACTIONS(2062),
    [sym_keyword_rows] = ACTIONS(2062),
    [sym_keyword_groups] = ACTIONS(2062),
    [sym_keyword_between] = ACTIONS(2062),
    [sym_keyword_preceding] = ACTIONS(2062),
    [sym_keyword_following] = ACTIONS(2062),
    [sym_keyword_unique] = ACTIONS(2062),
    [sym_keyword_references] = ACTIONS(2062),
    [aux_sym_keyword_like_token1] = ACTIONS(2062),
    [aux_sym_keyword_like_token2] = ACTIONS(2062),
    [sym_keyword_similar] = ACTIONS(2062),
    [sym_keyword_check] = ACTIONS(2062),
    [sym_keyword_stored] = ACTIONS(2062),
    [sym_keyword_virtual] = ACTIONS(2062),
    [sym_keyword_comment] = ACTIONS(2062),
    [sym_keyword_null] = ACTIONS(2062),
    [sym_keyword_array] = ACTIONS(2062),
    [anon_sym_LBRACK] = ACTIONS(2062),
    [anon_sym_RBRACK] = ACTIONS(2062),
    [anon_sym_RPAREN] = ACTIONS(2062),
    [anon_sym_COMMA] = ACTIONS(2062),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2062),
    [anon_sym_STAR] = ACTIONS(2062),
    [anon_sym_COLON_COLON] = ACTIONS(2062),
    [anon_sym_LT] = ACTIONS(2064),
    [anon_sym_GT] = ACTIONS(2064),
    [anon_sym_LT_EQ] = ACTIONS(2062),
    [anon_sym_GT_EQ] = ACTIONS(2062),
    [anon_sym_COLON] = ACTIONS(2064),
    [sym_op_other] = ACTIONS(2062),
    [anon_sym_PLUS] = ACTIONS(2062),
    [anon_sym_DASH] = ACTIONS(2064),
    [anon_sym_SLASH] = ACTIONS(2064),
    [anon_sym_PERCENT] = ACTIONS(2062),
    [anon_sym_CARET] = ACTIONS(2064),
    [anon_sym_BANG_EQ] = ACTIONS(2062),
    [anon_sym_LT_GT] = ACTIONS(2062),
  },
  [284] = {
    [ts_builtin_sym_end] = ACTIONS(2361),
    [anon_sym_SEMI] = ACTIONS(2361),
    [sym_keyword_from] = ACTIONS(2361),
    [sym_keyword_on] = ACTIONS(2361),
    [sym_keyword_where] = ACTIONS(2361),
    [sym_keyword_desc] = ACTIONS(2361),
    [sym_keyword_asc] = ACTIONS(2361),
    [sym_keyword_limit] = ACTIONS(2361),
    [sym_keyword_primary] = ACTIONS(2361),
    [sym_keyword_create] = ACTIONS(2361),
    [sym_keyword_as] = ACTIONS(2363),
    [sym_keyword_constraint] = ACTIONS(2361),
    [sym_keyword_separator] = ACTIONS(2361),
    [sym_keyword_when] = ACTIONS(2361),
    [sym_keyword_then] = ACTIONS(2361),
    [sym_keyword_else] = ACTIONS(2361),
    [sym_keyword_end] = ACTIONS(2361),
    [sym_keyword_in] = ACTIONS(2361),
    [sym_keyword_and] = ACTIONS(2361),
    [sym_keyword_or] = ACTIONS(2361),
    [sym_keyword_is] = ACTIONS(2361),
    [sym_keyword_not] = ACTIONS(2361),
    [sym_keyword_using] = ACTIONS(2361),
    [sym_keyword_auto_increment] = ACTIONS(2361),
    [sym_keyword_generated] = ACTIONS(2361),
    [sym_keyword_default] = ACTIONS(2361),
    [sym_keyword_returning] = ACTIONS(2361),
    [sym_keyword_first] = ACTIONS(2361),
    [sym_keyword_after] = ACTIONS(2361),
    [sym_keyword_range] = ACTIONS(2361),
    [sym_keyword_rows] = ACTIONS(2361),
    [sym_keyword_groups] = ACTIONS(2361),
    [sym_keyword_between] = ACTIONS(2361),
    [sym_keyword_preceding] = ACTIONS(2361),
    [sym_keyword_following] = ACTIONS(2361),
    [sym_keyword_unique] = ACTIONS(2361),
    [sym_keyword_references] = ACTIONS(2361),
    [aux_sym_keyword_like_token1] = ACTIONS(2361),
    [aux_sym_keyword_like_token2] = ACTIONS(2361),
    [sym_keyword_similar] = ACTIONS(2361),
    [sym_keyword_check] = ACTIONS(2361),
    [sym_keyword_stored] = ACTIONS(2361),
    [sym_keyword_virtual] = ACTIONS(2361),
    [sym_keyword_comment] = ACTIONS(2361),
    [sym_keyword_null] = ACTIONS(2361),
    [anon_sym_LBRACK] = ACTIONS(2361),
    [anon_sym_RBRACK] = ACTIONS(2361),
    [anon_sym_RPAREN] = ACTIONS(2361),
    [anon_sym_COMMA] = ACTIONS(2361),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2361),
    [anon_sym_STAR] = ACTIONS(2361),
    [anon_sym_COLON_COLON] = ACTIONS(2361),
    [anon_sym_LT] = ACTIONS(2363),
    [anon_sym_GT] = ACTIONS(2363),
    [anon_sym_LT_EQ] = ACTIONS(2361),
    [anon_sym_GT_EQ] = ACTIONS(2361),
    [anon_sym_COLON] = ACTIONS(2363),
    [sym_op_other] = ACTIONS(2361),
    [anon_sym_PLUS] = ACTIONS(2361),
    [anon_sym_DASH] = ACTIONS(2363),
    [anon_sym_SLASH] = ACTIONS(2363),
    [anon_sym_PERCENT] = ACTIONS(2361),
    [anon_sym_CARET] = ACTIONS(2363),
    [anon_sym_BANG_EQ] = ACTIONS(2361),
    [anon_sym_LT_GT] = ACTIONS(2361),
  },
  [285] = {
    [ts_builtin_sym_end] = ACTIONS(2365),
    [anon_sym_SEMI] = ACTIONS(2365),
    [sym_keyword_from] = ACTIONS(2365),
    [sym_keyword_on] = ACTIONS(2365),
    [sym_keyword_where] = ACTIONS(2365),
    [sym_keyword_desc] = ACTIONS(2365),
    [sym_keyword_asc] = ACTIONS(2365),
    [sym_keyword_limit] = ACTIONS(2365),
    [sym_keyword_primary] = ACTIONS(2365),
    [sym_keyword_create] = ACTIONS(2365),
    [sym_keyword_as] = ACTIONS(2367),
    [sym_keyword_constraint] = ACTIONS(2365),
    [sym_keyword_separator] = ACTIONS(2365),
    [sym_keyword_when] = ACTIONS(2365),
    [sym_keyword_then] = ACTIONS(2365),
    [sym_keyword_else] = ACTIONS(2365),
    [sym_keyword_end] = ACTIONS(2365),
    [sym_keyword_in] = ACTIONS(2365),
    [sym_keyword_and] = ACTIONS(2365),
    [sym_keyword_or] = ACTIONS(2365),
    [sym_keyword_is] = ACTIONS(2365),
    [sym_keyword_not] = ACTIONS(2365),
    [sym_keyword_using] = ACTIONS(2365),
    [sym_keyword_auto_increment] = ACTIONS(2365),
    [sym_keyword_generated] = ACTIONS(2365),
    [sym_keyword_default] = ACTIONS(2365),
    [sym_keyword_returning] = ACTIONS(2365),
    [sym_keyword_first] = ACTIONS(2365),
    [sym_keyword_after] = ACTIONS(2365),
    [sym_keyword_range] = ACTIONS(2365),
    [sym_keyword_rows] = ACTIONS(2365),
    [sym_keyword_groups] = ACTIONS(2365),
    [sym_keyword_between] = ACTIONS(2365),
    [sym_keyword_preceding] = ACTIONS(2365),
    [sym_keyword_following] = ACTIONS(2365),
    [sym_keyword_unique] = ACTIONS(2365),
    [sym_keyword_references] = ACTIONS(2365),
    [aux_sym_keyword_like_token1] = ACTIONS(2365),
    [aux_sym_keyword_like_token2] = ACTIONS(2365),
    [sym_keyword_similar] = ACTIONS(2365),
    [sym_keyword_check] = ACTIONS(2365),
    [sym_keyword_stored] = ACTIONS(2365),
    [sym_keyword_virtual] = ACTIONS(2365),
    [sym_keyword_comment] = ACTIONS(2365),
    [sym_keyword_null] = ACTIONS(2365),
    [anon_sym_LBRACK] = ACTIONS(2365),
    [anon_sym_RBRACK] = ACTIONS(2365),
    [anon_sym_RPAREN] = ACTIONS(2365),
    [anon_sym_COMMA] = ACTIONS(2365),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2365),
    [anon_sym_STAR] = ACTIONS(2365),
    [anon_sym_COLON_COLON] = ACTIONS(2365),
    [anon_sym_LT] = ACTIONS(2367),
    [anon_sym_GT] = ACTIONS(2367),
    [anon_sym_LT_EQ] = ACTIONS(2365),
    [anon_sym_GT_EQ] = ACTIONS(2365),
    [anon_sym_COLON] = ACTIONS(2367),
    [sym_op_other] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2365),
    [anon_sym_DASH] = ACTIONS(2367),
    [anon_sym_SLASH] = ACTIONS(2367),
    [anon_sym_PERCENT] = ACTIONS(2365),
    [anon_sym_CARET] = ACTIONS(2367),
    [anon_sym_BANG_EQ] = ACTIONS(2365),
    [anon_sym_LT_GT] = ACTIONS(2365),
  },
  [286] = {
    [ts_builtin_sym_end] = ACTIONS(2369),
    [anon_sym_SEMI] = ACTIONS(2369),
    [sym_keyword_from] = ACTIONS(2369),
    [sym_keyword_on] = ACTIONS(2369),
    [sym_keyword_where] = ACTIONS(2369),
    [sym_keyword_desc] = ACTIONS(2369),
    [sym_keyword_asc] = ACTIONS(2369),
    [sym_keyword_limit] = ACTIONS(2369),
    [sym_keyword_primary] = ACTIONS(2369),
    [sym_keyword_create] = ACTIONS(2369),
    [sym_keyword_as] = ACTIONS(2371),
    [sym_keyword_constraint] = ACTIONS(2369),
    [sym_keyword_separator] = ACTIONS(2369),
    [sym_keyword_when] = ACTIONS(2369),
    [sym_keyword_then] = ACTIONS(2369),
    [sym_keyword_else] = ACTIONS(2369),
    [sym_keyword_end] = ACTIONS(2369),
    [sym_keyword_in] = ACTIONS(2369),
    [sym_keyword_and] = ACTIONS(2369),
    [sym_keyword_or] = ACTIONS(2369),
    [sym_keyword_is] = ACTIONS(2369),
    [sym_keyword_not] = ACTIONS(2369),
    [sym_keyword_using] = ACTIONS(2369),
    [sym_keyword_auto_increment] = ACTIONS(2369),
    [sym_keyword_generated] = ACTIONS(2369),
    [sym_keyword_default] = ACTIONS(2369),
    [sym_keyword_returning] = ACTIONS(2369),
    [sym_keyword_first] = ACTIONS(2369),
    [sym_keyword_after] = ACTIONS(2369),
    [sym_keyword_range] = ACTIONS(2369),
    [sym_keyword_rows] = ACTIONS(2369),
    [sym_keyword_groups] = ACTIONS(2369),
    [sym_keyword_between] = ACTIONS(2369),
    [sym_keyword_preceding] = ACTIONS(2369),
    [sym_keyword_following] = ACTIONS(2369),
    [sym_keyword_unique] = ACTIONS(2369),
    [sym_keyword_references] = ACTIONS(2369),
    [aux_sym_keyword_like_token1] = ACTIONS(2369),
    [aux_sym_keyword_like_token2] = ACTIONS(2369),
    [sym_keyword_similar] = ACTIONS(2369),
    [sym_keyword_check] = ACTIONS(2369),
    [sym_keyword_stored] = ACTIONS(2369),
    [sym_keyword_virtual] = ACTIONS(2369),
    [sym_keyword_comment] = ACTIONS(2369),
    [sym_keyword_null] = ACTIONS(2369),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_RBRACK] = ACTIONS(2369),
    [anon_sym_RPAREN] = ACTIONS(2369),
    [anon_sym_COMMA] = ACTIONS(2369),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2369),
    [anon_sym_STAR] = ACTIONS(2369),
    [anon_sym_COLON_COLON] = ACTIONS(2369),
    [anon_sym_LT] = ACTIONS(2371),
    [anon_sym_GT] = ACTIONS(2371),
    [anon_sym_LT_EQ] = ACTIONS(2369),
    [anon_sym_GT_EQ] = ACTIONS(2369),
    [anon_sym_COLON] = ACTIONS(2371),
    [sym_op_other] = ACTIONS(2369),
    [anon_sym_PLUS] = ACTIONS(2369),
    [anon_sym_DASH] = ACTIONS(2371),
    [anon_sym_SLASH] = ACTIONS(2371),
    [anon_sym_PERCENT] = ACTIONS(2369),
    [anon_sym_CARET] = ACTIONS(2371),
    [anon_sym_BANG_EQ] = ACTIONS(2369),
    [anon_sym_LT_GT] = ACTIONS(2369),
  },
  [287] = {
    [ts_builtin_sym_end] = ACTIONS(2373),
    [anon_sym_SEMI] = ACTIONS(2373),
    [sym_keyword_from] = ACTIONS(2373),
    [sym_keyword_on] = ACTIONS(2373),
    [sym_keyword_where] = ACTIONS(2373),
    [sym_keyword_desc] = ACTIONS(2373),
    [sym_keyword_asc] = ACTIONS(2373),
    [sym_keyword_limit] = ACTIONS(2373),
    [sym_keyword_primary] = ACTIONS(2373),
    [sym_keyword_create] = ACTIONS(2373),
    [sym_keyword_as] = ACTIONS(2375),
    [sym_keyword_constraint] = ACTIONS(2373),
    [sym_keyword_separator] = ACTIONS(2373),
    [sym_keyword_when] = ACTIONS(2373),
    [sym_keyword_then] = ACTIONS(2373),
    [sym_keyword_else] = ACTIONS(2373),
    [sym_keyword_end] = ACTIONS(2373),
    [sym_keyword_in] = ACTIONS(2373),
    [sym_keyword_and] = ACTIONS(2373),
    [sym_keyword_or] = ACTIONS(2373),
    [sym_keyword_is] = ACTIONS(2373),
    [sym_keyword_not] = ACTIONS(2373),
    [sym_keyword_using] = ACTIONS(2373),
    [sym_keyword_auto_increment] = ACTIONS(2373),
    [sym_keyword_generated] = ACTIONS(2373),
    [sym_keyword_default] = ACTIONS(2373),
    [sym_keyword_returning] = ACTIONS(2373),
    [sym_keyword_first] = ACTIONS(2373),
    [sym_keyword_after] = ACTIONS(2373),
    [sym_keyword_range] = ACTIONS(2373),
    [sym_keyword_rows] = ACTIONS(2373),
    [sym_keyword_groups] = ACTIONS(2373),
    [sym_keyword_between] = ACTIONS(2373),
    [sym_keyword_preceding] = ACTIONS(2373),
    [sym_keyword_following] = ACTIONS(2373),
    [sym_keyword_unique] = ACTIONS(2373),
    [sym_keyword_references] = ACTIONS(2373),
    [aux_sym_keyword_like_token1] = ACTIONS(2373),
    [aux_sym_keyword_like_token2] = ACTIONS(2373),
    [sym_keyword_similar] = ACTIONS(2373),
    [sym_keyword_check] = ACTIONS(2373),
    [sym_keyword_stored] = ACTIONS(2373),
    [sym_keyword_virtual] = ACTIONS(2373),
    [sym_keyword_comment] = ACTIONS(2373),
    [sym_keyword_null] = ACTIONS(2373),
    [anon_sym_LBRACK] = ACTIONS(2373),
    [anon_sym_RBRACK] = ACTIONS(2373),
    [anon_sym_RPAREN] = ACTIONS(2373),
    [anon_sym_COMMA] = ACTIONS(2373),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2373),
    [anon_sym_STAR] = ACTIONS(2373),
    [anon_sym_COLON_COLON] = ACTIONS(2373),
    [anon_sym_LT] = ACTIONS(2375),
    [anon_sym_GT] = ACTIONS(2375),
    [anon_sym_LT_EQ] = ACTIONS(2373),
    [anon_sym_GT_EQ] = ACTIONS(2373),
    [anon_sym_COLON] = ACTIONS(2375),
    [sym_op_other] = ACTIONS(2373),
    [anon_sym_PLUS] = ACTIONS(2373),
    [anon_sym_DASH] = ACTIONS(2375),
    [anon_sym_SLASH] = ACTIONS(2375),
    [anon_sym_PERCENT] = ACTIONS(2373),
    [anon_sym_CARET] = ACTIONS(2375),
    [anon_sym_BANG_EQ] = ACTIONS(2373),
    [anon_sym_LT_GT] = ACTIONS(2373),
  },
  [288] = {
    [aux_sym__single_quote_string_repeat1] = STATE(288),
    [sym__identifier] = ACTIONS(1359),
    [anon_sym_SEMI] = ACTIONS(1357),
    [sym_keyword_from] = ACTIONS(1359),
    [sym_keyword_on] = ACTIONS(1359),
    [sym_keyword_offset] = ACTIONS(1359),
    [sym_keyword_create] = ACTIONS(1359),
    [sym_keyword_as] = ACTIONS(1359),
    [sym_keyword_when] = ACTIONS(1359),
    [sym_keyword_in] = ACTIONS(1359),
    [sym_keyword_and] = ACTIONS(1359),
    [sym_keyword_or] = ACTIONS(1359),
    [sym_keyword_is] = ACTIONS(1359),
    [sym_keyword_not] = ACTIONS(1359),
    [sym_keyword_cascade] = ACTIONS(1359),
    [sym_keyword_with] = ACTIONS(1359),
    [sym_keyword_password] = ACTIONS(1359),
    [sym_keyword_encrypted] = ACTIONS(1359),
    [sym_keyword_valid] = ACTIONS(1359),
    [sym_keyword_connection] = ACTIONS(1359),
    [sym_keyword_union] = ACTIONS(1359),
    [sym_keyword_except] = ACTIONS(1359),
    [sym_keyword_intersect] = ACTIONS(1359),
    [sym_keyword_returning] = ACTIONS(1359),
    [sym_keyword_after] = ACTIONS(1359),
    [sym_keyword_before] = ACTIONS(1359),
    [sym_keyword_rows] = ACTIONS(1359),
    [sym_keyword_between] = ACTIONS(1359),
    [aux_sym_keyword_like_token1] = ACTIONS(1359),
    [aux_sym_keyword_like_token2] = ACTIONS(1359),
    [sym_keyword_similar] = ACTIONS(1359),
    [sym_keyword_returns] = ACTIONS(1359),
    [sym_keyword_language] = ACTIONS(1359),
    [sym_keyword_immutable] = ACTIONS(1359),
    [sym_keyword_stable] = ACTIONS(1359),
    [sym_keyword_volatile] = ACTIONS(1359),
    [sym_keyword_leakproof] = ACTIONS(1359),
    [sym_keyword_parallel] = ACTIONS(1359),
    [sym_keyword_called] = ACTIONS(1359),
    [sym_keyword_strict] = ACTIONS(1359),
    [sym_keyword_cost] = ACTIONS(1359),
    [sym_keyword_support] = ACTIONS(1359),
    [sym_keyword_security] = ACTIONS(1359),
    [sym_keyword_external] = ACTIONS(1359),
    [anon_sym_LBRACK] = ACTIONS(1357),
    [anon_sym_COMMA] = ACTIONS(1357),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1357),
    [anon_sym_STAR] = ACTIONS(1357),
    [anon_sym_COLON_COLON] = ACTIONS(1357),
    [anon_sym_LT] = ACTIONS(1359),
    [anon_sym_GT] = ACTIONS(1359),
    [anon_sym_LT_EQ] = ACTIONS(1357),
    [anon_sym_GT_EQ] = ACTIONS(1357),
    [sym_op_other] = ACTIONS(1357),
    [anon_sym_PLUS] = ACTIONS(1357),
    [anon_sym_DASH] = ACTIONS(1359),
    [anon_sym_SLASH] = ACTIONS(1359),
    [anon_sym_PERCENT] = ACTIONS(1357),
    [anon_sym_CARET] = ACTIONS(1359),
    [anon_sym_BANG_EQ] = ACTIONS(1357),
    [anon_sym_LT_GT] = ACTIONS(1357),
    [sym__double_quote_string] = ACTIONS(1357),
    [aux_sym__single_quote_string_token2] = ACTIONS(2377),
    [aux_sym_identifier_token1] = ACTIONS(1357),
    [sym__dollar_quoted_string_end_tag] = ACTIONS(1357),
  },
  [289] = {
    [ts_builtin_sym_end] = ACTIONS(2380),
    [anon_sym_SEMI] = ACTIONS(2380),
    [sym_keyword_from] = ACTIONS(2380),
    [sym_keyword_on] = ACTIONS(2380),
    [sym_keyword_where] = ACTIONS(2380),
    [sym_keyword_desc] = ACTIONS(2380),
    [sym_keyword_asc] = ACTIONS(2380),
    [sym_keyword_limit] = ACTIONS(2380),
    [sym_keyword_primary] = ACTIONS(2380),
    [sym_keyword_create] = ACTIONS(2380),
    [sym_keyword_as] = ACTIONS(2382),
    [sym_keyword_constraint] = ACTIONS(2380),
    [sym_keyword_separator] = ACTIONS(2380),
    [sym_keyword_when] = ACTIONS(2380),
    [sym_keyword_then] = ACTIONS(2380),
    [sym_keyword_else] = ACTIONS(2380),
    [sym_keyword_end] = ACTIONS(2380),
    [sym_keyword_in] = ACTIONS(2380),
    [sym_keyword_and] = ACTIONS(2380),
    [sym_keyword_or] = ACTIONS(2380),
    [sym_keyword_is] = ACTIONS(2380),
    [sym_keyword_not] = ACTIONS(2380),
    [sym_keyword_using] = ACTIONS(2380),
    [sym_keyword_auto_increment] = ACTIONS(2380),
    [sym_keyword_generated] = ACTIONS(2380),
    [sym_keyword_default] = ACTIONS(2380),
    [sym_keyword_returning] = ACTIONS(2380),
    [sym_keyword_first] = ACTIONS(2380),
    [sym_keyword_after] = ACTIONS(2380),
    [sym_keyword_range] = ACTIONS(2380),
    [sym_keyword_rows] = ACTIONS(2380),
    [sym_keyword_groups] = ACTIONS(2380),
    [sym_keyword_between] = ACTIONS(2380),
    [sym_keyword_preceding] = ACTIONS(2380),
    [sym_keyword_following] = ACTIONS(2380),
    [sym_keyword_unique] = ACTIONS(2380),
    [sym_keyword_references] = ACTIONS(2380),
    [aux_sym_keyword_like_token1] = ACTIONS(2380),
    [aux_sym_keyword_like_token2] = ACTIONS(2380),
    [sym_keyword_similar] = ACTIONS(2380),
    [sym_keyword_check] = ACTIONS(2380),
    [sym_keyword_stored] = ACTIONS(2380),
    [sym_keyword_virtual] = ACTIONS(2380),
    [sym_keyword_comment] = ACTIONS(2380),
    [sym_keyword_null] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(2380),
    [anon_sym_RBRACK] = ACTIONS(2380),
    [anon_sym_RPAREN] = ACTIONS(2380),
    [anon_sym_COMMA] = ACTIONS(2380),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2380),
    [anon_sym_STAR] = ACTIONS(2380),
    [anon_sym_COLON_COLON] = ACTIONS(2380),
    [anon_sym_LT] = ACTIONS(2382),
    [anon_sym_GT] = ACTIONS(2382),
    [anon_sym_LT_EQ] = ACTIONS(2380),
    [anon_sym_GT_EQ] = ACTIONS(2380),
    [anon_sym_COLON] = ACTIONS(2382),
    [sym_op_other] = ACTIONS(2380),
    [anon_sym_PLUS] = ACTIONS(2380),
    [anon_sym_DASH] = ACTIONS(2382),
    [anon_sym_SLASH] = ACTIONS(2382),
    [anon_sym_PERCENT] = ACTIONS(2380),
    [anon_sym_CARET] = ACTIONS(2382),
    [anon_sym_BANG_EQ] = ACTIONS(2380),
    [anon_sym_LT_GT] = ACTIONS(2380),
  },
  [290] = {
    [ts_builtin_sym_end] = ACTIONS(2384),
    [anon_sym_SEMI] = ACTIONS(2384),
    [sym_keyword_from] = ACTIONS(2384),
    [sym_keyword_on] = ACTIONS(2384),
    [sym_keyword_where] = ACTIONS(2384),
    [sym_keyword_desc] = ACTIONS(2384),
    [sym_keyword_asc] = ACTIONS(2384),
    [sym_keyword_limit] = ACTIONS(2384),
    [sym_keyword_primary] = ACTIONS(2384),
    [sym_keyword_create] = ACTIONS(2384),
    [sym_keyword_as] = ACTIONS(2386),
    [sym_keyword_constraint] = ACTIONS(2384),
    [sym_keyword_separator] = ACTIONS(2384),
    [sym_keyword_when] = ACTIONS(2384),
    [sym_keyword_then] = ACTIONS(2384),
    [sym_keyword_else] = ACTIONS(2384),
    [sym_keyword_end] = ACTIONS(2384),
    [sym_keyword_in] = ACTIONS(2384),
    [sym_keyword_and] = ACTIONS(2384),
    [sym_keyword_or] = ACTIONS(2384),
    [sym_keyword_is] = ACTIONS(2384),
    [sym_keyword_not] = ACTIONS(2384),
    [sym_keyword_using] = ACTIONS(2384),
    [sym_keyword_auto_increment] = ACTIONS(2384),
    [sym_keyword_generated] = ACTIONS(2384),
    [sym_keyword_default] = ACTIONS(2384),
    [sym_keyword_returning] = ACTIONS(2384),
    [sym_keyword_first] = ACTIONS(2384),
    [sym_keyword_after] = ACTIONS(2384),
    [sym_keyword_range] = ACTIONS(2384),
    [sym_keyword_rows] = ACTIONS(2384),
    [sym_keyword_groups] = ACTIONS(2384),
    [sym_keyword_between] = ACTIONS(2384),
    [sym_keyword_preceding] = ACTIONS(2384),
    [sym_keyword_following] = ACTIONS(2384),
    [sym_keyword_unique] = ACTIONS(2384),
    [sym_keyword_references] = ACTIONS(2384),
    [aux_sym_keyword_like_token1] = ACTIONS(2384),
    [aux_sym_keyword_like_token2] = ACTIONS(2384),
    [sym_keyword_similar] = ACTIONS(2384),
    [sym_keyword_check] = ACTIONS(2384),
    [sym_keyword_stored] = ACTIONS(2384),
    [sym_keyword_virtual] = ACTIONS(2384),
    [sym_keyword_comment] = ACTIONS(2384),
    [sym_keyword_null] = ACTIONS(2384),
    [anon_sym_LBRACK] = ACTIONS(2384),
    [anon_sym_RBRACK] = ACTIONS(2384),
    [anon_sym_RPAREN] = ACTIONS(2384),
    [anon_sym_COMMA] = ACTIONS(2384),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2384),
    [anon_sym_STAR] = ACTIONS(2384),
    [anon_sym_COLON_COLON] = ACTIONS(2384),
    [anon_sym_LT] = ACTIONS(2386),
    [anon_sym_GT] = ACTIONS(2386),
    [anon_sym_LT_EQ] = ACTIONS(2384),
    [anon_sym_GT_EQ] = ACTIONS(2384),
    [anon_sym_COLON] = ACTIONS(2386),
    [sym_op_other] = ACTIONS(2384),
    [anon_sym_PLUS] = ACTIONS(2384),
    [anon_sym_DASH] = ACTIONS(2386),
    [anon_sym_SLASH] = ACTIONS(2386),
    [anon_sym_PERCENT] = ACTIONS(2384),
    [anon_sym_CARET] = ACTIONS(2386),
    [anon_sym_BANG_EQ] = ACTIONS(2384),
    [anon_sym_LT_GT] = ACTIONS(2384),
  },
  [291] = {
    [aux_sym__single_quote_string_repeat1] = STATE(288),
    [sym__identifier] = ACTIONS(1353),
    [anon_sym_SEMI] = ACTIONS(1351),
    [sym_keyword_from] = ACTIONS(1353),
    [sym_keyword_on] = ACTIONS(1353),
    [sym_keyword_offset] = ACTIONS(1353),
    [sym_keyword_create] = ACTIONS(1353),
    [sym_keyword_as] = ACTIONS(1353),
    [sym_keyword_when] = ACTIONS(1353),
    [sym_keyword_in] = ACTIONS(1353),
    [sym_keyword_and] = ACTIONS(1353),
    [sym_keyword_or] = ACTIONS(1353),
    [sym_keyword_is] = ACTIONS(1353),
    [sym_keyword_not] = ACTIONS(1353),
    [sym_keyword_cascade] = ACTIONS(1353),
    [sym_keyword_with] = ACTIONS(1353),
    [sym_keyword_password] = ACTIONS(1353),
    [sym_keyword_encrypted] = ACTIONS(1353),
    [sym_keyword_valid] = ACTIONS(1353),
    [sym_keyword_connection] = ACTIONS(1353),
    [sym_keyword_union] = ACTIONS(1353),
    [sym_keyword_except] = ACTIONS(1353),
    [sym_keyword_intersect] = ACTIONS(1353),
    [sym_keyword_returning] = ACTIONS(1353),
    [sym_keyword_after] = ACTIONS(1353),
    [sym_keyword_before] = ACTIONS(1353),
    [sym_keyword_rows] = ACTIONS(1353),
    [sym_keyword_between] = ACTIONS(1353),
    [aux_sym_keyword_like_token1] = ACTIONS(1353),
    [aux_sym_keyword_like_token2] = ACTIONS(1353),
    [sym_keyword_similar] = ACTIONS(1353),
    [sym_keyword_returns] = ACTIONS(1353),
    [sym_keyword_language] = ACTIONS(1353),
    [sym_keyword_immutable] = ACTIONS(1353),
    [sym_keyword_stable] = ACTIONS(1353),
    [sym_keyword_volatile] = ACTIONS(1353),
    [sym_keyword_leakproof] = ACTIONS(1353),
    [sym_keyword_parallel] = ACTIONS(1353),
    [sym_keyword_called] = ACTIONS(1353),
    [sym_keyword_strict] = ACTIONS(1353),
    [sym_keyword_cost] = ACTIONS(1353),
    [sym_keyword_support] = ACTIONS(1353),
    [sym_keyword_security] = ACTIONS(1353),
    [sym_keyword_external] = ACTIONS(1353),
    [anon_sym_LBRACK] = ACTIONS(1351),
    [anon_sym_COMMA] = ACTIONS(1351),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1351),
    [anon_sym_STAR] = ACTIONS(1351),
    [anon_sym_COLON_COLON] = ACTIONS(1351),
    [anon_sym_LT] = ACTIONS(1353),
    [anon_sym_GT] = ACTIONS(1353),
    [anon_sym_LT_EQ] = ACTIONS(1351),
    [anon_sym_GT_EQ] = ACTIONS(1351),
    [sym_op_other] = ACTIONS(1351),
    [anon_sym_PLUS] = ACTIONS(1351),
    [anon_sym_DASH] = ACTIONS(1353),
    [anon_sym_SLASH] = ACTIONS(1353),
    [anon_sym_PERCENT] = ACTIONS(1351),
    [anon_sym_CARET] = ACTIONS(1353),
    [anon_sym_BANG_EQ] = ACTIONS(1351),
    [anon_sym_LT_GT] = ACTIONS(1351),
    [sym__double_quote_string] = ACTIONS(1351),
    [aux_sym__single_quote_string_token2] = ACTIONS(2388),
    [aux_sym_identifier_token1] = ACTIONS(1351),
    [sym__dollar_quoted_string_end_tag] = ACTIONS(1351),
  },
  [292] = {
    [aux_sym__single_quote_string_repeat1] = STATE(291),
    [sym__identifier] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1364),
    [sym_keyword_from] = ACTIONS(1366),
    [sym_keyword_on] = ACTIONS(1366),
    [sym_keyword_offset] = ACTIONS(1366),
    [sym_keyword_create] = ACTIONS(1366),
    [sym_keyword_as] = ACTIONS(1366),
    [sym_keyword_when] = ACTIONS(1366),
    [sym_keyword_in] = ACTIONS(1366),
    [sym_keyword_and] = ACTIONS(1366),
    [sym_keyword_or] = ACTIONS(1366),
    [sym_keyword_is] = ACTIONS(1366),
    [sym_keyword_not] = ACTIONS(1366),
    [sym_keyword_cascade] = ACTIONS(1366),
    [sym_keyword_with] = ACTIONS(1366),
    [sym_keyword_password] = ACTIONS(1366),
    [sym_keyword_encrypted] = ACTIONS(1366),
    [sym_keyword_valid] = ACTIONS(1366),
    [sym_keyword_connection] = ACTIONS(1366),
    [sym_keyword_union] = ACTIONS(1366),
    [sym_keyword_except] = ACTIONS(1366),
    [sym_keyword_intersect] = ACTIONS(1366),
    [sym_keyword_returning] = ACTIONS(1366),
    [sym_keyword_after] = ACTIONS(1366),
    [sym_keyword_before] = ACTIONS(1366),
    [sym_keyword_rows] = ACTIONS(1366),
    [sym_keyword_between] = ACTIONS(1366),
    [aux_sym_keyword_like_token1] = ACTIONS(1366),
    [aux_sym_keyword_like_token2] = ACTIONS(1366),
    [sym_keyword_similar] = ACTIONS(1366),
    [sym_keyword_returns] = ACTIONS(1366),
    [sym_keyword_language] = ACTIONS(1366),
    [sym_keyword_immutable] = ACTIONS(1366),
    [sym_keyword_stable] = ACTIONS(1366),
    [sym_keyword_volatile] = ACTIONS(1366),
    [sym_keyword_leakproof] = ACTIONS(1366),
    [sym_keyword_parallel] = ACTIONS(1366),
    [sym_keyword_called] = ACTIONS(1366),
    [sym_keyword_strict] = ACTIONS(1366),
    [sym_keyword_cost] = ACTIONS(1366),
    [sym_keyword_support] = ACTIONS(1366),
    [sym_keyword_security] = ACTIONS(1366),
    [sym_keyword_external] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [anon_sym_COMMA] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1364),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_COLON_COLON] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [anon_sym_LT_EQ] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1364),
    [sym_op_other] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PERCENT] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1366),
    [anon_sym_BANG_EQ] = ACTIONS(1364),
    [anon_sym_LT_GT] = ACTIONS(1364),
    [sym__double_quote_string] = ACTIONS(1364),
    [aux_sym__single_quote_string_token2] = ACTIONS(2390),
    [aux_sym_identifier_token1] = ACTIONS(1364),
    [sym__dollar_quoted_string_end_tag] = ACTIONS(1364),
  },
  [293] = {
    [ts_builtin_sym_end] = ACTIONS(1374),
    [sym__identifier] = ACTIONS(1376),
    [anon_sym_SEMI] = ACTIONS(1374),
    [sym_keyword_set] = ACTIONS(1376),
    [sym_keyword_from] = ACTIONS(1376),
    [sym_keyword_create] = ACTIONS(1376),
    [sym_keyword_as] = ACTIONS(1376),
    [sym_keyword_in] = ACTIONS(1376),
    [sym_keyword_and] = ACTIONS(1376),
    [sym_keyword_or] = ACTIONS(1376),
    [sym_keyword_is] = ACTIONS(1376),
    [sym_keyword_not] = ACTIONS(1376),
    [sym_keyword_with] = ACTIONS(1376),
    [sym_keyword_rename] = ACTIONS(1376),
    [sym_keyword_user] = ACTIONS(1376),
    [sym_keyword_admin] = ACTIONS(1376),
    [sym_keyword_password] = ACTIONS(1376),
    [sym_keyword_encrypted] = ACTIONS(1376),
    [sym_keyword_valid] = ACTIONS(1376),
    [sym_keyword_connection] = ACTIONS(1376),
    [sym_keyword_role] = ACTIONS(1376),
    [sym_keyword_reset] = ACTIONS(1376),
    [sym_keyword_begin] = ACTIONS(1376),
    [sym_keyword_rows] = ACTIONS(1376),
    [sym_keyword_between] = ACTIONS(1376),
    [aux_sym_keyword_like_token1] = ACTIONS(1376),
    [aux_sym_keyword_like_token2] = ACTIONS(1376),
    [sym_keyword_similar] = ACTIONS(1376),
    [sym_keyword_returns] = ACTIONS(1376),
    [sym_keyword_return] = ACTIONS(1376),
    [sym_keyword_language] = ACTIONS(1376),
    [sym_keyword_immutable] = ACTIONS(1376),
    [sym_keyword_stable] = ACTIONS(1376),
    [sym_keyword_volatile] = ACTIONS(1376),
    [sym_keyword_leakproof] = ACTIONS(1376),
    [sym_keyword_parallel] = ACTIONS(1376),
    [sym_keyword_called] = ACTIONS(1376),
    [sym_keyword_strict] = ACTIONS(1376),
    [sym_keyword_cost] = ACTIONS(1376),
    [sym_keyword_support] = ACTIONS(1376),
    [sym_keyword_security] = ACTIONS(1376),
    [sym_keyword_external] = ACTIONS(1376),
    [sym_keyword_array] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(1374),
    [anon_sym_RPAREN] = ACTIONS(1374),
    [anon_sym_COMMA] = ACTIONS(1374),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1374),
    [anon_sym_DOT] = ACTIONS(1374),
    [anon_sym_STAR] = ACTIONS(1374),
    [anon_sym_COLON_COLON] = ACTIONS(1374),
    [anon_sym_LT] = ACTIONS(1376),
    [anon_sym_GT] = ACTIONS(1376),
    [anon_sym_LT_EQ] = ACTIONS(1374),
    [anon_sym_GT_EQ] = ACTIONS(1374),
    [sym_op_other] = ACTIONS(1374),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1376),
    [anon_sym_SLASH] = ACTIONS(1376),
    [anon_sym_PERCENT] = ACTIONS(1374),
    [anon_sym_CARET] = ACTIONS(1376),
    [anon_sym_BANG_EQ] = ACTIONS(1374),
    [anon_sym_LT_GT] = ACTIONS(1374),
    [sym__double_quote_string] = ACTIONS(1374),
    [aux_sym_identifier_token1] = ACTIONS(1374),
  },
  [294] = {
    [ts_builtin_sym_end] = ACTIONS(1374),
    [anon_sym_SEMI] = ACTIONS(1374),
    [sym_keyword_on] = ACTIONS(1374),
    [sym_keyword_order] = ACTIONS(1374),
    [sym_keyword_group] = ACTIONS(1374),
    [sym_keyword_having] = ACTIONS(1374),
    [sym_keyword_desc] = ACTIONS(1374),
    [sym_keyword_asc] = ACTIONS(1374),
    [sym_keyword_limit] = ACTIONS(1374),
    [sym_keyword_primary] = ACTIONS(1374),
    [sym_keyword_create] = ACTIONS(1374),
    [sym_keyword_as] = ACTIONS(1376),
    [sym_keyword_constraint] = ACTIONS(1374),
    [sym_keyword_when] = ACTIONS(1374),
    [sym_keyword_in] = ACTIONS(1376),
    [sym_keyword_and] = ACTIONS(1374),
    [sym_keyword_or] = ACTIONS(1376),
    [sym_keyword_is] = ACTIONS(1374),
    [sym_keyword_not] = ACTIONS(1374),
    [sym_keyword_auto_increment] = ACTIONS(1374),
    [sym_keyword_generated] = ACTIONS(1374),
    [sym_keyword_default] = ACTIONS(1374),
    [sym_keyword_with] = ACTIONS(1374),
    [sym_keyword_union] = ACTIONS(1374),
    [sym_keyword_except] = ACTIONS(1374),
    [sym_keyword_intersect] = ACTIONS(1374),
    [sym_keyword_returning] = ACTIONS(1374),
    [sym_keyword_first] = ACTIONS(1374),
    [sym_keyword_after] = ACTIONS(1374),
    [sym_keyword_window] = ACTIONS(1374),
    [sym_keyword_between] = ACTIONS(1374),
    [sym_keyword_unique] = ACTIONS(1374),
    [sym_keyword_references] = ACTIONS(1374),
    [aux_sym_keyword_like_token1] = ACTIONS(1374),
    [aux_sym_keyword_like_token2] = ACTIONS(1374),
    [sym_keyword_similar] = ACTIONS(1374),
    [sym_keyword_check] = ACTIONS(1374),
    [sym_keyword_stored] = ACTIONS(1374),
    [sym_keyword_virtual] = ACTIONS(1374),
    [sym_keyword_comment] = ACTIONS(1374),
    [sym_keyword_null] = ACTIONS(1374),
    [sym_keyword_array] = ACTIONS(1374),
    [anon_sym_LBRACK] = ACTIONS(1374),
    [anon_sym_LPAREN] = ACTIONS(1374),
    [anon_sym_RPAREN] = ACTIONS(1374),
    [anon_sym_COMMA] = ACTIONS(1374),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1374),
    [anon_sym_DOT] = ACTIONS(1374),
    [anon_sym_STAR] = ACTIONS(1374),
    [anon_sym_COLON_COLON] = ACTIONS(1374),
    [anon_sym_LT] = ACTIONS(1376),
    [anon_sym_GT] = ACTIONS(1376),
    [anon_sym_LT_EQ] = ACTIONS(1374),
    [anon_sym_GT_EQ] = ACTIONS(1374),
    [sym_op_other] = ACTIONS(1374),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1376),
    [anon_sym_SLASH] = ACTIONS(1376),
    [anon_sym_PERCENT] = ACTIONS(1374),
    [anon_sym_CARET] = ACTIONS(1376),
    [anon_sym_BANG_EQ] = ACTIONS(1374),
    [anon_sym_LT_GT] = ACTIONS(1374),
    [aux_sym__single_quote_string_token1] = ACTIONS(1374),
  },
  [295] = {
    [ts_builtin_sym_end] = ACTIONS(1374),
    [sym__identifier] = ACTIONS(1376),
    [anon_sym_SEMI] = ACTIONS(1374),
    [sym_keyword_set] = ACTIONS(1376),
    [sym_keyword_left] = ACTIONS(1376),
    [sym_keyword_right] = ACTIONS(1376),
    [sym_keyword_inner] = ACTIONS(1376),
    [sym_keyword_full] = ACTIONS(1376),
    [sym_keyword_cross] = ACTIONS(1376),
    [sym_keyword_join] = ACTIONS(1376),
    [sym_keyword_natural] = ACTIONS(1376),
    [sym_keyword_on] = ACTIONS(1376),
    [sym_keyword_where] = ACTIONS(1376),
    [sym_keyword_order] = ACTIONS(1376),
    [sym_keyword_group] = ACTIONS(1376),
    [sym_keyword_limit] = ACTIONS(1376),
    [sym_keyword_primary] = ACTIONS(1376),
    [sym_keyword_create] = ACTIONS(1376),
    [sym_keyword_increment] = ACTIONS(1376),
    [sym_keyword_minvalue] = ACTIONS(1376),
    [sym_keyword_maxvalue] = ACTIONS(1376),
    [sym_keyword_owned] = ACTIONS(1376),
    [sym_keyword_start] = ACTIONS(1376),
    [sym_keyword_restart] = ACTIONS(1376),
    [sym_keyword_key] = ACTIONS(1376),
    [sym_keyword_as] = ACTIONS(1376),
    [sym_keyword_constraint] = ACTIONS(1376),
    [sym_keyword_separator] = ACTIONS(1376),
    [sym_keyword_when] = ACTIONS(1376),
    [sym_keyword_force] = ACTIONS(1376),
    [sym_keyword_ignore] = ACTIONS(1376),
    [sym_keyword_using] = ACTIONS(1376),
    [sym_keyword_use] = ACTIONS(1376),
    [sym_keyword_index] = ACTIONS(1376),
    [sym_keyword_with] = ACTIONS(1376),
    [sym_keyword_no] = ACTIONS(1376),
    [sym_keyword_rename] = ACTIONS(1376),
    [sym_keyword_owner] = ACTIONS(1376),
    [sym_keyword_password] = ACTIONS(1376),
    [sym_keyword_encrypted] = ACTIONS(1376),
    [sym_keyword_valid] = ACTIONS(1376),
    [sym_keyword_connection] = ACTIONS(1376),
    [sym_keyword_cycle] = ACTIONS(1376),
    [sym_keyword_union] = ACTIONS(1376),
    [sym_keyword_except] = ACTIONS(1376),
    [sym_keyword_intersect] = ACTIONS(1376),
    [sym_keyword_returning] = ACTIONS(1376),
    [sym_keyword_after] = ACTIONS(1376),
    [sym_keyword_before] = ACTIONS(1376),
    [sym_keyword_window] = ACTIONS(1376),
    [sym_keyword_unique] = ACTIONS(1376),
    [sym_keyword_foreign] = ACTIONS(1376),
    [sym_keyword_check] = ACTIONS(1376),
    [sym_keyword_instead] = ACTIONS(1376),
    [sym_keyword_cache] = ACTIONS(1376),
    [sym_keyword_array] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(1374),
    [anon_sym_LPAREN] = ACTIONS(1374),
    [anon_sym_RPAREN] = ACTIONS(1374),
    [anon_sym_COMMA] = ACTIONS(1374),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_DOT] = ACTIONS(1374),
    [sym__double_quote_string] = ACTIONS(1374),
    [aux_sym_identifier_token1] = ACTIONS(1374),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 22,
    ACTIONS(2394), 1,
      sym_keyword_as,
    ACTIONS(2396), 1,
      sym_keyword_in,
    ACTIONS(2398), 1,
      sym_keyword_and,
    ACTIONS(2400), 1,
      sym_keyword_is,
    ACTIONS(2402), 1,
      sym_keyword_not,
    ACTIONS(2404), 1,
      sym_keyword_between,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(2410), 1,
      anon_sym_LBRACK,
    ACTIONS(2418), 1,
      sym_op_other,
    ACTIONS(2420), 1,
      anon_sym_PLUS,
    ACTIONS(2422), 1,
      anon_sym_DASH,
    ACTIONS(2424), 1,
      anon_sym_SLASH,
    ACTIONS(2426), 1,
      anon_sym_CARET,
    STATE(10357), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2414), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2416), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1678), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1672), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2412), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2392), 30,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [109] = 8,
    ACTIONS(2400), 1,
      sym_keyword_is,
    ACTIONS(2410), 1,
      anon_sym_LBRACK,
    STATE(10357), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1678), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1672), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2430), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2428), 46,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [190] = 20,
    ACTIONS(2396), 1,
      sym_keyword_in,
    ACTIONS(2400), 1,
      sym_keyword_is,
    ACTIONS(2402), 1,
      sym_keyword_not,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(2410), 1,
      anon_sym_LBRACK,
    ACTIONS(2418), 1,
      sym_op_other,
    ACTIONS(2420), 1,
      anon_sym_PLUS,
    ACTIONS(2422), 1,
      anon_sym_DASH,
    ACTIONS(2424), 1,
      anon_sym_SLASH,
    ACTIONS(2426), 1,
      anon_sym_CARET,
    ACTIONS(2434), 1,
      sym_keyword_as,
    STATE(10357), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2414), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2416), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1678), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1672), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2412), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2432), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [295] = 13,
    ACTIONS(2400), 1,
      sym_keyword_is,
    ACTIONS(2410), 1,
      anon_sym_LBRACK,
    ACTIONS(2420), 1,
      anon_sym_PLUS,
    ACTIONS(2422), 1,
      anon_sym_DASH,
    ACTIONS(2424), 1,
      anon_sym_SLASH,
    ACTIONS(2426), 1,
      anon_sym_CARET,
    STATE(10357), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2414), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2430), 3,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1678), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1672), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2428), 43,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [386] = 16,
    ACTIONS(2396), 1,
      sym_keyword_in,
    ACTIONS(2400), 1,
      sym_keyword_is,
    ACTIONS(2410), 1,
      anon_sym_LBRACK,
    ACTIONS(2418), 1,
      sym_op_other,
    ACTIONS(2420), 1,
      anon_sym_PLUS,
    ACTIONS(2422), 1,
      anon_sym_DASH,
    ACTIONS(2424), 1,
      anon_sym_SLASH,
    ACTIONS(2426), 1,
      anon_sym_CARET,
    ACTIONS(2436), 1,
      sym_keyword_not,
    STATE(10357), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2414), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2394), 3,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1678), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1672), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 40,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [483] = 9,
    ACTIONS(2400), 1,
      sym_keyword_is,
    ACTIONS(2410), 1,
      anon_sym_LBRACK,
    ACTIONS(2426), 1,
      anon_sym_CARET,
    STATE(10357), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1678), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1672), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2394), 5,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(2392), 46,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [566] = 6,
    STATE(10357), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1678), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1672), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2394), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [643] = 21,
    ACTIONS(2394), 1,
      sym_keyword_as,
    ACTIONS(2396), 1,
      sym_keyword_in,
    ACTIONS(2400), 1,
      sym_keyword_is,
    ACTIONS(2402), 1,
      sym_keyword_not,
    ACTIONS(2404), 1,
      sym_keyword_between,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(2410), 1,
      anon_sym_LBRACK,
    ACTIONS(2418), 1,
      sym_op_other,
    ACTIONS(2420), 1,
      anon_sym_PLUS,
    ACTIONS(2422), 1,
      anon_sym_DASH,
    ACTIONS(2424), 1,
      anon_sym_SLASH,
    ACTIONS(2426), 1,
      anon_sym_CARET,
    STATE(10357), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2414), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2416), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1678), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1672), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2412), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2392), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [750] = 20,
    ACTIONS(2396), 1,
      sym_keyword_in,
    ACTIONS(2400), 1,
      sym_keyword_is,
    ACTIONS(2402), 1,
      sym_keyword_not,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(2410), 1,
      anon_sym_LBRACK,
    ACTIONS(2418), 1,
      sym_op_other,
    ACTIONS(2420), 1,
      anon_sym_PLUS,
    ACTIONS(2422), 1,
      anon_sym_DASH,
    ACTIONS(2424), 1,
      anon_sym_SLASH,
    ACTIONS(2426), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      sym_keyword_as,
    STATE(10357), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2414), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2416), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1678), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1672), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2412), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2439), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [855] = 13,
    ACTIONS(2400), 1,
      sym_keyword_is,
    ACTIONS(2410), 1,
      anon_sym_LBRACK,
    ACTIONS(2420), 1,
      anon_sym_PLUS,
    ACTIONS(2422), 1,
      anon_sym_DASH,
    ACTIONS(2424), 1,
      anon_sym_SLASH,
    ACTIONS(2426), 1,
      anon_sym_CARET,
    STATE(10357), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2414), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2394), 3,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1678), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1672), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 43,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [946] = 11,
    ACTIONS(2400), 1,
      sym_keyword_is,
    ACTIONS(2410), 1,
      anon_sym_LBRACK,
    ACTIONS(2424), 1,
      anon_sym_SLASH,
    ACTIONS(2426), 1,
      anon_sym_CARET,
    STATE(10357), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2414), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1678), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2394), 4,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    STATE(1672), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 44,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [1033] = 8,
    ACTIONS(2400), 1,
      sym_keyword_is,
    ACTIONS(2410), 1,
      anon_sym_LBRACK,
    STATE(10357), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1678), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1672), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2394), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 46,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [1114] = 18,
    ACTIONS(2394), 1,
      sym_keyword_as,
    ACTIONS(2396), 1,
      sym_keyword_in,
    ACTIONS(2400), 1,
      sym_keyword_is,
    ACTIONS(2410), 1,
      anon_sym_LBRACK,
    ACTIONS(2418), 1,
      sym_op_other,
    ACTIONS(2420), 1,
      anon_sym_PLUS,
    ACTIONS(2422), 1,
      anon_sym_DASH,
    ACTIONS(2424), 1,
      anon_sym_SLASH,
    ACTIONS(2426), 1,
      anon_sym_CARET,
    ACTIONS(2436), 1,
      sym_keyword_not,
    STATE(10357), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2414), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2416), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1678), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1672), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2412), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2392), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [1215] = 5,
    ACTIONS(2447), 1,
      sym_keyword_filter,
    STATE(368), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2443), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2445), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [1289] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1370), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1372), 45,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_offset,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_cascade,
      sym_keyword_with,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_rows,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [1359] = 5,
    ACTIONS(2447), 1,
      sym_keyword_filter,
    STATE(342), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2449), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2451), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [1433] = 5,
    ACTIONS(2447), 1,
      sym_keyword_filter,
    STATE(365), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2453), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2455), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [1507] = 38,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2457), 1,
      sym_keyword_select,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2467), 1,
      sym_keyword_with,
    ACTIONS(2469), 1,
      sym_keyword_current_timestamp,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2479), 1,
      anon_sym_RPAREN,
    ACTIONS(2481), 1,
      sym_parameter,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(6564), 1,
      sym_invocation,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(10866), 1,
      sym_object_reference,
    STATE(13405), 1,
      sym__dml_read,
    STATE(13588), 1,
      sym__inner_default_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5353), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [1647] = 5,
    ACTIONS(2447), 1,
      sym_keyword_filter,
    STATE(346), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2501), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2503), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [1721] = 5,
    ACTIONS(2447), 1,
      sym_keyword_filter,
    STATE(356), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2505), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2507), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [1795] = 5,
    ACTIONS(2447), 1,
      sym_keyword_filter,
    STATE(407), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2509), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2511), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [1869] = 5,
    ACTIONS(2447), 1,
      sym_keyword_filter,
    STATE(376), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2513), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2515), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [1943] = 5,
    ACTIONS(2447), 1,
      sym_keyword_filter,
    STATE(343), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2517), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2519), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [2017] = 38,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2457), 1,
      sym_keyword_select,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2467), 1,
      sym_keyword_with,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2521), 1,
      sym_keyword_current_timestamp,
    ACTIONS(2523), 1,
      anon_sym_RPAREN,
    ACTIONS(2525), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(6564), 1,
      sym_invocation,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(10866), 1,
      sym_object_reference,
    STATE(13405), 1,
      sym__dml_read,
    STATE(13900), 1,
      sym__inner_default_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5200), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [2157] = 5,
    ACTIONS(2447), 1,
      sym_keyword_filter,
    STATE(348), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2527), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2529), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [2231] = 5,
    ACTIONS(2447), 1,
      sym_keyword_filter,
    STATE(367), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2531), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2533), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [2305] = 5,
    ACTIONS(2447), 1,
      sym_keyword_filter,
    STATE(371), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2535), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2537), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [2379] = 5,
    ACTIONS(2447), 1,
      sym_keyword_filter,
    STATE(394), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2539), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2541), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [2453] = 5,
    ACTIONS(2447), 1,
      sym_keyword_filter,
    STATE(401), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2543), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2545), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [2527] = 5,
    ACTIONS(2447), 1,
      sym_keyword_filter,
    STATE(392), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2547), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2549), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [2601] = 5,
    ACTIONS(2447), 1,
      sym_keyword_filter,
    STATE(404), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2551), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2553), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [2675] = 5,
    ACTIONS(2447), 1,
      sym_keyword_filter,
    STATE(364), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2555), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2557), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [2749] = 5,
    ACTIONS(2447), 1,
      sym_keyword_filter,
    STATE(373), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2559), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2561), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [2823] = 5,
    ACTIONS(2447), 1,
      sym_keyword_filter,
    STATE(411), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2563), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2565), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [2897] = 5,
    ACTIONS(2447), 1,
      sym_keyword_filter,
    STATE(393), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2567), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2569), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [2971] = 5,
    ACTIONS(2571), 1,
      aux_sym__single_quote_string_token2,
    STATE(332), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1366), 8,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1364), 50,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [3044] = 5,
    ACTIONS(2573), 1,
      aux_sym__single_quote_string_token2,
    STATE(333), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1353), 8,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1351), 50,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [3117] = 5,
    ACTIONS(2575), 1,
      aux_sym__single_quote_string_token2,
    STATE(333), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1359), 8,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1357), 50,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [3190] = 36,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2457), 1,
      sym_keyword_select,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2467), 1,
      sym_keyword_with,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2578), 1,
      anon_sym_RPAREN,
    ACTIONS(2580), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(4378), 1,
      sym_identifier,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(11581), 1,
      sym_object_reference,
    STATE(13276), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5104), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [3324] = 36,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2457), 1,
      sym_keyword_select,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2467), 1,
      sym_keyword_with,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2582), 1,
      anon_sym_RPAREN,
    ACTIONS(2584), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(11121), 1,
      sym_object_reference,
    STATE(14159), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5144), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [3458] = 36,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2457), 1,
      sym_keyword_select,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2467), 1,
      sym_keyword_with,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2586), 1,
      anon_sym_RPAREN,
    ACTIONS(2588), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(4378), 1,
      sym_identifier,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(11581), 1,
      sym_object_reference,
    STATE(12044), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5156), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [3592] = 36,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2457), 1,
      sym_keyword_select,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2467), 1,
      sym_keyword_with,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2590), 1,
      anon_sym_RPAREN,
    ACTIONS(2592), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(10283), 1,
      sym_object_reference,
    STATE(12958), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5224), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [3726] = 36,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2457), 1,
      sym_keyword_select,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2467), 1,
      sym_keyword_with,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2594), 1,
      anon_sym_RPAREN,
    ACTIONS(2596), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(8503), 1,
      sym__cte,
    STATE(8534), 1,
      sym_select,
    STATE(8903), 1,
      sym__select_statement,
    STATE(10866), 1,
      sym_object_reference,
    STATE(13405), 1,
      sym__dml_read,
    STATE(14065), 1,
      sym_set_operation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5358), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [3860] = 36,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2457), 1,
      sym_keyword_select,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2467), 1,
      sym_keyword_with,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2594), 1,
      anon_sym_RPAREN,
    ACTIONS(2598), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(10866), 1,
      sym_object_reference,
    STATE(13405), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5112), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [3994] = 36,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2457), 1,
      sym_keyword_select,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2467), 1,
      sym_keyword_with,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2600), 1,
      anon_sym_RPAREN,
    ACTIONS(2602), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(4378), 1,
      sym_identifier,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(11581), 1,
      sym_object_reference,
    STATE(12270), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5142), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [4128] = 36,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2457), 1,
      sym_keyword_select,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2467), 1,
      sym_keyword_with,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2604), 1,
      anon_sym_RPAREN,
    ACTIONS(2606), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(10566), 1,
      sym_object_reference,
    STATE(12777), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5347), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [4262] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2535), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2537), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [4330] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2608), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2610), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [4398] = 36,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2457), 1,
      sym_keyword_select,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2467), 1,
      sym_keyword_with,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2594), 1,
      anon_sym_RPAREN,
    ACTIONS(2612), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(10866), 1,
      sym_object_reference,
    STATE(13405), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5113), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [4532] = 36,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2457), 1,
      sym_keyword_select,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2467), 1,
      sym_keyword_with,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2604), 1,
      anon_sym_RPAREN,
    ACTIONS(2614), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(4378), 1,
      sym_identifier,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(11581), 1,
      sym_object_reference,
    STATE(12777), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5475), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [4666] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2616), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2618), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [4734] = 36,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2457), 1,
      sym_keyword_select,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2467), 1,
      sym_keyword_with,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2594), 1,
      anon_sym_RPAREN,
    ACTIONS(2620), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(10866), 1,
      sym_object_reference,
    STATE(13405), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5114), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [4868] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2622), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2624), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [4936] = 36,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2457), 1,
      sym_keyword_select,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2467), 1,
      sym_keyword_with,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2523), 1,
      anon_sym_RPAREN,
    ACTIONS(2626), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(4378), 1,
      sym_identifier,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(11581), 1,
      sym_object_reference,
    STATE(12354), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5392), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [5070] = 36,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2457), 1,
      sym_keyword_select,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2467), 1,
      sym_keyword_with,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2628), 1,
      anon_sym_RPAREN,
    ACTIONS(2630), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(4378), 1,
      sym_identifier,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(11581), 1,
      sym_object_reference,
    STATE(12785), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5127), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [5204] = 36,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2457), 1,
      sym_keyword_select,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2467), 1,
      sym_keyword_with,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2632), 1,
      anon_sym_RPAREN,
    ACTIONS(2634), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(10629), 1,
      sym_object_reference,
    STATE(12559), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5441), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [5338] = 36,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2457), 1,
      sym_keyword_select,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2467), 1,
      sym_keyword_with,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2578), 1,
      anon_sym_RPAREN,
    ACTIONS(2636), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(10285), 1,
      sym_object_reference,
    STATE(13276), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5108), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [5472] = 36,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2457), 1,
      sym_keyword_select,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2467), 1,
      sym_keyword_with,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2594), 1,
      anon_sym_RPAREN,
    ACTIONS(2638), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(10866), 1,
      sym_object_reference,
    STATE(13405), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5115), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [5606] = 36,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2457), 1,
      sym_keyword_select,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2467), 1,
      sym_keyword_with,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2594), 1,
      anon_sym_RPAREN,
    ACTIONS(2640), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(10866), 1,
      sym_object_reference,
    STATE(13405), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5117), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [5740] = 36,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2457), 1,
      sym_keyword_select,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2467), 1,
      sym_keyword_with,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2594), 1,
      anon_sym_RPAREN,
    ACTIONS(2642), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(10866), 1,
      sym_object_reference,
    STATE(13405), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5210), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [5874] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2531), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2533), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [5942] = 36,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2457), 1,
      sym_keyword_select,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2467), 1,
      sym_keyword_with,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2594), 1,
      anon_sym_RPAREN,
    ACTIONS(2644), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(10866), 1,
      sym_object_reference,
    STATE(13405), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5118), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [6076] = 36,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2457), 1,
      sym_keyword_select,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2467), 1,
      sym_keyword_with,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2646), 1,
      anon_sym_RPAREN,
    ACTIONS(2648), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(4378), 1,
      sym_identifier,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(11581), 1,
      sym_object_reference,
    STATE(13590), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5105), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [6210] = 36,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2457), 1,
      sym_keyword_select,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2467), 1,
      sym_keyword_with,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2650), 1,
      anon_sym_RPAREN,
    ACTIONS(2652), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(4378), 1,
      sym_identifier,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(11581), 1,
      sym_object_reference,
    STATE(12139), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5296), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [6344] = 36,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2457), 1,
      sym_keyword_select,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2467), 1,
      sym_keyword_with,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2523), 1,
      anon_sym_RPAREN,
    ACTIONS(2654), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(10750), 1,
      sym_object_reference,
    STATE(12354), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5397), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [6478] = 36,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2457), 1,
      sym_keyword_select,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2467), 1,
      sym_keyword_with,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2594), 1,
      anon_sym_RPAREN,
    ACTIONS(2656), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(10866), 1,
      sym_object_reference,
    STATE(13405), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5259), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [6612] = 36,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2457), 1,
      sym_keyword_select,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2467), 1,
      sym_keyword_with,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2658), 1,
      anon_sym_RPAREN,
    ACTIONS(2660), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(4378), 1,
      sym_identifier,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(11581), 1,
      sym_object_reference,
    STATE(13988), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5102), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [6746] = 36,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2457), 1,
      sym_keyword_select,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2467), 1,
      sym_keyword_with,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2650), 1,
      anon_sym_RPAREN,
    ACTIONS(2662), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(10798), 1,
      sym_object_reference,
    STATE(12139), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5336), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [6880] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2509), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2511), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [6948] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2559), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2561), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [7016] = 36,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2457), 1,
      sym_keyword_select,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2467), 1,
      sym_keyword_with,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2594), 1,
      anon_sym_RPAREN,
    ACTIONS(2664), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(4378), 1,
      sym_identifier,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(11581), 1,
      sym_object_reference,
    STATE(13405), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5318), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [7150] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2666), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2668), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [7218] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2547), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2549), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [7286] = 36,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2457), 1,
      sym_keyword_select,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2467), 1,
      sym_keyword_with,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2582), 1,
      anon_sym_RPAREN,
    ACTIONS(2670), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(4378), 1,
      sym_identifier,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(11581), 1,
      sym_object_reference,
    STATE(14159), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5111), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [7420] = 36,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2457), 1,
      sym_keyword_select,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2467), 1,
      sym_keyword_with,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2672), 1,
      anon_sym_RPAREN,
    ACTIONS(2674), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(10841), 1,
      sym_object_reference,
    STATE(13862), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5158), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [7554] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2676), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2678), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [7622] = 36,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2457), 1,
      sym_keyword_select,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2467), 1,
      sym_keyword_with,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2594), 1,
      anon_sym_RPAREN,
    ACTIONS(2596), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(10866), 1,
      sym_object_reference,
    STATE(13405), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5358), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [7756] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2551), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2553), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [7824] = 36,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2457), 1,
      sym_keyword_select,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2467), 1,
      sym_keyword_with,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2479), 1,
      anon_sym_RPAREN,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2680), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(4378), 1,
      sym_identifier,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(11581), 1,
      sym_object_reference,
    STATE(14553), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5164), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [7958] = 36,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2457), 1,
      sym_keyword_select,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2467), 1,
      sym_keyword_with,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2586), 1,
      anon_sym_RPAREN,
    ACTIONS(2682), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(10846), 1,
      sym_object_reference,
    STATE(12044), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5150), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [8092] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2684), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2686), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [8160] = 36,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2457), 1,
      sym_keyword_select,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2467), 1,
      sym_keyword_with,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2688), 1,
      anon_sym_RPAREN,
    ACTIONS(2690), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(4378), 1,
      sym_identifier,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(11581), 1,
      sym_object_reference,
    STATE(13455), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5320), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [8294] = 36,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2457), 1,
      sym_keyword_select,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2467), 1,
      sym_keyword_with,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2600), 1,
      anon_sym_RPAREN,
    ACTIONS(2692), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(10894), 1,
      sym_object_reference,
    STATE(12270), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5141), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [8428] = 36,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2457), 1,
      sym_keyword_select,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2467), 1,
      sym_keyword_with,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2590), 1,
      anon_sym_RPAREN,
    ACTIONS(2694), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(4378), 1,
      sym_identifier,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(11581), 1,
      sym_object_reference,
    STATE(12958), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5300), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [8562] = 36,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2457), 1,
      sym_keyword_select,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2467), 1,
      sym_keyword_with,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2696), 1,
      anon_sym_RPAREN,
    ACTIONS(2698), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(4378), 1,
      sym_identifier,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(11581), 1,
      sym_object_reference,
    STATE(14522), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5394), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [8696] = 36,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2457), 1,
      sym_keyword_select,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2467), 1,
      sym_keyword_with,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2628), 1,
      anon_sym_RPAREN,
    ACTIONS(2700), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(10953), 1,
      sym_object_reference,
    STATE(12785), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5116), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [8830] = 36,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2457), 1,
      sym_keyword_select,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2467), 1,
      sym_keyword_with,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2594), 1,
      anon_sym_RPAREN,
    ACTIONS(2596), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(10578), 1,
      sym_object_reference,
    STATE(13405), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5358), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [8964] = 36,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2457), 1,
      sym_keyword_select,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2467), 1,
      sym_keyword_with,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2702), 1,
      anon_sym_RPAREN,
    ACTIONS(2704), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(4378), 1,
      sym_identifier,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(11581), 1,
      sym_object_reference,
    STATE(13939), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5357), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [9098] = 36,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2457), 1,
      sym_keyword_select,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2467), 1,
      sym_keyword_with,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2594), 1,
      anon_sym_RPAREN,
    ACTIONS(2706), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(10866), 1,
      sym_object_reference,
    STATE(13405), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5404), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [9232] = 36,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2457), 1,
      sym_keyword_select,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2467), 1,
      sym_keyword_with,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2594), 1,
      anon_sym_RPAREN,
    ACTIONS(2708), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(10866), 1,
      sym_object_reference,
    STATE(13405), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5250), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [9366] = 36,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2457), 1,
      sym_keyword_select,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2467), 1,
      sym_keyword_with,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2594), 1,
      anon_sym_RPAREN,
    ACTIONS(2710), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(10866), 1,
      sym_object_reference,
    STATE(13405), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5453), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [9500] = 36,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2457), 1,
      sym_keyword_select,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2467), 1,
      sym_keyword_with,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2594), 1,
      anon_sym_RPAREN,
    ACTIONS(2712), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(10866), 1,
      sym_object_reference,
    STATE(13405), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5410), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [9634] = 36,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2457), 1,
      sym_keyword_select,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2467), 1,
      sym_keyword_with,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2594), 1,
      anon_sym_RPAREN,
    ACTIONS(2714), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(10866), 1,
      sym_object_reference,
    STATE(13405), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5446), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [9768] = 36,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2457), 1,
      sym_keyword_select,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2467), 1,
      sym_keyword_with,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2696), 1,
      anon_sym_RPAREN,
    ACTIONS(2716), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(11137), 1,
      sym_object_reference,
    STATE(14522), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5425), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [9902] = 36,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2457), 1,
      sym_keyword_select,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2467), 1,
      sym_keyword_with,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2658), 1,
      anon_sym_RPAREN,
    ACTIONS(2718), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(11115), 1,
      sym_object_reference,
    STATE(13988), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5095), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [10036] = 36,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2457), 1,
      sym_keyword_select,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2467), 1,
      sym_keyword_with,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2688), 1,
      anon_sym_RPAREN,
    ACTIONS(2720), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(11221), 1,
      sym_object_reference,
    STATE(13455), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5424), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [10170] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2722), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2724), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [10238] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2726), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2728), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [10306] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2730), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2732), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [10374] = 36,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2457), 1,
      sym_keyword_select,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2467), 1,
      sym_keyword_with,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2632), 1,
      anon_sym_RPAREN,
    ACTIONS(2734), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(4378), 1,
      sym_identifier,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(11581), 1,
      sym_object_reference,
    STATE(12559), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5436), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [10508] = 36,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2457), 1,
      sym_keyword_select,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2467), 1,
      sym_keyword_with,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2702), 1,
      anon_sym_RPAREN,
    ACTIONS(2736), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(11117), 1,
      sym_object_reference,
    STATE(13939), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5208), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [10642] = 36,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2457), 1,
      sym_keyword_select,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2467), 1,
      sym_keyword_with,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2594), 1,
      anon_sym_RPAREN,
    ACTIONS(2738), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(10866), 1,
      sym_object_reference,
    STATE(13405), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5450), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [10776] = 36,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2457), 1,
      sym_keyword_select,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2467), 1,
      sym_keyword_with,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2479), 1,
      anon_sym_RPAREN,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2740), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(11217), 1,
      sym_object_reference,
    STATE(14553), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5281), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [10910] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2742), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2744), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [10978] = 36,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2457), 1,
      sym_keyword_select,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2467), 1,
      sym_keyword_with,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2594), 1,
      anon_sym_RPAREN,
    ACTIONS(2746), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(10866), 1,
      sym_object_reference,
    STATE(13405), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5100), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [11112] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2517), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2519), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [11180] = 36,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2457), 1,
      sym_keyword_select,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2467), 1,
      sym_keyword_with,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2594), 1,
      anon_sym_RPAREN,
    ACTIONS(2748), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(10866), 1,
      sym_object_reference,
    STATE(13405), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5098), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [11314] = 36,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2457), 1,
      sym_keyword_select,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2467), 1,
      sym_keyword_with,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2672), 1,
      anon_sym_RPAREN,
    ACTIONS(2750), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(4378), 1,
      sym_identifier,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(11581), 1,
      sym_object_reference,
    STATE(13862), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5171), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [11448] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2752), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2754), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [11516] = 36,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2457), 1,
      sym_keyword_select,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2467), 1,
      sym_keyword_with,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2646), 1,
      anon_sym_RPAREN,
    ACTIONS(2756), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(11052), 1,
      sym_object_reference,
    STATE(13590), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5097), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [11650] = 36,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2457), 1,
      sym_keyword_select,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2467), 1,
      sym_keyword_with,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2594), 1,
      anon_sym_RPAREN,
    ACTIONS(2758), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(10866), 1,
      sym_object_reference,
    STATE(13405), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5154), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [11784] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2527), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2529), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [11852] = 36,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2457), 1,
      sym_keyword_select,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2467), 1,
      sym_keyword_with,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2594), 1,
      anon_sym_RPAREN,
    ACTIONS(2760), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(10866), 1,
      sym_object_reference,
    STATE(13405), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5162), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [11986] = 36,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2457), 1,
      sym_keyword_select,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2467), 1,
      sym_keyword_with,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2594), 1,
      anon_sym_RPAREN,
    ACTIONS(2762), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(10866), 1,
      sym_object_reference,
    STATE(13405), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5197), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [12120] = 36,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2457), 1,
      sym_keyword_select,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2467), 1,
      sym_keyword_with,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2594), 1,
      anon_sym_RPAREN,
    ACTIONS(2764), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(10866), 1,
      sym_object_reference,
    STATE(13405), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5188), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [12254] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2766), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2768), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [12322] = 36,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2457), 1,
      sym_keyword_select,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2467), 1,
      sym_keyword_with,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2628), 1,
      anon_sym_RPAREN,
    ACTIONS(2700), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(11000), 1,
      sym_object_reference,
    STATE(12785), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5116), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [12456] = 36,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2457), 1,
      sym_keyword_select,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2467), 1,
      sym_keyword_with,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2477), 1,
      anon_sym_LPAREN,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2578), 1,
      anon_sym_RPAREN,
    ACTIONS(2636), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(10434), 1,
      sym_object_reference,
    STATE(13276), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5108), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [12590] = 7,
    ACTIONS(2770), 1,
      sym_keyword_with,
    ACTIONS(2772), 1,
      sym_keyword_without,
    ACTIONS(2774), 1,
      anon_sym_LPAREN,
    STATE(802), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1796), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1794), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [12665] = 5,
    ACTIONS(2776), 1,
      sym_keyword_filter,
    STATE(534), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2509), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2511), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [12736] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1372), 8,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1370), 50,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [12803] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1376), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1374), 52,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      aux_sym__single_quote_string_token1,
  [12870] = 5,
    ACTIONS(2776), 1,
      sym_keyword_filter,
    STATE(494), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2547), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2549), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [12941] = 7,
    ACTIONS(2770), 1,
      sym_keyword_with,
    ACTIONS(2772), 1,
      sym_keyword_without,
    ACTIONS(2778), 1,
      anon_sym_LPAREN,
    STATE(901), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1786), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1784), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [13016] = 5,
    ACTIONS(2776), 1,
      sym_keyword_filter,
    STATE(512), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2443), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2445), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [13087] = 5,
    ACTIONS(2776), 1,
      sym_keyword_filter,
    STATE(517), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2531), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2533), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [13158] = 5,
    ACTIONS(2776), 1,
      sym_keyword_filter,
    STATE(499), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2555), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2557), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [13229] = 5,
    ACTIONS(2776), 1,
      sym_keyword_filter,
    STATE(539), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2535), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2537), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [13300] = 5,
    ACTIONS(2776), 1,
      sym_keyword_filter,
    STATE(515), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2453), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2455), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [13371] = 7,
    ACTIONS(109), 1,
      anon_sym_LPAREN,
    ACTIONS(2784), 1,
      anon_sym_DOT,
    ACTIONS(2787), 1,
      aux_sym__single_quote_string_token1,
    STATE(857), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2782), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2780), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [13446] = 5,
    ACTIONS(2776), 1,
      sym_keyword_filter,
    STATE(531), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2559), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2561), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [13517] = 5,
    ACTIONS(2776), 1,
      sym_keyword_filter,
    STATE(513), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2513), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2515), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [13588] = 5,
    ACTIONS(2776), 1,
      sym_keyword_filter,
    STATE(542), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2539), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2541), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [13659] = 5,
    ACTIONS(2776), 1,
      sym_keyword_filter,
    STATE(548), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2543), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2545), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [13730] = 5,
    ACTIONS(2776), 1,
      sym_keyword_filter,
    STATE(569), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2551), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2553), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [13801] = 5,
    ACTIONS(2776), 1,
      sym_keyword_filter,
    STATE(508), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2563), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2565), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [13872] = 7,
    ACTIONS(2793), 1,
      sym_keyword_array,
    STATE(287), 1,
      sym_array_size_definition,
    STATE(290), 1,
      sym__array_size_definition,
    STATE(560), 1,
      aux_sym_array_size_definition_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2791), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2789), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [13947] = 5,
    ACTIONS(2776), 1,
      sym_keyword_filter,
    STATE(521), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2567), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2569), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [14018] = 5,
    ACTIONS(2776), 1,
      sym_keyword_filter,
    STATE(557), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2505), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2507), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [14089] = 5,
    ACTIONS(2776), 1,
      sym_keyword_filter,
    STATE(566), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2527), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2529), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [14160] = 5,
    ACTIONS(2776), 1,
      sym_keyword_filter,
    STATE(570), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2501), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2503), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [14231] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2795), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2797), 41,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [14298] = 5,
    ACTIONS(2776), 1,
      sym_keyword_filter,
    STATE(549), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2517), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2519), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [14369] = 7,
    ACTIONS(2793), 1,
      sym_keyword_array,
    STATE(289), 1,
      sym_array_size_definition,
    STATE(290), 1,
      sym__array_size_definition,
    STATE(560), 1,
      aux_sym_array_size_definition_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2801), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2799), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [14444] = 7,
    ACTIONS(2803), 1,
      sym_keyword_unsigned,
    ACTIONS(2805), 1,
      sym_keyword_zerofill,
    ACTIONS(2807), 1,
      sym_keyword_precision,
    ACTIONS(2809), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1774), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1772), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [14519] = 5,
    ACTIONS(2776), 1,
      sym_keyword_filter,
    STATE(554), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2449), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2451), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [14590] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1816), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1814), 51,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [14656] = 13,
    ACTIONS(2811), 1,
      sym_keyword_is,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_PLUS,
    ACTIONS(2819), 1,
      anon_sym_DASH,
    ACTIONS(2821), 1,
      anon_sym_SLASH,
    ACTIONS(2823), 1,
      anon_sym_CARET,
    STATE(11101), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2815), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2430), 3,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1480), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1481), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2428), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [14742] = 21,
    ACTIONS(2394), 1,
      sym_keyword_as,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(2811), 1,
      sym_keyword_is,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_PLUS,
    ACTIONS(2819), 1,
      anon_sym_DASH,
    ACTIONS(2821), 1,
      anon_sym_SLASH,
    ACTIONS(2823), 1,
      anon_sym_CARET,
    ACTIONS(2825), 1,
      sym_keyword_in,
    ACTIONS(2827), 1,
      sym_keyword_not,
    ACTIONS(2829), 1,
      sym_keyword_between,
    ACTIONS(2835), 1,
      sym_op_other,
    STATE(11101), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2815), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2833), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1480), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1481), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2831), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2392), 26,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [14844] = 20,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(2434), 1,
      sym_keyword_as,
    ACTIONS(2811), 1,
      sym_keyword_is,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_PLUS,
    ACTIONS(2819), 1,
      anon_sym_DASH,
    ACTIONS(2821), 1,
      anon_sym_SLASH,
    ACTIONS(2823), 1,
      anon_sym_CARET,
    ACTIONS(2825), 1,
      sym_keyword_in,
    ACTIONS(2827), 1,
      sym_keyword_not,
    ACTIONS(2835), 1,
      sym_op_other,
    STATE(11101), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2815), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2833), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1480), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1481), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2831), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2432), 27,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [14944] = 5,
    ACTIONS(2837), 1,
      sym_keyword_filter,
    STATE(584), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2549), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2547), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [15014] = 5,
    ACTIONS(2837), 1,
      sym_keyword_filter,
    STATE(657), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2557), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2555), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [15084] = 18,
    ACTIONS(2394), 1,
      sym_keyword_as,
    ACTIONS(2811), 1,
      sym_keyword_is,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_PLUS,
    ACTIONS(2819), 1,
      anon_sym_DASH,
    ACTIONS(2821), 1,
      anon_sym_SLASH,
    ACTIONS(2823), 1,
      anon_sym_CARET,
    ACTIONS(2825), 1,
      sym_keyword_in,
    ACTIONS(2835), 1,
      sym_op_other,
    ACTIONS(2839), 1,
      sym_keyword_not,
    STATE(11101), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2815), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2833), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1480), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1481), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2831), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2392), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [15180] = 8,
    ACTIONS(2811), 1,
      sym_keyword_is,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    STATE(11101), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1480), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1481), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2394), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [15256] = 5,
    ACTIONS(2837), 1,
      sym_keyword_filter,
    STATE(664), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2561), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2559), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [15326] = 6,
    ACTIONS(2842), 1,
      sym_keyword_unsigned,
    ACTIONS(2844), 1,
      sym_keyword_zerofill,
    ACTIONS(2846), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1824), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1822), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [15398] = 5,
    ACTIONS(2837), 1,
      sym_keyword_filter,
    STATE(669), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2515), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2513), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [15468] = 11,
    ACTIONS(2811), 1,
      sym_keyword_is,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2821), 1,
      anon_sym_SLASH,
    ACTIONS(2823), 1,
      anon_sym_CARET,
    STATE(11101), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2815), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1480), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2394), 4,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    STATE(1481), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 39,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [15550] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2095), 7,
      sym_keyword_as,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2093), 50,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [15616] = 13,
    ACTIONS(2811), 1,
      sym_keyword_is,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_PLUS,
    ACTIONS(2819), 1,
      anon_sym_DASH,
    ACTIONS(2821), 1,
      anon_sym_SLASH,
    ACTIONS(2823), 1,
      anon_sym_CARET,
    STATE(11101), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2815), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2394), 3,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1480), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1481), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [15702] = 20,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(2441), 1,
      sym_keyword_as,
    ACTIONS(2811), 1,
      sym_keyword_is,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_PLUS,
    ACTIONS(2819), 1,
      anon_sym_DASH,
    ACTIONS(2821), 1,
      anon_sym_SLASH,
    ACTIONS(2823), 1,
      anon_sym_CARET,
    ACTIONS(2825), 1,
      sym_keyword_in,
    ACTIONS(2827), 1,
      sym_keyword_not,
    ACTIONS(2835), 1,
      sym_op_other,
    STATE(11101), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2815), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2833), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1480), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1481), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2831), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2439), 27,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [15802] = 8,
    ACTIONS(2811), 1,
      sym_keyword_is,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    STATE(11101), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1480), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1481), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2430), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2428), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [15878] = 5,
    ACTIONS(2837), 1,
      sym_keyword_filter,
    STATE(704), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2511), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2509), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [15948] = 5,
    ACTIONS(2837), 1,
      sym_keyword_filter,
    STATE(626), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2533), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2531), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [16018] = 22,
    ACTIONS(2394), 1,
      sym_keyword_as,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(2811), 1,
      sym_keyword_is,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_PLUS,
    ACTIONS(2819), 1,
      anon_sym_DASH,
    ACTIONS(2821), 1,
      anon_sym_SLASH,
    ACTIONS(2823), 1,
      anon_sym_CARET,
    ACTIONS(2825), 1,
      sym_keyword_in,
    ACTIONS(2827), 1,
      sym_keyword_not,
    ACTIONS(2829), 1,
      sym_keyword_between,
    ACTIONS(2835), 1,
      sym_op_other,
    ACTIONS(2848), 1,
      sym_keyword_and,
    STATE(11101), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2815), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2833), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1480), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1481), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2831), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2392), 25,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [16122] = 5,
    ACTIONS(2837), 1,
      sym_keyword_filter,
    STATE(720), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2541), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2539), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [16192] = 5,
    ACTIONS(2837), 1,
      sym_keyword_filter,
    STATE(725), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2545), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2543), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [16262] = 5,
    ACTIONS(2837), 1,
      sym_keyword_filter,
    STATE(733), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2553), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2551), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [16332] = 5,
    ACTIONS(2837), 1,
      sym_keyword_filter,
    STATE(735), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2565), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2563), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [16402] = 5,
    ACTIONS(2837), 1,
      sym_keyword_filter,
    STATE(585), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2537), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2535), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [16472] = 6,
    ACTIONS(2850), 1,
      sym_keyword_unsigned,
    ACTIONS(2852), 1,
      sym_keyword_zerofill,
    ACTIONS(2854), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1842), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1840), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [16544] = 6,
    ACTIONS(2856), 1,
      sym_keyword_unsigned,
    ACTIONS(2858), 1,
      sym_keyword_zerofill,
    ACTIONS(2860), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1876), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1874), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [16616] = 6,
    ACTIONS(2862), 1,
      sym_keyword_unsigned,
    ACTIONS(2864), 1,
      sym_keyword_zerofill,
    ACTIONS(2866), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1806), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1804), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [16688] = 5,
    ACTIONS(2837), 1,
      sym_keyword_filter,
    STATE(582), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2445), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2443), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [16758] = 6,
    STATE(11101), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1480), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1481), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2394), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [16830] = 5,
    ACTIONS(2837), 1,
      sym_keyword_filter,
    STATE(627), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2455), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2453), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [16900] = 16,
    ACTIONS(2811), 1,
      sym_keyword_is,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_PLUS,
    ACTIONS(2819), 1,
      anon_sym_DASH,
    ACTIONS(2821), 1,
      anon_sym_SLASH,
    ACTIONS(2823), 1,
      anon_sym_CARET,
    ACTIONS(2825), 1,
      sym_keyword_in,
    ACTIONS(2835), 1,
      sym_op_other,
    ACTIONS(2839), 1,
      sym_keyword_not,
    STATE(11101), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2815), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2394), 3,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1480), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1481), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [16992] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1820), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1818), 51,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [17058] = 6,
    ACTIONS(2868), 1,
      sym_keyword_unsigned,
    ACTIONS(2870), 1,
      sym_keyword_zerofill,
    ACTIONS(2872), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1890), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1888), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [17130] = 5,
    ACTIONS(2837), 1,
      sym_keyword_filter,
    STATE(632), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2507), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2505), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [17200] = 6,
    ACTIONS(2770), 1,
      sym_keyword_with,
    ACTIONS(2772), 1,
      sym_keyword_without,
    STATE(817), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1858), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1856), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [17272] = 5,
    ACTIONS(2837), 1,
      sym_keyword_filter,
    STATE(724), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2569), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2567), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [17342] = 6,
    ACTIONS(2770), 1,
      sym_keyword_with,
    ACTIONS(2772), 1,
      sym_keyword_without,
    STATE(816), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1886), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1884), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [17414] = 5,
    ACTIONS(2837), 1,
      sym_keyword_filter,
    STATE(617), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2529), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2527), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [17484] = 9,
    ACTIONS(2811), 1,
      sym_keyword_is,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2823), 1,
      anon_sym_CARET,
    STATE(11101), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1480), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1481), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2394), 5,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(2392), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [17562] = 5,
    ACTIONS(2837), 1,
      sym_keyword_filter,
    STATE(614), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2503), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2501), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [17632] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1838), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1836), 51,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [17698] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1802), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1800), 51,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [17764] = 5,
    ACTIONS(2837), 1,
      sym_keyword_filter,
    STATE(611), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2519), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2517), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [17834] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1834), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1832), 51,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [17900] = 5,
    ACTIONS(2837), 1,
      sym_keyword_filter,
    STATE(603), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2451), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2449), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [17970] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1872), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1870), 51,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [18036] = 6,
    ACTIONS(2874), 1,
      sym_keyword_unsigned,
    ACTIONS(2876), 1,
      sym_keyword_zerofill,
    ACTIONS(2878), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1862), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1860), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [18108] = 6,
    ACTIONS(2880), 1,
      sym_keyword_unsigned,
    ACTIONS(2882), 1,
      sym_keyword_zerofill,
    ACTIONS(2884), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1900), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1898), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [18180] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1374), 3,
      anon_sym_LPAREN,
      anon_sym_DOT,
      aux_sym__single_quote_string_token1,
    ACTIONS(1372), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1370), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [18248] = 6,
    ACTIONS(2803), 1,
      sym_keyword_unsigned,
    ACTIONS(2805), 1,
      sym_keyword_zerofill,
    ACTIONS(2809), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1774), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1772), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [18320] = 21,
    ACTIONS(2394), 1,
      sym_keyword_or,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(2886), 1,
      sym_keyword_in,
    ACTIONS(2888), 1,
      sym_keyword_is,
    ACTIONS(2890), 1,
      sym_keyword_not,
    ACTIONS(2892), 1,
      sym_keyword_between,
    ACTIONS(2894), 1,
      anon_sym_LBRACK,
    ACTIONS(2902), 1,
      sym_op_other,
    ACTIONS(2904), 1,
      anon_sym_PLUS,
    ACTIONS(2906), 1,
      anon_sym_DASH,
    ACTIONS(2908), 1,
      anon_sym_SLASH,
    ACTIONS(2910), 1,
      anon_sym_CARET,
    STATE(10366), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2900), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1493), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1506), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2896), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2392), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
  [18421] = 13,
    ACTIONS(2888), 1,
      sym_keyword_is,
    ACTIONS(2894), 1,
      anon_sym_LBRACK,
    ACTIONS(2904), 1,
      anon_sym_PLUS,
    ACTIONS(2906), 1,
      anon_sym_DASH,
    ACTIONS(2908), 1,
      anon_sym_SLASH,
    ACTIONS(2910), 1,
      anon_sym_CARET,
    STATE(10366), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1493), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2430), 4,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1506), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2428), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [18506] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2722), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2724), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [18571] = 16,
    ACTIONS(2886), 1,
      sym_keyword_in,
    ACTIONS(2888), 1,
      sym_keyword_is,
    ACTIONS(2894), 1,
      anon_sym_LBRACK,
    ACTIONS(2902), 1,
      sym_op_other,
    ACTIONS(2904), 1,
      anon_sym_PLUS,
    ACTIONS(2906), 1,
      anon_sym_DASH,
    ACTIONS(2908), 1,
      anon_sym_SLASH,
    ACTIONS(2910), 1,
      anon_sym_CARET,
    ACTIONS(2912), 1,
      sym_keyword_not,
    STATE(10366), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2394), 3,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1493), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1506), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 34,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [18662] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2915), 1,
      sym_keyword_distinct,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2933), 1,
      anon_sym_RPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(7558), 1,
      sym_all_fields,
    STATE(7983), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [18787] = 5,
    ACTIONS(2957), 1,
      sym_keyword_precision,
    ACTIONS(2959), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1862), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1860), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [18856] = 9,
    ACTIONS(2888), 1,
      sym_keyword_is,
    ACTIONS(2894), 1,
      anon_sym_LBRACK,
    ACTIONS(2910), 1,
      anon_sym_CARET,
    STATE(10366), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1493), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1506), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2394), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(2392), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [18933] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2509), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2511), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [18998] = 11,
    ACTIONS(2888), 1,
      sym_keyword_is,
    ACTIONS(2894), 1,
      anon_sym_LBRACK,
    ACTIONS(2908), 1,
      anon_sym_SLASH,
    ACTIONS(2910), 1,
      anon_sym_CARET,
    STATE(10366), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1493), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1506), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2394), 5,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2392), 37,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [19079] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(2961), 1,
      sym_keyword_distinct,
    ACTIONS(2963), 1,
      anon_sym_RPAREN,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(7558), 1,
      sym_all_fields,
    STATE(7966), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [19204] = 8,
    ACTIONS(2888), 1,
      sym_keyword_is,
    ACTIONS(2894), 1,
      anon_sym_LBRACK,
    STATE(10366), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1493), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1506), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2394), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [19279] = 18,
    ACTIONS(2394), 1,
      sym_keyword_or,
    ACTIONS(2886), 1,
      sym_keyword_in,
    ACTIONS(2888), 1,
      sym_keyword_is,
    ACTIONS(2894), 1,
      anon_sym_LBRACK,
    ACTIONS(2902), 1,
      sym_op_other,
    ACTIONS(2904), 1,
      anon_sym_PLUS,
    ACTIONS(2906), 1,
      anon_sym_DASH,
    ACTIONS(2908), 1,
      anon_sym_SLASH,
    ACTIONS(2910), 1,
      anon_sym_CARET,
    ACTIONS(2912), 1,
      sym_keyword_not,
    STATE(10366), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2900), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1493), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1506), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2896), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2392), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
  [19374] = 5,
    ACTIONS(2969), 1,
      aux_sym__single_quote_string_token2,
    STATE(532), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2967), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2965), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [19443] = 20,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(2434), 1,
      sym_keyword_or,
    ACTIONS(2886), 1,
      sym_keyword_in,
    ACTIONS(2888), 1,
      sym_keyword_is,
    ACTIONS(2890), 1,
      sym_keyword_not,
    ACTIONS(2894), 1,
      anon_sym_LBRACK,
    ACTIONS(2902), 1,
      sym_op_other,
    ACTIONS(2904), 1,
      anon_sym_PLUS,
    ACTIONS(2906), 1,
      anon_sym_DASH,
    ACTIONS(2908), 1,
      anon_sym_SLASH,
    ACTIONS(2910), 1,
      anon_sym_CARET,
    STATE(10366), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2900), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1493), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1506), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2896), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2432), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
  [19542] = 5,
    ACTIONS(2971), 1,
      aux_sym__single_quote_string_token2,
    STATE(507), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1364), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1366), 36,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [19611] = 5,
    ACTIONS(2973), 1,
      aux_sym__single_quote_string_token2,
    STATE(538), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1351), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1353), 36,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [19680] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2766), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2768), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [19745] = 22,
    ACTIONS(2394), 1,
      sym_keyword_or,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(2886), 1,
      sym_keyword_in,
    ACTIONS(2888), 1,
      sym_keyword_is,
    ACTIONS(2890), 1,
      sym_keyword_not,
    ACTIONS(2892), 1,
      sym_keyword_between,
    ACTIONS(2894), 1,
      anon_sym_LBRACK,
    ACTIONS(2902), 1,
      sym_op_other,
    ACTIONS(2904), 1,
      anon_sym_PLUS,
    ACTIONS(2906), 1,
      anon_sym_DASH,
    ACTIONS(2908), 1,
      anon_sym_SLASH,
    ACTIONS(2910), 1,
      anon_sym_CARET,
    ACTIONS(2975), 1,
      sym_keyword_and,
    STATE(10366), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2900), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1493), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1506), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2896), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2392), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
  [19848] = 5,
    ACTIONS(2977), 1,
      sym_keyword_unsigned,
    ACTIONS(2979), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1942), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1940), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [19917] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(2981), 1,
      sym_keyword_distinct,
    ACTIONS(2983), 1,
      anon_sym_RPAREN,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(7558), 1,
      sym_all_fields,
    STATE(8063), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [20042] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2547), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2549), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [20107] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2684), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2686), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [20172] = 33,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2985), 1,
      sym_keyword_distinct,
    ACTIONS(2989), 1,
      anon_sym_LPAREN,
    ACTIONS(2991), 1,
      sym_parameter,
    ACTIONS(2993), 1,
      sym_op_unary_other,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(4378), 1,
      sym_identifier,
    STATE(5103), 1,
      sym_invocation,
    STATE(6882), 1,
      sym_all_fields,
    STATE(7468), 1,
      sym_select_expression,
    STATE(9400), 1,
      sym_term,
    STATE(11520), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3461), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [20297] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2559), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2561), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [20362] = 20,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(2441), 1,
      sym_keyword_or,
    ACTIONS(2886), 1,
      sym_keyword_in,
    ACTIONS(2888), 1,
      sym_keyword_is,
    ACTIONS(2890), 1,
      sym_keyword_not,
    ACTIONS(2894), 1,
      anon_sym_LBRACK,
    ACTIONS(2902), 1,
      sym_op_other,
    ACTIONS(2904), 1,
      anon_sym_PLUS,
    ACTIONS(2906), 1,
      anon_sym_DASH,
    ACTIONS(2908), 1,
      anon_sym_SLASH,
    ACTIONS(2910), 1,
      anon_sym_CARET,
    STATE(10366), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2900), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1493), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1506), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2896), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2439), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
  [20461] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2666), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2668), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [20526] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(2995), 1,
      sym_keyword_distinct,
    ACTIONS(2997), 1,
      anon_sym_RPAREN,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(7558), 1,
      sym_all_fields,
    STATE(7944), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [20651] = 33,
    ACTIONS(211), 1,
      sym__identifier,
    ACTIONS(269), 1,
      aux_sym_identifier_token1,
    ACTIONS(2999), 1,
      sym_keyword_distinct,
    ACTIONS(3001), 1,
      sym_keyword_cast,
    ACTIONS(3003), 1,
      sym_keyword_case,
    ACTIONS(3007), 1,
      sym_keyword_exists,
    ACTIONS(3011), 1,
      sym_keyword_interval,
    ACTIONS(3013), 1,
      sym_keyword_array,
    ACTIONS(3015), 1,
      anon_sym_LPAREN,
    ACTIONS(3017), 1,
      anon_sym_STAR,
    ACTIONS(3019), 1,
      sym_parameter,
    ACTIONS(3021), 1,
      anon_sym_PLUS,
    ACTIONS(3023), 1,
      anon_sym_DASH,
    ACTIONS(3025), 1,
      sym_op_unary_other,
    ACTIONS(3027), 1,
      sym__double_quote_string,
    ACTIONS(3029), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3031), 1,
      aux_sym__integer_token1,
    ACTIONS(3033), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3035), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3037), 1,
      sym__dollar_quoted_string,
    STATE(310), 1,
      sym__single_quote_string,
    STATE(2882), 1,
      sym_identifier,
    STATE(3887), 1,
      sym_invocation,
    STATE(4609), 1,
      sym__qualified_field,
    STATE(6930), 1,
      sym_all_fields,
    STATE(7543), 1,
      sym_select_expression,
    STATE(7718), 1,
      sym_term,
    STATE(11982), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3005), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3884), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2474), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [20776] = 13,
    ACTIONS(2888), 1,
      sym_keyword_is,
    ACTIONS(2894), 1,
      anon_sym_LBRACK,
    ACTIONS(2904), 1,
      anon_sym_PLUS,
    ACTIONS(2906), 1,
      anon_sym_DASH,
    ACTIONS(2908), 1,
      anon_sym_SLASH,
    ACTIONS(2910), 1,
      anon_sym_CARET,
    STATE(10366), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1493), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2394), 4,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1506), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [20861] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2726), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2728), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [20926] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3039), 1,
      sym_keyword_distinct,
    ACTIONS(3041), 1,
      anon_sym_RPAREN,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(7558), 1,
      sym_all_fields,
    STATE(8004), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [21051] = 5,
    ACTIONS(3047), 1,
      aux_sym__single_quote_string_token2,
    STATE(504), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3045), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3043), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [21120] = 8,
    ACTIONS(2888), 1,
      sym_keyword_is,
    ACTIONS(2894), 1,
      anon_sym_LBRACK,
    STATE(10366), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1493), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1506), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2430), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2428), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [21195] = 5,
    ACTIONS(3049), 1,
      sym_keyword_varying,
    ACTIONS(3051), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1934), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1932), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [21264] = 5,
    ACTIONS(3053), 1,
      sym_keyword_unsigned,
    ACTIONS(3055), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1926), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1924), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [21333] = 5,
    ACTIONS(3057), 1,
      sym_keyword_unsigned,
    ACTIONS(3059), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1972), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1970), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [21402] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3061), 1,
      sym_keyword_distinct,
    ACTIONS(3063), 1,
      anon_sym_RPAREN,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(7558), 1,
      sym_all_fields,
    STATE(8064), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [21527] = 33,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(3065), 1,
      sym_keyword_distinct,
    ACTIONS(3067), 1,
      sym_keyword_cast,
    ACTIONS(3069), 1,
      sym_keyword_case,
    ACTIONS(3073), 1,
      sym_keyword_exists,
    ACTIONS(3077), 1,
      sym_keyword_interval,
    ACTIONS(3079), 1,
      sym_keyword_array,
    ACTIONS(3081), 1,
      anon_sym_LPAREN,
    ACTIONS(3083), 1,
      sym_parameter,
    ACTIONS(3085), 1,
      anon_sym_PLUS,
    ACTIONS(3087), 1,
      anon_sym_DASH,
    ACTIONS(3089), 1,
      sym_op_unary_other,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3095), 1,
      aux_sym__integer_token1,
    ACTIONS(3097), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3099), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(2733), 1,
      sym_identifier,
    STATE(3671), 1,
      sym_invocation,
    STATE(3899), 1,
      sym__qualified_field,
    STATE(6882), 1,
      sym_all_fields,
    STATE(7468), 1,
      sym_select_expression,
    STATE(7547), 1,
      sym_term,
    STATE(11381), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3075), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3071), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3210), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2291), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [21652] = 35,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3105), 1,
      sym_keyword_between,
    ACTIONS(3107), 1,
      sym_keyword_unbounded,
    ACTIONS(3109), 1,
      sym_keyword_current,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3113), 1,
      sym_parameter,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(6428), 1,
      sym_identifier,
    STATE(6577), 1,
      sym_binary_expression,
    STATE(8424), 1,
      sym_frame_definition,
    STATE(11050), 1,
      sym__current_row,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(6579), 2,
      sym__literal_string,
      sym__integer,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2690), 3,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6253), 14,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [21781] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2551), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2553), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [21846] = 5,
    ACTIONS(3117), 1,
      aux_sym__single_quote_string_token2,
    STATE(532), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1359), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1357), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [21915] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3120), 1,
      sym_keyword_distinct,
    ACTIONS(3122), 1,
      anon_sym_RPAREN,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(7558), 1,
      sym_all_fields,
    STATE(8069), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [22040] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2527), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2529), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [22105] = 5,
    ACTIONS(3124), 1,
      sym_keyword_unsigned,
    ACTIONS(3126), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1918), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1916), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [22174] = 33,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2989), 1,
      anon_sym_LPAREN,
    ACTIONS(3128), 1,
      sym_keyword_distinct,
    ACTIONS(3132), 1,
      sym_parameter,
    ACTIONS(3134), 1,
      sym_op_unary_other,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(5103), 1,
      sym_invocation,
    STATE(6882), 1,
      sym_all_fields,
    STATE(7468), 1,
      sym_select_expression,
    STATE(8601), 1,
      sym_term,
    STATE(11520), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3130), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3124), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [22299] = 5,
    ACTIONS(3136), 1,
      sym_keyword_unsigned,
    ACTIONS(3138), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1910), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1908), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [22368] = 5,
    ACTIONS(3140), 1,
      aux_sym__single_quote_string_token2,
    STATE(538), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1357), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1359), 36,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [22437] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2676), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2678), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [22502] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3143), 1,
      sym_keyword_distinct,
    ACTIONS(3145), 1,
      anon_sym_RPAREN,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(7558), 1,
      sym_all_fields,
    STATE(8122), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [22627] = 5,
    ACTIONS(2969), 1,
      aux_sym__single_quote_string_token2,
    STATE(532), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1353), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1351), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [22696] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2730), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2732), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [22761] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3147), 1,
      sym_keyword_distinct,
    ACTIONS(3149), 1,
      anon_sym_RPAREN,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(7558), 1,
      sym_all_fields,
    STATE(8107), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [22886] = 4,
    ACTIONS(3151), 1,
      sym_keyword_varying,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1950), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1948), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [22953] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3153), 1,
      sym_keyword_distinct,
    ACTIONS(3155), 1,
      anon_sym_RPAREN,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(7558), 1,
      sym_all_fields,
    STATE(8106), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [23078] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3157), 1,
      sym_keyword_distinct,
    ACTIONS(3159), 1,
      anon_sym_RPAREN,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(7558), 1,
      sym_all_fields,
    STATE(7995), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [23203] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2742), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2744), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [23268] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2517), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2519), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [23333] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2608), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2610), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [23398] = 5,
    ACTIONS(3161), 1,
      aux_sym__single_quote_string_token2,
    STATE(541), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1366), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1364), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [23467] = 4,
    ACTIONS(3163), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(55), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(109), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [23534] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3165), 1,
      sym_keyword_distinct,
    ACTIONS(3167), 1,
      anon_sym_RPAREN,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(7558), 1,
      sym_all_fields,
    STATE(7990), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [23659] = 5,
    ACTIONS(3169), 1,
      sym_keyword_unsigned,
    ACTIONS(3171), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1964), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1962), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [23728] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2535), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2537), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [23793] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3173), 1,
      sym_keyword_distinct,
    ACTIONS(3175), 1,
      anon_sym_RPAREN,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(7558), 1,
      sym_all_fields,
    STATE(8118), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [23918] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3177), 1,
      sym_keyword_distinct,
    ACTIONS(3179), 1,
      anon_sym_RPAREN,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(7558), 1,
      sym_all_fields,
    STATE(8010), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [24043] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2531), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2533), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [24108] = 5,
    ACTIONS(3181), 1,
      sym_keyword_unsigned,
    ACTIONS(3183), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1984), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1982), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [24177] = 6,
    STATE(10366), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1493), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1506), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2394), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [24248] = 5,
    STATE(196), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(290), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3187), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3185), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [24317] = 33,
    ACTIONS(903), 1,
      sym__identifier,
    ACTIONS(907), 1,
      aux_sym_identifier_token1,
    ACTIONS(3017), 1,
      anon_sym_STAR,
    ACTIONS(3189), 1,
      sym_keyword_distinct,
    ACTIONS(3191), 1,
      sym_keyword_cast,
    ACTIONS(3193), 1,
      sym_keyword_case,
    ACTIONS(3197), 1,
      sym_keyword_exists,
    ACTIONS(3201), 1,
      sym_keyword_interval,
    ACTIONS(3203), 1,
      sym_keyword_array,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(3207), 1,
      sym_parameter,
    ACTIONS(3209), 1,
      anon_sym_PLUS,
    ACTIONS(3211), 1,
      anon_sym_DASH,
    ACTIONS(3213), 1,
      sym_op_unary_other,
    ACTIONS(3215), 1,
      sym__double_quote_string,
    ACTIONS(3217), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3219), 1,
      aux_sym__integer_token1,
    ACTIONS(3221), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3223), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3225), 1,
      sym__dollar_quoted_string,
    STATE(2953), 1,
      sym__single_quote_string,
    STATE(4196), 1,
      sym_identifier,
    STATE(4905), 1,
      sym__qualified_field,
    STATE(5627), 1,
      sym_invocation,
    STATE(6930), 1,
      sym_all_fields,
    STATE(7543), 1,
      sym_select_expression,
    STATE(8524), 1,
      sym_term,
    STATE(11970), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3199), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3195), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4863), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3343), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [24442] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3227), 1,
      sym_keyword_distinct,
    ACTIONS(3229), 1,
      anon_sym_RPAREN,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(7558), 1,
      sym_all_fields,
    STATE(7951), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [24567] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3231), 1,
      sym_keyword_distinct,
    ACTIONS(3233), 1,
      anon_sym_RPAREN,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(7558), 1,
      sym_all_fields,
    STATE(7967), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [24692] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3235), 1,
      sym_keyword_distinct,
    ACTIONS(3237), 1,
      anon_sym_RPAREN,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(7558), 1,
      sym_all_fields,
    STATE(8126), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [24817] = 33,
    ACTIONS(211), 1,
      sym__identifier,
    ACTIONS(269), 1,
      aux_sym_identifier_token1,
    ACTIONS(3001), 1,
      sym_keyword_cast,
    ACTIONS(3003), 1,
      sym_keyword_case,
    ACTIONS(3007), 1,
      sym_keyword_exists,
    ACTIONS(3011), 1,
      sym_keyword_interval,
    ACTIONS(3013), 1,
      sym_keyword_array,
    ACTIONS(3015), 1,
      anon_sym_LPAREN,
    ACTIONS(3017), 1,
      anon_sym_STAR,
    ACTIONS(3021), 1,
      anon_sym_PLUS,
    ACTIONS(3023), 1,
      anon_sym_DASH,
    ACTIONS(3025), 1,
      sym_op_unary_other,
    ACTIONS(3027), 1,
      sym__double_quote_string,
    ACTIONS(3029), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3031), 1,
      aux_sym__integer_token1,
    ACTIONS(3033), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3035), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3037), 1,
      sym__dollar_quoted_string,
    ACTIONS(3239), 1,
      sym_keyword_distinct,
    ACTIONS(3241), 1,
      sym_parameter,
    STATE(310), 1,
      sym__single_quote_string,
    STATE(2882), 1,
      sym_identifier,
    STATE(3887), 1,
      sym_invocation,
    STATE(4609), 1,
      sym__qualified_field,
    STATE(6930), 1,
      sym_all_fields,
    STATE(7502), 1,
      sym_term,
    STATE(7543), 1,
      sym_select_expression,
    STATE(11982), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3005), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3884), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2022), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [24942] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2622), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2624), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [25007] = 5,
    ACTIONS(3243), 1,
      sym_keyword_unsigned,
    ACTIONS(3245), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1956), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1954), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [25076] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3247), 1,
      sym_keyword_distinct,
    ACTIONS(3249), 1,
      anon_sym_RPAREN,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(7558), 1,
      sym_all_fields,
    STATE(7991), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [25201] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2752), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2754), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [25266] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2616), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2618), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [25331] = 33,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(3067), 1,
      sym_keyword_cast,
    ACTIONS(3069), 1,
      sym_keyword_case,
    ACTIONS(3073), 1,
      sym_keyword_exists,
    ACTIONS(3077), 1,
      sym_keyword_interval,
    ACTIONS(3079), 1,
      sym_keyword_array,
    ACTIONS(3081), 1,
      anon_sym_LPAREN,
    ACTIONS(3085), 1,
      anon_sym_PLUS,
    ACTIONS(3087), 1,
      anon_sym_DASH,
    ACTIONS(3089), 1,
      sym_op_unary_other,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3095), 1,
      aux_sym__integer_token1,
    ACTIONS(3097), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3099), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(3251), 1,
      sym_keyword_distinct,
    ACTIONS(3253), 1,
      sym_parameter,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(2733), 1,
      sym_identifier,
    STATE(3671), 1,
      sym_invocation,
    STATE(3899), 1,
      sym__qualified_field,
    STATE(6882), 1,
      sym_all_fields,
    STATE(7365), 1,
      sym_term,
    STATE(7468), 1,
      sym_select_expression,
    STATE(11381), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3075), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3071), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3210), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1138), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [25456] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2744), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2742), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [25520] = 32,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2989), 1,
      anon_sym_LPAREN,
    ACTIONS(2991), 1,
      sym_parameter,
    ACTIONS(2993), 1,
      sym_op_unary_other,
    ACTIONS(3255), 1,
      anon_sym_RPAREN,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(4378), 1,
      sym_identifier,
    STATE(5103), 1,
      sym_invocation,
    STATE(6882), 1,
      sym_all_fields,
    STATE(11219), 1,
      sym_term,
    STATE(11520), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3461), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [25642] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(5997), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [25766] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(5995), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [25890] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(5994), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [26014] = 4,
    ACTIONS(3259), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2109), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2107), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [26080] = 4,
    ACTIONS(3261), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2038), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2036), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [26146] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(2886), 1,
      sym_keyword_in,
    ACTIONS(2888), 1,
      sym_keyword_is,
    ACTIONS(2890), 1,
      sym_keyword_not,
    ACTIONS(2892), 1,
      sym_keyword_between,
    ACTIONS(2894), 1,
      anon_sym_LBRACK,
    ACTIONS(2902), 1,
      sym_op_other,
    ACTIONS(2904), 1,
      anon_sym_PLUS,
    ACTIONS(2906), 1,
      anon_sym_DASH,
    ACTIONS(2908), 1,
      anon_sym_SLASH,
    ACTIONS(2910), 1,
      anon_sym_CARET,
    ACTIONS(2975), 1,
      sym_keyword_and,
    ACTIONS(3265), 1,
      sym_keyword_or,
    ACTIONS(3267), 1,
      anon_sym_COLON_COLON,
    STATE(10366), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2900), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1493), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1506), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2896), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3263), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [26250] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(5936), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [26374] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(5878), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [26498] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2549), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2547), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [26562] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(5790), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [26686] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2724), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2722), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [26750] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2678), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2676), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [26814] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(5785), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [26938] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(5993), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [27062] = 21,
    ACTIONS(2394), 1,
      sym_keyword_or,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(3269), 1,
      sym_keyword_in,
    ACTIONS(3271), 1,
      sym_keyword_is,
    ACTIONS(3273), 1,
      sym_keyword_not,
    ACTIONS(3275), 1,
      sym_keyword_between,
    ACTIONS(3277), 1,
      anon_sym_LBRACK,
    ACTIONS(3285), 1,
      sym_op_other,
    ACTIONS(3287), 1,
      anon_sym_PLUS,
    ACTIONS(3289), 1,
      anon_sym_DASH,
    ACTIONS(3291), 1,
      anon_sym_SLASH,
    ACTIONS(3293), 1,
      anon_sym_CARET,
    STATE(11198), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3281), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3283), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1444), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1445), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3279), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2392), 24,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_COLON_COLON,
  [27162] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(5816), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [27286] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(5817), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [27410] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(5989), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [27534] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(5935), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [27658] = 22,
    ACTIONS(2394), 1,
      sym_keyword_or,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(3269), 1,
      sym_keyword_in,
    ACTIONS(3271), 1,
      sym_keyword_is,
    ACTIONS(3273), 1,
      sym_keyword_not,
    ACTIONS(3275), 1,
      sym_keyword_between,
    ACTIONS(3277), 1,
      anon_sym_LBRACK,
    ACTIONS(3285), 1,
      sym_op_other,
    ACTIONS(3287), 1,
      anon_sym_PLUS,
    ACTIONS(3289), 1,
      anon_sym_DASH,
    ACTIONS(3291), 1,
      anon_sym_SLASH,
    ACTIONS(3293), 1,
      anon_sym_CARET,
    ACTIONS(3295), 1,
      sym_keyword_and,
    STATE(11198), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3281), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3283), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1444), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1445), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3279), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2392), 23,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_COLON_COLON,
  [27760] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(5980), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [27884] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(5761), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [28008] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(5775), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [28132] = 4,
    ACTIONS(3297), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2032), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2030), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [28198] = 32,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2989), 1,
      anon_sym_LPAREN,
    ACTIONS(2991), 1,
      sym_parameter,
    ACTIONS(2993), 1,
      sym_op_unary_other,
    ACTIONS(3299), 1,
      anon_sym_RPAREN,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(4378), 1,
      sym_identifier,
    STATE(5103), 1,
      sym_invocation,
    STATE(6882), 1,
      sym_all_fields,
    STATE(11039), 1,
      sym_term,
    STATE(11520), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3461), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [28320] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(5807), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [28444] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(5786), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [28568] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(5853), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [28692] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(5813), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [28816] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2537), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2535), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [28880] = 32,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2989), 1,
      anon_sym_LPAREN,
    ACTIONS(2991), 1,
      sym_parameter,
    ACTIONS(2993), 1,
      sym_op_unary_other,
    ACTIONS(3301), 1,
      anon_sym_RPAREN,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(4378), 1,
      sym_identifier,
    STATE(5103), 1,
      sym_invocation,
    STATE(6882), 1,
      sym_all_fields,
    STATE(11202), 1,
      sym_term,
    STATE(11520), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3461), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [29002] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(5815), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [29126] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(5974), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [29250] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(5973), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [29374] = 32,
    ACTIONS(903), 1,
      sym__identifier,
    ACTIONS(907), 1,
      aux_sym_identifier_token1,
    ACTIONS(3017), 1,
      anon_sym_STAR,
    ACTIONS(3191), 1,
      sym_keyword_cast,
    ACTIONS(3193), 1,
      sym_keyword_case,
    ACTIONS(3197), 1,
      sym_keyword_exists,
    ACTIONS(3201), 1,
      sym_keyword_interval,
    ACTIONS(3203), 1,
      sym_keyword_array,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(3207), 1,
      sym_parameter,
    ACTIONS(3209), 1,
      anon_sym_PLUS,
    ACTIONS(3211), 1,
      anon_sym_DASH,
    ACTIONS(3213), 1,
      sym_op_unary_other,
    ACTIONS(3215), 1,
      sym__double_quote_string,
    ACTIONS(3217), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3219), 1,
      aux_sym__integer_token1,
    ACTIONS(3221), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3223), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3225), 1,
      sym__dollar_quoted_string,
    STATE(2953), 1,
      sym__single_quote_string,
    STATE(4196), 1,
      sym_identifier,
    STATE(4905), 1,
      sym__qualified_field,
    STATE(5627), 1,
      sym_invocation,
    STATE(6930), 1,
      sym_all_fields,
    STATE(8524), 1,
      sym_term,
    STATE(11364), 1,
      sym_select_expression,
    STATE(11970), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3199), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3195), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4863), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3343), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [29496] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(5788), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [29620] = 4,
    ACTIONS(3303), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1996), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1994), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [29686] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2610), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2608), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [29750] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(5756), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [29874] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(5972), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [29998] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2618), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2616), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [30062] = 32,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [30184] = 34,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3107), 1,
      sym_keyword_unbounded,
    ACTIONS(3109), 1,
      sym_keyword_current,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3113), 1,
      sym_parameter,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(6428), 1,
      sym_identifier,
    STATE(6577), 1,
      sym_binary_expression,
    STATE(8216), 1,
      sym_frame_definition,
    STATE(11050), 1,
      sym__current_row,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(6579), 2,
      sym__literal_string,
      sym__integer,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2690), 3,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6253), 14,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [30310] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2624), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2622), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [30374] = 4,
    ACTIONS(3305), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2046), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2044), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [30440] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2052), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2050), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [30504] = 4,
    ACTIONS(3307), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2026), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2024), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [30570] = 4,
    ACTIONS(3309), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2014), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2012), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [30636] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(5964), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [30760] = 4,
    ACTIONS(3311), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2121), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2119), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [30826] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(6016), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [30950] = 4,
    ACTIONS(3313), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2141), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2139), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [31016] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2668), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2666), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [31080] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2561), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2559), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [31144] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(6017), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [31268] = 32,
    ACTIONS(211), 1,
      sym__identifier,
    ACTIONS(269), 1,
      aux_sym_identifier_token1,
    ACTIONS(3001), 1,
      sym_keyword_cast,
    ACTIONS(3003), 1,
      sym_keyword_case,
    ACTIONS(3007), 1,
      sym_keyword_exists,
    ACTIONS(3011), 1,
      sym_keyword_interval,
    ACTIONS(3013), 1,
      sym_keyword_array,
    ACTIONS(3015), 1,
      anon_sym_LPAREN,
    ACTIONS(3017), 1,
      anon_sym_STAR,
    ACTIONS(3019), 1,
      sym_parameter,
    ACTIONS(3021), 1,
      anon_sym_PLUS,
    ACTIONS(3023), 1,
      anon_sym_DASH,
    ACTIONS(3025), 1,
      sym_op_unary_other,
    ACTIONS(3027), 1,
      sym__double_quote_string,
    ACTIONS(3029), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3031), 1,
      aux_sym__integer_token1,
    ACTIONS(3033), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3035), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3037), 1,
      sym__dollar_quoted_string,
    STATE(310), 1,
      sym__single_quote_string,
    STATE(2882), 1,
      sym_identifier,
    STATE(3887), 1,
      sym_invocation,
    STATE(4609), 1,
      sym__qualified_field,
    STATE(6930), 1,
      sym_all_fields,
    STATE(7548), 1,
      sym_select_expression,
    STATE(7718), 1,
      sym_term,
    STATE(11982), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3005), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3884), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2474), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [31390] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(5947), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [31514] = 4,
    ACTIONS(3315), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2038), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2036), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [31580] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2533), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2531), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [31644] = 4,
    ACTIONS(3317), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2020), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2018), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [31710] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(6019), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [31834] = 4,
    ACTIONS(3319), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2153), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2151), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [31900] = 4,
    ACTIONS(3321), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2159), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2157), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [31966] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(6023), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [32090] = 32,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2989), 1,
      anon_sym_LPAREN,
    ACTIONS(2991), 1,
      sym_parameter,
    ACTIONS(2993), 1,
      sym_op_unary_other,
    ACTIONS(3323), 1,
      anon_sym_RPAREN,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(4378), 1,
      sym_identifier,
    STATE(5103), 1,
      sym_invocation,
    STATE(6882), 1,
      sym_all_fields,
    STATE(10882), 1,
      sym_term,
    STATE(11520), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3461), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [32212] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(2886), 1,
      sym_keyword_in,
    ACTIONS(2888), 1,
      sym_keyword_is,
    ACTIONS(2890), 1,
      sym_keyword_not,
    ACTIONS(2892), 1,
      sym_keyword_between,
    ACTIONS(2894), 1,
      anon_sym_LBRACK,
    ACTIONS(2902), 1,
      sym_op_other,
    ACTIONS(2904), 1,
      anon_sym_PLUS,
    ACTIONS(2906), 1,
      anon_sym_DASH,
    ACTIONS(2908), 1,
      anon_sym_SLASH,
    ACTIONS(2910), 1,
      anon_sym_CARET,
    ACTIONS(2975), 1,
      sym_keyword_and,
    ACTIONS(3265), 1,
      sym_keyword_or,
    ACTIONS(3267), 1,
      anon_sym_COLON_COLON,
    STATE(10366), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2900), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1493), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1506), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2896), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3325), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [32316] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(6037), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [32440] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(2886), 1,
      sym_keyword_in,
    ACTIONS(2888), 1,
      sym_keyword_is,
    ACTIONS(2890), 1,
      sym_keyword_not,
    ACTIONS(2892), 1,
      sym_keyword_between,
    ACTIONS(2894), 1,
      anon_sym_LBRACK,
    ACTIONS(2902), 1,
      sym_op_other,
    ACTIONS(2904), 1,
      anon_sym_PLUS,
    ACTIONS(2906), 1,
      anon_sym_DASH,
    ACTIONS(2908), 1,
      anon_sym_SLASH,
    ACTIONS(2910), 1,
      anon_sym_CARET,
    ACTIONS(2975), 1,
      sym_keyword_and,
    ACTIONS(3265), 1,
      sym_keyword_or,
    ACTIONS(3267), 1,
      anon_sym_COLON_COLON,
    STATE(10366), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2900), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1493), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1506), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2896), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3327), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [32544] = 20,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(2434), 1,
      sym_keyword_or,
    ACTIONS(3269), 1,
      sym_keyword_in,
    ACTIONS(3271), 1,
      sym_keyword_is,
    ACTIONS(3273), 1,
      sym_keyword_not,
    ACTIONS(3277), 1,
      anon_sym_LBRACK,
    ACTIONS(3285), 1,
      sym_op_other,
    ACTIONS(3287), 1,
      anon_sym_PLUS,
    ACTIONS(3289), 1,
      anon_sym_DASH,
    ACTIONS(3291), 1,
      anon_sym_SLASH,
    ACTIONS(3293), 1,
      anon_sym_CARET,
    STATE(11198), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3281), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3283), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1444), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1445), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3279), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2432), 25,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      anon_sym_COLON_COLON,
  [32642] = 4,
    ACTIONS(3329), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2008), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2006), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [32708] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(5940), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [32832] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(6065), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [32956] = 5,
    ACTIONS(3331), 1,
      aux_sym__single_quote_string_token2,
    STATE(646), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1359), 7,
      sym_keyword_as,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1357), 46,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [33024] = 4,
    ACTIONS(3334), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2083), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2081), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [33090] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2167), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2165), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [33154] = 4,
    ACTIONS(3336), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2171), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2169), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [33220] = 32,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2989), 1,
      anon_sym_LPAREN,
    ACTIONS(2991), 1,
      sym_parameter,
    ACTIONS(2993), 1,
      sym_op_unary_other,
    ACTIONS(3338), 1,
      anon_sym_RPAREN,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(4378), 1,
      sym_identifier,
    STATE(5103), 1,
      sym_invocation,
    STATE(6882), 1,
      sym_all_fields,
    STATE(10956), 1,
      sym_term,
    STATE(11520), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3461), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [33342] = 32,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2989), 1,
      anon_sym_LPAREN,
    ACTIONS(3132), 1,
      sym_parameter,
    ACTIONS(3134), 1,
      sym_op_unary_other,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(5103), 1,
      sym_invocation,
    STATE(6882), 1,
      sym_all_fields,
    STATE(8601), 1,
      sym_term,
    STATE(11085), 1,
      sym_select_expression,
    STATE(11520), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3130), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3124), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [33464] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(2886), 1,
      sym_keyword_in,
    ACTIONS(2888), 1,
      sym_keyword_is,
    ACTIONS(2890), 1,
      sym_keyword_not,
    ACTIONS(2892), 1,
      sym_keyword_between,
    ACTIONS(2894), 1,
      anon_sym_LBRACK,
    ACTIONS(2902), 1,
      sym_op_other,
    ACTIONS(2904), 1,
      anon_sym_PLUS,
    ACTIONS(2906), 1,
      anon_sym_DASH,
    ACTIONS(2908), 1,
      anon_sym_SLASH,
    ACTIONS(2910), 1,
      anon_sym_CARET,
    ACTIONS(2975), 1,
      sym_keyword_and,
    ACTIONS(3265), 1,
      sym_keyword_or,
    ACTIONS(3267), 1,
      anon_sym_COLON_COLON,
    STATE(10366), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2900), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1493), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1506), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2896), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3340), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [33568] = 4,
    ACTIONS(3342), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2032), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2030), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [33634] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(5825), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [33758] = 4,
    ACTIONS(3344), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2089), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2087), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [33824] = 32,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(3067), 1,
      sym_keyword_cast,
    ACTIONS(3069), 1,
      sym_keyword_case,
    ACTIONS(3073), 1,
      sym_keyword_exists,
    ACTIONS(3077), 1,
      sym_keyword_interval,
    ACTIONS(3079), 1,
      sym_keyword_array,
    ACTIONS(3081), 1,
      anon_sym_LPAREN,
    ACTIONS(3085), 1,
      anon_sym_PLUS,
    ACTIONS(3087), 1,
      anon_sym_DASH,
    ACTIONS(3089), 1,
      sym_op_unary_other,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3095), 1,
      aux_sym__integer_token1,
    ACTIONS(3097), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3099), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(3253), 1,
      sym_parameter,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(2733), 1,
      sym_identifier,
    STATE(3671), 1,
      sym_invocation,
    STATE(3899), 1,
      sym__qualified_field,
    STATE(6882), 1,
      sym_all_fields,
    STATE(7365), 1,
      sym_term,
    STATE(7411), 1,
      sym_select_expression,
    STATE(11381), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3075), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3071), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3210), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1138), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [33946] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2511), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2509), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [34010] = 6,
    ACTIONS(3346), 1,
      anon_sym_LBRACK,
    STATE(658), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(915), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2076), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2074), 46,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [34080] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(5930), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [34204] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(6109), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [34328] = 32,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2989), 1,
      anon_sym_LPAREN,
    ACTIONS(2991), 1,
      sym_parameter,
    ACTIONS(2993), 1,
      sym_op_unary_other,
    ACTIONS(3349), 1,
      anon_sym_RPAREN,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(4378), 1,
      sym_identifier,
    STATE(5103), 1,
      sym_invocation,
    STATE(6882), 1,
      sym_all_fields,
    STATE(10952), 1,
      sym_term,
    STATE(11520), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3461), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [34450] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(5929), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [34574] = 4,
    ACTIONS(3351), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2020), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2018), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [34640] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2553), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2551), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [34704] = 4,
    ACTIONS(3353), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2008), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2006), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [34770] = 4,
    ACTIONS(3355), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2089), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2087), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [34836] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(6030), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [34960] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(6101), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [35084] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2686), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2684), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [35148] = 16,
    ACTIONS(3269), 1,
      sym_keyword_in,
    ACTIONS(3271), 1,
      sym_keyword_is,
    ACTIONS(3277), 1,
      anon_sym_LBRACK,
    ACTIONS(3285), 1,
      sym_op_other,
    ACTIONS(3287), 1,
      anon_sym_PLUS,
    ACTIONS(3289), 1,
      anon_sym_DASH,
    ACTIONS(3291), 1,
      anon_sym_SLASH,
    ACTIONS(3293), 1,
      anon_sym_CARET,
    ACTIONS(3357), 1,
      sym_keyword_not,
    STATE(11198), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3281), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2394), 3,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1444), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1445), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 33,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [35238] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(6094), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [35362] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(2886), 1,
      sym_keyword_in,
    ACTIONS(2888), 1,
      sym_keyword_is,
    ACTIONS(2890), 1,
      sym_keyword_not,
    ACTIONS(2892), 1,
      sym_keyword_between,
    ACTIONS(2894), 1,
      anon_sym_LBRACK,
    ACTIONS(2902), 1,
      sym_op_other,
    ACTIONS(2904), 1,
      anon_sym_PLUS,
    ACTIONS(2906), 1,
      anon_sym_DASH,
    ACTIONS(2908), 1,
      anon_sym_SLASH,
    ACTIONS(2910), 1,
      anon_sym_CARET,
    ACTIONS(2975), 1,
      sym_keyword_and,
    ACTIONS(3265), 1,
      sym_keyword_or,
    ACTIONS(3267), 1,
      anon_sym_COLON_COLON,
    STATE(10366), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2900), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1493), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1506), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2896), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3360), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [35466] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(6093), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [35590] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(6092), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [35714] = 4,
    ACTIONS(3362), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2147), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2145), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [35780] = 4,
    ACTIONS(2876), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1862), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1860), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [35846] = 5,
    ACTIONS(3364), 1,
      aux_sym__single_quote_string_token2,
    STATE(646), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1353), 7,
      sym_keyword_as,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1351), 46,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [35914] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(2886), 1,
      sym_keyword_in,
    ACTIONS(2888), 1,
      sym_keyword_is,
    ACTIONS(2890), 1,
      sym_keyword_not,
    ACTIONS(2892), 1,
      sym_keyword_between,
    ACTIONS(2894), 1,
      anon_sym_LBRACK,
    ACTIONS(2902), 1,
      sym_op_other,
    ACTIONS(2904), 1,
      anon_sym_PLUS,
    ACTIONS(2906), 1,
      anon_sym_DASH,
    ACTIONS(2908), 1,
      anon_sym_SLASH,
    ACTIONS(2910), 1,
      anon_sym_CARET,
    ACTIONS(2975), 1,
      sym_keyword_and,
    ACTIONS(3265), 1,
      sym_keyword_or,
    ACTIONS(3267), 1,
      anon_sym_COLON_COLON,
    STATE(10366), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2900), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1493), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1506), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2896), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3366), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [36018] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(6032), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [36142] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(2886), 1,
      sym_keyword_in,
    ACTIONS(2888), 1,
      sym_keyword_is,
    ACTIONS(2890), 1,
      sym_keyword_not,
    ACTIONS(2892), 1,
      sym_keyword_between,
    ACTIONS(2894), 1,
      anon_sym_LBRACK,
    ACTIONS(2902), 1,
      sym_op_other,
    ACTIONS(2904), 1,
      anon_sym_PLUS,
    ACTIONS(2906), 1,
      anon_sym_DASH,
    ACTIONS(2908), 1,
      anon_sym_SLASH,
    ACTIONS(2910), 1,
      anon_sym_CARET,
    ACTIONS(2975), 1,
      sym_keyword_and,
    ACTIONS(3265), 1,
      sym_keyword_or,
    ACTIONS(3267), 1,
      anon_sym_COLON_COLON,
    STATE(10366), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2900), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1493), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1506), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2896), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3368), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [36246] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(5870), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [36370] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2795), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2797), 39,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [36434] = 4,
    ACTIONS(3374), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3372), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3370), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [36500] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(2886), 1,
      sym_keyword_in,
    ACTIONS(2888), 1,
      sym_keyword_is,
    ACTIONS(2890), 1,
      sym_keyword_not,
    ACTIONS(2892), 1,
      sym_keyword_between,
    ACTIONS(2894), 1,
      anon_sym_LBRACK,
    ACTIONS(2902), 1,
      sym_op_other,
    ACTIONS(2904), 1,
      anon_sym_PLUS,
    ACTIONS(2906), 1,
      anon_sym_DASH,
    ACTIONS(2908), 1,
      anon_sym_SLASH,
    ACTIONS(2910), 1,
      anon_sym_CARET,
    ACTIONS(2975), 1,
      sym_keyword_and,
    ACTIONS(3265), 1,
      sym_keyword_or,
    ACTIONS(3267), 1,
      anon_sym_COLON_COLON,
    STATE(10366), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2900), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1493), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1506), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2896), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3376), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [36604] = 32,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2989), 1,
      anon_sym_LPAREN,
    ACTIONS(2991), 1,
      sym_parameter,
    ACTIONS(2993), 1,
      sym_op_unary_other,
    ACTIONS(3378), 1,
      anon_sym_RPAREN,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(4378), 1,
      sym_identifier,
    STATE(5103), 1,
      sym_invocation,
    STATE(6882), 1,
      sym_all_fields,
    STATE(11064), 1,
      sym_term,
    STATE(11520), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3461), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [36726] = 4,
    ACTIONS(3380), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2127), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2125), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [36792] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(2886), 1,
      sym_keyword_in,
    ACTIONS(2888), 1,
      sym_keyword_is,
    ACTIONS(2890), 1,
      sym_keyword_not,
    ACTIONS(2892), 1,
      sym_keyword_between,
    ACTIONS(2894), 1,
      anon_sym_LBRACK,
    ACTIONS(2902), 1,
      sym_op_other,
    ACTIONS(2904), 1,
      anon_sym_PLUS,
    ACTIONS(2906), 1,
      anon_sym_DASH,
    ACTIONS(2908), 1,
      anon_sym_SLASH,
    ACTIONS(2910), 1,
      anon_sym_CARET,
    ACTIONS(2975), 1,
      sym_keyword_and,
    ACTIONS(3265), 1,
      sym_keyword_or,
    ACTIONS(3267), 1,
      anon_sym_COLON_COLON,
    STATE(10366), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2900), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1493), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1506), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2896), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3382), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [36896] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(6089), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [37020] = 20,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(2441), 1,
      sym_keyword_or,
    ACTIONS(3269), 1,
      sym_keyword_in,
    ACTIONS(3271), 1,
      sym_keyword_is,
    ACTIONS(3273), 1,
      sym_keyword_not,
    ACTIONS(3277), 1,
      anon_sym_LBRACK,
    ACTIONS(3285), 1,
      sym_op_other,
    ACTIONS(3287), 1,
      anon_sym_PLUS,
    ACTIONS(3289), 1,
      anon_sym_DASH,
    ACTIONS(3291), 1,
      anon_sym_SLASH,
    ACTIONS(3293), 1,
      anon_sym_CARET,
    STATE(11198), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3281), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3283), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1444), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1445), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3279), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2439), 25,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      anon_sym_COLON_COLON,
  [37118] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(2886), 1,
      sym_keyword_in,
    ACTIONS(2888), 1,
      sym_keyword_is,
    ACTIONS(2890), 1,
      sym_keyword_not,
    ACTIONS(2892), 1,
      sym_keyword_between,
    ACTIONS(2894), 1,
      anon_sym_LBRACK,
    ACTIONS(2902), 1,
      sym_op_other,
    ACTIONS(2904), 1,
      anon_sym_PLUS,
    ACTIONS(2906), 1,
      anon_sym_DASH,
    ACTIONS(2908), 1,
      anon_sym_SLASH,
    ACTIONS(2910), 1,
      anon_sym_CARET,
    ACTIONS(2975), 1,
      sym_keyword_and,
    ACTIONS(3265), 1,
      sym_keyword_or,
    ACTIONS(3267), 1,
      anon_sym_COLON_COLON,
    STATE(10366), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2900), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1493), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1506), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2896), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3384), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [37222] = 4,
    ACTIONS(3386), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1996), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1994), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [37288] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(6034), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [37412] = 32,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2989), 1,
      anon_sym_LPAREN,
    ACTIONS(2991), 1,
      sym_parameter,
    ACTIONS(2993), 1,
      sym_op_unary_other,
    ACTIONS(3388), 1,
      anon_sym_RPAREN,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(4378), 1,
      sym_identifier,
    STATE(5103), 1,
      sym_invocation,
    STATE(6882), 1,
      sym_all_fields,
    STATE(10998), 1,
      sym_term,
    STATE(11520), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3461), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [37534] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(6083), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [37658] = 4,
    ACTIONS(3390), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2133), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2131), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [37724] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(6078), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [37848] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(6077), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [37972] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2095), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2093), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [38036] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(5854), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [38160] = 4,
    ACTIONS(3392), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2046), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2044), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [38226] = 32,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(3067), 1,
      sym_keyword_cast,
    ACTIONS(3069), 1,
      sym_keyword_case,
    ACTIONS(3073), 1,
      sym_keyword_exists,
    ACTIONS(3077), 1,
      sym_keyword_interval,
    ACTIONS(3079), 1,
      sym_keyword_array,
    ACTIONS(3081), 1,
      anon_sym_LPAREN,
    ACTIONS(3083), 1,
      sym_parameter,
    ACTIONS(3085), 1,
      anon_sym_PLUS,
    ACTIONS(3087), 1,
      anon_sym_DASH,
    ACTIONS(3089), 1,
      sym_op_unary_other,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3095), 1,
      aux_sym__integer_token1,
    ACTIONS(3097), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3099), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(2733), 1,
      sym_identifier,
    STATE(3671), 1,
      sym_invocation,
    STATE(3899), 1,
      sym__qualified_field,
    STATE(6882), 1,
      sym_all_fields,
    STATE(7411), 1,
      sym_select_expression,
    STATE(7547), 1,
      sym_term,
    STATE(11381), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3075), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3071), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3210), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2291), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [38348] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(5986), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [38472] = 32,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2989), 1,
      anon_sym_LPAREN,
    ACTIONS(2991), 1,
      sym_parameter,
    ACTIONS(2993), 1,
      sym_op_unary_other,
    ACTIONS(3394), 1,
      anon_sym_RPAREN,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(4378), 1,
      sym_identifier,
    STATE(5103), 1,
      sym_invocation,
    STATE(6882), 1,
      sym_all_fields,
    STATE(10896), 1,
      sym_term,
    STATE(11520), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3461), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [38594] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2529), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2527), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [38658] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(6038), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [38782] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(6039), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [38906] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(5829), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [39030] = 4,
    ACTIONS(3396), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2115), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2113), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [39096] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(5998), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [39220] = 32,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2989), 1,
      anon_sym_LPAREN,
    ACTIONS(2991), 1,
      sym_parameter,
    ACTIONS(2993), 1,
      sym_op_unary_other,
    ACTIONS(3398), 1,
      anon_sym_RPAREN,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(4378), 1,
      sym_identifier,
    STATE(5103), 1,
      sym_invocation,
    STATE(6882), 1,
      sym_all_fields,
    STATE(10910), 1,
      sym_term,
    STATE(11520), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3461), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [39342] = 4,
    ACTIONS(3400), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2064), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2062), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [39408] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(2886), 1,
      sym_keyword_in,
    ACTIONS(2888), 1,
      sym_keyword_is,
    ACTIONS(2890), 1,
      sym_keyword_not,
    ACTIONS(2892), 1,
      sym_keyword_between,
    ACTIONS(2894), 1,
      anon_sym_LBRACK,
    ACTIONS(2902), 1,
      sym_op_other,
    ACTIONS(2904), 1,
      anon_sym_PLUS,
    ACTIONS(2906), 1,
      anon_sym_DASH,
    ACTIONS(2908), 1,
      anon_sym_SLASH,
    ACTIONS(2910), 1,
      anon_sym_CARET,
    ACTIONS(2975), 1,
      sym_keyword_and,
    ACTIONS(3265), 1,
      sym_keyword_or,
    ACTIONS(3267), 1,
      anon_sym_COLON_COLON,
    STATE(10366), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2900), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1493), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1506), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2896), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3402), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [39512] = 8,
    ACTIONS(3271), 1,
      sym_keyword_is,
    ACTIONS(3277), 1,
      anon_sym_LBRACK,
    STATE(11198), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1444), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1445), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2430), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2428), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [39586] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(6041), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [39710] = 4,
    STATE(284), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3406), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3404), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [39776] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1950), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1948), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [39840] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(6073), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [39964] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(6066), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [40088] = 5,
    ACTIONS(3408), 1,
      aux_sym__single_quote_string_token2,
    STATE(677), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1366), 7,
      sym_keyword_as,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1364), 46,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [40156] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2732), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2730), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [40220] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(5968), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [40344] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(2886), 1,
      sym_keyword_in,
    ACTIONS(2888), 1,
      sym_keyword_is,
    ACTIONS(2890), 1,
      sym_keyword_not,
    ACTIONS(2892), 1,
      sym_keyword_between,
    ACTIONS(2894), 1,
      anon_sym_LBRACK,
    ACTIONS(2902), 1,
      sym_op_other,
    ACTIONS(2904), 1,
      anon_sym_PLUS,
    ACTIONS(2906), 1,
      anon_sym_DASH,
    ACTIONS(2908), 1,
      anon_sym_SLASH,
    ACTIONS(2910), 1,
      anon_sym_CARET,
    ACTIONS(2975), 1,
      sym_keyword_and,
    ACTIONS(3265), 1,
      sym_keyword_or,
    ACTIONS(3267), 1,
      anon_sym_COLON_COLON,
    STATE(10366), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2900), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1493), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1506), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2896), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3410), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [40448] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(5962), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [40572] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2728), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2726), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [40636] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2519), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2517), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [40700] = 32,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2989), 1,
      anon_sym_LPAREN,
    ACTIONS(2991), 1,
      sym_parameter,
    ACTIONS(2993), 1,
      sym_op_unary_other,
    ACTIONS(3412), 1,
      anon_sym_RPAREN,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(4378), 1,
      sym_identifier,
    STATE(5103), 1,
      sym_invocation,
    STATE(6882), 1,
      sym_all_fields,
    STATE(11213), 1,
      sym_term,
    STATE(11520), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3461), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [40822] = 32,
    ACTIONS(211), 1,
      sym__identifier,
    ACTIONS(269), 1,
      aux_sym_identifier_token1,
    ACTIONS(3001), 1,
      sym_keyword_cast,
    ACTIONS(3003), 1,
      sym_keyword_case,
    ACTIONS(3007), 1,
      sym_keyword_exists,
    ACTIONS(3011), 1,
      sym_keyword_interval,
    ACTIONS(3013), 1,
      sym_keyword_array,
    ACTIONS(3015), 1,
      anon_sym_LPAREN,
    ACTIONS(3017), 1,
      anon_sym_STAR,
    ACTIONS(3021), 1,
      anon_sym_PLUS,
    ACTIONS(3023), 1,
      anon_sym_DASH,
    ACTIONS(3025), 1,
      sym_op_unary_other,
    ACTIONS(3027), 1,
      sym__double_quote_string,
    ACTIONS(3029), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3031), 1,
      aux_sym__integer_token1,
    ACTIONS(3033), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3035), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3037), 1,
      sym__dollar_quoted_string,
    ACTIONS(3241), 1,
      sym_parameter,
    STATE(310), 1,
      sym__single_quote_string,
    STATE(2882), 1,
      sym_identifier,
    STATE(3887), 1,
      sym_invocation,
    STATE(4609), 1,
      sym__qualified_field,
    STATE(6930), 1,
      sym_all_fields,
    STATE(7502), 1,
      sym_term,
    STATE(7548), 1,
      sym_select_expression,
    STATE(11982), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3005), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3884), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2022), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [40944] = 4,
    ACTIONS(3414), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2070), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2068), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [41010] = 32,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2989), 1,
      anon_sym_LPAREN,
    ACTIONS(2991), 1,
      sym_parameter,
    ACTIONS(2993), 1,
      sym_op_unary_other,
    ACTIONS(3416), 1,
      anon_sym_RPAREN,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(4378), 1,
      sym_identifier,
    STATE(5103), 1,
      sym_invocation,
    STATE(6882), 1,
      sym_all_fields,
    STATE(10927), 1,
      sym_term,
    STATE(11520), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3461), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [41132] = 32,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2989), 1,
      anon_sym_LPAREN,
    ACTIONS(2991), 1,
      sym_parameter,
    ACTIONS(2993), 1,
      sym_op_unary_other,
    ACTIONS(3418), 1,
      anon_sym_RPAREN,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(4378), 1,
      sym_identifier,
    STATE(5103), 1,
      sym_invocation,
    STATE(6882), 1,
      sym_all_fields,
    STATE(11104), 1,
      sym_term,
    STATE(11520), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3461), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [41254] = 13,
    ACTIONS(3271), 1,
      sym_keyword_is,
    ACTIONS(3277), 1,
      anon_sym_LBRACK,
    ACTIONS(3287), 1,
      anon_sym_PLUS,
    ACTIONS(3289), 1,
      anon_sym_DASH,
    ACTIONS(3291), 1,
      anon_sym_SLASH,
    ACTIONS(3293), 1,
      anon_sym_CARET,
    STATE(11198), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3281), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1444), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2430), 4,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1445), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2428), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [41338] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(6043), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [41462] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2754), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2752), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [41526] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(6046), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [41650] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2768), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2766), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [41714] = 32,
    ACTIONS(903), 1,
      sym__identifier,
    ACTIONS(907), 1,
      aux_sym_identifier_token1,
    ACTIONS(3017), 1,
      anon_sym_STAR,
    ACTIONS(3191), 1,
      sym_keyword_cast,
    ACTIONS(3193), 1,
      sym_keyword_case,
    ACTIONS(3197), 1,
      sym_keyword_exists,
    ACTIONS(3201), 1,
      sym_keyword_interval,
    ACTIONS(3203), 1,
      sym_keyword_array,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(3207), 1,
      sym_parameter,
    ACTIONS(3209), 1,
      anon_sym_PLUS,
    ACTIONS(3211), 1,
      anon_sym_DASH,
    ACTIONS(3213), 1,
      sym_op_unary_other,
    ACTIONS(3215), 1,
      sym__double_quote_string,
    ACTIONS(3217), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3219), 1,
      aux_sym__integer_token1,
    ACTIONS(3221), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3223), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3225), 1,
      sym__dollar_quoted_string,
    STATE(2953), 1,
      sym__single_quote_string,
    STATE(4196), 1,
      sym_identifier,
    STATE(4905), 1,
      sym__qualified_field,
    STATE(5627), 1,
      sym_invocation,
    STATE(6930), 1,
      sym_all_fields,
    STATE(7548), 1,
      sym_select_expression,
    STATE(8524), 1,
      sym_term,
    STATE(11970), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3199), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3195), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4863), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3343), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [41836] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(6047), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [41960] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(6048), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [42084] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(6053), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [42208] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(6055), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [42332] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(6057), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [42456] = 32,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2989), 1,
      anon_sym_LPAREN,
    ACTIONS(2991), 1,
      sym_parameter,
    ACTIONS(2993), 1,
      sym_op_unary_other,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(4378), 1,
      sym_identifier,
    STATE(5103), 1,
      sym_invocation,
    STATE(6882), 1,
      sym_all_fields,
    STATE(9400), 1,
      sym_term,
    STATE(11085), 1,
      sym_select_expression,
    STATE(11520), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3461), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [42578] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(6062), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [42702] = 18,
    ACTIONS(2394), 1,
      sym_keyword_or,
    ACTIONS(3269), 1,
      sym_keyword_in,
    ACTIONS(3271), 1,
      sym_keyword_is,
    ACTIONS(3277), 1,
      anon_sym_LBRACK,
    ACTIONS(3285), 1,
      sym_op_other,
    ACTIONS(3287), 1,
      anon_sym_PLUS,
    ACTIONS(3289), 1,
      anon_sym_DASH,
    ACTIONS(3291), 1,
      anon_sym_SLASH,
    ACTIONS(3293), 1,
      anon_sym_CARET,
    ACTIONS(3357), 1,
      sym_keyword_not,
    STATE(11198), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3281), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3283), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1444), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1445), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3279), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2392), 28,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COLON_COLON,
  [42796] = 8,
    ACTIONS(3271), 1,
      sym_keyword_is,
    ACTIONS(3277), 1,
      anon_sym_LBRACK,
    STATE(11198), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1444), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1445), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2394), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [42870] = 11,
    ACTIONS(3271), 1,
      sym_keyword_is,
    ACTIONS(3277), 1,
      anon_sym_LBRACK,
    ACTIONS(3291), 1,
      anon_sym_SLASH,
    ACTIONS(3293), 1,
      anon_sym_CARET,
    STATE(11198), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3281), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1444), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1445), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2394), 5,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2392), 36,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [42950] = 4,
    ACTIONS(3420), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2002), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2000), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [43016] = 13,
    ACTIONS(3271), 1,
      sym_keyword_is,
    ACTIONS(3277), 1,
      anon_sym_LBRACK,
    ACTIONS(3287), 1,
      anon_sym_PLUS,
    ACTIONS(3289), 1,
      anon_sym_DASH,
    ACTIONS(3291), 1,
      anon_sym_SLASH,
    ACTIONS(3293), 1,
      anon_sym_CARET,
    STATE(11198), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3281), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1444), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2394), 4,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1445), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [43100] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(2886), 1,
      sym_keyword_in,
    ACTIONS(2888), 1,
      sym_keyword_is,
    ACTIONS(2890), 1,
      sym_keyword_not,
    ACTIONS(2892), 1,
      sym_keyword_between,
    ACTIONS(2894), 1,
      anon_sym_LBRACK,
    ACTIONS(2902), 1,
      sym_op_other,
    ACTIONS(2904), 1,
      anon_sym_PLUS,
    ACTIONS(2906), 1,
      anon_sym_DASH,
    ACTIONS(2908), 1,
      anon_sym_SLASH,
    ACTIONS(2910), 1,
      anon_sym_CARET,
    ACTIONS(2975), 1,
      sym_keyword_and,
    ACTIONS(3265), 1,
      sym_keyword_or,
    ACTIONS(3267), 1,
      anon_sym_COLON_COLON,
    STATE(10366), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2900), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1493), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1506), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2896), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3422), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [43204] = 34,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3107), 1,
      sym_keyword_unbounded,
    ACTIONS(3109), 1,
      sym_keyword_current,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3113), 1,
      sym_parameter,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(6428), 1,
      sym_identifier,
    STATE(6577), 1,
      sym_binary_expression,
    STATE(8659), 1,
      sym_frame_definition,
    STATE(11050), 1,
      sym__current_row,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(6579), 2,
      sym__literal_string,
      sym__integer,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2690), 3,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6253), 14,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [43330] = 4,
    ACTIONS(3424), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2101), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2099), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [43396] = 32,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2989), 1,
      anon_sym_LPAREN,
    ACTIONS(2991), 1,
      sym_parameter,
    ACTIONS(2993), 1,
      sym_op_unary_other,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(4378), 1,
      sym_identifier,
    STATE(5103), 1,
      sym_invocation,
    STATE(6882), 1,
      sym_all_fields,
    STATE(7411), 1,
      sym_select_expression,
    STATE(9400), 1,
      sym_term,
    STATE(11520), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3461), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [43518] = 4,
    ACTIONS(3426), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2056), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2054), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [43584] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(5939), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [43708] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(6064), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [43832] = 32,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2989), 1,
      anon_sym_LPAREN,
    ACTIONS(3132), 1,
      sym_parameter,
    ACTIONS(3134), 1,
      sym_op_unary_other,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(5103), 1,
      sym_invocation,
    STATE(6882), 1,
      sym_all_fields,
    STATE(7411), 1,
      sym_select_expression,
    STATE(8601), 1,
      sym_term,
    STATE(11520), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3130), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3124), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [43954] = 32,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2989), 1,
      anon_sym_LPAREN,
    ACTIONS(2991), 1,
      sym_parameter,
    ACTIONS(2993), 1,
      sym_op_unary_other,
    ACTIONS(3428), 1,
      anon_sym_RPAREN,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(4378), 1,
      sym_identifier,
    STATE(5103), 1,
      sym_invocation,
    STATE(6882), 1,
      sym_all_fields,
    STATE(11091), 1,
      sym_term,
    STATE(11520), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3461), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [44076] = 32,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2989), 1,
      anon_sym_LPAREN,
    ACTIONS(2991), 1,
      sym_parameter,
    ACTIONS(2993), 1,
      sym_op_unary_other,
    ACTIONS(3430), 1,
      anon_sym_RPAREN,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(4378), 1,
      sym_identifier,
    STATE(5103), 1,
      sym_invocation,
    STATE(6882), 1,
      sym_all_fields,
    STATE(11096), 1,
      sym_term,
    STATE(11520), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3461), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [44198] = 32,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2989), 1,
      anon_sym_LPAREN,
    ACTIONS(2991), 1,
      sym_parameter,
    ACTIONS(2993), 1,
      sym_op_unary_other,
    ACTIONS(3432), 1,
      anon_sym_RPAREN,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(4378), 1,
      sym_identifier,
    STATE(5103), 1,
      sym_invocation,
    STATE(6882), 1,
      sym_all_fields,
    STATE(11006), 1,
      sym_term,
    STATE(11520), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3461), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [44320] = 33,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3257), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(6026), 1,
      sym__literal_string,
    STATE(7558), 1,
      sym_all_fields,
    STATE(9588), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3485), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [44444] = 32,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2989), 1,
      anon_sym_LPAREN,
    ACTIONS(2991), 1,
      sym_parameter,
    ACTIONS(2993), 1,
      sym_op_unary_other,
    ACTIONS(3434), 1,
      anon_sym_RPAREN,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(4378), 1,
      sym_identifier,
    STATE(5103), 1,
      sym_invocation,
    STATE(6882), 1,
      sym_all_fields,
    STATE(10914), 1,
      sym_term,
    STATE(11520), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3461), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [44566] = 9,
    ACTIONS(3271), 1,
      sym_keyword_is,
    ACTIONS(3277), 1,
      anon_sym_LBRACK,
    ACTIONS(3293), 1,
      anon_sym_CARET,
    STATE(11198), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1444), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1445), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2394), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(2392), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [44642] = 32,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2989), 1,
      anon_sym_LPAREN,
    ACTIONS(2991), 1,
      sym_parameter,
    ACTIONS(2993), 1,
      sym_op_unary_other,
    ACTIONS(3436), 1,
      anon_sym_RPAREN,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(4378), 1,
      sym_identifier,
    STATE(5103), 1,
      sym_invocation,
    STATE(6882), 1,
      sym_all_fields,
    STATE(11116), 1,
      sym_term,
    STATE(11520), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3461), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [44764] = 32,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2989), 1,
      anon_sym_LPAREN,
    ACTIONS(2991), 1,
      sym_parameter,
    ACTIONS(2993), 1,
      sym_op_unary_other,
    ACTIONS(3438), 1,
      anon_sym_RPAREN,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(4378), 1,
      sym_identifier,
    STATE(5103), 1,
      sym_invocation,
    STATE(6882), 1,
      sym_all_fields,
    STATE(10691), 1,
      sym_term,
    STATE(11520), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3461), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [44886] = 6,
    STATE(11198), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1444), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1445), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2394), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [44956] = 4,
    ACTIONS(2959), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1862), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1860), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [45022] = 32,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2989), 1,
      anon_sym_LPAREN,
    ACTIONS(2991), 1,
      sym_parameter,
    ACTIONS(2993), 1,
      sym_op_unary_other,
    ACTIONS(3440), 1,
      anon_sym_RPAREN,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(4378), 1,
      sym_identifier,
    STATE(5103), 1,
      sym_invocation,
    STATE(6882), 1,
      sym_all_fields,
    STATE(11124), 1,
      sym_term,
    STATE(11520), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3461), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [45144] = 32,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2989), 1,
      anon_sym_LPAREN,
    ACTIONS(2991), 1,
      sym_parameter,
    ACTIONS(2993), 1,
      sym_op_unary_other,
    ACTIONS(3442), 1,
      anon_sym_RPAREN,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(4378), 1,
      sym_identifier,
    STATE(5103), 1,
      sym_invocation,
    STATE(6882), 1,
      sym_all_fields,
    STATE(11139), 1,
      sym_term,
    STATE(11520), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3461), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [45266] = 32,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2989), 1,
      anon_sym_LPAREN,
    ACTIONS(2991), 1,
      sym_parameter,
    ACTIONS(2993), 1,
      sym_op_unary_other,
    ACTIONS(3444), 1,
      anon_sym_RPAREN,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(4378), 1,
      sym_identifier,
    STATE(5103), 1,
      sym_invocation,
    STATE(6882), 1,
      sym_all_fields,
    STATE(11175), 1,
      sym_term,
    STATE(11520), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3461), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [45388] = 32,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2989), 1,
      anon_sym_LPAREN,
    ACTIONS(2991), 1,
      sym_parameter,
    ACTIONS(2993), 1,
      sym_op_unary_other,
    ACTIONS(3446), 1,
      anon_sym_RPAREN,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(4378), 1,
      sym_identifier,
    STATE(5103), 1,
      sym_invocation,
    STATE(6882), 1,
      sym_all_fields,
    STATE(11205), 1,
      sym_term,
    STATE(11520), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3461), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [45510] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2064), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2062), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [45573] = 31,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2989), 1,
      anon_sym_LPAREN,
    ACTIONS(2991), 1,
      sym_parameter,
    ACTIONS(2993), 1,
      sym_op_unary_other,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(4378), 1,
      sym_identifier,
    STATE(5103), 1,
      sym_invocation,
    STATE(6882), 1,
      sym_all_fields,
    STATE(11407), 1,
      sym_term,
    STATE(11520), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3461), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [45692] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(3269), 1,
      sym_keyword_in,
    ACTIONS(3271), 1,
      sym_keyword_is,
    ACTIONS(3273), 1,
      sym_keyword_not,
    ACTIONS(3275), 1,
      sym_keyword_between,
    ACTIONS(3277), 1,
      anon_sym_LBRACK,
    ACTIONS(3285), 1,
      sym_op_other,
    ACTIONS(3287), 1,
      anon_sym_PLUS,
    ACTIONS(3289), 1,
      anon_sym_DASH,
    ACTIONS(3291), 1,
      anon_sym_SLASH,
    ACTIONS(3293), 1,
      anon_sym_CARET,
    ACTIONS(3295), 1,
      sym_keyword_and,
    ACTIONS(3448), 1,
      sym_keyword_or,
    ACTIONS(3450), 1,
      anon_sym_COLON_COLON,
    STATE(11198), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3281), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3283), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1444), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1445), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3279), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3368), 21,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [45795] = 31,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(7558), 1,
      sym_all_fields,
    STATE(8061), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [45914] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3454), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3452), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [45977] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3458), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3456), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [46040] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2109), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2107), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [46103] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1862), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1860), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [46166] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2347), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2345), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [46229] = 31,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(7558), 1,
      sym_all_fields,
    STATE(8001), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [46348] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1370), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1372), 36,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [46411] = 31,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(7558), 1,
      sym_all_fields,
    STATE(7949), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [46530] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2227), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2225), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [46593] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3462), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3460), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [46656] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3466), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3464), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [46719] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3470), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3468), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [46782] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(3269), 1,
      sym_keyword_in,
    ACTIONS(3271), 1,
      sym_keyword_is,
    ACTIONS(3273), 1,
      sym_keyword_not,
    ACTIONS(3275), 1,
      sym_keyword_between,
    ACTIONS(3277), 1,
      anon_sym_LBRACK,
    ACTIONS(3285), 1,
      sym_op_other,
    ACTIONS(3287), 1,
      anon_sym_PLUS,
    ACTIONS(3289), 1,
      anon_sym_DASH,
    ACTIONS(3291), 1,
      anon_sym_SLASH,
    ACTIONS(3293), 1,
      anon_sym_CARET,
    ACTIONS(3295), 1,
      sym_keyword_and,
    ACTIONS(3448), 1,
      sym_keyword_or,
    ACTIONS(3450), 1,
      anon_sym_COLON_COLON,
    STATE(11198), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3281), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3283), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1444), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1445), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3279), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3360), 21,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [46885] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(3269), 1,
      sym_keyword_in,
    ACTIONS(3271), 1,
      sym_keyword_is,
    ACTIONS(3273), 1,
      sym_keyword_not,
    ACTIONS(3275), 1,
      sym_keyword_between,
    ACTIONS(3277), 1,
      anon_sym_LBRACK,
    ACTIONS(3285), 1,
      sym_op_other,
    ACTIONS(3287), 1,
      anon_sym_PLUS,
    ACTIONS(3289), 1,
      anon_sym_DASH,
    ACTIONS(3291), 1,
      anon_sym_SLASH,
    ACTIONS(3293), 1,
      anon_sym_CARET,
    ACTIONS(3295), 1,
      sym_keyword_and,
    ACTIONS(3448), 1,
      sym_keyword_or,
    ACTIONS(3450), 1,
      anon_sym_COLON_COLON,
    STATE(11198), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3281), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3283), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1444), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1445), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3279), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3376), 21,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [46988] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3474), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3472), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [47051] = 31,
    ACTIONS(903), 1,
      sym__identifier,
    ACTIONS(907), 1,
      aux_sym_identifier_token1,
    ACTIONS(3017), 1,
      anon_sym_STAR,
    ACTIONS(3191), 1,
      sym_keyword_cast,
    ACTIONS(3193), 1,
      sym_keyword_case,
    ACTIONS(3197), 1,
      sym_keyword_exists,
    ACTIONS(3201), 1,
      sym_keyword_interval,
    ACTIONS(3203), 1,
      sym_keyword_array,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(3207), 1,
      sym_parameter,
    ACTIONS(3209), 1,
      anon_sym_PLUS,
    ACTIONS(3211), 1,
      anon_sym_DASH,
    ACTIONS(3213), 1,
      sym_op_unary_other,
    ACTIONS(3215), 1,
      sym__double_quote_string,
    ACTIONS(3217), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3219), 1,
      aux_sym__integer_token1,
    ACTIONS(3221), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3223), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3225), 1,
      sym__dollar_quoted_string,
    STATE(2953), 1,
      sym__single_quote_string,
    STATE(4196), 1,
      sym_identifier,
    STATE(4905), 1,
      sym__qualified_field,
    STATE(5627), 1,
      sym_invocation,
    STATE(6930), 1,
      sym_all_fields,
    STATE(7467), 1,
      sym_term,
    STATE(11970), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3199), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3195), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4863), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3343), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [47170] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3478), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3476), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [47233] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1996), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1994), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [47296] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3482), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3480), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [47359] = 31,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(7558), 1,
      sym_all_fields,
    STATE(8020), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [47478] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3486), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3484), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [47541] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1372), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1370), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [47604] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3490), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3488), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [47667] = 31,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2989), 1,
      anon_sym_LPAREN,
    ACTIONS(2991), 1,
      sym_parameter,
    ACTIONS(2993), 1,
      sym_op_unary_other,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(4378), 1,
      sym_identifier,
    STATE(5103), 1,
      sym_invocation,
    STATE(6882), 1,
      sym_all_fields,
    STATE(7402), 1,
      sym_term,
    STATE(11520), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3461), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [47786] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2255), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2253), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [47849] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2243), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2241), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [47912] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2259), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2257), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [47975] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2179), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2177), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [48038] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(3269), 1,
      sym_keyword_in,
    ACTIONS(3271), 1,
      sym_keyword_is,
    ACTIONS(3273), 1,
      sym_keyword_not,
    ACTIONS(3275), 1,
      sym_keyword_between,
    ACTIONS(3277), 1,
      anon_sym_LBRACK,
    ACTIONS(3285), 1,
      sym_op_other,
    ACTIONS(3287), 1,
      anon_sym_PLUS,
    ACTIONS(3289), 1,
      anon_sym_DASH,
    ACTIONS(3291), 1,
      anon_sym_SLASH,
    ACTIONS(3293), 1,
      anon_sym_CARET,
    ACTIONS(3295), 1,
      sym_keyword_and,
    ACTIONS(3448), 1,
      sym_keyword_or,
    ACTIONS(3450), 1,
      anon_sym_COLON_COLON,
    STATE(11198), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3281), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3283), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1444), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1445), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3279), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3382), 21,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [48141] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(3269), 1,
      sym_keyword_in,
    ACTIONS(3271), 1,
      sym_keyword_is,
    ACTIONS(3273), 1,
      sym_keyword_not,
    ACTIONS(3275), 1,
      sym_keyword_between,
    ACTIONS(3277), 1,
      anon_sym_LBRACK,
    ACTIONS(3285), 1,
      sym_op_other,
    ACTIONS(3287), 1,
      anon_sym_PLUS,
    ACTIONS(3289), 1,
      anon_sym_DASH,
    ACTIONS(3291), 1,
      anon_sym_SLASH,
    ACTIONS(3293), 1,
      anon_sym_CARET,
    ACTIONS(3295), 1,
      sym_keyword_and,
    ACTIONS(3448), 1,
      sym_keyword_or,
    ACTIONS(3450), 1,
      anon_sym_COLON_COLON,
    STATE(11198), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3281), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3283), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1444), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1445), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3279), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3327), 21,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [48244] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2319), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2317), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [48307] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2323), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2321), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [48370] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2394), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [48433] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2219), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2217), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [48496] = 31,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(7558), 1,
      sym_all_fields,
    STATE(8102), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [48615] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3494), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3492), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [48678] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3498), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3496), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [48741] = 31,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2989), 1,
      anon_sym_LPAREN,
    ACTIONS(3132), 1,
      sym_parameter,
    ACTIONS(3134), 1,
      sym_op_unary_other,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(5103), 1,
      sym_invocation,
    STATE(6882), 1,
      sym_all_fields,
    STATE(7402), 1,
      sym_term,
    STATE(11520), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3130), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3124), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [48860] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2020), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2018), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [48923] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(3269), 1,
      sym_keyword_in,
    ACTIONS(3271), 1,
      sym_keyword_is,
    ACTIONS(3273), 1,
      sym_keyword_not,
    ACTIONS(3275), 1,
      sym_keyword_between,
    ACTIONS(3277), 1,
      anon_sym_LBRACK,
    ACTIONS(3285), 1,
      sym_op_other,
    ACTIONS(3287), 1,
      anon_sym_PLUS,
    ACTIONS(3289), 1,
      anon_sym_DASH,
    ACTIONS(3291), 1,
      anon_sym_SLASH,
    ACTIONS(3293), 1,
      anon_sym_CARET,
    ACTIONS(3295), 1,
      sym_keyword_and,
    ACTIONS(3448), 1,
      sym_keyword_or,
    ACTIONS(3450), 1,
      anon_sym_COLON_COLON,
    STATE(11198), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3281), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3283), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1444), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1445), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3279), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3384), 21,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [49026] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2239), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2237), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [49089] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2183), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2181), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [49152] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2303), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2301), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [49215] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2315), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2313), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [49278] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3502), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3500), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [49341] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3506), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3504), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [49404] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3510), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3508), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [49467] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3514), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3512), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [49530] = 31,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(7558), 1,
      sym_all_fields,
    STATE(8127), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [49649] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2307), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2305), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [49712] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2327), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2325), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [49775] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(3269), 1,
      sym_keyword_in,
    ACTIONS(3271), 1,
      sym_keyword_is,
    ACTIONS(3273), 1,
      sym_keyword_not,
    ACTIONS(3275), 1,
      sym_keyword_between,
    ACTIONS(3277), 1,
      anon_sym_LBRACK,
    ACTIONS(3285), 1,
      sym_op_other,
    ACTIONS(3287), 1,
      anon_sym_PLUS,
    ACTIONS(3289), 1,
      anon_sym_DASH,
    ACTIONS(3291), 1,
      anon_sym_SLASH,
    ACTIONS(3293), 1,
      anon_sym_CARET,
    ACTIONS(3295), 1,
      sym_keyword_and,
    ACTIONS(3448), 1,
      sym_keyword_or,
    ACTIONS(3450), 1,
      anon_sym_COLON_COLON,
    STATE(11198), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3281), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3283), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1444), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1445), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3279), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3340), 21,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [49878] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(3269), 1,
      sym_keyword_in,
    ACTIONS(3271), 1,
      sym_keyword_is,
    ACTIONS(3273), 1,
      sym_keyword_not,
    ACTIONS(3275), 1,
      sym_keyword_between,
    ACTIONS(3277), 1,
      anon_sym_LBRACK,
    ACTIONS(3285), 1,
      sym_op_other,
    ACTIONS(3287), 1,
      anon_sym_PLUS,
    ACTIONS(3289), 1,
      anon_sym_DASH,
    ACTIONS(3291), 1,
      anon_sym_SLASH,
    ACTIONS(3293), 1,
      anon_sym_CARET,
    ACTIONS(3295), 1,
      sym_keyword_and,
    ACTIONS(3448), 1,
      sym_keyword_or,
    ACTIONS(3450), 1,
      anon_sym_COLON_COLON,
    STATE(11198), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3281), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3283), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1444), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1445), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3279), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3422), 21,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [49981] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2038), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2036), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [50044] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2247), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2245), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [50107] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2223), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2221), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [50170] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3516), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3518), 36,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [50233] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2275), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2273), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [50296] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2271), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2269), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [50359] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2279), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2277), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [50422] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2215), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2213), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [50485] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2070), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2068), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [50548] = 31,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(7558), 1,
      sym_all_fields,
    STATE(7985), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [50667] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2283), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2281), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [50730] = 31,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(7558), 1,
      sym_all_fields,
    STATE(7959), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [50849] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2295), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2293), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [50912] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2299), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2297), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [50975] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2311), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2309), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [51038] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3522), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3520), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [51101] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3518), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3516), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [51164] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2083), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2081), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [51227] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3526), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3524), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [51290] = 31,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(7558), 1,
      sym_all_fields,
    STATE(7997), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [51409] = 31,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(3067), 1,
      sym_keyword_cast,
    ACTIONS(3069), 1,
      sym_keyword_case,
    ACTIONS(3073), 1,
      sym_keyword_exists,
    ACTIONS(3077), 1,
      sym_keyword_interval,
    ACTIONS(3079), 1,
      sym_keyword_array,
    ACTIONS(3081), 1,
      anon_sym_LPAREN,
    ACTIONS(3085), 1,
      anon_sym_PLUS,
    ACTIONS(3087), 1,
      anon_sym_DASH,
    ACTIONS(3089), 1,
      sym_op_unary_other,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3095), 1,
      aux_sym__integer_token1,
    ACTIONS(3097), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3099), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(3253), 1,
      sym_parameter,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(2733), 1,
      sym_identifier,
    STATE(3671), 1,
      sym_invocation,
    STATE(3899), 1,
      sym__qualified_field,
    STATE(6882), 1,
      sym_all_fields,
    STATE(7402), 1,
      sym_term,
    STATE(11381), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3075), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3071), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3210), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1138), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [51528] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2203), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2201), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [51591] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(3269), 1,
      sym_keyword_in,
    ACTIONS(3271), 1,
      sym_keyword_is,
    ACTIONS(3273), 1,
      sym_keyword_not,
    ACTIONS(3275), 1,
      sym_keyword_between,
    ACTIONS(3277), 1,
      anon_sym_LBRACK,
    ACTIONS(3285), 1,
      sym_op_other,
    ACTIONS(3287), 1,
      anon_sym_PLUS,
    ACTIONS(3289), 1,
      anon_sym_DASH,
    ACTIONS(3291), 1,
      anon_sym_SLASH,
    ACTIONS(3293), 1,
      anon_sym_CARET,
    ACTIONS(3295), 1,
      sym_keyword_and,
    ACTIONS(3448), 1,
      sym_keyword_or,
    ACTIONS(3450), 1,
      anon_sym_COLON_COLON,
    STATE(11198), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3281), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3283), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1444), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1445), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3279), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3263), 21,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [51694] = 31,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(7558), 1,
      sym_all_fields,
    STATE(8016), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [51813] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2207), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2205), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [51876] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2191), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2189), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [51939] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2046), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2044), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [52002] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2797), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2795), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [52065] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3530), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3528), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [52128] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3534), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3532), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [52191] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2008), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2006), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [52254] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3538), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3536), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [52317] = 31,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(7558), 1,
      sym_all_fields,
    STATE(8104), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [52436] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2339), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2337), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [52499] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3542), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3540), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [52562] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1774), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1772), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [52625] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(3269), 1,
      sym_keyword_in,
    ACTIONS(3271), 1,
      sym_keyword_is,
    ACTIONS(3273), 1,
      sym_keyword_not,
    ACTIONS(3275), 1,
      sym_keyword_between,
    ACTIONS(3277), 1,
      anon_sym_LBRACK,
    ACTIONS(3285), 1,
      sym_op_other,
    ACTIONS(3287), 1,
      anon_sym_PLUS,
    ACTIONS(3289), 1,
      anon_sym_DASH,
    ACTIONS(3291), 1,
      anon_sym_SLASH,
    ACTIONS(3293), 1,
      anon_sym_CARET,
    ACTIONS(3295), 1,
      sym_keyword_and,
    ACTIONS(3448), 1,
      sym_keyword_or,
    ACTIONS(3450), 1,
      anon_sym_COLON_COLON,
    STATE(11198), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3281), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3283), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1444), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1445), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3279), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3366), 21,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [52728] = 31,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(7558), 1,
      sym_all_fields,
    STATE(7992), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [52847] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2343), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2341), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [52910] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2127), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2125), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [52973] = 31,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(7558), 1,
      sym_all_fields,
    STATE(8109), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [53092] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2351), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2349), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [53155] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(3269), 1,
      sym_keyword_in,
    ACTIONS(3271), 1,
      sym_keyword_is,
    ACTIONS(3273), 1,
      sym_keyword_not,
    ACTIONS(3275), 1,
      sym_keyword_between,
    ACTIONS(3277), 1,
      anon_sym_LBRACK,
    ACTIONS(3285), 1,
      sym_op_other,
    ACTIONS(3287), 1,
      anon_sym_PLUS,
    ACTIONS(3289), 1,
      anon_sym_DASH,
    ACTIONS(3291), 1,
      anon_sym_SLASH,
    ACTIONS(3293), 1,
      anon_sym_CARET,
    ACTIONS(3295), 1,
      sym_keyword_and,
    ACTIONS(3448), 1,
      sym_keyword_or,
    ACTIONS(3450), 1,
      anon_sym_COLON_COLON,
    STATE(11198), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3281), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3283), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1444), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1445), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3279), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3325), 21,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [53258] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2195), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2193), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [53321] = 31,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(7558), 1,
      sym_all_fields,
    STATE(8072), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [53440] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2235), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2233), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [53503] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2355), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2353), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [53566] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2263), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2261), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [53629] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3546), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3544), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [53692] = 31,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(7558), 1,
      sym_all_fields,
    STATE(10203), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [53811] = 31,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(7558), 1,
      sym_all_fields,
    STATE(8002), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [53930] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2359), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2357), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [53993] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2291), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2289), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [54056] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(3269), 1,
      sym_keyword_in,
    ACTIONS(3271), 1,
      sym_keyword_is,
    ACTIONS(3273), 1,
      sym_keyword_not,
    ACTIONS(3275), 1,
      sym_keyword_between,
    ACTIONS(3277), 1,
      anon_sym_LBRACK,
    ACTIONS(3285), 1,
      sym_op_other,
    ACTIONS(3287), 1,
      anon_sym_PLUS,
    ACTIONS(3289), 1,
      anon_sym_DASH,
    ACTIONS(3291), 1,
      anon_sym_SLASH,
    ACTIONS(3293), 1,
      anon_sym_CARET,
    ACTIONS(3295), 1,
      sym_keyword_and,
    ACTIONS(3448), 1,
      sym_keyword_or,
    ACTIONS(3450), 1,
      anon_sym_COLON_COLON,
    STATE(11198), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3281), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3283), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1444), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1445), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3279), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3410), 21,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [54159] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2267), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2265), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [54222] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3550), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3548), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [54285] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3554), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3552), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [54348] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2141), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2139), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [54411] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3558), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3556), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [54474] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2121), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2119), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [54537] = 31,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(7558), 1,
      sym_all_fields,
    STATE(8053), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [54656] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3562), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3560), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [54719] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(3269), 1,
      sym_keyword_in,
    ACTIONS(3271), 1,
      sym_keyword_is,
    ACTIONS(3273), 1,
      sym_keyword_not,
    ACTIONS(3275), 1,
      sym_keyword_between,
    ACTIONS(3277), 1,
      anon_sym_LBRACK,
    ACTIONS(3285), 1,
      sym_op_other,
    ACTIONS(3287), 1,
      anon_sym_PLUS,
    ACTIONS(3289), 1,
      anon_sym_DASH,
    ACTIONS(3291), 1,
      anon_sym_SLASH,
    ACTIONS(3293), 1,
      anon_sym_CARET,
    ACTIONS(3295), 1,
      sym_keyword_and,
    ACTIONS(3448), 1,
      sym_keyword_or,
    ACTIONS(3450), 1,
      anon_sym_COLON_COLON,
    STATE(11198), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3281), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3283), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1444), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1445), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3279), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3402), 21,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [54822] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2251), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2249), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [54885] = 31,
    ACTIONS(211), 1,
      sym__identifier,
    ACTIONS(269), 1,
      aux_sym_identifier_token1,
    ACTIONS(3001), 1,
      sym_keyword_cast,
    ACTIONS(3003), 1,
      sym_keyword_case,
    ACTIONS(3007), 1,
      sym_keyword_exists,
    ACTIONS(3011), 1,
      sym_keyword_interval,
    ACTIONS(3013), 1,
      sym_keyword_array,
    ACTIONS(3015), 1,
      anon_sym_LPAREN,
    ACTIONS(3017), 1,
      anon_sym_STAR,
    ACTIONS(3019), 1,
      sym_parameter,
    ACTIONS(3021), 1,
      anon_sym_PLUS,
    ACTIONS(3023), 1,
      anon_sym_DASH,
    ACTIONS(3025), 1,
      sym_op_unary_other,
    ACTIONS(3027), 1,
      sym__double_quote_string,
    ACTIONS(3029), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3031), 1,
      aux_sym__integer_token1,
    ACTIONS(3033), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3035), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3037), 1,
      sym__dollar_quoted_string,
    STATE(310), 1,
      sym__single_quote_string,
    STATE(2882), 1,
      sym_identifier,
    STATE(3887), 1,
      sym_invocation,
    STATE(4609), 1,
      sym__qualified_field,
    STATE(6930), 1,
      sym_all_fields,
    STATE(7467), 1,
      sym_term,
    STATE(11982), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3005), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3884), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2474), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [55004] = 31,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(3067), 1,
      sym_keyword_cast,
    ACTIONS(3069), 1,
      sym_keyword_case,
    ACTIONS(3073), 1,
      sym_keyword_exists,
    ACTIONS(3077), 1,
      sym_keyword_interval,
    ACTIONS(3079), 1,
      sym_keyword_array,
    ACTIONS(3081), 1,
      anon_sym_LPAREN,
    ACTIONS(3083), 1,
      sym_parameter,
    ACTIONS(3085), 1,
      anon_sym_PLUS,
    ACTIONS(3087), 1,
      anon_sym_DASH,
    ACTIONS(3089), 1,
      sym_op_unary_other,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3095), 1,
      aux_sym__integer_token1,
    ACTIONS(3097), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3099), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(2733), 1,
      sym_identifier,
    STATE(3671), 1,
      sym_invocation,
    STATE(3899), 1,
      sym__qualified_field,
    STATE(6882), 1,
      sym_all_fields,
    STATE(7402), 1,
      sym_term,
    STATE(11381), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3075), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3071), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3210), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2291), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [55123] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3566), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3564), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [55186] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2331), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2329), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [55249] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2032), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2030), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [55312] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2199), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2197), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [55375] = 31,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(7558), 1,
      sym_all_fields,
    STATE(7968), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [55494] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2187), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2185), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [55557] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3570), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3568), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [55620] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2231), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2229), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [55683] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2089), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2087), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [55746] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3574), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3572), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [55809] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3464), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3466), 36,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [55872] = 31,
    ACTIONS(211), 1,
      sym__identifier,
    ACTIONS(269), 1,
      aux_sym_identifier_token1,
    ACTIONS(3001), 1,
      sym_keyword_cast,
    ACTIONS(3003), 1,
      sym_keyword_case,
    ACTIONS(3007), 1,
      sym_keyword_exists,
    ACTIONS(3011), 1,
      sym_keyword_interval,
    ACTIONS(3013), 1,
      sym_keyword_array,
    ACTIONS(3015), 1,
      anon_sym_LPAREN,
    ACTIONS(3017), 1,
      anon_sym_STAR,
    ACTIONS(3021), 1,
      anon_sym_PLUS,
    ACTIONS(3023), 1,
      anon_sym_DASH,
    ACTIONS(3025), 1,
      sym_op_unary_other,
    ACTIONS(3027), 1,
      sym__double_quote_string,
    ACTIONS(3029), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3031), 1,
      aux_sym__integer_token1,
    ACTIONS(3033), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3035), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3037), 1,
      sym__dollar_quoted_string,
    ACTIONS(3241), 1,
      sym_parameter,
    STATE(310), 1,
      sym__single_quote_string,
    STATE(2882), 1,
      sym_identifier,
    STATE(3887), 1,
      sym_invocation,
    STATE(4609), 1,
      sym__qualified_field,
    STATE(6930), 1,
      sym_all_fields,
    STATE(7467), 1,
      sym_term,
    STATE(11982), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3005), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3884), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2022), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [55991] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2211), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2209), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [56054] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2147), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2145), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [56117] = 31,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2935), 1,
      anon_sym_STAR,
    ACTIONS(2937), 1,
      sym_parameter,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(7558), 1,
      sym_all_fields,
    STATE(7965), 1,
      sym_term,
    STATE(11998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3385), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [56236] = 23,
    ACTIONS(2396), 1,
      sym_keyword_in,
    ACTIONS(2398), 1,
      sym_keyword_and,
    ACTIONS(2400), 1,
      sym_keyword_is,
    ACTIONS(2404), 1,
      sym_keyword_between,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(2410), 1,
      anon_sym_LBRACK,
    ACTIONS(2418), 1,
      sym_op_other,
    ACTIONS(2420), 1,
      anon_sym_PLUS,
    ACTIONS(2422), 1,
      anon_sym_DASH,
    ACTIONS(2424), 1,
      anon_sym_SLASH,
    ACTIONS(2426), 1,
      anon_sym_CARET,
    ACTIONS(3578), 1,
      sym_keyword_as,
    ACTIONS(3580), 1,
      sym_keyword_or,
    ACTIONS(3582), 1,
      anon_sym_COLON_COLON,
    STATE(10357), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2414), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2416), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1678), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1672), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2412), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3576), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [56339] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2287), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2285), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [56402] = 23,
    ACTIONS(2396), 1,
      sym_keyword_in,
    ACTIONS(2398), 1,
      sym_keyword_and,
    ACTIONS(2400), 1,
      sym_keyword_is,
    ACTIONS(2404), 1,
      sym_keyword_between,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(2410), 1,
      anon_sym_LBRACK,
    ACTIONS(2418), 1,
      sym_op_other,
    ACTIONS(2420), 1,
      anon_sym_PLUS,
    ACTIONS(2422), 1,
      anon_sym_DASH,
    ACTIONS(2424), 1,
      anon_sym_SLASH,
    ACTIONS(2426), 1,
      anon_sym_CARET,
    ACTIONS(3580), 1,
      sym_keyword_or,
    ACTIONS(3582), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3586), 1,
      sym_keyword_as,
    STATE(10357), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2414), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2416), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1678), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1672), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2412), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3584), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [56505] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2335), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2333), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [56568] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2095), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2093), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [56631] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1926), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1924), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [56694] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2386), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2384), 47,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [56756] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(2886), 1,
      sym_keyword_in,
    ACTIONS(2888), 1,
      sym_keyword_is,
    ACTIONS(2890), 1,
      sym_keyword_not,
    ACTIONS(2892), 1,
      sym_keyword_between,
    ACTIONS(2894), 1,
      anon_sym_LBRACK,
    ACTIONS(2902), 1,
      sym_op_other,
    ACTIONS(2904), 1,
      anon_sym_PLUS,
    ACTIONS(2906), 1,
      anon_sym_DASH,
    ACTIONS(2908), 1,
      anon_sym_SLASH,
    ACTIONS(2910), 1,
      anon_sym_CARET,
    ACTIONS(2975), 1,
      sym_keyword_and,
    ACTIONS(3265), 1,
      sym_keyword_or,
    ACTIONS(3588), 1,
      anon_sym_COLON_COLON,
    STATE(10366), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2900), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1493), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1506), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2896), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3376), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      anon_sym_RPAREN,
  [56858] = 31,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(3590), 1,
      sym_keyword_cast,
    ACTIONS(3594), 1,
      sym_keyword_current_timestamp,
    ACTIONS(3598), 1,
      sym_keyword_array,
    ACTIONS(3600), 1,
      anon_sym_LPAREN,
    ACTIONS(3602), 1,
      sym_parameter,
    ACTIONS(3604), 1,
      anon_sym_PLUS,
    ACTIONS(3606), 1,
      anon_sym_DASH,
    ACTIONS(3608), 1,
      sym_op_unary_other,
    ACTIONS(3610), 1,
      sym__double_quote_string,
    ACTIONS(3612), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3614), 1,
      aux_sym__integer_token1,
    ACTIONS(3616), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3618), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3620), 1,
      sym__dollar_quoted_string,
    STATE(2205), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(2726), 1,
      sym_invocation,
    STATE(6486), 1,
      sym_identifier,
    STATE(6829), 1,
      sym__inner_default_expression,
    STATE(11809), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3596), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3592), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2159), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3083), 7,
      sym_array,
      sym_implicit_cast,
      sym_cast,
      sym_binary_expression,
      sym_unary_expression,
      sym_list,
      sym_literal,
    STATE(6189), 8,
      sym_case,
      sym_interval,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_between_expression,
      sym_subquery,
  [56976] = 7,
    ACTIONS(109), 1,
      anon_sym_LPAREN,
    ACTIONS(2784), 1,
      anon_sym_DOT,
    ACTIONS(3612), 1,
      aux_sym__single_quote_string_token1,
    STATE(2175), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2782), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2780), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [57046] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(2886), 1,
      sym_keyword_in,
    ACTIONS(2888), 1,
      sym_keyword_is,
    ACTIONS(2890), 1,
      sym_keyword_not,
    ACTIONS(2892), 1,
      sym_keyword_between,
    ACTIONS(2894), 1,
      anon_sym_LBRACK,
    ACTIONS(2902), 1,
      sym_op_other,
    ACTIONS(2904), 1,
      anon_sym_PLUS,
    ACTIONS(2906), 1,
      anon_sym_DASH,
    ACTIONS(2908), 1,
      anon_sym_SLASH,
    ACTIONS(2910), 1,
      anon_sym_CARET,
    ACTIONS(2975), 1,
      sym_keyword_and,
    ACTIONS(3265), 1,
      sym_keyword_or,
    ACTIONS(3588), 1,
      anon_sym_COLON_COLON,
    STATE(10366), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2900), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1493), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1506), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2896), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3410), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      anon_sym_RPAREN,
  [57148] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(2886), 1,
      sym_keyword_in,
    ACTIONS(2888), 1,
      sym_keyword_is,
    ACTIONS(2890), 1,
      sym_keyword_not,
    ACTIONS(2892), 1,
      sym_keyword_between,
    ACTIONS(2894), 1,
      anon_sym_LBRACK,
    ACTIONS(2902), 1,
      sym_op_other,
    ACTIONS(2904), 1,
      anon_sym_PLUS,
    ACTIONS(2906), 1,
      anon_sym_DASH,
    ACTIONS(2908), 1,
      anon_sym_SLASH,
    ACTIONS(2910), 1,
      anon_sym_CARET,
    ACTIONS(2975), 1,
      sym_keyword_and,
    ACTIONS(3265), 1,
      sym_keyword_or,
    ACTIONS(3588), 1,
      anon_sym_COLON_COLON,
    STATE(10366), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2900), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1493), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1506), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2896), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3366), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      anon_sym_RPAREN,
  [57250] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(2886), 1,
      sym_keyword_in,
    ACTIONS(2888), 1,
      sym_keyword_is,
    ACTIONS(2890), 1,
      sym_keyword_not,
    ACTIONS(2892), 1,
      sym_keyword_between,
    ACTIONS(2894), 1,
      anon_sym_LBRACK,
    ACTIONS(2902), 1,
      sym_op_other,
    ACTIONS(2904), 1,
      anon_sym_PLUS,
    ACTIONS(2906), 1,
      anon_sym_DASH,
    ACTIONS(2908), 1,
      anon_sym_SLASH,
    ACTIONS(2910), 1,
      anon_sym_CARET,
    ACTIONS(2975), 1,
      sym_keyword_and,
    ACTIONS(3265), 1,
      sym_keyword_or,
    ACTIONS(3588), 1,
      anon_sym_COLON_COLON,
    STATE(10366), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2900), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1493), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1506), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2896), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3263), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      anon_sym_RPAREN,
  [57352] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(2811), 1,
      sym_keyword_is,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_PLUS,
    ACTIONS(2819), 1,
      anon_sym_DASH,
    ACTIONS(2821), 1,
      anon_sym_SLASH,
    ACTIONS(2823), 1,
      anon_sym_CARET,
    ACTIONS(2825), 1,
      sym_keyword_in,
    ACTIONS(2829), 1,
      sym_keyword_between,
    ACTIONS(2835), 1,
      sym_op_other,
    ACTIONS(2848), 1,
      sym_keyword_and,
    ACTIONS(3578), 1,
      sym_keyword_as,
    ACTIONS(3622), 1,
      sym_keyword_or,
    ACTIONS(3624), 1,
      anon_sym_COLON_COLON,
    STATE(11101), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2815), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2833), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1480), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1481), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2831), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3576), 20,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [57454] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(2886), 1,
      sym_keyword_in,
    ACTIONS(2888), 1,
      sym_keyword_is,
    ACTIONS(2890), 1,
      sym_keyword_not,
    ACTIONS(2892), 1,
      sym_keyword_between,
    ACTIONS(2894), 1,
      anon_sym_LBRACK,
    ACTIONS(2902), 1,
      sym_op_other,
    ACTIONS(2904), 1,
      anon_sym_PLUS,
    ACTIONS(2906), 1,
      anon_sym_DASH,
    ACTIONS(2908), 1,
      anon_sym_SLASH,
    ACTIONS(2910), 1,
      anon_sym_CARET,
    ACTIONS(2975), 1,
      sym_keyword_and,
    ACTIONS(3265), 1,
      sym_keyword_or,
    ACTIONS(3588), 1,
      anon_sym_COLON_COLON,
    STATE(10366), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2900), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1493), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1506), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2896), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3402), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      anon_sym_RPAREN,
  [57556] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(2886), 1,
      sym_keyword_in,
    ACTIONS(2888), 1,
      sym_keyword_is,
    ACTIONS(2890), 1,
      sym_keyword_not,
    ACTIONS(2892), 1,
      sym_keyword_between,
    ACTIONS(2894), 1,
      anon_sym_LBRACK,
    ACTIONS(2902), 1,
      sym_op_other,
    ACTIONS(2904), 1,
      anon_sym_PLUS,
    ACTIONS(2906), 1,
      anon_sym_DASH,
    ACTIONS(2908), 1,
      anon_sym_SLASH,
    ACTIONS(2910), 1,
      anon_sym_CARET,
    ACTIONS(2975), 1,
      sym_keyword_and,
    ACTIONS(3265), 1,
      sym_keyword_or,
    ACTIONS(3588), 1,
      anon_sym_COLON_COLON,
    STATE(10366), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2900), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1493), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1506), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2896), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3325), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      anon_sym_RPAREN,
  [57658] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(2886), 1,
      sym_keyword_in,
    ACTIONS(2888), 1,
      sym_keyword_is,
    ACTIONS(2890), 1,
      sym_keyword_not,
    ACTIONS(2892), 1,
      sym_keyword_between,
    ACTIONS(2894), 1,
      anon_sym_LBRACK,
    ACTIONS(2902), 1,
      sym_op_other,
    ACTIONS(2904), 1,
      anon_sym_PLUS,
    ACTIONS(2906), 1,
      anon_sym_DASH,
    ACTIONS(2908), 1,
      anon_sym_SLASH,
    ACTIONS(2910), 1,
      anon_sym_CARET,
    ACTIONS(2975), 1,
      sym_keyword_and,
    ACTIONS(3265), 1,
      sym_keyword_or,
    ACTIONS(3588), 1,
      anon_sym_COLON_COLON,
    STATE(10366), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2900), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1493), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1506), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2896), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3422), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      anon_sym_RPAREN,
  [57760] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2363), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2361), 47,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [57822] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2375), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2373), 47,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [57884] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(2811), 1,
      sym_keyword_is,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_PLUS,
    ACTIONS(2819), 1,
      anon_sym_DASH,
    ACTIONS(2821), 1,
      anon_sym_SLASH,
    ACTIONS(2823), 1,
      anon_sym_CARET,
    ACTIONS(2825), 1,
      sym_keyword_in,
    ACTIONS(2829), 1,
      sym_keyword_between,
    ACTIONS(2835), 1,
      sym_op_other,
    ACTIONS(2848), 1,
      sym_keyword_and,
    ACTIONS(3586), 1,
      sym_keyword_as,
    ACTIONS(3622), 1,
      sym_keyword_or,
    ACTIONS(3624), 1,
      anon_sym_COLON_COLON,
    STATE(11101), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2815), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2833), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1480), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1481), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2831), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3584), 20,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [57986] = 7,
    ACTIONS(3626), 1,
      sym_keyword_unsigned,
    ACTIONS(3628), 1,
      sym_keyword_zerofill,
    ACTIONS(3630), 1,
      sym_keyword_precision,
    ACTIONS(3632), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1774), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1772), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [58056] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(2886), 1,
      sym_keyword_in,
    ACTIONS(2888), 1,
      sym_keyword_is,
    ACTIONS(2890), 1,
      sym_keyword_not,
    ACTIONS(2892), 1,
      sym_keyword_between,
    ACTIONS(2894), 1,
      anon_sym_LBRACK,
    ACTIONS(2902), 1,
      sym_op_other,
    ACTIONS(2904), 1,
      anon_sym_PLUS,
    ACTIONS(2906), 1,
      anon_sym_DASH,
    ACTIONS(2908), 1,
      anon_sym_SLASH,
    ACTIONS(2910), 1,
      anon_sym_CARET,
    ACTIONS(2975), 1,
      sym_keyword_and,
    ACTIONS(3265), 1,
      sym_keyword_or,
    ACTIONS(3588), 1,
      anon_sym_COLON_COLON,
    STATE(10366), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2900), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1493), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1506), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2896), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3327), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      anon_sym_RPAREN,
  [58158] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2367), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2365), 47,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [58220] = 7,
    ACTIONS(3634), 1,
      sym_keyword_array,
    STATE(915), 1,
      sym__array_size_definition,
    STATE(940), 1,
      sym_array_size_definition,
    STATE(1319), 1,
      aux_sym_array_size_definition_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2801), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2799), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [58290] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2371), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2369), 47,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [58352] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1372), 7,
      sym_keyword_as,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1370), 46,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [58414] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1376), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1374), 47,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      aux_sym__single_quote_string_token1,
  [58476] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(2886), 1,
      sym_keyword_in,
    ACTIONS(2888), 1,
      sym_keyword_is,
    ACTIONS(2890), 1,
      sym_keyword_not,
    ACTIONS(2892), 1,
      sym_keyword_between,
    ACTIONS(2894), 1,
      anon_sym_LBRACK,
    ACTIONS(2902), 1,
      sym_op_other,
    ACTIONS(2904), 1,
      anon_sym_PLUS,
    ACTIONS(2906), 1,
      anon_sym_DASH,
    ACTIONS(2908), 1,
      anon_sym_SLASH,
    ACTIONS(2910), 1,
      anon_sym_CARET,
    ACTIONS(2975), 1,
      sym_keyword_and,
    ACTIONS(3265), 1,
      sym_keyword_or,
    ACTIONS(3588), 1,
      anon_sym_COLON_COLON,
    STATE(10366), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2900), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1493), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1506), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2896), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3382), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      anon_sym_RPAREN,
  [58578] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(2886), 1,
      sym_keyword_in,
    ACTIONS(2888), 1,
      sym_keyword_is,
    ACTIONS(2890), 1,
      sym_keyword_not,
    ACTIONS(2892), 1,
      sym_keyword_between,
    ACTIONS(2894), 1,
      anon_sym_LBRACK,
    ACTIONS(2902), 1,
      sym_op_other,
    ACTIONS(2904), 1,
      anon_sym_PLUS,
    ACTIONS(2906), 1,
      anon_sym_DASH,
    ACTIONS(2908), 1,
      anon_sym_SLASH,
    ACTIONS(2910), 1,
      anon_sym_CARET,
    ACTIONS(2975), 1,
      sym_keyword_and,
    ACTIONS(3265), 1,
      sym_keyword_or,
    ACTIONS(3588), 1,
      anon_sym_COLON_COLON,
    STATE(10366), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2900), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1493), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1506), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2896), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3360), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      anon_sym_RPAREN,
  [58680] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(2886), 1,
      sym_keyword_in,
    ACTIONS(2888), 1,
      sym_keyword_is,
    ACTIONS(2890), 1,
      sym_keyword_not,
    ACTIONS(2892), 1,
      sym_keyword_between,
    ACTIONS(2894), 1,
      anon_sym_LBRACK,
    ACTIONS(2902), 1,
      sym_op_other,
    ACTIONS(2904), 1,
      anon_sym_PLUS,
    ACTIONS(2906), 1,
      anon_sym_DASH,
    ACTIONS(2908), 1,
      anon_sym_SLASH,
    ACTIONS(2910), 1,
      anon_sym_CARET,
    ACTIONS(2975), 1,
      sym_keyword_and,
    ACTIONS(3265), 1,
      sym_keyword_or,
    ACTIONS(3588), 1,
      anon_sym_COLON_COLON,
    STATE(10366), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2900), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1493), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1506), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2896), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3384), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      anon_sym_RPAREN,
  [58782] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(2886), 1,
      sym_keyword_in,
    ACTIONS(2888), 1,
      sym_keyword_is,
    ACTIONS(2890), 1,
      sym_keyword_not,
    ACTIONS(2892), 1,
      sym_keyword_between,
    ACTIONS(2894), 1,
      anon_sym_LBRACK,
    ACTIONS(2902), 1,
      sym_op_other,
    ACTIONS(2904), 1,
      anon_sym_PLUS,
    ACTIONS(2906), 1,
      anon_sym_DASH,
    ACTIONS(2908), 1,
      anon_sym_SLASH,
    ACTIONS(2910), 1,
      anon_sym_CARET,
    ACTIONS(2975), 1,
      sym_keyword_and,
    ACTIONS(3265), 1,
      sym_keyword_or,
    ACTIONS(3588), 1,
      anon_sym_COLON_COLON,
    STATE(10366), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2900), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1493), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1506), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2896), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3368), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      anon_sym_RPAREN,
  [58884] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2382), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2380), 47,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [58946] = 31,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2787), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3636), 1,
      sym_keyword_cast,
    ACTIONS(3640), 1,
      sym_keyword_current_timestamp,
    ACTIONS(3644), 1,
      sym_keyword_array,
    ACTIONS(3646), 1,
      anon_sym_LPAREN,
    ACTIONS(3648), 1,
      sym_parameter,
    ACTIONS(3650), 1,
      anon_sym_PLUS,
    ACTIONS(3652), 1,
      anon_sym_DASH,
    ACTIONS(3654), 1,
      sym_op_unary_other,
    ACTIONS(3656), 1,
      sym__double_quote_string,
    ACTIONS(3658), 1,
      aux_sym__integer_token1,
    ACTIONS(3660), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3662), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3664), 1,
      sym__dollar_quoted_string,
    STATE(425), 1,
      sym_identifier,
    STATE(796), 1,
      sym__single_quote_string,
    STATE(2578), 1,
      sym_invocation,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(6762), 1,
      sym__inner_default_expression,
    STATE(11895), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3642), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3638), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(843), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2793), 7,
      sym_array,
      sym_implicit_cast,
      sym_cast,
      sym_binary_expression,
      sym_unary_expression,
      sym_list,
      sym_literal,
    STATE(6186), 8,
      sym_case,
      sym_interval,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_between_expression,
      sym_subquery,
  [59064] = 7,
    ACTIONS(3634), 1,
      sym_keyword_array,
    STATE(915), 1,
      sym__array_size_definition,
    STATE(927), 1,
      sym_array_size_definition,
    STATE(1319), 1,
      aux_sym_array_size_definition_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2791), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2789), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [59134] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(2886), 1,
      sym_keyword_in,
    ACTIONS(2888), 1,
      sym_keyword_is,
    ACTIONS(2890), 1,
      sym_keyword_not,
    ACTIONS(2892), 1,
      sym_keyword_between,
    ACTIONS(2894), 1,
      anon_sym_LBRACK,
    ACTIONS(2902), 1,
      sym_op_other,
    ACTIONS(2904), 1,
      anon_sym_PLUS,
    ACTIONS(2906), 1,
      anon_sym_DASH,
    ACTIONS(2908), 1,
      anon_sym_SLASH,
    ACTIONS(2910), 1,
      anon_sym_CARET,
    ACTIONS(2975), 1,
      sym_keyword_and,
    ACTIONS(3265), 1,
      sym_keyword_or,
    ACTIONS(3588), 1,
      anon_sym_COLON_COLON,
    STATE(10366), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2900), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1493), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1506), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2896), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3340), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      anon_sym_RPAREN,
  [59236] = 11,
    ACTIONS(3668), 1,
      sym_keyword_distinct,
    STATE(918), 1,
      sym_identifier,
    STATE(2039), 1,
      sym_invocation,
    STATE(2111), 1,
      sym__qualified_field,
    STATE(2205), 1,
      sym__single_quote_string,
    STATE(11814), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(2159), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3670), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(457), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3666), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [59313] = 7,
    ACTIONS(3672), 1,
      sym_keyword_with,
    ACTIONS(3674), 1,
      sym_keyword_without,
    ACTIONS(3676), 1,
      anon_sym_LPAREN,
    STATE(2106), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1796), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1794), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [59382] = 11,
    ACTIONS(3668), 1,
      sym_keyword_distinct,
    STATE(3287), 1,
      sym_identifier,
    STATE(4389), 1,
      sym_invocation,
    STATE(4687), 1,
      sym__single_quote_string,
    STATE(4706), 1,
      sym__qualified_field,
    STATE(11817), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4694), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3670), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(2565), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3666), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [59459] = 29,
    ACTIONS(467), 1,
      sym__identifier,
    ACTIONS(525), 1,
      aux_sym_identifier_token1,
    ACTIONS(3678), 1,
      sym_keyword_cast,
    ACTIONS(3680), 1,
      sym_keyword_case,
    ACTIONS(3684), 1,
      sym_keyword_exists,
    ACTIONS(3688), 1,
      sym_keyword_interval,
    ACTIONS(3690), 1,
      sym_keyword_array,
    ACTIONS(3692), 1,
      anon_sym_LPAREN,
    ACTIONS(3694), 1,
      sym_parameter,
    ACTIONS(3696), 1,
      anon_sym_PLUS,
    ACTIONS(3698), 1,
      anon_sym_DASH,
    ACTIONS(3700), 1,
      sym_op_unary_other,
    ACTIONS(3702), 1,
      sym__double_quote_string,
    ACTIONS(3704), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3706), 1,
      aux_sym__integer_token1,
    ACTIONS(3708), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3710), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3712), 1,
      sym__dollar_quoted_string,
    STATE(3287), 1,
      sym_identifier,
    STATE(4389), 1,
      sym_invocation,
    STATE(4687), 1,
      sym__single_quote_string,
    STATE(4706), 1,
      sym__qualified_field,
    STATE(7666), 1,
      sym_order_target,
    STATE(11817), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3686), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3682), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4694), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2779), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [59572] = 29,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(3714), 1,
      sym_keyword_when,
    ACTIONS(3716), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5975), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [59685] = 29,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(3718), 1,
      sym_keyword_when,
    ACTIONS(3720), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6060), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [59798] = 29,
    ACTIONS(1205), 1,
      sym__identifier,
    ACTIONS(1209), 1,
      aux_sym_identifier_token1,
    ACTIONS(2787), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3636), 1,
      sym_keyword_cast,
    ACTIONS(3644), 1,
      sym_keyword_array,
    ACTIONS(3650), 1,
      anon_sym_PLUS,
    ACTIONS(3652), 1,
      anon_sym_DASH,
    ACTIONS(3654), 1,
      sym_op_unary_other,
    ACTIONS(3656), 1,
      sym__double_quote_string,
    ACTIONS(3658), 1,
      aux_sym__integer_token1,
    ACTIONS(3660), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3662), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3664), 1,
      sym__dollar_quoted_string,
    ACTIONS(3722), 1,
      sym_keyword_case,
    ACTIONS(3724), 1,
      sym_keyword_exists,
    ACTIONS(3726), 1,
      sym_keyword_interval,
    ACTIONS(3728), 1,
      anon_sym_LPAREN,
    ACTIONS(3730), 1,
      sym_parameter,
    STATE(425), 1,
      sym_identifier,
    STATE(683), 1,
      sym_invocation,
    STATE(796), 1,
      sym__single_quote_string,
    STATE(883), 1,
      sym__qualified_field,
    STATE(7412), 1,
      sym_order_target,
    STATE(11909), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3642), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3638), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(843), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2410), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [59911] = 5,
    ACTIONS(3732), 1,
      sym_keyword_filter,
    STATE(2020), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2565), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2563), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [59976] = 30,
    ACTIONS(1081), 1,
      sym__identifier,
    ACTIONS(1139), 1,
      aux_sym_identifier_token1,
    ACTIONS(3734), 1,
      sym_keyword_distinct,
    ACTIONS(3736), 1,
      sym_keyword_cast,
    ACTIONS(3738), 1,
      sym_keyword_case,
    ACTIONS(3740), 1,
      sym_keyword_not,
    ACTIONS(3742), 1,
      sym_keyword_exists,
    ACTIONS(3748), 1,
      sym_keyword_interval,
    ACTIONS(3750), 1,
      sym_keyword_array,
    ACTIONS(3752), 1,
      anon_sym_LPAREN,
    ACTIONS(3754), 1,
      sym_parameter,
    ACTIONS(3756), 1,
      anon_sym_PLUS,
    ACTIONS(3758), 1,
      anon_sym_DASH,
    ACTIONS(3760), 1,
      sym_op_unary_other,
    ACTIONS(3762), 1,
      sym__double_quote_string,
    ACTIONS(3764), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3766), 1,
      aux_sym__integer_token1,
    ACTIONS(3768), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3770), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3772), 1,
      sym__dollar_quoted_string,
    STATE(2914), 1,
      sym_identifier,
    STATE(4201), 1,
      sym_invocation,
    STATE(4367), 1,
      sym__single_quote_string,
    STATE(4405), 1,
      sym__qualified_field,
    STATE(11929), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3746), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3744), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4650), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2194), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [60091] = 11,
    ACTIONS(3668), 1,
      sym_keyword_distinct,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(4378), 1,
      sym_identifier,
    STATE(5103), 1,
      sym_invocation,
    STATE(11997), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3670), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(4445), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3666), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [60168] = 5,
    ACTIONS(3732), 1,
      sym_keyword_filter,
    STATE(2004), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2553), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2551), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [60233] = 5,
    ACTIONS(3732), 1,
      sym_keyword_filter,
    STATE(2003), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2545), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2543), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [60298] = 30,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3734), 1,
      sym_keyword_distinct,
    ACTIONS(3774), 1,
      sym_keyword_not,
    ACTIONS(3776), 1,
      sym_parameter,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(11981), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2921), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4167), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [60413] = 29,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(3778), 1,
      anon_sym_RBRACK,
    ACTIONS(3780), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5291), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [60526] = 5,
    ACTIONS(3732), 1,
      sym_keyword_filter,
    STATE(1893), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2569), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2567), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [60591] = 5,
    ACTIONS(3732), 1,
      sym_keyword_filter,
    STATE(1988), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2541), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2539), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [60656] = 5,
    ACTIONS(3732), 1,
      sym_keyword_filter,
    STATE(1987), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2511), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2509), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [60721] = 29,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(3782), 1,
      sym_keyword_when,
    ACTIONS(3784), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6061), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [60834] = 11,
    ACTIONS(3668), 1,
      sym_keyword_distinct,
    STATE(934), 1,
      sym__single_quote_string,
    STATE(5437), 1,
      sym_identifier,
    STATE(6217), 1,
      sym_invocation,
    STATE(6384), 1,
      sym__qualified_field,
    STATE(11941), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(6390), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3670), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(4690), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3666), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [60911] = 29,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(3786), 1,
      anon_sym_RBRACK,
    ACTIONS(3788), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5440), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [61024] = 29,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(3790), 1,
      anon_sym_RBRACK,
    ACTIONS(3792), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5431), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [61137] = 29,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(3794), 1,
      sym_keyword_when,
    ACTIONS(3796), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6063), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [61250] = 11,
    ACTIONS(3668), 1,
      sym_keyword_distinct,
    STATE(1171), 1,
      sym_identifier,
    STATE(2353), 1,
      sym_invocation,
    STATE(2651), 1,
      sym__single_quote_string,
    STATE(2678), 1,
      sym__qualified_field,
    STATE(11808), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(2660), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3670), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(713), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3666), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [61327] = 29,
    ACTIONS(467), 1,
      sym__identifier,
    ACTIONS(525), 1,
      aux_sym_identifier_token1,
    ACTIONS(3678), 1,
      sym_keyword_cast,
    ACTIONS(3680), 1,
      sym_keyword_case,
    ACTIONS(3684), 1,
      sym_keyword_exists,
    ACTIONS(3688), 1,
      sym_keyword_interval,
    ACTIONS(3690), 1,
      sym_keyword_array,
    ACTIONS(3692), 1,
      anon_sym_LPAREN,
    ACTIONS(3696), 1,
      anon_sym_PLUS,
    ACTIONS(3698), 1,
      anon_sym_DASH,
    ACTIONS(3700), 1,
      sym_op_unary_other,
    ACTIONS(3702), 1,
      sym__double_quote_string,
    ACTIONS(3704), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3706), 1,
      aux_sym__integer_token1,
    ACTIONS(3708), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3710), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3712), 1,
      sym__dollar_quoted_string,
    ACTIONS(3798), 1,
      sym_parameter,
    STATE(3287), 1,
      sym_identifier,
    STATE(4389), 1,
      sym_invocation,
    STATE(4687), 1,
      sym__single_quote_string,
    STATE(4706), 1,
      sym__qualified_field,
    STATE(7438), 1,
      sym_order_target,
    STATE(11817), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3686), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3682), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4694), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2538), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [61440] = 30,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2989), 1,
      anon_sym_LPAREN,
    ACTIONS(2993), 1,
      sym_op_unary_other,
    ACTIONS(3734), 1,
      sym_keyword_distinct,
    ACTIONS(3800), 1,
      sym_keyword_not,
    ACTIONS(3802), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(4378), 1,
      sym_identifier,
    STATE(5103), 1,
      sym_invocation,
    STATE(11997), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2987), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4398), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [61555] = 5,
    ACTIONS(3732), 1,
      sym_keyword_filter,
    STATE(1963), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2515), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2513), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [61620] = 5,
    ACTIONS(3732), 1,
      sym_keyword_filter,
    STATE(1962), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2561), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2559), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [61685] = 5,
    ACTIONS(3732), 1,
      sym_keyword_filter,
    STATE(1952), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2557), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2555), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [61750] = 30,
    ACTIONS(903), 1,
      sym__identifier,
    ACTIONS(907), 1,
      aux_sym_identifier_token1,
    ACTIONS(3191), 1,
      sym_keyword_cast,
    ACTIONS(3193), 1,
      sym_keyword_case,
    ACTIONS(3197), 1,
      sym_keyword_exists,
    ACTIONS(3201), 1,
      sym_keyword_interval,
    ACTIONS(3203), 1,
      sym_keyword_array,
    ACTIONS(3209), 1,
      anon_sym_PLUS,
    ACTIONS(3211), 1,
      anon_sym_DASH,
    ACTIONS(3215), 1,
      sym__double_quote_string,
    ACTIONS(3217), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3219), 1,
      aux_sym__integer_token1,
    ACTIONS(3221), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3223), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3225), 1,
      sym__dollar_quoted_string,
    ACTIONS(3734), 1,
      sym_keyword_distinct,
    ACTIONS(3804), 1,
      sym_keyword_not,
    ACTIONS(3808), 1,
      anon_sym_LPAREN,
    ACTIONS(3810), 1,
      sym_parameter,
    ACTIONS(3812), 1,
      sym_op_unary_other,
    STATE(2953), 1,
      sym__single_quote_string,
    STATE(4196), 1,
      sym_identifier,
    STATE(4905), 1,
      sym__qualified_field,
    STATE(5727), 1,
      sym_invocation,
    STATE(11861), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3199), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3806), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4863), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3903), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [61865] = 11,
    ACTIONS(3668), 1,
      sym_keyword_distinct,
    STATE(2958), 1,
      sym_identifier,
    STATE(4144), 1,
      sym_invocation,
    STATE(4381), 1,
      sym__single_quote_string,
    STATE(4431), 1,
      sym__qualified_field,
    STATE(11807), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4564), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3670), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(2095), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3666), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [61942] = 5,
    ACTIONS(3814), 1,
      sym_keyword_filter,
    STATE(1948), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2547), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2549), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [62007] = 29,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(3816), 1,
      sym_keyword_when,
    ACTIONS(3818), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6067), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [62120] = 11,
    ACTIONS(3668), 1,
      sym_keyword_distinct,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(5103), 1,
      sym_invocation,
    STATE(11997), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3670), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(4255), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3666), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [62197] = 6,
    ACTIONS(3820), 1,
      sym_keyword_unsigned,
    ACTIONS(3822), 1,
      sym_keyword_zerofill,
    ACTIONS(3824), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1842), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1840), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [62264] = 5,
    ACTIONS(3814), 1,
      sym_keyword_filter,
    STATE(1937), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2535), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2537), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [62329] = 6,
    ACTIONS(3826), 1,
      sym_keyword_unsigned,
    ACTIONS(3828), 1,
      sym_keyword_zerofill,
    ACTIONS(3830), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1876), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1874), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [62396] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(3269), 1,
      sym_keyword_in,
    ACTIONS(3271), 1,
      sym_keyword_is,
    ACTIONS(3273), 1,
      sym_keyword_not,
    ACTIONS(3275), 1,
      sym_keyword_between,
    ACTIONS(3277), 1,
      anon_sym_LBRACK,
    ACTIONS(3285), 1,
      sym_op_other,
    ACTIONS(3287), 1,
      anon_sym_PLUS,
    ACTIONS(3289), 1,
      anon_sym_DASH,
    ACTIONS(3291), 1,
      anon_sym_SLASH,
    ACTIONS(3293), 1,
      anon_sym_CARET,
    ACTIONS(3295), 1,
      sym_keyword_and,
    ACTIONS(3448), 1,
      sym_keyword_or,
    ACTIONS(3832), 1,
      anon_sym_COLON_COLON,
    STATE(11198), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3281), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3283), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1444), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1445), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3279), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3410), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
  [62497] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(3269), 1,
      sym_keyword_in,
    ACTIONS(3271), 1,
      sym_keyword_is,
    ACTIONS(3273), 1,
      sym_keyword_not,
    ACTIONS(3275), 1,
      sym_keyword_between,
    ACTIONS(3277), 1,
      anon_sym_LBRACK,
    ACTIONS(3285), 1,
      sym_op_other,
    ACTIONS(3287), 1,
      anon_sym_PLUS,
    ACTIONS(3289), 1,
      anon_sym_DASH,
    ACTIONS(3291), 1,
      anon_sym_SLASH,
    ACTIONS(3293), 1,
      anon_sym_CARET,
    ACTIONS(3295), 1,
      sym_keyword_and,
    ACTIONS(3448), 1,
      sym_keyword_or,
    ACTIONS(3832), 1,
      anon_sym_COLON_COLON,
    STATE(11198), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3281), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3283), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1444), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1445), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3279), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3366), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
  [62598] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(3269), 1,
      sym_keyword_in,
    ACTIONS(3271), 1,
      sym_keyword_is,
    ACTIONS(3273), 1,
      sym_keyword_not,
    ACTIONS(3275), 1,
      sym_keyword_between,
    ACTIONS(3277), 1,
      anon_sym_LBRACK,
    ACTIONS(3285), 1,
      sym_op_other,
    ACTIONS(3287), 1,
      anon_sym_PLUS,
    ACTIONS(3289), 1,
      anon_sym_DASH,
    ACTIONS(3291), 1,
      anon_sym_SLASH,
    ACTIONS(3293), 1,
      anon_sym_CARET,
    ACTIONS(3295), 1,
      sym_keyword_and,
    ACTIONS(3448), 1,
      sym_keyword_or,
    ACTIONS(3832), 1,
      anon_sym_COLON_COLON,
    STATE(11198), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3281), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3283), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1444), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1445), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3279), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3263), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
  [62699] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(3269), 1,
      sym_keyword_in,
    ACTIONS(3271), 1,
      sym_keyword_is,
    ACTIONS(3273), 1,
      sym_keyword_not,
    ACTIONS(3275), 1,
      sym_keyword_between,
    ACTIONS(3277), 1,
      anon_sym_LBRACK,
    ACTIONS(3285), 1,
      sym_op_other,
    ACTIONS(3287), 1,
      anon_sym_PLUS,
    ACTIONS(3289), 1,
      anon_sym_DASH,
    ACTIONS(3291), 1,
      anon_sym_SLASH,
    ACTIONS(3293), 1,
      anon_sym_CARET,
    ACTIONS(3295), 1,
      sym_keyword_and,
    ACTIONS(3448), 1,
      sym_keyword_or,
    ACTIONS(3832), 1,
      anon_sym_COLON_COLON,
    STATE(11198), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3281), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3283), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1444), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1445), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3279), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3402), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
  [62800] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(3269), 1,
      sym_keyword_in,
    ACTIONS(3271), 1,
      sym_keyword_is,
    ACTIONS(3273), 1,
      sym_keyword_not,
    ACTIONS(3275), 1,
      sym_keyword_between,
    ACTIONS(3277), 1,
      anon_sym_LBRACK,
    ACTIONS(3285), 1,
      sym_op_other,
    ACTIONS(3287), 1,
      anon_sym_PLUS,
    ACTIONS(3289), 1,
      anon_sym_DASH,
    ACTIONS(3291), 1,
      anon_sym_SLASH,
    ACTIONS(3293), 1,
      anon_sym_CARET,
    ACTIONS(3295), 1,
      sym_keyword_and,
    ACTIONS(3448), 1,
      sym_keyword_or,
    ACTIONS(3832), 1,
      anon_sym_COLON_COLON,
    STATE(11198), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3281), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3283), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1444), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1445), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3279), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3325), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
  [62901] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(3269), 1,
      sym_keyword_in,
    ACTIONS(3271), 1,
      sym_keyword_is,
    ACTIONS(3273), 1,
      sym_keyword_not,
    ACTIONS(3275), 1,
      sym_keyword_between,
    ACTIONS(3277), 1,
      anon_sym_LBRACK,
    ACTIONS(3285), 1,
      sym_op_other,
    ACTIONS(3287), 1,
      anon_sym_PLUS,
    ACTIONS(3289), 1,
      anon_sym_DASH,
    ACTIONS(3291), 1,
      anon_sym_SLASH,
    ACTIONS(3293), 1,
      anon_sym_CARET,
    ACTIONS(3295), 1,
      sym_keyword_and,
    ACTIONS(3448), 1,
      sym_keyword_or,
    ACTIONS(3832), 1,
      anon_sym_COLON_COLON,
    STATE(11198), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3281), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3283), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1444), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1445), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3279), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3422), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
  [63002] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1374), 3,
      anon_sym_LPAREN,
      anon_sym_DOT,
      aux_sym__single_quote_string_token1,
    ACTIONS(1372), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1370), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [63065] = 6,
    ACTIONS(3834), 1,
      sym_keyword_unsigned,
    ACTIONS(3836), 1,
      sym_keyword_zerofill,
    ACTIONS(3838), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1890), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1888), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [63132] = 6,
    ACTIONS(3840), 1,
      sym_keyword_unsigned,
    ACTIONS(3842), 1,
      sym_keyword_zerofill,
    ACTIONS(3844), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1900), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1898), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [63199] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(3269), 1,
      sym_keyword_in,
    ACTIONS(3271), 1,
      sym_keyword_is,
    ACTIONS(3273), 1,
      sym_keyword_not,
    ACTIONS(3275), 1,
      sym_keyword_between,
    ACTIONS(3277), 1,
      anon_sym_LBRACK,
    ACTIONS(3285), 1,
      sym_op_other,
    ACTIONS(3287), 1,
      anon_sym_PLUS,
    ACTIONS(3289), 1,
      anon_sym_DASH,
    ACTIONS(3291), 1,
      anon_sym_SLASH,
    ACTIONS(3293), 1,
      anon_sym_CARET,
    ACTIONS(3295), 1,
      sym_keyword_and,
    ACTIONS(3448), 1,
      sym_keyword_or,
    ACTIONS(3832), 1,
      anon_sym_COLON_COLON,
    STATE(11198), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3281), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3283), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1444), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1445), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3279), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3327), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
  [63300] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(3269), 1,
      sym_keyword_in,
    ACTIONS(3271), 1,
      sym_keyword_is,
    ACTIONS(3273), 1,
      sym_keyword_not,
    ACTIONS(3275), 1,
      sym_keyword_between,
    ACTIONS(3277), 1,
      anon_sym_LBRACK,
    ACTIONS(3285), 1,
      sym_op_other,
    ACTIONS(3287), 1,
      anon_sym_PLUS,
    ACTIONS(3289), 1,
      anon_sym_DASH,
    ACTIONS(3291), 1,
      anon_sym_SLASH,
    ACTIONS(3293), 1,
      anon_sym_CARET,
    ACTIONS(3295), 1,
      sym_keyword_and,
    ACTIONS(3448), 1,
      sym_keyword_or,
    ACTIONS(3832), 1,
      anon_sym_COLON_COLON,
    STATE(11198), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3281), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3283), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1444), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1445), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3279), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3376), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
  [63401] = 6,
    ACTIONS(3626), 1,
      sym_keyword_unsigned,
    ACTIONS(3628), 1,
      sym_keyword_zerofill,
    ACTIONS(3632), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1774), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1772), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [63468] = 7,
    ACTIONS(3846), 1,
      sym_keyword_array,
    STATE(1886), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(2359), 1,
      sym_array_size_definition,
    STATE(2364), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2791), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2789), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [63537] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(3269), 1,
      sym_keyword_in,
    ACTIONS(3271), 1,
      sym_keyword_is,
    ACTIONS(3273), 1,
      sym_keyword_not,
    ACTIONS(3275), 1,
      sym_keyword_between,
    ACTIONS(3277), 1,
      anon_sym_LBRACK,
    ACTIONS(3285), 1,
      sym_op_other,
    ACTIONS(3287), 1,
      anon_sym_PLUS,
    ACTIONS(3289), 1,
      anon_sym_DASH,
    ACTIONS(3291), 1,
      anon_sym_SLASH,
    ACTIONS(3293), 1,
      anon_sym_CARET,
    ACTIONS(3295), 1,
      sym_keyword_and,
    ACTIONS(3448), 1,
      sym_keyword_or,
    ACTIONS(3832), 1,
      anon_sym_COLON_COLON,
    STATE(11198), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3281), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3283), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1444), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1445), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3279), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3382), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
  [63638] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(3269), 1,
      sym_keyword_in,
    ACTIONS(3271), 1,
      sym_keyword_is,
    ACTIONS(3273), 1,
      sym_keyword_not,
    ACTIONS(3275), 1,
      sym_keyword_between,
    ACTIONS(3277), 1,
      anon_sym_LBRACK,
    ACTIONS(3285), 1,
      sym_op_other,
    ACTIONS(3287), 1,
      anon_sym_PLUS,
    ACTIONS(3289), 1,
      anon_sym_DASH,
    ACTIONS(3291), 1,
      anon_sym_SLASH,
    ACTIONS(3293), 1,
      anon_sym_CARET,
    ACTIONS(3295), 1,
      sym_keyword_and,
    ACTIONS(3448), 1,
      sym_keyword_or,
    ACTIONS(3832), 1,
      anon_sym_COLON_COLON,
    STATE(11198), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3281), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3283), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1444), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1445), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3279), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3360), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
  [63739] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(3269), 1,
      sym_keyword_in,
    ACTIONS(3271), 1,
      sym_keyword_is,
    ACTIONS(3273), 1,
      sym_keyword_not,
    ACTIONS(3275), 1,
      sym_keyword_between,
    ACTIONS(3277), 1,
      anon_sym_LBRACK,
    ACTIONS(3285), 1,
      sym_op_other,
    ACTIONS(3287), 1,
      anon_sym_PLUS,
    ACTIONS(3289), 1,
      anon_sym_DASH,
    ACTIONS(3291), 1,
      anon_sym_SLASH,
    ACTIONS(3293), 1,
      anon_sym_CARET,
    ACTIONS(3295), 1,
      sym_keyword_and,
    ACTIONS(3448), 1,
      sym_keyword_or,
    ACTIONS(3832), 1,
      anon_sym_COLON_COLON,
    STATE(11198), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3281), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3283), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1444), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1445), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3279), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3384), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
  [63840] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(3269), 1,
      sym_keyword_in,
    ACTIONS(3271), 1,
      sym_keyword_is,
    ACTIONS(3273), 1,
      sym_keyword_not,
    ACTIONS(3275), 1,
      sym_keyword_between,
    ACTIONS(3277), 1,
      anon_sym_LBRACK,
    ACTIONS(3285), 1,
      sym_op_other,
    ACTIONS(3287), 1,
      anon_sym_PLUS,
    ACTIONS(3289), 1,
      anon_sym_DASH,
    ACTIONS(3291), 1,
      anon_sym_SLASH,
    ACTIONS(3293), 1,
      anon_sym_CARET,
    ACTIONS(3295), 1,
      sym_keyword_and,
    ACTIONS(3448), 1,
      sym_keyword_or,
    ACTIONS(3832), 1,
      anon_sym_COLON_COLON,
    STATE(11198), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3281), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3283), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1444), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1445), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3279), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3368), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
  [63941] = 5,
    ACTIONS(3814), 1,
      sym_keyword_filter,
    STATE(1930), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2443), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2445), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [64006] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(3269), 1,
      sym_keyword_in,
    ACTIONS(3271), 1,
      sym_keyword_is,
    ACTIONS(3273), 1,
      sym_keyword_not,
    ACTIONS(3275), 1,
      sym_keyword_between,
    ACTIONS(3277), 1,
      anon_sym_LBRACK,
    ACTIONS(3285), 1,
      sym_op_other,
    ACTIONS(3287), 1,
      anon_sym_PLUS,
    ACTIONS(3289), 1,
      anon_sym_DASH,
    ACTIONS(3291), 1,
      anon_sym_SLASH,
    ACTIONS(3293), 1,
      anon_sym_CARET,
    ACTIONS(3295), 1,
      sym_keyword_and,
    ACTIONS(3448), 1,
      sym_keyword_or,
    ACTIONS(3832), 1,
      anon_sym_COLON_COLON,
    STATE(11198), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3281), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3283), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1444), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1445), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3279), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3340), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
  [64107] = 30,
    ACTIONS(1205), 1,
      sym__identifier,
    ACTIONS(1209), 1,
      aux_sym_identifier_token1,
    ACTIONS(2787), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3636), 1,
      sym_keyword_cast,
    ACTIONS(3644), 1,
      sym_keyword_array,
    ACTIONS(3650), 1,
      anon_sym_PLUS,
    ACTIONS(3652), 1,
      anon_sym_DASH,
    ACTIONS(3654), 1,
      sym_op_unary_other,
    ACTIONS(3656), 1,
      sym__double_quote_string,
    ACTIONS(3658), 1,
      aux_sym__integer_token1,
    ACTIONS(3660), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3662), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3664), 1,
      sym__dollar_quoted_string,
    ACTIONS(3722), 1,
      sym_keyword_case,
    ACTIONS(3724), 1,
      sym_keyword_exists,
    ACTIONS(3726), 1,
      sym_keyword_interval,
    ACTIONS(3728), 1,
      anon_sym_LPAREN,
    ACTIONS(3734), 1,
      sym_keyword_distinct,
    ACTIONS(3848), 1,
      sym_keyword_not,
    ACTIONS(3850), 1,
      sym_parameter,
    STATE(425), 1,
      sym_identifier,
    STATE(683), 1,
      sym_invocation,
    STATE(796), 1,
      sym__single_quote_string,
    STATE(883), 1,
      sym__qualified_field,
    STATE(11909), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3642), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3638), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(843), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(302), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [64222] = 11,
    ACTIONS(3668), 1,
      sym_keyword_distinct,
    STATE(2235), 1,
      sym__single_quote_string,
    STATE(2711), 1,
      sym_identifier,
    STATE(3691), 1,
      sym_invocation,
    STATE(3959), 1,
      sym__qualified_field,
    STATE(11969), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(3940), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3670), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(2030), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3666), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [64299] = 29,
    ACTIONS(467), 1,
      sym__identifier,
    ACTIONS(525), 1,
      aux_sym_identifier_token1,
    ACTIONS(3678), 1,
      sym_keyword_cast,
    ACTIONS(3680), 1,
      sym_keyword_case,
    ACTIONS(3684), 1,
      sym_keyword_exists,
    ACTIONS(3688), 1,
      sym_keyword_interval,
    ACTIONS(3690), 1,
      sym_keyword_array,
    ACTIONS(3692), 1,
      anon_sym_LPAREN,
    ACTIONS(3696), 1,
      anon_sym_PLUS,
    ACTIONS(3698), 1,
      anon_sym_DASH,
    ACTIONS(3700), 1,
      sym_op_unary_other,
    ACTIONS(3702), 1,
      sym__double_quote_string,
    ACTIONS(3704), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3706), 1,
      aux_sym__integer_token1,
    ACTIONS(3708), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3710), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3712), 1,
      sym__dollar_quoted_string,
    ACTIONS(3798), 1,
      sym_parameter,
    STATE(3287), 1,
      sym_identifier,
    STATE(4389), 1,
      sym_invocation,
    STATE(4687), 1,
      sym__single_quote_string,
    STATE(4706), 1,
      sym__qualified_field,
    STATE(7410), 1,
      sym_order_target,
    STATE(11817), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3686), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3682), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4694), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2538), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [64412] = 29,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(3852), 1,
      sym_keyword_when,
    ACTIONS(3854), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6069), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [64525] = 29,
    ACTIONS(467), 1,
      sym__identifier,
    ACTIONS(525), 1,
      aux_sym_identifier_token1,
    ACTIONS(3678), 1,
      sym_keyword_cast,
    ACTIONS(3680), 1,
      sym_keyword_case,
    ACTIONS(3684), 1,
      sym_keyword_exists,
    ACTIONS(3688), 1,
      sym_keyword_interval,
    ACTIONS(3690), 1,
      sym_keyword_array,
    ACTIONS(3692), 1,
      anon_sym_LPAREN,
    ACTIONS(3694), 1,
      sym_parameter,
    ACTIONS(3696), 1,
      anon_sym_PLUS,
    ACTIONS(3698), 1,
      anon_sym_DASH,
    ACTIONS(3700), 1,
      sym_op_unary_other,
    ACTIONS(3702), 1,
      sym__double_quote_string,
    ACTIONS(3704), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3706), 1,
      aux_sym__integer_token1,
    ACTIONS(3708), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3710), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3712), 1,
      sym__dollar_quoted_string,
    STATE(3287), 1,
      sym_identifier,
    STATE(4389), 1,
      sym_invocation,
    STATE(4687), 1,
      sym__single_quote_string,
    STATE(4706), 1,
      sym__qualified_field,
    STATE(7410), 1,
      sym_order_target,
    STATE(11817), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3686), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3682), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4694), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2779), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [64638] = 5,
    ACTIONS(3814), 1,
      sym_keyword_filter,
    STATE(1926), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2531), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2533), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [64703] = 11,
    ACTIONS(3668), 1,
      sym_keyword_distinct,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3670), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(1241), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3666), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [64780] = 29,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(3856), 1,
      sym_keyword_when,
    ACTIONS(3858), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6071), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [64893] = 29,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(3860), 1,
      sym_keyword_when,
    ACTIONS(3862), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6059), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [65006] = 29,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(3864), 1,
      sym_keyword_when,
    ACTIONS(3866), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6072), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [65119] = 7,
    ACTIONS(3672), 1,
      sym_keyword_with,
    ACTIONS(3674), 1,
      sym_keyword_without,
    ACTIONS(3868), 1,
      anon_sym_LPAREN,
    STATE(2105), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1786), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1784), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [65188] = 29,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(3870), 1,
      sym_keyword_when,
    ACTIONS(3872), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6075), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [65301] = 11,
    ACTIONS(3668), 1,
      sym_keyword_distinct,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(4378), 1,
      sym_identifier,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3670), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(4407), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3666), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [65378] = 29,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(3874), 1,
      anon_sym_RBRACK,
    ACTIONS(3876), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5148), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [65491] = 29,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(3878), 1,
      sym_keyword_when,
    ACTIONS(3880), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6056), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [65604] = 29,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(3882), 1,
      anon_sym_RBRACK,
    ACTIONS(3884), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5107), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [65717] = 11,
    ACTIONS(3668), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(4750), 1,
      sym_invocation,
    STATE(11952), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3670), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(2742), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3666), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [65794] = 30,
    ACTIONS(651), 1,
      sym__identifier,
    ACTIONS(709), 1,
      aux_sym_identifier_token1,
    ACTIONS(3590), 1,
      sym_keyword_cast,
    ACTIONS(3598), 1,
      sym_keyword_array,
    ACTIONS(3604), 1,
      anon_sym_PLUS,
    ACTIONS(3606), 1,
      anon_sym_DASH,
    ACTIONS(3608), 1,
      sym_op_unary_other,
    ACTIONS(3610), 1,
      sym__double_quote_string,
    ACTIONS(3612), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3614), 1,
      aux_sym__integer_token1,
    ACTIONS(3616), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3618), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3620), 1,
      sym__dollar_quoted_string,
    ACTIONS(3734), 1,
      sym_keyword_distinct,
    ACTIONS(3886), 1,
      sym_keyword_case,
    ACTIONS(3888), 1,
      sym_keyword_not,
    ACTIONS(3890), 1,
      sym_keyword_exists,
    ACTIONS(3892), 1,
      sym_keyword_interval,
    ACTIONS(3894), 1,
      anon_sym_LPAREN,
    ACTIONS(3896), 1,
      sym_parameter,
    STATE(918), 1,
      sym_identifier,
    STATE(2039), 1,
      sym_invocation,
    STATE(2111), 1,
      sym__qualified_field,
    STATE(2205), 1,
      sym__single_quote_string,
    STATE(11814), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3596), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3592), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2159), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(470), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [65909] = 29,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(3898), 1,
      sym_keyword_when,
    ACTIONS(3900), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6076), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [66022] = 29,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(3902), 1,
      anon_sym_RBRACK,
    ACTIONS(3904), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5331), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [66135] = 7,
    ACTIONS(3846), 1,
      sym_keyword_array,
    STATE(1886), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(2364), 1,
      sym__array_size_definition,
    STATE(2367), 1,
      sym_array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2801), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2799), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [66204] = 30,
    ACTIONS(527), 1,
      sym__identifier,
    ACTIONS(585), 1,
      aux_sym_identifier_token1,
    ACTIONS(3734), 1,
      sym_keyword_distinct,
    ACTIONS(3906), 1,
      sym_keyword_cast,
    ACTIONS(3908), 1,
      sym_keyword_case,
    ACTIONS(3910), 1,
      sym_keyword_not,
    ACTIONS(3912), 1,
      sym_keyword_exists,
    ACTIONS(3918), 1,
      sym_keyword_interval,
    ACTIONS(3920), 1,
      sym_keyword_array,
    ACTIONS(3922), 1,
      anon_sym_LPAREN,
    ACTIONS(3924), 1,
      sym_parameter,
    ACTIONS(3926), 1,
      anon_sym_PLUS,
    ACTIONS(3928), 1,
      anon_sym_DASH,
    ACTIONS(3930), 1,
      sym_op_unary_other,
    ACTIONS(3932), 1,
      sym__double_quote_string,
    ACTIONS(3934), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3936), 1,
      aux_sym__integer_token1,
    ACTIONS(3938), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3940), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3942), 1,
      sym__dollar_quoted_string,
    STATE(416), 1,
      sym__single_quote_string,
    STATE(3035), 1,
      sym_identifier,
    STATE(4140), 1,
      sym_invocation,
    STATE(4464), 1,
      sym__qualified_field,
    STATE(11831), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3916), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3914), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4446), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2330), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [66319] = 30,
    ACTIONS(1213), 1,
      sym__identifier,
    ACTIONS(1271), 1,
      aux_sym_identifier_token1,
    ACTIONS(3734), 1,
      sym_keyword_distinct,
    ACTIONS(3944), 1,
      sym_keyword_cast,
    ACTIONS(3946), 1,
      sym_keyword_case,
    ACTIONS(3948), 1,
      sym_keyword_not,
    ACTIONS(3950), 1,
      sym_keyword_exists,
    ACTIONS(3956), 1,
      sym_keyword_interval,
    ACTIONS(3958), 1,
      sym_keyword_array,
    ACTIONS(3960), 1,
      anon_sym_LPAREN,
    ACTIONS(3962), 1,
      sym_parameter,
    ACTIONS(3964), 1,
      anon_sym_PLUS,
    ACTIONS(3966), 1,
      anon_sym_DASH,
    ACTIONS(3968), 1,
      sym_op_unary_other,
    ACTIONS(3970), 1,
      sym__double_quote_string,
    ACTIONS(3972), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3974), 1,
      aux_sym__integer_token1,
    ACTIONS(3976), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3978), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3980), 1,
      sym__dollar_quoted_string,
    STATE(934), 1,
      sym__single_quote_string,
    STATE(5437), 1,
      sym_identifier,
    STATE(6217), 1,
      sym_invocation,
    STATE(6384), 1,
      sym__qualified_field,
    STATE(11941), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3954), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3952), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6390), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4713), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [66434] = 29,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(3982), 1,
      anon_sym_RBRACK,
    ACTIONS(3984), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5474), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [66547] = 29,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(3986), 1,
      sym_keyword_when,
    ACTIONS(3988), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6081), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [66660] = 6,
    ACTIONS(3990), 1,
      sym_keyword_unsigned,
    ACTIONS(3992), 1,
      sym_keyword_zerofill,
    ACTIONS(3994), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1862), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1860), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [66727] = 11,
    ACTIONS(3668), 1,
      sym_keyword_distinct,
    STATE(4784), 1,
      sym_identifier,
    STATE(5245), 1,
      sym_invocation,
    STATE(5722), 1,
      sym__single_quote_string,
    STATE(5732), 1,
      sym__qualified_field,
    STATE(11825), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5585), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3670), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(3627), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3666), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [66804] = 30,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3734), 1,
      sym_keyword_distinct,
    ACTIONS(3996), 1,
      sym_keyword_not,
    ACTIONS(4000), 1,
      anon_sym_LPAREN,
    ACTIONS(4002), 1,
      sym_parameter,
    ACTIONS(4004), 1,
      sym_op_unary_other,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(4750), 1,
      sym_invocation,
    STATE(11952), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3998), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2809), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [66919] = 6,
    ACTIONS(4006), 1,
      sym_keyword_unsigned,
    ACTIONS(4008), 1,
      sym_keyword_zerofill,
    ACTIONS(4010), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1824), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1822), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [66986] = 30,
    ACTIONS(1289), 1,
      sym__identifier,
    ACTIONS(1347), 1,
      aux_sym_identifier_token1,
    ACTIONS(3734), 1,
      sym_keyword_distinct,
    ACTIONS(4012), 1,
      sym_keyword_cast,
    ACTIONS(4014), 1,
      sym_keyword_case,
    ACTIONS(4016), 1,
      sym_keyword_not,
    ACTIONS(4018), 1,
      sym_keyword_exists,
    ACTIONS(4024), 1,
      sym_keyword_interval,
    ACTIONS(4026), 1,
      sym_keyword_array,
    ACTIONS(4028), 1,
      anon_sym_LPAREN,
    ACTIONS(4030), 1,
      sym_parameter,
    ACTIONS(4032), 1,
      anon_sym_PLUS,
    ACTIONS(4034), 1,
      anon_sym_DASH,
    ACTIONS(4036), 1,
      sym_op_unary_other,
    ACTIONS(4038), 1,
      sym__double_quote_string,
    ACTIONS(4040), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4042), 1,
      aux_sym__integer_token1,
    ACTIONS(4044), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4046), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4048), 1,
      sym__dollar_quoted_string,
    STATE(2710), 1,
      sym_identifier,
    STATE(3531), 1,
      sym_invocation,
    STATE(3885), 1,
      sym__single_quote_string,
    STATE(4309), 1,
      sym__qualified_field,
    STATE(11865), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4022), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4020), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3918), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2023), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [67101] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1820), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1818), 45,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [67162] = 29,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4050), 1,
      anon_sym_RBRACK,
    ACTIONS(4052), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5096), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [67275] = 30,
    ACTIONS(903), 1,
      sym__identifier,
    ACTIONS(907), 1,
      aux_sym_identifier_token1,
    ACTIONS(3191), 1,
      sym_keyword_cast,
    ACTIONS(3193), 1,
      sym_keyword_case,
    ACTIONS(3197), 1,
      sym_keyword_exists,
    ACTIONS(3201), 1,
      sym_keyword_interval,
    ACTIONS(3203), 1,
      sym_keyword_array,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(3209), 1,
      anon_sym_PLUS,
    ACTIONS(3211), 1,
      anon_sym_DASH,
    ACTIONS(3213), 1,
      sym_op_unary_other,
    ACTIONS(3215), 1,
      sym__double_quote_string,
    ACTIONS(3217), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3219), 1,
      aux_sym__integer_token1,
    ACTIONS(3221), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3223), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3225), 1,
      sym__dollar_quoted_string,
    ACTIONS(3734), 1,
      sym_keyword_distinct,
    ACTIONS(4054), 1,
      sym_keyword_not,
    ACTIONS(4056), 1,
      sym_parameter,
    STATE(2953), 1,
      sym__single_quote_string,
    STATE(4196), 1,
      sym_identifier,
    STATE(4905), 1,
      sym__qualified_field,
    STATE(5627), 1,
      sym_invocation,
    STATE(11835), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3199), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3195), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4863), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4155), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [67390] = 29,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4058), 1,
      anon_sym_RBRACK,
    ACTIONS(4060), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5395), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [67503] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1802), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1800), 45,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [67564] = 30,
    ACTIONS(3734), 1,
      sym_keyword_distinct,
    ACTIONS(4062), 1,
      sym__identifier,
    ACTIONS(4064), 1,
      sym_keyword_cast,
    ACTIONS(4066), 1,
      sym_keyword_case,
    ACTIONS(4068), 1,
      sym_keyword_not,
    ACTIONS(4070), 1,
      sym_keyword_exists,
    ACTIONS(4076), 1,
      sym_keyword_interval,
    ACTIONS(4078), 1,
      sym_keyword_array,
    ACTIONS(4080), 1,
      anon_sym_LPAREN,
    ACTIONS(4082), 1,
      sym_parameter,
    ACTIONS(4084), 1,
      anon_sym_PLUS,
    ACTIONS(4086), 1,
      anon_sym_DASH,
    ACTIONS(4088), 1,
      sym_op_unary_other,
    ACTIONS(4090), 1,
      sym__double_quote_string,
    ACTIONS(4092), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4094), 1,
      aux_sym__integer_token1,
    ACTIONS(4096), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4098), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4100), 1,
      aux_sym_identifier_token1,
    ACTIONS(4102), 1,
      sym__dollar_quoted_string,
    STATE(4884), 1,
      sym_identifier,
    STATE(5563), 1,
      sym_invocation,
    STATE(5895), 1,
      sym__single_quote_string,
    STATE(5979), 1,
      sym__qualified_field,
    STATE(11903), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4074), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4072), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5805), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3889), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [67679] = 5,
    ACTIONS(3732), 1,
      sym_keyword_filter,
    STATE(1885), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2507), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2505), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [67744] = 29,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4104), 1,
      sym_keyword_when,
    ACTIONS(4106), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6088), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [67857] = 5,
    ACTIONS(3732), 1,
      sym_keyword_filter,
    STATE(1884), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2529), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2527), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [67922] = 5,
    ACTIONS(3814), 1,
      sym_keyword_filter,
    STATE(1925), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2449), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2451), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [67987] = 5,
    ACTIONS(3814), 1,
      sym_keyword_filter,
    STATE(1924), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2517), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2519), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [68052] = 5,
    ACTIONS(3732), 1,
      sym_keyword_filter,
    STATE(2065), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2503), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2501), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [68117] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1872), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1870), 45,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [68178] = 30,
    ACTIONS(211), 1,
      sym__identifier,
    ACTIONS(269), 1,
      aux_sym_identifier_token1,
    ACTIONS(3001), 1,
      sym_keyword_cast,
    ACTIONS(3003), 1,
      sym_keyword_case,
    ACTIONS(3007), 1,
      sym_keyword_exists,
    ACTIONS(3011), 1,
      sym_keyword_interval,
    ACTIONS(3013), 1,
      sym_keyword_array,
    ACTIONS(3015), 1,
      anon_sym_LPAREN,
    ACTIONS(3021), 1,
      anon_sym_PLUS,
    ACTIONS(3023), 1,
      anon_sym_DASH,
    ACTIONS(3025), 1,
      sym_op_unary_other,
    ACTIONS(3027), 1,
      sym__double_quote_string,
    ACTIONS(3029), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3031), 1,
      aux_sym__integer_token1,
    ACTIONS(3033), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3035), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3037), 1,
      sym__dollar_quoted_string,
    ACTIONS(3734), 1,
      sym_keyword_distinct,
    ACTIONS(4108), 1,
      sym_keyword_not,
    ACTIONS(4110), 1,
      sym_parameter,
    STATE(310), 1,
      sym__single_quote_string,
    STATE(2882), 1,
      sym_identifier,
    STATE(3887), 1,
      sym_invocation,
    STATE(4609), 1,
      sym__qualified_field,
    STATE(11850), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3005), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3884), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2319), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [68293] = 11,
    ACTIONS(3668), 1,
      sym_keyword_distinct,
    STATE(416), 1,
      sym__single_quote_string,
    STATE(3035), 1,
      sym_identifier,
    STATE(4140), 1,
      sym_invocation,
    STATE(4464), 1,
      sym__qualified_field,
    STATE(11831), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4446), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3670), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(2244), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3666), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [68370] = 29,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4112), 1,
      sym_keyword_when,
    ACTIONS(4114), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6020), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [68483] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1816), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1814), 45,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [68544] = 5,
    ACTIONS(3814), 1,
      sym_keyword_filter,
    STATE(1923), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2501), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2503), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [68609] = 5,
    ACTIONS(3814), 1,
      sym_keyword_filter,
    STATE(1922), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2527), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2529), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [68674] = 5,
    ACTIONS(3732), 1,
      sym_keyword_filter,
    STATE(2062), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2519), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2517), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [68739] = 11,
    ACTIONS(3668), 1,
      sym_keyword_distinct,
    STATE(2953), 1,
      sym__single_quote_string,
    STATE(4196), 1,
      sym_identifier,
    STATE(4905), 1,
      sym__qualified_field,
    STATE(5627), 1,
      sym_invocation,
    STATE(11835), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4863), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3670), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(4156), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3666), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [68816] = 29,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4116), 1,
      anon_sym_RBRACK,
    ACTIONS(4118), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5099), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [68929] = 5,
    ACTIONS(3814), 1,
      sym_keyword_filter,
    STATE(1920), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2505), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2507), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [68994] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1834), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1832), 45,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [69055] = 5,
    ACTIONS(3732), 1,
      sym_keyword_filter,
    STATE(2061), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2451), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2449), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [69120] = 11,
    ACTIONS(3668), 1,
      sym_keyword_distinct,
    STATE(2914), 1,
      sym_identifier,
    STATE(4201), 1,
      sym_invocation,
    STATE(4367), 1,
      sym__single_quote_string,
    STATE(4405), 1,
      sym__qualified_field,
    STATE(11929), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4650), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3670), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(2228), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3666), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [69197] = 29,
    ACTIONS(651), 1,
      sym__identifier,
    ACTIONS(709), 1,
      aux_sym_identifier_token1,
    ACTIONS(3590), 1,
      sym_keyword_cast,
    ACTIONS(3598), 1,
      sym_keyword_array,
    ACTIONS(3604), 1,
      anon_sym_PLUS,
    ACTIONS(3606), 1,
      anon_sym_DASH,
    ACTIONS(3608), 1,
      sym_op_unary_other,
    ACTIONS(3610), 1,
      sym__double_quote_string,
    ACTIONS(3612), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3614), 1,
      aux_sym__integer_token1,
    ACTIONS(3616), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3618), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3620), 1,
      sym__dollar_quoted_string,
    ACTIONS(3886), 1,
      sym_keyword_case,
    ACTIONS(3890), 1,
      sym_keyword_exists,
    ACTIONS(3892), 1,
      sym_keyword_interval,
    ACTIONS(3894), 1,
      anon_sym_LPAREN,
    ACTIONS(4120), 1,
      sym_parameter,
    STATE(918), 1,
      sym_identifier,
    STATE(2039), 1,
      sym_invocation,
    STATE(2111), 1,
      sym__qualified_field,
    STATE(2205), 1,
      sym__single_quote_string,
    STATE(7410), 1,
      sym_order_target,
    STATE(11814), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3596), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3592), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2159), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3771), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [69310] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1838), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1836), 45,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [69371] = 7,
    ACTIONS(109), 1,
      anon_sym_LPAREN,
    ACTIONS(2784), 1,
      anon_sym_DOT,
    ACTIONS(4122), 1,
      aux_sym__single_quote_string_token1,
    STATE(2370), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2782), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2780), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [69440] = 11,
    ACTIONS(3668), 1,
      sym_keyword_distinct,
    STATE(2953), 1,
      sym__single_quote_string,
    STATE(4196), 1,
      sym_identifier,
    STATE(4905), 1,
      sym__qualified_field,
    STATE(5727), 1,
      sym_invocation,
    STATE(11861), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4863), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3670), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(3856), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3666), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [69517] = 29,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4124), 1,
      sym_keyword_when,
    ACTIONS(4126), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6091), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [69630] = 29,
    ACTIONS(1205), 1,
      sym__identifier,
    ACTIONS(1209), 1,
      aux_sym_identifier_token1,
    ACTIONS(2787), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3636), 1,
      sym_keyword_cast,
    ACTIONS(3644), 1,
      sym_keyword_array,
    ACTIONS(3650), 1,
      anon_sym_PLUS,
    ACTIONS(3652), 1,
      anon_sym_DASH,
    ACTIONS(3654), 1,
      sym_op_unary_other,
    ACTIONS(3656), 1,
      sym__double_quote_string,
    ACTIONS(3658), 1,
      aux_sym__integer_token1,
    ACTIONS(3660), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3662), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3664), 1,
      sym__dollar_quoted_string,
    ACTIONS(3722), 1,
      sym_keyword_case,
    ACTIONS(3724), 1,
      sym_keyword_exists,
    ACTIONS(3726), 1,
      sym_keyword_interval,
    ACTIONS(3728), 1,
      anon_sym_LPAREN,
    ACTIONS(3730), 1,
      sym_parameter,
    STATE(425), 1,
      sym_identifier,
    STATE(683), 1,
      sym_invocation,
    STATE(796), 1,
      sym__single_quote_string,
    STATE(883), 1,
      sym__qualified_field,
    STATE(6971), 1,
      sym_order_target,
    STATE(11909), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3642), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3638), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(843), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2410), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [69743] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1376), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1374), 45,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      aux_sym__single_quote_string_token1,
  [69804] = 29,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4128), 1,
      sym_keyword_when,
    ACTIONS(4130), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6097), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [69917] = 5,
    ACTIONS(3814), 1,
      sym_keyword_filter,
    STATE(1916), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2563), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2565), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [69982] = 5,
    ACTIONS(3814), 1,
      sym_keyword_filter,
    STATE(1901), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2551), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2553), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [70047] = 29,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4132), 1,
      anon_sym_RBRACK,
    ACTIONS(4134), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5110), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [70160] = 5,
    ACTIONS(3814), 1,
      sym_keyword_filter,
    STATE(1903), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2543), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2545), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [70225] = 5,
    ACTIONS(3814), 1,
      sym_keyword_filter,
    STATE(1900), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2539), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2541), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [70290] = 5,
    ACTIONS(3814), 1,
      sym_keyword_filter,
    STATE(1899), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2509), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2511), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [70355] = 6,
    ACTIONS(4136), 1,
      sym_keyword_unsigned,
    ACTIONS(4138), 1,
      sym_keyword_zerofill,
    ACTIONS(4140), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1806), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1804), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [70422] = 30,
    ACTIONS(3734), 1,
      sym_keyword_distinct,
    ACTIONS(4142), 1,
      sym__identifier,
    ACTIONS(4144), 1,
      sym_keyword_cast,
    ACTIONS(4146), 1,
      sym_keyword_case,
    ACTIONS(4148), 1,
      sym_keyword_not,
    ACTIONS(4150), 1,
      sym_keyword_exists,
    ACTIONS(4156), 1,
      sym_keyword_interval,
    ACTIONS(4158), 1,
      sym_keyword_array,
    ACTIONS(4160), 1,
      anon_sym_LPAREN,
    ACTIONS(4162), 1,
      sym_parameter,
    ACTIONS(4164), 1,
      anon_sym_PLUS,
    ACTIONS(4166), 1,
      anon_sym_DASH,
    ACTIONS(4168), 1,
      sym_op_unary_other,
    ACTIONS(4170), 1,
      sym__double_quote_string,
    ACTIONS(4172), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4174), 1,
      aux_sym__integer_token1,
    ACTIONS(4176), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4178), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4180), 1,
      aux_sym_identifier_token1,
    ACTIONS(4182), 1,
      sym__dollar_quoted_string,
    STATE(4784), 1,
      sym_identifier,
    STATE(5245), 1,
      sym_invocation,
    STATE(5722), 1,
      sym__single_quote_string,
    STATE(5732), 1,
      sym__qualified_field,
    STATE(11825), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4154), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4152), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5585), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3486), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [70537] = 29,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4184), 1,
      sym_keyword_when,
    ACTIONS(4186), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6068), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [70650] = 5,
    ACTIONS(3732), 1,
      sym_keyword_filter,
    STATE(1938), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2455), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2453), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [70715] = 29,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4188), 1,
      anon_sym_RBRACK,
    ACTIONS(4190), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5333), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [70828] = 11,
    ACTIONS(3668), 1,
      sym_keyword_distinct,
    STATE(425), 1,
      sym_identifier,
    STATE(683), 1,
      sym_invocation,
    STATE(796), 1,
      sym__single_quote_string,
    STATE(883), 1,
      sym__qualified_field,
    STATE(11909), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(843), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3670), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(297), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3666), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [70905] = 5,
    ACTIONS(3814), 1,
      sym_keyword_filter,
    STATE(1890), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2567), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2569), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [70970] = 29,
    ACTIONS(1081), 1,
      sym__identifier,
    ACTIONS(1139), 1,
      aux_sym_identifier_token1,
    ACTIONS(3736), 1,
      sym_keyword_cast,
    ACTIONS(3738), 1,
      sym_keyword_case,
    ACTIONS(3742), 1,
      sym_keyword_exists,
    ACTIONS(3748), 1,
      sym_keyword_interval,
    ACTIONS(3750), 1,
      sym_keyword_array,
    ACTIONS(3752), 1,
      anon_sym_LPAREN,
    ACTIONS(3756), 1,
      anon_sym_PLUS,
    ACTIONS(3758), 1,
      anon_sym_DASH,
    ACTIONS(3760), 1,
      sym_op_unary_other,
    ACTIONS(3762), 1,
      sym__double_quote_string,
    ACTIONS(3764), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3766), 1,
      aux_sym__integer_token1,
    ACTIONS(3768), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3770), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3772), 1,
      sym__dollar_quoted_string,
    ACTIONS(4192), 1,
      sym_parameter,
    STATE(2914), 1,
      sym_identifier,
    STATE(4201), 1,
      sym_invocation,
    STATE(4367), 1,
      sym__single_quote_string,
    STATE(4405), 1,
      sym__qualified_field,
    STATE(6971), 1,
      sym_order_target,
    STATE(11929), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3746), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3744), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4650), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2620), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [71083] = 30,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2989), 1,
      anon_sym_LPAREN,
    ACTIONS(3134), 1,
      sym_op_unary_other,
    ACTIONS(3734), 1,
      sym_keyword_distinct,
    ACTIONS(4194), 1,
      sym_keyword_not,
    ACTIONS(4196), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(5103), 1,
      sym_invocation,
    STATE(11997), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3130), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4351), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [71198] = 11,
    ACTIONS(3668), 1,
      sym_keyword_distinct,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(2733), 1,
      sym_identifier,
    STATE(3671), 1,
      sym_invocation,
    STATE(3899), 1,
      sym__qualified_field,
    STATE(11544), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(3210), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3670), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(1965), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3666), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [71275] = 11,
    ACTIONS(3668), 1,
      sym_keyword_distinct,
    STATE(310), 1,
      sym__single_quote_string,
    STATE(2882), 1,
      sym_identifier,
    STATE(3887), 1,
      sym_invocation,
    STATE(4609), 1,
      sym__qualified_field,
    STATE(11850), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(3884), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3670), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(2316), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3666), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [71352] = 29,
    ACTIONS(1081), 1,
      sym__identifier,
    ACTIONS(1139), 1,
      aux_sym_identifier_token1,
    ACTIONS(3736), 1,
      sym_keyword_cast,
    ACTIONS(3738), 1,
      sym_keyword_case,
    ACTIONS(3742), 1,
      sym_keyword_exists,
    ACTIONS(3748), 1,
      sym_keyword_interval,
    ACTIONS(3750), 1,
      sym_keyword_array,
    ACTIONS(3752), 1,
      anon_sym_LPAREN,
    ACTIONS(3756), 1,
      anon_sym_PLUS,
    ACTIONS(3758), 1,
      anon_sym_DASH,
    ACTIONS(3760), 1,
      sym_op_unary_other,
    ACTIONS(3762), 1,
      sym__double_quote_string,
    ACTIONS(3764), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3766), 1,
      aux_sym__integer_token1,
    ACTIONS(3768), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3770), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3772), 1,
      sym__dollar_quoted_string,
    ACTIONS(4192), 1,
      sym_parameter,
    STATE(2914), 1,
      sym_identifier,
    STATE(4201), 1,
      sym_invocation,
    STATE(4367), 1,
      sym__single_quote_string,
    STATE(4405), 1,
      sym__qualified_field,
    STATE(7590), 1,
      sym_order_target,
    STATE(11929), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3746), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3744), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4650), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2620), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [71465] = 30,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(3734), 1,
      sym_keyword_distinct,
    ACTIONS(4198), 1,
      sym_keyword_not,
    ACTIONS(4200), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1781), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [71580] = 5,
    ACTIONS(3814), 1,
      sym_keyword_filter,
    STATE(1896), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2513), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2515), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [71645] = 5,
    ACTIONS(3814), 1,
      sym_keyword_filter,
    STATE(1895), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2559), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2561), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [71710] = 29,
    ACTIONS(651), 1,
      sym__identifier,
    ACTIONS(709), 1,
      aux_sym_identifier_token1,
    ACTIONS(3590), 1,
      sym_keyword_cast,
    ACTIONS(3598), 1,
      sym_keyword_array,
    ACTIONS(3604), 1,
      anon_sym_PLUS,
    ACTIONS(3606), 1,
      anon_sym_DASH,
    ACTIONS(3608), 1,
      sym_op_unary_other,
    ACTIONS(3610), 1,
      sym__double_quote_string,
    ACTIONS(3612), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3614), 1,
      aux_sym__integer_token1,
    ACTIONS(3616), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3618), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3620), 1,
      sym__dollar_quoted_string,
    ACTIONS(3886), 1,
      sym_keyword_case,
    ACTIONS(3890), 1,
      sym_keyword_exists,
    ACTIONS(3892), 1,
      sym_keyword_interval,
    ACTIONS(3894), 1,
      anon_sym_LPAREN,
    ACTIONS(4120), 1,
      sym_parameter,
    STATE(918), 1,
      sym_identifier,
    STATE(2039), 1,
      sym_invocation,
    STATE(2111), 1,
      sym__qualified_field,
    STATE(2205), 1,
      sym__single_quote_string,
    STATE(8306), 1,
      sym_order_target,
    STATE(11814), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3596), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3592), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2159), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3771), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [71823] = 29,
    ACTIONS(1081), 1,
      sym__identifier,
    ACTIONS(1139), 1,
      aux_sym_identifier_token1,
    ACTIONS(3736), 1,
      sym_keyword_cast,
    ACTIONS(3738), 1,
      sym_keyword_case,
    ACTIONS(3742), 1,
      sym_keyword_exists,
    ACTIONS(3748), 1,
      sym_keyword_interval,
    ACTIONS(3750), 1,
      sym_keyword_array,
    ACTIONS(3752), 1,
      anon_sym_LPAREN,
    ACTIONS(3756), 1,
      anon_sym_PLUS,
    ACTIONS(3758), 1,
      anon_sym_DASH,
    ACTIONS(3760), 1,
      sym_op_unary_other,
    ACTIONS(3762), 1,
      sym__double_quote_string,
    ACTIONS(3764), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3766), 1,
      aux_sym__integer_token1,
    ACTIONS(3768), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3770), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3772), 1,
      sym__dollar_quoted_string,
    ACTIONS(4202), 1,
      sym_parameter,
    STATE(2914), 1,
      sym_identifier,
    STATE(4201), 1,
      sym_invocation,
    STATE(4367), 1,
      sym__single_quote_string,
    STATE(4405), 1,
      sym__qualified_field,
    STATE(6971), 1,
      sym_order_target,
    STATE(11929), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3746), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3744), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4650), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2153), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [71936] = 30,
    ACTIONS(467), 1,
      sym__identifier,
    ACTIONS(525), 1,
      aux_sym_identifier_token1,
    ACTIONS(3678), 1,
      sym_keyword_cast,
    ACTIONS(3680), 1,
      sym_keyword_case,
    ACTIONS(3684), 1,
      sym_keyword_exists,
    ACTIONS(3688), 1,
      sym_keyword_interval,
    ACTIONS(3690), 1,
      sym_keyword_array,
    ACTIONS(3692), 1,
      anon_sym_LPAREN,
    ACTIONS(3696), 1,
      anon_sym_PLUS,
    ACTIONS(3698), 1,
      anon_sym_DASH,
    ACTIONS(3700), 1,
      sym_op_unary_other,
    ACTIONS(3702), 1,
      sym__double_quote_string,
    ACTIONS(3704), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3706), 1,
      aux_sym__integer_token1,
    ACTIONS(3708), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3710), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3712), 1,
      sym__dollar_quoted_string,
    ACTIONS(3734), 1,
      sym_keyword_distinct,
    ACTIONS(4204), 1,
      sym_keyword_not,
    ACTIONS(4206), 1,
      sym_parameter,
    STATE(3287), 1,
      sym_identifier,
    STATE(4389), 1,
      sym_invocation,
    STATE(4687), 1,
      sym__single_quote_string,
    STATE(4706), 1,
      sym__qualified_field,
    STATE(11817), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3686), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3682), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4694), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2570), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [72051] = 5,
    ACTIONS(3732), 1,
      sym_keyword_filter,
    STATE(2015), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2533), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2531), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [72116] = 29,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4208), 1,
      anon_sym_RBRACK,
    ACTIONS(4210), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5130), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [72229] = 30,
    ACTIONS(843), 1,
      sym__identifier,
    ACTIONS(901), 1,
      aux_sym_identifier_token1,
    ACTIONS(3734), 1,
      sym_keyword_distinct,
    ACTIONS(4122), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4212), 1,
      sym_keyword_cast,
    ACTIONS(4214), 1,
      sym_keyword_case,
    ACTIONS(4216), 1,
      sym_keyword_not,
    ACTIONS(4218), 1,
      sym_keyword_exists,
    ACTIONS(4224), 1,
      sym_keyword_interval,
    ACTIONS(4226), 1,
      sym_keyword_array,
    ACTIONS(4228), 1,
      anon_sym_LPAREN,
    ACTIONS(4230), 1,
      sym_parameter,
    ACTIONS(4232), 1,
      anon_sym_PLUS,
    ACTIONS(4234), 1,
      anon_sym_DASH,
    ACTIONS(4236), 1,
      sym_op_unary_other,
    ACTIONS(4238), 1,
      sym__double_quote_string,
    ACTIONS(4240), 1,
      aux_sym__integer_token1,
    ACTIONS(4242), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4244), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4246), 1,
      sym__dollar_quoted_string,
    STATE(1057), 1,
      sym_identifier,
    STATE(2184), 1,
      sym_invocation,
    STATE(2355), 1,
      sym__single_quote_string,
    STATE(2449), 1,
      sym__qualified_field,
    STATE(11882), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4222), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4220), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2384), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(559), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [72344] = 5,
    ACTIONS(3732), 1,
      sym_keyword_filter,
    STATE(2012), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2445), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2443), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [72409] = 5,
    ACTIONS(3814), 1,
      sym_keyword_filter,
    STATE(1939), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2555), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2557), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [72474] = 30,
    ACTIONS(587), 1,
      sym__identifier,
    ACTIONS(645), 1,
      aux_sym_identifier_token1,
    ACTIONS(3734), 1,
      sym_keyword_distinct,
    ACTIONS(4248), 1,
      sym_keyword_cast,
    ACTIONS(4250), 1,
      sym_keyword_case,
    ACTIONS(4252), 1,
      sym_keyword_not,
    ACTIONS(4254), 1,
      sym_keyword_exists,
    ACTIONS(4260), 1,
      sym_keyword_interval,
    ACTIONS(4262), 1,
      sym_keyword_array,
    ACTIONS(4264), 1,
      anon_sym_LPAREN,
    ACTIONS(4266), 1,
      sym_parameter,
    ACTIONS(4268), 1,
      anon_sym_PLUS,
    ACTIONS(4270), 1,
      anon_sym_DASH,
    ACTIONS(4272), 1,
      sym_op_unary_other,
    ACTIONS(4274), 1,
      sym__double_quote_string,
    ACTIONS(4276), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4278), 1,
      aux_sym__integer_token1,
    ACTIONS(4280), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4282), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4284), 1,
      sym__dollar_quoted_string,
    STATE(2958), 1,
      sym_identifier,
    STATE(4144), 1,
      sym_invocation,
    STATE(4381), 1,
      sym__single_quote_string,
    STATE(4431), 1,
      sym__qualified_field,
    STATE(11807), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4258), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4256), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4564), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2141), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [72589] = 5,
    ACTIONS(3732), 1,
      sym_keyword_filter,
    STATE(2007), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2537), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2535), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [72654] = 11,
    ACTIONS(3668), 1,
      sym_keyword_distinct,
    STATE(2710), 1,
      sym_identifier,
    STATE(3531), 1,
      sym_invocation,
    STATE(3885), 1,
      sym__single_quote_string,
    STATE(4309), 1,
      sym__qualified_field,
    STATE(11865), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(3918), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3670), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(1912), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3666), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [72731] = 30,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3067), 1,
      sym_keyword_cast,
    ACTIONS(3069), 1,
      sym_keyword_case,
    ACTIONS(3073), 1,
      sym_keyword_exists,
    ACTIONS(3077), 1,
      sym_keyword_interval,
    ACTIONS(3079), 1,
      sym_keyword_array,
    ACTIONS(3081), 1,
      anon_sym_LPAREN,
    ACTIONS(3085), 1,
      anon_sym_PLUS,
    ACTIONS(3087), 1,
      anon_sym_DASH,
    ACTIONS(3089), 1,
      sym_op_unary_other,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3095), 1,
      aux_sym__integer_token1,
    ACTIONS(3097), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3099), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(3734), 1,
      sym_keyword_distinct,
    ACTIONS(4286), 1,
      sym_keyword_not,
    ACTIONS(4288), 1,
      sym_parameter,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(2733), 1,
      sym_identifier,
    STATE(3671), 1,
      sym_invocation,
    STATE(3899), 1,
      sym__qualified_field,
    STATE(11544), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3075), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3071), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3210), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2009), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [72846] = 29,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4290), 1,
      anon_sym_RBRACK,
    ACTIONS(4292), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5356), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [72959] = 29,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2600), 1,
      anon_sym_RPAREN,
    ACTIONS(2602), 1,
      sym_parameter,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(4378), 1,
      sym_identifier,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5142), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [73072] = 29,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4294), 1,
      anon_sym_RBRACK,
    ACTIONS(4296), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5146), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [73185] = 30,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3734), 1,
      sym_keyword_distinct,
    ACTIONS(4298), 1,
      sym_keyword_not,
    ACTIONS(4300), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(4378), 1,
      sym_identifier,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4382), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [73300] = 11,
    ACTIONS(3668), 1,
      sym_keyword_distinct,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(11981), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3670), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(4267), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3666), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [73377] = 11,
    ACTIONS(3668), 1,
      sym_keyword_distinct,
    STATE(4884), 1,
      sym_identifier,
    STATE(5563), 1,
      sym_invocation,
    STATE(5895), 1,
      sym__single_quote_string,
    STATE(5979), 1,
      sym__qualified_field,
    STATE(11903), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5805), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3670), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(3930), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3666), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [73454] = 7,
    ACTIONS(4302), 1,
      sym_keyword_unsigned,
    ACTIONS(4304), 1,
      sym_keyword_zerofill,
    ACTIONS(4306), 1,
      sym_keyword_precision,
    ACTIONS(4308), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1774), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1772), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [73523] = 30,
    ACTIONS(407), 1,
      sym__identifier,
    ACTIONS(465), 1,
      aux_sym_identifier_token1,
    ACTIONS(3734), 1,
      sym_keyword_distinct,
    ACTIONS(4310), 1,
      sym_keyword_cast,
    ACTIONS(4312), 1,
      sym_keyword_case,
    ACTIONS(4314), 1,
      sym_keyword_not,
    ACTIONS(4316), 1,
      sym_keyword_exists,
    ACTIONS(4322), 1,
      sym_keyword_interval,
    ACTIONS(4324), 1,
      sym_keyword_array,
    ACTIONS(4326), 1,
      anon_sym_LPAREN,
    ACTIONS(4328), 1,
      sym_parameter,
    ACTIONS(4330), 1,
      anon_sym_PLUS,
    ACTIONS(4332), 1,
      anon_sym_DASH,
    ACTIONS(4334), 1,
      sym_op_unary_other,
    ACTIONS(4336), 1,
      sym__double_quote_string,
    ACTIONS(4338), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4340), 1,
      aux_sym__integer_token1,
    ACTIONS(4342), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4344), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4346), 1,
      sym__dollar_quoted_string,
    STATE(1171), 1,
      sym_identifier,
    STATE(2353), 1,
      sym_invocation,
    STATE(2651), 1,
      sym__single_quote_string,
    STATE(2678), 1,
      sym__qualified_field,
    STATE(11808), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4320), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4318), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2660), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(765), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [73638] = 30,
    ACTIONS(1141), 1,
      sym__identifier,
    ACTIONS(1199), 1,
      aux_sym_identifier_token1,
    ACTIONS(3734), 1,
      sym_keyword_distinct,
    ACTIONS(4348), 1,
      sym_keyword_cast,
    ACTIONS(4350), 1,
      sym_keyword_case,
    ACTIONS(4352), 1,
      sym_keyword_not,
    ACTIONS(4354), 1,
      sym_keyword_exists,
    ACTIONS(4360), 1,
      sym_keyword_interval,
    ACTIONS(4362), 1,
      sym_keyword_array,
    ACTIONS(4364), 1,
      anon_sym_LPAREN,
    ACTIONS(4366), 1,
      sym_parameter,
    ACTIONS(4368), 1,
      anon_sym_PLUS,
    ACTIONS(4370), 1,
      anon_sym_DASH,
    ACTIONS(4372), 1,
      sym_op_unary_other,
    ACTIONS(4374), 1,
      sym__double_quote_string,
    ACTIONS(4376), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4378), 1,
      aux_sym__integer_token1,
    ACTIONS(4380), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4382), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4384), 1,
      sym__dollar_quoted_string,
    STATE(2235), 1,
      sym__single_quote_string,
    STATE(2711), 1,
      sym_identifier,
    STATE(3691), 1,
      sym_invocation,
    STATE(3959), 1,
      sym__qualified_field,
    STATE(11969), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4358), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4356), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3940), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2047), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [73753] = 7,
    ACTIONS(4386), 1,
      sym_keyword_unsigned,
    ACTIONS(4388), 1,
      sym_keyword_zerofill,
    ACTIONS(4390), 1,
      sym_keyword_precision,
    ACTIONS(4392), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1772), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1774), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [73822] = 11,
    ACTIONS(3668), 1,
      sym_keyword_distinct,
    STATE(1057), 1,
      sym_identifier,
    STATE(2184), 1,
      sym_invocation,
    STATE(2355), 1,
      sym__single_quote_string,
    STATE(2449), 1,
      sym__qualified_field,
    STATE(11882), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(2384), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3670), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(524), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3666), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [73899] = 5,
    ACTIONS(3814), 1,
      sym_keyword_filter,
    STATE(1888), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2453), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2455), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [73964] = 5,
    ACTIONS(3732), 1,
      sym_keyword_filter,
    STATE(2002), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2549), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2547), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [74029] = 29,
    ACTIONS(1081), 1,
      sym__identifier,
    ACTIONS(1139), 1,
      aux_sym_identifier_token1,
    ACTIONS(3736), 1,
      sym_keyword_cast,
    ACTIONS(3738), 1,
      sym_keyword_case,
    ACTIONS(3742), 1,
      sym_keyword_exists,
    ACTIONS(3748), 1,
      sym_keyword_interval,
    ACTIONS(3750), 1,
      sym_keyword_array,
    ACTIONS(3752), 1,
      anon_sym_LPAREN,
    ACTIONS(3756), 1,
      anon_sym_PLUS,
    ACTIONS(3758), 1,
      anon_sym_DASH,
    ACTIONS(3760), 1,
      sym_op_unary_other,
    ACTIONS(3762), 1,
      sym__double_quote_string,
    ACTIONS(3764), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3766), 1,
      aux_sym__integer_token1,
    ACTIONS(3768), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3770), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3772), 1,
      sym__dollar_quoted_string,
    ACTIONS(4202), 1,
      sym_parameter,
    STATE(2914), 1,
      sym_identifier,
    STATE(4201), 1,
      sym_invocation,
    STATE(4367), 1,
      sym__single_quote_string,
    STATE(4405), 1,
      sym__qualified_field,
    STATE(7269), 1,
      sym_order_target,
    STATE(11929), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3746), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3744), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4650), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2153), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [74142] = 29,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4394), 1,
      anon_sym_RBRACK,
    ACTIONS(4396), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5157), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [74255] = 29,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4398), 1,
      anon_sym_RBRACK,
    ACTIONS(4400), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5195), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [74368] = 29,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2702), 1,
      anon_sym_RPAREN,
    ACTIONS(2704), 1,
      sym_parameter,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(4378), 1,
      sym_identifier,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5357), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [74481] = 29,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4402), 1,
      anon_sym_RBRACK,
    ACTIONS(4404), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5226), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [74594] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4406), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4920), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [74704] = 28,
    ACTIONS(1141), 1,
      sym__identifier,
    ACTIONS(1199), 1,
      aux_sym_identifier_token1,
    ACTIONS(4348), 1,
      sym_keyword_cast,
    ACTIONS(4350), 1,
      sym_keyword_case,
    ACTIONS(4354), 1,
      sym_keyword_exists,
    ACTIONS(4360), 1,
      sym_keyword_interval,
    ACTIONS(4362), 1,
      sym_keyword_array,
    ACTIONS(4364), 1,
      anon_sym_LPAREN,
    ACTIONS(4368), 1,
      anon_sym_PLUS,
    ACTIONS(4370), 1,
      anon_sym_DASH,
    ACTIONS(4372), 1,
      sym_op_unary_other,
    ACTIONS(4374), 1,
      sym__double_quote_string,
    ACTIONS(4376), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4378), 1,
      aux_sym__integer_token1,
    ACTIONS(4380), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4382), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4384), 1,
      sym__dollar_quoted_string,
    ACTIONS(4408), 1,
      sym_parameter,
    STATE(2235), 1,
      sym__single_quote_string,
    STATE(2711), 1,
      sym_identifier,
    STATE(3691), 1,
      sym_invocation,
    STATE(3959), 1,
      sym__qualified_field,
    STATE(11969), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4358), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4356), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3940), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2033), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [74814] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2989), 1,
      anon_sym_LPAREN,
    ACTIONS(3134), 1,
      sym_op_unary_other,
    ACTIONS(4410), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(5103), 1,
      sym_invocation,
    STATE(11997), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3130), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4322), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [74924] = 28,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3067), 1,
      sym_keyword_cast,
    ACTIONS(3069), 1,
      sym_keyword_case,
    ACTIONS(3073), 1,
      sym_keyword_exists,
    ACTIONS(3077), 1,
      sym_keyword_interval,
    ACTIONS(3079), 1,
      sym_keyword_array,
    ACTIONS(3081), 1,
      anon_sym_LPAREN,
    ACTIONS(3085), 1,
      anon_sym_PLUS,
    ACTIONS(3087), 1,
      anon_sym_DASH,
    ACTIONS(3089), 1,
      sym_op_unary_other,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3095), 1,
      aux_sym__integer_token1,
    ACTIONS(3097), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3099), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(4412), 1,
      sym_parameter,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(2733), 1,
      sym_identifier,
    STATE(3671), 1,
      sym_invocation,
    STATE(3899), 1,
      sym__qualified_field,
    STATE(11544), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3075), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3071), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3210), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1965), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [75034] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2989), 1,
      anon_sym_LPAREN,
    ACTIONS(3134), 1,
      sym_op_unary_other,
    ACTIONS(4414), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(5103), 1,
      sym_invocation,
    STATE(11997), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3130), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4325), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [75144] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2989), 1,
      anon_sym_LPAREN,
    ACTIONS(3134), 1,
      sym_op_unary_other,
    ACTIONS(4416), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(5103), 1,
      sym_invocation,
    STATE(11997), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3130), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4329), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [75254] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2989), 1,
      anon_sym_LPAREN,
    ACTIONS(3134), 1,
      sym_op_unary_other,
    ACTIONS(4418), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(5103), 1,
      sym_invocation,
    STATE(11997), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3130), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4330), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [75364] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2989), 1,
      anon_sym_LPAREN,
    ACTIONS(3134), 1,
      sym_op_unary_other,
    ACTIONS(4420), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(5103), 1,
      sym_invocation,
    STATE(11997), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3130), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4348), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [75474] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2989), 1,
      anon_sym_LPAREN,
    ACTIONS(3134), 1,
      sym_op_unary_other,
    ACTIONS(4422), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(5103), 1,
      sym_invocation,
    STATE(11997), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3130), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4350), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [75584] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2989), 1,
      anon_sym_LPAREN,
    ACTIONS(3134), 1,
      sym_op_unary_other,
    ACTIONS(4424), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(5103), 1,
      sym_invocation,
    STATE(11997), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3130), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4352), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [75694] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2989), 1,
      anon_sym_LPAREN,
    ACTIONS(3134), 1,
      sym_op_unary_other,
    ACTIONS(4426), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(5103), 1,
      sym_invocation,
    STATE(11997), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3130), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4353), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [75804] = 28,
    ACTIONS(1213), 1,
      sym__identifier,
    ACTIONS(1271), 1,
      aux_sym_identifier_token1,
    ACTIONS(3944), 1,
      sym_keyword_cast,
    ACTIONS(3946), 1,
      sym_keyword_case,
    ACTIONS(3950), 1,
      sym_keyword_exists,
    ACTIONS(3956), 1,
      sym_keyword_interval,
    ACTIONS(3958), 1,
      sym_keyword_array,
    ACTIONS(3960), 1,
      anon_sym_LPAREN,
    ACTIONS(3964), 1,
      anon_sym_PLUS,
    ACTIONS(3966), 1,
      anon_sym_DASH,
    ACTIONS(3968), 1,
      sym_op_unary_other,
    ACTIONS(3970), 1,
      sym__double_quote_string,
    ACTIONS(3972), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3974), 1,
      aux_sym__integer_token1,
    ACTIONS(3976), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3978), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3980), 1,
      sym__dollar_quoted_string,
    ACTIONS(4428), 1,
      sym_parameter,
    STATE(934), 1,
      sym__single_quote_string,
    STATE(5437), 1,
      sym_identifier,
    STATE(6217), 1,
      sym_invocation,
    STATE(6384), 1,
      sym__qualified_field,
    STATE(11941), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3954), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3952), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6390), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4710), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [75914] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2989), 1,
      anon_sym_LPAREN,
    ACTIONS(3134), 1,
      sym_op_unary_other,
    ACTIONS(4430), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(5103), 1,
      sym_invocation,
    STATE(11997), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3130), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4249), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [76024] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2989), 1,
      anon_sym_LPAREN,
    ACTIONS(3134), 1,
      sym_op_unary_other,
    ACTIONS(4432), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(5103), 1,
      sym_invocation,
    STATE(11997), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3130), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4255), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [76134] = 28,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3067), 1,
      sym_keyword_cast,
    ACTIONS(3069), 1,
      sym_keyword_case,
    ACTIONS(3073), 1,
      sym_keyword_exists,
    ACTIONS(3077), 1,
      sym_keyword_interval,
    ACTIONS(3079), 1,
      sym_keyword_array,
    ACTIONS(3081), 1,
      anon_sym_LPAREN,
    ACTIONS(3085), 1,
      anon_sym_PLUS,
    ACTIONS(3087), 1,
      anon_sym_DASH,
    ACTIONS(3089), 1,
      sym_op_unary_other,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3095), 1,
      aux_sym__integer_token1,
    ACTIONS(3097), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3099), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(4434), 1,
      sym_parameter,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(2733), 1,
      sym_identifier,
    STATE(3671), 1,
      sym_invocation,
    STATE(3899), 1,
      sym__qualified_field,
    STATE(11544), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3075), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3071), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3210), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2006), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [76244] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4436), 1,
      anon_sym_LPAREN,
    ACTIONS(4438), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5914), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [76354] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4440), 1,
      anon_sym_LPAREN,
    ACTIONS(4442), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5903), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [76464] = 29,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4444), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(6595), 1,
      sym_binary_expression,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6294), 14,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [76576] = 28,
    ACTIONS(1213), 1,
      sym__identifier,
    ACTIONS(1271), 1,
      aux_sym_identifier_token1,
    ACTIONS(3944), 1,
      sym_keyword_cast,
    ACTIONS(3946), 1,
      sym_keyword_case,
    ACTIONS(3950), 1,
      sym_keyword_exists,
    ACTIONS(3956), 1,
      sym_keyword_interval,
    ACTIONS(3958), 1,
      sym_keyword_array,
    ACTIONS(3960), 1,
      anon_sym_LPAREN,
    ACTIONS(3964), 1,
      anon_sym_PLUS,
    ACTIONS(3966), 1,
      anon_sym_DASH,
    ACTIONS(3968), 1,
      sym_op_unary_other,
    ACTIONS(3970), 1,
      sym__double_quote_string,
    ACTIONS(3972), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3974), 1,
      aux_sym__integer_token1,
    ACTIONS(3976), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3978), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3980), 1,
      sym__dollar_quoted_string,
    ACTIONS(4446), 1,
      sym_parameter,
    STATE(934), 1,
      sym__single_quote_string,
    STATE(5437), 1,
      sym_identifier,
    STATE(6217), 1,
      sym_invocation,
    STATE(6384), 1,
      sym__qualified_field,
    STATE(11941), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3954), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3952), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6390), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4709), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [76686] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4448), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5899), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [76796] = 8,
    ACTIONS(109), 1,
      anon_sym_LPAREN,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2784), 1,
      anon_sym_DOT,
    ACTIONS(4450), 1,
      anon_sym_RPAREN,
    STATE(2674), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2780), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2782), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [76866] = 13,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2430), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2428), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [76946] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4467), 1,
      anon_sym_LPAREN,
    ACTIONS(4469), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5241), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [77056] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4471), 1,
      anon_sym_LPAREN,
    ACTIONS(4473), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5243), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [77166] = 29,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(4479), 1,
      sym_keyword_as,
    ACTIONS(4481), 1,
      sym_keyword_in,
    ACTIONS(4483), 1,
      sym_keyword_and,
    ACTIONS(4485), 1,
      sym_keyword_or,
    ACTIONS(4487), 1,
      sym_keyword_is,
    ACTIONS(4489), 1,
      sym_keyword_not,
    ACTIONS(4491), 1,
      sym_keyword_between,
    ACTIONS(4495), 1,
      sym_keyword_similar,
    ACTIONS(4497), 1,
      anon_sym_LBRACK,
    ACTIONS(4503), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4507), 1,
      sym_op_other,
    ACTIONS(4509), 1,
      anon_sym_PLUS,
    ACTIONS(4511), 1,
      anon_sym_DASH,
    ACTIONS(4513), 1,
      anon_sym_SLASH,
    ACTIONS(4515), 1,
      anon_sym_CARET,
    STATE(6377), 1,
      sym_identifier,
    STATE(7021), 1,
      sym__alias,
    STATE(11092), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(4493), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4501), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4505), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1343), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4475), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(1339), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4499), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(4477), 8,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [77278] = 7,
    ACTIONS(4517), 1,
      sym_keyword_array,
    STATE(2303), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(2574), 1,
      sym__array_size_definition,
    STATE(2600), 1,
      sym_array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2791), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2789), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [77346] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4519), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5880), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [77456] = 29,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4444), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(6603), 1,
      sym_binary_expression,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6294), 14,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [77568] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4521), 1,
      anon_sym_LPAREN,
    ACTIONS(4523), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5266), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [77678] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4525), 1,
      anon_sym_LPAREN,
    ACTIONS(4527), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5269), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [77788] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4529), 1,
      anon_sym_LPAREN,
    ACTIONS(4531), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5302), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [77898] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4533), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1135), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [78008] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4535), 1,
      anon_sym_LPAREN,
    ACTIONS(4537), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5151), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [78118] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4539), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5826), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [78228] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4541), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5983), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [78338] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4543), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5977), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [78448] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4545), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5976), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [78558] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4547), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5971), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [78668] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4549), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5959), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [78778] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4551), 1,
      anon_sym_LPAREN,
    ACTIONS(4553), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5312), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [78888] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4555), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5958), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [78998] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4557), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5956), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [79108] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(4559), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(4378), 1,
      sym_identifier,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5843), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [79218] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4561), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5016), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [79328] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4563), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5954), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [79438] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4565), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5952), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [79548] = 28,
    ACTIONS(1141), 1,
      sym__identifier,
    ACTIONS(1199), 1,
      aux_sym_identifier_token1,
    ACTIONS(4348), 1,
      sym_keyword_cast,
    ACTIONS(4350), 1,
      sym_keyword_case,
    ACTIONS(4354), 1,
      sym_keyword_exists,
    ACTIONS(4360), 1,
      sym_keyword_interval,
    ACTIONS(4362), 1,
      sym_keyword_array,
    ACTIONS(4364), 1,
      anon_sym_LPAREN,
    ACTIONS(4368), 1,
      anon_sym_PLUS,
    ACTIONS(4370), 1,
      anon_sym_DASH,
    ACTIONS(4372), 1,
      sym_op_unary_other,
    ACTIONS(4374), 1,
      sym__double_quote_string,
    ACTIONS(4376), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4378), 1,
      aux_sym__integer_token1,
    ACTIONS(4380), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4382), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4384), 1,
      sym__dollar_quoted_string,
    ACTIONS(4567), 1,
      sym_parameter,
    STATE(2235), 1,
      sym__single_quote_string,
    STATE(2711), 1,
      sym_identifier,
    STATE(3691), 1,
      sym_invocation,
    STATE(3959), 1,
      sym__qualified_field,
    STATE(11969), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4358), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4356), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3940), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2010), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [79658] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4569), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5820), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [79768] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2989), 1,
      anon_sym_LPAREN,
    ACTIONS(3134), 1,
      sym_op_unary_other,
    ACTIONS(4571), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(5103), 1,
      sym_invocation,
    STATE(11997), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3130), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4304), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [79878] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4573), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5030), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [79988] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4575), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5950), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [80098] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4577), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5949), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [80208] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4579), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5948), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [80318] = 28,
    ACTIONS(1213), 1,
      sym__identifier,
    ACTIONS(1271), 1,
      aux_sym_identifier_token1,
    ACTIONS(3944), 1,
      sym_keyword_cast,
    ACTIONS(3946), 1,
      sym_keyword_case,
    ACTIONS(3950), 1,
      sym_keyword_exists,
    ACTIONS(3956), 1,
      sym_keyword_interval,
    ACTIONS(3958), 1,
      sym_keyword_array,
    ACTIONS(3960), 1,
      anon_sym_LPAREN,
    ACTIONS(3962), 1,
      sym_parameter,
    ACTIONS(3964), 1,
      anon_sym_PLUS,
    ACTIONS(3966), 1,
      anon_sym_DASH,
    ACTIONS(3968), 1,
      sym_op_unary_other,
    ACTIONS(3970), 1,
      sym__double_quote_string,
    ACTIONS(3972), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3974), 1,
      aux_sym__integer_token1,
    ACTIONS(3976), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3978), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3980), 1,
      sym__dollar_quoted_string,
    STATE(934), 1,
      sym__single_quote_string,
    STATE(5437), 1,
      sym_identifier,
    STATE(6217), 1,
      sym_invocation,
    STATE(6384), 1,
      sym__qualified_field,
    STATE(11941), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3954), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3952), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6390), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4713), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [80428] = 28,
    ACTIONS(1213), 1,
      sym__identifier,
    ACTIONS(1271), 1,
      aux_sym_identifier_token1,
    ACTIONS(3944), 1,
      sym_keyword_cast,
    ACTIONS(3946), 1,
      sym_keyword_case,
    ACTIONS(3950), 1,
      sym_keyword_exists,
    ACTIONS(3956), 1,
      sym_keyword_interval,
    ACTIONS(3958), 1,
      sym_keyword_array,
    ACTIONS(3960), 1,
      anon_sym_LPAREN,
    ACTIONS(3964), 1,
      anon_sym_PLUS,
    ACTIONS(3966), 1,
      anon_sym_DASH,
    ACTIONS(3968), 1,
      sym_op_unary_other,
    ACTIONS(3970), 1,
      sym__double_quote_string,
    ACTIONS(3972), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3974), 1,
      aux_sym__integer_token1,
    ACTIONS(3976), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3978), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3980), 1,
      sym__dollar_quoted_string,
    ACTIONS(4581), 1,
      sym_parameter,
    STATE(934), 1,
      sym__single_quote_string,
    STATE(5437), 1,
      sym_identifier,
    STATE(6217), 1,
      sym_invocation,
    STATE(6384), 1,
      sym__qualified_field,
    STATE(11941), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3954), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3952), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6390), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4728), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [80538] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4583), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5945), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [80648] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4585), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5942), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [80758] = 7,
    ACTIONS(109), 1,
      anon_sym_LPAREN,
    ACTIONS(2784), 1,
      anon_sym_DOT,
    ACTIONS(4338), 1,
      aux_sym__single_quote_string_token1,
    STATE(2649), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2782), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2780), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [80826] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4587), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5941), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [80936] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4589), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5927), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [81046] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4591), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5926), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [81156] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2989), 1,
      anon_sym_LPAREN,
    ACTIONS(3134), 1,
      sym_op_unary_other,
    ACTIONS(4593), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(5103), 1,
      sym_invocation,
    STATE(11997), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3130), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4307), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [81266] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4595), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6185), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [81376] = 28,
    ACTIONS(1213), 1,
      sym__identifier,
    ACTIONS(1271), 1,
      aux_sym_identifier_token1,
    ACTIONS(3944), 1,
      sym_keyword_cast,
    ACTIONS(3946), 1,
      sym_keyword_case,
    ACTIONS(3950), 1,
      sym_keyword_exists,
    ACTIONS(3956), 1,
      sym_keyword_interval,
    ACTIONS(3958), 1,
      sym_keyword_array,
    ACTIONS(3960), 1,
      anon_sym_LPAREN,
    ACTIONS(3964), 1,
      anon_sym_PLUS,
    ACTIONS(3966), 1,
      anon_sym_DASH,
    ACTIONS(3968), 1,
      sym_op_unary_other,
    ACTIONS(3970), 1,
      sym__double_quote_string,
    ACTIONS(3972), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3974), 1,
      aux_sym__integer_token1,
    ACTIONS(3976), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3978), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3980), 1,
      sym__dollar_quoted_string,
    ACTIONS(4597), 1,
      sym_parameter,
    STATE(934), 1,
      sym__single_quote_string,
    STATE(5437), 1,
      sym_identifier,
    STATE(6217), 1,
      sym_invocation,
    STATE(6384), 1,
      sym__qualified_field,
    STATE(11941), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3954), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3952), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6390), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4732), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [81486] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4599), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5925), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [81596] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4601), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5842), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [81706] = 28,
    ACTIONS(1213), 1,
      sym__identifier,
    ACTIONS(1271), 1,
      aux_sym_identifier_token1,
    ACTIONS(3944), 1,
      sym_keyword_cast,
    ACTIONS(3946), 1,
      sym_keyword_case,
    ACTIONS(3950), 1,
      sym_keyword_exists,
    ACTIONS(3956), 1,
      sym_keyword_interval,
    ACTIONS(3958), 1,
      sym_keyword_array,
    ACTIONS(3960), 1,
      anon_sym_LPAREN,
    ACTIONS(3964), 1,
      anon_sym_PLUS,
    ACTIONS(3966), 1,
      anon_sym_DASH,
    ACTIONS(3968), 1,
      sym_op_unary_other,
    ACTIONS(3970), 1,
      sym__double_quote_string,
    ACTIONS(3972), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3974), 1,
      aux_sym__integer_token1,
    ACTIONS(3976), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3978), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3980), 1,
      sym__dollar_quoted_string,
    ACTIONS(4603), 1,
      sym_parameter,
    STATE(934), 1,
      sym__single_quote_string,
    STATE(5437), 1,
      sym_identifier,
    STATE(6217), 1,
      sym_invocation,
    STATE(6384), 1,
      sym__qualified_field,
    STATE(11941), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3954), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3952), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6390), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4731), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [81816] = 28,
    ACTIONS(1213), 1,
      sym__identifier,
    ACTIONS(1271), 1,
      aux_sym_identifier_token1,
    ACTIONS(3944), 1,
      sym_keyword_cast,
    ACTIONS(3946), 1,
      sym_keyword_case,
    ACTIONS(3950), 1,
      sym_keyword_exists,
    ACTIONS(3956), 1,
      sym_keyword_interval,
    ACTIONS(3958), 1,
      sym_keyword_array,
    ACTIONS(3960), 1,
      anon_sym_LPAREN,
    ACTIONS(3964), 1,
      anon_sym_PLUS,
    ACTIONS(3966), 1,
      anon_sym_DASH,
    ACTIONS(3968), 1,
      sym_op_unary_other,
    ACTIONS(3970), 1,
      sym__double_quote_string,
    ACTIONS(3972), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3974), 1,
      aux_sym__integer_token1,
    ACTIONS(3976), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3978), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3980), 1,
      sym__dollar_quoted_string,
    ACTIONS(4605), 1,
      sym_parameter,
    STATE(934), 1,
      sym__single_quote_string,
    STATE(5437), 1,
      sym_identifier,
    STATE(6217), 1,
      sym_invocation,
    STATE(6384), 1,
      sym__qualified_field,
    STATE(11941), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3954), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3952), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6390), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4729), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [81926] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4607), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5923), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [82036] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4609), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5922), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [82146] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4611), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5918), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [82256] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4613), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5744), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [82366] = 29,
    ACTIONS(407), 1,
      sym__identifier,
    ACTIONS(465), 1,
      aux_sym_identifier_token1,
    ACTIONS(4310), 1,
      sym_keyword_cast,
    ACTIONS(4312), 1,
      sym_keyword_case,
    ACTIONS(4316), 1,
      sym_keyword_exists,
    ACTIONS(4320), 1,
      sym_keyword_null,
    ACTIONS(4322), 1,
      sym_keyword_interval,
    ACTIONS(4324), 1,
      sym_keyword_array,
    ACTIONS(4326), 1,
      anon_sym_LPAREN,
    ACTIONS(4330), 1,
      anon_sym_PLUS,
    ACTIONS(4332), 1,
      anon_sym_DASH,
    ACTIONS(4334), 1,
      sym_op_unary_other,
    ACTIONS(4336), 1,
      sym__double_quote_string,
    ACTIONS(4338), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4340), 1,
      aux_sym__integer_token1,
    ACTIONS(4342), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4344), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4346), 1,
      sym__dollar_quoted_string,
    ACTIONS(4617), 1,
      sym_parameter,
    STATE(1171), 1,
      sym_identifier,
    STATE(2353), 1,
      sym_invocation,
    STATE(2651), 1,
      sym__single_quote_string,
    STATE(2678), 1,
      sym__qualified_field,
    STATE(11808), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4615), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4318), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2660), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(994), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [82478] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4619), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5917), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [82588] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4621), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6184), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [82698] = 28,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(4000), 1,
      anon_sym_LPAREN,
    ACTIONS(4004), 1,
      sym_op_unary_other,
    ACTIONS(4623), 1,
      sym_parameter,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(4750), 1,
      sym_invocation,
    STATE(11952), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3998), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4670), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [82808] = 28,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(4000), 1,
      anon_sym_LPAREN,
    ACTIONS(4004), 1,
      sym_op_unary_other,
    ACTIONS(4625), 1,
      sym_parameter,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(4750), 1,
      sym_invocation,
    STATE(11952), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3998), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2811), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [82918] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4627), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5916), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [83028] = 28,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(4000), 1,
      anon_sym_LPAREN,
    ACTIONS(4004), 1,
      sym_op_unary_other,
    ACTIONS(4629), 1,
      sym_parameter,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(4750), 1,
      sym_invocation,
    STATE(11952), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3998), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2810), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [83138] = 28,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(4000), 1,
      anon_sym_LPAREN,
    ACTIONS(4004), 1,
      sym_op_unary_other,
    ACTIONS(4631), 1,
      sym_parameter,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(4750), 1,
      sym_invocation,
    STATE(11952), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3998), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2808), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [83248] = 28,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(4000), 1,
      anon_sym_LPAREN,
    ACTIONS(4004), 1,
      sym_op_unary_other,
    ACTIONS(4633), 1,
      sym_parameter,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(4750), 1,
      sym_invocation,
    STATE(11952), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3998), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2806), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [83358] = 28,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(4000), 1,
      anon_sym_LPAREN,
    ACTIONS(4004), 1,
      sym_op_unary_other,
    ACTIONS(4635), 1,
      sym_parameter,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(4750), 1,
      sym_invocation,
    STATE(11952), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3998), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2798), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [83468] = 28,
    ACTIONS(1213), 1,
      sym__identifier,
    ACTIONS(1271), 1,
      aux_sym_identifier_token1,
    ACTIONS(3944), 1,
      sym_keyword_cast,
    ACTIONS(3946), 1,
      sym_keyword_case,
    ACTIONS(3950), 1,
      sym_keyword_exists,
    ACTIONS(3956), 1,
      sym_keyword_interval,
    ACTIONS(3958), 1,
      sym_keyword_array,
    ACTIONS(3960), 1,
      anon_sym_LPAREN,
    ACTIONS(3964), 1,
      anon_sym_PLUS,
    ACTIONS(3966), 1,
      anon_sym_DASH,
    ACTIONS(3968), 1,
      sym_op_unary_other,
    ACTIONS(3970), 1,
      sym__double_quote_string,
    ACTIONS(3972), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3974), 1,
      aux_sym__integer_token1,
    ACTIONS(3976), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3978), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3980), 1,
      sym__dollar_quoted_string,
    ACTIONS(4637), 1,
      sym_parameter,
    STATE(934), 1,
      sym__single_quote_string,
    STATE(5437), 1,
      sym_identifier,
    STATE(6217), 1,
      sym_invocation,
    STATE(6384), 1,
      sym__qualified_field,
    STATE(11941), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3954), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3952), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6390), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4715), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [83578] = 28,
    ACTIONS(1213), 1,
      sym__identifier,
    ACTIONS(1271), 1,
      aux_sym_identifier_token1,
    ACTIONS(3944), 1,
      sym_keyword_cast,
    ACTIONS(3946), 1,
      sym_keyword_case,
    ACTIONS(3950), 1,
      sym_keyword_exists,
    ACTIONS(3956), 1,
      sym_keyword_interval,
    ACTIONS(3958), 1,
      sym_keyword_array,
    ACTIONS(3960), 1,
      anon_sym_LPAREN,
    ACTIONS(3964), 1,
      anon_sym_PLUS,
    ACTIONS(3966), 1,
      anon_sym_DASH,
    ACTIONS(3968), 1,
      sym_op_unary_other,
    ACTIONS(3970), 1,
      sym__double_quote_string,
    ACTIONS(3972), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3974), 1,
      aux_sym__integer_token1,
    ACTIONS(3976), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3978), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3980), 1,
      sym__dollar_quoted_string,
    ACTIONS(4639), 1,
      sym_parameter,
    STATE(934), 1,
      sym__single_quote_string,
    STATE(5437), 1,
      sym_identifier,
    STATE(6217), 1,
      sym_invocation,
    STATE(6384), 1,
      sym__qualified_field,
    STATE(11941), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3954), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3952), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6390), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4714), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [83688] = 28,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(4000), 1,
      anon_sym_LPAREN,
    ACTIONS(4004), 1,
      sym_op_unary_other,
    ACTIONS(4641), 1,
      sym_parameter,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(4750), 1,
      sym_invocation,
    STATE(11952), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3998), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2786), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [83798] = 28,
    ACTIONS(1213), 1,
      sym__identifier,
    ACTIONS(1271), 1,
      aux_sym_identifier_token1,
    ACTIONS(3944), 1,
      sym_keyword_cast,
    ACTIONS(3946), 1,
      sym_keyword_case,
    ACTIONS(3950), 1,
      sym_keyword_exists,
    ACTIONS(3956), 1,
      sym_keyword_interval,
    ACTIONS(3958), 1,
      sym_keyword_array,
    ACTIONS(3960), 1,
      anon_sym_LPAREN,
    ACTIONS(3964), 1,
      anon_sym_PLUS,
    ACTIONS(3966), 1,
      anon_sym_DASH,
    ACTIONS(3968), 1,
      sym_op_unary_other,
    ACTIONS(3970), 1,
      sym__double_quote_string,
    ACTIONS(3972), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3974), 1,
      aux_sym__integer_token1,
    ACTIONS(3976), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3978), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3980), 1,
      sym__dollar_quoted_string,
    ACTIONS(4643), 1,
      sym_parameter,
    STATE(934), 1,
      sym__single_quote_string,
    STATE(5437), 1,
      sym_identifier,
    STATE(6217), 1,
      sym_invocation,
    STATE(6384), 1,
      sym__qualified_field,
    STATE(11941), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3954), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3952), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6390), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4712), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [83908] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4645), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5912), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [84018] = 28,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(4000), 1,
      anon_sym_LPAREN,
    ACTIONS(4004), 1,
      sym_op_unary_other,
    ACTIONS(4647), 1,
      sym_parameter,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(4750), 1,
      sym_invocation,
    STATE(11952), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3998), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2785), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [84128] = 28,
    ACTIONS(1213), 1,
      sym__identifier,
    ACTIONS(1271), 1,
      aux_sym_identifier_token1,
    ACTIONS(3944), 1,
      sym_keyword_cast,
    ACTIONS(3946), 1,
      sym_keyword_case,
    ACTIONS(3950), 1,
      sym_keyword_exists,
    ACTIONS(3956), 1,
      sym_keyword_interval,
    ACTIONS(3958), 1,
      sym_keyword_array,
    ACTIONS(3960), 1,
      anon_sym_LPAREN,
    ACTIONS(3964), 1,
      anon_sym_PLUS,
    ACTIONS(3966), 1,
      anon_sym_DASH,
    ACTIONS(3968), 1,
      sym_op_unary_other,
    ACTIONS(3970), 1,
      sym__double_quote_string,
    ACTIONS(3972), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3974), 1,
      aux_sym__integer_token1,
    ACTIONS(3976), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3978), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3980), 1,
      sym__dollar_quoted_string,
    ACTIONS(4649), 1,
      sym_parameter,
    STATE(934), 1,
      sym__single_quote_string,
    STATE(5437), 1,
      sym_identifier,
    STATE(6217), 1,
      sym_invocation,
    STATE(6384), 1,
      sym__qualified_field,
    STATE(11941), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3954), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3952), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6390), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4711), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [84238] = 28,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(4000), 1,
      anon_sym_LPAREN,
    ACTIONS(4004), 1,
      sym_op_unary_other,
    ACTIONS(4651), 1,
      sym_parameter,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(4750), 1,
      sym_invocation,
    STATE(11952), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3998), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2784), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [84348] = 28,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3067), 1,
      sym_keyword_cast,
    ACTIONS(3069), 1,
      sym_keyword_case,
    ACTIONS(3073), 1,
      sym_keyword_exists,
    ACTIONS(3077), 1,
      sym_keyword_interval,
    ACTIONS(3079), 1,
      sym_keyword_array,
    ACTIONS(3081), 1,
      anon_sym_LPAREN,
    ACTIONS(3085), 1,
      anon_sym_PLUS,
    ACTIONS(3087), 1,
      anon_sym_DASH,
    ACTIONS(3089), 1,
      sym_op_unary_other,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3095), 1,
      aux_sym__integer_token1,
    ACTIONS(3097), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3099), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(4653), 1,
      sym_parameter,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(2733), 1,
      sym_identifier,
    STATE(3671), 1,
      sym_invocation,
    STATE(3899), 1,
      sym__qualified_field,
    STATE(11544), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3075), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3071), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3210), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1986), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [84458] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4655), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5910), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [84568] = 28,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(4000), 1,
      anon_sym_LPAREN,
    ACTIONS(4002), 1,
      sym_parameter,
    ACTIONS(4004), 1,
      sym_op_unary_other,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(4750), 1,
      sym_invocation,
    STATE(11952), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3998), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2809), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [84678] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4657), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5909), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [84788] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4659), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5907), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [84898] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4661), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5906), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [85008] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4663), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5892), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [85118] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4665), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5891), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [85228] = 28,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(4000), 1,
      anon_sym_LPAREN,
    ACTIONS(4004), 1,
      sym_op_unary_other,
    ACTIONS(4667), 1,
      sym_parameter,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(4750), 1,
      sym_invocation,
    STATE(11952), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3998), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2780), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [85338] = 28,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(4000), 1,
      anon_sym_LPAREN,
    ACTIONS(4004), 1,
      sym_op_unary_other,
    ACTIONS(4669), 1,
      sym_parameter,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(4750), 1,
      sym_invocation,
    STATE(11952), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3998), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2777), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [85448] = 7,
    ACTIONS(4517), 1,
      sym_keyword_array,
    STATE(2303), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(2574), 1,
      sym__array_size_definition,
    STATE(2575), 1,
      sym_array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2801), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2799), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [85516] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4671), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5890), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [85626] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4673), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5889), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [85736] = 28,
    ACTIONS(1213), 1,
      sym__identifier,
    ACTIONS(1271), 1,
      aux_sym_identifier_token1,
    ACTIONS(3944), 1,
      sym_keyword_cast,
    ACTIONS(3946), 1,
      sym_keyword_case,
    ACTIONS(3950), 1,
      sym_keyword_exists,
    ACTIONS(3956), 1,
      sym_keyword_interval,
    ACTIONS(3958), 1,
      sym_keyword_array,
    ACTIONS(3960), 1,
      anon_sym_LPAREN,
    ACTIONS(3964), 1,
      anon_sym_PLUS,
    ACTIONS(3966), 1,
      anon_sym_DASH,
    ACTIONS(3968), 1,
      sym_op_unary_other,
    ACTIONS(3970), 1,
      sym__double_quote_string,
    ACTIONS(3972), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3974), 1,
      aux_sym__integer_token1,
    ACTIONS(3976), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3978), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3980), 1,
      sym__dollar_quoted_string,
    ACTIONS(4675), 1,
      sym_parameter,
    STATE(934), 1,
      sym__single_quote_string,
    STATE(5437), 1,
      sym_identifier,
    STATE(6217), 1,
      sym_invocation,
    STATE(6384), 1,
      sym__qualified_field,
    STATE(11941), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3954), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3952), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6390), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4696), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [85846] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4677), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5888), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [85956] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4679), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5887), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [86066] = 28,
    ACTIONS(1213), 1,
      sym__identifier,
    ACTIONS(1271), 1,
      aux_sym_identifier_token1,
    ACTIONS(3944), 1,
      sym_keyword_cast,
    ACTIONS(3946), 1,
      sym_keyword_case,
    ACTIONS(3950), 1,
      sym_keyword_exists,
    ACTIONS(3956), 1,
      sym_keyword_interval,
    ACTIONS(3958), 1,
      sym_keyword_array,
    ACTIONS(3960), 1,
      anon_sym_LPAREN,
    ACTIONS(3964), 1,
      anon_sym_PLUS,
    ACTIONS(3966), 1,
      anon_sym_DASH,
    ACTIONS(3968), 1,
      sym_op_unary_other,
    ACTIONS(3970), 1,
      sym__double_quote_string,
    ACTIONS(3972), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3974), 1,
      aux_sym__integer_token1,
    ACTIONS(3976), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3978), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3980), 1,
      sym__dollar_quoted_string,
    ACTIONS(4681), 1,
      sym_parameter,
    STATE(934), 1,
      sym__single_quote_string,
    STATE(5437), 1,
      sym_identifier,
    STATE(6217), 1,
      sym_invocation,
    STATE(6384), 1,
      sym__qualified_field,
    STATE(11941), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3954), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3952), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6390), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4695), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [86176] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4683), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5886), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [86286] = 28,
    ACTIONS(1141), 1,
      sym__identifier,
    ACTIONS(1199), 1,
      aux_sym_identifier_token1,
    ACTIONS(4348), 1,
      sym_keyword_cast,
    ACTIONS(4350), 1,
      sym_keyword_case,
    ACTIONS(4354), 1,
      sym_keyword_exists,
    ACTIONS(4360), 1,
      sym_keyword_interval,
    ACTIONS(4362), 1,
      sym_keyword_array,
    ACTIONS(4364), 1,
      anon_sym_LPAREN,
    ACTIONS(4368), 1,
      anon_sym_PLUS,
    ACTIONS(4370), 1,
      anon_sym_DASH,
    ACTIONS(4372), 1,
      sym_op_unary_other,
    ACTIONS(4374), 1,
      sym__double_quote_string,
    ACTIONS(4376), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4378), 1,
      aux_sym__integer_token1,
    ACTIONS(4380), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4382), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4384), 1,
      sym__dollar_quoted_string,
    ACTIONS(4685), 1,
      sym_parameter,
    STATE(2235), 1,
      sym__single_quote_string,
    STATE(2711), 1,
      sym_identifier,
    STATE(3691), 1,
      sym_invocation,
    STATE(3959), 1,
      sym__qualified_field,
    STATE(11969), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4358), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4356), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3940), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2867), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [86396] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4687), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5885), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [86506] = 28,
    ACTIONS(843), 1,
      sym__identifier,
    ACTIONS(901), 1,
      aux_sym_identifier_token1,
    ACTIONS(4122), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4212), 1,
      sym_keyword_cast,
    ACTIONS(4214), 1,
      sym_keyword_case,
    ACTIONS(4218), 1,
      sym_keyword_exists,
    ACTIONS(4224), 1,
      sym_keyword_interval,
    ACTIONS(4226), 1,
      sym_keyword_array,
    ACTIONS(4228), 1,
      anon_sym_LPAREN,
    ACTIONS(4232), 1,
      anon_sym_PLUS,
    ACTIONS(4234), 1,
      anon_sym_DASH,
    ACTIONS(4236), 1,
      sym_op_unary_other,
    ACTIONS(4238), 1,
      sym__double_quote_string,
    ACTIONS(4240), 1,
      aux_sym__integer_token1,
    ACTIONS(4242), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4244), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4246), 1,
      sym__dollar_quoted_string,
    ACTIONS(4689), 1,
      sym_parameter,
    STATE(1057), 1,
      sym_identifier,
    STATE(2184), 1,
      sym_invocation,
    STATE(2355), 1,
      sym__single_quote_string,
    STATE(2449), 1,
      sym__qualified_field,
    STATE(11882), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4222), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4220), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2384), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(925), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [86616] = 28,
    ACTIONS(843), 1,
      sym__identifier,
    ACTIONS(901), 1,
      aux_sym_identifier_token1,
    ACTIONS(4122), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4212), 1,
      sym_keyword_cast,
    ACTIONS(4214), 1,
      sym_keyword_case,
    ACTIONS(4218), 1,
      sym_keyword_exists,
    ACTIONS(4224), 1,
      sym_keyword_interval,
    ACTIONS(4226), 1,
      sym_keyword_array,
    ACTIONS(4228), 1,
      anon_sym_LPAREN,
    ACTIONS(4232), 1,
      anon_sym_PLUS,
    ACTIONS(4234), 1,
      anon_sym_DASH,
    ACTIONS(4236), 1,
      sym_op_unary_other,
    ACTIONS(4238), 1,
      sym__double_quote_string,
    ACTIONS(4240), 1,
      aux_sym__integer_token1,
    ACTIONS(4242), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4244), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4246), 1,
      sym__dollar_quoted_string,
    ACTIONS(4691), 1,
      sym_parameter,
    STATE(1057), 1,
      sym_identifier,
    STATE(2184), 1,
      sym_invocation,
    STATE(2355), 1,
      sym__single_quote_string,
    STATE(2449), 1,
      sym__qualified_field,
    STATE(11882), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4222), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4220), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2384), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(924), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [86726] = 28,
    ACTIONS(843), 1,
      sym__identifier,
    ACTIONS(901), 1,
      aux_sym_identifier_token1,
    ACTIONS(4122), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4212), 1,
      sym_keyword_cast,
    ACTIONS(4214), 1,
      sym_keyword_case,
    ACTIONS(4218), 1,
      sym_keyword_exists,
    ACTIONS(4224), 1,
      sym_keyword_interval,
    ACTIONS(4226), 1,
      sym_keyword_array,
    ACTIONS(4228), 1,
      anon_sym_LPAREN,
    ACTIONS(4232), 1,
      anon_sym_PLUS,
    ACTIONS(4234), 1,
      anon_sym_DASH,
    ACTIONS(4236), 1,
      sym_op_unary_other,
    ACTIONS(4238), 1,
      sym__double_quote_string,
    ACTIONS(4240), 1,
      aux_sym__integer_token1,
    ACTIONS(4242), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4244), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4246), 1,
      sym__dollar_quoted_string,
    ACTIONS(4693), 1,
      sym_parameter,
    STATE(1057), 1,
      sym_identifier,
    STATE(2184), 1,
      sym_invocation,
    STATE(2355), 1,
      sym__single_quote_string,
    STATE(2449), 1,
      sym__qualified_field,
    STATE(11882), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4222), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4220), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2384), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(923), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [86836] = 28,
    ACTIONS(843), 1,
      sym__identifier,
    ACTIONS(901), 1,
      aux_sym_identifier_token1,
    ACTIONS(4122), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4212), 1,
      sym_keyword_cast,
    ACTIONS(4214), 1,
      sym_keyword_case,
    ACTIONS(4218), 1,
      sym_keyword_exists,
    ACTIONS(4224), 1,
      sym_keyword_interval,
    ACTIONS(4226), 1,
      sym_keyword_array,
    ACTIONS(4228), 1,
      anon_sym_LPAREN,
    ACTIONS(4232), 1,
      anon_sym_PLUS,
    ACTIONS(4234), 1,
      anon_sym_DASH,
    ACTIONS(4236), 1,
      sym_op_unary_other,
    ACTIONS(4238), 1,
      sym__double_quote_string,
    ACTIONS(4240), 1,
      aux_sym__integer_token1,
    ACTIONS(4242), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4244), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4246), 1,
      sym__dollar_quoted_string,
    ACTIONS(4695), 1,
      sym_parameter,
    STATE(1057), 1,
      sym_identifier,
    STATE(2184), 1,
      sym_invocation,
    STATE(2355), 1,
      sym__single_quote_string,
    STATE(2449), 1,
      sym__qualified_field,
    STATE(11882), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4222), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4220), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2384), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(921), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [86946] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4697), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5884), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [87056] = 28,
    ACTIONS(843), 1,
      sym__identifier,
    ACTIONS(901), 1,
      aux_sym_identifier_token1,
    ACTIONS(4122), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4212), 1,
      sym_keyword_cast,
    ACTIONS(4214), 1,
      sym_keyword_case,
    ACTIONS(4218), 1,
      sym_keyword_exists,
    ACTIONS(4224), 1,
      sym_keyword_interval,
    ACTIONS(4226), 1,
      sym_keyword_array,
    ACTIONS(4228), 1,
      anon_sym_LPAREN,
    ACTIONS(4232), 1,
      anon_sym_PLUS,
    ACTIONS(4234), 1,
      anon_sym_DASH,
    ACTIONS(4236), 1,
      sym_op_unary_other,
    ACTIONS(4238), 1,
      sym__double_quote_string,
    ACTIONS(4240), 1,
      aux_sym__integer_token1,
    ACTIONS(4242), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4244), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4246), 1,
      sym__dollar_quoted_string,
    ACTIONS(4699), 1,
      sym_parameter,
    STATE(1057), 1,
      sym_identifier,
    STATE(2184), 1,
      sym_invocation,
    STATE(2355), 1,
      sym__single_quote_string,
    STATE(2449), 1,
      sym__qualified_field,
    STATE(11882), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4222), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4220), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2384), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(920), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [87166] = 28,
    ACTIONS(843), 1,
      sym__identifier,
    ACTIONS(901), 1,
      aux_sym_identifier_token1,
    ACTIONS(4122), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4212), 1,
      sym_keyword_cast,
    ACTIONS(4214), 1,
      sym_keyword_case,
    ACTIONS(4218), 1,
      sym_keyword_exists,
    ACTIONS(4224), 1,
      sym_keyword_interval,
    ACTIONS(4226), 1,
      sym_keyword_array,
    ACTIONS(4228), 1,
      anon_sym_LPAREN,
    ACTIONS(4232), 1,
      anon_sym_PLUS,
    ACTIONS(4234), 1,
      anon_sym_DASH,
    ACTIONS(4236), 1,
      sym_op_unary_other,
    ACTIONS(4238), 1,
      sym__double_quote_string,
    ACTIONS(4240), 1,
      aux_sym__integer_token1,
    ACTIONS(4242), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4244), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4246), 1,
      sym__dollar_quoted_string,
    ACTIONS(4701), 1,
      sym_parameter,
    STATE(1057), 1,
      sym_identifier,
    STATE(2184), 1,
      sym_invocation,
    STATE(2355), 1,
      sym__single_quote_string,
    STATE(2449), 1,
      sym__qualified_field,
    STATE(11882), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4222), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4220), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2384), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(919), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [87276] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4703), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5883), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [87386] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4705), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5881), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [87496] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4707), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5879), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [87606] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4709), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5869), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [87716] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4711), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5867), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [87826] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4713), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5866), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [87936] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4715), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5865), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [88046] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4717), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5858), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [88156] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4719), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5857), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [88266] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2989), 1,
      anon_sym_LPAREN,
    ACTIONS(2993), 1,
      sym_op_unary_other,
    ACTIONS(4721), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(4378), 1,
      sym_identifier,
    STATE(5103), 1,
      sym_invocation,
    STATE(11997), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4445), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [88376] = 8,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2430), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2428), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [88446] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2989), 1,
      anon_sym_LPAREN,
    ACTIONS(2993), 1,
      sym_op_unary_other,
    ACTIONS(4723), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(4378), 1,
      sym_identifier,
    STATE(5103), 1,
      sym_invocation,
    STATE(11997), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4447), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [88556] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2989), 1,
      anon_sym_LPAREN,
    ACTIONS(2993), 1,
      sym_op_unary_other,
    ACTIONS(4725), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(4378), 1,
      sym_identifier,
    STATE(5103), 1,
      sym_invocation,
    STATE(11997), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4394), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [88666] = 20,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(2441), 1,
      anon_sym_COLON,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2439), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [88760] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4737), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1241), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [88870] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2989), 1,
      anon_sym_LPAREN,
    ACTIONS(2993), 1,
      sym_op_unary_other,
    ACTIONS(4739), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(4378), 1,
      sym_identifier,
    STATE(5103), 1,
      sym_invocation,
    STATE(11997), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4396), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [88980] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2989), 1,
      anon_sym_LPAREN,
    ACTIONS(2993), 1,
      sym_op_unary_other,
    ACTIONS(4741), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(4378), 1,
      sym_identifier,
    STATE(5103), 1,
      sym_invocation,
    STATE(11997), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4399), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [89090] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2989), 1,
      anon_sym_LPAREN,
    ACTIONS(2993), 1,
      sym_op_unary_other,
    ACTIONS(4743), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(4378), 1,
      sym_identifier,
    STATE(5103), 1,
      sym_invocation,
    STATE(11997), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4400), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [89200] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4745), 1,
      anon_sym_LPAREN,
    ACTIONS(4747), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5386), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [89310] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2989), 1,
      anon_sym_LPAREN,
    ACTIONS(2993), 1,
      sym_op_unary_other,
    ACTIONS(4749), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(4378), 1,
      sym_identifier,
    STATE(5103), 1,
      sym_invocation,
    STATE(11997), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4401), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [89420] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2989), 1,
      anon_sym_LPAREN,
    ACTIONS(2993), 1,
      sym_op_unary_other,
    ACTIONS(4751), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(4378), 1,
      sym_identifier,
    STATE(5103), 1,
      sym_invocation,
    STATE(11997), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4510), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [89530] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2989), 1,
      anon_sym_LPAREN,
    ACTIONS(2993), 1,
      sym_op_unary_other,
    ACTIONS(4753), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(4378), 1,
      sym_identifier,
    STATE(5103), 1,
      sym_invocation,
    STATE(11997), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4408), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [89640] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4755), 1,
      anon_sym_LPAREN,
    ACTIONS(4757), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5324), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [89750] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2989), 1,
      anon_sym_LPAREN,
    ACTIONS(2993), 1,
      sym_op_unary_other,
    ACTIONS(4759), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(4378), 1,
      sym_identifier,
    STATE(5103), 1,
      sym_invocation,
    STATE(11997), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4413), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [89860] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4761), 1,
      anon_sym_LPAREN,
    ACTIONS(4763), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5325), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [89970] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4765), 1,
      anon_sym_LPAREN,
    ACTIONS(4767), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5326), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [90080] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4769), 1,
      anon_sym_LPAREN,
    ACTIONS(4771), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5327), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [90190] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2989), 1,
      anon_sym_LPAREN,
    ACTIONS(2993), 1,
      sym_op_unary_other,
    ACTIONS(3802), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(4378), 1,
      sym_identifier,
    STATE(5103), 1,
      sym_invocation,
    STATE(11997), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4398), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [90300] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4773), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1763), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [90410] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4775), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1777), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [90520] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4777), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1789), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [90630] = 5,
    ACTIONS(4779), 1,
      sym_keyword_unsigned,
    ACTIONS(4781), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1926), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1924), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [90694] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4783), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1499), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [90804] = 29,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4444), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(6604), 1,
      sym_binary_expression,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6294), 14,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [90916] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4785), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5800), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [91026] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4787), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5919), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [91136] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4789), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5414), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [91246] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4791), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1681), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [91356] = 28,
    ACTIONS(1081), 1,
      sym__identifier,
    ACTIONS(1139), 1,
      aux_sym_identifier_token1,
    ACTIONS(3736), 1,
      sym_keyword_cast,
    ACTIONS(3738), 1,
      sym_keyword_case,
    ACTIONS(3742), 1,
      sym_keyword_exists,
    ACTIONS(3748), 1,
      sym_keyword_interval,
    ACTIONS(3750), 1,
      sym_keyword_array,
    ACTIONS(3752), 1,
      anon_sym_LPAREN,
    ACTIONS(3756), 1,
      anon_sym_PLUS,
    ACTIONS(3758), 1,
      anon_sym_DASH,
    ACTIONS(3760), 1,
      sym_op_unary_other,
    ACTIONS(3762), 1,
      sym__double_quote_string,
    ACTIONS(3764), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3766), 1,
      aux_sym__integer_token1,
    ACTIONS(3768), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3770), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3772), 1,
      sym__dollar_quoted_string,
    ACTIONS(4793), 1,
      sym_parameter,
    STATE(2914), 1,
      sym_identifier,
    STATE(4201), 1,
      sym_invocation,
    STATE(4367), 1,
      sym__single_quote_string,
    STATE(4405), 1,
      sym__qualified_field,
    STATE(11929), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3746), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3744), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4650), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2225), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [91466] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4795), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5898), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [91576] = 5,
    ACTIONS(4797), 1,
      aux_sym__single_quote_string_token2,
    STATE(1278), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1364), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1366), 32,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [91640] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4799), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5913), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [91750] = 29,
    ACTIONS(843), 1,
      sym__identifier,
    ACTIONS(901), 1,
      aux_sym_identifier_token1,
    ACTIONS(4122), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4212), 1,
      sym_keyword_cast,
    ACTIONS(4214), 1,
      sym_keyword_case,
    ACTIONS(4218), 1,
      sym_keyword_exists,
    ACTIONS(4222), 1,
      sym_keyword_null,
    ACTIONS(4224), 1,
      sym_keyword_interval,
    ACTIONS(4226), 1,
      sym_keyword_array,
    ACTIONS(4228), 1,
      anon_sym_LPAREN,
    ACTIONS(4232), 1,
      anon_sym_PLUS,
    ACTIONS(4234), 1,
      anon_sym_DASH,
    ACTIONS(4236), 1,
      sym_op_unary_other,
    ACTIONS(4238), 1,
      sym__double_quote_string,
    ACTIONS(4240), 1,
      aux_sym__integer_token1,
    ACTIONS(4242), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4244), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4246), 1,
      sym__dollar_quoted_string,
    ACTIONS(4803), 1,
      sym_parameter,
    STATE(1057), 1,
      sym_identifier,
    STATE(2184), 1,
      sym_invocation,
    STATE(2355), 1,
      sym__single_quote_string,
    STATE(2449), 1,
      sym__qualified_field,
    STATE(11882), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4801), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4220), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2384), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(690), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [91862] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4805), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5803), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [91972] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4807), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5802), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [92082] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2989), 1,
      anon_sym_LPAREN,
    ACTIONS(2993), 1,
      sym_op_unary_other,
    ACTIONS(4809), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(4378), 1,
      sym_identifier,
    STATE(5103), 1,
      sym_invocation,
    STATE(11997), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4416), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [92192] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2989), 1,
      anon_sym_LPAREN,
    ACTIONS(2993), 1,
      sym_op_unary_other,
    ACTIONS(4811), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(4378), 1,
      sym_identifier,
    STATE(5103), 1,
      sym_invocation,
    STATE(11997), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4417), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [92302] = 5,
    ACTIONS(4813), 1,
      aux_sym__single_quote_string_token2,
    STATE(1302), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1351), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1353), 32,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [92366] = 28,
    ACTIONS(1081), 1,
      sym__identifier,
    ACTIONS(1139), 1,
      aux_sym_identifier_token1,
    ACTIONS(3736), 1,
      sym_keyword_cast,
    ACTIONS(3738), 1,
      sym_keyword_case,
    ACTIONS(3742), 1,
      sym_keyword_exists,
    ACTIONS(3748), 1,
      sym_keyword_interval,
    ACTIONS(3750), 1,
      sym_keyword_array,
    ACTIONS(3752), 1,
      anon_sym_LPAREN,
    ACTIONS(3756), 1,
      anon_sym_PLUS,
    ACTIONS(3758), 1,
      anon_sym_DASH,
    ACTIONS(3760), 1,
      sym_op_unary_other,
    ACTIONS(3762), 1,
      sym__double_quote_string,
    ACTIONS(3764), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3766), 1,
      aux_sym__integer_token1,
    ACTIONS(3768), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3770), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3772), 1,
      sym__dollar_quoted_string,
    ACTIONS(4815), 1,
      sym_parameter,
    STATE(2914), 1,
      sym_identifier,
    STATE(4201), 1,
      sym_invocation,
    STATE(4367), 1,
      sym__single_quote_string,
    STATE(4405), 1,
      sym__qualified_field,
    STATE(11929), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3746), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3744), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4650), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2198), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [92476] = 29,
    ACTIONS(843), 1,
      sym__identifier,
    ACTIONS(901), 1,
      aux_sym_identifier_token1,
    ACTIONS(4122), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4212), 1,
      sym_keyword_cast,
    ACTIONS(4214), 1,
      sym_keyword_case,
    ACTIONS(4218), 1,
      sym_keyword_exists,
    ACTIONS(4222), 1,
      sym_keyword_null,
    ACTIONS(4224), 1,
      sym_keyword_interval,
    ACTIONS(4226), 1,
      sym_keyword_array,
    ACTIONS(4228), 1,
      anon_sym_LPAREN,
    ACTIONS(4232), 1,
      anon_sym_PLUS,
    ACTIONS(4234), 1,
      anon_sym_DASH,
    ACTIONS(4236), 1,
      sym_op_unary_other,
    ACTIONS(4238), 1,
      sym__double_quote_string,
    ACTIONS(4240), 1,
      aux_sym__integer_token1,
    ACTIONS(4242), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4244), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4246), 1,
      sym__dollar_quoted_string,
    ACTIONS(4819), 1,
      sym_parameter,
    STATE(1057), 1,
      sym_identifier,
    STATE(2184), 1,
      sym_invocation,
    STATE(2355), 1,
      sym__single_quote_string,
    STATE(2449), 1,
      sym__qualified_field,
    STATE(11882), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4817), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4220), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2384), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(680), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [92588] = 28,
    ACTIONS(1081), 1,
      sym__identifier,
    ACTIONS(1139), 1,
      aux_sym_identifier_token1,
    ACTIONS(3736), 1,
      sym_keyword_cast,
    ACTIONS(3738), 1,
      sym_keyword_case,
    ACTIONS(3742), 1,
      sym_keyword_exists,
    ACTIONS(3748), 1,
      sym_keyword_interval,
    ACTIONS(3750), 1,
      sym_keyword_array,
    ACTIONS(3752), 1,
      anon_sym_LPAREN,
    ACTIONS(3756), 1,
      anon_sym_PLUS,
    ACTIONS(3758), 1,
      anon_sym_DASH,
    ACTIONS(3760), 1,
      sym_op_unary_other,
    ACTIONS(3762), 1,
      sym__double_quote_string,
    ACTIONS(3764), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3766), 1,
      aux_sym__integer_token1,
    ACTIONS(3768), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3770), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3772), 1,
      sym__dollar_quoted_string,
    ACTIONS(4821), 1,
      sym_parameter,
    STATE(2914), 1,
      sym_identifier,
    STATE(4201), 1,
      sym_invocation,
    STATE(4367), 1,
      sym__single_quote_string,
    STATE(4405), 1,
      sym__qualified_field,
    STATE(11929), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3746), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3744), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4650), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2197), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [92698] = 28,
    ACTIONS(1141), 1,
      sym__identifier,
    ACTIONS(1199), 1,
      aux_sym_identifier_token1,
    ACTIONS(4348), 1,
      sym_keyword_cast,
    ACTIONS(4350), 1,
      sym_keyword_case,
    ACTIONS(4354), 1,
      sym_keyword_exists,
    ACTIONS(4360), 1,
      sym_keyword_interval,
    ACTIONS(4362), 1,
      sym_keyword_array,
    ACTIONS(4364), 1,
      anon_sym_LPAREN,
    ACTIONS(4368), 1,
      anon_sym_PLUS,
    ACTIONS(4370), 1,
      anon_sym_DASH,
    ACTIONS(4372), 1,
      sym_op_unary_other,
    ACTIONS(4374), 1,
      sym__double_quote_string,
    ACTIONS(4376), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4378), 1,
      aux_sym__integer_token1,
    ACTIONS(4380), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4382), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4384), 1,
      sym__dollar_quoted_string,
    ACTIONS(4823), 1,
      sym_parameter,
    STATE(2235), 1,
      sym__single_quote_string,
    STATE(2711), 1,
      sym_identifier,
    STATE(3691), 1,
      sym_invocation,
    STATE(3959), 1,
      sym__qualified_field,
    STATE(11969), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4358), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4356), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3940), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2812), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [92808] = 7,
    ACTIONS(4825), 1,
      sym_keyword_with,
    ACTIONS(4827), 1,
      sym_keyword_without,
    ACTIONS(4829), 1,
      anon_sym_LPAREN,
    STATE(2564), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1786), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1784), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [92876] = 7,
    ACTIONS(4825), 1,
      sym_keyword_with,
    ACTIONS(4827), 1,
      sym_keyword_without,
    ACTIONS(4831), 1,
      anon_sym_LPAREN,
    STATE(2563), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1796), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1794), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [92944] = 28,
    ACTIONS(1213), 1,
      sym__identifier,
    ACTIONS(1271), 1,
      aux_sym_identifier_token1,
    ACTIONS(3944), 1,
      sym_keyword_cast,
    ACTIONS(3946), 1,
      sym_keyword_case,
    ACTIONS(3950), 1,
      sym_keyword_exists,
    ACTIONS(3956), 1,
      sym_keyword_interval,
    ACTIONS(3958), 1,
      sym_keyword_array,
    ACTIONS(3960), 1,
      anon_sym_LPAREN,
    ACTIONS(3964), 1,
      anon_sym_PLUS,
    ACTIONS(3966), 1,
      anon_sym_DASH,
    ACTIONS(3968), 1,
      sym_op_unary_other,
    ACTIONS(3970), 1,
      sym__double_quote_string,
    ACTIONS(3972), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3974), 1,
      aux_sym__integer_token1,
    ACTIONS(3976), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3978), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3980), 1,
      sym__dollar_quoted_string,
    ACTIONS(4833), 1,
      sym_parameter,
    STATE(934), 1,
      sym__single_quote_string,
    STATE(5437), 1,
      sym_identifier,
    STATE(6217), 1,
      sym_invocation,
    STATE(6384), 1,
      sym__qualified_field,
    STATE(11941), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3954), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3952), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6390), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4683), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [93054] = 5,
    ACTIONS(4835), 1,
      sym_keyword_unsigned,
    ACTIONS(4837), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1918), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1916), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [93118] = 28,
    ACTIONS(1081), 1,
      sym__identifier,
    ACTIONS(1139), 1,
      aux_sym_identifier_token1,
    ACTIONS(3736), 1,
      sym_keyword_cast,
    ACTIONS(3738), 1,
      sym_keyword_case,
    ACTIONS(3742), 1,
      sym_keyword_exists,
    ACTIONS(3748), 1,
      sym_keyword_interval,
    ACTIONS(3750), 1,
      sym_keyword_array,
    ACTIONS(3752), 1,
      anon_sym_LPAREN,
    ACTIONS(3756), 1,
      anon_sym_PLUS,
    ACTIONS(3758), 1,
      anon_sym_DASH,
    ACTIONS(3760), 1,
      sym_op_unary_other,
    ACTIONS(3762), 1,
      sym__double_quote_string,
    ACTIONS(3764), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3766), 1,
      aux_sym__integer_token1,
    ACTIONS(3768), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3770), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3772), 1,
      sym__dollar_quoted_string,
    ACTIONS(4839), 1,
      sym_parameter,
    STATE(2914), 1,
      sym_identifier,
    STATE(4201), 1,
      sym_invocation,
    STATE(4367), 1,
      sym__single_quote_string,
    STATE(4405), 1,
      sym__qualified_field,
    STATE(11929), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3746), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3744), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4650), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2191), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [93228] = 5,
    ACTIONS(4841), 1,
      sym_keyword_unsigned,
    ACTIONS(4843), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1910), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1908), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [93292] = 28,
    ACTIONS(1081), 1,
      sym__identifier,
    ACTIONS(1139), 1,
      aux_sym_identifier_token1,
    ACTIONS(3736), 1,
      sym_keyword_cast,
    ACTIONS(3738), 1,
      sym_keyword_case,
    ACTIONS(3742), 1,
      sym_keyword_exists,
    ACTIONS(3748), 1,
      sym_keyword_interval,
    ACTIONS(3750), 1,
      sym_keyword_array,
    ACTIONS(3752), 1,
      anon_sym_LPAREN,
    ACTIONS(3756), 1,
      anon_sym_PLUS,
    ACTIONS(3758), 1,
      anon_sym_DASH,
    ACTIONS(3760), 1,
      sym_op_unary_other,
    ACTIONS(3762), 1,
      sym__double_quote_string,
    ACTIONS(3764), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3766), 1,
      aux_sym__integer_token1,
    ACTIONS(3768), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3770), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3772), 1,
      sym__dollar_quoted_string,
    ACTIONS(4845), 1,
      sym_parameter,
    STATE(2914), 1,
      sym_identifier,
    STATE(4201), 1,
      sym_invocation,
    STATE(4367), 1,
      sym__single_quote_string,
    STATE(4405), 1,
      sym__qualified_field,
    STATE(11929), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3746), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3744), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4650), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2189), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [93402] = 28,
    ACTIONS(1081), 1,
      sym__identifier,
    ACTIONS(1139), 1,
      aux_sym_identifier_token1,
    ACTIONS(3736), 1,
      sym_keyword_cast,
    ACTIONS(3738), 1,
      sym_keyword_case,
    ACTIONS(3742), 1,
      sym_keyword_exists,
    ACTIONS(3748), 1,
      sym_keyword_interval,
    ACTIONS(3750), 1,
      sym_keyword_array,
    ACTIONS(3752), 1,
      anon_sym_LPAREN,
    ACTIONS(3756), 1,
      anon_sym_PLUS,
    ACTIONS(3758), 1,
      anon_sym_DASH,
    ACTIONS(3760), 1,
      sym_op_unary_other,
    ACTIONS(3762), 1,
      sym__double_quote_string,
    ACTIONS(3764), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3766), 1,
      aux_sym__integer_token1,
    ACTIONS(3768), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3770), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3772), 1,
      sym__dollar_quoted_string,
    ACTIONS(4847), 1,
      sym_parameter,
    STATE(2914), 1,
      sym_identifier,
    STATE(4201), 1,
      sym_invocation,
    STATE(4367), 1,
      sym__single_quote_string,
    STATE(4405), 1,
      sym__qualified_field,
    STATE(11929), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3746), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3744), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4650), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2168), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [93512] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4849), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1769), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [93622] = 28,
    ACTIONS(1081), 1,
      sym__identifier,
    ACTIONS(1139), 1,
      aux_sym_identifier_token1,
    ACTIONS(3736), 1,
      sym_keyword_cast,
    ACTIONS(3738), 1,
      sym_keyword_case,
    ACTIONS(3742), 1,
      sym_keyword_exists,
    ACTIONS(3748), 1,
      sym_keyword_interval,
    ACTIONS(3750), 1,
      sym_keyword_array,
    ACTIONS(3752), 1,
      anon_sym_LPAREN,
    ACTIONS(3756), 1,
      anon_sym_PLUS,
    ACTIONS(3758), 1,
      anon_sym_DASH,
    ACTIONS(3760), 1,
      sym_op_unary_other,
    ACTIONS(3762), 1,
      sym__double_quote_string,
    ACTIONS(3764), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3766), 1,
      aux_sym__integer_token1,
    ACTIONS(3768), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3770), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3772), 1,
      sym__dollar_quoted_string,
    ACTIONS(4851), 1,
      sym_parameter,
    STATE(2914), 1,
      sym_identifier,
    STATE(4201), 1,
      sym_invocation,
    STATE(4367), 1,
      sym__single_quote_string,
    STATE(4405), 1,
      sym__qualified_field,
    STATE(11929), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3746), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3744), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4650), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2165), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [93732] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4853), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5856), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [93842] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4855), 1,
      anon_sym_LPAREN,
    ACTIONS(4857), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5402), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [93952] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4859), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1620), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [94062] = 28,
    ACTIONS(1081), 1,
      sym__identifier,
    ACTIONS(1139), 1,
      aux_sym_identifier_token1,
    ACTIONS(3736), 1,
      sym_keyword_cast,
    ACTIONS(3738), 1,
      sym_keyword_case,
    ACTIONS(3742), 1,
      sym_keyword_exists,
    ACTIONS(3748), 1,
      sym_keyword_interval,
    ACTIONS(3750), 1,
      sym_keyword_array,
    ACTIONS(3752), 1,
      anon_sym_LPAREN,
    ACTIONS(3756), 1,
      anon_sym_PLUS,
    ACTIONS(3758), 1,
      anon_sym_DASH,
    ACTIONS(3760), 1,
      sym_op_unary_other,
    ACTIONS(3762), 1,
      sym__double_quote_string,
    ACTIONS(3764), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3766), 1,
      aux_sym__integer_token1,
    ACTIONS(3768), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3770), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3772), 1,
      sym__dollar_quoted_string,
    ACTIONS(4861), 1,
      sym_parameter,
    STATE(2914), 1,
      sym_identifier,
    STATE(4201), 1,
      sym_invocation,
    STATE(4367), 1,
      sym__single_quote_string,
    STATE(4405), 1,
      sym__qualified_field,
    STATE(11929), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3746), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3744), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4650), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2154), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [94172] = 28,
    ACTIONS(1081), 1,
      sym__identifier,
    ACTIONS(1139), 1,
      aux_sym_identifier_token1,
    ACTIONS(3736), 1,
      sym_keyword_cast,
    ACTIONS(3738), 1,
      sym_keyword_case,
    ACTIONS(3742), 1,
      sym_keyword_exists,
    ACTIONS(3748), 1,
      sym_keyword_interval,
    ACTIONS(3750), 1,
      sym_keyword_array,
    ACTIONS(3752), 1,
      anon_sym_LPAREN,
    ACTIONS(3756), 1,
      anon_sym_PLUS,
    ACTIONS(3758), 1,
      anon_sym_DASH,
    ACTIONS(3760), 1,
      sym_op_unary_other,
    ACTIONS(3762), 1,
      sym__double_quote_string,
    ACTIONS(3764), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3766), 1,
      aux_sym__integer_token1,
    ACTIONS(3768), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3770), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3772), 1,
      sym__dollar_quoted_string,
    ACTIONS(4863), 1,
      sym_parameter,
    STATE(2914), 1,
      sym_identifier,
    STATE(4201), 1,
      sym_invocation,
    STATE(4367), 1,
      sym__single_quote_string,
    STATE(4405), 1,
      sym__qualified_field,
    STATE(11929), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3746), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3744), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4650), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2123), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [94282] = 28,
    ACTIONS(527), 1,
      sym__identifier,
    ACTIONS(585), 1,
      aux_sym_identifier_token1,
    ACTIONS(3906), 1,
      sym_keyword_cast,
    ACTIONS(3908), 1,
      sym_keyword_case,
    ACTIONS(3912), 1,
      sym_keyword_exists,
    ACTIONS(3918), 1,
      sym_keyword_interval,
    ACTIONS(3920), 1,
      sym_keyword_array,
    ACTIONS(3922), 1,
      anon_sym_LPAREN,
    ACTIONS(3926), 1,
      anon_sym_PLUS,
    ACTIONS(3928), 1,
      anon_sym_DASH,
    ACTIONS(3930), 1,
      sym_op_unary_other,
    ACTIONS(3932), 1,
      sym__double_quote_string,
    ACTIONS(3934), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3936), 1,
      aux_sym__integer_token1,
    ACTIONS(3938), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3940), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3942), 1,
      sym__dollar_quoted_string,
    ACTIONS(4865), 1,
      sym_parameter,
    STATE(416), 1,
      sym__single_quote_string,
    STATE(3035), 1,
      sym_identifier,
    STATE(4140), 1,
      sym_invocation,
    STATE(4464), 1,
      sym__qualified_field,
    STATE(11831), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3916), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3914), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4446), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2627), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [94392] = 29,
    ACTIONS(407), 1,
      sym__identifier,
    ACTIONS(465), 1,
      aux_sym_identifier_token1,
    ACTIONS(4310), 1,
      sym_keyword_cast,
    ACTIONS(4312), 1,
      sym_keyword_case,
    ACTIONS(4316), 1,
      sym_keyword_exists,
    ACTIONS(4320), 1,
      sym_keyword_null,
    ACTIONS(4322), 1,
      sym_keyword_interval,
    ACTIONS(4324), 1,
      sym_keyword_array,
    ACTIONS(4326), 1,
      anon_sym_LPAREN,
    ACTIONS(4330), 1,
      anon_sym_PLUS,
    ACTIONS(4332), 1,
      anon_sym_DASH,
    ACTIONS(4334), 1,
      sym_op_unary_other,
    ACTIONS(4336), 1,
      sym__double_quote_string,
    ACTIONS(4338), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4340), 1,
      aux_sym__integer_token1,
    ACTIONS(4342), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4344), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4346), 1,
      sym__dollar_quoted_string,
    ACTIONS(4869), 1,
      sym_parameter,
    STATE(1171), 1,
      sym_identifier,
    STATE(2353), 1,
      sym_invocation,
    STATE(2651), 1,
      sym__single_quote_string,
    STATE(2678), 1,
      sym__qualified_field,
    STATE(11808), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4867), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4318), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2660), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(998), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [94504] = 28,
    ACTIONS(1081), 1,
      sym__identifier,
    ACTIONS(1139), 1,
      aux_sym_identifier_token1,
    ACTIONS(3736), 1,
      sym_keyword_cast,
    ACTIONS(3738), 1,
      sym_keyword_case,
    ACTIONS(3742), 1,
      sym_keyword_exists,
    ACTIONS(3748), 1,
      sym_keyword_interval,
    ACTIONS(3750), 1,
      sym_keyword_array,
    ACTIONS(3752), 1,
      anon_sym_LPAREN,
    ACTIONS(3754), 1,
      sym_parameter,
    ACTIONS(3756), 1,
      anon_sym_PLUS,
    ACTIONS(3758), 1,
      anon_sym_DASH,
    ACTIONS(3760), 1,
      sym_op_unary_other,
    ACTIONS(3762), 1,
      sym__double_quote_string,
    ACTIONS(3764), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3766), 1,
      aux_sym__integer_token1,
    ACTIONS(3768), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3770), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3772), 1,
      sym__dollar_quoted_string,
    STATE(2914), 1,
      sym_identifier,
    STATE(4201), 1,
      sym_invocation,
    STATE(4367), 1,
      sym__single_quote_string,
    STATE(4405), 1,
      sym__qualified_field,
    STATE(11929), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3746), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3744), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4650), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2194), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [94614] = 5,
    ACTIONS(4871), 1,
      aux_sym__single_quote_string_token2,
    STATE(1346), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1366), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1364), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [94678] = 5,
    ACTIONS(4873), 1,
      aux_sym__single_quote_string_token2,
    STATE(1302), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1357), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1359), 32,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [94742] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1376), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1374), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      aux_sym__single_quote_string_token1,
  [94802] = 28,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3067), 1,
      sym_keyword_cast,
    ACTIONS(3069), 1,
      sym_keyword_case,
    ACTIONS(3073), 1,
      sym_keyword_exists,
    ACTIONS(3077), 1,
      sym_keyword_interval,
    ACTIONS(3079), 1,
      sym_keyword_array,
    ACTIONS(3081), 1,
      anon_sym_LPAREN,
    ACTIONS(3085), 1,
      anon_sym_PLUS,
    ACTIONS(3087), 1,
      anon_sym_DASH,
    ACTIONS(3089), 1,
      sym_op_unary_other,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3095), 1,
      aux_sym__integer_token1,
    ACTIONS(3097), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3099), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(4876), 1,
      sym_parameter,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(2733), 1,
      sym_identifier,
    STATE(3671), 1,
      sym_invocation,
    STATE(3899), 1,
      sym__qualified_field,
    STATE(11544), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3075), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3071), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3210), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2017), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [94912] = 28,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3067), 1,
      sym_keyword_cast,
    ACTIONS(3069), 1,
      sym_keyword_case,
    ACTIONS(3073), 1,
      sym_keyword_exists,
    ACTIONS(3077), 1,
      sym_keyword_interval,
    ACTIONS(3079), 1,
      sym_keyword_array,
    ACTIONS(3081), 1,
      anon_sym_LPAREN,
    ACTIONS(3085), 1,
      anon_sym_PLUS,
    ACTIONS(3087), 1,
      anon_sym_DASH,
    ACTIONS(3089), 1,
      sym_op_unary_other,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3095), 1,
      aux_sym__integer_token1,
    ACTIONS(3097), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3099), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(4878), 1,
      sym_parameter,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(2733), 1,
      sym_identifier,
    STATE(3671), 1,
      sym_invocation,
    STATE(3899), 1,
      sym__qualified_field,
    STATE(11544), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3075), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3071), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3210), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2016), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [95022] = 28,
    ACTIONS(527), 1,
      sym__identifier,
    ACTIONS(585), 1,
      aux_sym_identifier_token1,
    ACTIONS(3906), 1,
      sym_keyword_cast,
    ACTIONS(3908), 1,
      sym_keyword_case,
    ACTIONS(3912), 1,
      sym_keyword_exists,
    ACTIONS(3918), 1,
      sym_keyword_interval,
    ACTIONS(3920), 1,
      sym_keyword_array,
    ACTIONS(3922), 1,
      anon_sym_LPAREN,
    ACTIONS(3926), 1,
      anon_sym_PLUS,
    ACTIONS(3928), 1,
      anon_sym_DASH,
    ACTIONS(3930), 1,
      sym_op_unary_other,
    ACTIONS(3932), 1,
      sym__double_quote_string,
    ACTIONS(3934), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3936), 1,
      aux_sym__integer_token1,
    ACTIONS(3938), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3940), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3942), 1,
      sym__dollar_quoted_string,
    ACTIONS(4880), 1,
      sym_parameter,
    STATE(416), 1,
      sym__single_quote_string,
    STATE(3035), 1,
      sym_identifier,
    STATE(4140), 1,
      sym_invocation,
    STATE(4464), 1,
      sym__qualified_field,
    STATE(11831), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3916), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3914), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4446), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3572), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [95132] = 29,
    ACTIONS(407), 1,
      sym__identifier,
    ACTIONS(465), 1,
      aux_sym_identifier_token1,
    ACTIONS(4310), 1,
      sym_keyword_cast,
    ACTIONS(4312), 1,
      sym_keyword_case,
    ACTIONS(4316), 1,
      sym_keyword_exists,
    ACTIONS(4320), 1,
      sym_keyword_null,
    ACTIONS(4322), 1,
      sym_keyword_interval,
    ACTIONS(4324), 1,
      sym_keyword_array,
    ACTIONS(4326), 1,
      anon_sym_LPAREN,
    ACTIONS(4330), 1,
      anon_sym_PLUS,
    ACTIONS(4332), 1,
      anon_sym_DASH,
    ACTIONS(4334), 1,
      sym_op_unary_other,
    ACTIONS(4336), 1,
      sym__double_quote_string,
    ACTIONS(4338), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4340), 1,
      aux_sym__integer_token1,
    ACTIONS(4342), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4344), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4346), 1,
      sym__dollar_quoted_string,
    ACTIONS(4884), 1,
      sym_parameter,
    STATE(1171), 1,
      sym_identifier,
    STATE(2353), 1,
      sym_invocation,
    STATE(2651), 1,
      sym__single_quote_string,
    STATE(2678), 1,
      sym__qualified_field,
    STATE(11808), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4882), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4318), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2660), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(996), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [95244] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4886), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6255), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [95354] = 29,
    ACTIONS(407), 1,
      sym__identifier,
    ACTIONS(465), 1,
      aux_sym_identifier_token1,
    ACTIONS(4310), 1,
      sym_keyword_cast,
    ACTIONS(4312), 1,
      sym_keyword_case,
    ACTIONS(4316), 1,
      sym_keyword_exists,
    ACTIONS(4320), 1,
      sym_keyword_null,
    ACTIONS(4322), 1,
      sym_keyword_interval,
    ACTIONS(4324), 1,
      sym_keyword_array,
    ACTIONS(4326), 1,
      anon_sym_LPAREN,
    ACTIONS(4330), 1,
      anon_sym_PLUS,
    ACTIONS(4332), 1,
      anon_sym_DASH,
    ACTIONS(4334), 1,
      sym_op_unary_other,
    ACTIONS(4336), 1,
      sym__double_quote_string,
    ACTIONS(4338), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4340), 1,
      aux_sym__integer_token1,
    ACTIONS(4342), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4344), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4346), 1,
      sym__dollar_quoted_string,
    ACTIONS(4890), 1,
      sym_parameter,
    STATE(1171), 1,
      sym_identifier,
    STATE(2353), 1,
      sym_invocation,
    STATE(2651), 1,
      sym__single_quote_string,
    STATE(2678), 1,
      sym__qualified_field,
    STATE(11808), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4888), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4318), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2660), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(995), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [95466] = 28,
    ACTIONS(587), 1,
      sym__identifier,
    ACTIONS(645), 1,
      aux_sym_identifier_token1,
    ACTIONS(4248), 1,
      sym_keyword_cast,
    ACTIONS(4250), 1,
      sym_keyword_case,
    ACTIONS(4254), 1,
      sym_keyword_exists,
    ACTIONS(4260), 1,
      sym_keyword_interval,
    ACTIONS(4262), 1,
      sym_keyword_array,
    ACTIONS(4264), 1,
      anon_sym_LPAREN,
    ACTIONS(4268), 1,
      anon_sym_PLUS,
    ACTIONS(4270), 1,
      anon_sym_DASH,
    ACTIONS(4272), 1,
      sym_op_unary_other,
    ACTIONS(4274), 1,
      sym__double_quote_string,
    ACTIONS(4276), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4278), 1,
      aux_sym__integer_token1,
    ACTIONS(4280), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4282), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4284), 1,
      sym__dollar_quoted_string,
    ACTIONS(4892), 1,
      sym_parameter,
    STATE(2958), 1,
      sym_identifier,
    STATE(4144), 1,
      sym_invocation,
    STATE(4381), 1,
      sym__single_quote_string,
    STATE(4431), 1,
      sym__qualified_field,
    STATE(11807), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4258), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4256), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4564), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2095), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [95576] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4894), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5745), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [95686] = 28,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3067), 1,
      sym_keyword_cast,
    ACTIONS(3069), 1,
      sym_keyword_case,
    ACTIONS(3073), 1,
      sym_keyword_exists,
    ACTIONS(3077), 1,
      sym_keyword_interval,
    ACTIONS(3079), 1,
      sym_keyword_array,
    ACTIONS(3081), 1,
      anon_sym_LPAREN,
    ACTIONS(3085), 1,
      anon_sym_PLUS,
    ACTIONS(3087), 1,
      anon_sym_DASH,
    ACTIONS(3089), 1,
      sym_op_unary_other,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3095), 1,
      aux_sym__integer_token1,
    ACTIONS(3097), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3099), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(4896), 1,
      sym_parameter,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(2733), 1,
      sym_identifier,
    STATE(3671), 1,
      sym_invocation,
    STATE(3899), 1,
      sym__qualified_field,
    STATE(11544), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3075), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3071), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3210), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1993), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [95796] = 29,
    ACTIONS(407), 1,
      sym__identifier,
    ACTIONS(465), 1,
      aux_sym_identifier_token1,
    ACTIONS(4310), 1,
      sym_keyword_cast,
    ACTIONS(4312), 1,
      sym_keyword_case,
    ACTIONS(4316), 1,
      sym_keyword_exists,
    ACTIONS(4320), 1,
      sym_keyword_null,
    ACTIONS(4322), 1,
      sym_keyword_interval,
    ACTIONS(4324), 1,
      sym_keyword_array,
    ACTIONS(4326), 1,
      anon_sym_LPAREN,
    ACTIONS(4330), 1,
      anon_sym_PLUS,
    ACTIONS(4332), 1,
      anon_sym_DASH,
    ACTIONS(4334), 1,
      sym_op_unary_other,
    ACTIONS(4336), 1,
      sym__double_quote_string,
    ACTIONS(4338), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4340), 1,
      aux_sym__integer_token1,
    ACTIONS(4342), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4344), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4346), 1,
      sym__dollar_quoted_string,
    ACTIONS(4900), 1,
      sym_parameter,
    STATE(1171), 1,
      sym_identifier,
    STATE(2353), 1,
      sym_invocation,
    STATE(2651), 1,
      sym__single_quote_string,
    STATE(2678), 1,
      sym__qualified_field,
    STATE(11808), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4898), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4318), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2660), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(993), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [95908] = 29,
    ACTIONS(407), 1,
      sym__identifier,
    ACTIONS(465), 1,
      aux_sym_identifier_token1,
    ACTIONS(4310), 1,
      sym_keyword_cast,
    ACTIONS(4312), 1,
      sym_keyword_case,
    ACTIONS(4316), 1,
      sym_keyword_exists,
    ACTIONS(4320), 1,
      sym_keyword_null,
    ACTIONS(4322), 1,
      sym_keyword_interval,
    ACTIONS(4324), 1,
      sym_keyword_array,
    ACTIONS(4326), 1,
      anon_sym_LPAREN,
    ACTIONS(4330), 1,
      anon_sym_PLUS,
    ACTIONS(4332), 1,
      anon_sym_DASH,
    ACTIONS(4334), 1,
      sym_op_unary_other,
    ACTIONS(4336), 1,
      sym__double_quote_string,
    ACTIONS(4338), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4340), 1,
      aux_sym__integer_token1,
    ACTIONS(4342), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4344), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4346), 1,
      sym__dollar_quoted_string,
    ACTIONS(4904), 1,
      sym_parameter,
    STATE(1171), 1,
      sym_identifier,
    STATE(2353), 1,
      sym_invocation,
    STATE(2651), 1,
      sym__single_quote_string,
    STATE(2678), 1,
      sym__qualified_field,
    STATE(11808), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4902), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4318), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2660), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(990), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [96020] = 29,
    ACTIONS(407), 1,
      sym__identifier,
    ACTIONS(465), 1,
      aux_sym_identifier_token1,
    ACTIONS(4310), 1,
      sym_keyword_cast,
    ACTIONS(4312), 1,
      sym_keyword_case,
    ACTIONS(4316), 1,
      sym_keyword_exists,
    ACTIONS(4320), 1,
      sym_keyword_null,
    ACTIONS(4322), 1,
      sym_keyword_interval,
    ACTIONS(4324), 1,
      sym_keyword_array,
    ACTIONS(4326), 1,
      anon_sym_LPAREN,
    ACTIONS(4330), 1,
      anon_sym_PLUS,
    ACTIONS(4332), 1,
      anon_sym_DASH,
    ACTIONS(4334), 1,
      sym_op_unary_other,
    ACTIONS(4336), 1,
      sym__double_quote_string,
    ACTIONS(4338), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4340), 1,
      aux_sym__integer_token1,
    ACTIONS(4342), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4344), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4346), 1,
      sym__dollar_quoted_string,
    ACTIONS(4908), 1,
      sym_parameter,
    STATE(1171), 1,
      sym_identifier,
    STATE(2353), 1,
      sym_invocation,
    STATE(2651), 1,
      sym__single_quote_string,
    STATE(2678), 1,
      sym__qualified_field,
    STATE(11808), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4906), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4318), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2660), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(989), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [96132] = 28,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3067), 1,
      sym_keyword_cast,
    ACTIONS(3069), 1,
      sym_keyword_case,
    ACTIONS(3073), 1,
      sym_keyword_exists,
    ACTIONS(3077), 1,
      sym_keyword_interval,
    ACTIONS(3079), 1,
      sym_keyword_array,
    ACTIONS(3081), 1,
      anon_sym_LPAREN,
    ACTIONS(3085), 1,
      anon_sym_PLUS,
    ACTIONS(3087), 1,
      anon_sym_DASH,
    ACTIONS(3089), 1,
      sym_op_unary_other,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3095), 1,
      aux_sym__integer_token1,
    ACTIONS(3097), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3099), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(4910), 1,
      sym_parameter,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(2733), 1,
      sym_identifier,
    STATE(3671), 1,
      sym_invocation,
    STATE(3899), 1,
      sym__qualified_field,
    STATE(11544), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3075), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3071), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3210), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1992), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [96242] = 28,
    ACTIONS(1141), 1,
      sym__identifier,
    ACTIONS(1199), 1,
      aux_sym_identifier_token1,
    ACTIONS(4348), 1,
      sym_keyword_cast,
    ACTIONS(4350), 1,
      sym_keyword_case,
    ACTIONS(4354), 1,
      sym_keyword_exists,
    ACTIONS(4360), 1,
      sym_keyword_interval,
    ACTIONS(4362), 1,
      sym_keyword_array,
    ACTIONS(4364), 1,
      anon_sym_LPAREN,
    ACTIONS(4368), 1,
      anon_sym_PLUS,
    ACTIONS(4370), 1,
      anon_sym_DASH,
    ACTIONS(4372), 1,
      sym_op_unary_other,
    ACTIONS(4374), 1,
      sym__double_quote_string,
    ACTIONS(4376), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4378), 1,
      aux_sym__integer_token1,
    ACTIONS(4380), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4382), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4384), 1,
      sym__dollar_quoted_string,
    ACTIONS(4912), 1,
      sym_parameter,
    STATE(2235), 1,
      sym__single_quote_string,
    STATE(2711), 1,
      sym_identifier,
    STATE(3691), 1,
      sym_invocation,
    STATE(3959), 1,
      sym__qualified_field,
    STATE(11969), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4358), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4356), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3940), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1966), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [96352] = 28,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3067), 1,
      sym_keyword_cast,
    ACTIONS(3069), 1,
      sym_keyword_case,
    ACTIONS(3073), 1,
      sym_keyword_exists,
    ACTIONS(3077), 1,
      sym_keyword_interval,
    ACTIONS(3079), 1,
      sym_keyword_array,
    ACTIONS(3081), 1,
      anon_sym_LPAREN,
    ACTIONS(3085), 1,
      anon_sym_PLUS,
    ACTIONS(3087), 1,
      anon_sym_DASH,
    ACTIONS(3089), 1,
      sym_op_unary_other,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3095), 1,
      aux_sym__integer_token1,
    ACTIONS(3097), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3099), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(4914), 1,
      sym_parameter,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(2733), 1,
      sym_identifier,
    STATE(3671), 1,
      sym_invocation,
    STATE(3899), 1,
      sym__qualified_field,
    STATE(11544), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3075), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3071), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3210), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1919), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [96462] = 5,
    STATE(658), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(915), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3187), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3185), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [96526] = 28,
    ACTIONS(527), 1,
      sym__identifier,
    ACTIONS(585), 1,
      aux_sym_identifier_token1,
    ACTIONS(3906), 1,
      sym_keyword_cast,
    ACTIONS(3908), 1,
      sym_keyword_case,
    ACTIONS(3912), 1,
      sym_keyword_exists,
    ACTIONS(3918), 1,
      sym_keyword_interval,
    ACTIONS(3920), 1,
      sym_keyword_array,
    ACTIONS(3922), 1,
      anon_sym_LPAREN,
    ACTIONS(3926), 1,
      anon_sym_PLUS,
    ACTIONS(3928), 1,
      anon_sym_DASH,
    ACTIONS(3930), 1,
      sym_op_unary_other,
    ACTIONS(3932), 1,
      sym__double_quote_string,
    ACTIONS(3934), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3936), 1,
      aux_sym__integer_token1,
    ACTIONS(3938), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3940), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3942), 1,
      sym__dollar_quoted_string,
    ACTIONS(4916), 1,
      sym_parameter,
    STATE(416), 1,
      sym__single_quote_string,
    STATE(3035), 1,
      sym_identifier,
    STATE(4140), 1,
      sym_invocation,
    STATE(4464), 1,
      sym__qualified_field,
    STATE(11831), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3916), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3914), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4446), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2935), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [96636] = 28,
    ACTIONS(407), 1,
      sym__identifier,
    ACTIONS(465), 1,
      aux_sym_identifier_token1,
    ACTIONS(4310), 1,
      sym_keyword_cast,
    ACTIONS(4312), 1,
      sym_keyword_case,
    ACTIONS(4316), 1,
      sym_keyword_exists,
    ACTIONS(4322), 1,
      sym_keyword_interval,
    ACTIONS(4324), 1,
      sym_keyword_array,
    ACTIONS(4326), 1,
      anon_sym_LPAREN,
    ACTIONS(4330), 1,
      anon_sym_PLUS,
    ACTIONS(4332), 1,
      anon_sym_DASH,
    ACTIONS(4334), 1,
      sym_op_unary_other,
    ACTIONS(4336), 1,
      sym__double_quote_string,
    ACTIONS(4338), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4340), 1,
      aux_sym__integer_token1,
    ACTIONS(4342), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4344), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4346), 1,
      sym__dollar_quoted_string,
    ACTIONS(4918), 1,
      sym_parameter,
    STATE(1171), 1,
      sym_identifier,
    STATE(2353), 1,
      sym_invocation,
    STATE(2651), 1,
      sym__single_quote_string,
    STATE(2678), 1,
      sym__qualified_field,
    STATE(11808), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4320), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4318), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2660), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(985), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [96746] = 28,
    ACTIONS(407), 1,
      sym__identifier,
    ACTIONS(465), 1,
      aux_sym_identifier_token1,
    ACTIONS(4310), 1,
      sym_keyword_cast,
    ACTIONS(4312), 1,
      sym_keyword_case,
    ACTIONS(4316), 1,
      sym_keyword_exists,
    ACTIONS(4322), 1,
      sym_keyword_interval,
    ACTIONS(4324), 1,
      sym_keyword_array,
    ACTIONS(4326), 1,
      anon_sym_LPAREN,
    ACTIONS(4330), 1,
      anon_sym_PLUS,
    ACTIONS(4332), 1,
      anon_sym_DASH,
    ACTIONS(4334), 1,
      sym_op_unary_other,
    ACTIONS(4336), 1,
      sym__double_quote_string,
    ACTIONS(4338), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4340), 1,
      aux_sym__integer_token1,
    ACTIONS(4342), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4344), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4346), 1,
      sym__dollar_quoted_string,
    ACTIONS(4920), 1,
      sym_parameter,
    STATE(1171), 1,
      sym_identifier,
    STATE(2353), 1,
      sym_invocation,
    STATE(2651), 1,
      sym__single_quote_string,
    STATE(2678), 1,
      sym__qualified_field,
    STATE(11808), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4320), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4318), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2660), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(984), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [96856] = 28,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3067), 1,
      sym_keyword_cast,
    ACTIONS(3069), 1,
      sym_keyword_case,
    ACTIONS(3073), 1,
      sym_keyword_exists,
    ACTIONS(3077), 1,
      sym_keyword_interval,
    ACTIONS(3079), 1,
      sym_keyword_array,
    ACTIONS(3081), 1,
      anon_sym_LPAREN,
    ACTIONS(3085), 1,
      anon_sym_PLUS,
    ACTIONS(3087), 1,
      anon_sym_DASH,
    ACTIONS(3089), 1,
      sym_op_unary_other,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3095), 1,
      aux_sym__integer_token1,
    ACTIONS(3097), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3099), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(4922), 1,
      sym_parameter,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(2733), 1,
      sym_identifier,
    STATE(3671), 1,
      sym_invocation,
    STATE(3899), 1,
      sym__qualified_field,
    STATE(11544), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3075), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3071), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3210), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1918), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [96966] = 28,
    ACTIONS(407), 1,
      sym__identifier,
    ACTIONS(465), 1,
      aux_sym_identifier_token1,
    ACTIONS(4310), 1,
      sym_keyword_cast,
    ACTIONS(4312), 1,
      sym_keyword_case,
    ACTIONS(4316), 1,
      sym_keyword_exists,
    ACTIONS(4322), 1,
      sym_keyword_interval,
    ACTIONS(4324), 1,
      sym_keyword_array,
    ACTIONS(4326), 1,
      anon_sym_LPAREN,
    ACTIONS(4330), 1,
      anon_sym_PLUS,
    ACTIONS(4332), 1,
      anon_sym_DASH,
    ACTIONS(4334), 1,
      sym_op_unary_other,
    ACTIONS(4336), 1,
      sym__double_quote_string,
    ACTIONS(4338), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4340), 1,
      aux_sym__integer_token1,
    ACTIONS(4342), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4344), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4346), 1,
      sym__dollar_quoted_string,
    ACTIONS(4924), 1,
      sym_parameter,
    STATE(1171), 1,
      sym_identifier,
    STATE(2353), 1,
      sym_invocation,
    STATE(2651), 1,
      sym__single_quote_string,
    STATE(2678), 1,
      sym__qualified_field,
    STATE(11808), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4320), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4318), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2660), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(983), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [97076] = 28,
    ACTIONS(407), 1,
      sym__identifier,
    ACTIONS(465), 1,
      aux_sym_identifier_token1,
    ACTIONS(4310), 1,
      sym_keyword_cast,
    ACTIONS(4312), 1,
      sym_keyword_case,
    ACTIONS(4316), 1,
      sym_keyword_exists,
    ACTIONS(4322), 1,
      sym_keyword_interval,
    ACTIONS(4324), 1,
      sym_keyword_array,
    ACTIONS(4326), 1,
      anon_sym_LPAREN,
    ACTIONS(4330), 1,
      anon_sym_PLUS,
    ACTIONS(4332), 1,
      anon_sym_DASH,
    ACTIONS(4334), 1,
      sym_op_unary_other,
    ACTIONS(4336), 1,
      sym__double_quote_string,
    ACTIONS(4338), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4340), 1,
      aux_sym__integer_token1,
    ACTIONS(4342), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4344), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4346), 1,
      sym__dollar_quoted_string,
    ACTIONS(4926), 1,
      sym_parameter,
    STATE(1171), 1,
      sym_identifier,
    STATE(2353), 1,
      sym_invocation,
    STATE(2651), 1,
      sym__single_quote_string,
    STATE(2678), 1,
      sym__qualified_field,
    STATE(11808), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4320), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4318), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2660), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(982), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [97186] = 28,
    ACTIONS(407), 1,
      sym__identifier,
    ACTIONS(465), 1,
      aux_sym_identifier_token1,
    ACTIONS(4310), 1,
      sym_keyword_cast,
    ACTIONS(4312), 1,
      sym_keyword_case,
    ACTIONS(4316), 1,
      sym_keyword_exists,
    ACTIONS(4322), 1,
      sym_keyword_interval,
    ACTIONS(4324), 1,
      sym_keyword_array,
    ACTIONS(4326), 1,
      anon_sym_LPAREN,
    ACTIONS(4330), 1,
      anon_sym_PLUS,
    ACTIONS(4332), 1,
      anon_sym_DASH,
    ACTIONS(4334), 1,
      sym_op_unary_other,
    ACTIONS(4336), 1,
      sym__double_quote_string,
    ACTIONS(4338), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4340), 1,
      aux_sym__integer_token1,
    ACTIONS(4342), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4344), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4346), 1,
      sym__dollar_quoted_string,
    ACTIONS(4928), 1,
      sym_parameter,
    STATE(1171), 1,
      sym_identifier,
    STATE(2353), 1,
      sym_invocation,
    STATE(2651), 1,
      sym__single_quote_string,
    STATE(2678), 1,
      sym__qualified_field,
    STATE(11808), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4320), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4318), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2660), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(981), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [97296] = 28,
    ACTIONS(407), 1,
      sym__identifier,
    ACTIONS(465), 1,
      aux_sym_identifier_token1,
    ACTIONS(4310), 1,
      sym_keyword_cast,
    ACTIONS(4312), 1,
      sym_keyword_case,
    ACTIONS(4316), 1,
      sym_keyword_exists,
    ACTIONS(4322), 1,
      sym_keyword_interval,
    ACTIONS(4324), 1,
      sym_keyword_array,
    ACTIONS(4326), 1,
      anon_sym_LPAREN,
    ACTIONS(4330), 1,
      anon_sym_PLUS,
    ACTIONS(4332), 1,
      anon_sym_DASH,
    ACTIONS(4334), 1,
      sym_op_unary_other,
    ACTIONS(4336), 1,
      sym__double_quote_string,
    ACTIONS(4338), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4340), 1,
      aux_sym__integer_token1,
    ACTIONS(4342), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4344), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4346), 1,
      sym__dollar_quoted_string,
    ACTIONS(4930), 1,
      sym_parameter,
    STATE(1171), 1,
      sym_identifier,
    STATE(2353), 1,
      sym_invocation,
    STATE(2651), 1,
      sym__single_quote_string,
    STATE(2678), 1,
      sym__qualified_field,
    STATE(11808), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4320), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4318), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2660), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(980), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [97406] = 28,
    ACTIONS(1213), 1,
      sym__identifier,
    ACTIONS(1271), 1,
      aux_sym_identifier_token1,
    ACTIONS(3944), 1,
      sym_keyword_cast,
    ACTIONS(3946), 1,
      sym_keyword_case,
    ACTIONS(3950), 1,
      sym_keyword_exists,
    ACTIONS(3956), 1,
      sym_keyword_interval,
    ACTIONS(3958), 1,
      sym_keyword_array,
    ACTIONS(3960), 1,
      anon_sym_LPAREN,
    ACTIONS(3964), 1,
      anon_sym_PLUS,
    ACTIONS(3966), 1,
      anon_sym_DASH,
    ACTIONS(3968), 1,
      sym_op_unary_other,
    ACTIONS(3970), 1,
      sym__double_quote_string,
    ACTIONS(3972), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3974), 1,
      aux_sym__integer_token1,
    ACTIONS(3976), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3978), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3980), 1,
      sym__dollar_quoted_string,
    ACTIONS(4932), 1,
      sym_parameter,
    STATE(934), 1,
      sym__single_quote_string,
    STATE(5437), 1,
      sym_identifier,
    STATE(6217), 1,
      sym_invocation,
    STATE(6384), 1,
      sym__qualified_field,
    STATE(11941), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3954), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3952), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6390), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4665), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [97516] = 28,
    ACTIONS(903), 1,
      sym__identifier,
    ACTIONS(907), 1,
      aux_sym_identifier_token1,
    ACTIONS(3191), 1,
      sym_keyword_cast,
    ACTIONS(3193), 1,
      sym_keyword_case,
    ACTIONS(3197), 1,
      sym_keyword_exists,
    ACTIONS(3201), 1,
      sym_keyword_interval,
    ACTIONS(3203), 1,
      sym_keyword_array,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(3209), 1,
      anon_sym_PLUS,
    ACTIONS(3211), 1,
      anon_sym_DASH,
    ACTIONS(3213), 1,
      sym_op_unary_other,
    ACTIONS(3215), 1,
      sym__double_quote_string,
    ACTIONS(3217), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3219), 1,
      aux_sym__integer_token1,
    ACTIONS(3221), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3223), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3225), 1,
      sym__dollar_quoted_string,
    ACTIONS(4934), 1,
      sym_parameter,
    STATE(2953), 1,
      sym__single_quote_string,
    STATE(4196), 1,
      sym_identifier,
    STATE(4905), 1,
      sym__qualified_field,
    STATE(5627), 1,
      sym_invocation,
    STATE(11835), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3199), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3195), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4863), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4258), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [97626] = 28,
    ACTIONS(903), 1,
      sym__identifier,
    ACTIONS(907), 1,
      aux_sym_identifier_token1,
    ACTIONS(3191), 1,
      sym_keyword_cast,
    ACTIONS(3193), 1,
      sym_keyword_case,
    ACTIONS(3197), 1,
      sym_keyword_exists,
    ACTIONS(3201), 1,
      sym_keyword_interval,
    ACTIONS(3203), 1,
      sym_keyword_array,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(3209), 1,
      anon_sym_PLUS,
    ACTIONS(3211), 1,
      anon_sym_DASH,
    ACTIONS(3213), 1,
      sym_op_unary_other,
    ACTIONS(3215), 1,
      sym__double_quote_string,
    ACTIONS(3217), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3219), 1,
      aux_sym__integer_token1,
    ACTIONS(3221), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3223), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3225), 1,
      sym__dollar_quoted_string,
    ACTIONS(4936), 1,
      sym_parameter,
    STATE(2953), 1,
      sym__single_quote_string,
    STATE(4196), 1,
      sym_identifier,
    STATE(4905), 1,
      sym__qualified_field,
    STATE(5627), 1,
      sym_invocation,
    STATE(11835), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3199), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3195), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4863), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4152), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [97736] = 28,
    ACTIONS(903), 1,
      sym__identifier,
    ACTIONS(907), 1,
      aux_sym_identifier_token1,
    ACTIONS(3191), 1,
      sym_keyword_cast,
    ACTIONS(3193), 1,
      sym_keyword_case,
    ACTIONS(3197), 1,
      sym_keyword_exists,
    ACTIONS(3201), 1,
      sym_keyword_interval,
    ACTIONS(3203), 1,
      sym_keyword_array,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(3209), 1,
      anon_sym_PLUS,
    ACTIONS(3211), 1,
      anon_sym_DASH,
    ACTIONS(3213), 1,
      sym_op_unary_other,
    ACTIONS(3215), 1,
      sym__double_quote_string,
    ACTIONS(3217), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3219), 1,
      aux_sym__integer_token1,
    ACTIONS(3221), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3223), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3225), 1,
      sym__dollar_quoted_string,
    ACTIONS(4938), 1,
      sym_parameter,
    STATE(2953), 1,
      sym__single_quote_string,
    STATE(4196), 1,
      sym_identifier,
    STATE(4905), 1,
      sym__qualified_field,
    STATE(5627), 1,
      sym_invocation,
    STATE(11835), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3199), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3195), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4863), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4149), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [97846] = 28,
    ACTIONS(407), 1,
      sym__identifier,
    ACTIONS(465), 1,
      aux_sym_identifier_token1,
    ACTIONS(4310), 1,
      sym_keyword_cast,
    ACTIONS(4312), 1,
      sym_keyword_case,
    ACTIONS(4316), 1,
      sym_keyword_exists,
    ACTIONS(4322), 1,
      sym_keyword_interval,
    ACTIONS(4324), 1,
      sym_keyword_array,
    ACTIONS(4326), 1,
      anon_sym_LPAREN,
    ACTIONS(4330), 1,
      anon_sym_PLUS,
    ACTIONS(4332), 1,
      anon_sym_DASH,
    ACTIONS(4334), 1,
      sym_op_unary_other,
    ACTIONS(4336), 1,
      sym__double_quote_string,
    ACTIONS(4338), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4340), 1,
      aux_sym__integer_token1,
    ACTIONS(4342), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4344), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4346), 1,
      sym__dollar_quoted_string,
    ACTIONS(4940), 1,
      sym_parameter,
    STATE(1171), 1,
      sym_identifier,
    STATE(2353), 1,
      sym_invocation,
    STATE(2651), 1,
      sym__single_quote_string,
    STATE(2678), 1,
      sym__qualified_field,
    STATE(11808), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4320), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4318), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2660), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(713), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [97956] = 28,
    ACTIONS(903), 1,
      sym__identifier,
    ACTIONS(907), 1,
      aux_sym_identifier_token1,
    ACTIONS(3191), 1,
      sym_keyword_cast,
    ACTIONS(3193), 1,
      sym_keyword_case,
    ACTIONS(3197), 1,
      sym_keyword_exists,
    ACTIONS(3201), 1,
      sym_keyword_interval,
    ACTIONS(3203), 1,
      sym_keyword_array,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(3209), 1,
      anon_sym_PLUS,
    ACTIONS(3211), 1,
      anon_sym_DASH,
    ACTIONS(3213), 1,
      sym_op_unary_other,
    ACTIONS(3215), 1,
      sym__double_quote_string,
    ACTIONS(3217), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3219), 1,
      aux_sym__integer_token1,
    ACTIONS(3221), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3223), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3225), 1,
      sym__dollar_quoted_string,
    ACTIONS(4942), 1,
      sym_parameter,
    STATE(2953), 1,
      sym__single_quote_string,
    STATE(4196), 1,
      sym_identifier,
    STATE(4905), 1,
      sym__qualified_field,
    STATE(5627), 1,
      sym_invocation,
    STATE(11835), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3199), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3195), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4863), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4146), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [98066] = 28,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3067), 1,
      sym_keyword_cast,
    ACTIONS(3069), 1,
      sym_keyword_case,
    ACTIONS(3073), 1,
      sym_keyword_exists,
    ACTIONS(3077), 1,
      sym_keyword_interval,
    ACTIONS(3079), 1,
      sym_keyword_array,
    ACTIONS(3081), 1,
      anon_sym_LPAREN,
    ACTIONS(3085), 1,
      anon_sym_PLUS,
    ACTIONS(3087), 1,
      anon_sym_DASH,
    ACTIONS(3089), 1,
      sym_op_unary_other,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3095), 1,
      aux_sym__integer_token1,
    ACTIONS(3097), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3099), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(4944), 1,
      sym_parameter,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(2733), 1,
      sym_identifier,
    STATE(3671), 1,
      sym_invocation,
    STATE(3899), 1,
      sym__qualified_field,
    STATE(11544), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3075), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3071), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3210), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1917), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [98176] = 28,
    ACTIONS(903), 1,
      sym__identifier,
    ACTIONS(907), 1,
      aux_sym_identifier_token1,
    ACTIONS(3191), 1,
      sym_keyword_cast,
    ACTIONS(3193), 1,
      sym_keyword_case,
    ACTIONS(3197), 1,
      sym_keyword_exists,
    ACTIONS(3201), 1,
      sym_keyword_interval,
    ACTIONS(3203), 1,
      sym_keyword_array,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(3209), 1,
      anon_sym_PLUS,
    ACTIONS(3211), 1,
      anon_sym_DASH,
    ACTIONS(3213), 1,
      sym_op_unary_other,
    ACTIONS(3215), 1,
      sym__double_quote_string,
    ACTIONS(3217), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3219), 1,
      aux_sym__integer_token1,
    ACTIONS(3221), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3223), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3225), 1,
      sym__dollar_quoted_string,
    ACTIONS(4946), 1,
      sym_parameter,
    STATE(2953), 1,
      sym__single_quote_string,
    STATE(4196), 1,
      sym_identifier,
    STATE(4905), 1,
      sym__qualified_field,
    STATE(5627), 1,
      sym_invocation,
    STATE(11835), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3199), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3195), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4863), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4145), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [98286] = 28,
    ACTIONS(903), 1,
      sym__identifier,
    ACTIONS(907), 1,
      aux_sym_identifier_token1,
    ACTIONS(3191), 1,
      sym_keyword_cast,
    ACTIONS(3193), 1,
      sym_keyword_case,
    ACTIONS(3197), 1,
      sym_keyword_exists,
    ACTIONS(3201), 1,
      sym_keyword_interval,
    ACTIONS(3203), 1,
      sym_keyword_array,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(3209), 1,
      anon_sym_PLUS,
    ACTIONS(3211), 1,
      anon_sym_DASH,
    ACTIONS(3213), 1,
      sym_op_unary_other,
    ACTIONS(3215), 1,
      sym__double_quote_string,
    ACTIONS(3217), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3219), 1,
      aux_sym__integer_token1,
    ACTIONS(3221), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3223), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3225), 1,
      sym__dollar_quoted_string,
    ACTIONS(4948), 1,
      sym_parameter,
    STATE(2953), 1,
      sym__single_quote_string,
    STATE(4196), 1,
      sym_identifier,
    STATE(4905), 1,
      sym__qualified_field,
    STATE(5627), 1,
      sym_invocation,
    STATE(11835), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3199), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3195), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4863), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4139), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [98396] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(4950), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(4378), 1,
      sym_identifier,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5960), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [98506] = 28,
    ACTIONS(903), 1,
      sym__identifier,
    ACTIONS(907), 1,
      aux_sym_identifier_token1,
    ACTIONS(3191), 1,
      sym_keyword_cast,
    ACTIONS(3193), 1,
      sym_keyword_case,
    ACTIONS(3197), 1,
      sym_keyword_exists,
    ACTIONS(3201), 1,
      sym_keyword_interval,
    ACTIONS(3203), 1,
      sym_keyword_array,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(3209), 1,
      anon_sym_PLUS,
    ACTIONS(3211), 1,
      anon_sym_DASH,
    ACTIONS(3213), 1,
      sym_op_unary_other,
    ACTIONS(3215), 1,
      sym__double_quote_string,
    ACTIONS(3217), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3219), 1,
      aux_sym__integer_token1,
    ACTIONS(3221), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3223), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3225), 1,
      sym__dollar_quoted_string,
    ACTIONS(4952), 1,
      sym_parameter,
    STATE(2953), 1,
      sym__single_quote_string,
    STATE(4196), 1,
      sym_identifier,
    STATE(4905), 1,
      sym__qualified_field,
    STATE(5627), 1,
      sym_invocation,
    STATE(11835), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3199), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3195), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4863), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4138), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [98616] = 28,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3067), 1,
      sym_keyword_cast,
    ACTIONS(3069), 1,
      sym_keyword_case,
    ACTIONS(3073), 1,
      sym_keyword_exists,
    ACTIONS(3077), 1,
      sym_keyword_interval,
    ACTIONS(3079), 1,
      sym_keyword_array,
    ACTIONS(3081), 1,
      anon_sym_LPAREN,
    ACTIONS(3085), 1,
      anon_sym_PLUS,
    ACTIONS(3087), 1,
      anon_sym_DASH,
    ACTIONS(3089), 1,
      sym_op_unary_other,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3095), 1,
      aux_sym__integer_token1,
    ACTIONS(3097), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3099), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(4954), 1,
      sym_parameter,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(2733), 1,
      sym_identifier,
    STATE(3671), 1,
      sym_invocation,
    STATE(3899), 1,
      sym__qualified_field,
    STATE(11544), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3075), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3071), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3210), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1915), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [98726] = 28,
    ACTIONS(903), 1,
      sym__identifier,
    ACTIONS(907), 1,
      aux_sym_identifier_token1,
    ACTIONS(3191), 1,
      sym_keyword_cast,
    ACTIONS(3193), 1,
      sym_keyword_case,
    ACTIONS(3197), 1,
      sym_keyword_exists,
    ACTIONS(3201), 1,
      sym_keyword_interval,
    ACTIONS(3203), 1,
      sym_keyword_array,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(3209), 1,
      anon_sym_PLUS,
    ACTIONS(3211), 1,
      anon_sym_DASH,
    ACTIONS(3213), 1,
      sym_op_unary_other,
    ACTIONS(3215), 1,
      sym__double_quote_string,
    ACTIONS(3217), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3219), 1,
      aux_sym__integer_token1,
    ACTIONS(3221), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3223), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3225), 1,
      sym__dollar_quoted_string,
    ACTIONS(4956), 1,
      sym_parameter,
    STATE(2953), 1,
      sym__single_quote_string,
    STATE(4196), 1,
      sym_identifier,
    STATE(4905), 1,
      sym__qualified_field,
    STATE(5627), 1,
      sym_invocation,
    STATE(11835), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3199), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3195), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4863), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4128), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [98836] = 28,
    ACTIONS(903), 1,
      sym__identifier,
    ACTIONS(907), 1,
      aux_sym_identifier_token1,
    ACTIONS(3191), 1,
      sym_keyword_cast,
    ACTIONS(3193), 1,
      sym_keyword_case,
    ACTIONS(3197), 1,
      sym_keyword_exists,
    ACTIONS(3201), 1,
      sym_keyword_interval,
    ACTIONS(3203), 1,
      sym_keyword_array,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(3209), 1,
      anon_sym_PLUS,
    ACTIONS(3211), 1,
      anon_sym_DASH,
    ACTIONS(3213), 1,
      sym_op_unary_other,
    ACTIONS(3215), 1,
      sym__double_quote_string,
    ACTIONS(3217), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3219), 1,
      aux_sym__integer_token1,
    ACTIONS(3221), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3223), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3225), 1,
      sym__dollar_quoted_string,
    ACTIONS(4958), 1,
      sym_parameter,
    STATE(2953), 1,
      sym__single_quote_string,
    STATE(4196), 1,
      sym_identifier,
    STATE(4905), 1,
      sym__qualified_field,
    STATE(5627), 1,
      sym_invocation,
    STATE(11835), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3199), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3195), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4863), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4127), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [98946] = 28,
    ACTIONS(903), 1,
      sym__identifier,
    ACTIONS(907), 1,
      aux_sym_identifier_token1,
    ACTIONS(3191), 1,
      sym_keyword_cast,
    ACTIONS(3193), 1,
      sym_keyword_case,
    ACTIONS(3197), 1,
      sym_keyword_exists,
    ACTIONS(3201), 1,
      sym_keyword_interval,
    ACTIONS(3203), 1,
      sym_keyword_array,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(3209), 1,
      anon_sym_PLUS,
    ACTIONS(3211), 1,
      anon_sym_DASH,
    ACTIONS(3213), 1,
      sym_op_unary_other,
    ACTIONS(3215), 1,
      sym__double_quote_string,
    ACTIONS(3217), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3219), 1,
      aux_sym__integer_token1,
    ACTIONS(3221), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3223), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3225), 1,
      sym__dollar_quoted_string,
    ACTIONS(4056), 1,
      sym_parameter,
    STATE(2953), 1,
      sym__single_quote_string,
    STATE(4196), 1,
      sym_identifier,
    STATE(4905), 1,
      sym__qualified_field,
    STATE(5627), 1,
      sym_invocation,
    STATE(11835), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3199), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3195), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4863), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4155), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [99056] = 28,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3067), 1,
      sym_keyword_cast,
    ACTIONS(3069), 1,
      sym_keyword_case,
    ACTIONS(3073), 1,
      sym_keyword_exists,
    ACTIONS(3077), 1,
      sym_keyword_interval,
    ACTIONS(3079), 1,
      sym_keyword_array,
    ACTIONS(3081), 1,
      anon_sym_LPAREN,
    ACTIONS(3085), 1,
      anon_sym_PLUS,
    ACTIONS(3087), 1,
      anon_sym_DASH,
    ACTIONS(3089), 1,
      sym_op_unary_other,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3095), 1,
      aux_sym__integer_token1,
    ACTIONS(3097), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3099), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(4288), 1,
      sym_parameter,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(2733), 1,
      sym_identifier,
    STATE(3671), 1,
      sym_invocation,
    STATE(3899), 1,
      sym__qualified_field,
    STATE(11544), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3075), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3071), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3210), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2009), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [99166] = 5,
    ACTIONS(4960), 1,
      aux_sym__single_quote_string_token2,
    STATE(1344), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1359), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1357), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [99230] = 28,
    ACTIONS(903), 1,
      sym__identifier,
    ACTIONS(907), 1,
      aux_sym_identifier_token1,
    ACTIONS(3191), 1,
      sym_keyword_cast,
    ACTIONS(3193), 1,
      sym_keyword_case,
    ACTIONS(3197), 1,
      sym_keyword_exists,
    ACTIONS(3201), 1,
      sym_keyword_interval,
    ACTIONS(3203), 1,
      sym_keyword_array,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(3209), 1,
      anon_sym_PLUS,
    ACTIONS(3211), 1,
      anon_sym_DASH,
    ACTIONS(3213), 1,
      sym_op_unary_other,
    ACTIONS(3215), 1,
      sym__double_quote_string,
    ACTIONS(3217), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3219), 1,
      aux_sym__integer_token1,
    ACTIONS(3221), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3223), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3225), 1,
      sym__dollar_quoted_string,
    ACTIONS(4963), 1,
      sym_parameter,
    STATE(2953), 1,
      sym__single_quote_string,
    STATE(4196), 1,
      sym_identifier,
    STATE(4905), 1,
      sym__qualified_field,
    STATE(5627), 1,
      sym_invocation,
    STATE(11835), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3199), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3195), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4863), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4126), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [99340] = 5,
    ACTIONS(4965), 1,
      aux_sym__single_quote_string_token2,
    STATE(1344), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1353), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1351), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [99404] = 28,
    ACTIONS(903), 1,
      sym__identifier,
    ACTIONS(907), 1,
      aux_sym_identifier_token1,
    ACTIONS(3191), 1,
      sym_keyword_cast,
    ACTIONS(3193), 1,
      sym_keyword_case,
    ACTIONS(3197), 1,
      sym_keyword_exists,
    ACTIONS(3201), 1,
      sym_keyword_interval,
    ACTIONS(3203), 1,
      sym_keyword_array,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(3209), 1,
      anon_sym_PLUS,
    ACTIONS(3211), 1,
      anon_sym_DASH,
    ACTIONS(3213), 1,
      sym_op_unary_other,
    ACTIONS(3215), 1,
      sym__double_quote_string,
    ACTIONS(3217), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3219), 1,
      aux_sym__integer_token1,
    ACTIONS(3221), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3223), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3225), 1,
      sym__dollar_quoted_string,
    ACTIONS(4967), 1,
      sym_parameter,
    STATE(2953), 1,
      sym__single_quote_string,
    STATE(4196), 1,
      sym_identifier,
    STATE(4905), 1,
      sym__qualified_field,
    STATE(5627), 1,
      sym_invocation,
    STATE(11835), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3199), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3195), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4863), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4125), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [99514] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4969), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4624), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [99624] = 28,
    ACTIONS(527), 1,
      sym__identifier,
    ACTIONS(585), 1,
      aux_sym_identifier_token1,
    ACTIONS(3906), 1,
      sym_keyword_cast,
    ACTIONS(3908), 1,
      sym_keyword_case,
    ACTIONS(3912), 1,
      sym_keyword_exists,
    ACTIONS(3918), 1,
      sym_keyword_interval,
    ACTIONS(3920), 1,
      sym_keyword_array,
    ACTIONS(3922), 1,
      anon_sym_LPAREN,
    ACTIONS(3926), 1,
      anon_sym_PLUS,
    ACTIONS(3928), 1,
      anon_sym_DASH,
    ACTIONS(3930), 1,
      sym_op_unary_other,
    ACTIONS(3932), 1,
      sym__double_quote_string,
    ACTIONS(3934), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3936), 1,
      aux_sym__integer_token1,
    ACTIONS(3938), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3940), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3942), 1,
      sym__dollar_quoted_string,
    ACTIONS(4971), 1,
      sym_parameter,
    STATE(416), 1,
      sym__single_quote_string,
    STATE(3035), 1,
      sym_identifier,
    STATE(4140), 1,
      sym_invocation,
    STATE(4464), 1,
      sym__qualified_field,
    STATE(11831), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3916), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3914), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4446), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3355), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [99734] = 28,
    ACTIONS(903), 1,
      sym__identifier,
    ACTIONS(907), 1,
      aux_sym_identifier_token1,
    ACTIONS(3191), 1,
      sym_keyword_cast,
    ACTIONS(3193), 1,
      sym_keyword_case,
    ACTIONS(3197), 1,
      sym_keyword_exists,
    ACTIONS(3201), 1,
      sym_keyword_interval,
    ACTIONS(3203), 1,
      sym_keyword_array,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(3209), 1,
      anon_sym_PLUS,
    ACTIONS(3211), 1,
      anon_sym_DASH,
    ACTIONS(3213), 1,
      sym_op_unary_other,
    ACTIONS(3215), 1,
      sym__double_quote_string,
    ACTIONS(3217), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3219), 1,
      aux_sym__integer_token1,
    ACTIONS(3221), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3223), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3225), 1,
      sym__dollar_quoted_string,
    ACTIONS(4973), 1,
      sym_parameter,
    STATE(2953), 1,
      sym__single_quote_string,
    STATE(4196), 1,
      sym_identifier,
    STATE(4905), 1,
      sym__qualified_field,
    STATE(5627), 1,
      sym_invocation,
    STATE(11835), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3199), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3195), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4863), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4156), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [99844] = 28,
    ACTIONS(1205), 1,
      sym__identifier,
    ACTIONS(1209), 1,
      aux_sym_identifier_token1,
    ACTIONS(2787), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3636), 1,
      sym_keyword_cast,
    ACTIONS(3644), 1,
      sym_keyword_array,
    ACTIONS(3650), 1,
      anon_sym_PLUS,
    ACTIONS(3652), 1,
      anon_sym_DASH,
    ACTIONS(3654), 1,
      sym_op_unary_other,
    ACTIONS(3656), 1,
      sym__double_quote_string,
    ACTIONS(3658), 1,
      aux_sym__integer_token1,
    ACTIONS(3660), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3662), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3664), 1,
      sym__dollar_quoted_string,
    ACTIONS(3722), 1,
      sym_keyword_case,
    ACTIONS(3724), 1,
      sym_keyword_exists,
    ACTIONS(3726), 1,
      sym_keyword_interval,
    ACTIONS(3728), 1,
      anon_sym_LPAREN,
    ACTIONS(4975), 1,
      sym_parameter,
    STATE(425), 1,
      sym_identifier,
    STATE(683), 1,
      sym_invocation,
    STATE(796), 1,
      sym__single_quote_string,
    STATE(883), 1,
      sym__qualified_field,
    STATE(11909), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3642), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3638), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(843), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(911), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [99954] = 28,
    ACTIONS(651), 1,
      sym__identifier,
    ACTIONS(709), 1,
      aux_sym_identifier_token1,
    ACTIONS(3590), 1,
      sym_keyword_cast,
    ACTIONS(3598), 1,
      sym_keyword_array,
    ACTIONS(3604), 1,
      anon_sym_PLUS,
    ACTIONS(3606), 1,
      anon_sym_DASH,
    ACTIONS(3608), 1,
      sym_op_unary_other,
    ACTIONS(3610), 1,
      sym__double_quote_string,
    ACTIONS(3612), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3614), 1,
      aux_sym__integer_token1,
    ACTIONS(3616), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3618), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3620), 1,
      sym__dollar_quoted_string,
    ACTIONS(3886), 1,
      sym_keyword_case,
    ACTIONS(3890), 1,
      sym_keyword_exists,
    ACTIONS(3892), 1,
      sym_keyword_interval,
    ACTIONS(3894), 1,
      anon_sym_LPAREN,
    ACTIONS(4977), 1,
      sym_parameter,
    STATE(918), 1,
      sym_identifier,
    STATE(2039), 1,
      sym_invocation,
    STATE(2111), 1,
      sym__qualified_field,
    STATE(2205), 1,
      sym__single_quote_string,
    STATE(11814), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3596), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3592), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2159), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(457), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [100064] = 5,
    ACTIONS(4979), 1,
      aux_sym__single_quote_string_token2,
    STATE(1377), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3045), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3043), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [100128] = 29,
    ACTIONS(843), 1,
      sym__identifier,
    ACTIONS(901), 1,
      aux_sym_identifier_token1,
    ACTIONS(4122), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4212), 1,
      sym_keyword_cast,
    ACTIONS(4214), 1,
      sym_keyword_case,
    ACTIONS(4218), 1,
      sym_keyword_exists,
    ACTIONS(4222), 1,
      sym_keyword_null,
    ACTIONS(4224), 1,
      sym_keyword_interval,
    ACTIONS(4226), 1,
      sym_keyword_array,
    ACTIONS(4228), 1,
      anon_sym_LPAREN,
    ACTIONS(4232), 1,
      anon_sym_PLUS,
    ACTIONS(4234), 1,
      anon_sym_DASH,
    ACTIONS(4236), 1,
      sym_op_unary_other,
    ACTIONS(4238), 1,
      sym__double_quote_string,
    ACTIONS(4240), 1,
      aux_sym__integer_token1,
    ACTIONS(4242), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4244), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4246), 1,
      sym__dollar_quoted_string,
    ACTIONS(4983), 1,
      sym_parameter,
    STATE(1057), 1,
      sym_identifier,
    STATE(2184), 1,
      sym_invocation,
    STATE(2355), 1,
      sym__single_quote_string,
    STATE(2449), 1,
      sym__qualified_field,
    STATE(11882), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4981), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4220), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2384), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(641), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [100240] = 28,
    ACTIONS(1141), 1,
      sym__identifier,
    ACTIONS(1199), 1,
      aux_sym_identifier_token1,
    ACTIONS(4348), 1,
      sym_keyword_cast,
    ACTIONS(4350), 1,
      sym_keyword_case,
    ACTIONS(4354), 1,
      sym_keyword_exists,
    ACTIONS(4360), 1,
      sym_keyword_interval,
    ACTIONS(4362), 1,
      sym_keyword_array,
    ACTIONS(4364), 1,
      anon_sym_LPAREN,
    ACTIONS(4368), 1,
      anon_sym_PLUS,
    ACTIONS(4370), 1,
      anon_sym_DASH,
    ACTIONS(4372), 1,
      sym_op_unary_other,
    ACTIONS(4374), 1,
      sym__double_quote_string,
    ACTIONS(4376), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4378), 1,
      aux_sym__integer_token1,
    ACTIONS(4380), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4382), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4384), 1,
      sym__dollar_quoted_string,
    ACTIONS(4985), 1,
      sym_parameter,
    STATE(2235), 1,
      sym__single_quote_string,
    STATE(2711), 1,
      sym_identifier,
    STATE(3691), 1,
      sym_invocation,
    STATE(3959), 1,
      sym__qualified_field,
    STATE(11969), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4358), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4356), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3940), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1976), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [100350] = 5,
    ACTIONS(4987), 1,
      sym_keyword_unsigned,
    ACTIONS(4989), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1972), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1970), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [100414] = 5,
    ACTIONS(4991), 1,
      sym_keyword_unsigned,
    ACTIONS(4993), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1956), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1954), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [100478] = 5,
    ACTIONS(4995), 1,
      sym_keyword_unsigned,
    ACTIONS(4997), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1964), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1962), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [100542] = 5,
    ACTIONS(4999), 1,
      sym_keyword_unsigned,
    ACTIONS(5001), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1942), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1940), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [100606] = 4,
    ACTIONS(5003), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(109), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(55), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_no,
      sym_keyword_rename,
      sym_keyword_owner,
      sym_keyword_cycle,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_after,
      sym_keyword_before,
      sym_keyword_window,
      sym_keyword_instead,
      sym_keyword_cache,
      sym_keyword_array,
      sym__identifier,
  [100668] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5005), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5439), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [100778] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5007), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1617), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [100888] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5009), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5695), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [100998] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5011), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1608), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [101108] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5013), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6187), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [101218] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5015), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5493), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [101328] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5017), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6188), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [101438] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5019), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5089), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [101548] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4200), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1781), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [101658] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5021), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6103), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [101768] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5023), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5087), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [101878] = 28,
    ACTIONS(843), 1,
      sym__identifier,
    ACTIONS(901), 1,
      aux_sym_identifier_token1,
    ACTIONS(4122), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4212), 1,
      sym_keyword_cast,
    ACTIONS(4214), 1,
      sym_keyword_case,
    ACTIONS(4218), 1,
      sym_keyword_exists,
    ACTIONS(4224), 1,
      sym_keyword_interval,
    ACTIONS(4226), 1,
      sym_keyword_array,
    ACTIONS(4228), 1,
      anon_sym_LPAREN,
    ACTIONS(4232), 1,
      anon_sym_PLUS,
    ACTIONS(4234), 1,
      anon_sym_DASH,
    ACTIONS(4236), 1,
      sym_op_unary_other,
    ACTIONS(4238), 1,
      sym__double_quote_string,
    ACTIONS(4240), 1,
      aux_sym__integer_token1,
    ACTIONS(4242), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4244), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4246), 1,
      sym__dollar_quoted_string,
    ACTIONS(5025), 1,
      sym_parameter,
    STATE(1057), 1,
      sym_identifier,
    STATE(2184), 1,
      sym_invocation,
    STATE(2355), 1,
      sym__single_quote_string,
    STATE(2449), 1,
      sym__qualified_field,
    STATE(11882), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4222), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4220), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2384), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(516), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [101988] = 29,
    ACTIONS(843), 1,
      sym__identifier,
    ACTIONS(901), 1,
      aux_sym_identifier_token1,
    ACTIONS(4122), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4212), 1,
      sym_keyword_cast,
    ACTIONS(4214), 1,
      sym_keyword_case,
    ACTIONS(4218), 1,
      sym_keyword_exists,
    ACTIONS(4222), 1,
      sym_keyword_null,
    ACTIONS(4224), 1,
      sym_keyword_interval,
    ACTIONS(4226), 1,
      sym_keyword_array,
    ACTIONS(4228), 1,
      anon_sym_LPAREN,
    ACTIONS(4232), 1,
      anon_sym_PLUS,
    ACTIONS(4234), 1,
      anon_sym_DASH,
    ACTIONS(4236), 1,
      sym_op_unary_other,
    ACTIONS(4238), 1,
      sym__double_quote_string,
    ACTIONS(4240), 1,
      aux_sym__integer_token1,
    ACTIONS(4242), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4244), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4246), 1,
      sym__dollar_quoted_string,
    ACTIONS(5029), 1,
      sym_parameter,
    STATE(1057), 1,
      sym_identifier,
    STATE(2184), 1,
      sym_invocation,
    STATE(2355), 1,
      sym__single_quote_string,
    STATE(2449), 1,
      sym__qualified_field,
    STATE(11882), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5027), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4220), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2384), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(672), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [102100] = 28,
    ACTIONS(467), 1,
      sym__identifier,
    ACTIONS(525), 1,
      aux_sym_identifier_token1,
    ACTIONS(3678), 1,
      sym_keyword_cast,
    ACTIONS(3680), 1,
      sym_keyword_case,
    ACTIONS(3684), 1,
      sym_keyword_exists,
    ACTIONS(3688), 1,
      sym_keyword_interval,
    ACTIONS(3690), 1,
      sym_keyword_array,
    ACTIONS(3692), 1,
      anon_sym_LPAREN,
    ACTIONS(3696), 1,
      anon_sym_PLUS,
    ACTIONS(3698), 1,
      anon_sym_DASH,
    ACTIONS(3700), 1,
      sym_op_unary_other,
    ACTIONS(3702), 1,
      sym__double_quote_string,
    ACTIONS(3704), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3706), 1,
      aux_sym__integer_token1,
    ACTIONS(3708), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3710), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3712), 1,
      sym__dollar_quoted_string,
    ACTIONS(5031), 1,
      sym_parameter,
    STATE(3287), 1,
      sym_identifier,
    STATE(4389), 1,
      sym_invocation,
    STATE(4687), 1,
      sym__single_quote_string,
    STATE(4706), 1,
      sym__qualified_field,
    STATE(11817), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3686), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3682), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4694), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2565), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [102210] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5033), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6040), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [102320] = 28,
    ACTIONS(1141), 1,
      sym__identifier,
    ACTIONS(1199), 1,
      aux_sym_identifier_token1,
    ACTIONS(4348), 1,
      sym_keyword_cast,
    ACTIONS(4350), 1,
      sym_keyword_case,
    ACTIONS(4354), 1,
      sym_keyword_exists,
    ACTIONS(4360), 1,
      sym_keyword_interval,
    ACTIONS(4362), 1,
      sym_keyword_array,
    ACTIONS(4364), 1,
      anon_sym_LPAREN,
    ACTIONS(4368), 1,
      anon_sym_PLUS,
    ACTIONS(4370), 1,
      anon_sym_DASH,
    ACTIONS(4372), 1,
      sym_op_unary_other,
    ACTIONS(4374), 1,
      sym__double_quote_string,
    ACTIONS(4376), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4378), 1,
      aux_sym__integer_token1,
    ACTIONS(4380), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4382), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4384), 1,
      sym__dollar_quoted_string,
    ACTIONS(5035), 1,
      sym_parameter,
    STATE(2235), 1,
      sym__single_quote_string,
    STATE(2711), 1,
      sym_identifier,
    STATE(3691), 1,
      sym_invocation,
    STATE(3959), 1,
      sym__qualified_field,
    STATE(11969), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4358), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4356), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3940), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2636), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [102430] = 5,
    ACTIONS(4965), 1,
      aux_sym__single_quote_string_token2,
    STATE(1344), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2967), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2965), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [102494] = 5,
    ACTIONS(5037), 1,
      sym_keyword_precision,
    ACTIONS(5039), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1862), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1860), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [102558] = 28,
    ACTIONS(1081), 1,
      sym__identifier,
    ACTIONS(1139), 1,
      aux_sym_identifier_token1,
    ACTIONS(3736), 1,
      sym_keyword_cast,
    ACTIONS(3738), 1,
      sym_keyword_case,
    ACTIONS(3742), 1,
      sym_keyword_exists,
    ACTIONS(3748), 1,
      sym_keyword_interval,
    ACTIONS(3750), 1,
      sym_keyword_array,
    ACTIONS(3752), 1,
      anon_sym_LPAREN,
    ACTIONS(3756), 1,
      anon_sym_PLUS,
    ACTIONS(3758), 1,
      anon_sym_DASH,
    ACTIONS(3760), 1,
      sym_op_unary_other,
    ACTIONS(3762), 1,
      sym__double_quote_string,
    ACTIONS(3764), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3766), 1,
      aux_sym__integer_token1,
    ACTIONS(3768), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3770), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3772), 1,
      sym__dollar_quoted_string,
    ACTIONS(5041), 1,
      sym_parameter,
    STATE(2914), 1,
      sym_identifier,
    STATE(4201), 1,
      sym_invocation,
    STATE(4367), 1,
      sym__single_quote_string,
    STATE(4405), 1,
      sym__qualified_field,
    STATE(11929), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3746), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3744), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4650), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2192), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [102668] = 28,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(4000), 1,
      anon_sym_LPAREN,
    ACTIONS(4004), 1,
      sym_op_unary_other,
    ACTIONS(5043), 1,
      sym_parameter,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(4750), 1,
      sym_invocation,
    STATE(11952), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3998), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2741), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [102778] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5045), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6028), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [102888] = 28,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(4000), 1,
      anon_sym_LPAREN,
    ACTIONS(4004), 1,
      sym_op_unary_other,
    ACTIONS(5047), 1,
      sym_parameter,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(4750), 1,
      sym_invocation,
    STATE(11952), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3998), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2742), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [102998] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5049), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5937), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [103108] = 4,
    ACTIONS(5051), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(55), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(109), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [103170] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5053), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6305), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [103280] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5055), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5677), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [103390] = 28,
    ACTIONS(843), 1,
      sym__identifier,
    ACTIONS(901), 1,
      aux_sym_identifier_token1,
    ACTIONS(4122), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4212), 1,
      sym_keyword_cast,
    ACTIONS(4214), 1,
      sym_keyword_case,
    ACTIONS(4218), 1,
      sym_keyword_exists,
    ACTIONS(4224), 1,
      sym_keyword_interval,
    ACTIONS(4226), 1,
      sym_keyword_array,
    ACTIONS(4228), 1,
      anon_sym_LPAREN,
    ACTIONS(4232), 1,
      anon_sym_PLUS,
    ACTIONS(4234), 1,
      anon_sym_DASH,
    ACTIONS(4236), 1,
      sym_op_unary_other,
    ACTIONS(4238), 1,
      sym__double_quote_string,
    ACTIONS(4240), 1,
      aux_sym__integer_token1,
    ACTIONS(4242), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4244), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4246), 1,
      sym__dollar_quoted_string,
    ACTIONS(5057), 1,
      sym_parameter,
    STATE(1057), 1,
      sym_identifier,
    STATE(2184), 1,
      sym_invocation,
    STATE(2355), 1,
      sym__single_quote_string,
    STATE(2449), 1,
      sym__qualified_field,
    STATE(11882), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4222), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4220), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2384), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(505), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [103500] = 6,
    ACTIONS(5059), 1,
      sym_keyword_unsigned,
    ACTIONS(5061), 1,
      sym_keyword_zerofill,
    ACTIONS(5063), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1860), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1862), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [103566] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(5065), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(4378), 1,
      sym_identifier,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4721), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [103676] = 5,
    ACTIONS(5067), 1,
      sym_keyword_unsigned,
    ACTIONS(5069), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1984), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1982), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [103740] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5071), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6304), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [103850] = 28,
    ACTIONS(843), 1,
      sym__identifier,
    ACTIONS(901), 1,
      aux_sym_identifier_token1,
    ACTIONS(4122), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4212), 1,
      sym_keyword_cast,
    ACTIONS(4214), 1,
      sym_keyword_case,
    ACTIONS(4218), 1,
      sym_keyword_exists,
    ACTIONS(4224), 1,
      sym_keyword_interval,
    ACTIONS(4226), 1,
      sym_keyword_array,
    ACTIONS(4228), 1,
      anon_sym_LPAREN,
    ACTIONS(4232), 1,
      anon_sym_PLUS,
    ACTIONS(4234), 1,
      anon_sym_DASH,
    ACTIONS(4236), 1,
      sym_op_unary_other,
    ACTIONS(4238), 1,
      sym__double_quote_string,
    ACTIONS(4240), 1,
      aux_sym__integer_token1,
    ACTIONS(4242), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4244), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4246), 1,
      sym__dollar_quoted_string,
    ACTIONS(5073), 1,
      sym_parameter,
    STATE(1057), 1,
      sym_identifier,
    STATE(2184), 1,
      sym_invocation,
    STATE(2355), 1,
      sym__single_quote_string,
    STATE(2449), 1,
      sym__qualified_field,
    STATE(11882), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4222), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4220), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2384), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(749), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [103960] = 29,
    ACTIONS(843), 1,
      sym__identifier,
    ACTIONS(901), 1,
      aux_sym_identifier_token1,
    ACTIONS(4122), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4212), 1,
      sym_keyword_cast,
    ACTIONS(4214), 1,
      sym_keyword_case,
    ACTIONS(4218), 1,
      sym_keyword_exists,
    ACTIONS(4222), 1,
      sym_keyword_null,
    ACTIONS(4224), 1,
      sym_keyword_interval,
    ACTIONS(4226), 1,
      sym_keyword_array,
    ACTIONS(4228), 1,
      anon_sym_LPAREN,
    ACTIONS(4232), 1,
      anon_sym_PLUS,
    ACTIONS(4234), 1,
      anon_sym_DASH,
    ACTIONS(4236), 1,
      sym_op_unary_other,
    ACTIONS(4238), 1,
      sym__double_quote_string,
    ACTIONS(4240), 1,
      aux_sym__integer_token1,
    ACTIONS(4242), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4244), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4246), 1,
      sym__dollar_quoted_string,
    ACTIONS(5075), 1,
      sym_parameter,
    STATE(1057), 1,
      sym_identifier,
    STATE(2184), 1,
      sym_invocation,
    STATE(2355), 1,
      sym__single_quote_string,
    STATE(2449), 1,
      sym__qualified_field,
    STATE(11882), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4981), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4220), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2384), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(930), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [104072] = 29,
    ACTIONS(843), 1,
      sym__identifier,
    ACTIONS(901), 1,
      aux_sym_identifier_token1,
    ACTIONS(4122), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4212), 1,
      sym_keyword_cast,
    ACTIONS(4214), 1,
      sym_keyword_case,
    ACTIONS(4218), 1,
      sym_keyword_exists,
    ACTIONS(4222), 1,
      sym_keyword_null,
    ACTIONS(4224), 1,
      sym_keyword_interval,
    ACTIONS(4226), 1,
      sym_keyword_array,
    ACTIONS(4228), 1,
      anon_sym_LPAREN,
    ACTIONS(4232), 1,
      anon_sym_PLUS,
    ACTIONS(4234), 1,
      anon_sym_DASH,
    ACTIONS(4236), 1,
      sym_op_unary_other,
    ACTIONS(4238), 1,
      sym__double_quote_string,
    ACTIONS(4240), 1,
      aux_sym__integer_token1,
    ACTIONS(4242), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4244), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4246), 1,
      sym__dollar_quoted_string,
    ACTIONS(5079), 1,
      sym_parameter,
    STATE(1057), 1,
      sym_identifier,
    STATE(2184), 1,
      sym_invocation,
    STATE(2355), 1,
      sym__single_quote_string,
    STATE(2449), 1,
      sym__qualified_field,
    STATE(11882), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5077), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4220), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2384), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(916), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [104184] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4440), 1,
      anon_sym_LPAREN,
    ACTIONS(5081), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6087), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [104294] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5083), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5014), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [104404] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5085), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5837), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [104514] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5087), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5012), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [104624] = 28,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(4000), 1,
      anon_sym_LPAREN,
    ACTIONS(4004), 1,
      sym_op_unary_other,
    ACTIONS(5089), 1,
      sym_parameter,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(4750), 1,
      sym_invocation,
    STATE(11952), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3998), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3002), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [104734] = 29,
    ACTIONS(843), 1,
      sym__identifier,
    ACTIONS(901), 1,
      aux_sym_identifier_token1,
    ACTIONS(4122), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4212), 1,
      sym_keyword_cast,
    ACTIONS(4214), 1,
      sym_keyword_case,
    ACTIONS(4218), 1,
      sym_keyword_exists,
    ACTIONS(4222), 1,
      sym_keyword_null,
    ACTIONS(4224), 1,
      sym_keyword_interval,
    ACTIONS(4226), 1,
      sym_keyword_array,
    ACTIONS(4228), 1,
      anon_sym_LPAREN,
    ACTIONS(4232), 1,
      anon_sym_PLUS,
    ACTIONS(4234), 1,
      anon_sym_DASH,
    ACTIONS(4236), 1,
      sym_op_unary_other,
    ACTIONS(4238), 1,
      sym__double_quote_string,
    ACTIONS(4240), 1,
      aux_sym__integer_token1,
    ACTIONS(4242), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4244), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4246), 1,
      sym__dollar_quoted_string,
    ACTIONS(5093), 1,
      sym_parameter,
    STATE(1057), 1,
      sym_identifier,
    STATE(2184), 1,
      sym_invocation,
    STATE(2355), 1,
      sym__single_quote_string,
    STATE(2449), 1,
      sym__qualified_field,
    STATE(11882), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5091), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4220), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2384), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(936), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [104846] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5095), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5882), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [104956] = 29,
    ACTIONS(843), 1,
      sym__identifier,
    ACTIONS(901), 1,
      aux_sym_identifier_token1,
    ACTIONS(4122), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4212), 1,
      sym_keyword_cast,
    ACTIONS(4214), 1,
      sym_keyword_case,
    ACTIONS(4218), 1,
      sym_keyword_exists,
    ACTIONS(4222), 1,
      sym_keyword_null,
    ACTIONS(4224), 1,
      sym_keyword_interval,
    ACTIONS(4226), 1,
      sym_keyword_array,
    ACTIONS(4228), 1,
      anon_sym_LPAREN,
    ACTIONS(4232), 1,
      anon_sym_PLUS,
    ACTIONS(4234), 1,
      anon_sym_DASH,
    ACTIONS(4236), 1,
      sym_op_unary_other,
    ACTIONS(4238), 1,
      sym__double_quote_string,
    ACTIONS(4240), 1,
      aux_sym__integer_token1,
    ACTIONS(4242), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4244), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4246), 1,
      sym__dollar_quoted_string,
    ACTIONS(5097), 1,
      sym_parameter,
    STATE(1057), 1,
      sym_identifier,
    STATE(2184), 1,
      sym_invocation,
    STATE(2355), 1,
      sym__single_quote_string,
    STATE(2449), 1,
      sym__qualified_field,
    STATE(11882), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5027), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4220), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2384), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(937), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [105068] = 28,
    ACTIONS(587), 1,
      sym__identifier,
    ACTIONS(645), 1,
      aux_sym_identifier_token1,
    ACTIONS(4248), 1,
      sym_keyword_cast,
    ACTIONS(4250), 1,
      sym_keyword_case,
    ACTIONS(4254), 1,
      sym_keyword_exists,
    ACTIONS(4260), 1,
      sym_keyword_interval,
    ACTIONS(4262), 1,
      sym_keyword_array,
    ACTIONS(4264), 1,
      anon_sym_LPAREN,
    ACTIONS(4268), 1,
      anon_sym_PLUS,
    ACTIONS(4270), 1,
      anon_sym_DASH,
    ACTIONS(4272), 1,
      sym_op_unary_other,
    ACTIONS(4274), 1,
      sym__double_quote_string,
    ACTIONS(4276), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4278), 1,
      aux_sym__integer_token1,
    ACTIONS(4280), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4282), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4284), 1,
      sym__dollar_quoted_string,
    ACTIONS(5099), 1,
      sym_parameter,
    STATE(2958), 1,
      sym_identifier,
    STATE(4144), 1,
      sym_invocation,
    STATE(4381), 1,
      sym__single_quote_string,
    STATE(4431), 1,
      sym__qualified_field,
    STATE(11807), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4258), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4256), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4564), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2329), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [105178] = 28,
    ACTIONS(587), 1,
      sym__identifier,
    ACTIONS(645), 1,
      aux_sym_identifier_token1,
    ACTIONS(4248), 1,
      sym_keyword_cast,
    ACTIONS(4250), 1,
      sym_keyword_case,
    ACTIONS(4254), 1,
      sym_keyword_exists,
    ACTIONS(4260), 1,
      sym_keyword_interval,
    ACTIONS(4262), 1,
      sym_keyword_array,
    ACTIONS(4264), 1,
      anon_sym_LPAREN,
    ACTIONS(4268), 1,
      anon_sym_PLUS,
    ACTIONS(4270), 1,
      anon_sym_DASH,
    ACTIONS(4272), 1,
      sym_op_unary_other,
    ACTIONS(4274), 1,
      sym__double_quote_string,
    ACTIONS(4276), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4278), 1,
      aux_sym__integer_token1,
    ACTIONS(4280), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4282), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4284), 1,
      sym__dollar_quoted_string,
    ACTIONS(5101), 1,
      sym_parameter,
    STATE(2958), 1,
      sym_identifier,
    STATE(4144), 1,
      sym_invocation,
    STATE(4381), 1,
      sym__single_quote_string,
    STATE(4431), 1,
      sym__qualified_field,
    STATE(11807), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4258), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4256), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4564), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2331), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [105288] = 29,
    ACTIONS(843), 1,
      sym__identifier,
    ACTIONS(901), 1,
      aux_sym_identifier_token1,
    ACTIONS(4122), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4212), 1,
      sym_keyword_cast,
    ACTIONS(4214), 1,
      sym_keyword_case,
    ACTIONS(4218), 1,
      sym_keyword_exists,
    ACTIONS(4222), 1,
      sym_keyword_null,
    ACTIONS(4224), 1,
      sym_keyword_interval,
    ACTIONS(4226), 1,
      sym_keyword_array,
    ACTIONS(4228), 1,
      anon_sym_LPAREN,
    ACTIONS(4232), 1,
      anon_sym_PLUS,
    ACTIONS(4234), 1,
      anon_sym_DASH,
    ACTIONS(4236), 1,
      sym_op_unary_other,
    ACTIONS(4238), 1,
      sym__double_quote_string,
    ACTIONS(4240), 1,
      aux_sym__integer_token1,
    ACTIONS(4242), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4244), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4246), 1,
      sym__dollar_quoted_string,
    ACTIONS(5103), 1,
      sym_parameter,
    STATE(1057), 1,
      sym_identifier,
    STATE(2184), 1,
      sym_invocation,
    STATE(2355), 1,
      sym__single_quote_string,
    STATE(2449), 1,
      sym__qualified_field,
    STATE(11882), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4801), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4220), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2384), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(938), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [105400] = 28,
    ACTIONS(587), 1,
      sym__identifier,
    ACTIONS(645), 1,
      aux_sym_identifier_token1,
    ACTIONS(4248), 1,
      sym_keyword_cast,
    ACTIONS(4250), 1,
      sym_keyword_case,
    ACTIONS(4254), 1,
      sym_keyword_exists,
    ACTIONS(4260), 1,
      sym_keyword_interval,
    ACTIONS(4262), 1,
      sym_keyword_array,
    ACTIONS(4264), 1,
      anon_sym_LPAREN,
    ACTIONS(4266), 1,
      sym_parameter,
    ACTIONS(4268), 1,
      anon_sym_PLUS,
    ACTIONS(4270), 1,
      anon_sym_DASH,
    ACTIONS(4272), 1,
      sym_op_unary_other,
    ACTIONS(4274), 1,
      sym__double_quote_string,
    ACTIONS(4276), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4278), 1,
      aux_sym__integer_token1,
    ACTIONS(4280), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4282), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4284), 1,
      sym__dollar_quoted_string,
    STATE(2958), 1,
      sym_identifier,
    STATE(4144), 1,
      sym_invocation,
    STATE(4381), 1,
      sym__single_quote_string,
    STATE(4431), 1,
      sym__qualified_field,
    STATE(11807), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4258), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4256), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4564), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2141), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [105510] = 28,
    ACTIONS(587), 1,
      sym__identifier,
    ACTIONS(645), 1,
      aux_sym_identifier_token1,
    ACTIONS(4248), 1,
      sym_keyword_cast,
    ACTIONS(4250), 1,
      sym_keyword_case,
    ACTIONS(4254), 1,
      sym_keyword_exists,
    ACTIONS(4260), 1,
      sym_keyword_interval,
    ACTIONS(4262), 1,
      sym_keyword_array,
    ACTIONS(4264), 1,
      anon_sym_LPAREN,
    ACTIONS(4268), 1,
      anon_sym_PLUS,
    ACTIONS(4270), 1,
      anon_sym_DASH,
    ACTIONS(4272), 1,
      sym_op_unary_other,
    ACTIONS(4274), 1,
      sym__double_quote_string,
    ACTIONS(4276), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4278), 1,
      aux_sym__integer_token1,
    ACTIONS(4280), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4282), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4284), 1,
      sym__dollar_quoted_string,
    ACTIONS(5105), 1,
      sym_parameter,
    STATE(2958), 1,
      sym_identifier,
    STATE(4144), 1,
      sym_invocation,
    STATE(4381), 1,
      sym__single_quote_string,
    STATE(4431), 1,
      sym__qualified_field,
    STATE(11807), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4258), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4256), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4564), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2085), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [105620] = 28,
    ACTIONS(587), 1,
      sym__identifier,
    ACTIONS(645), 1,
      aux_sym_identifier_token1,
    ACTIONS(4248), 1,
      sym_keyword_cast,
    ACTIONS(4250), 1,
      sym_keyword_case,
    ACTIONS(4254), 1,
      sym_keyword_exists,
    ACTIONS(4260), 1,
      sym_keyword_interval,
    ACTIONS(4262), 1,
      sym_keyword_array,
    ACTIONS(4264), 1,
      anon_sym_LPAREN,
    ACTIONS(4268), 1,
      anon_sym_PLUS,
    ACTIONS(4270), 1,
      anon_sym_DASH,
    ACTIONS(4272), 1,
      sym_op_unary_other,
    ACTIONS(4274), 1,
      sym__double_quote_string,
    ACTIONS(4276), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4278), 1,
      aux_sym__integer_token1,
    ACTIONS(4280), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4282), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4284), 1,
      sym__dollar_quoted_string,
    ACTIONS(5107), 1,
      sym_parameter,
    STATE(2958), 1,
      sym_identifier,
    STATE(4144), 1,
      sym_invocation,
    STATE(4381), 1,
      sym__single_quote_string,
    STATE(4431), 1,
      sym__qualified_field,
    STATE(11807), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4258), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4256), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4564), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2081), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [105730] = 28,
    ACTIONS(587), 1,
      sym__identifier,
    ACTIONS(645), 1,
      aux_sym_identifier_token1,
    ACTIONS(4248), 1,
      sym_keyword_cast,
    ACTIONS(4250), 1,
      sym_keyword_case,
    ACTIONS(4254), 1,
      sym_keyword_exists,
    ACTIONS(4260), 1,
      sym_keyword_interval,
    ACTIONS(4262), 1,
      sym_keyword_array,
    ACTIONS(4264), 1,
      anon_sym_LPAREN,
    ACTIONS(4268), 1,
      anon_sym_PLUS,
    ACTIONS(4270), 1,
      anon_sym_DASH,
    ACTIONS(4272), 1,
      sym_op_unary_other,
    ACTIONS(4274), 1,
      sym__double_quote_string,
    ACTIONS(4276), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4278), 1,
      aux_sym__integer_token1,
    ACTIONS(4280), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4282), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4284), 1,
      sym__dollar_quoted_string,
    ACTIONS(5109), 1,
      sym_parameter,
    STATE(2958), 1,
      sym_identifier,
    STATE(4144), 1,
      sym_invocation,
    STATE(4381), 1,
      sym__single_quote_string,
    STATE(4431), 1,
      sym__qualified_field,
    STATE(11807), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4258), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4256), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4564), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2076), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [105840] = 28,
    ACTIONS(587), 1,
      sym__identifier,
    ACTIONS(645), 1,
      aux_sym_identifier_token1,
    ACTIONS(4248), 1,
      sym_keyword_cast,
    ACTIONS(4250), 1,
      sym_keyword_case,
    ACTIONS(4254), 1,
      sym_keyword_exists,
    ACTIONS(4260), 1,
      sym_keyword_interval,
    ACTIONS(4262), 1,
      sym_keyword_array,
    ACTIONS(4264), 1,
      anon_sym_LPAREN,
    ACTIONS(4268), 1,
      anon_sym_PLUS,
    ACTIONS(4270), 1,
      anon_sym_DASH,
    ACTIONS(4272), 1,
      sym_op_unary_other,
    ACTIONS(4274), 1,
      sym__double_quote_string,
    ACTIONS(4276), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4278), 1,
      aux_sym__integer_token1,
    ACTIONS(4280), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4282), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4284), 1,
      sym__dollar_quoted_string,
    ACTIONS(5111), 1,
      sym_parameter,
    STATE(2958), 1,
      sym_identifier,
    STATE(4144), 1,
      sym_invocation,
    STATE(4381), 1,
      sym__single_quote_string,
    STATE(4431), 1,
      sym__qualified_field,
    STATE(11807), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4258), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4256), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4564), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2113), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [105950] = 28,
    ACTIONS(843), 1,
      sym__identifier,
    ACTIONS(901), 1,
      aux_sym_identifier_token1,
    ACTIONS(4122), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4212), 1,
      sym_keyword_cast,
    ACTIONS(4214), 1,
      sym_keyword_case,
    ACTIONS(4218), 1,
      sym_keyword_exists,
    ACTIONS(4224), 1,
      sym_keyword_interval,
    ACTIONS(4226), 1,
      sym_keyword_array,
    ACTIONS(4228), 1,
      anon_sym_LPAREN,
    ACTIONS(4232), 1,
      anon_sym_PLUS,
    ACTIONS(4234), 1,
      anon_sym_DASH,
    ACTIONS(4236), 1,
      sym_op_unary_other,
    ACTIONS(4238), 1,
      sym__double_quote_string,
    ACTIONS(4240), 1,
      aux_sym__integer_token1,
    ACTIONS(4242), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4244), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4246), 1,
      sym__dollar_quoted_string,
    ACTIONS(5113), 1,
      sym_parameter,
    STATE(1057), 1,
      sym_identifier,
    STATE(2184), 1,
      sym_invocation,
    STATE(2355), 1,
      sym__single_quote_string,
    STATE(2449), 1,
      sym__qualified_field,
    STATE(11882), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4222), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4220), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2384), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(639), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [106060] = 28,
    ACTIONS(587), 1,
      sym__identifier,
    ACTIONS(645), 1,
      aux_sym_identifier_token1,
    ACTIONS(4248), 1,
      sym_keyword_cast,
    ACTIONS(4250), 1,
      sym_keyword_case,
    ACTIONS(4254), 1,
      sym_keyword_exists,
    ACTIONS(4260), 1,
      sym_keyword_interval,
    ACTIONS(4262), 1,
      sym_keyword_array,
    ACTIONS(4264), 1,
      anon_sym_LPAREN,
    ACTIONS(4268), 1,
      anon_sym_PLUS,
    ACTIONS(4270), 1,
      anon_sym_DASH,
    ACTIONS(4272), 1,
      sym_op_unary_other,
    ACTIONS(4274), 1,
      sym__double_quote_string,
    ACTIONS(4276), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4278), 1,
      aux_sym__integer_token1,
    ACTIONS(4280), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4282), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4284), 1,
      sym__dollar_quoted_string,
    ACTIONS(5115), 1,
      sym_parameter,
    STATE(2958), 1,
      sym_identifier,
    STATE(4144), 1,
      sym_invocation,
    STATE(4381), 1,
      sym__single_quote_string,
    STATE(4431), 1,
      sym__qualified_field,
    STATE(11807), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4258), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4256), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4564), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2287), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [106170] = 28,
    ACTIONS(587), 1,
      sym__identifier,
    ACTIONS(645), 1,
      aux_sym_identifier_token1,
    ACTIONS(4248), 1,
      sym_keyword_cast,
    ACTIONS(4250), 1,
      sym_keyword_case,
    ACTIONS(4254), 1,
      sym_keyword_exists,
    ACTIONS(4260), 1,
      sym_keyword_interval,
    ACTIONS(4262), 1,
      sym_keyword_array,
    ACTIONS(4264), 1,
      anon_sym_LPAREN,
    ACTIONS(4268), 1,
      anon_sym_PLUS,
    ACTIONS(4270), 1,
      anon_sym_DASH,
    ACTIONS(4272), 1,
      sym_op_unary_other,
    ACTIONS(4274), 1,
      sym__double_quote_string,
    ACTIONS(4276), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4278), 1,
      aux_sym__integer_token1,
    ACTIONS(4280), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4282), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4284), 1,
      sym__dollar_quoted_string,
    ACTIONS(5117), 1,
      sym_parameter,
    STATE(2958), 1,
      sym_identifier,
    STATE(4144), 1,
      sym_invocation,
    STATE(4381), 1,
      sym__single_quote_string,
    STATE(4431), 1,
      sym__qualified_field,
    STATE(11807), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4258), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4256), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4564), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2289), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [106280] = 29,
    ACTIONS(843), 1,
      sym__identifier,
    ACTIONS(901), 1,
      aux_sym_identifier_token1,
    ACTIONS(4122), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4212), 1,
      sym_keyword_cast,
    ACTIONS(4214), 1,
      sym_keyword_case,
    ACTIONS(4218), 1,
      sym_keyword_exists,
    ACTIONS(4222), 1,
      sym_keyword_null,
    ACTIONS(4224), 1,
      sym_keyword_interval,
    ACTIONS(4226), 1,
      sym_keyword_array,
    ACTIONS(4228), 1,
      anon_sym_LPAREN,
    ACTIONS(4232), 1,
      anon_sym_PLUS,
    ACTIONS(4234), 1,
      anon_sym_DASH,
    ACTIONS(4236), 1,
      sym_op_unary_other,
    ACTIONS(4238), 1,
      sym__double_quote_string,
    ACTIONS(4240), 1,
      aux_sym__integer_token1,
    ACTIONS(4242), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4244), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4246), 1,
      sym__dollar_quoted_string,
    ACTIONS(5119), 1,
      sym_parameter,
    STATE(1057), 1,
      sym_identifier,
    STATE(2184), 1,
      sym_invocation,
    STATE(2355), 1,
      sym__single_quote_string,
    STATE(2449), 1,
      sym__qualified_field,
    STATE(11882), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4817), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4220), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2384), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(939), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [106392] = 28,
    ACTIONS(587), 1,
      sym__identifier,
    ACTIONS(645), 1,
      aux_sym_identifier_token1,
    ACTIONS(4248), 1,
      sym_keyword_cast,
    ACTIONS(4250), 1,
      sym_keyword_case,
    ACTIONS(4254), 1,
      sym_keyword_exists,
    ACTIONS(4260), 1,
      sym_keyword_interval,
    ACTIONS(4262), 1,
      sym_keyword_array,
    ACTIONS(4264), 1,
      anon_sym_LPAREN,
    ACTIONS(4268), 1,
      anon_sym_PLUS,
    ACTIONS(4270), 1,
      anon_sym_DASH,
    ACTIONS(4272), 1,
      sym_op_unary_other,
    ACTIONS(4274), 1,
      sym__double_quote_string,
    ACTIONS(4276), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4278), 1,
      aux_sym__integer_token1,
    ACTIONS(4280), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4282), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4284), 1,
      sym__dollar_quoted_string,
    ACTIONS(5121), 1,
      sym_parameter,
    STATE(2958), 1,
      sym_identifier,
    STATE(4144), 1,
      sym_invocation,
    STATE(4381), 1,
      sym__single_quote_string,
    STATE(4431), 1,
      sym__qualified_field,
    STATE(11807), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4258), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4256), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4564), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2299), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [106502] = 28,
    ACTIONS(587), 1,
      sym__identifier,
    ACTIONS(645), 1,
      aux_sym_identifier_token1,
    ACTIONS(4248), 1,
      sym_keyword_cast,
    ACTIONS(4250), 1,
      sym_keyword_case,
    ACTIONS(4254), 1,
      sym_keyword_exists,
    ACTIONS(4260), 1,
      sym_keyword_interval,
    ACTIONS(4262), 1,
      sym_keyword_array,
    ACTIONS(4264), 1,
      anon_sym_LPAREN,
    ACTIONS(4268), 1,
      anon_sym_PLUS,
    ACTIONS(4270), 1,
      anon_sym_DASH,
    ACTIONS(4272), 1,
      sym_op_unary_other,
    ACTIONS(4274), 1,
      sym__double_quote_string,
    ACTIONS(4276), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4278), 1,
      aux_sym__integer_token1,
    ACTIONS(4280), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4282), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4284), 1,
      sym__dollar_quoted_string,
    ACTIONS(5123), 1,
      sym_parameter,
    STATE(2958), 1,
      sym_identifier,
    STATE(4144), 1,
      sym_invocation,
    STATE(4381), 1,
      sym__single_quote_string,
    STATE(4431), 1,
      sym__qualified_field,
    STATE(11807), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4258), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4256), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4564), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2300), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [106612] = 28,
    ACTIONS(587), 1,
      sym__identifier,
    ACTIONS(645), 1,
      aux_sym_identifier_token1,
    ACTIONS(4248), 1,
      sym_keyword_cast,
    ACTIONS(4250), 1,
      sym_keyword_case,
    ACTIONS(4254), 1,
      sym_keyword_exists,
    ACTIONS(4260), 1,
      sym_keyword_interval,
    ACTIONS(4262), 1,
      sym_keyword_array,
    ACTIONS(4264), 1,
      anon_sym_LPAREN,
    ACTIONS(4268), 1,
      anon_sym_PLUS,
    ACTIONS(4270), 1,
      anon_sym_DASH,
    ACTIONS(4272), 1,
      sym_op_unary_other,
    ACTIONS(4274), 1,
      sym__double_quote_string,
    ACTIONS(4276), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4278), 1,
      aux_sym__integer_token1,
    ACTIONS(4280), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4282), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4284), 1,
      sym__dollar_quoted_string,
    ACTIONS(5125), 1,
      sym_parameter,
    STATE(2958), 1,
      sym_identifier,
    STATE(4144), 1,
      sym_invocation,
    STATE(4381), 1,
      sym__single_quote_string,
    STATE(4431), 1,
      sym__qualified_field,
    STATE(11807), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4258), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4256), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4564), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2117), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [106722] = 28,
    ACTIONS(4142), 1,
      sym__identifier,
    ACTIONS(4144), 1,
      sym_keyword_cast,
    ACTIONS(4146), 1,
      sym_keyword_case,
    ACTIONS(4150), 1,
      sym_keyword_exists,
    ACTIONS(4156), 1,
      sym_keyword_interval,
    ACTIONS(4158), 1,
      sym_keyword_array,
    ACTIONS(4160), 1,
      anon_sym_LPAREN,
    ACTIONS(4164), 1,
      anon_sym_PLUS,
    ACTIONS(4166), 1,
      anon_sym_DASH,
    ACTIONS(4168), 1,
      sym_op_unary_other,
    ACTIONS(4170), 1,
      sym__double_quote_string,
    ACTIONS(4172), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4174), 1,
      aux_sym__integer_token1,
    ACTIONS(4176), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4178), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4180), 1,
      aux_sym_identifier_token1,
    ACTIONS(4182), 1,
      sym__dollar_quoted_string,
    ACTIONS(5127), 1,
      sym_parameter,
    STATE(4784), 1,
      sym_identifier,
    STATE(5245), 1,
      sym_invocation,
    STATE(5722), 1,
      sym__single_quote_string,
    STATE(5732), 1,
      sym__qualified_field,
    STATE(11825), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4154), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4152), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5585), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3627), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [106832] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(2989), 1,
      anon_sym_LPAREN,
    ACTIONS(3134), 1,
      sym_op_unary_other,
    ACTIONS(4196), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(5103), 1,
      sym_invocation,
    STATE(11997), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3130), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4351), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [106942] = 28,
    ACTIONS(1141), 1,
      sym__identifier,
    ACTIONS(1199), 1,
      aux_sym_identifier_token1,
    ACTIONS(4348), 1,
      sym_keyword_cast,
    ACTIONS(4350), 1,
      sym_keyword_case,
    ACTIONS(4354), 1,
      sym_keyword_exists,
    ACTIONS(4360), 1,
      sym_keyword_interval,
    ACTIONS(4362), 1,
      sym_keyword_array,
    ACTIONS(4364), 1,
      anon_sym_LPAREN,
    ACTIONS(4368), 1,
      anon_sym_PLUS,
    ACTIONS(4370), 1,
      anon_sym_DASH,
    ACTIONS(4372), 1,
      sym_op_unary_other,
    ACTIONS(4374), 1,
      sym__double_quote_string,
    ACTIONS(4376), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4378), 1,
      aux_sym__integer_token1,
    ACTIONS(4380), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4382), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4384), 1,
      sym__dollar_quoted_string,
    ACTIONS(5129), 1,
      sym_parameter,
    STATE(2235), 1,
      sym__single_quote_string,
    STATE(2711), 1,
      sym_identifier,
    STATE(3691), 1,
      sym_invocation,
    STATE(3959), 1,
      sym__qualified_field,
    STATE(11969), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4358), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4356), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3940), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3423), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [107052] = 28,
    ACTIONS(651), 1,
      sym__identifier,
    ACTIONS(709), 1,
      aux_sym_identifier_token1,
    ACTIONS(3590), 1,
      sym_keyword_cast,
    ACTIONS(3598), 1,
      sym_keyword_array,
    ACTIONS(3604), 1,
      anon_sym_PLUS,
    ACTIONS(3606), 1,
      anon_sym_DASH,
    ACTIONS(3608), 1,
      sym_op_unary_other,
    ACTIONS(3610), 1,
      sym__double_quote_string,
    ACTIONS(3612), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3614), 1,
      aux_sym__integer_token1,
    ACTIONS(3616), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3618), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3620), 1,
      sym__dollar_quoted_string,
    ACTIONS(3886), 1,
      sym_keyword_case,
    ACTIONS(3890), 1,
      sym_keyword_exists,
    ACTIONS(3892), 1,
      sym_keyword_interval,
    ACTIONS(3894), 1,
      anon_sym_LPAREN,
    ACTIONS(5131), 1,
      sym_parameter,
    STATE(918), 1,
      sym_identifier,
    STATE(2039), 1,
      sym_invocation,
    STATE(2111), 1,
      sym__qualified_field,
    STATE(2205), 1,
      sym__single_quote_string,
    STATE(11814), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3596), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3592), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2159), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(922), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [107162] = 29,
    ACTIONS(843), 1,
      sym__identifier,
    ACTIONS(901), 1,
      aux_sym_identifier_token1,
    ACTIONS(4122), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4212), 1,
      sym_keyword_cast,
    ACTIONS(4214), 1,
      sym_keyword_case,
    ACTIONS(4218), 1,
      sym_keyword_exists,
    ACTIONS(4222), 1,
      sym_keyword_null,
    ACTIONS(4224), 1,
      sym_keyword_interval,
    ACTIONS(4226), 1,
      sym_keyword_array,
    ACTIONS(4228), 1,
      anon_sym_LPAREN,
    ACTIONS(4232), 1,
      anon_sym_PLUS,
    ACTIONS(4234), 1,
      anon_sym_DASH,
    ACTIONS(4236), 1,
      sym_op_unary_other,
    ACTIONS(4238), 1,
      sym__double_quote_string,
    ACTIONS(4240), 1,
      aux_sym__integer_token1,
    ACTIONS(4242), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4244), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4246), 1,
      sym__dollar_quoted_string,
    ACTIONS(5135), 1,
      sym_parameter,
    STATE(1057), 1,
      sym_identifier,
    STATE(2184), 1,
      sym_invocation,
    STATE(2355), 1,
      sym__single_quote_string,
    STATE(2449), 1,
      sym__qualified_field,
    STATE(11882), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5133), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4220), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2384), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(943), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [107274] = 28,
    ACTIONS(843), 1,
      sym__identifier,
    ACTIONS(901), 1,
      aux_sym_identifier_token1,
    ACTIONS(4122), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4212), 1,
      sym_keyword_cast,
    ACTIONS(4214), 1,
      sym_keyword_case,
    ACTIONS(4218), 1,
      sym_keyword_exists,
    ACTIONS(4224), 1,
      sym_keyword_interval,
    ACTIONS(4226), 1,
      sym_keyword_array,
    ACTIONS(4228), 1,
      anon_sym_LPAREN,
    ACTIONS(4232), 1,
      anon_sym_PLUS,
    ACTIONS(4234), 1,
      anon_sym_DASH,
    ACTIONS(4236), 1,
      sym_op_unary_other,
    ACTIONS(4238), 1,
      sym__double_quote_string,
    ACTIONS(4240), 1,
      aux_sym__integer_token1,
    ACTIONS(4242), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4244), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4246), 1,
      sym__dollar_quoted_string,
    ACTIONS(5137), 1,
      sym_parameter,
    STATE(1057), 1,
      sym_identifier,
    STATE(2184), 1,
      sym_invocation,
    STATE(2355), 1,
      sym__single_quote_string,
    STATE(2449), 1,
      sym__qualified_field,
    STATE(11882), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4222), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4220), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2384), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(712), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [107384] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5139), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5824), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [107494] = 28,
    ACTIONS(903), 1,
      sym__identifier,
    ACTIONS(907), 1,
      aux_sym_identifier_token1,
    ACTIONS(3191), 1,
      sym_keyword_cast,
    ACTIONS(3193), 1,
      sym_keyword_case,
    ACTIONS(3197), 1,
      sym_keyword_exists,
    ACTIONS(3201), 1,
      sym_keyword_interval,
    ACTIONS(3203), 1,
      sym_keyword_array,
    ACTIONS(3209), 1,
      anon_sym_PLUS,
    ACTIONS(3211), 1,
      anon_sym_DASH,
    ACTIONS(3215), 1,
      sym__double_quote_string,
    ACTIONS(3217), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3219), 1,
      aux_sym__integer_token1,
    ACTIONS(3221), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3223), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3225), 1,
      sym__dollar_quoted_string,
    ACTIONS(3808), 1,
      anon_sym_LPAREN,
    ACTIONS(3812), 1,
      sym_op_unary_other,
    ACTIONS(5141), 1,
      sym_parameter,
    STATE(2953), 1,
      sym__single_quote_string,
    STATE(4196), 1,
      sym_identifier,
    STATE(4905), 1,
      sym__qualified_field,
    STATE(5727), 1,
      sym_invocation,
    STATE(11861), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3199), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3806), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4863), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5632), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [107604] = 28,
    ACTIONS(903), 1,
      sym__identifier,
    ACTIONS(907), 1,
      aux_sym_identifier_token1,
    ACTIONS(3191), 1,
      sym_keyword_cast,
    ACTIONS(3193), 1,
      sym_keyword_case,
    ACTIONS(3197), 1,
      sym_keyword_exists,
    ACTIONS(3201), 1,
      sym_keyword_interval,
    ACTIONS(3203), 1,
      sym_keyword_array,
    ACTIONS(3209), 1,
      anon_sym_PLUS,
    ACTIONS(3211), 1,
      anon_sym_DASH,
    ACTIONS(3215), 1,
      sym__double_quote_string,
    ACTIONS(3217), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3219), 1,
      aux_sym__integer_token1,
    ACTIONS(3221), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3223), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3225), 1,
      sym__dollar_quoted_string,
    ACTIONS(3808), 1,
      anon_sym_LPAREN,
    ACTIONS(3812), 1,
      sym_op_unary_other,
    ACTIONS(5143), 1,
      sym_parameter,
    STATE(2953), 1,
      sym__single_quote_string,
    STATE(4196), 1,
      sym_identifier,
    STATE(4905), 1,
      sym__qualified_field,
    STATE(5727), 1,
      sym_invocation,
    STATE(11861), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3199), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3806), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4863), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5399), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [107714] = 29,
    ACTIONS(843), 1,
      sym__identifier,
    ACTIONS(901), 1,
      aux_sym_identifier_token1,
    ACTIONS(4122), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4212), 1,
      sym_keyword_cast,
    ACTIONS(4214), 1,
      sym_keyword_case,
    ACTIONS(4218), 1,
      sym_keyword_exists,
    ACTIONS(4222), 1,
      sym_keyword_null,
    ACTIONS(4224), 1,
      sym_keyword_interval,
    ACTIONS(4226), 1,
      sym_keyword_array,
    ACTIONS(4228), 1,
      anon_sym_LPAREN,
    ACTIONS(4232), 1,
      anon_sym_PLUS,
    ACTIONS(4234), 1,
      anon_sym_DASH,
    ACTIONS(4236), 1,
      sym_op_unary_other,
    ACTIONS(4238), 1,
      sym__double_quote_string,
    ACTIONS(4240), 1,
      aux_sym__integer_token1,
    ACTIONS(4242), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4244), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4246), 1,
      sym__dollar_quoted_string,
    ACTIONS(5145), 1,
      sym_parameter,
    STATE(1057), 1,
      sym_identifier,
    STATE(2184), 1,
      sym_invocation,
    STATE(2355), 1,
      sym__single_quote_string,
    STATE(2449), 1,
      sym__qualified_field,
    STATE(11882), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5091), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4220), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2384), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(687), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [107826] = 29,
    ACTIONS(1289), 1,
      sym__identifier,
    ACTIONS(1347), 1,
      aux_sym_identifier_token1,
    ACTIONS(4012), 1,
      sym_keyword_cast,
    ACTIONS(4014), 1,
      sym_keyword_case,
    ACTIONS(4018), 1,
      sym_keyword_exists,
    ACTIONS(4022), 1,
      sym_keyword_null,
    ACTIONS(4024), 1,
      sym_keyword_interval,
    ACTIONS(4026), 1,
      sym_keyword_array,
    ACTIONS(4028), 1,
      anon_sym_LPAREN,
    ACTIONS(4032), 1,
      anon_sym_PLUS,
    ACTIONS(4034), 1,
      anon_sym_DASH,
    ACTIONS(4036), 1,
      sym_op_unary_other,
    ACTIONS(4038), 1,
      sym__double_quote_string,
    ACTIONS(4040), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4042), 1,
      aux_sym__integer_token1,
    ACTIONS(4044), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4046), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4048), 1,
      sym__dollar_quoted_string,
    ACTIONS(5149), 1,
      sym_parameter,
    STATE(2710), 1,
      sym_identifier,
    STATE(3531), 1,
      sym_invocation,
    STATE(3885), 1,
      sym__single_quote_string,
    STATE(4309), 1,
      sym__qualified_field,
    STATE(11865), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5147), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4020), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3918), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1959), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [107938] = 28,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(4000), 1,
      anon_sym_LPAREN,
    ACTIONS(4004), 1,
      sym_op_unary_other,
    ACTIONS(5151), 1,
      sym_parameter,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(4750), 1,
      sym_invocation,
    STATE(11952), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3998), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4525), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [108048] = 28,
    ACTIONS(843), 1,
      sym__identifier,
    ACTIONS(901), 1,
      aux_sym_identifier_token1,
    ACTIONS(4122), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4212), 1,
      sym_keyword_cast,
    ACTIONS(4214), 1,
      sym_keyword_case,
    ACTIONS(4218), 1,
      sym_keyword_exists,
    ACTIONS(4224), 1,
      sym_keyword_interval,
    ACTIONS(4226), 1,
      sym_keyword_array,
    ACTIONS(4228), 1,
      anon_sym_LPAREN,
    ACTIONS(4232), 1,
      anon_sym_PLUS,
    ACTIONS(4234), 1,
      anon_sym_DASH,
    ACTIONS(4236), 1,
      sym_op_unary_other,
    ACTIONS(4238), 1,
      sym__double_quote_string,
    ACTIONS(4240), 1,
      aux_sym__integer_token1,
    ACTIONS(4242), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4244), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4246), 1,
      sym__dollar_quoted_string,
    ACTIONS(5153), 1,
      sym_parameter,
    STATE(1057), 1,
      sym_identifier,
    STATE(2184), 1,
      sym_invocation,
    STATE(2355), 1,
      sym__single_quote_string,
    STATE(2449), 1,
      sym__qualified_field,
    STATE(11882), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4222), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4220), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2384), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(579), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [108158] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(5155), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(4378), 1,
      sym_identifier,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5739), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [108268] = 5,
    ACTIONS(5157), 1,
      sym_keyword_varying,
    ACTIONS(5159), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1934), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1932), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [108332] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5161), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5932), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [108442] = 28,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3067), 1,
      sym_keyword_cast,
    ACTIONS(3069), 1,
      sym_keyword_case,
    ACTIONS(3073), 1,
      sym_keyword_exists,
    ACTIONS(3077), 1,
      sym_keyword_interval,
    ACTIONS(3079), 1,
      sym_keyword_array,
    ACTIONS(3081), 1,
      anon_sym_LPAREN,
    ACTIONS(3085), 1,
      anon_sym_PLUS,
    ACTIONS(3087), 1,
      anon_sym_DASH,
    ACTIONS(3089), 1,
      sym_op_unary_other,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3095), 1,
      aux_sym__integer_token1,
    ACTIONS(3097), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3099), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(5163), 1,
      sym_parameter,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(2733), 1,
      sym_identifier,
    STATE(3671), 1,
      sym_invocation,
    STATE(3899), 1,
      sym__qualified_field,
    STATE(11544), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3075), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3071), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3210), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1921), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [108552] = 28,
    ACTIONS(903), 1,
      sym__identifier,
    ACTIONS(907), 1,
      aux_sym_identifier_token1,
    ACTIONS(3191), 1,
      sym_keyword_cast,
    ACTIONS(3193), 1,
      sym_keyword_case,
    ACTIONS(3197), 1,
      sym_keyword_exists,
    ACTIONS(3201), 1,
      sym_keyword_interval,
    ACTIONS(3203), 1,
      sym_keyword_array,
    ACTIONS(3209), 1,
      anon_sym_PLUS,
    ACTIONS(3211), 1,
      anon_sym_DASH,
    ACTIONS(3215), 1,
      sym__double_quote_string,
    ACTIONS(3217), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3219), 1,
      aux_sym__integer_token1,
    ACTIONS(3221), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3223), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3225), 1,
      sym__dollar_quoted_string,
    ACTIONS(3808), 1,
      anon_sym_LPAREN,
    ACTIONS(3812), 1,
      sym_op_unary_other,
    ACTIONS(5165), 1,
      sym_parameter,
    STATE(2953), 1,
      sym__single_quote_string,
    STATE(4196), 1,
      sym_identifier,
    STATE(4905), 1,
      sym__qualified_field,
    STATE(5727), 1,
      sym_invocation,
    STATE(11861), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3199), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3806), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4863), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5365), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [108662] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5167), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5934), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [108772] = 28,
    ACTIONS(1081), 1,
      sym__identifier,
    ACTIONS(1139), 1,
      aux_sym_identifier_token1,
    ACTIONS(3736), 1,
      sym_keyword_cast,
    ACTIONS(3738), 1,
      sym_keyword_case,
    ACTIONS(3742), 1,
      sym_keyword_exists,
    ACTIONS(3748), 1,
      sym_keyword_interval,
    ACTIONS(3750), 1,
      sym_keyword_array,
    ACTIONS(3752), 1,
      anon_sym_LPAREN,
    ACTIONS(3756), 1,
      anon_sym_PLUS,
    ACTIONS(3758), 1,
      anon_sym_DASH,
    ACTIONS(3760), 1,
      sym_op_unary_other,
    ACTIONS(3762), 1,
      sym__double_quote_string,
    ACTIONS(3764), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3766), 1,
      aux_sym__integer_token1,
    ACTIONS(3768), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3770), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3772), 1,
      sym__dollar_quoted_string,
    ACTIONS(5169), 1,
      sym_parameter,
    STATE(2914), 1,
      sym_identifier,
    STATE(4201), 1,
      sym_invocation,
    STATE(4367), 1,
      sym__single_quote_string,
    STATE(4405), 1,
      sym__qualified_field,
    STATE(11929), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3746), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3744), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4650), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2125), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [108882] = 28,
    ACTIONS(407), 1,
      sym__identifier,
    ACTIONS(465), 1,
      aux_sym_identifier_token1,
    ACTIONS(4310), 1,
      sym_keyword_cast,
    ACTIONS(4312), 1,
      sym_keyword_case,
    ACTIONS(4316), 1,
      sym_keyword_exists,
    ACTIONS(4322), 1,
      sym_keyword_interval,
    ACTIONS(4324), 1,
      sym_keyword_array,
    ACTIONS(4326), 1,
      anon_sym_LPAREN,
    ACTIONS(4330), 1,
      anon_sym_PLUS,
    ACTIONS(4332), 1,
      anon_sym_DASH,
    ACTIONS(4334), 1,
      sym_op_unary_other,
    ACTIONS(4336), 1,
      sym__double_quote_string,
    ACTIONS(4338), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4340), 1,
      aux_sym__integer_token1,
    ACTIONS(4342), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4344), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4346), 1,
      sym__dollar_quoted_string,
    ACTIONS(5171), 1,
      sym_parameter,
    STATE(1171), 1,
      sym_identifier,
    STATE(2353), 1,
      sym_invocation,
    STATE(2651), 1,
      sym__single_quote_string,
    STATE(2678), 1,
      sym__qualified_field,
    STATE(11808), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4320), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4318), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2660), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(689), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [108992] = 28,
    ACTIONS(407), 1,
      sym__identifier,
    ACTIONS(465), 1,
      aux_sym_identifier_token1,
    ACTIONS(4310), 1,
      sym_keyword_cast,
    ACTIONS(4312), 1,
      sym_keyword_case,
    ACTIONS(4316), 1,
      sym_keyword_exists,
    ACTIONS(4322), 1,
      sym_keyword_interval,
    ACTIONS(4324), 1,
      sym_keyword_array,
    ACTIONS(4326), 1,
      anon_sym_LPAREN,
    ACTIONS(4330), 1,
      anon_sym_PLUS,
    ACTIONS(4332), 1,
      anon_sym_DASH,
    ACTIONS(4334), 1,
      sym_op_unary_other,
    ACTIONS(4336), 1,
      sym__double_quote_string,
    ACTIONS(4338), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4340), 1,
      aux_sym__integer_token1,
    ACTIONS(4342), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4344), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4346), 1,
      sym__dollar_quoted_string,
    ACTIONS(5173), 1,
      sym_parameter,
    STATE(1171), 1,
      sym_identifier,
    STATE(2353), 1,
      sym_invocation,
    STATE(2651), 1,
      sym__single_quote_string,
    STATE(2678), 1,
      sym__qualified_field,
    STATE(11808), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4320), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4318), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2660), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(642), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [109102] = 6,
    ACTIONS(3672), 1,
      sym_keyword_with,
    ACTIONS(3674), 1,
      sym_keyword_without,
    STATE(2171), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1886), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1884), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [109168] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5175), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5862), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [109278] = 28,
    ACTIONS(1205), 1,
      sym__identifier,
    ACTIONS(1209), 1,
      aux_sym_identifier_token1,
    ACTIONS(2787), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3636), 1,
      sym_keyword_cast,
    ACTIONS(3644), 1,
      sym_keyword_array,
    ACTIONS(3650), 1,
      anon_sym_PLUS,
    ACTIONS(3652), 1,
      anon_sym_DASH,
    ACTIONS(3654), 1,
      sym_op_unary_other,
    ACTIONS(3656), 1,
      sym__double_quote_string,
    ACTIONS(3658), 1,
      aux_sym__integer_token1,
    ACTIONS(3660), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3662), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3664), 1,
      sym__dollar_quoted_string,
    ACTIONS(3722), 1,
      sym_keyword_case,
    ACTIONS(3724), 1,
      sym_keyword_exists,
    ACTIONS(3726), 1,
      sym_keyword_interval,
    ACTIONS(3728), 1,
      anon_sym_LPAREN,
    ACTIONS(5177), 1,
      sym_parameter,
    STATE(425), 1,
      sym_identifier,
    STATE(683), 1,
      sym_invocation,
    STATE(796), 1,
      sym__single_quote_string,
    STATE(883), 1,
      sym__qualified_field,
    STATE(11909), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3642), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3638), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(843), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(909), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [109388] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5179), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6190), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [109498] = 28,
    ACTIONS(407), 1,
      sym__identifier,
    ACTIONS(465), 1,
      aux_sym_identifier_token1,
    ACTIONS(4310), 1,
      sym_keyword_cast,
    ACTIONS(4312), 1,
      sym_keyword_case,
    ACTIONS(4316), 1,
      sym_keyword_exists,
    ACTIONS(4322), 1,
      sym_keyword_interval,
    ACTIONS(4324), 1,
      sym_keyword_array,
    ACTIONS(4326), 1,
      anon_sym_LPAREN,
    ACTIONS(4328), 1,
      sym_parameter,
    ACTIONS(4330), 1,
      anon_sym_PLUS,
    ACTIONS(4332), 1,
      anon_sym_DASH,
    ACTIONS(4334), 1,
      sym_op_unary_other,
    ACTIONS(4336), 1,
      sym__double_quote_string,
    ACTIONS(4338), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4340), 1,
      aux_sym__integer_token1,
    ACTIONS(4342), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4344), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4346), 1,
      sym__dollar_quoted_string,
    STATE(1171), 1,
      sym_identifier,
    STATE(2353), 1,
      sym_invocation,
    STATE(2651), 1,
      sym__single_quote_string,
    STATE(2678), 1,
      sym__qualified_field,
    STATE(11808), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4320), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4318), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2660), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(765), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [109608] = 28,
    ACTIONS(407), 1,
      sym__identifier,
    ACTIONS(465), 1,
      aux_sym_identifier_token1,
    ACTIONS(4310), 1,
      sym_keyword_cast,
    ACTIONS(4312), 1,
      sym_keyword_case,
    ACTIONS(4316), 1,
      sym_keyword_exists,
    ACTIONS(4322), 1,
      sym_keyword_interval,
    ACTIONS(4324), 1,
      sym_keyword_array,
    ACTIONS(4326), 1,
      anon_sym_LPAREN,
    ACTIONS(4330), 1,
      anon_sym_PLUS,
    ACTIONS(4332), 1,
      anon_sym_DASH,
    ACTIONS(4334), 1,
      sym_op_unary_other,
    ACTIONS(4336), 1,
      sym__double_quote_string,
    ACTIONS(4338), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4340), 1,
      aux_sym__integer_token1,
    ACTIONS(4342), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4344), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4346), 1,
      sym__dollar_quoted_string,
    ACTIONS(5181), 1,
      sym_parameter,
    STATE(1171), 1,
      sym_identifier,
    STATE(2353), 1,
      sym_invocation,
    STATE(2651), 1,
      sym__single_quote_string,
    STATE(2678), 1,
      sym__qualified_field,
    STATE(11808), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4320), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4318), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2660), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(744), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [109718] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5183), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5477), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [109828] = 28,
    ACTIONS(407), 1,
      sym__identifier,
    ACTIONS(465), 1,
      aux_sym_identifier_token1,
    ACTIONS(4310), 1,
      sym_keyword_cast,
    ACTIONS(4312), 1,
      sym_keyword_case,
    ACTIONS(4316), 1,
      sym_keyword_exists,
    ACTIONS(4322), 1,
      sym_keyword_interval,
    ACTIONS(4324), 1,
      sym_keyword_array,
    ACTIONS(4326), 1,
      anon_sym_LPAREN,
    ACTIONS(4330), 1,
      anon_sym_PLUS,
    ACTIONS(4332), 1,
      anon_sym_DASH,
    ACTIONS(4334), 1,
      sym_op_unary_other,
    ACTIONS(4336), 1,
      sym__double_quote_string,
    ACTIONS(4338), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4340), 1,
      aux_sym__integer_token1,
    ACTIONS(4342), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4344), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4346), 1,
      sym__dollar_quoted_string,
    ACTIONS(5185), 1,
      sym_parameter,
    STATE(1171), 1,
      sym_identifier,
    STATE(2353), 1,
      sym_invocation,
    STATE(2651), 1,
      sym__single_quote_string,
    STATE(2678), 1,
      sym__qualified_field,
    STATE(11808), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4320), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4318), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2660), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(745), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [109938] = 28,
    ACTIONS(407), 1,
      sym__identifier,
    ACTIONS(465), 1,
      aux_sym_identifier_token1,
    ACTIONS(4310), 1,
      sym_keyword_cast,
    ACTIONS(4312), 1,
      sym_keyword_case,
    ACTIONS(4316), 1,
      sym_keyword_exists,
    ACTIONS(4322), 1,
      sym_keyword_interval,
    ACTIONS(4324), 1,
      sym_keyword_array,
    ACTIONS(4326), 1,
      anon_sym_LPAREN,
    ACTIONS(4330), 1,
      anon_sym_PLUS,
    ACTIONS(4332), 1,
      anon_sym_DASH,
    ACTIONS(4334), 1,
      sym_op_unary_other,
    ACTIONS(4336), 1,
      sym__double_quote_string,
    ACTIONS(4338), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4340), 1,
      aux_sym__integer_token1,
    ACTIONS(4342), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4344), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4346), 1,
      sym__dollar_quoted_string,
    ACTIONS(5187), 1,
      sym_parameter,
    STATE(1171), 1,
      sym_identifier,
    STATE(2353), 1,
      sym_invocation,
    STATE(2651), 1,
      sym__single_quote_string,
    STATE(2678), 1,
      sym__qualified_field,
    STATE(11808), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4320), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4318), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2660), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(746), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [110048] = 28,
    ACTIONS(1141), 1,
      sym__identifier,
    ACTIONS(1199), 1,
      aux_sym_identifier_token1,
    ACTIONS(4348), 1,
      sym_keyword_cast,
    ACTIONS(4350), 1,
      sym_keyword_case,
    ACTIONS(4354), 1,
      sym_keyword_exists,
    ACTIONS(4360), 1,
      sym_keyword_interval,
    ACTIONS(4362), 1,
      sym_keyword_array,
    ACTIONS(4364), 1,
      anon_sym_LPAREN,
    ACTIONS(4366), 1,
      sym_parameter,
    ACTIONS(4368), 1,
      anon_sym_PLUS,
    ACTIONS(4370), 1,
      anon_sym_DASH,
    ACTIONS(4372), 1,
      sym_op_unary_other,
    ACTIONS(4374), 1,
      sym__double_quote_string,
    ACTIONS(4376), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4378), 1,
      aux_sym__integer_token1,
    ACTIONS(4380), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4382), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4384), 1,
      sym__dollar_quoted_string,
    STATE(2235), 1,
      sym__single_quote_string,
    STATE(2711), 1,
      sym_identifier,
    STATE(3691), 1,
      sym_invocation,
    STATE(3959), 1,
      sym__qualified_field,
    STATE(11969), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4358), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4356), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3940), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2047), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [110158] = 28,
    ACTIONS(407), 1,
      sym__identifier,
    ACTIONS(465), 1,
      aux_sym_identifier_token1,
    ACTIONS(4310), 1,
      sym_keyword_cast,
    ACTIONS(4312), 1,
      sym_keyword_case,
    ACTIONS(4316), 1,
      sym_keyword_exists,
    ACTIONS(4322), 1,
      sym_keyword_interval,
    ACTIONS(4324), 1,
      sym_keyword_array,
    ACTIONS(4326), 1,
      anon_sym_LPAREN,
    ACTIONS(4330), 1,
      anon_sym_PLUS,
    ACTIONS(4332), 1,
      anon_sym_DASH,
    ACTIONS(4334), 1,
      sym_op_unary_other,
    ACTIONS(4336), 1,
      sym__double_quote_string,
    ACTIONS(4338), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4340), 1,
      aux_sym__integer_token1,
    ACTIONS(4342), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4344), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4346), 1,
      sym__dollar_quoted_string,
    ACTIONS(5189), 1,
      sym_parameter,
    STATE(1171), 1,
      sym_identifier,
    STATE(2353), 1,
      sym_invocation,
    STATE(2651), 1,
      sym__single_quote_string,
    STATE(2678), 1,
      sym__qualified_field,
    STATE(11808), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4320), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4318), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2660), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(748), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [110268] = 28,
    ACTIONS(407), 1,
      sym__identifier,
    ACTIONS(465), 1,
      aux_sym_identifier_token1,
    ACTIONS(4310), 1,
      sym_keyword_cast,
    ACTIONS(4312), 1,
      sym_keyword_case,
    ACTIONS(4316), 1,
      sym_keyword_exists,
    ACTIONS(4322), 1,
      sym_keyword_interval,
    ACTIONS(4324), 1,
      sym_keyword_array,
    ACTIONS(4326), 1,
      anon_sym_LPAREN,
    ACTIONS(4330), 1,
      anon_sym_PLUS,
    ACTIONS(4332), 1,
      anon_sym_DASH,
    ACTIONS(4334), 1,
      sym_op_unary_other,
    ACTIONS(4336), 1,
      sym__double_quote_string,
    ACTIONS(4338), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4340), 1,
      aux_sym__integer_token1,
    ACTIONS(4342), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4344), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4346), 1,
      sym__dollar_quoted_string,
    ACTIONS(5191), 1,
      sym_parameter,
    STATE(1171), 1,
      sym_identifier,
    STATE(2353), 1,
      sym_invocation,
    STATE(2651), 1,
      sym__single_quote_string,
    STATE(2678), 1,
      sym__qualified_field,
    STATE(11808), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4320), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4318), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2660), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(762), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [110378] = 28,
    ACTIONS(407), 1,
      sym__identifier,
    ACTIONS(465), 1,
      aux_sym_identifier_token1,
    ACTIONS(4310), 1,
      sym_keyword_cast,
    ACTIONS(4312), 1,
      sym_keyword_case,
    ACTIONS(4316), 1,
      sym_keyword_exists,
    ACTIONS(4322), 1,
      sym_keyword_interval,
    ACTIONS(4324), 1,
      sym_keyword_array,
    ACTIONS(4326), 1,
      anon_sym_LPAREN,
    ACTIONS(4330), 1,
      anon_sym_PLUS,
    ACTIONS(4332), 1,
      anon_sym_DASH,
    ACTIONS(4334), 1,
      sym_op_unary_other,
    ACTIONS(4336), 1,
      sym__double_quote_string,
    ACTIONS(4338), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4340), 1,
      aux_sym__integer_token1,
    ACTIONS(4342), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4344), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4346), 1,
      sym__dollar_quoted_string,
    ACTIONS(5193), 1,
      sym_parameter,
    STATE(1171), 1,
      sym_identifier,
    STATE(2353), 1,
      sym_invocation,
    STATE(2651), 1,
      sym__single_quote_string,
    STATE(2678), 1,
      sym__qualified_field,
    STATE(11808), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4320), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4318), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2660), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(670), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [110488] = 28,
    ACTIONS(651), 1,
      sym__identifier,
    ACTIONS(709), 1,
      aux_sym_identifier_token1,
    ACTIONS(3590), 1,
      sym_keyword_cast,
    ACTIONS(3598), 1,
      sym_keyword_array,
    ACTIONS(3604), 1,
      anon_sym_PLUS,
    ACTIONS(3606), 1,
      anon_sym_DASH,
    ACTIONS(3608), 1,
      sym_op_unary_other,
    ACTIONS(3610), 1,
      sym__double_quote_string,
    ACTIONS(3612), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3614), 1,
      aux_sym__integer_token1,
    ACTIONS(3616), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3618), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3620), 1,
      sym__dollar_quoted_string,
    ACTIONS(3886), 1,
      sym_keyword_case,
    ACTIONS(3890), 1,
      sym_keyword_exists,
    ACTIONS(3892), 1,
      sym_keyword_interval,
    ACTIONS(3894), 1,
      anon_sym_LPAREN,
    ACTIONS(5195), 1,
      sym_parameter,
    STATE(918), 1,
      sym_identifier,
    STATE(2039), 1,
      sym_invocation,
    STATE(2111), 1,
      sym__qualified_field,
    STATE(2205), 1,
      sym__single_quote_string,
    STATE(11814), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3596), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3592), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2159), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(928), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [110598] = 28,
    ACTIONS(407), 1,
      sym__identifier,
    ACTIONS(465), 1,
      aux_sym_identifier_token1,
    ACTIONS(4310), 1,
      sym_keyword_cast,
    ACTIONS(4312), 1,
      sym_keyword_case,
    ACTIONS(4316), 1,
      sym_keyword_exists,
    ACTIONS(4322), 1,
      sym_keyword_interval,
    ACTIONS(4324), 1,
      sym_keyword_array,
    ACTIONS(4326), 1,
      anon_sym_LPAREN,
    ACTIONS(4330), 1,
      anon_sym_PLUS,
    ACTIONS(4332), 1,
      anon_sym_DASH,
    ACTIONS(4334), 1,
      sym_op_unary_other,
    ACTIONS(4336), 1,
      sym__double_quote_string,
    ACTIONS(4338), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4340), 1,
      aux_sym__integer_token1,
    ACTIONS(4342), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4344), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4346), 1,
      sym__dollar_quoted_string,
    ACTIONS(5197), 1,
      sym_parameter,
    STATE(1171), 1,
      sym_identifier,
    STATE(2353), 1,
      sym_invocation,
    STATE(2651), 1,
      sym__single_quote_string,
    STATE(2678), 1,
      sym__qualified_field,
    STATE(11808), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4320), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4318), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2660), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(593), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [110708] = 28,
    ACTIONS(407), 1,
      sym__identifier,
    ACTIONS(465), 1,
      aux_sym_identifier_token1,
    ACTIONS(4310), 1,
      sym_keyword_cast,
    ACTIONS(4312), 1,
      sym_keyword_case,
    ACTIONS(4316), 1,
      sym_keyword_exists,
    ACTIONS(4322), 1,
      sym_keyword_interval,
    ACTIONS(4324), 1,
      sym_keyword_array,
    ACTIONS(4326), 1,
      anon_sym_LPAREN,
    ACTIONS(4330), 1,
      anon_sym_PLUS,
    ACTIONS(4332), 1,
      anon_sym_DASH,
    ACTIONS(4334), 1,
      sym_op_unary_other,
    ACTIONS(4336), 1,
      sym__double_quote_string,
    ACTIONS(4338), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4340), 1,
      aux_sym__integer_token1,
    ACTIONS(4342), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4344), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4346), 1,
      sym__dollar_quoted_string,
    ACTIONS(5199), 1,
      sym_parameter,
    STATE(1171), 1,
      sym_identifier,
    STATE(2353), 1,
      sym_invocation,
    STATE(2651), 1,
      sym__single_quote_string,
    STATE(2678), 1,
      sym__qualified_field,
    STATE(11808), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4320), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4318), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2660), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(588), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [110818] = 28,
    ACTIONS(407), 1,
      sym__identifier,
    ACTIONS(465), 1,
      aux_sym_identifier_token1,
    ACTIONS(4310), 1,
      sym_keyword_cast,
    ACTIONS(4312), 1,
      sym_keyword_case,
    ACTIONS(4316), 1,
      sym_keyword_exists,
    ACTIONS(4322), 1,
      sym_keyword_interval,
    ACTIONS(4324), 1,
      sym_keyword_array,
    ACTIONS(4326), 1,
      anon_sym_LPAREN,
    ACTIONS(4330), 1,
      anon_sym_PLUS,
    ACTIONS(4332), 1,
      anon_sym_DASH,
    ACTIONS(4334), 1,
      sym_op_unary_other,
    ACTIONS(4336), 1,
      sym__double_quote_string,
    ACTIONS(4338), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4340), 1,
      aux_sym__integer_token1,
    ACTIONS(4342), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4344), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4346), 1,
      sym__dollar_quoted_string,
    ACTIONS(5201), 1,
      sym_parameter,
    STATE(1171), 1,
      sym_identifier,
    STATE(2353), 1,
      sym_invocation,
    STATE(2651), 1,
      sym__single_quote_string,
    STATE(2678), 1,
      sym__qualified_field,
    STATE(11808), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4320), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4318), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2660), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(731), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [110928] = 28,
    ACTIONS(527), 1,
      sym__identifier,
    ACTIONS(585), 1,
      aux_sym_identifier_token1,
    ACTIONS(3906), 1,
      sym_keyword_cast,
    ACTIONS(3908), 1,
      sym_keyword_case,
    ACTIONS(3912), 1,
      sym_keyword_exists,
    ACTIONS(3918), 1,
      sym_keyword_interval,
    ACTIONS(3920), 1,
      sym_keyword_array,
    ACTIONS(3922), 1,
      anon_sym_LPAREN,
    ACTIONS(3926), 1,
      anon_sym_PLUS,
    ACTIONS(3928), 1,
      anon_sym_DASH,
    ACTIONS(3930), 1,
      sym_op_unary_other,
    ACTIONS(3932), 1,
      sym__double_quote_string,
    ACTIONS(3934), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3936), 1,
      aux_sym__integer_token1,
    ACTIONS(3938), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3940), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3942), 1,
      sym__dollar_quoted_string,
    ACTIONS(5203), 1,
      sym_parameter,
    STATE(416), 1,
      sym__single_quote_string,
    STATE(3035), 1,
      sym_identifier,
    STATE(4140), 1,
      sym_invocation,
    STATE(4464), 1,
      sym__qualified_field,
    STATE(11831), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3916), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3914), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4446), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2244), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [111038] = 28,
    ACTIONS(1141), 1,
      sym__identifier,
    ACTIONS(1199), 1,
      aux_sym_identifier_token1,
    ACTIONS(4348), 1,
      sym_keyword_cast,
    ACTIONS(4350), 1,
      sym_keyword_case,
    ACTIONS(4354), 1,
      sym_keyword_exists,
    ACTIONS(4360), 1,
      sym_keyword_interval,
    ACTIONS(4362), 1,
      sym_keyword_array,
    ACTIONS(4364), 1,
      anon_sym_LPAREN,
    ACTIONS(4368), 1,
      anon_sym_PLUS,
    ACTIONS(4370), 1,
      anon_sym_DASH,
    ACTIONS(4372), 1,
      sym_op_unary_other,
    ACTIONS(4374), 1,
      sym__double_quote_string,
    ACTIONS(4376), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4378), 1,
      aux_sym__integer_token1,
    ACTIONS(4380), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4382), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4384), 1,
      sym__dollar_quoted_string,
    ACTIONS(5205), 1,
      sym_parameter,
    STATE(2235), 1,
      sym__single_quote_string,
    STATE(2711), 1,
      sym_identifier,
    STATE(3691), 1,
      sym_invocation,
    STATE(3959), 1,
      sym__qualified_field,
    STATE(11969), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4358), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4356), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3940), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2011), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [111148] = 28,
    ACTIONS(1141), 1,
      sym__identifier,
    ACTIONS(1199), 1,
      aux_sym_identifier_token1,
    ACTIONS(4348), 1,
      sym_keyword_cast,
    ACTIONS(4350), 1,
      sym_keyword_case,
    ACTIONS(4354), 1,
      sym_keyword_exists,
    ACTIONS(4360), 1,
      sym_keyword_interval,
    ACTIONS(4362), 1,
      sym_keyword_array,
    ACTIONS(4364), 1,
      anon_sym_LPAREN,
    ACTIONS(4368), 1,
      anon_sym_PLUS,
    ACTIONS(4370), 1,
      anon_sym_DASH,
    ACTIONS(4372), 1,
      sym_op_unary_other,
    ACTIONS(4374), 1,
      sym__double_quote_string,
    ACTIONS(4376), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4378), 1,
      aux_sym__integer_token1,
    ACTIONS(4380), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4382), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4384), 1,
      sym__dollar_quoted_string,
    ACTIONS(5207), 1,
      sym_parameter,
    STATE(2235), 1,
      sym__single_quote_string,
    STATE(2711), 1,
      sym_identifier,
    STATE(3691), 1,
      sym_invocation,
    STATE(3959), 1,
      sym__qualified_field,
    STATE(11969), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4358), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4356), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3940), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2013), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [111258] = 28,
    ACTIONS(1141), 1,
      sym__identifier,
    ACTIONS(1199), 1,
      aux_sym_identifier_token1,
    ACTIONS(4348), 1,
      sym_keyword_cast,
    ACTIONS(4350), 1,
      sym_keyword_case,
    ACTIONS(4354), 1,
      sym_keyword_exists,
    ACTIONS(4360), 1,
      sym_keyword_interval,
    ACTIONS(4362), 1,
      sym_keyword_array,
    ACTIONS(4364), 1,
      anon_sym_LPAREN,
    ACTIONS(4368), 1,
      anon_sym_PLUS,
    ACTIONS(4370), 1,
      anon_sym_DASH,
    ACTIONS(4372), 1,
      sym_op_unary_other,
    ACTIONS(4374), 1,
      sym__double_quote_string,
    ACTIONS(4376), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4378), 1,
      aux_sym__integer_token1,
    ACTIONS(4380), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4382), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4384), 1,
      sym__dollar_quoted_string,
    ACTIONS(5209), 1,
      sym_parameter,
    STATE(2235), 1,
      sym__single_quote_string,
    STATE(2711), 1,
      sym_identifier,
    STATE(3691), 1,
      sym_invocation,
    STATE(3959), 1,
      sym__qualified_field,
    STATE(11969), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4358), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4356), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3940), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2018), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [111368] = 28,
    ACTIONS(1141), 1,
      sym__identifier,
    ACTIONS(1199), 1,
      aux_sym_identifier_token1,
    ACTIONS(4348), 1,
      sym_keyword_cast,
    ACTIONS(4350), 1,
      sym_keyword_case,
    ACTIONS(4354), 1,
      sym_keyword_exists,
    ACTIONS(4360), 1,
      sym_keyword_interval,
    ACTIONS(4362), 1,
      sym_keyword_array,
    ACTIONS(4364), 1,
      anon_sym_LPAREN,
    ACTIONS(4368), 1,
      anon_sym_PLUS,
    ACTIONS(4370), 1,
      anon_sym_DASH,
    ACTIONS(4372), 1,
      sym_op_unary_other,
    ACTIONS(4374), 1,
      sym__double_quote_string,
    ACTIONS(4376), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4378), 1,
      aux_sym__integer_token1,
    ACTIONS(4380), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4382), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4384), 1,
      sym__dollar_quoted_string,
    ACTIONS(5211), 1,
      sym_parameter,
    STATE(2235), 1,
      sym__single_quote_string,
    STATE(2711), 1,
      sym_identifier,
    STATE(3691), 1,
      sym_invocation,
    STATE(3959), 1,
      sym__qualified_field,
    STATE(11969), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4358), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4356), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3940), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2019), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [111478] = 28,
    ACTIONS(1141), 1,
      sym__identifier,
    ACTIONS(1199), 1,
      aux_sym_identifier_token1,
    ACTIONS(4348), 1,
      sym_keyword_cast,
    ACTIONS(4350), 1,
      sym_keyword_case,
    ACTIONS(4354), 1,
      sym_keyword_exists,
    ACTIONS(4360), 1,
      sym_keyword_interval,
    ACTIONS(4362), 1,
      sym_keyword_array,
    ACTIONS(4364), 1,
      anon_sym_LPAREN,
    ACTIONS(4368), 1,
      anon_sym_PLUS,
    ACTIONS(4370), 1,
      anon_sym_DASH,
    ACTIONS(4372), 1,
      sym_op_unary_other,
    ACTIONS(4374), 1,
      sym__double_quote_string,
    ACTIONS(4376), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4378), 1,
      aux_sym__integer_token1,
    ACTIONS(4380), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4382), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4384), 1,
      sym__dollar_quoted_string,
    ACTIONS(5213), 1,
      sym_parameter,
    STATE(2235), 1,
      sym__single_quote_string,
    STATE(2711), 1,
      sym_identifier,
    STATE(3691), 1,
      sym_invocation,
    STATE(3959), 1,
      sym__qualified_field,
    STATE(11969), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4358), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4356), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3940), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2051), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [111588] = 28,
    ACTIONS(1141), 1,
      sym__identifier,
    ACTIONS(1199), 1,
      aux_sym_identifier_token1,
    ACTIONS(4348), 1,
      sym_keyword_cast,
    ACTIONS(4350), 1,
      sym_keyword_case,
    ACTIONS(4354), 1,
      sym_keyword_exists,
    ACTIONS(4360), 1,
      sym_keyword_interval,
    ACTIONS(4362), 1,
      sym_keyword_array,
    ACTIONS(4364), 1,
      anon_sym_LPAREN,
    ACTIONS(4368), 1,
      anon_sym_PLUS,
    ACTIONS(4370), 1,
      anon_sym_DASH,
    ACTIONS(4372), 1,
      sym_op_unary_other,
    ACTIONS(4374), 1,
      sym__double_quote_string,
    ACTIONS(4376), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4378), 1,
      aux_sym__integer_token1,
    ACTIONS(4380), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4382), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4384), 1,
      sym__dollar_quoted_string,
    ACTIONS(5215), 1,
      sym_parameter,
    STATE(2235), 1,
      sym__single_quote_string,
    STATE(2711), 1,
      sym_identifier,
    STATE(3691), 1,
      sym_invocation,
    STATE(3959), 1,
      sym__qualified_field,
    STATE(11969), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4358), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4356), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3940), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2049), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [111698] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5217), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6191), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [111808] = 28,
    ACTIONS(1141), 1,
      sym__identifier,
    ACTIONS(1199), 1,
      aux_sym_identifier_token1,
    ACTIONS(4348), 1,
      sym_keyword_cast,
    ACTIONS(4350), 1,
      sym_keyword_case,
    ACTIONS(4354), 1,
      sym_keyword_exists,
    ACTIONS(4360), 1,
      sym_keyword_interval,
    ACTIONS(4362), 1,
      sym_keyword_array,
    ACTIONS(4364), 1,
      anon_sym_LPAREN,
    ACTIONS(4368), 1,
      anon_sym_PLUS,
    ACTIONS(4370), 1,
      anon_sym_DASH,
    ACTIONS(4372), 1,
      sym_op_unary_other,
    ACTIONS(4374), 1,
      sym__double_quote_string,
    ACTIONS(4376), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4378), 1,
      aux_sym__integer_token1,
    ACTIONS(4380), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4382), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4384), 1,
      sym__dollar_quoted_string,
    ACTIONS(5219), 1,
      sym_parameter,
    STATE(2235), 1,
      sym__single_quote_string,
    STATE(2711), 1,
      sym_identifier,
    STATE(3691), 1,
      sym_invocation,
    STATE(3959), 1,
      sym__qualified_field,
    STATE(11969), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4358), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4356), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3940), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2045), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [111918] = 28,
    ACTIONS(1141), 1,
      sym__identifier,
    ACTIONS(1199), 1,
      aux_sym_identifier_token1,
    ACTIONS(4348), 1,
      sym_keyword_cast,
    ACTIONS(4350), 1,
      sym_keyword_case,
    ACTIONS(4354), 1,
      sym_keyword_exists,
    ACTIONS(4360), 1,
      sym_keyword_interval,
    ACTIONS(4362), 1,
      sym_keyword_array,
    ACTIONS(4364), 1,
      anon_sym_LPAREN,
    ACTIONS(4368), 1,
      anon_sym_PLUS,
    ACTIONS(4370), 1,
      anon_sym_DASH,
    ACTIONS(4372), 1,
      sym_op_unary_other,
    ACTIONS(4374), 1,
      sym__double_quote_string,
    ACTIONS(4376), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4378), 1,
      aux_sym__integer_token1,
    ACTIONS(4380), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4382), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4384), 1,
      sym__dollar_quoted_string,
    ACTIONS(5221), 1,
      sym_parameter,
    STATE(2235), 1,
      sym__single_quote_string,
    STATE(2711), 1,
      sym_identifier,
    STATE(3691), 1,
      sym_invocation,
    STATE(3959), 1,
      sym__qualified_field,
    STATE(11969), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4358), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4356), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3940), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2042), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [112028] = 29,
    ACTIONS(1289), 1,
      sym__identifier,
    ACTIONS(1347), 1,
      aux_sym_identifier_token1,
    ACTIONS(4012), 1,
      sym_keyword_cast,
    ACTIONS(4014), 1,
      sym_keyword_case,
    ACTIONS(4018), 1,
      sym_keyword_exists,
    ACTIONS(4022), 1,
      sym_keyword_null,
    ACTIONS(4024), 1,
      sym_keyword_interval,
    ACTIONS(4026), 1,
      sym_keyword_array,
    ACTIONS(4028), 1,
      anon_sym_LPAREN,
    ACTIONS(4032), 1,
      anon_sym_PLUS,
    ACTIONS(4034), 1,
      anon_sym_DASH,
    ACTIONS(4036), 1,
      sym_op_unary_other,
    ACTIONS(4038), 1,
      sym__double_quote_string,
    ACTIONS(4040), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4042), 1,
      aux_sym__integer_token1,
    ACTIONS(4044), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4046), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4048), 1,
      sym__dollar_quoted_string,
    ACTIONS(5225), 1,
      sym_parameter,
    STATE(2710), 1,
      sym_identifier,
    STATE(3531), 1,
      sym_invocation,
    STATE(3885), 1,
      sym__single_quote_string,
    STATE(4309), 1,
      sym__qualified_field,
    STATE(11865), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5223), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4020), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3918), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2032), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [112140] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5227), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4990), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [112250] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5229), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6100), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [112360] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5231), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4988), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [112470] = 29,
    ACTIONS(1289), 1,
      sym__identifier,
    ACTIONS(1347), 1,
      aux_sym_identifier_token1,
    ACTIONS(4012), 1,
      sym_keyword_cast,
    ACTIONS(4014), 1,
      sym_keyword_case,
    ACTIONS(4018), 1,
      sym_keyword_exists,
    ACTIONS(4022), 1,
      sym_keyword_null,
    ACTIONS(4024), 1,
      sym_keyword_interval,
    ACTIONS(4026), 1,
      sym_keyword_array,
    ACTIONS(4028), 1,
      anon_sym_LPAREN,
    ACTIONS(4032), 1,
      anon_sym_PLUS,
    ACTIONS(4034), 1,
      anon_sym_DASH,
    ACTIONS(4036), 1,
      sym_op_unary_other,
    ACTIONS(4038), 1,
      sym__double_quote_string,
    ACTIONS(4040), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4042), 1,
      aux_sym__integer_token1,
    ACTIONS(4044), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4046), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4048), 1,
      sym__dollar_quoted_string,
    ACTIONS(5235), 1,
      sym_parameter,
    STATE(2710), 1,
      sym_identifier,
    STATE(3531), 1,
      sym_invocation,
    STATE(3885), 1,
      sym__single_quote_string,
    STATE(4309), 1,
      sym__qualified_field,
    STATE(11865), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5233), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4020), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3918), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2034), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [112582] = 28,
    ACTIONS(843), 1,
      sym__identifier,
    ACTIONS(901), 1,
      aux_sym_identifier_token1,
    ACTIONS(4122), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4212), 1,
      sym_keyword_cast,
    ACTIONS(4214), 1,
      sym_keyword_case,
    ACTIONS(4218), 1,
      sym_keyword_exists,
    ACTIONS(4224), 1,
      sym_keyword_interval,
    ACTIONS(4226), 1,
      sym_keyword_array,
    ACTIONS(4228), 1,
      anon_sym_LPAREN,
    ACTIONS(4232), 1,
      anon_sym_PLUS,
    ACTIONS(4234), 1,
      anon_sym_DASH,
    ACTIONS(4236), 1,
      sym_op_unary_other,
    ACTIONS(4238), 1,
      sym__double_quote_string,
    ACTIONS(4240), 1,
      aux_sym__integer_token1,
    ACTIONS(4242), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4244), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4246), 1,
      sym__dollar_quoted_string,
    ACTIONS(5237), 1,
      sym_parameter,
    STATE(1057), 1,
      sym_identifier,
    STATE(2184), 1,
      sym_invocation,
    STATE(2355), 1,
      sym__single_quote_string,
    STATE(2449), 1,
      sym__qualified_field,
    STATE(11882), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4222), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4220), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2384), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(678), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [112692] = 6,
    ACTIONS(3672), 1,
      sym_keyword_with,
    ACTIONS(3674), 1,
      sym_keyword_without,
    STATE(2174), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1858), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1856), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [112758] = 4,
    ACTIONS(5239), 1,
      sym_keyword_varying,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1950), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1948), 43,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [112820] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5241), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5004), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [112930] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5243), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6035), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [113040] = 28,
    ACTIONS(651), 1,
      sym__identifier,
    ACTIONS(709), 1,
      aux_sym_identifier_token1,
    ACTIONS(3590), 1,
      sym_keyword_cast,
    ACTIONS(3598), 1,
      sym_keyword_array,
    ACTIONS(3604), 1,
      anon_sym_PLUS,
    ACTIONS(3606), 1,
      anon_sym_DASH,
    ACTIONS(3608), 1,
      sym_op_unary_other,
    ACTIONS(3610), 1,
      sym__double_quote_string,
    ACTIONS(3612), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3614), 1,
      aux_sym__integer_token1,
    ACTIONS(3616), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3618), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3620), 1,
      sym__dollar_quoted_string,
    ACTIONS(3886), 1,
      sym_keyword_case,
    ACTIONS(3890), 1,
      sym_keyword_exists,
    ACTIONS(3892), 1,
      sym_keyword_interval,
    ACTIONS(3894), 1,
      anon_sym_LPAREN,
    ACTIONS(5245), 1,
      sym_parameter,
    STATE(918), 1,
      sym_identifier,
    STATE(2039), 1,
      sym_invocation,
    STATE(2111), 1,
      sym__qualified_field,
    STATE(2205), 1,
      sym__single_quote_string,
    STATE(11814), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3596), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3592), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2159), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(456), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [113150] = 28,
    ACTIONS(651), 1,
      sym__identifier,
    ACTIONS(709), 1,
      aux_sym_identifier_token1,
    ACTIONS(3590), 1,
      sym_keyword_cast,
    ACTIONS(3598), 1,
      sym_keyword_array,
    ACTIONS(3604), 1,
      anon_sym_PLUS,
    ACTIONS(3606), 1,
      anon_sym_DASH,
    ACTIONS(3608), 1,
      sym_op_unary_other,
    ACTIONS(3610), 1,
      sym__double_quote_string,
    ACTIONS(3612), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3614), 1,
      aux_sym__integer_token1,
    ACTIONS(3616), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3618), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3620), 1,
      sym__dollar_quoted_string,
    ACTIONS(3886), 1,
      sym_keyword_case,
    ACTIONS(3890), 1,
      sym_keyword_exists,
    ACTIONS(3892), 1,
      sym_keyword_interval,
    ACTIONS(3894), 1,
      anon_sym_LPAREN,
    ACTIONS(5247), 1,
      sym_parameter,
    STATE(918), 1,
      sym_identifier,
    STATE(2039), 1,
      sym_invocation,
    STATE(2111), 1,
      sym__qualified_field,
    STATE(2205), 1,
      sym__single_quote_string,
    STATE(11814), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3596), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3592), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2159), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(445), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [113260] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5249), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5963), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [113370] = 28,
    ACTIONS(651), 1,
      sym__identifier,
    ACTIONS(709), 1,
      aux_sym_identifier_token1,
    ACTIONS(3590), 1,
      sym_keyword_cast,
    ACTIONS(3598), 1,
      sym_keyword_array,
    ACTIONS(3604), 1,
      anon_sym_PLUS,
    ACTIONS(3606), 1,
      anon_sym_DASH,
    ACTIONS(3608), 1,
      sym_op_unary_other,
    ACTIONS(3610), 1,
      sym__double_quote_string,
    ACTIONS(3612), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3614), 1,
      aux_sym__integer_token1,
    ACTIONS(3616), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3618), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3620), 1,
      sym__dollar_quoted_string,
    ACTIONS(3886), 1,
      sym_keyword_case,
    ACTIONS(3890), 1,
      sym_keyword_exists,
    ACTIONS(3892), 1,
      sym_keyword_interval,
    ACTIONS(3894), 1,
      anon_sym_LPAREN,
    ACTIONS(3896), 1,
      sym_parameter,
    STATE(918), 1,
      sym_identifier,
    STATE(2039), 1,
      sym_invocation,
    STATE(2111), 1,
      sym__qualified_field,
    STATE(2205), 1,
      sym__single_quote_string,
    STATE(11814), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3596), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3592), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2159), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(470), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [113480] = 28,
    ACTIONS(651), 1,
      sym__identifier,
    ACTIONS(709), 1,
      aux_sym_identifier_token1,
    ACTIONS(3590), 1,
      sym_keyword_cast,
    ACTIONS(3598), 1,
      sym_keyword_array,
    ACTIONS(3604), 1,
      anon_sym_PLUS,
    ACTIONS(3606), 1,
      anon_sym_DASH,
    ACTIONS(3608), 1,
      sym_op_unary_other,
    ACTIONS(3610), 1,
      sym__double_quote_string,
    ACTIONS(3612), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3614), 1,
      aux_sym__integer_token1,
    ACTIONS(3616), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3618), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3620), 1,
      sym__dollar_quoted_string,
    ACTIONS(3886), 1,
      sym_keyword_case,
    ACTIONS(3890), 1,
      sym_keyword_exists,
    ACTIONS(3892), 1,
      sym_keyword_interval,
    ACTIONS(3894), 1,
      anon_sym_LPAREN,
    ACTIONS(5251), 1,
      sym_parameter,
    STATE(918), 1,
      sym_identifier,
    STATE(2039), 1,
      sym_invocation,
    STATE(2111), 1,
      sym__qualified_field,
    STATE(2205), 1,
      sym__single_quote_string,
    STATE(11814), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3596), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3592), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2159), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(448), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [113590] = 28,
    ACTIONS(651), 1,
      sym__identifier,
    ACTIONS(709), 1,
      aux_sym_identifier_token1,
    ACTIONS(3590), 1,
      sym_keyword_cast,
    ACTIONS(3598), 1,
      sym_keyword_array,
    ACTIONS(3604), 1,
      anon_sym_PLUS,
    ACTIONS(3606), 1,
      anon_sym_DASH,
    ACTIONS(3608), 1,
      sym_op_unary_other,
    ACTIONS(3610), 1,
      sym__double_quote_string,
    ACTIONS(3612), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3614), 1,
      aux_sym__integer_token1,
    ACTIONS(3616), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3618), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3620), 1,
      sym__dollar_quoted_string,
    ACTIONS(3886), 1,
      sym_keyword_case,
    ACTIONS(3890), 1,
      sym_keyword_exists,
    ACTIONS(3892), 1,
      sym_keyword_interval,
    ACTIONS(3894), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      sym_parameter,
    STATE(918), 1,
      sym_identifier,
    STATE(2039), 1,
      sym_invocation,
    STATE(2111), 1,
      sym__qualified_field,
    STATE(2205), 1,
      sym__single_quote_string,
    STATE(11814), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3596), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3592), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2159), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(449), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [113700] = 28,
    ACTIONS(651), 1,
      sym__identifier,
    ACTIONS(709), 1,
      aux_sym_identifier_token1,
    ACTIONS(3590), 1,
      sym_keyword_cast,
    ACTIONS(3598), 1,
      sym_keyword_array,
    ACTIONS(3604), 1,
      anon_sym_PLUS,
    ACTIONS(3606), 1,
      anon_sym_DASH,
    ACTIONS(3608), 1,
      sym_op_unary_other,
    ACTIONS(3610), 1,
      sym__double_quote_string,
    ACTIONS(3612), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3614), 1,
      aux_sym__integer_token1,
    ACTIONS(3616), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3618), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3620), 1,
      sym__dollar_quoted_string,
    ACTIONS(3886), 1,
      sym_keyword_case,
    ACTIONS(3890), 1,
      sym_keyword_exists,
    ACTIONS(3892), 1,
      sym_keyword_interval,
    ACTIONS(3894), 1,
      anon_sym_LPAREN,
    ACTIONS(5255), 1,
      sym_parameter,
    STATE(918), 1,
      sym_identifier,
    STATE(2039), 1,
      sym_invocation,
    STATE(2111), 1,
      sym__qualified_field,
    STATE(2205), 1,
      sym__single_quote_string,
    STATE(11814), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3596), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3592), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2159), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(453), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [113810] = 28,
    ACTIONS(651), 1,
      sym__identifier,
    ACTIONS(709), 1,
      aux_sym_identifier_token1,
    ACTIONS(3590), 1,
      sym_keyword_cast,
    ACTIONS(3598), 1,
      sym_keyword_array,
    ACTIONS(3604), 1,
      anon_sym_PLUS,
    ACTIONS(3606), 1,
      anon_sym_DASH,
    ACTIONS(3608), 1,
      sym_op_unary_other,
    ACTIONS(3610), 1,
      sym__double_quote_string,
    ACTIONS(3612), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3614), 1,
      aux_sym__integer_token1,
    ACTIONS(3616), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3618), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3620), 1,
      sym__dollar_quoted_string,
    ACTIONS(3886), 1,
      sym_keyword_case,
    ACTIONS(3890), 1,
      sym_keyword_exists,
    ACTIONS(3892), 1,
      sym_keyword_interval,
    ACTIONS(3894), 1,
      anon_sym_LPAREN,
    ACTIONS(5257), 1,
      sym_parameter,
    STATE(918), 1,
      sym_identifier,
    STATE(2039), 1,
      sym_invocation,
    STATE(2111), 1,
      sym__qualified_field,
    STATE(2205), 1,
      sym__single_quote_string,
    STATE(11814), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3596), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3592), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2159), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(455), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [113920] = 28,
    ACTIONS(651), 1,
      sym__identifier,
    ACTIONS(709), 1,
      aux_sym_identifier_token1,
    ACTIONS(3590), 1,
      sym_keyword_cast,
    ACTIONS(3598), 1,
      sym_keyword_array,
    ACTIONS(3604), 1,
      anon_sym_PLUS,
    ACTIONS(3606), 1,
      anon_sym_DASH,
    ACTIONS(3608), 1,
      sym_op_unary_other,
    ACTIONS(3610), 1,
      sym__double_quote_string,
    ACTIONS(3612), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3614), 1,
      aux_sym__integer_token1,
    ACTIONS(3616), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3618), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3620), 1,
      sym__dollar_quoted_string,
    ACTIONS(3886), 1,
      sym_keyword_case,
    ACTIONS(3890), 1,
      sym_keyword_exists,
    ACTIONS(3892), 1,
      sym_keyword_interval,
    ACTIONS(3894), 1,
      anon_sym_LPAREN,
    ACTIONS(5259), 1,
      sym_parameter,
    STATE(918), 1,
      sym_identifier,
    STATE(2039), 1,
      sym_invocation,
    STATE(2111), 1,
      sym__qualified_field,
    STATE(2205), 1,
      sym__single_quote_string,
    STATE(11814), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3596), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3592), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2159), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(480), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [114030] = 28,
    ACTIONS(651), 1,
      sym__identifier,
    ACTIONS(709), 1,
      aux_sym_identifier_token1,
    ACTIONS(3590), 1,
      sym_keyword_cast,
    ACTIONS(3598), 1,
      sym_keyword_array,
    ACTIONS(3604), 1,
      anon_sym_PLUS,
    ACTIONS(3606), 1,
      anon_sym_DASH,
    ACTIONS(3608), 1,
      sym_op_unary_other,
    ACTIONS(3610), 1,
      sym__double_quote_string,
    ACTIONS(3612), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3614), 1,
      aux_sym__integer_token1,
    ACTIONS(3616), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3618), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3620), 1,
      sym__dollar_quoted_string,
    ACTIONS(3886), 1,
      sym_keyword_case,
    ACTIONS(3890), 1,
      sym_keyword_exists,
    ACTIONS(3892), 1,
      sym_keyword_interval,
    ACTIONS(3894), 1,
      anon_sym_LPAREN,
    ACTIONS(5261), 1,
      sym_parameter,
    STATE(918), 1,
      sym_identifier,
    STATE(2039), 1,
      sym_invocation,
    STATE(2111), 1,
      sym__qualified_field,
    STATE(2205), 1,
      sym__single_quote_string,
    STATE(11814), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3596), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3592), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2159), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(472), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [114140] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1838), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1836), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [114200] = 28,
    ACTIONS(651), 1,
      sym__identifier,
    ACTIONS(709), 1,
      aux_sym_identifier_token1,
    ACTIONS(3590), 1,
      sym_keyword_cast,
    ACTIONS(3598), 1,
      sym_keyword_array,
    ACTIONS(3604), 1,
      anon_sym_PLUS,
    ACTIONS(3606), 1,
      anon_sym_DASH,
    ACTIONS(3608), 1,
      sym_op_unary_other,
    ACTIONS(3610), 1,
      sym__double_quote_string,
    ACTIONS(3612), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3614), 1,
      aux_sym__integer_token1,
    ACTIONS(3616), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3618), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3620), 1,
      sym__dollar_quoted_string,
    ACTIONS(3886), 1,
      sym_keyword_case,
    ACTIONS(3890), 1,
      sym_keyword_exists,
    ACTIONS(3892), 1,
      sym_keyword_interval,
    ACTIONS(3894), 1,
      anon_sym_LPAREN,
    ACTIONS(5263), 1,
      sym_parameter,
    STATE(918), 1,
      sym_identifier,
    STATE(2039), 1,
      sym_invocation,
    STATE(2111), 1,
      sym__qualified_field,
    STATE(2205), 1,
      sym__single_quote_string,
    STATE(11814), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3596), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3592), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2159), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(460), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [114310] = 28,
    ACTIONS(651), 1,
      sym__identifier,
    ACTIONS(709), 1,
      aux_sym_identifier_token1,
    ACTIONS(3590), 1,
      sym_keyword_cast,
    ACTIONS(3598), 1,
      sym_keyword_array,
    ACTIONS(3604), 1,
      anon_sym_PLUS,
    ACTIONS(3606), 1,
      anon_sym_DASH,
    ACTIONS(3608), 1,
      sym_op_unary_other,
    ACTIONS(3610), 1,
      sym__double_quote_string,
    ACTIONS(3612), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3614), 1,
      aux_sym__integer_token1,
    ACTIONS(3616), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3618), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3620), 1,
      sym__dollar_quoted_string,
    ACTIONS(3886), 1,
      sym_keyword_case,
    ACTIONS(3890), 1,
      sym_keyword_exists,
    ACTIONS(3892), 1,
      sym_keyword_interval,
    ACTIONS(3894), 1,
      anon_sym_LPAREN,
    ACTIONS(5265), 1,
      sym_parameter,
    STATE(918), 1,
      sym_identifier,
    STATE(2039), 1,
      sym_invocation,
    STATE(2111), 1,
      sym__qualified_field,
    STATE(2205), 1,
      sym__single_quote_string,
    STATE(11814), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3596), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3592), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2159), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(444), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [114420] = 28,
    ACTIONS(651), 1,
      sym__identifier,
    ACTIONS(709), 1,
      aux_sym_identifier_token1,
    ACTIONS(3590), 1,
      sym_keyword_cast,
    ACTIONS(3598), 1,
      sym_keyword_array,
    ACTIONS(3604), 1,
      anon_sym_PLUS,
    ACTIONS(3606), 1,
      anon_sym_DASH,
    ACTIONS(3608), 1,
      sym_op_unary_other,
    ACTIONS(3610), 1,
      sym__double_quote_string,
    ACTIONS(3612), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3614), 1,
      aux_sym__integer_token1,
    ACTIONS(3616), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3618), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3620), 1,
      sym__dollar_quoted_string,
    ACTIONS(3886), 1,
      sym_keyword_case,
    ACTIONS(3890), 1,
      sym_keyword_exists,
    ACTIONS(3892), 1,
      sym_keyword_interval,
    ACTIONS(3894), 1,
      anon_sym_LPAREN,
    ACTIONS(5267), 1,
      sym_parameter,
    STATE(918), 1,
      sym_identifier,
    STATE(2039), 1,
      sym_invocation,
    STATE(2111), 1,
      sym__qualified_field,
    STATE(2205), 1,
      sym__single_quote_string,
    STATE(11814), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3596), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3592), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2159), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(443), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [114530] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5269), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5992), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [114640] = 28,
    ACTIONS(903), 1,
      sym__identifier,
    ACTIONS(907), 1,
      aux_sym_identifier_token1,
    ACTIONS(3191), 1,
      sym_keyword_cast,
    ACTIONS(3193), 1,
      sym_keyword_case,
    ACTIONS(3197), 1,
      sym_keyword_exists,
    ACTIONS(3201), 1,
      sym_keyword_interval,
    ACTIONS(3203), 1,
      sym_keyword_array,
    ACTIONS(3209), 1,
      anon_sym_PLUS,
    ACTIONS(3211), 1,
      anon_sym_DASH,
    ACTIONS(3215), 1,
      sym__double_quote_string,
    ACTIONS(3217), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3219), 1,
      aux_sym__integer_token1,
    ACTIONS(3221), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3223), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3225), 1,
      sym__dollar_quoted_string,
    ACTIONS(3808), 1,
      anon_sym_LPAREN,
    ACTIONS(3812), 1,
      sym_op_unary_other,
    ACTIONS(5271), 1,
      sym_parameter,
    STATE(2953), 1,
      sym__single_quote_string,
    STATE(4196), 1,
      sym_identifier,
    STATE(4905), 1,
      sym__qualified_field,
    STATE(5727), 1,
      sym_invocation,
    STATE(11861), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3199), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3806), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4863), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3856), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [114750] = 28,
    ACTIONS(843), 1,
      sym__identifier,
    ACTIONS(901), 1,
      aux_sym_identifier_token1,
    ACTIONS(4122), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4212), 1,
      sym_keyword_cast,
    ACTIONS(4214), 1,
      sym_keyword_case,
    ACTIONS(4218), 1,
      sym_keyword_exists,
    ACTIONS(4224), 1,
      sym_keyword_interval,
    ACTIONS(4226), 1,
      sym_keyword_array,
    ACTIONS(4228), 1,
      anon_sym_LPAREN,
    ACTIONS(4230), 1,
      sym_parameter,
    ACTIONS(4232), 1,
      anon_sym_PLUS,
    ACTIONS(4234), 1,
      anon_sym_DASH,
    ACTIONS(4236), 1,
      sym_op_unary_other,
    ACTIONS(4238), 1,
      sym__double_quote_string,
    ACTIONS(4240), 1,
      aux_sym__integer_token1,
    ACTIONS(4242), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4244), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4246), 1,
      sym__dollar_quoted_string,
    STATE(1057), 1,
      sym_identifier,
    STATE(2184), 1,
      sym_invocation,
    STATE(2355), 1,
      sym__single_quote_string,
    STATE(2449), 1,
      sym__qualified_field,
    STATE(11882), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4222), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4220), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2384), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(559), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [114860] = 29,
    ACTIONS(1289), 1,
      sym__identifier,
    ACTIONS(1347), 1,
      aux_sym_identifier_token1,
    ACTIONS(4012), 1,
      sym_keyword_cast,
    ACTIONS(4014), 1,
      sym_keyword_case,
    ACTIONS(4018), 1,
      sym_keyword_exists,
    ACTIONS(4022), 1,
      sym_keyword_null,
    ACTIONS(4024), 1,
      sym_keyword_interval,
    ACTIONS(4026), 1,
      sym_keyword_array,
    ACTIONS(4028), 1,
      anon_sym_LPAREN,
    ACTIONS(4032), 1,
      anon_sym_PLUS,
    ACTIONS(4034), 1,
      anon_sym_DASH,
    ACTIONS(4036), 1,
      sym_op_unary_other,
    ACTIONS(4038), 1,
      sym__double_quote_string,
    ACTIONS(4040), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4042), 1,
      aux_sym__integer_token1,
    ACTIONS(4044), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4046), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4048), 1,
      sym__dollar_quoted_string,
    ACTIONS(5275), 1,
      sym_parameter,
    STATE(2710), 1,
      sym_identifier,
    STATE(3531), 1,
      sym_invocation,
    STATE(3885), 1,
      sym__single_quote_string,
    STATE(4309), 1,
      sym__qualified_field,
    STATE(11865), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5273), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4020), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3918), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2028), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [114972] = 29,
    ACTIONS(1289), 1,
      sym__identifier,
    ACTIONS(1347), 1,
      aux_sym_identifier_token1,
    ACTIONS(4012), 1,
      sym_keyword_cast,
    ACTIONS(4014), 1,
      sym_keyword_case,
    ACTIONS(4018), 1,
      sym_keyword_exists,
    ACTIONS(4022), 1,
      sym_keyword_null,
    ACTIONS(4024), 1,
      sym_keyword_interval,
    ACTIONS(4026), 1,
      sym_keyword_array,
    ACTIONS(4028), 1,
      anon_sym_LPAREN,
    ACTIONS(4032), 1,
      anon_sym_PLUS,
    ACTIONS(4034), 1,
      anon_sym_DASH,
    ACTIONS(4036), 1,
      sym_op_unary_other,
    ACTIONS(4038), 1,
      sym__double_quote_string,
    ACTIONS(4040), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4042), 1,
      aux_sym__integer_token1,
    ACTIONS(4044), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4046), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4048), 1,
      sym__dollar_quoted_string,
    ACTIONS(5279), 1,
      sym_parameter,
    STATE(2710), 1,
      sym_identifier,
    STATE(3531), 1,
      sym_invocation,
    STATE(3885), 1,
      sym__single_quote_string,
    STATE(4309), 1,
      sym__qualified_field,
    STATE(11865), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5277), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4020), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3918), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2027), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [115084] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5281), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5978), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [115194] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5283), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6295), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [115304] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5285), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5592), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [115414] = 9,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2394), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(2392), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [115486] = 28,
    ACTIONS(1141), 1,
      sym__identifier,
    ACTIONS(1199), 1,
      aux_sym_identifier_token1,
    ACTIONS(4348), 1,
      sym_keyword_cast,
    ACTIONS(4350), 1,
      sym_keyword_case,
    ACTIONS(4354), 1,
      sym_keyword_exists,
    ACTIONS(4360), 1,
      sym_keyword_interval,
    ACTIONS(4362), 1,
      sym_keyword_array,
    ACTIONS(4364), 1,
      anon_sym_LPAREN,
    ACTIONS(4368), 1,
      anon_sym_PLUS,
    ACTIONS(4370), 1,
      anon_sym_DASH,
    ACTIONS(4372), 1,
      sym_op_unary_other,
    ACTIONS(4374), 1,
      sym__double_quote_string,
    ACTIONS(4376), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4378), 1,
      aux_sym__integer_token1,
    ACTIONS(4380), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4382), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4384), 1,
      sym__dollar_quoted_string,
    ACTIONS(5287), 1,
      sym_parameter,
    STATE(2235), 1,
      sym__single_quote_string,
    STATE(2711), 1,
      sym_identifier,
    STATE(3691), 1,
      sym_invocation,
    STATE(3959), 1,
      sym__qualified_field,
    STATE(11969), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4358), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4356), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3940), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2030), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [115596] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5289), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6328), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [115706] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5291), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4977), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [115816] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5293), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5905), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [115926] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5295), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4924), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [116036] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5297), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5902), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [116146] = 28,
    ACTIONS(843), 1,
      sym__identifier,
    ACTIONS(901), 1,
      aux_sym_identifier_token1,
    ACTIONS(4122), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4212), 1,
      sym_keyword_cast,
    ACTIONS(4214), 1,
      sym_keyword_case,
    ACTIONS(4218), 1,
      sym_keyword_exists,
    ACTIONS(4224), 1,
      sym_keyword_interval,
    ACTIONS(4226), 1,
      sym_keyword_array,
    ACTIONS(4228), 1,
      anon_sym_LPAREN,
    ACTIONS(4232), 1,
      anon_sym_PLUS,
    ACTIONS(4234), 1,
      anon_sym_DASH,
    ACTIONS(4236), 1,
      sym_op_unary_other,
    ACTIONS(4238), 1,
      sym__double_quote_string,
    ACTIONS(4240), 1,
      aux_sym__integer_token1,
    ACTIONS(4242), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4244), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4246), 1,
      sym__dollar_quoted_string,
    ACTIONS(5299), 1,
      sym_parameter,
    STATE(1057), 1,
      sym_identifier,
    STATE(2184), 1,
      sym_invocation,
    STATE(2355), 1,
      sym__single_quote_string,
    STATE(2449), 1,
      sym__qualified_field,
    STATE(11882), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4222), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4220), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2384), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(503), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [116256] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5301), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5900), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [116366] = 28,
    ACTIONS(843), 1,
      sym__identifier,
    ACTIONS(901), 1,
      aux_sym_identifier_token1,
    ACTIONS(4122), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4212), 1,
      sym_keyword_cast,
    ACTIONS(4214), 1,
      sym_keyword_case,
    ACTIONS(4218), 1,
      sym_keyword_exists,
    ACTIONS(4224), 1,
      sym_keyword_interval,
    ACTIONS(4226), 1,
      sym_keyword_array,
    ACTIONS(4228), 1,
      anon_sym_LPAREN,
    ACTIONS(4232), 1,
      anon_sym_PLUS,
    ACTIONS(4234), 1,
      anon_sym_DASH,
    ACTIONS(4236), 1,
      sym_op_unary_other,
    ACTIONS(4238), 1,
      sym__double_quote_string,
    ACTIONS(4240), 1,
      aux_sym__integer_token1,
    ACTIONS(4242), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4244), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4246), 1,
      sym__dollar_quoted_string,
    ACTIONS(5303), 1,
      sym_parameter,
    STATE(1057), 1,
      sym_identifier,
    STATE(2184), 1,
      sym_invocation,
    STATE(2355), 1,
      sym__single_quote_string,
    STATE(2449), 1,
      sym__qualified_field,
    STATE(11882), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4222), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4220), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2384), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(722), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [116476] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5305), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5894), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [116586] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5307), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6193), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [116696] = 28,
    ACTIONS(467), 1,
      sym__identifier,
    ACTIONS(525), 1,
      aux_sym_identifier_token1,
    ACTIONS(3678), 1,
      sym_keyword_cast,
    ACTIONS(3680), 1,
      sym_keyword_case,
    ACTIONS(3684), 1,
      sym_keyword_exists,
    ACTIONS(3688), 1,
      sym_keyword_interval,
    ACTIONS(3690), 1,
      sym_keyword_array,
    ACTIONS(3692), 1,
      anon_sym_LPAREN,
    ACTIONS(3696), 1,
      anon_sym_PLUS,
    ACTIONS(3698), 1,
      anon_sym_DASH,
    ACTIONS(3700), 1,
      sym_op_unary_other,
    ACTIONS(3702), 1,
      sym__double_quote_string,
    ACTIONS(3704), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3706), 1,
      aux_sym__integer_token1,
    ACTIONS(3708), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3710), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3712), 1,
      sym__dollar_quoted_string,
    ACTIONS(5309), 1,
      sym_parameter,
    STATE(3287), 1,
      sym_identifier,
    STATE(4389), 1,
      sym_invocation,
    STATE(4687), 1,
      sym__single_quote_string,
    STATE(4706), 1,
      sym__qualified_field,
    STATE(11817), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3686), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3682), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4694), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2366), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [116806] = 28,
    ACTIONS(467), 1,
      sym__identifier,
    ACTIONS(525), 1,
      aux_sym_identifier_token1,
    ACTIONS(3678), 1,
      sym_keyword_cast,
    ACTIONS(3680), 1,
      sym_keyword_case,
    ACTIONS(3684), 1,
      sym_keyword_exists,
    ACTIONS(3688), 1,
      sym_keyword_interval,
    ACTIONS(3690), 1,
      sym_keyword_array,
    ACTIONS(3692), 1,
      anon_sym_LPAREN,
    ACTIONS(3696), 1,
      anon_sym_PLUS,
    ACTIONS(3698), 1,
      anon_sym_DASH,
    ACTIONS(3700), 1,
      sym_op_unary_other,
    ACTIONS(3702), 1,
      sym__double_quote_string,
    ACTIONS(3704), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3706), 1,
      aux_sym__integer_token1,
    ACTIONS(3708), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3710), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3712), 1,
      sym__dollar_quoted_string,
    ACTIONS(5311), 1,
      sym_parameter,
    STATE(3287), 1,
      sym_identifier,
    STATE(4389), 1,
      sym_invocation,
    STATE(4687), 1,
      sym__single_quote_string,
    STATE(4706), 1,
      sym__qualified_field,
    STATE(11817), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3686), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3682), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4694), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2377), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [116916] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5313), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5693), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [117026] = 28,
    ACTIONS(467), 1,
      sym__identifier,
    ACTIONS(525), 1,
      aux_sym_identifier_token1,
    ACTIONS(3678), 1,
      sym_keyword_cast,
    ACTIONS(3680), 1,
      sym_keyword_case,
    ACTIONS(3684), 1,
      sym_keyword_exists,
    ACTIONS(3688), 1,
      sym_keyword_interval,
    ACTIONS(3690), 1,
      sym_keyword_array,
    ACTIONS(3692), 1,
      anon_sym_LPAREN,
    ACTIONS(3696), 1,
      anon_sym_PLUS,
    ACTIONS(3698), 1,
      anon_sym_DASH,
    ACTIONS(3700), 1,
      sym_op_unary_other,
    ACTIONS(3702), 1,
      sym__double_quote_string,
    ACTIONS(3704), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3706), 1,
      aux_sym__integer_token1,
    ACTIONS(3708), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3710), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3712), 1,
      sym__dollar_quoted_string,
    ACTIONS(4206), 1,
      sym_parameter,
    STATE(3287), 1,
      sym_identifier,
    STATE(4389), 1,
      sym_invocation,
    STATE(4687), 1,
      sym__single_quote_string,
    STATE(4706), 1,
      sym__qualified_field,
    STATE(11817), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3686), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3682), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4694), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2570), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [117136] = 28,
    ACTIONS(467), 1,
      sym__identifier,
    ACTIONS(525), 1,
      aux_sym_identifier_token1,
    ACTIONS(3678), 1,
      sym_keyword_cast,
    ACTIONS(3680), 1,
      sym_keyword_case,
    ACTIONS(3684), 1,
      sym_keyword_exists,
    ACTIONS(3688), 1,
      sym_keyword_interval,
    ACTIONS(3690), 1,
      sym_keyword_array,
    ACTIONS(3692), 1,
      anon_sym_LPAREN,
    ACTIONS(3696), 1,
      anon_sym_PLUS,
    ACTIONS(3698), 1,
      anon_sym_DASH,
    ACTIONS(3700), 1,
      sym_op_unary_other,
    ACTIONS(3702), 1,
      sym__double_quote_string,
    ACTIONS(3704), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3706), 1,
      aux_sym__integer_token1,
    ACTIONS(3708), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3710), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3712), 1,
      sym__dollar_quoted_string,
    ACTIONS(5315), 1,
      sym_parameter,
    STATE(3287), 1,
      sym_identifier,
    STATE(4389), 1,
      sym_invocation,
    STATE(4687), 1,
      sym__single_quote_string,
    STATE(4706), 1,
      sym__qualified_field,
    STATE(11817), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3686), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3682), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4694), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2422), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [117246] = 28,
    ACTIONS(467), 1,
      sym__identifier,
    ACTIONS(525), 1,
      aux_sym_identifier_token1,
    ACTIONS(3678), 1,
      sym_keyword_cast,
    ACTIONS(3680), 1,
      sym_keyword_case,
    ACTIONS(3684), 1,
      sym_keyword_exists,
    ACTIONS(3688), 1,
      sym_keyword_interval,
    ACTIONS(3690), 1,
      sym_keyword_array,
    ACTIONS(3692), 1,
      anon_sym_LPAREN,
    ACTIONS(3696), 1,
      anon_sym_PLUS,
    ACTIONS(3698), 1,
      anon_sym_DASH,
    ACTIONS(3700), 1,
      sym_op_unary_other,
    ACTIONS(3702), 1,
      sym__double_quote_string,
    ACTIONS(3704), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3706), 1,
      aux_sym__integer_token1,
    ACTIONS(3708), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3710), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3712), 1,
      sym__dollar_quoted_string,
    ACTIONS(5317), 1,
      sym_parameter,
    STATE(3287), 1,
      sym_identifier,
    STATE(4389), 1,
      sym_invocation,
    STATE(4687), 1,
      sym__single_quote_string,
    STATE(4706), 1,
      sym__qualified_field,
    STATE(11817), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3686), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3682), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4694), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2425), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [117356] = 28,
    ACTIONS(467), 1,
      sym__identifier,
    ACTIONS(525), 1,
      aux_sym_identifier_token1,
    ACTIONS(3678), 1,
      sym_keyword_cast,
    ACTIONS(3680), 1,
      sym_keyword_case,
    ACTIONS(3684), 1,
      sym_keyword_exists,
    ACTIONS(3688), 1,
      sym_keyword_interval,
    ACTIONS(3690), 1,
      sym_keyword_array,
    ACTIONS(3692), 1,
      anon_sym_LPAREN,
    ACTIONS(3696), 1,
      anon_sym_PLUS,
    ACTIONS(3698), 1,
      anon_sym_DASH,
    ACTIONS(3700), 1,
      sym_op_unary_other,
    ACTIONS(3702), 1,
      sym__double_quote_string,
    ACTIONS(3704), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3706), 1,
      aux_sym__integer_token1,
    ACTIONS(3708), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3710), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3712), 1,
      sym__dollar_quoted_string,
    ACTIONS(5319), 1,
      sym_parameter,
    STATE(3287), 1,
      sym_identifier,
    STATE(4389), 1,
      sym_invocation,
    STATE(4687), 1,
      sym__single_quote_string,
    STATE(4706), 1,
      sym__qualified_field,
    STATE(11817), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3686), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3682), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4694), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2426), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [117466] = 28,
    ACTIONS(467), 1,
      sym__identifier,
    ACTIONS(525), 1,
      aux_sym_identifier_token1,
    ACTIONS(3678), 1,
      sym_keyword_cast,
    ACTIONS(3680), 1,
      sym_keyword_case,
    ACTIONS(3684), 1,
      sym_keyword_exists,
    ACTIONS(3688), 1,
      sym_keyword_interval,
    ACTIONS(3690), 1,
      sym_keyword_array,
    ACTIONS(3692), 1,
      anon_sym_LPAREN,
    ACTIONS(3696), 1,
      anon_sym_PLUS,
    ACTIONS(3698), 1,
      anon_sym_DASH,
    ACTIONS(3700), 1,
      sym_op_unary_other,
    ACTIONS(3702), 1,
      sym__double_quote_string,
    ACTIONS(3704), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3706), 1,
      aux_sym__integer_token1,
    ACTIONS(3708), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3710), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3712), 1,
      sym__dollar_quoted_string,
    ACTIONS(5321), 1,
      sym_parameter,
    STATE(3287), 1,
      sym_identifier,
    STATE(4389), 1,
      sym_invocation,
    STATE(4687), 1,
      sym__single_quote_string,
    STATE(4706), 1,
      sym__qualified_field,
    STATE(11817), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3686), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3682), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4694), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2429), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [117576] = 28,
    ACTIONS(467), 1,
      sym__identifier,
    ACTIONS(525), 1,
      aux_sym_identifier_token1,
    ACTIONS(3678), 1,
      sym_keyword_cast,
    ACTIONS(3680), 1,
      sym_keyword_case,
    ACTIONS(3684), 1,
      sym_keyword_exists,
    ACTIONS(3688), 1,
      sym_keyword_interval,
    ACTIONS(3690), 1,
      sym_keyword_array,
    ACTIONS(3692), 1,
      anon_sym_LPAREN,
    ACTIONS(3696), 1,
      anon_sym_PLUS,
    ACTIONS(3698), 1,
      anon_sym_DASH,
    ACTIONS(3700), 1,
      sym_op_unary_other,
    ACTIONS(3702), 1,
      sym__double_quote_string,
    ACTIONS(3704), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3706), 1,
      aux_sym__integer_token1,
    ACTIONS(3708), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3710), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3712), 1,
      sym__dollar_quoted_string,
    ACTIONS(5323), 1,
      sym_parameter,
    STATE(3287), 1,
      sym_identifier,
    STATE(4389), 1,
      sym_invocation,
    STATE(4687), 1,
      sym__single_quote_string,
    STATE(4706), 1,
      sym__qualified_field,
    STATE(11817), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3686), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3682), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4694), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2457), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [117686] = 28,
    ACTIONS(467), 1,
      sym__identifier,
    ACTIONS(525), 1,
      aux_sym_identifier_token1,
    ACTIONS(3678), 1,
      sym_keyword_cast,
    ACTIONS(3680), 1,
      sym_keyword_case,
    ACTIONS(3684), 1,
      sym_keyword_exists,
    ACTIONS(3688), 1,
      sym_keyword_interval,
    ACTIONS(3690), 1,
      sym_keyword_array,
    ACTIONS(3692), 1,
      anon_sym_LPAREN,
    ACTIONS(3696), 1,
      anon_sym_PLUS,
    ACTIONS(3698), 1,
      anon_sym_DASH,
    ACTIONS(3700), 1,
      sym_op_unary_other,
    ACTIONS(3702), 1,
      sym__double_quote_string,
    ACTIONS(3704), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3706), 1,
      aux_sym__integer_token1,
    ACTIONS(3708), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3710), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3712), 1,
      sym__dollar_quoted_string,
    ACTIONS(5325), 1,
      sym_parameter,
    STATE(3287), 1,
      sym_identifier,
    STATE(4389), 1,
      sym_invocation,
    STATE(4687), 1,
      sym__single_quote_string,
    STATE(4706), 1,
      sym__qualified_field,
    STATE(11817), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3686), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3682), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4694), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2458), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [117796] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5327), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6194), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [117906] = 28,
    ACTIONS(467), 1,
      sym__identifier,
    ACTIONS(525), 1,
      aux_sym_identifier_token1,
    ACTIONS(3678), 1,
      sym_keyword_cast,
    ACTIONS(3680), 1,
      sym_keyword_case,
    ACTIONS(3684), 1,
      sym_keyword_exists,
    ACTIONS(3688), 1,
      sym_keyword_interval,
    ACTIONS(3690), 1,
      sym_keyword_array,
    ACTIONS(3692), 1,
      anon_sym_LPAREN,
    ACTIONS(3696), 1,
      anon_sym_PLUS,
    ACTIONS(3698), 1,
      anon_sym_DASH,
    ACTIONS(3700), 1,
      sym_op_unary_other,
    ACTIONS(3702), 1,
      sym__double_quote_string,
    ACTIONS(3704), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3706), 1,
      aux_sym__integer_token1,
    ACTIONS(3708), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3710), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3712), 1,
      sym__dollar_quoted_string,
    ACTIONS(5329), 1,
      sym_parameter,
    STATE(3287), 1,
      sym_identifier,
    STATE(4389), 1,
      sym_invocation,
    STATE(4687), 1,
      sym__single_quote_string,
    STATE(4706), 1,
      sym__qualified_field,
    STATE(11817), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3686), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3682), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4694), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2459), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [118016] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5331), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4945), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [118126] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5333), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5872), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [118236] = 28,
    ACTIONS(1141), 1,
      sym__identifier,
    ACTIONS(1199), 1,
      aux_sym_identifier_token1,
    ACTIONS(4348), 1,
      sym_keyword_cast,
    ACTIONS(4350), 1,
      sym_keyword_case,
    ACTIONS(4354), 1,
      sym_keyword_exists,
    ACTIONS(4360), 1,
      sym_keyword_interval,
    ACTIONS(4362), 1,
      sym_keyword_array,
    ACTIONS(4364), 1,
      anon_sym_LPAREN,
    ACTIONS(4368), 1,
      anon_sym_PLUS,
    ACTIONS(4370), 1,
      anon_sym_DASH,
    ACTIONS(4372), 1,
      sym_op_unary_other,
    ACTIONS(4374), 1,
      sym__double_quote_string,
    ACTIONS(4376), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4378), 1,
      aux_sym__integer_token1,
    ACTIONS(4380), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4382), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4384), 1,
      sym__dollar_quoted_string,
    ACTIONS(5335), 1,
      sym_parameter,
    STATE(2235), 1,
      sym__single_quote_string,
    STATE(2711), 1,
      sym_identifier,
    STATE(3691), 1,
      sym_invocation,
    STATE(3959), 1,
      sym__qualified_field,
    STATE(11969), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4358), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4356), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3940), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2495), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [118346] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5337), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4943), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [118456] = 29,
    ACTIONS(1289), 1,
      sym__identifier,
    ACTIONS(1347), 1,
      aux_sym_identifier_token1,
    ACTIONS(4012), 1,
      sym_keyword_cast,
    ACTIONS(4014), 1,
      sym_keyword_case,
    ACTIONS(4018), 1,
      sym_keyword_exists,
    ACTIONS(4022), 1,
      sym_keyword_null,
    ACTIONS(4024), 1,
      sym_keyword_interval,
    ACTIONS(4026), 1,
      sym_keyword_array,
    ACTIONS(4028), 1,
      anon_sym_LPAREN,
    ACTIONS(4032), 1,
      anon_sym_PLUS,
    ACTIONS(4034), 1,
      anon_sym_DASH,
    ACTIONS(4036), 1,
      sym_op_unary_other,
    ACTIONS(4038), 1,
      sym__double_quote_string,
    ACTIONS(4040), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4042), 1,
      aux_sym__integer_token1,
    ACTIONS(4044), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4046), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4048), 1,
      sym__dollar_quoted_string,
    ACTIONS(5341), 1,
      sym_parameter,
    STATE(2710), 1,
      sym_identifier,
    STATE(3531), 1,
      sym_invocation,
    STATE(3885), 1,
      sym__single_quote_string,
    STATE(4309), 1,
      sym__qualified_field,
    STATE(11865), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5339), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4020), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3918), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1989), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [118568] = 28,
    ACTIONS(467), 1,
      sym__identifier,
    ACTIONS(525), 1,
      aux_sym_identifier_token1,
    ACTIONS(3678), 1,
      sym_keyword_cast,
    ACTIONS(3680), 1,
      sym_keyword_case,
    ACTIONS(3684), 1,
      sym_keyword_exists,
    ACTIONS(3688), 1,
      sym_keyword_interval,
    ACTIONS(3690), 1,
      sym_keyword_array,
    ACTIONS(3692), 1,
      anon_sym_LPAREN,
    ACTIONS(3696), 1,
      anon_sym_PLUS,
    ACTIONS(3698), 1,
      anon_sym_DASH,
    ACTIONS(3700), 1,
      sym_op_unary_other,
    ACTIONS(3702), 1,
      sym__double_quote_string,
    ACTIONS(3704), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3706), 1,
      aux_sym__integer_token1,
    ACTIONS(3708), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3710), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3712), 1,
      sym__dollar_quoted_string,
    ACTIONS(5343), 1,
      sym_parameter,
    STATE(3287), 1,
      sym_identifier,
    STATE(4389), 1,
      sym_invocation,
    STATE(4687), 1,
      sym__single_quote_string,
    STATE(4706), 1,
      sym__qualified_field,
    STATE(11817), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3686), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3682), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4694), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2460), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [118678] = 28,
    ACTIONS(467), 1,
      sym__identifier,
    ACTIONS(525), 1,
      aux_sym_identifier_token1,
    ACTIONS(3678), 1,
      sym_keyword_cast,
    ACTIONS(3680), 1,
      sym_keyword_case,
    ACTIONS(3684), 1,
      sym_keyword_exists,
    ACTIONS(3688), 1,
      sym_keyword_interval,
    ACTIONS(3690), 1,
      sym_keyword_array,
    ACTIONS(3692), 1,
      anon_sym_LPAREN,
    ACTIONS(3696), 1,
      anon_sym_PLUS,
    ACTIONS(3698), 1,
      anon_sym_DASH,
    ACTIONS(3700), 1,
      sym_op_unary_other,
    ACTIONS(3702), 1,
      sym__double_quote_string,
    ACTIONS(3704), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3706), 1,
      aux_sym__integer_token1,
    ACTIONS(3708), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3710), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3712), 1,
      sym__dollar_quoted_string,
    ACTIONS(5345), 1,
      sym_parameter,
    STATE(3287), 1,
      sym_identifier,
    STATE(4389), 1,
      sym_invocation,
    STATE(4687), 1,
      sym__single_quote_string,
    STATE(4706), 1,
      sym__qualified_field,
    STATE(11817), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3686), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3682), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4694), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2572), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [118788] = 28,
    ACTIONS(211), 1,
      sym__identifier,
    ACTIONS(269), 1,
      aux_sym_identifier_token1,
    ACTIONS(3001), 1,
      sym_keyword_cast,
    ACTIONS(3003), 1,
      sym_keyword_case,
    ACTIONS(3007), 1,
      sym_keyword_exists,
    ACTIONS(3011), 1,
      sym_keyword_interval,
    ACTIONS(3013), 1,
      sym_keyword_array,
    ACTIONS(3015), 1,
      anon_sym_LPAREN,
    ACTIONS(3021), 1,
      anon_sym_PLUS,
    ACTIONS(3023), 1,
      anon_sym_DASH,
    ACTIONS(3025), 1,
      sym_op_unary_other,
    ACTIONS(3027), 1,
      sym__double_quote_string,
    ACTIONS(3029), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3031), 1,
      aux_sym__integer_token1,
    ACTIONS(3033), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3035), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3037), 1,
      sym__dollar_quoted_string,
    ACTIONS(5347), 1,
      sym_parameter,
    STATE(310), 1,
      sym__single_quote_string,
    STATE(2882), 1,
      sym_identifier,
    STATE(3887), 1,
      sym_invocation,
    STATE(4609), 1,
      sym__qualified_field,
    STATE(11850), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3005), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3884), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2316), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [118898] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1374), 3,
      anon_sym_LPAREN,
      anon_sym_DOT,
      aux_sym__single_quote_string_token1,
    ACTIONS(1372), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1370), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [118960] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1834), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1832), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [119020] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5349), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5821), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [119130] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5351), 1,
      anon_sym_LPAREN,
    ACTIONS(5353), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5455), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [119240] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5355), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6306), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [119350] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5357), 1,
      anon_sym_LPAREN,
    ACTIONS(5359), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5452), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [119460] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1816), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1814), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [119520] = 28,
    ACTIONS(843), 1,
      sym__identifier,
    ACTIONS(901), 1,
      aux_sym_identifier_token1,
    ACTIONS(4122), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4212), 1,
      sym_keyword_cast,
    ACTIONS(4214), 1,
      sym_keyword_case,
    ACTIONS(4218), 1,
      sym_keyword_exists,
    ACTIONS(4224), 1,
      sym_keyword_interval,
    ACTIONS(4226), 1,
      sym_keyword_array,
    ACTIONS(4228), 1,
      anon_sym_LPAREN,
    ACTIONS(4232), 1,
      anon_sym_PLUS,
    ACTIONS(4234), 1,
      anon_sym_DASH,
    ACTIONS(4236), 1,
      sym_op_unary_other,
    ACTIONS(4238), 1,
      sym__double_quote_string,
    ACTIONS(4240), 1,
      aux_sym__integer_token1,
    ACTIONS(4242), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4244), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4246), 1,
      sym__dollar_quoted_string,
    ACTIONS(5361), 1,
      sym_parameter,
    STATE(1057), 1,
      sym_identifier,
    STATE(2184), 1,
      sym_invocation,
    STATE(2355), 1,
      sym__single_quote_string,
    STATE(2449), 1,
      sym__qualified_field,
    STATE(11882), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4222), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4220), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2384), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(502), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [119630] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5363), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5819), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [119740] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5365), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5758), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [119850] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5367), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6321), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [119960] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5369), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6012), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [120070] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5371), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6006), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [120180] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5373), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5751), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [120290] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5375), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6322), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [120400] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5377), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4931), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [120510] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1872), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1870), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [120570] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5379), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5847), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [120680] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5381), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4932), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [120790] = 28,
    ACTIONS(4142), 1,
      sym__identifier,
    ACTIONS(4144), 1,
      sym_keyword_cast,
    ACTIONS(4146), 1,
      sym_keyword_case,
    ACTIONS(4150), 1,
      sym_keyword_exists,
    ACTIONS(4156), 1,
      sym_keyword_interval,
    ACTIONS(4158), 1,
      sym_keyword_array,
    ACTIONS(4160), 1,
      anon_sym_LPAREN,
    ACTIONS(4164), 1,
      anon_sym_PLUS,
    ACTIONS(4166), 1,
      anon_sym_DASH,
    ACTIONS(4168), 1,
      sym_op_unary_other,
    ACTIONS(4170), 1,
      sym__double_quote_string,
    ACTIONS(4172), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4174), 1,
      aux_sym__integer_token1,
    ACTIONS(4176), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4178), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4180), 1,
      aux_sym_identifier_token1,
    ACTIONS(4182), 1,
      sym__dollar_quoted_string,
    ACTIONS(5383), 1,
      sym_parameter,
    STATE(4784), 1,
      sym_identifier,
    STATE(5245), 1,
      sym_invocation,
    STATE(5722), 1,
      sym__single_quote_string,
    STATE(5732), 1,
      sym__qualified_field,
    STATE(11825), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4154), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4152), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5585), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4487), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [120900] = 28,
    ACTIONS(843), 1,
      sym__identifier,
    ACTIONS(901), 1,
      aux_sym_identifier_token1,
    ACTIONS(4122), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4212), 1,
      sym_keyword_cast,
    ACTIONS(4214), 1,
      sym_keyword_case,
    ACTIONS(4218), 1,
      sym_keyword_exists,
    ACTIONS(4224), 1,
      sym_keyword_interval,
    ACTIONS(4226), 1,
      sym_keyword_array,
    ACTIONS(4228), 1,
      anon_sym_LPAREN,
    ACTIONS(4232), 1,
      anon_sym_PLUS,
    ACTIONS(4234), 1,
      anon_sym_DASH,
    ACTIONS(4236), 1,
      sym_op_unary_other,
    ACTIONS(4238), 1,
      sym__double_quote_string,
    ACTIONS(4240), 1,
      aux_sym__integer_token1,
    ACTIONS(4242), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4244), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4246), 1,
      sym__dollar_quoted_string,
    ACTIONS(5385), 1,
      sym_parameter,
    STATE(1057), 1,
      sym_identifier,
    STATE(2184), 1,
      sym_invocation,
    STATE(2355), 1,
      sym__single_quote_string,
    STATE(2449), 1,
      sym__qualified_field,
    STATE(11882), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4222), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4220), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2384), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(500), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [121010] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5387), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5849), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [121120] = 28,
    ACTIONS(843), 1,
      sym__identifier,
    ACTIONS(901), 1,
      aux_sym_identifier_token1,
    ACTIONS(4122), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4212), 1,
      sym_keyword_cast,
    ACTIONS(4214), 1,
      sym_keyword_case,
    ACTIONS(4218), 1,
      sym_keyword_exists,
    ACTIONS(4224), 1,
      sym_keyword_interval,
    ACTIONS(4226), 1,
      sym_keyword_array,
    ACTIONS(4228), 1,
      anon_sym_LPAREN,
    ACTIONS(4232), 1,
      anon_sym_PLUS,
    ACTIONS(4234), 1,
      anon_sym_DASH,
    ACTIONS(4236), 1,
      sym_op_unary_other,
    ACTIONS(4238), 1,
      sym__double_quote_string,
    ACTIONS(4240), 1,
      aux_sym__integer_token1,
    ACTIONS(4242), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4244), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4246), 1,
      sym__dollar_quoted_string,
    ACTIONS(5389), 1,
      sym_parameter,
    STATE(1057), 1,
      sym_identifier,
    STATE(2184), 1,
      sym_invocation,
    STATE(2355), 1,
      sym__single_quote_string,
    STATE(2449), 1,
      sym__qualified_field,
    STATE(11882), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4222), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4220), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2384), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(520), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [121230] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1802), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1800), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [121290] = 28,
    ACTIONS(1205), 1,
      sym__identifier,
    ACTIONS(1209), 1,
      aux_sym_identifier_token1,
    ACTIONS(2787), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3636), 1,
      sym_keyword_cast,
    ACTIONS(3644), 1,
      sym_keyword_array,
    ACTIONS(3650), 1,
      anon_sym_PLUS,
    ACTIONS(3652), 1,
      anon_sym_DASH,
    ACTIONS(3654), 1,
      sym_op_unary_other,
    ACTIONS(3656), 1,
      sym__double_quote_string,
    ACTIONS(3658), 1,
      aux_sym__integer_token1,
    ACTIONS(3660), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3662), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3664), 1,
      sym__dollar_quoted_string,
    ACTIONS(3722), 1,
      sym_keyword_case,
    ACTIONS(3724), 1,
      sym_keyword_exists,
    ACTIONS(3726), 1,
      sym_keyword_interval,
    ACTIONS(3728), 1,
      anon_sym_LPAREN,
    ACTIONS(5391), 1,
      sym_parameter,
    STATE(425), 1,
      sym_identifier,
    STATE(683), 1,
      sym_invocation,
    STATE(796), 1,
      sym__single_quote_string,
    STATE(883), 1,
      sym__qualified_field,
    STATE(11909), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3642), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3638), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(843), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(299), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [121400] = 28,
    ACTIONS(843), 1,
      sym__identifier,
    ACTIONS(901), 1,
      aux_sym_identifier_token1,
    ACTIONS(4122), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4212), 1,
      sym_keyword_cast,
    ACTIONS(4214), 1,
      sym_keyword_case,
    ACTIONS(4218), 1,
      sym_keyword_exists,
    ACTIONS(4224), 1,
      sym_keyword_interval,
    ACTIONS(4226), 1,
      sym_keyword_array,
    ACTIONS(4228), 1,
      anon_sym_LPAREN,
    ACTIONS(4232), 1,
      anon_sym_PLUS,
    ACTIONS(4234), 1,
      anon_sym_DASH,
    ACTIONS(4236), 1,
      sym_op_unary_other,
    ACTIONS(4238), 1,
      sym__double_quote_string,
    ACTIONS(4240), 1,
      aux_sym__integer_token1,
    ACTIONS(4242), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4244), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4246), 1,
      sym__dollar_quoted_string,
    ACTIONS(5393), 1,
      sym_parameter,
    STATE(1057), 1,
      sym_identifier,
    STATE(2184), 1,
      sym_invocation,
    STATE(2355), 1,
      sym__single_quote_string,
    STATE(2449), 1,
      sym__qualified_field,
    STATE(11882), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4222), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4220), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2384), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(498), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [121510] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5395), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5851), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [121620] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5397), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5874), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [121730] = 29,
    ACTIONS(1289), 1,
      sym__identifier,
    ACTIONS(1347), 1,
      aux_sym_identifier_token1,
    ACTIONS(4012), 1,
      sym_keyword_cast,
    ACTIONS(4014), 1,
      sym_keyword_case,
    ACTIONS(4018), 1,
      sym_keyword_exists,
    ACTIONS(4022), 1,
      sym_keyword_null,
    ACTIONS(4024), 1,
      sym_keyword_interval,
    ACTIONS(4026), 1,
      sym_keyword_array,
    ACTIONS(4028), 1,
      anon_sym_LPAREN,
    ACTIONS(4032), 1,
      anon_sym_PLUS,
    ACTIONS(4034), 1,
      anon_sym_DASH,
    ACTIONS(4036), 1,
      sym_op_unary_other,
    ACTIONS(4038), 1,
      sym__double_quote_string,
    ACTIONS(4040), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4042), 1,
      aux_sym__integer_token1,
    ACTIONS(4044), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4046), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4048), 1,
      sym__dollar_quoted_string,
    ACTIONS(5401), 1,
      sym_parameter,
    STATE(2710), 1,
      sym_identifier,
    STATE(3531), 1,
      sym_invocation,
    STATE(3885), 1,
      sym__single_quote_string,
    STATE(4309), 1,
      sym__qualified_field,
    STATE(11865), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5399), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4020), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3918), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1944), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [121842] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5403), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6195), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [121952] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5405), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5603), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [122062] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5407), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6197), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [122172] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5409), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4958), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [122282] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5411), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5846), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [122392] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5413), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4918), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [122502] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5415), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6205), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [122612] = 28,
    ACTIONS(843), 1,
      sym__identifier,
    ACTIONS(901), 1,
      aux_sym_identifier_token1,
    ACTIONS(4122), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4212), 1,
      sym_keyword_cast,
    ACTIONS(4214), 1,
      sym_keyword_case,
    ACTIONS(4218), 1,
      sym_keyword_exists,
    ACTIONS(4224), 1,
      sym_keyword_interval,
    ACTIONS(4226), 1,
      sym_keyword_array,
    ACTIONS(4228), 1,
      anon_sym_LPAREN,
    ACTIONS(4232), 1,
      anon_sym_PLUS,
    ACTIONS(4234), 1,
      anon_sym_DASH,
    ACTIONS(4236), 1,
      sym_op_unary_other,
    ACTIONS(4238), 1,
      sym__double_quote_string,
    ACTIONS(4240), 1,
      aux_sym__integer_token1,
    ACTIONS(4242), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4244), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4246), 1,
      sym__dollar_quoted_string,
    ACTIONS(5417), 1,
      sym_parameter,
    STATE(1057), 1,
      sym_identifier,
    STATE(2184), 1,
      sym_invocation,
    STATE(2355), 1,
      sym__single_quote_string,
    STATE(2449), 1,
      sym__qualified_field,
    STATE(11882), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4222), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4220), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2384), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(495), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [122722] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5419), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5965), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [122832] = 28,
    ACTIONS(1213), 1,
      sym__identifier,
    ACTIONS(1271), 1,
      aux_sym_identifier_token1,
    ACTIONS(3944), 1,
      sym_keyword_cast,
    ACTIONS(3946), 1,
      sym_keyword_case,
    ACTIONS(3950), 1,
      sym_keyword_exists,
    ACTIONS(3956), 1,
      sym_keyword_interval,
    ACTIONS(3958), 1,
      sym_keyword_array,
    ACTIONS(3960), 1,
      anon_sym_LPAREN,
    ACTIONS(3964), 1,
      anon_sym_PLUS,
    ACTIONS(3966), 1,
      anon_sym_DASH,
    ACTIONS(3968), 1,
      sym_op_unary_other,
    ACTIONS(3970), 1,
      sym__double_quote_string,
    ACTIONS(3972), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3974), 1,
      aux_sym__integer_token1,
    ACTIONS(3976), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3978), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3980), 1,
      sym__dollar_quoted_string,
    ACTIONS(5421), 1,
      sym_parameter,
    STATE(934), 1,
      sym__single_quote_string,
    STATE(5437), 1,
      sym_identifier,
    STATE(6217), 1,
      sym_invocation,
    STATE(6384), 1,
      sym__qualified_field,
    STATE(11941), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3954), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3952), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6390), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4663), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [122942] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5423), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5967), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [123052] = 28,
    ACTIONS(4142), 1,
      sym__identifier,
    ACTIONS(4144), 1,
      sym_keyword_cast,
    ACTIONS(4146), 1,
      sym_keyword_case,
    ACTIONS(4150), 1,
      sym_keyword_exists,
    ACTIONS(4156), 1,
      sym_keyword_interval,
    ACTIONS(4158), 1,
      sym_keyword_array,
    ACTIONS(4160), 1,
      anon_sym_LPAREN,
    ACTIONS(4164), 1,
      anon_sym_PLUS,
    ACTIONS(4166), 1,
      anon_sym_DASH,
    ACTIONS(4168), 1,
      sym_op_unary_other,
    ACTIONS(4170), 1,
      sym__double_quote_string,
    ACTIONS(4172), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4174), 1,
      aux_sym__integer_token1,
    ACTIONS(4176), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4178), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4180), 1,
      aux_sym_identifier_token1,
    ACTIONS(4182), 1,
      sym__dollar_quoted_string,
    ACTIONS(5425), 1,
      sym_parameter,
    STATE(4784), 1,
      sym_identifier,
    STATE(5245), 1,
      sym_invocation,
    STATE(5722), 1,
      sym__single_quote_string,
    STATE(5732), 1,
      sym__qualified_field,
    STATE(11825), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4154), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4152), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5585), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3545), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [123162] = 28,
    ACTIONS(4142), 1,
      sym__identifier,
    ACTIONS(4144), 1,
      sym_keyword_cast,
    ACTIONS(4146), 1,
      sym_keyword_case,
    ACTIONS(4150), 1,
      sym_keyword_exists,
    ACTIONS(4156), 1,
      sym_keyword_interval,
    ACTIONS(4158), 1,
      sym_keyword_array,
    ACTIONS(4160), 1,
      anon_sym_LPAREN,
    ACTIONS(4164), 1,
      anon_sym_PLUS,
    ACTIONS(4166), 1,
      anon_sym_DASH,
    ACTIONS(4168), 1,
      sym_op_unary_other,
    ACTIONS(4170), 1,
      sym__double_quote_string,
    ACTIONS(4172), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4174), 1,
      aux_sym__integer_token1,
    ACTIONS(4176), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4178), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4180), 1,
      aux_sym_identifier_token1,
    ACTIONS(4182), 1,
      sym__dollar_quoted_string,
    ACTIONS(5427), 1,
      sym_parameter,
    STATE(4784), 1,
      sym_identifier,
    STATE(5245), 1,
      sym_invocation,
    STATE(5722), 1,
      sym__single_quote_string,
    STATE(5732), 1,
      sym__qualified_field,
    STATE(11825), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4154), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4152), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5585), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3521), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [123272] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5429), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6198), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [123382] = 28,
    ACTIONS(4142), 1,
      sym__identifier,
    ACTIONS(4144), 1,
      sym_keyword_cast,
    ACTIONS(4146), 1,
      sym_keyword_case,
    ACTIONS(4150), 1,
      sym_keyword_exists,
    ACTIONS(4156), 1,
      sym_keyword_interval,
    ACTIONS(4158), 1,
      sym_keyword_array,
    ACTIONS(4160), 1,
      anon_sym_LPAREN,
    ACTIONS(4162), 1,
      sym_parameter,
    ACTIONS(4164), 1,
      anon_sym_PLUS,
    ACTIONS(4166), 1,
      anon_sym_DASH,
    ACTIONS(4168), 1,
      sym_op_unary_other,
    ACTIONS(4170), 1,
      sym__double_quote_string,
    ACTIONS(4172), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4174), 1,
      aux_sym__integer_token1,
    ACTIONS(4176), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4178), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4180), 1,
      aux_sym_identifier_token1,
    ACTIONS(4182), 1,
      sym__dollar_quoted_string,
    STATE(4784), 1,
      sym_identifier,
    STATE(5245), 1,
      sym_invocation,
    STATE(5722), 1,
      sym__single_quote_string,
    STATE(5732), 1,
      sym__qualified_field,
    STATE(11825), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4154), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4152), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5585), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3486), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [123492] = 28,
    ACTIONS(4142), 1,
      sym__identifier,
    ACTIONS(4144), 1,
      sym_keyword_cast,
    ACTIONS(4146), 1,
      sym_keyword_case,
    ACTIONS(4150), 1,
      sym_keyword_exists,
    ACTIONS(4156), 1,
      sym_keyword_interval,
    ACTIONS(4158), 1,
      sym_keyword_array,
    ACTIONS(4160), 1,
      anon_sym_LPAREN,
    ACTIONS(4164), 1,
      anon_sym_PLUS,
    ACTIONS(4166), 1,
      anon_sym_DASH,
    ACTIONS(4168), 1,
      sym_op_unary_other,
    ACTIONS(4170), 1,
      sym__double_quote_string,
    ACTIONS(4172), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4174), 1,
      aux_sym__integer_token1,
    ACTIONS(4176), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4178), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4180), 1,
      aux_sym_identifier_token1,
    ACTIONS(4182), 1,
      sym__dollar_quoted_string,
    ACTIONS(5431), 1,
      sym_parameter,
    STATE(4784), 1,
      sym_identifier,
    STATE(5245), 1,
      sym_invocation,
    STATE(5722), 1,
      sym__single_quote_string,
    STATE(5732), 1,
      sym__qualified_field,
    STATE(11825), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4154), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4152), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5585), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3433), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [123602] = 28,
    ACTIONS(4142), 1,
      sym__identifier,
    ACTIONS(4144), 1,
      sym_keyword_cast,
    ACTIONS(4146), 1,
      sym_keyword_case,
    ACTIONS(4150), 1,
      sym_keyword_exists,
    ACTIONS(4156), 1,
      sym_keyword_interval,
    ACTIONS(4158), 1,
      sym_keyword_array,
    ACTIONS(4160), 1,
      anon_sym_LPAREN,
    ACTIONS(4164), 1,
      anon_sym_PLUS,
    ACTIONS(4166), 1,
      anon_sym_DASH,
    ACTIONS(4168), 1,
      sym_op_unary_other,
    ACTIONS(4170), 1,
      sym__double_quote_string,
    ACTIONS(4172), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4174), 1,
      aux_sym__integer_token1,
    ACTIONS(4176), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4178), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4180), 1,
      aux_sym_identifier_token1,
    ACTIONS(4182), 1,
      sym__dollar_quoted_string,
    ACTIONS(5433), 1,
      sym_parameter,
    STATE(4784), 1,
      sym_identifier,
    STATE(5245), 1,
      sym_invocation,
    STATE(5722), 1,
      sym__single_quote_string,
    STATE(5732), 1,
      sym__qualified_field,
    STATE(11825), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4154), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4152), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5585), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3480), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [123712] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1836), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1838), 32,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [123772] = 28,
    ACTIONS(4142), 1,
      sym__identifier,
    ACTIONS(4144), 1,
      sym_keyword_cast,
    ACTIONS(4146), 1,
      sym_keyword_case,
    ACTIONS(4150), 1,
      sym_keyword_exists,
    ACTIONS(4156), 1,
      sym_keyword_interval,
    ACTIONS(4158), 1,
      sym_keyword_array,
    ACTIONS(4160), 1,
      anon_sym_LPAREN,
    ACTIONS(4164), 1,
      anon_sym_PLUS,
    ACTIONS(4166), 1,
      anon_sym_DASH,
    ACTIONS(4168), 1,
      sym_op_unary_other,
    ACTIONS(4170), 1,
      sym__double_quote_string,
    ACTIONS(4172), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4174), 1,
      aux_sym__integer_token1,
    ACTIONS(4176), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4178), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4180), 1,
      aux_sym_identifier_token1,
    ACTIONS(4182), 1,
      sym__dollar_quoted_string,
    ACTIONS(5435), 1,
      sym_parameter,
    STATE(4784), 1,
      sym_identifier,
    STATE(5245), 1,
      sym_invocation,
    STATE(5722), 1,
      sym__single_quote_string,
    STATE(5732), 1,
      sym__qualified_field,
    STATE(11825), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4154), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4152), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5585), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3481), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [123882] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1832), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1834), 32,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [123942] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1814), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1816), 32,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [124002] = 28,
    ACTIONS(4142), 1,
      sym__identifier,
    ACTIONS(4144), 1,
      sym_keyword_cast,
    ACTIONS(4146), 1,
      sym_keyword_case,
    ACTIONS(4150), 1,
      sym_keyword_exists,
    ACTIONS(4156), 1,
      sym_keyword_interval,
    ACTIONS(4158), 1,
      sym_keyword_array,
    ACTIONS(4160), 1,
      anon_sym_LPAREN,
    ACTIONS(4164), 1,
      anon_sym_PLUS,
    ACTIONS(4166), 1,
      anon_sym_DASH,
    ACTIONS(4168), 1,
      sym_op_unary_other,
    ACTIONS(4170), 1,
      sym__double_quote_string,
    ACTIONS(4172), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4174), 1,
      aux_sym__integer_token1,
    ACTIONS(4176), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4178), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4180), 1,
      aux_sym_identifier_token1,
    ACTIONS(4182), 1,
      sym__dollar_quoted_string,
    ACTIONS(5437), 1,
      sym_parameter,
    STATE(4784), 1,
      sym_identifier,
    STATE(5245), 1,
      sym_invocation,
    STATE(5722), 1,
      sym__single_quote_string,
    STATE(5732), 1,
      sym__qualified_field,
    STATE(11825), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4154), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4152), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5585), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3488), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [124112] = 28,
    ACTIONS(4142), 1,
      sym__identifier,
    ACTIONS(4144), 1,
      sym_keyword_cast,
    ACTIONS(4146), 1,
      sym_keyword_case,
    ACTIONS(4150), 1,
      sym_keyword_exists,
    ACTIONS(4156), 1,
      sym_keyword_interval,
    ACTIONS(4158), 1,
      sym_keyword_array,
    ACTIONS(4160), 1,
      anon_sym_LPAREN,
    ACTIONS(4164), 1,
      anon_sym_PLUS,
    ACTIONS(4166), 1,
      anon_sym_DASH,
    ACTIONS(4168), 1,
      sym_op_unary_other,
    ACTIONS(4170), 1,
      sym__double_quote_string,
    ACTIONS(4172), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4174), 1,
      aux_sym__integer_token1,
    ACTIONS(4176), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4178), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4180), 1,
      aux_sym_identifier_token1,
    ACTIONS(4182), 1,
      sym__dollar_quoted_string,
    ACTIONS(5439), 1,
      sym_parameter,
    STATE(4784), 1,
      sym_identifier,
    STATE(5245), 1,
      sym_invocation,
    STATE(5722), 1,
      sym__single_quote_string,
    STATE(5732), 1,
      sym__qualified_field,
    STATE(11825), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4154), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4152), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5585), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3583), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [124222] = 28,
    ACTIONS(4142), 1,
      sym__identifier,
    ACTIONS(4144), 1,
      sym_keyword_cast,
    ACTIONS(4146), 1,
      sym_keyword_case,
    ACTIONS(4150), 1,
      sym_keyword_exists,
    ACTIONS(4156), 1,
      sym_keyword_interval,
    ACTIONS(4158), 1,
      sym_keyword_array,
    ACTIONS(4160), 1,
      anon_sym_LPAREN,
    ACTIONS(4164), 1,
      anon_sym_PLUS,
    ACTIONS(4166), 1,
      anon_sym_DASH,
    ACTIONS(4168), 1,
      sym_op_unary_other,
    ACTIONS(4170), 1,
      sym__double_quote_string,
    ACTIONS(4172), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4174), 1,
      aux_sym__integer_token1,
    ACTIONS(4176), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4178), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4180), 1,
      aux_sym_identifier_token1,
    ACTIONS(4182), 1,
      sym__dollar_quoted_string,
    ACTIONS(5441), 1,
      sym_parameter,
    STATE(4784), 1,
      sym_identifier,
    STATE(5245), 1,
      sym_invocation,
    STATE(5722), 1,
      sym__single_quote_string,
    STATE(5732), 1,
      sym__qualified_field,
    STATE(11825), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4154), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4152), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5585), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3639), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [124332] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5443), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5571), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [124442] = 28,
    ACTIONS(4142), 1,
      sym__identifier,
    ACTIONS(4144), 1,
      sym_keyword_cast,
    ACTIONS(4146), 1,
      sym_keyword_case,
    ACTIONS(4150), 1,
      sym_keyword_exists,
    ACTIONS(4156), 1,
      sym_keyword_interval,
    ACTIONS(4158), 1,
      sym_keyword_array,
    ACTIONS(4160), 1,
      anon_sym_LPAREN,
    ACTIONS(4164), 1,
      anon_sym_PLUS,
    ACTIONS(4166), 1,
      anon_sym_DASH,
    ACTIONS(4168), 1,
      sym_op_unary_other,
    ACTIONS(4170), 1,
      sym__double_quote_string,
    ACTIONS(4172), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4174), 1,
      aux_sym__integer_token1,
    ACTIONS(4176), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4178), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4180), 1,
      aux_sym_identifier_token1,
    ACTIONS(4182), 1,
      sym__dollar_quoted_string,
    ACTIONS(5445), 1,
      sym_parameter,
    STATE(4784), 1,
      sym_identifier,
    STATE(5245), 1,
      sym_invocation,
    STATE(5722), 1,
      sym__single_quote_string,
    STATE(5732), 1,
      sym__qualified_field,
    STATE(11825), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4154), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4152), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5585), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3638), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [124552] = 28,
    ACTIONS(4142), 1,
      sym__identifier,
    ACTIONS(4144), 1,
      sym_keyword_cast,
    ACTIONS(4146), 1,
      sym_keyword_case,
    ACTIONS(4150), 1,
      sym_keyword_exists,
    ACTIONS(4156), 1,
      sym_keyword_interval,
    ACTIONS(4158), 1,
      sym_keyword_array,
    ACTIONS(4160), 1,
      anon_sym_LPAREN,
    ACTIONS(4164), 1,
      anon_sym_PLUS,
    ACTIONS(4166), 1,
      anon_sym_DASH,
    ACTIONS(4168), 1,
      sym_op_unary_other,
    ACTIONS(4170), 1,
      sym__double_quote_string,
    ACTIONS(4172), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4174), 1,
      aux_sym__integer_token1,
    ACTIONS(4176), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4178), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4180), 1,
      aux_sym_identifier_token1,
    ACTIONS(4182), 1,
      sym__dollar_quoted_string,
    ACTIONS(5447), 1,
      sym_parameter,
    STATE(4784), 1,
      sym_identifier,
    STATE(5245), 1,
      sym_invocation,
    STATE(5722), 1,
      sym__single_quote_string,
    STATE(5732), 1,
      sym__qualified_field,
    STATE(11825), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4154), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4152), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5585), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3635), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [124662] = 28,
    ACTIONS(4142), 1,
      sym__identifier,
    ACTIONS(4144), 1,
      sym_keyword_cast,
    ACTIONS(4146), 1,
      sym_keyword_case,
    ACTIONS(4150), 1,
      sym_keyword_exists,
    ACTIONS(4156), 1,
      sym_keyword_interval,
    ACTIONS(4158), 1,
      sym_keyword_array,
    ACTIONS(4160), 1,
      anon_sym_LPAREN,
    ACTIONS(4164), 1,
      anon_sym_PLUS,
    ACTIONS(4166), 1,
      anon_sym_DASH,
    ACTIONS(4168), 1,
      sym_op_unary_other,
    ACTIONS(4170), 1,
      sym__double_quote_string,
    ACTIONS(4172), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4174), 1,
      aux_sym__integer_token1,
    ACTIONS(4176), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4178), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4180), 1,
      aux_sym_identifier_token1,
    ACTIONS(4182), 1,
      sym__dollar_quoted_string,
    ACTIONS(5449), 1,
      sym_parameter,
    STATE(4784), 1,
      sym_identifier,
    STATE(5245), 1,
      sym_invocation,
    STATE(5722), 1,
      sym__single_quote_string,
    STATE(5732), 1,
      sym__qualified_field,
    STATE(11825), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4154), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4152), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5585), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3622), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [124772] = 28,
    ACTIONS(1289), 1,
      sym__identifier,
    ACTIONS(1347), 1,
      aux_sym_identifier_token1,
    ACTIONS(4012), 1,
      sym_keyword_cast,
    ACTIONS(4014), 1,
      sym_keyword_case,
    ACTIONS(4018), 1,
      sym_keyword_exists,
    ACTIONS(4024), 1,
      sym_keyword_interval,
    ACTIONS(4026), 1,
      sym_keyword_array,
    ACTIONS(4028), 1,
      anon_sym_LPAREN,
    ACTIONS(4032), 1,
      anon_sym_PLUS,
    ACTIONS(4034), 1,
      anon_sym_DASH,
    ACTIONS(4036), 1,
      sym_op_unary_other,
    ACTIONS(4038), 1,
      sym__double_quote_string,
    ACTIONS(4040), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4042), 1,
      aux_sym__integer_token1,
    ACTIONS(4044), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4046), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4048), 1,
      sym__dollar_quoted_string,
    ACTIONS(5451), 1,
      sym_parameter,
    STATE(2710), 1,
      sym_identifier,
    STATE(3531), 1,
      sym_invocation,
    STATE(3885), 1,
      sym__single_quote_string,
    STATE(4309), 1,
      sym__qualified_field,
    STATE(11865), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4022), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4020), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3918), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1912), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [124882] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1870), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1872), 32,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [124942] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1800), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1802), 32,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [125002] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5453), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6199), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [125112] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5455), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4979), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [125222] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(5457), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(4378), 1,
      sym_identifier,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4407), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [125332] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(5459), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(4378), 1,
      sym_identifier,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4511), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [125442] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(5461), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(4378), 1,
      sym_identifier,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4384), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [125552] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(5463), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(4378), 1,
      sym_identifier,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4383), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [125662] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(5465), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(4378), 1,
      sym_identifier,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4380), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [125772] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(5467), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(4378), 1,
      sym_identifier,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4377), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [125882] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1818), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1820), 32,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [125942] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1820), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1818), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [126002] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5469), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5981), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [126112] = 6,
    ACTIONS(5471), 1,
      sym_keyword_unsigned,
    ACTIONS(5473), 1,
      sym_keyword_zerofill,
    ACTIONS(5475), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1824), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1822), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [126178] = 6,
    ACTIONS(5477), 1,
      sym_keyword_unsigned,
    ACTIONS(5479), 1,
      sym_keyword_zerofill,
    ACTIONS(5481), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1822), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1824), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [126244] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4436), 1,
      anon_sym_LPAREN,
    ACTIONS(5483), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5871), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [126354] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5485), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4981), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [126464] = 28,
    ACTIONS(1213), 1,
      sym__identifier,
    ACTIONS(1271), 1,
      aux_sym_identifier_token1,
    ACTIONS(3944), 1,
      sym_keyword_cast,
    ACTIONS(3946), 1,
      sym_keyword_case,
    ACTIONS(3950), 1,
      sym_keyword_exists,
    ACTIONS(3956), 1,
      sym_keyword_interval,
    ACTIONS(3958), 1,
      sym_keyword_array,
    ACTIONS(3960), 1,
      anon_sym_LPAREN,
    ACTIONS(3964), 1,
      anon_sym_PLUS,
    ACTIONS(3966), 1,
      anon_sym_DASH,
    ACTIONS(3968), 1,
      sym_op_unary_other,
    ACTIONS(3970), 1,
      sym__double_quote_string,
    ACTIONS(3972), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3974), 1,
      aux_sym__integer_token1,
    ACTIONS(3976), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3978), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3980), 1,
      sym__dollar_quoted_string,
    ACTIONS(5487), 1,
      sym_parameter,
    STATE(934), 1,
      sym__single_quote_string,
    STATE(5437), 1,
      sym_identifier,
    STATE(6217), 1,
      sym_invocation,
    STATE(6384), 1,
      sym__qualified_field,
    STATE(11941), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3954), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3952), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6390), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4717), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [126574] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5489), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5855), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [126684] = 18,
    ACTIONS(2394), 1,
      anon_sym_COLON,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5491), 1,
      sym_keyword_not,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2392), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [126774] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(5494), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(4378), 1,
      sym_identifier,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4371), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [126884] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(5496), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(4378), 1,
      sym_identifier,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4370), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [126994] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(5498), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(4378), 1,
      sym_identifier,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4369), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [127104] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(5500), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(4378), 1,
      sym_identifier,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4368), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [127214] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(4378), 1,
      sym_identifier,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4382), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [127324] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4440), 1,
      anon_sym_LPAREN,
    ACTIONS(5502), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5795), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [127434] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4436), 1,
      anon_sym_LPAREN,
    ACTIONS(5504), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6084), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [127544] = 6,
    ACTIONS(5506), 1,
      sym_keyword_unsigned,
    ACTIONS(5508), 1,
      sym_keyword_zerofill,
    ACTIONS(5510), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1842), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1840), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [127610] = 8,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2394), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [127680] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5512), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5988), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [127790] = 28,
    ACTIONS(527), 1,
      sym__identifier,
    ACTIONS(585), 1,
      aux_sym_identifier_token1,
    ACTIONS(3906), 1,
      sym_keyword_cast,
    ACTIONS(3908), 1,
      sym_keyword_case,
    ACTIONS(3912), 1,
      sym_keyword_exists,
    ACTIONS(3918), 1,
      sym_keyword_interval,
    ACTIONS(3920), 1,
      sym_keyword_array,
    ACTIONS(3922), 1,
      anon_sym_LPAREN,
    ACTIONS(3926), 1,
      anon_sym_PLUS,
    ACTIONS(3928), 1,
      anon_sym_DASH,
    ACTIONS(3930), 1,
      sym_op_unary_other,
    ACTIONS(3932), 1,
      sym__double_quote_string,
    ACTIONS(3934), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3936), 1,
      aux_sym__integer_token1,
    ACTIONS(3938), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3940), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3942), 1,
      sym__dollar_quoted_string,
    ACTIONS(5514), 1,
      sym_parameter,
    STATE(416), 1,
      sym__single_quote_string,
    STATE(3035), 1,
      sym_identifier,
    STATE(4140), 1,
      sym_invocation,
    STATE(4464), 1,
      sym__qualified_field,
    STATE(11831), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3916), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3914), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4446), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2772), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [127900] = 11,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2394), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [127976] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5516), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5990), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [128086] = 6,
    ACTIONS(5518), 1,
      sym_keyword_unsigned,
    ACTIONS(5520), 1,
      sym_keyword_zerofill,
    ACTIONS(5522), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1876), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1874), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [128152] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5524), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6200), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [128262] = 6,
    ACTIONS(5526), 1,
      sym_keyword_unsigned,
    ACTIONS(5528), 1,
      sym_keyword_zerofill,
    ACTIONS(5530), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1806), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1804), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [128328] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5532), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5541), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [128438] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5534), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6196), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [128548] = 29,
    ACTIONS(843), 1,
      sym__identifier,
    ACTIONS(901), 1,
      aux_sym_identifier_token1,
    ACTIONS(4122), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4212), 1,
      sym_keyword_cast,
    ACTIONS(4214), 1,
      sym_keyword_case,
    ACTIONS(4218), 1,
      sym_keyword_exists,
    ACTIONS(4222), 1,
      sym_keyword_null,
    ACTIONS(4224), 1,
      sym_keyword_interval,
    ACTIONS(4226), 1,
      sym_keyword_array,
    ACTIONS(4228), 1,
      anon_sym_LPAREN,
    ACTIONS(4232), 1,
      anon_sym_PLUS,
    ACTIONS(4234), 1,
      anon_sym_DASH,
    ACTIONS(4236), 1,
      sym_op_unary_other,
    ACTIONS(4238), 1,
      sym__double_quote_string,
    ACTIONS(4240), 1,
      aux_sym__integer_token1,
    ACTIONS(4242), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4244), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4246), 1,
      sym__dollar_quoted_string,
    ACTIONS(5536), 1,
      sym_parameter,
    STATE(1057), 1,
      sym_identifier,
    STATE(2184), 1,
      sym_invocation,
    STATE(2355), 1,
      sym__single_quote_string,
    STATE(2449), 1,
      sym__qualified_field,
    STATE(11882), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5077), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4220), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2384), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(684), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [128660] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5538), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5009), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [128770] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5540), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6007), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [128880] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5542), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5011), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [128990] = 28,
    ACTIONS(527), 1,
      sym__identifier,
    ACTIONS(585), 1,
      aux_sym_identifier_token1,
    ACTIONS(3906), 1,
      sym_keyword_cast,
    ACTIONS(3908), 1,
      sym_keyword_case,
    ACTIONS(3912), 1,
      sym_keyword_exists,
    ACTIONS(3918), 1,
      sym_keyword_interval,
    ACTIONS(3920), 1,
      sym_keyword_array,
    ACTIONS(3922), 1,
      anon_sym_LPAREN,
    ACTIONS(3926), 1,
      anon_sym_PLUS,
    ACTIONS(3928), 1,
      anon_sym_DASH,
    ACTIONS(3930), 1,
      sym_op_unary_other,
    ACTIONS(3932), 1,
      sym__double_quote_string,
    ACTIONS(3934), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3936), 1,
      aux_sym__integer_token1,
    ACTIONS(3938), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3940), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3942), 1,
      sym__dollar_quoted_string,
    ACTIONS(5544), 1,
      sym_parameter,
    STATE(416), 1,
      sym__single_quote_string,
    STATE(3035), 1,
      sym_identifier,
    STATE(4140), 1,
      sym_invocation,
    STATE(4464), 1,
      sym__qualified_field,
    STATE(11831), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3916), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3914), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4446), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2109), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [129100] = 28,
    ACTIONS(527), 1,
      sym__identifier,
    ACTIONS(585), 1,
      aux_sym_identifier_token1,
    ACTIONS(3906), 1,
      sym_keyword_cast,
    ACTIONS(3908), 1,
      sym_keyword_case,
    ACTIONS(3912), 1,
      sym_keyword_exists,
    ACTIONS(3918), 1,
      sym_keyword_interval,
    ACTIONS(3920), 1,
      sym_keyword_array,
    ACTIONS(3922), 1,
      anon_sym_LPAREN,
    ACTIONS(3926), 1,
      anon_sym_PLUS,
    ACTIONS(3928), 1,
      anon_sym_DASH,
    ACTIONS(3930), 1,
      sym_op_unary_other,
    ACTIONS(3932), 1,
      sym__double_quote_string,
    ACTIONS(3934), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3936), 1,
      aux_sym__integer_token1,
    ACTIONS(3938), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3940), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3942), 1,
      sym__dollar_quoted_string,
    ACTIONS(5546), 1,
      sym_parameter,
    STATE(416), 1,
      sym__single_quote_string,
    STATE(3035), 1,
      sym_identifier,
    STATE(4140), 1,
      sym_invocation,
    STATE(4464), 1,
      sym__qualified_field,
    STATE(11831), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3916), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3914), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4446), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2232), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [129210] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5548), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6008), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [129320] = 28,
    ACTIONS(527), 1,
      sym__identifier,
    ACTIONS(585), 1,
      aux_sym_identifier_token1,
    ACTIONS(3906), 1,
      sym_keyword_cast,
    ACTIONS(3908), 1,
      sym_keyword_case,
    ACTIONS(3912), 1,
      sym_keyword_exists,
    ACTIONS(3918), 1,
      sym_keyword_interval,
    ACTIONS(3920), 1,
      sym_keyword_array,
    ACTIONS(3922), 1,
      anon_sym_LPAREN,
    ACTIONS(3924), 1,
      sym_parameter,
    ACTIONS(3926), 1,
      anon_sym_PLUS,
    ACTIONS(3928), 1,
      anon_sym_DASH,
    ACTIONS(3930), 1,
      sym_op_unary_other,
    ACTIONS(3932), 1,
      sym__double_quote_string,
    ACTIONS(3934), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3936), 1,
      aux_sym__integer_token1,
    ACTIONS(3938), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3940), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3942), 1,
      sym__dollar_quoted_string,
    STATE(416), 1,
      sym__single_quote_string,
    STATE(3035), 1,
      sym_identifier,
    STATE(4140), 1,
      sym_invocation,
    STATE(4464), 1,
      sym__qualified_field,
    STATE(11831), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3916), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3914), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4446), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2330), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [129430] = 28,
    ACTIONS(527), 1,
      sym__identifier,
    ACTIONS(585), 1,
      aux_sym_identifier_token1,
    ACTIONS(3906), 1,
      sym_keyword_cast,
    ACTIONS(3908), 1,
      sym_keyword_case,
    ACTIONS(3912), 1,
      sym_keyword_exists,
    ACTIONS(3918), 1,
      sym_keyword_interval,
    ACTIONS(3920), 1,
      sym_keyword_array,
    ACTIONS(3922), 1,
      anon_sym_LPAREN,
    ACTIONS(3926), 1,
      anon_sym_PLUS,
    ACTIONS(3928), 1,
      anon_sym_DASH,
    ACTIONS(3930), 1,
      sym_op_unary_other,
    ACTIONS(3932), 1,
      sym__double_quote_string,
    ACTIONS(3934), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3936), 1,
      aux_sym__integer_token1,
    ACTIONS(3938), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3940), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3942), 1,
      sym__dollar_quoted_string,
    ACTIONS(5550), 1,
      sym_parameter,
    STATE(416), 1,
      sym__single_quote_string,
    STATE(3035), 1,
      sym_identifier,
    STATE(4140), 1,
      sym_invocation,
    STATE(4464), 1,
      sym__qualified_field,
    STATE(11831), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3916), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3914), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4446), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2310), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [129540] = 28,
    ACTIONS(527), 1,
      sym__identifier,
    ACTIONS(585), 1,
      aux_sym_identifier_token1,
    ACTIONS(3906), 1,
      sym_keyword_cast,
    ACTIONS(3908), 1,
      sym_keyword_case,
    ACTIONS(3912), 1,
      sym_keyword_exists,
    ACTIONS(3918), 1,
      sym_keyword_interval,
    ACTIONS(3920), 1,
      sym_keyword_array,
    ACTIONS(3922), 1,
      anon_sym_LPAREN,
    ACTIONS(3926), 1,
      anon_sym_PLUS,
    ACTIONS(3928), 1,
      anon_sym_DASH,
    ACTIONS(3930), 1,
      sym_op_unary_other,
    ACTIONS(3932), 1,
      sym__double_quote_string,
    ACTIONS(3934), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3936), 1,
      aux_sym__integer_token1,
    ACTIONS(3938), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3940), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3942), 1,
      sym__dollar_quoted_string,
    ACTIONS(5552), 1,
      sym_parameter,
    STATE(416), 1,
      sym__single_quote_string,
    STATE(3035), 1,
      sym_identifier,
    STATE(4140), 1,
      sym_invocation,
    STATE(4464), 1,
      sym__qualified_field,
    STATE(11831), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3916), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3914), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4446), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2309), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [129650] = 6,
    ACTIONS(5554), 1,
      sym_keyword_unsigned,
    ACTIONS(5556), 1,
      sym_keyword_zerofill,
    ACTIONS(5558), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1890), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1888), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [129716] = 28,
    ACTIONS(527), 1,
      sym__identifier,
    ACTIONS(585), 1,
      aux_sym_identifier_token1,
    ACTIONS(3906), 1,
      sym_keyword_cast,
    ACTIONS(3908), 1,
      sym_keyword_case,
    ACTIONS(3912), 1,
      sym_keyword_exists,
    ACTIONS(3918), 1,
      sym_keyword_interval,
    ACTIONS(3920), 1,
      sym_keyword_array,
    ACTIONS(3922), 1,
      anon_sym_LPAREN,
    ACTIONS(3926), 1,
      anon_sym_PLUS,
    ACTIONS(3928), 1,
      anon_sym_DASH,
    ACTIONS(3930), 1,
      sym_op_unary_other,
    ACTIONS(3932), 1,
      sym__double_quote_string,
    ACTIONS(3934), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3936), 1,
      aux_sym__integer_token1,
    ACTIONS(3938), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3940), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3942), 1,
      sym__dollar_quoted_string,
    ACTIONS(5560), 1,
      sym_parameter,
    STATE(416), 1,
      sym__single_quote_string,
    STATE(3035), 1,
      sym_identifier,
    STATE(4140), 1,
      sym_invocation,
    STATE(4464), 1,
      sym__qualified_field,
    STATE(11831), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3916), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3914), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4446), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2308), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [129826] = 28,
    ACTIONS(527), 1,
      sym__identifier,
    ACTIONS(585), 1,
      aux_sym_identifier_token1,
    ACTIONS(3906), 1,
      sym_keyword_cast,
    ACTIONS(3908), 1,
      sym_keyword_case,
    ACTIONS(3912), 1,
      sym_keyword_exists,
    ACTIONS(3918), 1,
      sym_keyword_interval,
    ACTIONS(3920), 1,
      sym_keyword_array,
    ACTIONS(3922), 1,
      anon_sym_LPAREN,
    ACTIONS(3926), 1,
      anon_sym_PLUS,
    ACTIONS(3928), 1,
      anon_sym_DASH,
    ACTIONS(3930), 1,
      sym_op_unary_other,
    ACTIONS(3932), 1,
      sym__double_quote_string,
    ACTIONS(3934), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3936), 1,
      aux_sym__integer_token1,
    ACTIONS(3938), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3940), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3942), 1,
      sym__dollar_quoted_string,
    ACTIONS(5562), 1,
      sym_parameter,
    STATE(416), 1,
      sym__single_quote_string,
    STATE(3035), 1,
      sym_identifier,
    STATE(4140), 1,
      sym_invocation,
    STATE(4464), 1,
      sym__qualified_field,
    STATE(11831), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3916), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3914), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4446), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2307), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [129936] = 28,
    ACTIONS(527), 1,
      sym__identifier,
    ACTIONS(585), 1,
      aux_sym_identifier_token1,
    ACTIONS(3906), 1,
      sym_keyword_cast,
    ACTIONS(3908), 1,
      sym_keyword_case,
    ACTIONS(3912), 1,
      sym_keyword_exists,
    ACTIONS(3918), 1,
      sym_keyword_interval,
    ACTIONS(3920), 1,
      sym_keyword_array,
    ACTIONS(3922), 1,
      anon_sym_LPAREN,
    ACTIONS(3926), 1,
      anon_sym_PLUS,
    ACTIONS(3928), 1,
      anon_sym_DASH,
    ACTIONS(3930), 1,
      sym_op_unary_other,
    ACTIONS(3932), 1,
      sym__double_quote_string,
    ACTIONS(3934), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3936), 1,
      aux_sym__integer_token1,
    ACTIONS(3938), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3940), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3942), 1,
      sym__dollar_quoted_string,
    ACTIONS(5564), 1,
      sym_parameter,
    STATE(416), 1,
      sym__single_quote_string,
    STATE(3035), 1,
      sym_identifier,
    STATE(4140), 1,
      sym_invocation,
    STATE(4464), 1,
      sym__qualified_field,
    STATE(11831), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3916), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3914), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4446), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2206), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [130046] = 28,
    ACTIONS(527), 1,
      sym__identifier,
    ACTIONS(585), 1,
      aux_sym_identifier_token1,
    ACTIONS(3906), 1,
      sym_keyword_cast,
    ACTIONS(3908), 1,
      sym_keyword_case,
    ACTIONS(3912), 1,
      sym_keyword_exists,
    ACTIONS(3918), 1,
      sym_keyword_interval,
    ACTIONS(3920), 1,
      sym_keyword_array,
    ACTIONS(3922), 1,
      anon_sym_LPAREN,
    ACTIONS(3926), 1,
      anon_sym_PLUS,
    ACTIONS(3928), 1,
      anon_sym_DASH,
    ACTIONS(3930), 1,
      sym_op_unary_other,
    ACTIONS(3932), 1,
      sym__double_quote_string,
    ACTIONS(3934), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3936), 1,
      aux_sym__integer_token1,
    ACTIONS(3938), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3940), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3942), 1,
      sym__dollar_quoted_string,
    ACTIONS(5566), 1,
      sym_parameter,
    STATE(416), 1,
      sym__single_quote_string,
    STATE(3035), 1,
      sym_identifier,
    STATE(4140), 1,
      sym_invocation,
    STATE(4464), 1,
      sym__qualified_field,
    STATE(11831), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3916), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3914), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4446), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2204), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [130156] = 28,
    ACTIONS(1205), 1,
      sym__identifier,
    ACTIONS(1209), 1,
      aux_sym_identifier_token1,
    ACTIONS(2787), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3636), 1,
      sym_keyword_cast,
    ACTIONS(3644), 1,
      sym_keyword_array,
    ACTIONS(3650), 1,
      anon_sym_PLUS,
    ACTIONS(3652), 1,
      anon_sym_DASH,
    ACTIONS(3654), 1,
      sym_op_unary_other,
    ACTIONS(3656), 1,
      sym__double_quote_string,
    ACTIONS(3658), 1,
      aux_sym__integer_token1,
    ACTIONS(3660), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3662), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3664), 1,
      sym__dollar_quoted_string,
    ACTIONS(3722), 1,
      sym_keyword_case,
    ACTIONS(3724), 1,
      sym_keyword_exists,
    ACTIONS(3726), 1,
      sym_keyword_interval,
    ACTIONS(3728), 1,
      anon_sym_LPAREN,
    ACTIONS(5568), 1,
      sym_parameter,
    STATE(425), 1,
      sym_identifier,
    STATE(683), 1,
      sym_invocation,
    STATE(796), 1,
      sym__single_quote_string,
    STATE(883), 1,
      sym__qualified_field,
    STATE(11909), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3642), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3638), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(843), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(303), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [130266] = 28,
    ACTIONS(527), 1,
      sym__identifier,
    ACTIONS(585), 1,
      aux_sym_identifier_token1,
    ACTIONS(3906), 1,
      sym_keyword_cast,
    ACTIONS(3908), 1,
      sym_keyword_case,
    ACTIONS(3912), 1,
      sym_keyword_exists,
    ACTIONS(3918), 1,
      sym_keyword_interval,
    ACTIONS(3920), 1,
      sym_keyword_array,
    ACTIONS(3922), 1,
      anon_sym_LPAREN,
    ACTIONS(3926), 1,
      anon_sym_PLUS,
    ACTIONS(3928), 1,
      anon_sym_DASH,
    ACTIONS(3930), 1,
      sym_op_unary_other,
    ACTIONS(3932), 1,
      sym__double_quote_string,
    ACTIONS(3934), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3936), 1,
      aux_sym__integer_token1,
    ACTIONS(3938), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3940), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3942), 1,
      sym__dollar_quoted_string,
    ACTIONS(5570), 1,
      sym_parameter,
    STATE(416), 1,
      sym__single_quote_string,
    STATE(3035), 1,
      sym_identifier,
    STATE(4140), 1,
      sym_invocation,
    STATE(4464), 1,
      sym__qualified_field,
    STATE(11831), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3916), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3914), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4446), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2121), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [130376] = 28,
    ACTIONS(527), 1,
      sym__identifier,
    ACTIONS(585), 1,
      aux_sym_identifier_token1,
    ACTIONS(3906), 1,
      sym_keyword_cast,
    ACTIONS(3908), 1,
      sym_keyword_case,
    ACTIONS(3912), 1,
      sym_keyword_exists,
    ACTIONS(3918), 1,
      sym_keyword_interval,
    ACTIONS(3920), 1,
      sym_keyword_array,
    ACTIONS(3922), 1,
      anon_sym_LPAREN,
    ACTIONS(3926), 1,
      anon_sym_PLUS,
    ACTIONS(3928), 1,
      anon_sym_DASH,
    ACTIONS(3930), 1,
      sym_op_unary_other,
    ACTIONS(3932), 1,
      sym__double_quote_string,
    ACTIONS(3934), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3936), 1,
      aux_sym__integer_token1,
    ACTIONS(3938), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3940), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3942), 1,
      sym__dollar_quoted_string,
    ACTIONS(5572), 1,
      sym_parameter,
    STATE(416), 1,
      sym__single_quote_string,
    STATE(3035), 1,
      sym_identifier,
    STATE(4140), 1,
      sym_invocation,
    STATE(4464), 1,
      sym__qualified_field,
    STATE(11831), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3916), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3914), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4446), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2202), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [130486] = 28,
    ACTIONS(527), 1,
      sym__identifier,
    ACTIONS(585), 1,
      aux_sym_identifier_token1,
    ACTIONS(3906), 1,
      sym_keyword_cast,
    ACTIONS(3908), 1,
      sym_keyword_case,
    ACTIONS(3912), 1,
      sym_keyword_exists,
    ACTIONS(3918), 1,
      sym_keyword_interval,
    ACTIONS(3920), 1,
      sym_keyword_array,
    ACTIONS(3922), 1,
      anon_sym_LPAREN,
    ACTIONS(3926), 1,
      anon_sym_PLUS,
    ACTIONS(3928), 1,
      anon_sym_DASH,
    ACTIONS(3930), 1,
      sym_op_unary_other,
    ACTIONS(3932), 1,
      sym__double_quote_string,
    ACTIONS(3934), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3936), 1,
      aux_sym__integer_token1,
    ACTIONS(3938), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3940), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3942), 1,
      sym__dollar_quoted_string,
    ACTIONS(5574), 1,
      sym_parameter,
    STATE(416), 1,
      sym__single_quote_string,
    STATE(3035), 1,
      sym_identifier,
    STATE(4140), 1,
      sym_invocation,
    STATE(4464), 1,
      sym__qualified_field,
    STATE(11831), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3916), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3914), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4446), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2261), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [130596] = 28,
    ACTIONS(843), 1,
      sym__identifier,
    ACTIONS(901), 1,
      aux_sym_identifier_token1,
    ACTIONS(4122), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4212), 1,
      sym_keyword_cast,
    ACTIONS(4214), 1,
      sym_keyword_case,
    ACTIONS(4218), 1,
      sym_keyword_exists,
    ACTIONS(4224), 1,
      sym_keyword_interval,
    ACTIONS(4226), 1,
      sym_keyword_array,
    ACTIONS(4228), 1,
      anon_sym_LPAREN,
    ACTIONS(4232), 1,
      anon_sym_PLUS,
    ACTIONS(4234), 1,
      anon_sym_DASH,
    ACTIONS(4236), 1,
      sym_op_unary_other,
    ACTIONS(4238), 1,
      sym__double_quote_string,
    ACTIONS(4240), 1,
      aux_sym__integer_token1,
    ACTIONS(4242), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4244), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4246), 1,
      sym__dollar_quoted_string,
    ACTIONS(5576), 1,
      sym_parameter,
    STATE(1057), 1,
      sym_identifier,
    STATE(2184), 1,
      sym_invocation,
    STATE(2355), 1,
      sym__single_quote_string,
    STATE(2449), 1,
      sym__qualified_field,
    STATE(11882), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4222), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4220), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2384), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(524), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [130706] = 28,
    ACTIONS(1213), 1,
      sym__identifier,
    ACTIONS(1271), 1,
      aux_sym_identifier_token1,
    ACTIONS(3944), 1,
      sym_keyword_cast,
    ACTIONS(3946), 1,
      sym_keyword_case,
    ACTIONS(3950), 1,
      sym_keyword_exists,
    ACTIONS(3956), 1,
      sym_keyword_interval,
    ACTIONS(3958), 1,
      sym_keyword_array,
    ACTIONS(3960), 1,
      anon_sym_LPAREN,
    ACTIONS(3964), 1,
      anon_sym_PLUS,
    ACTIONS(3966), 1,
      anon_sym_DASH,
    ACTIONS(3968), 1,
      sym_op_unary_other,
    ACTIONS(3970), 1,
      sym__double_quote_string,
    ACTIONS(3972), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3974), 1,
      aux_sym__integer_token1,
    ACTIONS(3976), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3978), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3980), 1,
      sym__dollar_quoted_string,
    ACTIONS(5578), 1,
      sym_parameter,
    STATE(934), 1,
      sym__single_quote_string,
    STATE(5437), 1,
      sym_identifier,
    STATE(6217), 1,
      sym_invocation,
    STATE(6384), 1,
      sym__qualified_field,
    STATE(11941), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3954), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3952), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6390), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4704), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [130816] = 28,
    ACTIONS(587), 1,
      sym__identifier,
    ACTIONS(645), 1,
      aux_sym_identifier_token1,
    ACTIONS(4248), 1,
      sym_keyword_cast,
    ACTIONS(4250), 1,
      sym_keyword_case,
    ACTIONS(4254), 1,
      sym_keyword_exists,
    ACTIONS(4260), 1,
      sym_keyword_interval,
    ACTIONS(4262), 1,
      sym_keyword_array,
    ACTIONS(4264), 1,
      anon_sym_LPAREN,
    ACTIONS(4268), 1,
      anon_sym_PLUS,
    ACTIONS(4270), 1,
      anon_sym_DASH,
    ACTIONS(4272), 1,
      sym_op_unary_other,
    ACTIONS(4274), 1,
      sym__double_quote_string,
    ACTIONS(4276), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4278), 1,
      aux_sym__integer_token1,
    ACTIONS(4280), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4282), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4284), 1,
      sym__dollar_quoted_string,
    ACTIONS(5580), 1,
      sym_parameter,
    STATE(2958), 1,
      sym_identifier,
    STATE(4144), 1,
      sym_invocation,
    STATE(4381), 1,
      sym__single_quote_string,
    STATE(4431), 1,
      sym__qualified_field,
    STATE(11807), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4258), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4256), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4564), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2177), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [130926] = 28,
    ACTIONS(1205), 1,
      sym__identifier,
    ACTIONS(1209), 1,
      aux_sym_identifier_token1,
    ACTIONS(2787), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3636), 1,
      sym_keyword_cast,
    ACTIONS(3644), 1,
      sym_keyword_array,
    ACTIONS(3650), 1,
      anon_sym_PLUS,
    ACTIONS(3652), 1,
      anon_sym_DASH,
    ACTIONS(3654), 1,
      sym_op_unary_other,
    ACTIONS(3656), 1,
      sym__double_quote_string,
    ACTIONS(3658), 1,
      aux_sym__integer_token1,
    ACTIONS(3660), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3662), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3664), 1,
      sym__dollar_quoted_string,
    ACTIONS(3722), 1,
      sym_keyword_case,
    ACTIONS(3724), 1,
      sym_keyword_exists,
    ACTIONS(3726), 1,
      sym_keyword_interval,
    ACTIONS(3728), 1,
      anon_sym_LPAREN,
    ACTIONS(5582), 1,
      sym_parameter,
    STATE(425), 1,
      sym_identifier,
    STATE(683), 1,
      sym_invocation,
    STATE(796), 1,
      sym__single_quote_string,
    STATE(883), 1,
      sym__qualified_field,
    STATE(11909), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3642), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3638), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(843), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(296), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [131036] = 28,
    ACTIONS(587), 1,
      sym__identifier,
    ACTIONS(645), 1,
      aux_sym_identifier_token1,
    ACTIONS(4248), 1,
      sym_keyword_cast,
    ACTIONS(4250), 1,
      sym_keyword_case,
    ACTIONS(4254), 1,
      sym_keyword_exists,
    ACTIONS(4260), 1,
      sym_keyword_interval,
    ACTIONS(4262), 1,
      sym_keyword_array,
    ACTIONS(4264), 1,
      anon_sym_LPAREN,
    ACTIONS(4268), 1,
      anon_sym_PLUS,
    ACTIONS(4270), 1,
      anon_sym_DASH,
    ACTIONS(4272), 1,
      sym_op_unary_other,
    ACTIONS(4274), 1,
      sym__double_quote_string,
    ACTIONS(4276), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4278), 1,
      aux_sym__integer_token1,
    ACTIONS(4280), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4282), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4284), 1,
      sym__dollar_quoted_string,
    ACTIONS(5584), 1,
      sym_parameter,
    STATE(2958), 1,
      sym_identifier,
    STATE(4144), 1,
      sym_invocation,
    STATE(4381), 1,
      sym__single_quote_string,
    STATE(4431), 1,
      sym__qualified_field,
    STATE(11807), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4258), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4256), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4564), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2155), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [131146] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5586), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6009), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [131256] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5588), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5955), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [131366] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5590), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6203), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [131476] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5592), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5536), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [131586] = 28,
    ACTIONS(1205), 1,
      sym__identifier,
    ACTIONS(1209), 1,
      aux_sym_identifier_token1,
    ACTIONS(2787), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3636), 1,
      sym_keyword_cast,
    ACTIONS(3644), 1,
      sym_keyword_array,
    ACTIONS(3650), 1,
      anon_sym_PLUS,
    ACTIONS(3652), 1,
      anon_sym_DASH,
    ACTIONS(3654), 1,
      sym_op_unary_other,
    ACTIONS(3656), 1,
      sym__double_quote_string,
    ACTIONS(3658), 1,
      aux_sym__integer_token1,
    ACTIONS(3660), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3662), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3664), 1,
      sym__dollar_quoted_string,
    ACTIONS(3722), 1,
      sym_keyword_case,
    ACTIONS(3724), 1,
      sym_keyword_exists,
    ACTIONS(3726), 1,
      sym_keyword_interval,
    ACTIONS(3728), 1,
      anon_sym_LPAREN,
    ACTIONS(5594), 1,
      sym_parameter,
    STATE(425), 1,
      sym_identifier,
    STATE(683), 1,
      sym_invocation,
    STATE(796), 1,
      sym__single_quote_string,
    STATE(883), 1,
      sym__qualified_field,
    STATE(11909), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3642), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3638), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(843), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(300), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [131696] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5596), 1,
      anon_sym_LPAREN,
    ACTIONS(5598), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5199), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [131806] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5600), 1,
      anon_sym_LPAREN,
    ACTIONS(5602), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5216), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [131916] = 28,
    ACTIONS(587), 1,
      sym__identifier,
    ACTIONS(645), 1,
      aux_sym_identifier_token1,
    ACTIONS(4248), 1,
      sym_keyword_cast,
    ACTIONS(4250), 1,
      sym_keyword_case,
    ACTIONS(4254), 1,
      sym_keyword_exists,
    ACTIONS(4260), 1,
      sym_keyword_interval,
    ACTIONS(4262), 1,
      sym_keyword_array,
    ACTIONS(4264), 1,
      anon_sym_LPAREN,
    ACTIONS(4268), 1,
      anon_sym_PLUS,
    ACTIONS(4270), 1,
      anon_sym_DASH,
    ACTIONS(4272), 1,
      sym_op_unary_other,
    ACTIONS(4274), 1,
      sym__double_quote_string,
    ACTIONS(4276), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4278), 1,
      aux_sym__integer_token1,
    ACTIONS(4280), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4282), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4284), 1,
      sym__dollar_quoted_string,
    ACTIONS(5604), 1,
      sym_parameter,
    STATE(2958), 1,
      sym_identifier,
    STATE(4144), 1,
      sym_invocation,
    STATE(4381), 1,
      sym__single_quote_string,
    STATE(4431), 1,
      sym__qualified_field,
    STATE(11807), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4258), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4256), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4564), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2144), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [132026] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5606), 1,
      anon_sym_LPAREN,
    ACTIONS(5608), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5230), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [132136] = 28,
    ACTIONS(1205), 1,
      sym__identifier,
    ACTIONS(1209), 1,
      aux_sym_identifier_token1,
    ACTIONS(2787), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3636), 1,
      sym_keyword_cast,
    ACTIONS(3644), 1,
      sym_keyword_array,
    ACTIONS(3650), 1,
      anon_sym_PLUS,
    ACTIONS(3652), 1,
      anon_sym_DASH,
    ACTIONS(3654), 1,
      sym_op_unary_other,
    ACTIONS(3656), 1,
      sym__double_quote_string,
    ACTIONS(3658), 1,
      aux_sym__integer_token1,
    ACTIONS(3660), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3662), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3664), 1,
      sym__dollar_quoted_string,
    ACTIONS(3722), 1,
      sym_keyword_case,
    ACTIONS(3724), 1,
      sym_keyword_exists,
    ACTIONS(3726), 1,
      sym_keyword_interval,
    ACTIONS(3728), 1,
      anon_sym_LPAREN,
    ACTIONS(5610), 1,
      sym_parameter,
    STATE(425), 1,
      sym_identifier,
    STATE(683), 1,
      sym_invocation,
    STATE(796), 1,
      sym__single_quote_string,
    STATE(883), 1,
      sym__qualified_field,
    STATE(11909), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3642), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3638), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(843), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(301), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [132246] = 28,
    ACTIONS(587), 1,
      sym__identifier,
    ACTIONS(645), 1,
      aux_sym_identifier_token1,
    ACTIONS(4248), 1,
      sym_keyword_cast,
    ACTIONS(4250), 1,
      sym_keyword_case,
    ACTIONS(4254), 1,
      sym_keyword_exists,
    ACTIONS(4260), 1,
      sym_keyword_interval,
    ACTIONS(4262), 1,
      sym_keyword_array,
    ACTIONS(4264), 1,
      anon_sym_LPAREN,
    ACTIONS(4268), 1,
      anon_sym_PLUS,
    ACTIONS(4270), 1,
      anon_sym_DASH,
    ACTIONS(4272), 1,
      sym_op_unary_other,
    ACTIONS(4274), 1,
      sym__double_quote_string,
    ACTIONS(4276), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4278), 1,
      aux_sym__integer_token1,
    ACTIONS(4280), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4282), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4284), 1,
      sym__dollar_quoted_string,
    ACTIONS(5612), 1,
      sym_parameter,
    STATE(2958), 1,
      sym_identifier,
    STATE(4144), 1,
      sym_invocation,
    STATE(4381), 1,
      sym__single_quote_string,
    STATE(4431), 1,
      sym__qualified_field,
    STATE(11807), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4258), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4256), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4564), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2246), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [132356] = 28,
    ACTIONS(1205), 1,
      sym__identifier,
    ACTIONS(1209), 1,
      aux_sym_identifier_token1,
    ACTIONS(2787), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3636), 1,
      sym_keyword_cast,
    ACTIONS(3644), 1,
      sym_keyword_array,
    ACTIONS(3650), 1,
      anon_sym_PLUS,
    ACTIONS(3652), 1,
      anon_sym_DASH,
    ACTIONS(3654), 1,
      sym_op_unary_other,
    ACTIONS(3656), 1,
      sym__double_quote_string,
    ACTIONS(3658), 1,
      aux_sym__integer_token1,
    ACTIONS(3660), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3662), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3664), 1,
      sym__dollar_quoted_string,
    ACTIONS(3722), 1,
      sym_keyword_case,
    ACTIONS(3724), 1,
      sym_keyword_exists,
    ACTIONS(3726), 1,
      sym_keyword_interval,
    ACTIONS(3728), 1,
      anon_sym_LPAREN,
    ACTIONS(5614), 1,
      sym_parameter,
    STATE(425), 1,
      sym_identifier,
    STATE(683), 1,
      sym_invocation,
    STATE(796), 1,
      sym__single_quote_string,
    STATE(883), 1,
      sym__qualified_field,
    STATE(11909), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3642), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3638), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(843), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(305), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [132466] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5616), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6204), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [132576] = 28,
    ACTIONS(587), 1,
      sym__identifier,
    ACTIONS(645), 1,
      aux_sym_identifier_token1,
    ACTIONS(4248), 1,
      sym_keyword_cast,
    ACTIONS(4250), 1,
      sym_keyword_case,
    ACTIONS(4254), 1,
      sym_keyword_exists,
    ACTIONS(4260), 1,
      sym_keyword_interval,
    ACTIONS(4262), 1,
      sym_keyword_array,
    ACTIONS(4264), 1,
      anon_sym_LPAREN,
    ACTIONS(4268), 1,
      anon_sym_PLUS,
    ACTIONS(4270), 1,
      anon_sym_DASH,
    ACTIONS(4272), 1,
      sym_op_unary_other,
    ACTIONS(4274), 1,
      sym__double_quote_string,
    ACTIONS(4276), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4278), 1,
      aux_sym__integer_token1,
    ACTIONS(4280), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4282), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4284), 1,
      sym__dollar_quoted_string,
    ACTIONS(5618), 1,
      sym_parameter,
    STATE(2958), 1,
      sym_identifier,
    STATE(4144), 1,
      sym_invocation,
    STATE(4381), 1,
      sym__single_quote_string,
    STATE(4431), 1,
      sym__qualified_field,
    STATE(11807), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4258), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4256), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4564), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2135), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [132686] = 28,
    ACTIONS(1205), 1,
      sym__identifier,
    ACTIONS(1209), 1,
      aux_sym_identifier_token1,
    ACTIONS(2787), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3636), 1,
      sym_keyword_cast,
    ACTIONS(3644), 1,
      sym_keyword_array,
    ACTIONS(3650), 1,
      anon_sym_PLUS,
    ACTIONS(3652), 1,
      anon_sym_DASH,
    ACTIONS(3654), 1,
      sym_op_unary_other,
    ACTIONS(3656), 1,
      sym__double_quote_string,
    ACTIONS(3658), 1,
      aux_sym__integer_token1,
    ACTIONS(3660), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3662), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3664), 1,
      sym__dollar_quoted_string,
    ACTIONS(3722), 1,
      sym_keyword_case,
    ACTIONS(3724), 1,
      sym_keyword_exists,
    ACTIONS(3726), 1,
      sym_keyword_interval,
    ACTIONS(3728), 1,
      anon_sym_LPAREN,
    ACTIONS(5620), 1,
      sym_parameter,
    STATE(425), 1,
      sym_identifier,
    STATE(683), 1,
      sym_invocation,
    STATE(796), 1,
      sym__single_quote_string,
    STATE(883), 1,
      sym__qualified_field,
    STATE(11909), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3642), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3638), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(843), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(306), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [132796] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5622), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5023), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [132906] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5624), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6021), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [133016] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5626), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5024), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [133126] = 28,
    ACTIONS(1205), 1,
      sym__identifier,
    ACTIONS(1209), 1,
      aux_sym_identifier_token1,
    ACTIONS(2787), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3636), 1,
      sym_keyword_cast,
    ACTIONS(3644), 1,
      sym_keyword_array,
    ACTIONS(3650), 1,
      anon_sym_PLUS,
    ACTIONS(3652), 1,
      anon_sym_DASH,
    ACTIONS(3654), 1,
      sym_op_unary_other,
    ACTIONS(3656), 1,
      sym__double_quote_string,
    ACTIONS(3658), 1,
      aux_sym__integer_token1,
    ACTIONS(3660), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3662), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3664), 1,
      sym__dollar_quoted_string,
    ACTIONS(3722), 1,
      sym_keyword_case,
    ACTIONS(3724), 1,
      sym_keyword_exists,
    ACTIONS(3726), 1,
      sym_keyword_interval,
    ACTIONS(3728), 1,
      anon_sym_LPAREN,
    ACTIONS(5628), 1,
      sym_parameter,
    STATE(425), 1,
      sym_identifier,
    STATE(683), 1,
      sym_invocation,
    STATE(796), 1,
      sym__single_quote_string,
    STATE(883), 1,
      sym__qualified_field,
    STATE(11909), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3642), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3638), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(843), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(307), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [133236] = 28,
    ACTIONS(587), 1,
      sym__identifier,
    ACTIONS(645), 1,
      aux_sym_identifier_token1,
    ACTIONS(4248), 1,
      sym_keyword_cast,
    ACTIONS(4250), 1,
      sym_keyword_case,
    ACTIONS(4254), 1,
      sym_keyword_exists,
    ACTIONS(4260), 1,
      sym_keyword_interval,
    ACTIONS(4262), 1,
      sym_keyword_array,
    ACTIONS(4264), 1,
      anon_sym_LPAREN,
    ACTIONS(4268), 1,
      anon_sym_PLUS,
    ACTIONS(4270), 1,
      anon_sym_DASH,
    ACTIONS(4272), 1,
      sym_op_unary_other,
    ACTIONS(4274), 1,
      sym__double_quote_string,
    ACTIONS(4276), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4278), 1,
      aux_sym__integer_token1,
    ACTIONS(4280), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4282), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4284), 1,
      sym__dollar_quoted_string,
    ACTIONS(5630), 1,
      sym_parameter,
    STATE(2958), 1,
      sym_identifier,
    STATE(4144), 1,
      sym_invocation,
    STATE(4381), 1,
      sym__single_quote_string,
    STATE(4431), 1,
      sym__qualified_field,
    STATE(11807), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4258), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4256), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4564), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2122), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [133346] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5632), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6044), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [133456] = 28,
    ACTIONS(1205), 1,
      sym__identifier,
    ACTIONS(1209), 1,
      aux_sym_identifier_token1,
    ACTIONS(2787), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3636), 1,
      sym_keyword_cast,
    ACTIONS(3644), 1,
      sym_keyword_array,
    ACTIONS(3650), 1,
      anon_sym_PLUS,
    ACTIONS(3652), 1,
      anon_sym_DASH,
    ACTIONS(3654), 1,
      sym_op_unary_other,
    ACTIONS(3656), 1,
      sym__double_quote_string,
    ACTIONS(3658), 1,
      aux_sym__integer_token1,
    ACTIONS(3660), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3662), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3664), 1,
      sym__dollar_quoted_string,
    ACTIONS(3722), 1,
      sym_keyword_case,
    ACTIONS(3724), 1,
      sym_keyword_exists,
    ACTIONS(3726), 1,
      sym_keyword_interval,
    ACTIONS(3728), 1,
      anon_sym_LPAREN,
    ACTIONS(5634), 1,
      sym_parameter,
    STATE(425), 1,
      sym_identifier,
    STATE(683), 1,
      sym_invocation,
    STATE(796), 1,
      sym__single_quote_string,
    STATE(883), 1,
      sym__qualified_field,
    STATE(11909), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3642), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3638), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(843), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(308), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [133566] = 6,
    ACTIONS(5636), 1,
      sym_keyword_unsigned,
    ACTIONS(5638), 1,
      sym_keyword_zerofill,
    ACTIONS(5640), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1900), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1898), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [133632] = 28,
    ACTIONS(903), 1,
      sym__identifier,
    ACTIONS(907), 1,
      aux_sym_identifier_token1,
    ACTIONS(3191), 1,
      sym_keyword_cast,
    ACTIONS(3193), 1,
      sym_keyword_case,
    ACTIONS(3197), 1,
      sym_keyword_exists,
    ACTIONS(3201), 1,
      sym_keyword_interval,
    ACTIONS(3203), 1,
      sym_keyword_array,
    ACTIONS(3209), 1,
      anon_sym_PLUS,
    ACTIONS(3211), 1,
      anon_sym_DASH,
    ACTIONS(3215), 1,
      sym__double_quote_string,
    ACTIONS(3217), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3219), 1,
      aux_sym__integer_token1,
    ACTIONS(3221), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3223), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3225), 1,
      sym__dollar_quoted_string,
    ACTIONS(3808), 1,
      anon_sym_LPAREN,
    ACTIONS(3812), 1,
      sym_op_unary_other,
    ACTIONS(5642), 1,
      sym_parameter,
    STATE(2953), 1,
      sym__single_quote_string,
    STATE(4196), 1,
      sym_identifier,
    STATE(4905), 1,
      sym__qualified_field,
    STATE(5727), 1,
      sym_invocation,
    STATE(11861), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3199), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3806), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4863), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4804), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [133742] = 6,
    ACTIONS(4302), 1,
      sym_keyword_unsigned,
    ACTIONS(4304), 1,
      sym_keyword_zerofill,
    ACTIONS(4308), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1774), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1772), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [133808] = 28,
    ACTIONS(843), 1,
      sym__identifier,
    ACTIONS(901), 1,
      aux_sym_identifier_token1,
    ACTIONS(4122), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4212), 1,
      sym_keyword_cast,
    ACTIONS(4214), 1,
      sym_keyword_case,
    ACTIONS(4218), 1,
      sym_keyword_exists,
    ACTIONS(4224), 1,
      sym_keyword_interval,
    ACTIONS(4226), 1,
      sym_keyword_array,
    ACTIONS(4228), 1,
      anon_sym_LPAREN,
    ACTIONS(4232), 1,
      anon_sym_PLUS,
    ACTIONS(4234), 1,
      anon_sym_DASH,
    ACTIONS(4236), 1,
      sym_op_unary_other,
    ACTIONS(4238), 1,
      sym__double_quote_string,
    ACTIONS(4240), 1,
      aux_sym__integer_token1,
    ACTIONS(4242), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4244), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4246), 1,
      sym__dollar_quoted_string,
    ACTIONS(5644), 1,
      sym_parameter,
    STATE(1057), 1,
      sym_identifier,
    STATE(2184), 1,
      sym_invocation,
    STATE(2355), 1,
      sym__single_quote_string,
    STATE(2449), 1,
      sym__qualified_field,
    STATE(11882), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4222), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4220), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2384), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(509), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [133918] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(5646), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(4378), 1,
      sym_identifier,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4364), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [134028] = 28,
    ACTIONS(1205), 1,
      sym__identifier,
    ACTIONS(1209), 1,
      aux_sym_identifier_token1,
    ACTIONS(2787), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3636), 1,
      sym_keyword_cast,
    ACTIONS(3644), 1,
      sym_keyword_array,
    ACTIONS(3650), 1,
      anon_sym_PLUS,
    ACTIONS(3652), 1,
      anon_sym_DASH,
    ACTIONS(3654), 1,
      sym_op_unary_other,
    ACTIONS(3656), 1,
      sym__double_quote_string,
    ACTIONS(3658), 1,
      aux_sym__integer_token1,
    ACTIONS(3660), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3662), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3664), 1,
      sym__dollar_quoted_string,
    ACTIONS(3722), 1,
      sym_keyword_case,
    ACTIONS(3724), 1,
      sym_keyword_exists,
    ACTIONS(3726), 1,
      sym_keyword_interval,
    ACTIONS(3728), 1,
      anon_sym_LPAREN,
    ACTIONS(3850), 1,
      sym_parameter,
    STATE(425), 1,
      sym_identifier,
    STATE(683), 1,
      sym_invocation,
    STATE(796), 1,
      sym__single_quote_string,
    STATE(883), 1,
      sym__qualified_field,
    STATE(11909), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3642), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3638), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(843), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(302), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [134138] = 28,
    ACTIONS(4142), 1,
      sym__identifier,
    ACTIONS(4144), 1,
      sym_keyword_cast,
    ACTIONS(4146), 1,
      sym_keyword_case,
    ACTIONS(4150), 1,
      sym_keyword_exists,
    ACTIONS(4156), 1,
      sym_keyword_interval,
    ACTIONS(4158), 1,
      sym_keyword_array,
    ACTIONS(4160), 1,
      anon_sym_LPAREN,
    ACTIONS(4164), 1,
      anon_sym_PLUS,
    ACTIONS(4166), 1,
      anon_sym_DASH,
    ACTIONS(4168), 1,
      sym_op_unary_other,
    ACTIONS(4170), 1,
      sym__double_quote_string,
    ACTIONS(4172), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4174), 1,
      aux_sym__integer_token1,
    ACTIONS(4176), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4178), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4180), 1,
      aux_sym_identifier_token1,
    ACTIONS(4182), 1,
      sym__dollar_quoted_string,
    ACTIONS(5648), 1,
      sym_parameter,
    STATE(4784), 1,
      sym_identifier,
    STATE(5245), 1,
      sym_invocation,
    STATE(5722), 1,
      sym__single_quote_string,
    STATE(5732), 1,
      sym__qualified_field,
    STATE(11825), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4154), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4152), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5585), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4105), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [134248] = 6,
    ACTIONS(5652), 1,
      anon_sym_LPAREN,
    STATE(2454), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5650), 2,
      sym_keyword_with,
      sym_keyword_without,
    ACTIONS(1784), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1786), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [134314] = 13,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2394), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [134394] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5654), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6025), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [134504] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5656), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6031), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [134614] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5658), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5029), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [134724] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5660), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5499), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [134834] = 28,
    ACTIONS(903), 1,
      sym__identifier,
    ACTIONS(907), 1,
      aux_sym_identifier_token1,
    ACTIONS(3191), 1,
      sym_keyword_cast,
    ACTIONS(3193), 1,
      sym_keyword_case,
    ACTIONS(3197), 1,
      sym_keyword_exists,
    ACTIONS(3201), 1,
      sym_keyword_interval,
    ACTIONS(3203), 1,
      sym_keyword_array,
    ACTIONS(3209), 1,
      anon_sym_PLUS,
    ACTIONS(3211), 1,
      anon_sym_DASH,
    ACTIONS(3215), 1,
      sym__double_quote_string,
    ACTIONS(3217), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3219), 1,
      aux_sym__integer_token1,
    ACTIONS(3221), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3223), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3225), 1,
      sym__dollar_quoted_string,
    ACTIONS(3808), 1,
      anon_sym_LPAREN,
    ACTIONS(3812), 1,
      sym_op_unary_other,
    ACTIONS(5662), 1,
      sym_parameter,
    STATE(2953), 1,
      sym__single_quote_string,
    STATE(4196), 1,
      sym_identifier,
    STATE(4905), 1,
      sym__qualified_field,
    STATE(5727), 1,
      sym_invocation,
    STATE(11861), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3199), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3806), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4863), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3948), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [134944] = 28,
    ACTIONS(903), 1,
      sym__identifier,
    ACTIONS(907), 1,
      aux_sym_identifier_token1,
    ACTIONS(3191), 1,
      sym_keyword_cast,
    ACTIONS(3193), 1,
      sym_keyword_case,
    ACTIONS(3197), 1,
      sym_keyword_exists,
    ACTIONS(3201), 1,
      sym_keyword_interval,
    ACTIONS(3203), 1,
      sym_keyword_array,
    ACTIONS(3209), 1,
      anon_sym_PLUS,
    ACTIONS(3211), 1,
      anon_sym_DASH,
    ACTIONS(3215), 1,
      sym__double_quote_string,
    ACTIONS(3217), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3219), 1,
      aux_sym__integer_token1,
    ACTIONS(3221), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3223), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3225), 1,
      sym__dollar_quoted_string,
    ACTIONS(3808), 1,
      anon_sym_LPAREN,
    ACTIONS(3812), 1,
      sym_op_unary_other,
    ACTIONS(5664), 1,
      sym_parameter,
    STATE(2953), 1,
      sym__single_quote_string,
    STATE(4196), 1,
      sym_identifier,
    STATE(4905), 1,
      sym__qualified_field,
    STATE(5727), 1,
      sym_invocation,
    STATE(11861), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3199), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3806), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4863), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4013), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [135054] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5666), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6206), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [135164] = 28,
    ACTIONS(903), 1,
      sym__identifier,
    ACTIONS(907), 1,
      aux_sym_identifier_token1,
    ACTIONS(3191), 1,
      sym_keyword_cast,
    ACTIONS(3193), 1,
      sym_keyword_case,
    ACTIONS(3197), 1,
      sym_keyword_exists,
    ACTIONS(3201), 1,
      sym_keyword_interval,
    ACTIONS(3203), 1,
      sym_keyword_array,
    ACTIONS(3209), 1,
      anon_sym_PLUS,
    ACTIONS(3211), 1,
      anon_sym_DASH,
    ACTIONS(3215), 1,
      sym__double_quote_string,
    ACTIONS(3217), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3219), 1,
      aux_sym__integer_token1,
    ACTIONS(3221), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3223), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3225), 1,
      sym__dollar_quoted_string,
    ACTIONS(3808), 1,
      anon_sym_LPAREN,
    ACTIONS(3810), 1,
      sym_parameter,
    ACTIONS(3812), 1,
      sym_op_unary_other,
    STATE(2953), 1,
      sym__single_quote_string,
    STATE(4196), 1,
      sym_identifier,
    STATE(4905), 1,
      sym__qualified_field,
    STATE(5727), 1,
      sym_invocation,
    STATE(11861), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3199), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3806), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4863), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3903), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [135274] = 28,
    ACTIONS(903), 1,
      sym__identifier,
    ACTIONS(907), 1,
      aux_sym_identifier_token1,
    ACTIONS(3191), 1,
      sym_keyword_cast,
    ACTIONS(3193), 1,
      sym_keyword_case,
    ACTIONS(3197), 1,
      sym_keyword_exists,
    ACTIONS(3201), 1,
      sym_keyword_interval,
    ACTIONS(3203), 1,
      sym_keyword_array,
    ACTIONS(3209), 1,
      anon_sym_PLUS,
    ACTIONS(3211), 1,
      anon_sym_DASH,
    ACTIONS(3215), 1,
      sym__double_quote_string,
    ACTIONS(3217), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3219), 1,
      aux_sym__integer_token1,
    ACTIONS(3221), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3223), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3225), 1,
      sym__dollar_quoted_string,
    ACTIONS(3808), 1,
      anon_sym_LPAREN,
    ACTIONS(3812), 1,
      sym_op_unary_other,
    ACTIONS(5668), 1,
      sym_parameter,
    STATE(2953), 1,
      sym__single_quote_string,
    STATE(4196), 1,
      sym_identifier,
    STATE(4905), 1,
      sym__qualified_field,
    STATE(5727), 1,
      sym_invocation,
    STATE(11861), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3199), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3806), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4863), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4204), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [135384] = 28,
    ACTIONS(903), 1,
      sym__identifier,
    ACTIONS(907), 1,
      aux_sym_identifier_token1,
    ACTIONS(3191), 1,
      sym_keyword_cast,
    ACTIONS(3193), 1,
      sym_keyword_case,
    ACTIONS(3197), 1,
      sym_keyword_exists,
    ACTIONS(3201), 1,
      sym_keyword_interval,
    ACTIONS(3203), 1,
      sym_keyword_array,
    ACTIONS(3209), 1,
      anon_sym_PLUS,
    ACTIONS(3211), 1,
      anon_sym_DASH,
    ACTIONS(3215), 1,
      sym__double_quote_string,
    ACTIONS(3217), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3219), 1,
      aux_sym__integer_token1,
    ACTIONS(3221), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3223), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3225), 1,
      sym__dollar_quoted_string,
    ACTIONS(3808), 1,
      anon_sym_LPAREN,
    ACTIONS(3812), 1,
      sym_op_unary_other,
    ACTIONS(5670), 1,
      sym_parameter,
    STATE(2953), 1,
      sym__single_quote_string,
    STATE(4196), 1,
      sym_identifier,
    STATE(4905), 1,
      sym__qualified_field,
    STATE(5727), 1,
      sym_invocation,
    STATE(11861), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3199), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3806), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4863), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4205), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [135494] = 28,
    ACTIONS(903), 1,
      sym__identifier,
    ACTIONS(907), 1,
      aux_sym_identifier_token1,
    ACTIONS(3191), 1,
      sym_keyword_cast,
    ACTIONS(3193), 1,
      sym_keyword_case,
    ACTIONS(3197), 1,
      sym_keyword_exists,
    ACTIONS(3201), 1,
      sym_keyword_interval,
    ACTIONS(3203), 1,
      sym_keyword_array,
    ACTIONS(3209), 1,
      anon_sym_PLUS,
    ACTIONS(3211), 1,
      anon_sym_DASH,
    ACTIONS(3215), 1,
      sym__double_quote_string,
    ACTIONS(3217), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3219), 1,
      aux_sym__integer_token1,
    ACTIONS(3221), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3223), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3225), 1,
      sym__dollar_quoted_string,
    ACTIONS(3808), 1,
      anon_sym_LPAREN,
    ACTIONS(3812), 1,
      sym_op_unary_other,
    ACTIONS(5672), 1,
      sym_parameter,
    STATE(2953), 1,
      sym__single_quote_string,
    STATE(4196), 1,
      sym_identifier,
    STATE(4905), 1,
      sym__qualified_field,
    STATE(5727), 1,
      sym_invocation,
    STATE(11861), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3199), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3806), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4863), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4206), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [135604] = 28,
    ACTIONS(903), 1,
      sym__identifier,
    ACTIONS(907), 1,
      aux_sym_identifier_token1,
    ACTIONS(3191), 1,
      sym_keyword_cast,
    ACTIONS(3193), 1,
      sym_keyword_case,
    ACTIONS(3197), 1,
      sym_keyword_exists,
    ACTIONS(3201), 1,
      sym_keyword_interval,
    ACTIONS(3203), 1,
      sym_keyword_array,
    ACTIONS(3209), 1,
      anon_sym_PLUS,
    ACTIONS(3211), 1,
      anon_sym_DASH,
    ACTIONS(3215), 1,
      sym__double_quote_string,
    ACTIONS(3217), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3219), 1,
      aux_sym__integer_token1,
    ACTIONS(3221), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3223), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3225), 1,
      sym__dollar_quoted_string,
    ACTIONS(3808), 1,
      anon_sym_LPAREN,
    ACTIONS(3812), 1,
      sym_op_unary_other,
    ACTIONS(5674), 1,
      sym_parameter,
    STATE(2953), 1,
      sym__single_quote_string,
    STATE(4196), 1,
      sym_identifier,
    STATE(4905), 1,
      sym__qualified_field,
    STATE(5727), 1,
      sym_invocation,
    STATE(11861), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3199), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3806), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4863), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4211), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [135714] = 28,
    ACTIONS(903), 1,
      sym__identifier,
    ACTIONS(907), 1,
      aux_sym_identifier_token1,
    ACTIONS(3191), 1,
      sym_keyword_cast,
    ACTIONS(3193), 1,
      sym_keyword_case,
    ACTIONS(3197), 1,
      sym_keyword_exists,
    ACTIONS(3201), 1,
      sym_keyword_interval,
    ACTIONS(3203), 1,
      sym_keyword_array,
    ACTIONS(3209), 1,
      anon_sym_PLUS,
    ACTIONS(3211), 1,
      anon_sym_DASH,
    ACTIONS(3215), 1,
      sym__double_quote_string,
    ACTIONS(3217), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3219), 1,
      aux_sym__integer_token1,
    ACTIONS(3221), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3223), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3225), 1,
      sym__dollar_quoted_string,
    ACTIONS(3808), 1,
      anon_sym_LPAREN,
    ACTIONS(3812), 1,
      sym_op_unary_other,
    ACTIONS(5676), 1,
      sym_parameter,
    STATE(2953), 1,
      sym__single_quote_string,
    STATE(4196), 1,
      sym_identifier,
    STATE(4905), 1,
      sym__qualified_field,
    STATE(5727), 1,
      sym_invocation,
    STATE(11861), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3199), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3806), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4863), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4290), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [135824] = 28,
    ACTIONS(903), 1,
      sym__identifier,
    ACTIONS(907), 1,
      aux_sym_identifier_token1,
    ACTIONS(3191), 1,
      sym_keyword_cast,
    ACTIONS(3193), 1,
      sym_keyword_case,
    ACTIONS(3197), 1,
      sym_keyword_exists,
    ACTIONS(3201), 1,
      sym_keyword_interval,
    ACTIONS(3203), 1,
      sym_keyword_array,
    ACTIONS(3209), 1,
      anon_sym_PLUS,
    ACTIONS(3211), 1,
      anon_sym_DASH,
    ACTIONS(3215), 1,
      sym__double_quote_string,
    ACTIONS(3217), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3219), 1,
      aux_sym__integer_token1,
    ACTIONS(3221), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3223), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3225), 1,
      sym__dollar_quoted_string,
    ACTIONS(3808), 1,
      anon_sym_LPAREN,
    ACTIONS(3812), 1,
      sym_op_unary_other,
    ACTIONS(5678), 1,
      sym_parameter,
    STATE(2953), 1,
      sym__single_quote_string,
    STATE(4196), 1,
      sym_identifier,
    STATE(4905), 1,
      sym__qualified_field,
    STATE(5727), 1,
      sym_invocation,
    STATE(11861), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3199), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3806), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4863), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4291), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [135934] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5680), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5764), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [136044] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5682), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6070), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [136154] = 28,
    ACTIONS(903), 1,
      sym__identifier,
    ACTIONS(907), 1,
      aux_sym_identifier_token1,
    ACTIONS(3191), 1,
      sym_keyword_cast,
    ACTIONS(3193), 1,
      sym_keyword_case,
    ACTIONS(3197), 1,
      sym_keyword_exists,
    ACTIONS(3201), 1,
      sym_keyword_interval,
    ACTIONS(3203), 1,
      sym_keyword_array,
    ACTIONS(3209), 1,
      anon_sym_PLUS,
    ACTIONS(3211), 1,
      anon_sym_DASH,
    ACTIONS(3215), 1,
      sym__double_quote_string,
    ACTIONS(3217), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3219), 1,
      aux_sym__integer_token1,
    ACTIONS(3221), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3223), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3225), 1,
      sym__dollar_quoted_string,
    ACTIONS(3808), 1,
      anon_sym_LPAREN,
    ACTIONS(3812), 1,
      sym_op_unary_other,
    ACTIONS(5684), 1,
      sym_parameter,
    STATE(2953), 1,
      sym__single_quote_string,
    STATE(4196), 1,
      sym_identifier,
    STATE(4905), 1,
      sym__qualified_field,
    STATE(5727), 1,
      sym_invocation,
    STATE(11861), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3199), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3806), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4863), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4299), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [136264] = 28,
    ACTIONS(903), 1,
      sym__identifier,
    ACTIONS(907), 1,
      aux_sym_identifier_token1,
    ACTIONS(3191), 1,
      sym_keyword_cast,
    ACTIONS(3193), 1,
      sym_keyword_case,
    ACTIONS(3197), 1,
      sym_keyword_exists,
    ACTIONS(3201), 1,
      sym_keyword_interval,
    ACTIONS(3203), 1,
      sym_keyword_array,
    ACTIONS(3209), 1,
      anon_sym_PLUS,
    ACTIONS(3211), 1,
      anon_sym_DASH,
    ACTIONS(3215), 1,
      sym__double_quote_string,
    ACTIONS(3217), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3219), 1,
      aux_sym__integer_token1,
    ACTIONS(3221), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3223), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3225), 1,
      sym__dollar_quoted_string,
    ACTIONS(3808), 1,
      anon_sym_LPAREN,
    ACTIONS(3812), 1,
      sym_op_unary_other,
    ACTIONS(5686), 1,
      sym_parameter,
    STATE(2953), 1,
      sym__single_quote_string,
    STATE(4196), 1,
      sym_identifier,
    STATE(4905), 1,
      sym__qualified_field,
    STATE(5727), 1,
      sym_invocation,
    STATE(11861), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3199), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3806), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4863), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4324), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [136374] = 28,
    ACTIONS(903), 1,
      sym__identifier,
    ACTIONS(907), 1,
      aux_sym_identifier_token1,
    ACTIONS(3191), 1,
      sym_keyword_cast,
    ACTIONS(3193), 1,
      sym_keyword_case,
    ACTIONS(3197), 1,
      sym_keyword_exists,
    ACTIONS(3201), 1,
      sym_keyword_interval,
    ACTIONS(3203), 1,
      sym_keyword_array,
    ACTIONS(3209), 1,
      anon_sym_PLUS,
    ACTIONS(3211), 1,
      anon_sym_DASH,
    ACTIONS(3215), 1,
      sym__double_quote_string,
    ACTIONS(3217), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3219), 1,
      aux_sym__integer_token1,
    ACTIONS(3221), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3223), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3225), 1,
      sym__dollar_quoted_string,
    ACTIONS(3808), 1,
      anon_sym_LPAREN,
    ACTIONS(3812), 1,
      sym_op_unary_other,
    ACTIONS(5688), 1,
      sym_parameter,
    STATE(2953), 1,
      sym__single_quote_string,
    STATE(4196), 1,
      sym_identifier,
    STATE(4905), 1,
      sym__qualified_field,
    STATE(5727), 1,
      sym_invocation,
    STATE(11861), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3199), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3806), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4863), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3873), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [136484] = 28,
    ACTIONS(4062), 1,
      sym__identifier,
    ACTIONS(4064), 1,
      sym_keyword_cast,
    ACTIONS(4066), 1,
      sym_keyword_case,
    ACTIONS(4070), 1,
      sym_keyword_exists,
    ACTIONS(4076), 1,
      sym_keyword_interval,
    ACTIONS(4078), 1,
      sym_keyword_array,
    ACTIONS(4080), 1,
      anon_sym_LPAREN,
    ACTIONS(4084), 1,
      anon_sym_PLUS,
    ACTIONS(4086), 1,
      anon_sym_DASH,
    ACTIONS(4088), 1,
      sym_op_unary_other,
    ACTIONS(4090), 1,
      sym__double_quote_string,
    ACTIONS(4092), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4094), 1,
      aux_sym__integer_token1,
    ACTIONS(4096), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4098), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4100), 1,
      aux_sym_identifier_token1,
    ACTIONS(4102), 1,
      sym__dollar_quoted_string,
    ACTIONS(5690), 1,
      sym_parameter,
    STATE(4884), 1,
      sym_identifier,
    STATE(5563), 1,
      sym_invocation,
    STATE(5895), 1,
      sym__single_quote_string,
    STATE(5979), 1,
      sym__qualified_field,
    STATE(11903), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4074), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4072), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5805), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3930), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [136594] = 28,
    ACTIONS(407), 1,
      sym__identifier,
    ACTIONS(465), 1,
      aux_sym_identifier_token1,
    ACTIONS(4310), 1,
      sym_keyword_cast,
    ACTIONS(4312), 1,
      sym_keyword_case,
    ACTIONS(4316), 1,
      sym_keyword_exists,
    ACTIONS(4322), 1,
      sym_keyword_interval,
    ACTIONS(4324), 1,
      sym_keyword_array,
    ACTIONS(4326), 1,
      anon_sym_LPAREN,
    ACTIONS(4330), 1,
      anon_sym_PLUS,
    ACTIONS(4332), 1,
      anon_sym_DASH,
    ACTIONS(4334), 1,
      sym_op_unary_other,
    ACTIONS(4336), 1,
      sym__double_quote_string,
    ACTIONS(4338), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4340), 1,
      aux_sym__integer_token1,
    ACTIONS(4342), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4344), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4346), 1,
      sym__dollar_quoted_string,
    ACTIONS(5692), 1,
      sym_parameter,
    STATE(1171), 1,
      sym_identifier,
    STATE(2353), 1,
      sym_invocation,
    STATE(2651), 1,
      sym__single_quote_string,
    STATE(2678), 1,
      sym__qualified_field,
    STATE(11808), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4320), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4318), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2660), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(881), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [136704] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5694), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5042), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [136814] = 28,
    ACTIONS(407), 1,
      sym__identifier,
    ACTIONS(465), 1,
      aux_sym_identifier_token1,
    ACTIONS(4310), 1,
      sym_keyword_cast,
    ACTIONS(4312), 1,
      sym_keyword_case,
    ACTIONS(4316), 1,
      sym_keyword_exists,
    ACTIONS(4322), 1,
      sym_keyword_interval,
    ACTIONS(4324), 1,
      sym_keyword_array,
    ACTIONS(4326), 1,
      anon_sym_LPAREN,
    ACTIONS(4330), 1,
      anon_sym_PLUS,
    ACTIONS(4332), 1,
      anon_sym_DASH,
    ACTIONS(4334), 1,
      sym_op_unary_other,
    ACTIONS(4336), 1,
      sym__double_quote_string,
    ACTIONS(4338), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4340), 1,
      aux_sym__integer_token1,
    ACTIONS(4342), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4344), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4346), 1,
      sym__dollar_quoted_string,
    ACTIONS(5696), 1,
      sym_parameter,
    STATE(1171), 1,
      sym_identifier,
    STATE(2353), 1,
      sym_invocation,
    STATE(2651), 1,
      sym__single_quote_string,
    STATE(2678), 1,
      sym__qualified_field,
    STATE(11808), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4320), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4318), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2660), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(864), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [136924] = 6,
    ACTIONS(5698), 1,
      anon_sym_LPAREN,
    STATE(2455), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5650), 2,
      sym_keyword_with,
      sym_keyword_without,
    ACTIONS(1794), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1796), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [136990] = 28,
    ACTIONS(407), 1,
      sym__identifier,
    ACTIONS(465), 1,
      aux_sym_identifier_token1,
    ACTIONS(4310), 1,
      sym_keyword_cast,
    ACTIONS(4312), 1,
      sym_keyword_case,
    ACTIONS(4316), 1,
      sym_keyword_exists,
    ACTIONS(4322), 1,
      sym_keyword_interval,
    ACTIONS(4324), 1,
      sym_keyword_array,
    ACTIONS(4326), 1,
      anon_sym_LPAREN,
    ACTIONS(4330), 1,
      anon_sym_PLUS,
    ACTIONS(4332), 1,
      anon_sym_DASH,
    ACTIONS(4334), 1,
      sym_op_unary_other,
    ACTIONS(4336), 1,
      sym__double_quote_string,
    ACTIONS(4338), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4340), 1,
      aux_sym__integer_token1,
    ACTIONS(4342), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4344), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4346), 1,
      sym__dollar_quoted_string,
    ACTIONS(5700), 1,
      sym_parameter,
    STATE(1171), 1,
      sym_identifier,
    STATE(2353), 1,
      sym_invocation,
    STATE(2651), 1,
      sym__single_quote_string,
    STATE(2678), 1,
      sym__qualified_field,
    STATE(11808), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4320), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4318), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2660), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(850), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [137100] = 6,
    ACTIONS(5702), 1,
      sym_keyword_unsigned,
    ACTIONS(5704), 1,
      sym_keyword_zerofill,
    ACTIONS(5706), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1840), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1842), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [137166] = 28,
    ACTIONS(407), 1,
      sym__identifier,
    ACTIONS(465), 1,
      aux_sym_identifier_token1,
    ACTIONS(4310), 1,
      sym_keyword_cast,
    ACTIONS(4312), 1,
      sym_keyword_case,
    ACTIONS(4316), 1,
      sym_keyword_exists,
    ACTIONS(4322), 1,
      sym_keyword_interval,
    ACTIONS(4324), 1,
      sym_keyword_array,
    ACTIONS(4326), 1,
      anon_sym_LPAREN,
    ACTIONS(4330), 1,
      anon_sym_PLUS,
    ACTIONS(4332), 1,
      anon_sym_DASH,
    ACTIONS(4334), 1,
      sym_op_unary_other,
    ACTIONS(4336), 1,
      sym__double_quote_string,
    ACTIONS(4338), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4340), 1,
      aux_sym__integer_token1,
    ACTIONS(4342), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4344), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4346), 1,
      sym__dollar_quoted_string,
    ACTIONS(5708), 1,
      sym_parameter,
    STATE(1171), 1,
      sym_identifier,
    STATE(2353), 1,
      sym_invocation,
    STATE(2651), 1,
      sym__single_quote_string,
    STATE(2678), 1,
      sym__qualified_field,
    STATE(11808), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4320), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4318), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2660), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(890), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [137276] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5710), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5985), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [137386] = 28,
    ACTIONS(407), 1,
      sym__identifier,
    ACTIONS(465), 1,
      aux_sym_identifier_token1,
    ACTIONS(4310), 1,
      sym_keyword_cast,
    ACTIONS(4312), 1,
      sym_keyword_case,
    ACTIONS(4316), 1,
      sym_keyword_exists,
    ACTIONS(4322), 1,
      sym_keyword_interval,
    ACTIONS(4324), 1,
      sym_keyword_array,
    ACTIONS(4326), 1,
      anon_sym_LPAREN,
    ACTIONS(4330), 1,
      anon_sym_PLUS,
    ACTIONS(4332), 1,
      anon_sym_DASH,
    ACTIONS(4334), 1,
      sym_op_unary_other,
    ACTIONS(4336), 1,
      sym__double_quote_string,
    ACTIONS(4338), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4340), 1,
      aux_sym__integer_token1,
    ACTIONS(4342), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4344), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4346), 1,
      sym__dollar_quoted_string,
    ACTIONS(5712), 1,
      sym_parameter,
    STATE(1171), 1,
      sym_identifier,
    STATE(2353), 1,
      sym_invocation,
    STATE(2651), 1,
      sym__single_quote_string,
    STATE(2678), 1,
      sym__qualified_field,
    STATE(11808), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4320), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4318), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2660), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(870), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [137496] = 6,
    ACTIONS(5714), 1,
      sym_keyword_unsigned,
    ACTIONS(5716), 1,
      sym_keyword_zerofill,
    ACTIONS(5718), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1874), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1876), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [137562] = 6,
    ACTIONS(5720), 1,
      sym_keyword_unsigned,
    ACTIONS(5722), 1,
      sym_keyword_zerofill,
    ACTIONS(5724), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1804), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1806), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [137628] = 28,
    ACTIONS(407), 1,
      sym__identifier,
    ACTIONS(465), 1,
      aux_sym_identifier_token1,
    ACTIONS(4310), 1,
      sym_keyword_cast,
    ACTIONS(4312), 1,
      sym_keyword_case,
    ACTIONS(4316), 1,
      sym_keyword_exists,
    ACTIONS(4322), 1,
      sym_keyword_interval,
    ACTIONS(4324), 1,
      sym_keyword_array,
    ACTIONS(4326), 1,
      anon_sym_LPAREN,
    ACTIONS(4330), 1,
      anon_sym_PLUS,
    ACTIONS(4332), 1,
      anon_sym_DASH,
    ACTIONS(4334), 1,
      sym_op_unary_other,
    ACTIONS(4336), 1,
      sym__double_quote_string,
    ACTIONS(4338), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4340), 1,
      aux_sym__integer_token1,
    ACTIONS(4342), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4344), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4346), 1,
      sym__dollar_quoted_string,
    ACTIONS(5726), 1,
      sym_parameter,
    STATE(1171), 1,
      sym_identifier,
    STATE(2353), 1,
      sym_invocation,
    STATE(2651), 1,
      sym__single_quote_string,
    STATE(2678), 1,
      sym__qualified_field,
    STATE(11808), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4320), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4318), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2660), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(827), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [137738] = 6,
    ACTIONS(5728), 1,
      sym_keyword_unsigned,
    ACTIONS(5730), 1,
      sym_keyword_zerofill,
    ACTIONS(5732), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1888), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1890), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [137804] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5734), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6110), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [137914] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(5736), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(4378), 1,
      sym_identifier,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5008), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [138024] = 6,
    ACTIONS(5738), 1,
      sym_keyword_unsigned,
    ACTIONS(5740), 1,
      sym_keyword_zerofill,
    ACTIONS(5742), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1898), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1900), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [138090] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5744), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6102), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [138200] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5746), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6207), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [138310] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5748), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5488), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [138420] = 28,
    ACTIONS(527), 1,
      sym__identifier,
    ACTIONS(585), 1,
      aux_sym_identifier_token1,
    ACTIONS(3906), 1,
      sym_keyword_cast,
    ACTIONS(3908), 1,
      sym_keyword_case,
    ACTIONS(3912), 1,
      sym_keyword_exists,
    ACTIONS(3918), 1,
      sym_keyword_interval,
    ACTIONS(3920), 1,
      sym_keyword_array,
    ACTIONS(3922), 1,
      anon_sym_LPAREN,
    ACTIONS(3926), 1,
      anon_sym_PLUS,
    ACTIONS(3928), 1,
      anon_sym_DASH,
    ACTIONS(3930), 1,
      sym_op_unary_other,
    ACTIONS(3932), 1,
      sym__double_quote_string,
    ACTIONS(3934), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3936), 1,
      aux_sym__integer_token1,
    ACTIONS(3938), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3940), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3942), 1,
      sym__dollar_quoted_string,
    ACTIONS(5750), 1,
      sym_parameter,
    STATE(416), 1,
      sym__single_quote_string,
    STATE(3035), 1,
      sym_identifier,
    STATE(4140), 1,
      sym_invocation,
    STATE(4464), 1,
      sym__qualified_field,
    STATE(11831), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3916), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3914), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4446), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2581), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [138530] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5752), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6201), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [138640] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5754), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5058), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [138750] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5756), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6058), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [138860] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5758), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5046), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [138970] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5760), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6054), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [139080] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5762), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6051), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [139190] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5764), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5780), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [139300] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5766), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6208), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [139410] = 28,
    ACTIONS(211), 1,
      sym__identifier,
    ACTIONS(269), 1,
      aux_sym_identifier_token1,
    ACTIONS(3001), 1,
      sym_keyword_cast,
    ACTIONS(3003), 1,
      sym_keyword_case,
    ACTIONS(3007), 1,
      sym_keyword_exists,
    ACTIONS(3011), 1,
      sym_keyword_interval,
    ACTIONS(3013), 1,
      sym_keyword_array,
    ACTIONS(3015), 1,
      anon_sym_LPAREN,
    ACTIONS(3021), 1,
      anon_sym_PLUS,
    ACTIONS(3023), 1,
      anon_sym_DASH,
    ACTIONS(3025), 1,
      sym_op_unary_other,
    ACTIONS(3027), 1,
      sym__double_quote_string,
    ACTIONS(3029), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3031), 1,
      aux_sym__integer_token1,
    ACTIONS(3033), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3035), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3037), 1,
      sym__dollar_quoted_string,
    ACTIONS(5768), 1,
      sym_parameter,
    STATE(310), 1,
      sym__single_quote_string,
    STATE(2882), 1,
      sym_identifier,
    STATE(3887), 1,
      sym_invocation,
    STATE(4609), 1,
      sym__qualified_field,
    STATE(11850), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3005), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3884), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2103), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [139520] = 28,
    ACTIONS(211), 1,
      sym__identifier,
    ACTIONS(269), 1,
      aux_sym_identifier_token1,
    ACTIONS(3001), 1,
      sym_keyword_cast,
    ACTIONS(3003), 1,
      sym_keyword_case,
    ACTIONS(3007), 1,
      sym_keyword_exists,
    ACTIONS(3011), 1,
      sym_keyword_interval,
    ACTIONS(3013), 1,
      sym_keyword_array,
    ACTIONS(3015), 1,
      anon_sym_LPAREN,
    ACTIONS(3021), 1,
      anon_sym_PLUS,
    ACTIONS(3023), 1,
      anon_sym_DASH,
    ACTIONS(3025), 1,
      sym_op_unary_other,
    ACTIONS(3027), 1,
      sym__double_quote_string,
    ACTIONS(3029), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3031), 1,
      aux_sym__integer_token1,
    ACTIONS(3033), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3035), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3037), 1,
      sym__dollar_quoted_string,
    ACTIONS(5770), 1,
      sym_parameter,
    STATE(310), 1,
      sym__single_quote_string,
    STATE(2882), 1,
      sym_identifier,
    STATE(3887), 1,
      sym_invocation,
    STATE(4609), 1,
      sym__qualified_field,
    STATE(11850), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3005), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3884), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2199), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [139630] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5772), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5489), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [139740] = 28,
    ACTIONS(211), 1,
      sym__identifier,
    ACTIONS(269), 1,
      aux_sym_identifier_token1,
    ACTIONS(3001), 1,
      sym_keyword_cast,
    ACTIONS(3003), 1,
      sym_keyword_case,
    ACTIONS(3007), 1,
      sym_keyword_exists,
    ACTIONS(3011), 1,
      sym_keyword_interval,
    ACTIONS(3013), 1,
      sym_keyword_array,
    ACTIONS(3015), 1,
      anon_sym_LPAREN,
    ACTIONS(3021), 1,
      anon_sym_PLUS,
    ACTIONS(3023), 1,
      anon_sym_DASH,
    ACTIONS(3025), 1,
      sym_op_unary_other,
    ACTIONS(3027), 1,
      sym__double_quote_string,
    ACTIONS(3029), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3031), 1,
      aux_sym__integer_token1,
    ACTIONS(3033), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3035), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3037), 1,
      sym__dollar_quoted_string,
    ACTIONS(4110), 1,
      sym_parameter,
    STATE(310), 1,
      sym__single_quote_string,
    STATE(2882), 1,
      sym_identifier,
    STATE(3887), 1,
      sym_invocation,
    STATE(4609), 1,
      sym__qualified_field,
    STATE(11850), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3005), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3884), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2319), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [139850] = 28,
    ACTIONS(211), 1,
      sym__identifier,
    ACTIONS(269), 1,
      aux_sym_identifier_token1,
    ACTIONS(3001), 1,
      sym_keyword_cast,
    ACTIONS(3003), 1,
      sym_keyword_case,
    ACTIONS(3007), 1,
      sym_keyword_exists,
    ACTIONS(3011), 1,
      sym_keyword_interval,
    ACTIONS(3013), 1,
      sym_keyword_array,
    ACTIONS(3015), 1,
      anon_sym_LPAREN,
    ACTIONS(3021), 1,
      anon_sym_PLUS,
    ACTIONS(3023), 1,
      anon_sym_DASH,
    ACTIONS(3025), 1,
      sym_op_unary_other,
    ACTIONS(3027), 1,
      sym__double_quote_string,
    ACTIONS(3029), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3031), 1,
      aux_sym__integer_token1,
    ACTIONS(3033), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3035), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3037), 1,
      sym__dollar_quoted_string,
    ACTIONS(5774), 1,
      sym_parameter,
    STATE(310), 1,
      sym__single_quote_string,
    STATE(2882), 1,
      sym_identifier,
    STATE(3887), 1,
      sym_invocation,
    STATE(4609), 1,
      sym__qualified_field,
    STATE(11850), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3005), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3884), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2279), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [139960] = 28,
    ACTIONS(211), 1,
      sym__identifier,
    ACTIONS(269), 1,
      aux_sym_identifier_token1,
    ACTIONS(3001), 1,
      sym_keyword_cast,
    ACTIONS(3003), 1,
      sym_keyword_case,
    ACTIONS(3007), 1,
      sym_keyword_exists,
    ACTIONS(3011), 1,
      sym_keyword_interval,
    ACTIONS(3013), 1,
      sym_keyword_array,
    ACTIONS(3015), 1,
      anon_sym_LPAREN,
    ACTIONS(3021), 1,
      anon_sym_PLUS,
    ACTIONS(3023), 1,
      anon_sym_DASH,
    ACTIONS(3025), 1,
      sym_op_unary_other,
    ACTIONS(3027), 1,
      sym__double_quote_string,
    ACTIONS(3029), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3031), 1,
      aux_sym__integer_token1,
    ACTIONS(3033), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3035), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3037), 1,
      sym__dollar_quoted_string,
    ACTIONS(5776), 1,
      sym_parameter,
    STATE(310), 1,
      sym__single_quote_string,
    STATE(2882), 1,
      sym_identifier,
    STATE(3887), 1,
      sym_invocation,
    STATE(4609), 1,
      sym__qualified_field,
    STATE(11850), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3005), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3884), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2074), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [140070] = 28,
    ACTIONS(211), 1,
      sym__identifier,
    ACTIONS(269), 1,
      aux_sym_identifier_token1,
    ACTIONS(3001), 1,
      sym_keyword_cast,
    ACTIONS(3003), 1,
      sym_keyword_case,
    ACTIONS(3007), 1,
      sym_keyword_exists,
    ACTIONS(3011), 1,
      sym_keyword_interval,
    ACTIONS(3013), 1,
      sym_keyword_array,
    ACTIONS(3015), 1,
      anon_sym_LPAREN,
    ACTIONS(3021), 1,
      anon_sym_PLUS,
    ACTIONS(3023), 1,
      anon_sym_DASH,
    ACTIONS(3025), 1,
      sym_op_unary_other,
    ACTIONS(3027), 1,
      sym__double_quote_string,
    ACTIONS(3029), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3031), 1,
      aux_sym__integer_token1,
    ACTIONS(3033), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3035), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3037), 1,
      sym__dollar_quoted_string,
    ACTIONS(5778), 1,
      sym_parameter,
    STATE(310), 1,
      sym__single_quote_string,
    STATE(2882), 1,
      sym_identifier,
    STATE(3887), 1,
      sym_invocation,
    STATE(4609), 1,
      sym__qualified_field,
    STATE(11850), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3005), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3884), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2285), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [140180] = 28,
    ACTIONS(211), 1,
      sym__identifier,
    ACTIONS(269), 1,
      aux_sym_identifier_token1,
    ACTIONS(3001), 1,
      sym_keyword_cast,
    ACTIONS(3003), 1,
      sym_keyword_case,
    ACTIONS(3007), 1,
      sym_keyword_exists,
    ACTIONS(3011), 1,
      sym_keyword_interval,
    ACTIONS(3013), 1,
      sym_keyword_array,
    ACTIONS(3015), 1,
      anon_sym_LPAREN,
    ACTIONS(3021), 1,
      anon_sym_PLUS,
    ACTIONS(3023), 1,
      anon_sym_DASH,
    ACTIONS(3025), 1,
      sym_op_unary_other,
    ACTIONS(3027), 1,
      sym__double_quote_string,
    ACTIONS(3029), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3031), 1,
      aux_sym__integer_token1,
    ACTIONS(3033), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3035), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3037), 1,
      sym__dollar_quoted_string,
    ACTIONS(5780), 1,
      sym_parameter,
    STATE(310), 1,
      sym__single_quote_string,
    STATE(2882), 1,
      sym_identifier,
    STATE(3887), 1,
      sym_invocation,
    STATE(4609), 1,
      sym__qualified_field,
    STATE(11850), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3005), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3884), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2286), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [140290] = 28,
    ACTIONS(211), 1,
      sym__identifier,
    ACTIONS(269), 1,
      aux_sym_identifier_token1,
    ACTIONS(3001), 1,
      sym_keyword_cast,
    ACTIONS(3003), 1,
      sym_keyword_case,
    ACTIONS(3007), 1,
      sym_keyword_exists,
    ACTIONS(3011), 1,
      sym_keyword_interval,
    ACTIONS(3013), 1,
      sym_keyword_array,
    ACTIONS(3015), 1,
      anon_sym_LPAREN,
    ACTIONS(3021), 1,
      anon_sym_PLUS,
    ACTIONS(3023), 1,
      anon_sym_DASH,
    ACTIONS(3025), 1,
      sym_op_unary_other,
    ACTIONS(3027), 1,
      sym__double_quote_string,
    ACTIONS(3029), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3031), 1,
      aux_sym__integer_token1,
    ACTIONS(3033), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3035), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3037), 1,
      sym__dollar_quoted_string,
    ACTIONS(5782), 1,
      sym_parameter,
    STATE(310), 1,
      sym__single_quote_string,
    STATE(2882), 1,
      sym_identifier,
    STATE(3887), 1,
      sym_invocation,
    STATE(4609), 1,
      sym__qualified_field,
    STATE(11850), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3005), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3884), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2293), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [140400] = 28,
    ACTIONS(211), 1,
      sym__identifier,
    ACTIONS(269), 1,
      aux_sym_identifier_token1,
    ACTIONS(3001), 1,
      sym_keyword_cast,
    ACTIONS(3003), 1,
      sym_keyword_case,
    ACTIONS(3007), 1,
      sym_keyword_exists,
    ACTIONS(3011), 1,
      sym_keyword_interval,
    ACTIONS(3013), 1,
      sym_keyword_array,
    ACTIONS(3015), 1,
      anon_sym_LPAREN,
    ACTIONS(3021), 1,
      anon_sym_PLUS,
    ACTIONS(3023), 1,
      anon_sym_DASH,
    ACTIONS(3025), 1,
      sym_op_unary_other,
    ACTIONS(3027), 1,
      sym__double_quote_string,
    ACTIONS(3029), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3031), 1,
      aux_sym__integer_token1,
    ACTIONS(3033), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3035), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3037), 1,
      sym__dollar_quoted_string,
    ACTIONS(5784), 1,
      sym_parameter,
    STATE(310), 1,
      sym__single_quote_string,
    STATE(2882), 1,
      sym_identifier,
    STATE(3887), 1,
      sym_invocation,
    STATE(4609), 1,
      sym__qualified_field,
    STATE(11850), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3005), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3884), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2207), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [140510] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5786), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6209), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [140620] = 28,
    ACTIONS(211), 1,
      sym__identifier,
    ACTIONS(269), 1,
      aux_sym_identifier_token1,
    ACTIONS(3001), 1,
      sym_keyword_cast,
    ACTIONS(3003), 1,
      sym_keyword_case,
    ACTIONS(3007), 1,
      sym_keyword_exists,
    ACTIONS(3011), 1,
      sym_keyword_interval,
    ACTIONS(3013), 1,
      sym_keyword_array,
    ACTIONS(3015), 1,
      anon_sym_LPAREN,
    ACTIONS(3021), 1,
      anon_sym_PLUS,
    ACTIONS(3023), 1,
      anon_sym_DASH,
    ACTIONS(3025), 1,
      sym_op_unary_other,
    ACTIONS(3027), 1,
      sym__double_quote_string,
    ACTIONS(3029), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3031), 1,
      aux_sym__integer_token1,
    ACTIONS(3033), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3035), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3037), 1,
      sym__dollar_quoted_string,
    ACTIONS(5788), 1,
      sym_parameter,
    STATE(310), 1,
      sym__single_quote_string,
    STATE(2882), 1,
      sym_identifier,
    STATE(3887), 1,
      sym_invocation,
    STATE(4609), 1,
      sym__qualified_field,
    STATE(11850), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3005), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3884), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2185), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [140730] = 28,
    ACTIONS(211), 1,
      sym__identifier,
    ACTIONS(269), 1,
      aux_sym_identifier_token1,
    ACTIONS(3001), 1,
      sym_keyword_cast,
    ACTIONS(3003), 1,
      sym_keyword_case,
    ACTIONS(3007), 1,
      sym_keyword_exists,
    ACTIONS(3011), 1,
      sym_keyword_interval,
    ACTIONS(3013), 1,
      sym_keyword_array,
    ACTIONS(3015), 1,
      anon_sym_LPAREN,
    ACTIONS(3021), 1,
      anon_sym_PLUS,
    ACTIONS(3023), 1,
      anon_sym_DASH,
    ACTIONS(3025), 1,
      sym_op_unary_other,
    ACTIONS(3027), 1,
      sym__double_quote_string,
    ACTIONS(3029), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3031), 1,
      aux_sym__integer_token1,
    ACTIONS(3033), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3035), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3037), 1,
      sym__dollar_quoted_string,
    ACTIONS(5790), 1,
      sym_parameter,
    STATE(310), 1,
      sym__single_quote_string,
    STATE(2882), 1,
      sym_identifier,
    STATE(3887), 1,
      sym_invocation,
    STATE(4609), 1,
      sym__qualified_field,
    STATE(11850), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3005), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3884), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2315), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [140840] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5792), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5044), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [140950] = 6,
    ACTIONS(4386), 1,
      sym_keyword_unsigned,
    ACTIONS(4388), 1,
      sym_keyword_zerofill,
    ACTIONS(4392), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1772), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1774), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [141016] = 28,
    ACTIONS(211), 1,
      sym__identifier,
    ACTIONS(269), 1,
      aux_sym_identifier_token1,
    ACTIONS(3001), 1,
      sym_keyword_cast,
    ACTIONS(3003), 1,
      sym_keyword_case,
    ACTIONS(3007), 1,
      sym_keyword_exists,
    ACTIONS(3011), 1,
      sym_keyword_interval,
    ACTIONS(3013), 1,
      sym_keyword_array,
    ACTIONS(3015), 1,
      anon_sym_LPAREN,
    ACTIONS(3021), 1,
      anon_sym_PLUS,
    ACTIONS(3023), 1,
      anon_sym_DASH,
    ACTIONS(3025), 1,
      sym_op_unary_other,
    ACTIONS(3027), 1,
      sym__double_quote_string,
    ACTIONS(3029), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3031), 1,
      aux_sym__integer_token1,
    ACTIONS(3033), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3035), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3037), 1,
      sym__dollar_quoted_string,
    ACTIONS(5794), 1,
      sym_parameter,
    STATE(310), 1,
      sym__single_quote_string,
    STATE(2882), 1,
      sym_identifier,
    STATE(3887), 1,
      sym_invocation,
    STATE(4609), 1,
      sym__qualified_field,
    STATE(11850), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3005), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3884), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2317), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [141126] = 28,
    ACTIONS(1205), 1,
      sym__identifier,
    ACTIONS(1209), 1,
      aux_sym_identifier_token1,
    ACTIONS(2787), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3636), 1,
      sym_keyword_cast,
    ACTIONS(3644), 1,
      sym_keyword_array,
    ACTIONS(3650), 1,
      anon_sym_PLUS,
    ACTIONS(3652), 1,
      anon_sym_DASH,
    ACTIONS(3654), 1,
      sym_op_unary_other,
    ACTIONS(3656), 1,
      sym__double_quote_string,
    ACTIONS(3658), 1,
      aux_sym__integer_token1,
    ACTIONS(3660), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3662), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3664), 1,
      sym__dollar_quoted_string,
    ACTIONS(3722), 1,
      sym_keyword_case,
    ACTIONS(3724), 1,
      sym_keyword_exists,
    ACTIONS(3726), 1,
      sym_keyword_interval,
    ACTIONS(3728), 1,
      anon_sym_LPAREN,
    ACTIONS(5796), 1,
      sym_parameter,
    STATE(425), 1,
      sym_identifier,
    STATE(683), 1,
      sym_invocation,
    STATE(796), 1,
      sym__single_quote_string,
    STATE(883), 1,
      sym__qualified_field,
    STATE(11909), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3642), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3638), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(843), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(297), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [141236] = 29,
    ACTIONS(587), 1,
      sym__identifier,
    ACTIONS(645), 1,
      aux_sym_identifier_token1,
    ACTIONS(4248), 1,
      sym_keyword_cast,
    ACTIONS(4250), 1,
      sym_keyword_case,
    ACTIONS(4254), 1,
      sym_keyword_exists,
    ACTIONS(4258), 1,
      sym_keyword_null,
    ACTIONS(4260), 1,
      sym_keyword_interval,
    ACTIONS(4262), 1,
      sym_keyword_array,
    ACTIONS(4264), 1,
      anon_sym_LPAREN,
    ACTIONS(4268), 1,
      anon_sym_PLUS,
    ACTIONS(4270), 1,
      anon_sym_DASH,
    ACTIONS(4272), 1,
      sym_op_unary_other,
    ACTIONS(4274), 1,
      sym__double_quote_string,
    ACTIONS(4276), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4278), 1,
      aux_sym__integer_token1,
    ACTIONS(4280), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4282), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4284), 1,
      sym__dollar_quoted_string,
    ACTIONS(5800), 1,
      sym_parameter,
    STATE(2958), 1,
      sym_identifier,
    STATE(4144), 1,
      sym_invocation,
    STATE(4381), 1,
      sym__single_quote_string,
    STATE(4431), 1,
      sym__qualified_field,
    STATE(11807), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5798), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4256), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4564), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2276), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [141348] = 29,
    ACTIONS(587), 1,
      sym__identifier,
    ACTIONS(645), 1,
      aux_sym_identifier_token1,
    ACTIONS(4248), 1,
      sym_keyword_cast,
    ACTIONS(4250), 1,
      sym_keyword_case,
    ACTIONS(4254), 1,
      sym_keyword_exists,
    ACTIONS(4258), 1,
      sym_keyword_null,
    ACTIONS(4260), 1,
      sym_keyword_interval,
    ACTIONS(4262), 1,
      sym_keyword_array,
    ACTIONS(4264), 1,
      anon_sym_LPAREN,
    ACTIONS(4268), 1,
      anon_sym_PLUS,
    ACTIONS(4270), 1,
      anon_sym_DASH,
    ACTIONS(4272), 1,
      sym_op_unary_other,
    ACTIONS(4274), 1,
      sym__double_quote_string,
    ACTIONS(4276), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4278), 1,
      aux_sym__integer_token1,
    ACTIONS(4280), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4282), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4284), 1,
      sym__dollar_quoted_string,
    ACTIONS(5804), 1,
      sym_parameter,
    STATE(2958), 1,
      sym_identifier,
    STATE(4144), 1,
      sym_invocation,
    STATE(4381), 1,
      sym__single_quote_string,
    STATE(4431), 1,
      sym__qualified_field,
    STATE(11807), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5802), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4256), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4564), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2275), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [141460] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(5806), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(4378), 1,
      sym_identifier,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4363), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [141570] = 28,
    ACTIONS(843), 1,
      sym__identifier,
    ACTIONS(901), 1,
      aux_sym_identifier_token1,
    ACTIONS(4122), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4212), 1,
      sym_keyword_cast,
    ACTIONS(4214), 1,
      sym_keyword_case,
    ACTIONS(4218), 1,
      sym_keyword_exists,
    ACTIONS(4224), 1,
      sym_keyword_interval,
    ACTIONS(4226), 1,
      sym_keyword_array,
    ACTIONS(4228), 1,
      anon_sym_LPAREN,
    ACTIONS(4232), 1,
      anon_sym_PLUS,
    ACTIONS(4234), 1,
      anon_sym_DASH,
    ACTIONS(4236), 1,
      sym_op_unary_other,
    ACTIONS(4238), 1,
      sym__double_quote_string,
    ACTIONS(4240), 1,
      aux_sym__integer_token1,
    ACTIONS(4242), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4244), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4246), 1,
      sym__dollar_quoted_string,
    ACTIONS(5808), 1,
      sym_parameter,
    STATE(1057), 1,
      sym_identifier,
    STATE(2184), 1,
      sym_invocation,
    STATE(2355), 1,
      sym__single_quote_string,
    STATE(2449), 1,
      sym__qualified_field,
    STATE(11882), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4222), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4220), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2384), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(492), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [141680] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5810), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6049), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [141790] = 28,
    ACTIONS(1289), 1,
      sym__identifier,
    ACTIONS(1347), 1,
      aux_sym_identifier_token1,
    ACTIONS(4012), 1,
      sym_keyword_cast,
    ACTIONS(4014), 1,
      sym_keyword_case,
    ACTIONS(4018), 1,
      sym_keyword_exists,
    ACTIONS(4024), 1,
      sym_keyword_interval,
    ACTIONS(4026), 1,
      sym_keyword_array,
    ACTIONS(4028), 1,
      anon_sym_LPAREN,
    ACTIONS(4032), 1,
      anon_sym_PLUS,
    ACTIONS(4034), 1,
      anon_sym_DASH,
    ACTIONS(4036), 1,
      sym_op_unary_other,
    ACTIONS(4038), 1,
      sym__double_quote_string,
    ACTIONS(4040), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4042), 1,
      aux_sym__integer_token1,
    ACTIONS(4044), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4046), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4048), 1,
      sym__dollar_quoted_string,
    ACTIONS(5812), 1,
      sym_parameter,
    STATE(2710), 1,
      sym_identifier,
    STATE(3531), 1,
      sym_invocation,
    STATE(3885), 1,
      sym__single_quote_string,
    STATE(4309), 1,
      sym__qualified_field,
    STATE(11865), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4022), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4020), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3918), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1933), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [141900] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5814), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5037), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [142010] = 29,
    ACTIONS(587), 1,
      sym__identifier,
    ACTIONS(645), 1,
      aux_sym_identifier_token1,
    ACTIONS(4248), 1,
      sym_keyword_cast,
    ACTIONS(4250), 1,
      sym_keyword_case,
    ACTIONS(4254), 1,
      sym_keyword_exists,
    ACTIONS(4258), 1,
      sym_keyword_null,
    ACTIONS(4260), 1,
      sym_keyword_interval,
    ACTIONS(4262), 1,
      sym_keyword_array,
    ACTIONS(4264), 1,
      anon_sym_LPAREN,
    ACTIONS(4268), 1,
      anon_sym_PLUS,
    ACTIONS(4270), 1,
      anon_sym_DASH,
    ACTIONS(4272), 1,
      sym_op_unary_other,
    ACTIONS(4274), 1,
      sym__double_quote_string,
    ACTIONS(4276), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4278), 1,
      aux_sym__integer_token1,
    ACTIONS(4280), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4282), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4284), 1,
      sym__dollar_quoted_string,
    ACTIONS(5818), 1,
      sym_parameter,
    STATE(2958), 1,
      sym_identifier,
    STATE(4144), 1,
      sym_invocation,
    STATE(4381), 1,
      sym__single_quote_string,
    STATE(4431), 1,
      sym__qualified_field,
    STATE(11807), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5816), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4256), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4564), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2272), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [142122] = 29,
    ACTIONS(587), 1,
      sym__identifier,
    ACTIONS(645), 1,
      aux_sym_identifier_token1,
    ACTIONS(4248), 1,
      sym_keyword_cast,
    ACTIONS(4250), 1,
      sym_keyword_case,
    ACTIONS(4254), 1,
      sym_keyword_exists,
    ACTIONS(4258), 1,
      sym_keyword_null,
    ACTIONS(4260), 1,
      sym_keyword_interval,
    ACTIONS(4262), 1,
      sym_keyword_array,
    ACTIONS(4264), 1,
      anon_sym_LPAREN,
    ACTIONS(4268), 1,
      anon_sym_PLUS,
    ACTIONS(4270), 1,
      anon_sym_DASH,
    ACTIONS(4272), 1,
      sym_op_unary_other,
    ACTIONS(4274), 1,
      sym__double_quote_string,
    ACTIONS(4276), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4278), 1,
      aux_sym__integer_token1,
    ACTIONS(4280), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4282), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4284), 1,
      sym__dollar_quoted_string,
    ACTIONS(5822), 1,
      sym_parameter,
    STATE(2958), 1,
      sym_identifier,
    STATE(4144), 1,
      sym_invocation,
    STATE(4381), 1,
      sym__single_quote_string,
    STATE(4431), 1,
      sym__qualified_field,
    STATE(11807), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5820), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4256), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4564), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2271), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [142234] = 28,
    ACTIONS(1289), 1,
      sym__identifier,
    ACTIONS(1347), 1,
      aux_sym_identifier_token1,
    ACTIONS(4012), 1,
      sym_keyword_cast,
    ACTIONS(4014), 1,
      sym_keyword_case,
    ACTIONS(4018), 1,
      sym_keyword_exists,
    ACTIONS(4024), 1,
      sym_keyword_interval,
    ACTIONS(4026), 1,
      sym_keyword_array,
    ACTIONS(4028), 1,
      anon_sym_LPAREN,
    ACTIONS(4032), 1,
      anon_sym_PLUS,
    ACTIONS(4034), 1,
      anon_sym_DASH,
    ACTIONS(4036), 1,
      sym_op_unary_other,
    ACTIONS(4038), 1,
      sym__double_quote_string,
    ACTIONS(4040), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4042), 1,
      aux_sym__integer_token1,
    ACTIONS(4044), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4046), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4048), 1,
      sym__dollar_quoted_string,
    ACTIONS(5824), 1,
      sym_parameter,
    STATE(2710), 1,
      sym_identifier,
    STATE(3531), 1,
      sym_invocation,
    STATE(3885), 1,
      sym__single_quote_string,
    STATE(4309), 1,
      sym__qualified_field,
    STATE(11865), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4022), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4020), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3918), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1935), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [142344] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5826), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5812), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [142454] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5828), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6045), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [142564] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5830), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6024), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [142674] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5832), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5774), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [142784] = 29,
    ACTIONS(587), 1,
      sym__identifier,
    ACTIONS(645), 1,
      aux_sym_identifier_token1,
    ACTIONS(4248), 1,
      sym_keyword_cast,
    ACTIONS(4250), 1,
      sym_keyword_case,
    ACTIONS(4254), 1,
      sym_keyword_exists,
    ACTIONS(4258), 1,
      sym_keyword_null,
    ACTIONS(4260), 1,
      sym_keyword_interval,
    ACTIONS(4262), 1,
      sym_keyword_array,
    ACTIONS(4264), 1,
      anon_sym_LPAREN,
    ACTIONS(4268), 1,
      anon_sym_PLUS,
    ACTIONS(4270), 1,
      anon_sym_DASH,
    ACTIONS(4272), 1,
      sym_op_unary_other,
    ACTIONS(4274), 1,
      sym__double_quote_string,
    ACTIONS(4276), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4278), 1,
      aux_sym__integer_token1,
    ACTIONS(4280), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4282), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4284), 1,
      sym__dollar_quoted_string,
    ACTIONS(5836), 1,
      sym_parameter,
    STATE(2958), 1,
      sym_identifier,
    STATE(4144), 1,
      sym_invocation,
    STATE(4381), 1,
      sym__single_quote_string,
    STATE(4431), 1,
      sym__qualified_field,
    STATE(11807), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5834), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4256), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4564), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2259), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [142896] = 29,
    ACTIONS(587), 1,
      sym__identifier,
    ACTIONS(645), 1,
      aux_sym_identifier_token1,
    ACTIONS(4248), 1,
      sym_keyword_cast,
    ACTIONS(4250), 1,
      sym_keyword_case,
    ACTIONS(4254), 1,
      sym_keyword_exists,
    ACTIONS(4258), 1,
      sym_keyword_null,
    ACTIONS(4260), 1,
      sym_keyword_interval,
    ACTIONS(4262), 1,
      sym_keyword_array,
    ACTIONS(4264), 1,
      anon_sym_LPAREN,
    ACTIONS(4268), 1,
      anon_sym_PLUS,
    ACTIONS(4270), 1,
      anon_sym_DASH,
    ACTIONS(4272), 1,
      sym_op_unary_other,
    ACTIONS(4274), 1,
      sym__double_quote_string,
    ACTIONS(4276), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4278), 1,
      aux_sym__integer_token1,
    ACTIONS(4280), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4282), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4284), 1,
      sym__dollar_quoted_string,
    ACTIONS(5840), 1,
      sym_parameter,
    STATE(2958), 1,
      sym_identifier,
    STATE(4144), 1,
      sym_invocation,
    STATE(4381), 1,
      sym__single_quote_string,
    STATE(4431), 1,
      sym__qualified_field,
    STATE(11807), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5838), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4256), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4564), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2255), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [143008] = 21,
    ACTIONS(2394), 1,
      anon_sym_COLON,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2392), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_preceding,
      sym_keyword_following,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [143104] = 28,
    ACTIONS(1289), 1,
      sym__identifier,
    ACTIONS(1347), 1,
      aux_sym_identifier_token1,
    ACTIONS(4012), 1,
      sym_keyword_cast,
    ACTIONS(4014), 1,
      sym_keyword_case,
    ACTIONS(4018), 1,
      sym_keyword_exists,
    ACTIONS(4024), 1,
      sym_keyword_interval,
    ACTIONS(4026), 1,
      sym_keyword_array,
    ACTIONS(4028), 1,
      anon_sym_LPAREN,
    ACTIONS(4032), 1,
      anon_sym_PLUS,
    ACTIONS(4034), 1,
      anon_sym_DASH,
    ACTIONS(4036), 1,
      sym_op_unary_other,
    ACTIONS(4038), 1,
      sym__double_quote_string,
    ACTIONS(4040), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4042), 1,
      aux_sym__integer_token1,
    ACTIONS(4044), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4046), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4048), 1,
      sym__dollar_quoted_string,
    ACTIONS(5844), 1,
      sym_parameter,
    STATE(2710), 1,
      sym_identifier,
    STATE(3531), 1,
      sym_invocation,
    STATE(3885), 1,
      sym__single_quote_string,
    STATE(4309), 1,
      sym__qualified_field,
    STATE(11865), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4022), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4020), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3918), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1945), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [143214] = 28,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(5846), 1,
      sym_parameter,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(11981), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3958), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [143324] = 28,
    ACTIONS(4142), 1,
      sym__identifier,
    ACTIONS(4144), 1,
      sym_keyword_cast,
    ACTIONS(4146), 1,
      sym_keyword_case,
    ACTIONS(4150), 1,
      sym_keyword_exists,
    ACTIONS(4156), 1,
      sym_keyword_interval,
    ACTIONS(4158), 1,
      sym_keyword_array,
    ACTIONS(4160), 1,
      anon_sym_LPAREN,
    ACTIONS(4164), 1,
      anon_sym_PLUS,
    ACTIONS(4166), 1,
      anon_sym_DASH,
    ACTIONS(4168), 1,
      sym_op_unary_other,
    ACTIONS(4170), 1,
      sym__double_quote_string,
    ACTIONS(4172), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4174), 1,
      aux_sym__integer_token1,
    ACTIONS(4176), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4178), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4180), 1,
      aux_sym_identifier_token1,
    ACTIONS(4182), 1,
      sym__dollar_quoted_string,
    ACTIONS(5848), 1,
      sym_parameter,
    STATE(4784), 1,
      sym_identifier,
    STATE(5245), 1,
      sym_invocation,
    STATE(5722), 1,
      sym__single_quote_string,
    STATE(5732), 1,
      sym__qualified_field,
    STATE(11825), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4154), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4152), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5585), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4668), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [143434] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5850), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6018), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [143544] = 29,
    ACTIONS(587), 1,
      sym__identifier,
    ACTIONS(645), 1,
      aux_sym_identifier_token1,
    ACTIONS(4248), 1,
      sym_keyword_cast,
    ACTIONS(4250), 1,
      sym_keyword_case,
    ACTIONS(4254), 1,
      sym_keyword_exists,
    ACTIONS(4258), 1,
      sym_keyword_null,
    ACTIONS(4260), 1,
      sym_keyword_interval,
    ACTIONS(4262), 1,
      sym_keyword_array,
    ACTIONS(4264), 1,
      anon_sym_LPAREN,
    ACTIONS(4268), 1,
      anon_sym_PLUS,
    ACTIONS(4270), 1,
      anon_sym_DASH,
    ACTIONS(4272), 1,
      sym_op_unary_other,
    ACTIONS(4274), 1,
      sym__double_quote_string,
    ACTIONS(4276), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4278), 1,
      aux_sym__integer_token1,
    ACTIONS(4280), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4282), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4284), 1,
      sym__dollar_quoted_string,
    ACTIONS(5854), 1,
      sym_parameter,
    STATE(2958), 1,
      sym_identifier,
    STATE(4144), 1,
      sym_invocation,
    STATE(4381), 1,
      sym__single_quote_string,
    STATE(4431), 1,
      sym__qualified_field,
    STATE(11807), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5852), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4256), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4564), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2243), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [143656] = 20,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(2434), 1,
      anon_sym_COLON,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2432), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [143750] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5856), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1244), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [143860] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5858), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6210), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [143970] = 28,
    ACTIONS(1141), 1,
      sym__identifier,
    ACTIONS(1199), 1,
      aux_sym_identifier_token1,
    ACTIONS(4348), 1,
      sym_keyword_cast,
    ACTIONS(4350), 1,
      sym_keyword_case,
    ACTIONS(4354), 1,
      sym_keyword_exists,
    ACTIONS(4360), 1,
      sym_keyword_interval,
    ACTIONS(4362), 1,
      sym_keyword_array,
    ACTIONS(4364), 1,
      anon_sym_LPAREN,
    ACTIONS(4368), 1,
      anon_sym_PLUS,
    ACTIONS(4370), 1,
      anon_sym_DASH,
    ACTIONS(4372), 1,
      sym_op_unary_other,
    ACTIONS(4374), 1,
      sym__double_quote_string,
    ACTIONS(4376), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4378), 1,
      aux_sym__integer_token1,
    ACTIONS(4380), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4382), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4384), 1,
      sym__dollar_quoted_string,
    ACTIONS(5860), 1,
      sym_parameter,
    STATE(2235), 1,
      sym__single_quote_string,
    STATE(2711), 1,
      sym_identifier,
    STATE(3691), 1,
      sym_invocation,
    STATE(3959), 1,
      sym__qualified_field,
    STATE(11969), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4358), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4356), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3940), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2766), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [144080] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5862), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5576), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [144190] = 28,
    ACTIONS(1289), 1,
      sym__identifier,
    ACTIONS(1347), 1,
      aux_sym_identifier_token1,
    ACTIONS(4012), 1,
      sym_keyword_cast,
    ACTIONS(4014), 1,
      sym_keyword_case,
    ACTIONS(4018), 1,
      sym_keyword_exists,
    ACTIONS(4024), 1,
      sym_keyword_interval,
    ACTIONS(4026), 1,
      sym_keyword_array,
    ACTIONS(4028), 1,
      anon_sym_LPAREN,
    ACTIONS(4032), 1,
      anon_sym_PLUS,
    ACTIONS(4034), 1,
      anon_sym_DASH,
    ACTIONS(4036), 1,
      sym_op_unary_other,
    ACTIONS(4038), 1,
      sym__double_quote_string,
    ACTIONS(4040), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4042), 1,
      aux_sym__integer_token1,
    ACTIONS(4044), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4046), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4048), 1,
      sym__dollar_quoted_string,
    ACTIONS(5864), 1,
      sym_parameter,
    STATE(2710), 1,
      sym_identifier,
    STATE(3531), 1,
      sym_invocation,
    STATE(3885), 1,
      sym__single_quote_string,
    STATE(4309), 1,
      sym__qualified_field,
    STATE(11865), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4022), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4020), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3918), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1951), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [144300] = 28,
    ACTIONS(843), 1,
      sym__identifier,
    ACTIONS(901), 1,
      aux_sym_identifier_token1,
    ACTIONS(4122), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4212), 1,
      sym_keyword_cast,
    ACTIONS(4214), 1,
      sym_keyword_case,
    ACTIONS(4218), 1,
      sym_keyword_exists,
    ACTIONS(4224), 1,
      sym_keyword_interval,
    ACTIONS(4226), 1,
      sym_keyword_array,
    ACTIONS(4228), 1,
      anon_sym_LPAREN,
    ACTIONS(4232), 1,
      anon_sym_PLUS,
    ACTIONS(4234), 1,
      anon_sym_DASH,
    ACTIONS(4236), 1,
      sym_op_unary_other,
    ACTIONS(4238), 1,
      sym__double_quote_string,
    ACTIONS(4240), 1,
      aux_sym__integer_token1,
    ACTIONS(4242), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4244), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4246), 1,
      sym__dollar_quoted_string,
    ACTIONS(5866), 1,
      sym_parameter,
    STATE(1057), 1,
      sym_identifier,
    STATE(2184), 1,
      sym_invocation,
    STATE(2355), 1,
      sym__single_quote_string,
    STATE(2449), 1,
      sym__qualified_field,
    STATE(11882), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4222), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4220), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2384), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(493), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [144410] = 28,
    ACTIONS(1289), 1,
      sym__identifier,
    ACTIONS(1347), 1,
      aux_sym_identifier_token1,
    ACTIONS(4012), 1,
      sym_keyword_cast,
    ACTIONS(4014), 1,
      sym_keyword_case,
    ACTIONS(4018), 1,
      sym_keyword_exists,
    ACTIONS(4024), 1,
      sym_keyword_interval,
    ACTIONS(4026), 1,
      sym_keyword_array,
    ACTIONS(4028), 1,
      anon_sym_LPAREN,
    ACTIONS(4032), 1,
      anon_sym_PLUS,
    ACTIONS(4034), 1,
      anon_sym_DASH,
    ACTIONS(4036), 1,
      sym_op_unary_other,
    ACTIONS(4038), 1,
      sym__double_quote_string,
    ACTIONS(4040), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4042), 1,
      aux_sym__integer_token1,
    ACTIONS(4044), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4046), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4048), 1,
      sym__dollar_quoted_string,
    ACTIONS(5868), 1,
      sym_parameter,
    STATE(2710), 1,
      sym_identifier,
    STATE(3531), 1,
      sym_invocation,
    STATE(3885), 1,
      sym__single_quote_string,
    STATE(4309), 1,
      sym__qualified_field,
    STATE(11865), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4022), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4020), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3918), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1964), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [144520] = 22,
    ACTIONS(2394), 1,
      anon_sym_COLON,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2392), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_preceding,
      sym_keyword_following,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [144618] = 28,
    ACTIONS(1213), 1,
      sym__identifier,
    ACTIONS(1271), 1,
      aux_sym_identifier_token1,
    ACTIONS(3944), 1,
      sym_keyword_cast,
    ACTIONS(3946), 1,
      sym_keyword_case,
    ACTIONS(3950), 1,
      sym_keyword_exists,
    ACTIONS(3956), 1,
      sym_keyword_interval,
    ACTIONS(3958), 1,
      sym_keyword_array,
    ACTIONS(3960), 1,
      anon_sym_LPAREN,
    ACTIONS(3964), 1,
      anon_sym_PLUS,
    ACTIONS(3966), 1,
      anon_sym_DASH,
    ACTIONS(3968), 1,
      sym_op_unary_other,
    ACTIONS(3970), 1,
      sym__double_quote_string,
    ACTIONS(3972), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3974), 1,
      aux_sym__integer_token1,
    ACTIONS(3976), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3978), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3980), 1,
      sym__dollar_quoted_string,
    ACTIONS(5872), 1,
      sym_parameter,
    STATE(934), 1,
      sym__single_quote_string,
    STATE(5437), 1,
      sym_identifier,
    STATE(6217), 1,
      sym_invocation,
    STATE(6384), 1,
      sym__qualified_field,
    STATE(11941), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3954), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3952), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6390), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4690), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [144728] = 28,
    ACTIONS(4142), 1,
      sym__identifier,
    ACTIONS(4144), 1,
      sym_keyword_cast,
    ACTIONS(4146), 1,
      sym_keyword_case,
    ACTIONS(4150), 1,
      sym_keyword_exists,
    ACTIONS(4156), 1,
      sym_keyword_interval,
    ACTIONS(4158), 1,
      sym_keyword_array,
    ACTIONS(4160), 1,
      anon_sym_LPAREN,
    ACTIONS(4164), 1,
      anon_sym_PLUS,
    ACTIONS(4166), 1,
      anon_sym_DASH,
    ACTIONS(4168), 1,
      sym_op_unary_other,
    ACTIONS(4170), 1,
      sym__double_quote_string,
    ACTIONS(4172), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4174), 1,
      aux_sym__integer_token1,
    ACTIONS(4176), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4178), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4180), 1,
      aux_sym_identifier_token1,
    ACTIONS(4182), 1,
      sym__dollar_quoted_string,
    ACTIONS(5874), 1,
      sym_parameter,
    STATE(4784), 1,
      sym_identifier,
    STATE(5245), 1,
      sym_invocation,
    STATE(5722), 1,
      sym__single_quote_string,
    STATE(5732), 1,
      sym__qualified_field,
    STATE(11825), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4154), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4152), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5585), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3152), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [144838] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5876), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6212), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [144948] = 6,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2394), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 37,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [145014] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5878), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4929), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [145124] = 28,
    ACTIONS(1289), 1,
      sym__identifier,
    ACTIONS(1347), 1,
      aux_sym_identifier_token1,
    ACTIONS(4012), 1,
      sym_keyword_cast,
    ACTIONS(4014), 1,
      sym_keyword_case,
    ACTIONS(4018), 1,
      sym_keyword_exists,
    ACTIONS(4024), 1,
      sym_keyword_interval,
    ACTIONS(4026), 1,
      sym_keyword_array,
    ACTIONS(4028), 1,
      anon_sym_LPAREN,
    ACTIONS(4032), 1,
      anon_sym_PLUS,
    ACTIONS(4034), 1,
      anon_sym_DASH,
    ACTIONS(4036), 1,
      sym_op_unary_other,
    ACTIONS(4038), 1,
      sym__double_quote_string,
    ACTIONS(4040), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4042), 1,
      aux_sym__integer_token1,
    ACTIONS(4044), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4046), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4048), 1,
      sym__dollar_quoted_string,
    ACTIONS(5880), 1,
      sym_parameter,
    STATE(2710), 1,
      sym_identifier,
    STATE(3531), 1,
      sym_invocation,
    STATE(3885), 1,
      sym__single_quote_string,
    STATE(4309), 1,
      sym__qualified_field,
    STATE(11865), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4022), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4020), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3918), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1973), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [145234] = 6,
    ACTIONS(5882), 1,
      sym_keyword_unsigned,
    ACTIONS(5884), 1,
      sym_keyword_zerofill,
    ACTIONS(5886), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1862), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1860), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [145300] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5888), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5943), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [145410] = 28,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(5890), 1,
      sym_parameter,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(11981), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4022), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [145520] = 28,
    ACTIONS(4062), 1,
      sym__identifier,
    ACTIONS(4064), 1,
      sym_keyword_cast,
    ACTIONS(4066), 1,
      sym_keyword_case,
    ACTIONS(4070), 1,
      sym_keyword_exists,
    ACTIONS(4076), 1,
      sym_keyword_interval,
    ACTIONS(4078), 1,
      sym_keyword_array,
    ACTIONS(4080), 1,
      anon_sym_LPAREN,
    ACTIONS(4084), 1,
      anon_sym_PLUS,
    ACTIONS(4086), 1,
      anon_sym_DASH,
    ACTIONS(4088), 1,
      sym_op_unary_other,
    ACTIONS(4090), 1,
      sym__double_quote_string,
    ACTIONS(4092), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4094), 1,
      aux_sym__integer_token1,
    ACTIONS(4096), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4098), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4100), 1,
      aux_sym_identifier_token1,
    ACTIONS(4102), 1,
      sym__dollar_quoted_string,
    ACTIONS(5892), 1,
      sym_parameter,
    STATE(4884), 1,
      sym_identifier,
    STATE(5563), 1,
      sym_invocation,
    STATE(5895), 1,
      sym__single_quote_string,
    STATE(5979), 1,
      sym__qualified_field,
    STATE(11903), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4074), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4072), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5805), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3970), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [145630] = 28,
    ACTIONS(4062), 1,
      sym__identifier,
    ACTIONS(4064), 1,
      sym_keyword_cast,
    ACTIONS(4066), 1,
      sym_keyword_case,
    ACTIONS(4070), 1,
      sym_keyword_exists,
    ACTIONS(4076), 1,
      sym_keyword_interval,
    ACTIONS(4078), 1,
      sym_keyword_array,
    ACTIONS(4080), 1,
      anon_sym_LPAREN,
    ACTIONS(4084), 1,
      anon_sym_PLUS,
    ACTIONS(4086), 1,
      anon_sym_DASH,
    ACTIONS(4088), 1,
      sym_op_unary_other,
    ACTIONS(4090), 1,
      sym__double_quote_string,
    ACTIONS(4092), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4094), 1,
      aux_sym__integer_token1,
    ACTIONS(4096), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4098), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4100), 1,
      aux_sym_identifier_token1,
    ACTIONS(4102), 1,
      sym__dollar_quoted_string,
    ACTIONS(5894), 1,
      sym_parameter,
    STATE(4884), 1,
      sym_identifier,
    STATE(5563), 1,
      sym_invocation,
    STATE(5895), 1,
      sym__single_quote_string,
    STATE(5979), 1,
      sym__qualified_field,
    STATE(11903), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4074), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4072), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5805), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3927), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [145740] = 16,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5491), 1,
      sym_keyword_not,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2394), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [145826] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5896), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4954), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [145936] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5898), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5757), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [146046] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5900), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5911), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [146156] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5902), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5359), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [146266] = 28,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(4000), 1,
      anon_sym_LPAREN,
    ACTIONS(4004), 1,
      sym_op_unary_other,
    ACTIONS(5904), 1,
      sym_parameter,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(4750), 1,
      sym_invocation,
    STATE(11952), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3998), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2761), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [146376] = 29,
    ACTIONS(843), 1,
      sym__identifier,
    ACTIONS(901), 1,
      aux_sym_identifier_token1,
    ACTIONS(4122), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4212), 1,
      sym_keyword_cast,
    ACTIONS(4214), 1,
      sym_keyword_case,
    ACTIONS(4218), 1,
      sym_keyword_exists,
    ACTIONS(4222), 1,
      sym_keyword_null,
    ACTIONS(4224), 1,
      sym_keyword_interval,
    ACTIONS(4226), 1,
      sym_keyword_array,
    ACTIONS(4228), 1,
      anon_sym_LPAREN,
    ACTIONS(4232), 1,
      anon_sym_PLUS,
    ACTIONS(4234), 1,
      anon_sym_DASH,
    ACTIONS(4236), 1,
      sym_op_unary_other,
    ACTIONS(4238), 1,
      sym__double_quote_string,
    ACTIONS(4240), 1,
      aux_sym__integer_token1,
    ACTIONS(4242), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4244), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4246), 1,
      sym__dollar_quoted_string,
    ACTIONS(5906), 1,
      sym_parameter,
    STATE(1057), 1,
      sym_identifier,
    STATE(2184), 1,
      sym_invocation,
    STATE(2355), 1,
      sym__single_quote_string,
    STATE(2449), 1,
      sym__qualified_field,
    STATE(11882), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5133), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4220), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2384), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(652), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [146488] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5908), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5893), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [146598] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5910), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6317), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [146708] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5912), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5476), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [146818] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5914), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6307), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [146928] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5916), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4927), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [147038] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5918), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5782), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [147148] = 28,
    ACTIONS(1289), 1,
      sym__identifier,
    ACTIONS(1347), 1,
      aux_sym_identifier_token1,
    ACTIONS(4012), 1,
      sym_keyword_cast,
    ACTIONS(4014), 1,
      sym_keyword_case,
    ACTIONS(4018), 1,
      sym_keyword_exists,
    ACTIONS(4024), 1,
      sym_keyword_interval,
    ACTIONS(4026), 1,
      sym_keyword_array,
    ACTIONS(4028), 1,
      anon_sym_LPAREN,
    ACTIONS(4032), 1,
      anon_sym_PLUS,
    ACTIONS(4034), 1,
      anon_sym_DASH,
    ACTIONS(4036), 1,
      sym_op_unary_other,
    ACTIONS(4038), 1,
      sym__double_quote_string,
    ACTIONS(4040), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4042), 1,
      aux_sym__integer_token1,
    ACTIONS(4044), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4046), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4048), 1,
      sym__dollar_quoted_string,
    ACTIONS(5920), 1,
      sym_parameter,
    STATE(2710), 1,
      sym_identifier,
    STATE(3531), 1,
      sym_invocation,
    STATE(3885), 1,
      sym__single_quote_string,
    STATE(4309), 1,
      sym__qualified_field,
    STATE(11865), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4022), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4020), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3918), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2036), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [147258] = 28,
    ACTIONS(1289), 1,
      sym__identifier,
    ACTIONS(1347), 1,
      aux_sym_identifier_token1,
    ACTIONS(4012), 1,
      sym_keyword_cast,
    ACTIONS(4014), 1,
      sym_keyword_case,
    ACTIONS(4018), 1,
      sym_keyword_exists,
    ACTIONS(4024), 1,
      sym_keyword_interval,
    ACTIONS(4026), 1,
      sym_keyword_array,
    ACTIONS(4028), 1,
      anon_sym_LPAREN,
    ACTIONS(4032), 1,
      anon_sym_PLUS,
    ACTIONS(4034), 1,
      anon_sym_DASH,
    ACTIONS(4036), 1,
      sym_op_unary_other,
    ACTIONS(4038), 1,
      sym__double_quote_string,
    ACTIONS(4040), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4042), 1,
      aux_sym__integer_token1,
    ACTIONS(4044), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4046), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4048), 1,
      sym__dollar_quoted_string,
    ACTIONS(5922), 1,
      sym_parameter,
    STATE(2710), 1,
      sym_identifier,
    STATE(3531), 1,
      sym_invocation,
    STATE(3885), 1,
      sym__single_quote_string,
    STATE(4309), 1,
      sym__qualified_field,
    STATE(11865), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4022), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4020), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3918), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1995), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [147368] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5924), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4928), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [147478] = 28,
    ACTIONS(1289), 1,
      sym__identifier,
    ACTIONS(1347), 1,
      aux_sym_identifier_token1,
    ACTIONS(4012), 1,
      sym_keyword_cast,
    ACTIONS(4014), 1,
      sym_keyword_case,
    ACTIONS(4018), 1,
      sym_keyword_exists,
    ACTIONS(4024), 1,
      sym_keyword_interval,
    ACTIONS(4026), 1,
      sym_keyword_array,
    ACTIONS(4028), 1,
      anon_sym_LPAREN,
    ACTIONS(4030), 1,
      sym_parameter,
    ACTIONS(4032), 1,
      anon_sym_PLUS,
    ACTIONS(4034), 1,
      anon_sym_DASH,
    ACTIONS(4036), 1,
      sym_op_unary_other,
    ACTIONS(4038), 1,
      sym__double_quote_string,
    ACTIONS(4040), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4042), 1,
      aux_sym__integer_token1,
    ACTIONS(4044), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4046), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4048), 1,
      sym__dollar_quoted_string,
    STATE(2710), 1,
      sym_identifier,
    STATE(3531), 1,
      sym_invocation,
    STATE(3885), 1,
      sym__single_quote_string,
    STATE(4309), 1,
      sym__qualified_field,
    STATE(11865), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4022), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4020), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3918), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2023), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [147588] = 28,
    ACTIONS(1289), 1,
      sym__identifier,
    ACTIONS(1347), 1,
      aux_sym_identifier_token1,
    ACTIONS(4012), 1,
      sym_keyword_cast,
    ACTIONS(4014), 1,
      sym_keyword_case,
    ACTIONS(4018), 1,
      sym_keyword_exists,
    ACTIONS(4024), 1,
      sym_keyword_interval,
    ACTIONS(4026), 1,
      sym_keyword_array,
    ACTIONS(4028), 1,
      anon_sym_LPAREN,
    ACTIONS(4032), 1,
      anon_sym_PLUS,
    ACTIONS(4034), 1,
      anon_sym_DASH,
    ACTIONS(4036), 1,
      sym_op_unary_other,
    ACTIONS(4038), 1,
      sym__double_quote_string,
    ACTIONS(4040), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4042), 1,
      aux_sym__integer_token1,
    ACTIONS(4044), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4046), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4048), 1,
      sym__dollar_quoted_string,
    ACTIONS(5926), 1,
      sym_parameter,
    STATE(2710), 1,
      sym_identifier,
    STATE(3531), 1,
      sym_invocation,
    STATE(3885), 1,
      sym__single_quote_string,
    STATE(4309), 1,
      sym__qualified_field,
    STATE(11865), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4022), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4020), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3918), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1905), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [147698] = 28,
    ACTIONS(1289), 1,
      sym__identifier,
    ACTIONS(1347), 1,
      aux_sym_identifier_token1,
    ACTIONS(4012), 1,
      sym_keyword_cast,
    ACTIONS(4014), 1,
      sym_keyword_case,
    ACTIONS(4018), 1,
      sym_keyword_exists,
    ACTIONS(4024), 1,
      sym_keyword_interval,
    ACTIONS(4026), 1,
      sym_keyword_array,
    ACTIONS(4028), 1,
      anon_sym_LPAREN,
    ACTIONS(4032), 1,
      anon_sym_PLUS,
    ACTIONS(4034), 1,
      anon_sym_DASH,
    ACTIONS(4036), 1,
      sym_op_unary_other,
    ACTIONS(4038), 1,
      sym__double_quote_string,
    ACTIONS(4040), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4042), 1,
      aux_sym__integer_token1,
    ACTIONS(4044), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4046), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4048), 1,
      sym__dollar_quoted_string,
    ACTIONS(5928), 1,
      sym_parameter,
    STATE(2710), 1,
      sym_identifier,
    STATE(3531), 1,
      sym_invocation,
    STATE(3885), 1,
      sym__single_quote_string,
    STATE(4309), 1,
      sym__qualified_field,
    STATE(11865), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4022), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4020), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3918), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1906), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [147808] = 28,
    ACTIONS(1289), 1,
      sym__identifier,
    ACTIONS(1347), 1,
      aux_sym_identifier_token1,
    ACTIONS(4012), 1,
      sym_keyword_cast,
    ACTIONS(4014), 1,
      sym_keyword_case,
    ACTIONS(4018), 1,
      sym_keyword_exists,
    ACTIONS(4024), 1,
      sym_keyword_interval,
    ACTIONS(4026), 1,
      sym_keyword_array,
    ACTIONS(4028), 1,
      anon_sym_LPAREN,
    ACTIONS(4032), 1,
      anon_sym_PLUS,
    ACTIONS(4034), 1,
      anon_sym_DASH,
    ACTIONS(4036), 1,
      sym_op_unary_other,
    ACTIONS(4038), 1,
      sym__double_quote_string,
    ACTIONS(4040), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4042), 1,
      aux_sym__integer_token1,
    ACTIONS(4044), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4046), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4048), 1,
      sym__dollar_quoted_string,
    ACTIONS(5930), 1,
      sym_parameter,
    STATE(2710), 1,
      sym_identifier,
    STATE(3531), 1,
      sym_invocation,
    STATE(3885), 1,
      sym__single_quote_string,
    STATE(4309), 1,
      sym__qualified_field,
    STATE(11865), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4022), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4020), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3918), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1907), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [147918] = 28,
    ACTIONS(1289), 1,
      sym__identifier,
    ACTIONS(1347), 1,
      aux_sym_identifier_token1,
    ACTIONS(4012), 1,
      sym_keyword_cast,
    ACTIONS(4014), 1,
      sym_keyword_case,
    ACTIONS(4018), 1,
      sym_keyword_exists,
    ACTIONS(4024), 1,
      sym_keyword_interval,
    ACTIONS(4026), 1,
      sym_keyword_array,
    ACTIONS(4028), 1,
      anon_sym_LPAREN,
    ACTIONS(4032), 1,
      anon_sym_PLUS,
    ACTIONS(4034), 1,
      anon_sym_DASH,
    ACTIONS(4036), 1,
      sym_op_unary_other,
    ACTIONS(4038), 1,
      sym__double_quote_string,
    ACTIONS(4040), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4042), 1,
      aux_sym__integer_token1,
    ACTIONS(4044), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4046), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4048), 1,
      sym__dollar_quoted_string,
    ACTIONS(5932), 1,
      sym_parameter,
    STATE(2710), 1,
      sym_identifier,
    STATE(3531), 1,
      sym_invocation,
    STATE(3885), 1,
      sym__single_quote_string,
    STATE(4309), 1,
      sym__qualified_field,
    STATE(11865), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4022), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4020), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3918), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1908), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [148028] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5934), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5778), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [148138] = 28,
    ACTIONS(1289), 1,
      sym__identifier,
    ACTIONS(1347), 1,
      aux_sym_identifier_token1,
    ACTIONS(4012), 1,
      sym_keyword_cast,
    ACTIONS(4014), 1,
      sym_keyword_case,
    ACTIONS(4018), 1,
      sym_keyword_exists,
    ACTIONS(4024), 1,
      sym_keyword_interval,
    ACTIONS(4026), 1,
      sym_keyword_array,
    ACTIONS(4028), 1,
      anon_sym_LPAREN,
    ACTIONS(4032), 1,
      anon_sym_PLUS,
    ACTIONS(4034), 1,
      anon_sym_DASH,
    ACTIONS(4036), 1,
      sym_op_unary_other,
    ACTIONS(4038), 1,
      sym__double_quote_string,
    ACTIONS(4040), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4042), 1,
      aux_sym__integer_token1,
    ACTIONS(4044), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4046), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4048), 1,
      sym__dollar_quoted_string,
    ACTIONS(5936), 1,
      sym_parameter,
    STATE(2710), 1,
      sym_identifier,
    STATE(3531), 1,
      sym_invocation,
    STATE(3885), 1,
      sym__single_quote_string,
    STATE(4309), 1,
      sym__qualified_field,
    STATE(11865), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4022), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4020), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3918), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1977), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [148248] = 28,
    ACTIONS(1289), 1,
      sym__identifier,
    ACTIONS(1347), 1,
      aux_sym_identifier_token1,
    ACTIONS(4012), 1,
      sym_keyword_cast,
    ACTIONS(4014), 1,
      sym_keyword_case,
    ACTIONS(4018), 1,
      sym_keyword_exists,
    ACTIONS(4024), 1,
      sym_keyword_interval,
    ACTIONS(4026), 1,
      sym_keyword_array,
    ACTIONS(4028), 1,
      anon_sym_LPAREN,
    ACTIONS(4032), 1,
      anon_sym_PLUS,
    ACTIONS(4034), 1,
      anon_sym_DASH,
    ACTIONS(4036), 1,
      sym_op_unary_other,
    ACTIONS(4038), 1,
      sym__double_quote_string,
    ACTIONS(4040), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4042), 1,
      aux_sym__integer_token1,
    ACTIONS(4044), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4046), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4048), 1,
      sym__dollar_quoted_string,
    ACTIONS(5938), 1,
      sym_parameter,
    STATE(2710), 1,
      sym_identifier,
    STATE(3531), 1,
      sym_invocation,
    STATE(3885), 1,
      sym__single_quote_string,
    STATE(4309), 1,
      sym__qualified_field,
    STATE(11865), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4022), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4020), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3918), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1980), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [148358] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5940), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5765), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [148468] = 28,
    ACTIONS(1289), 1,
      sym__identifier,
    ACTIONS(1347), 1,
      aux_sym_identifier_token1,
    ACTIONS(4012), 1,
      sym_keyword_cast,
    ACTIONS(4014), 1,
      sym_keyword_case,
    ACTIONS(4018), 1,
      sym_keyword_exists,
    ACTIONS(4024), 1,
      sym_keyword_interval,
    ACTIONS(4026), 1,
      sym_keyword_array,
    ACTIONS(4028), 1,
      anon_sym_LPAREN,
    ACTIONS(4032), 1,
      anon_sym_PLUS,
    ACTIONS(4034), 1,
      anon_sym_DASH,
    ACTIONS(4036), 1,
      sym_op_unary_other,
    ACTIONS(4038), 1,
      sym__double_quote_string,
    ACTIONS(4040), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4042), 1,
      aux_sym__integer_token1,
    ACTIONS(4044), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4046), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4048), 1,
      sym__dollar_quoted_string,
    ACTIONS(5942), 1,
      sym_parameter,
    STATE(2710), 1,
      sym_identifier,
    STATE(3531), 1,
      sym_invocation,
    STATE(3885), 1,
      sym__single_quote_string,
    STATE(4309), 1,
      sym__qualified_field,
    STATE(11865), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4022), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4020), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3918), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1983), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [148578] = 28,
    ACTIONS(1289), 1,
      sym__identifier,
    ACTIONS(1347), 1,
      aux_sym_identifier_token1,
    ACTIONS(4012), 1,
      sym_keyword_cast,
    ACTIONS(4014), 1,
      sym_keyword_case,
    ACTIONS(4018), 1,
      sym_keyword_exists,
    ACTIONS(4024), 1,
      sym_keyword_interval,
    ACTIONS(4026), 1,
      sym_keyword_array,
    ACTIONS(4028), 1,
      anon_sym_LPAREN,
    ACTIONS(4032), 1,
      anon_sym_PLUS,
    ACTIONS(4034), 1,
      anon_sym_DASH,
    ACTIONS(4036), 1,
      sym_op_unary_other,
    ACTIONS(4038), 1,
      sym__double_quote_string,
    ACTIONS(4040), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4042), 1,
      aux_sym__integer_token1,
    ACTIONS(4044), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4046), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4048), 1,
      sym__dollar_quoted_string,
    ACTIONS(5944), 1,
      sym_parameter,
    STATE(2710), 1,
      sym_identifier,
    STATE(3531), 1,
      sym_invocation,
    STATE(3885), 1,
      sym__single_quote_string,
    STATE(4309), 1,
      sym__qualified_field,
    STATE(11865), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4022), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4020), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3918), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1985), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [148688] = 28,
    ACTIONS(1289), 1,
      sym__identifier,
    ACTIONS(1347), 1,
      aux_sym_identifier_token1,
    ACTIONS(4012), 1,
      sym_keyword_cast,
    ACTIONS(4014), 1,
      sym_keyword_case,
    ACTIONS(4018), 1,
      sym_keyword_exists,
    ACTIONS(4024), 1,
      sym_keyword_interval,
    ACTIONS(4026), 1,
      sym_keyword_array,
    ACTIONS(4028), 1,
      anon_sym_LPAREN,
    ACTIONS(4032), 1,
      anon_sym_PLUS,
    ACTIONS(4034), 1,
      anon_sym_DASH,
    ACTIONS(4036), 1,
      sym_op_unary_other,
    ACTIONS(4038), 1,
      sym__double_quote_string,
    ACTIONS(4040), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4042), 1,
      aux_sym__integer_token1,
    ACTIONS(4044), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4046), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4048), 1,
      sym__dollar_quoted_string,
    ACTIONS(5946), 1,
      sym_parameter,
    STATE(2710), 1,
      sym_identifier,
    STATE(3531), 1,
      sym_invocation,
    STATE(3885), 1,
      sym__single_quote_string,
    STATE(4309), 1,
      sym__qualified_field,
    STATE(11865), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4022), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4020), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3918), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1914), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [148798] = 28,
    ACTIONS(1081), 1,
      sym__identifier,
    ACTIONS(1139), 1,
      aux_sym_identifier_token1,
    ACTIONS(3736), 1,
      sym_keyword_cast,
    ACTIONS(3738), 1,
      sym_keyword_case,
    ACTIONS(3742), 1,
      sym_keyword_exists,
    ACTIONS(3748), 1,
      sym_keyword_interval,
    ACTIONS(3750), 1,
      sym_keyword_array,
    ACTIONS(3752), 1,
      anon_sym_LPAREN,
    ACTIONS(3756), 1,
      anon_sym_PLUS,
    ACTIONS(3758), 1,
      anon_sym_DASH,
    ACTIONS(3760), 1,
      sym_op_unary_other,
    ACTIONS(3762), 1,
      sym__double_quote_string,
    ACTIONS(3764), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3766), 1,
      aux_sym__integer_token1,
    ACTIONS(3768), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3770), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3772), 1,
      sym__dollar_quoted_string,
    ACTIONS(5948), 1,
      sym_parameter,
    STATE(2914), 1,
      sym_identifier,
    STATE(4201), 1,
      sym_invocation,
    STATE(4367), 1,
      sym__single_quote_string,
    STATE(4405), 1,
      sym__qualified_field,
    STATE(11929), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3746), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3744), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4650), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2228), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [148908] = 29,
    ACTIONS(407), 1,
      sym__identifier,
    ACTIONS(465), 1,
      aux_sym_identifier_token1,
    ACTIONS(4310), 1,
      sym_keyword_cast,
    ACTIONS(4312), 1,
      sym_keyword_case,
    ACTIONS(4316), 1,
      sym_keyword_exists,
    ACTIONS(4320), 1,
      sym_keyword_null,
    ACTIONS(4322), 1,
      sym_keyword_interval,
    ACTIONS(4324), 1,
      sym_keyword_array,
    ACTIONS(4326), 1,
      anon_sym_LPAREN,
    ACTIONS(4330), 1,
      anon_sym_PLUS,
    ACTIONS(4332), 1,
      anon_sym_DASH,
    ACTIONS(4334), 1,
      sym_op_unary_other,
    ACTIONS(4336), 1,
      sym__double_quote_string,
    ACTIONS(4338), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4340), 1,
      aux_sym__integer_token1,
    ACTIONS(4342), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4344), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4346), 1,
      sym__dollar_quoted_string,
    ACTIONS(5950), 1,
      sym_parameter,
    STATE(1171), 1,
      sym_identifier,
    STATE(2353), 1,
      sym_invocation,
    STATE(2651), 1,
      sym__single_quote_string,
    STATE(2678), 1,
      sym__qualified_field,
    STATE(11808), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4906), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4318), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2660), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(804), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [149020] = 29,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(4444), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(6612), 1,
      sym_binary_expression,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6294), 14,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [149132] = 29,
    ACTIONS(407), 1,
      sym__identifier,
    ACTIONS(465), 1,
      aux_sym_identifier_token1,
    ACTIONS(4310), 1,
      sym_keyword_cast,
    ACTIONS(4312), 1,
      sym_keyword_case,
    ACTIONS(4316), 1,
      sym_keyword_exists,
    ACTIONS(4320), 1,
      sym_keyword_null,
    ACTIONS(4322), 1,
      sym_keyword_interval,
    ACTIONS(4324), 1,
      sym_keyword_array,
    ACTIONS(4326), 1,
      anon_sym_LPAREN,
    ACTIONS(4330), 1,
      anon_sym_PLUS,
    ACTIONS(4332), 1,
      anon_sym_DASH,
    ACTIONS(4334), 1,
      sym_op_unary_other,
    ACTIONS(4336), 1,
      sym__double_quote_string,
    ACTIONS(4338), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4340), 1,
      aux_sym__integer_token1,
    ACTIONS(4342), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4344), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4346), 1,
      sym__dollar_quoted_string,
    ACTIONS(5952), 1,
      sym_parameter,
    STATE(1171), 1,
      sym_identifier,
    STATE(2353), 1,
      sym_invocation,
    STATE(2651), 1,
      sym__single_quote_string,
    STATE(2678), 1,
      sym__qualified_field,
    STATE(11808), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4902), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4318), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2660), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(788), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [149244] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5954), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5610), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [149354] = 28,
    ACTIONS(1205), 1,
      sym__identifier,
    ACTIONS(1209), 1,
      aux_sym_identifier_token1,
    ACTIONS(2787), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3636), 1,
      sym_keyword_cast,
    ACTIONS(3644), 1,
      sym_keyword_array,
    ACTIONS(3650), 1,
      anon_sym_PLUS,
    ACTIONS(3652), 1,
      anon_sym_DASH,
    ACTIONS(3654), 1,
      sym_op_unary_other,
    ACTIONS(3656), 1,
      sym__double_quote_string,
    ACTIONS(3658), 1,
      aux_sym__integer_token1,
    ACTIONS(3660), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3662), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3664), 1,
      sym__dollar_quoted_string,
    ACTIONS(3722), 1,
      sym_keyword_case,
    ACTIONS(3724), 1,
      sym_keyword_exists,
    ACTIONS(3726), 1,
      sym_keyword_interval,
    ACTIONS(3728), 1,
      anon_sym_LPAREN,
    ACTIONS(5956), 1,
      sym_parameter,
    STATE(425), 1,
      sym_identifier,
    STATE(683), 1,
      sym_invocation,
    STATE(796), 1,
      sym__single_quote_string,
    STATE(883), 1,
      sym__qualified_field,
    STATE(11909), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3642), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3638), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(843), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(304), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [149464] = 29,
    ACTIONS(407), 1,
      sym__identifier,
    ACTIONS(465), 1,
      aux_sym_identifier_token1,
    ACTIONS(4310), 1,
      sym_keyword_cast,
    ACTIONS(4312), 1,
      sym_keyword_case,
    ACTIONS(4316), 1,
      sym_keyword_exists,
    ACTIONS(4320), 1,
      sym_keyword_null,
    ACTIONS(4322), 1,
      sym_keyword_interval,
    ACTIONS(4324), 1,
      sym_keyword_array,
    ACTIONS(4326), 1,
      anon_sym_LPAREN,
    ACTIONS(4330), 1,
      anon_sym_PLUS,
    ACTIONS(4332), 1,
      anon_sym_DASH,
    ACTIONS(4334), 1,
      sym_op_unary_other,
    ACTIONS(4336), 1,
      sym__double_quote_string,
    ACTIONS(4338), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4340), 1,
      aux_sym__integer_token1,
    ACTIONS(4342), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4344), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4346), 1,
      sym__dollar_quoted_string,
    ACTIONS(5958), 1,
      sym_parameter,
    STATE(1171), 1,
      sym_identifier,
    STATE(2353), 1,
      sym_invocation,
    STATE(2651), 1,
      sym__single_quote_string,
    STATE(2678), 1,
      sym__qualified_field,
    STATE(11808), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4898), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4318), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2660), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(803), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [149576] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5960), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6213), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [149686] = 29,
    ACTIONS(407), 1,
      sym__identifier,
    ACTIONS(465), 1,
      aux_sym_identifier_token1,
    ACTIONS(4310), 1,
      sym_keyword_cast,
    ACTIONS(4312), 1,
      sym_keyword_case,
    ACTIONS(4316), 1,
      sym_keyword_exists,
    ACTIONS(4320), 1,
      sym_keyword_null,
    ACTIONS(4322), 1,
      sym_keyword_interval,
    ACTIONS(4324), 1,
      sym_keyword_array,
    ACTIONS(4326), 1,
      anon_sym_LPAREN,
    ACTIONS(4330), 1,
      anon_sym_PLUS,
    ACTIONS(4332), 1,
      anon_sym_DASH,
    ACTIONS(4334), 1,
      sym_op_unary_other,
    ACTIONS(4336), 1,
      sym__double_quote_string,
    ACTIONS(4338), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4340), 1,
      aux_sym__integer_token1,
    ACTIONS(4342), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4344), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4346), 1,
      sym__dollar_quoted_string,
    ACTIONS(5962), 1,
      sym_parameter,
    STATE(1171), 1,
      sym_identifier,
    STATE(2353), 1,
      sym_invocation,
    STATE(2651), 1,
      sym__single_quote_string,
    STATE(2678), 1,
      sym__qualified_field,
    STATE(11808), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4615), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4318), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2660), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(787), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [149798] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5964), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5708), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [149908] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5966), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5584), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [150018] = 29,
    ACTIONS(407), 1,
      sym__identifier,
    ACTIONS(465), 1,
      aux_sym_identifier_token1,
    ACTIONS(4310), 1,
      sym_keyword_cast,
    ACTIONS(4312), 1,
      sym_keyword_case,
    ACTIONS(4316), 1,
      sym_keyword_exists,
    ACTIONS(4320), 1,
      sym_keyword_null,
    ACTIONS(4322), 1,
      sym_keyword_interval,
    ACTIONS(4324), 1,
      sym_keyword_array,
    ACTIONS(4326), 1,
      anon_sym_LPAREN,
    ACTIONS(4330), 1,
      anon_sym_PLUS,
    ACTIONS(4332), 1,
      anon_sym_DASH,
    ACTIONS(4334), 1,
      sym_op_unary_other,
    ACTIONS(4336), 1,
      sym__double_quote_string,
    ACTIONS(4338), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4340), 1,
      aux_sym__integer_token1,
    ACTIONS(4342), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4344), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4346), 1,
      sym__dollar_quoted_string,
    ACTIONS(5968), 1,
      sym_parameter,
    STATE(1171), 1,
      sym_identifier,
    STATE(2353), 1,
      sym_invocation,
    STATE(2651), 1,
      sym__single_quote_string,
    STATE(2678), 1,
      sym__qualified_field,
    STATE(11808), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4888), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4318), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2660), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(814), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [150130] = 29,
    ACTIONS(407), 1,
      sym__identifier,
    ACTIONS(465), 1,
      aux_sym_identifier_token1,
    ACTIONS(4310), 1,
      sym_keyword_cast,
    ACTIONS(4312), 1,
      sym_keyword_case,
    ACTIONS(4316), 1,
      sym_keyword_exists,
    ACTIONS(4320), 1,
      sym_keyword_null,
    ACTIONS(4322), 1,
      sym_keyword_interval,
    ACTIONS(4324), 1,
      sym_keyword_array,
    ACTIONS(4326), 1,
      anon_sym_LPAREN,
    ACTIONS(4330), 1,
      anon_sym_PLUS,
    ACTIONS(4332), 1,
      anon_sym_DASH,
    ACTIONS(4334), 1,
      sym_op_unary_other,
    ACTIONS(4336), 1,
      sym__double_quote_string,
    ACTIONS(4338), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4340), 1,
      aux_sym__integer_token1,
    ACTIONS(4342), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4344), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4346), 1,
      sym__dollar_quoted_string,
    ACTIONS(5970), 1,
      sym_parameter,
    STATE(1171), 1,
      sym_identifier,
    STATE(2353), 1,
      sym_invocation,
    STATE(2651), 1,
      sym__single_quote_string,
    STATE(2678), 1,
      sym__qualified_field,
    STATE(11808), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4882), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4318), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2660), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(773), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [150242] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(5972), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(4378), 1,
      sym_identifier,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5691), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [150352] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5974), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5724), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [150462] = 28,
    ACTIONS(527), 1,
      sym__identifier,
    ACTIONS(585), 1,
      aux_sym_identifier_token1,
    ACTIONS(3906), 1,
      sym_keyword_cast,
    ACTIONS(3908), 1,
      sym_keyword_case,
    ACTIONS(3912), 1,
      sym_keyword_exists,
    ACTIONS(3918), 1,
      sym_keyword_interval,
    ACTIONS(3920), 1,
      sym_keyword_array,
    ACTIONS(3922), 1,
      anon_sym_LPAREN,
    ACTIONS(3926), 1,
      anon_sym_PLUS,
    ACTIONS(3928), 1,
      anon_sym_DASH,
    ACTIONS(3930), 1,
      sym_op_unary_other,
    ACTIONS(3932), 1,
      sym__double_quote_string,
    ACTIONS(3934), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3936), 1,
      aux_sym__integer_token1,
    ACTIONS(3938), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3940), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3942), 1,
      sym__dollar_quoted_string,
    ACTIONS(5976), 1,
      sym_parameter,
    STATE(416), 1,
      sym__single_quote_string,
    STATE(3035), 1,
      sym_identifier,
    STATE(4140), 1,
      sym_invocation,
    STATE(4464), 1,
      sym__qualified_field,
    STATE(11831), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3916), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3914), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4446), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3088), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [150572] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5978), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6214), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [150682] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5980), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4953), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [150792] = 29,
    ACTIONS(407), 1,
      sym__identifier,
    ACTIONS(465), 1,
      aux_sym_identifier_token1,
    ACTIONS(4310), 1,
      sym_keyword_cast,
    ACTIONS(4312), 1,
      sym_keyword_case,
    ACTIONS(4316), 1,
      sym_keyword_exists,
    ACTIONS(4320), 1,
      sym_keyword_null,
    ACTIONS(4322), 1,
      sym_keyword_interval,
    ACTIONS(4324), 1,
      sym_keyword_array,
    ACTIONS(4326), 1,
      anon_sym_LPAREN,
    ACTIONS(4330), 1,
      anon_sym_PLUS,
    ACTIONS(4332), 1,
      anon_sym_DASH,
    ACTIONS(4334), 1,
      sym_op_unary_other,
    ACTIONS(4336), 1,
      sym__double_quote_string,
    ACTIONS(4338), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4340), 1,
      aux_sym__integer_token1,
    ACTIONS(4342), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4344), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4346), 1,
      sym__dollar_quoted_string,
    ACTIONS(5982), 1,
      sym_parameter,
    STATE(1171), 1,
      sym_identifier,
    STATE(2353), 1,
      sym_invocation,
    STATE(2651), 1,
      sym__single_quote_string,
    STATE(2678), 1,
      sym__qualified_field,
    STATE(11808), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4867), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4318), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2660), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(826), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [150904] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2487), 1,
      sym_op_unary_other,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(5984), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(4378), 1,
      sym_identifier,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2463), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5661), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [151014] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5986), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5747), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [151124] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5988), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5901), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [151234] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5990), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5672), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [151344] = 28,
    ACTIONS(1205), 1,
      sym__identifier,
    ACTIONS(1209), 1,
      aux_sym_identifier_token1,
    ACTIONS(2787), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3636), 1,
      sym_keyword_cast,
    ACTIONS(3644), 1,
      sym_keyword_array,
    ACTIONS(3650), 1,
      anon_sym_PLUS,
    ACTIONS(3652), 1,
      anon_sym_DASH,
    ACTIONS(3654), 1,
      sym_op_unary_other,
    ACTIONS(3656), 1,
      sym__double_quote_string,
    ACTIONS(3658), 1,
      aux_sym__integer_token1,
    ACTIONS(3660), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3662), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3664), 1,
      sym__dollar_quoted_string,
    ACTIONS(3722), 1,
      sym_keyword_case,
    ACTIONS(3724), 1,
      sym_keyword_exists,
    ACTIONS(3726), 1,
      sym_keyword_interval,
    ACTIONS(3728), 1,
      anon_sym_LPAREN,
    ACTIONS(5992), 1,
      sym_parameter,
    STATE(425), 1,
      sym_identifier,
    STATE(683), 1,
      sym_invocation,
    STATE(796), 1,
      sym__single_quote_string,
    STATE(883), 1,
      sym__qualified_field,
    STATE(11909), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3642), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3638), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(843), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(298), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [151454] = 28,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(3776), 1,
      sym_parameter,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(11981), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4167), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [151564] = 28,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(5994), 1,
      sym_parameter,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(11981), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4093), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [151674] = 28,
    ACTIONS(527), 1,
      sym__identifier,
    ACTIONS(585), 1,
      aux_sym_identifier_token1,
    ACTIONS(3906), 1,
      sym_keyword_cast,
    ACTIONS(3908), 1,
      sym_keyword_case,
    ACTIONS(3912), 1,
      sym_keyword_exists,
    ACTIONS(3918), 1,
      sym_keyword_interval,
    ACTIONS(3920), 1,
      sym_keyword_array,
    ACTIONS(3922), 1,
      anon_sym_LPAREN,
    ACTIONS(3926), 1,
      anon_sym_PLUS,
    ACTIONS(3928), 1,
      anon_sym_DASH,
    ACTIONS(3930), 1,
      sym_op_unary_other,
    ACTIONS(3932), 1,
      sym__double_quote_string,
    ACTIONS(3934), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3936), 1,
      aux_sym__integer_token1,
    ACTIONS(3938), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3940), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3942), 1,
      sym__dollar_quoted_string,
    ACTIONS(5996), 1,
      sym_parameter,
    STATE(416), 1,
      sym__single_quote_string,
    STATE(3035), 1,
      sym_identifier,
    STATE(4140), 1,
      sym_invocation,
    STATE(4464), 1,
      sym__qualified_field,
    STATE(11831), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3916), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3914), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4446), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2280), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [151784] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(5998), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4960), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [151894] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(6000), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5594), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [152004] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(6002), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5915), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [152114] = 28,
    ACTIONS(903), 1,
      sym__identifier,
    ACTIONS(907), 1,
      aux_sym_identifier_token1,
    ACTIONS(3191), 1,
      sym_keyword_cast,
    ACTIONS(3193), 1,
      sym_keyword_case,
    ACTIONS(3197), 1,
      sym_keyword_exists,
    ACTIONS(3201), 1,
      sym_keyword_interval,
    ACTIONS(3203), 1,
      sym_keyword_array,
    ACTIONS(3209), 1,
      anon_sym_PLUS,
    ACTIONS(3211), 1,
      anon_sym_DASH,
    ACTIONS(3215), 1,
      sym__double_quote_string,
    ACTIONS(3217), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3219), 1,
      aux_sym__integer_token1,
    ACTIONS(3221), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3223), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3225), 1,
      sym__dollar_quoted_string,
    ACTIONS(3808), 1,
      anon_sym_LPAREN,
    ACTIONS(3812), 1,
      sym_op_unary_other,
    ACTIONS(6004), 1,
      sym_parameter,
    STATE(2953), 1,
      sym__single_quote_string,
    STATE(4196), 1,
      sym_identifier,
    STATE(4905), 1,
      sym__qualified_field,
    STATE(5727), 1,
      sym_invocation,
    STATE(11861), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3199), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3806), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4863), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4393), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [152224] = 28,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(6006), 1,
      sym_parameter,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(11981), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4094), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [152334] = 28,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(6008), 1,
      sym_parameter,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(11981), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4100), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [152444] = 28,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(6010), 1,
      sym_parameter,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(11981), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4101), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [152554] = 28,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(4000), 1,
      anon_sym_LPAREN,
    ACTIONS(4004), 1,
      sym_op_unary_other,
    ACTIONS(6012), 1,
      sym_parameter,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(4750), 1,
      sym_invocation,
    STATE(11952), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3998), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4743), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [152664] = 28,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(6014), 1,
      sym_parameter,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(11981), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4163), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [152774] = 28,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(6016), 1,
      sym_parameter,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(11981), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4166), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [152884] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(6018), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5928), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [152994] = 28,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(6020), 1,
      sym_parameter,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(11981), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4174), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [153104] = 28,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(6022), 1,
      sym_parameter,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(11981), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4185), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [153214] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(6024), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5931), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [153324] = 28,
    ACTIONS(1141), 1,
      sym__identifier,
    ACTIONS(1199), 1,
      aux_sym_identifier_token1,
    ACTIONS(4348), 1,
      sym_keyword_cast,
    ACTIONS(4350), 1,
      sym_keyword_case,
    ACTIONS(4354), 1,
      sym_keyword_exists,
    ACTIONS(4360), 1,
      sym_keyword_interval,
    ACTIONS(4362), 1,
      sym_keyword_array,
    ACTIONS(4364), 1,
      anon_sym_LPAREN,
    ACTIONS(4368), 1,
      anon_sym_PLUS,
    ACTIONS(4370), 1,
      anon_sym_DASH,
    ACTIONS(4372), 1,
      sym_op_unary_other,
    ACTIONS(4374), 1,
      sym__double_quote_string,
    ACTIONS(4376), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4378), 1,
      aux_sym__integer_token1,
    ACTIONS(4380), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4382), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4384), 1,
      sym__dollar_quoted_string,
    ACTIONS(6026), 1,
      sym_parameter,
    STATE(2235), 1,
      sym__single_quote_string,
    STATE(2711), 1,
      sym_identifier,
    STATE(3691), 1,
      sym_invocation,
    STATE(3959), 1,
      sym__qualified_field,
    STATE(11969), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4358), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4356), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3940), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2560), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [153434] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(6028), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6215), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [153544] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(6030), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6218), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [153654] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(6032), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6112), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [153764] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(6034), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6221), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [153874] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(6036), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6222), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [153984] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(6038), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6223), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [154094] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(6040), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6225), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [154204] = 28,
    ACTIONS(4062), 1,
      sym__identifier,
    ACTIONS(4064), 1,
      sym_keyword_cast,
    ACTIONS(4066), 1,
      sym_keyword_case,
    ACTIONS(4070), 1,
      sym_keyword_exists,
    ACTIONS(4076), 1,
      sym_keyword_interval,
    ACTIONS(4078), 1,
      sym_keyword_array,
    ACTIONS(4080), 1,
      anon_sym_LPAREN,
    ACTIONS(4084), 1,
      anon_sym_PLUS,
    ACTIONS(4086), 1,
      anon_sym_DASH,
    ACTIONS(4088), 1,
      sym_op_unary_other,
    ACTIONS(4090), 1,
      sym__double_quote_string,
    ACTIONS(4092), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4094), 1,
      aux_sym__integer_token1,
    ACTIONS(4096), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4098), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4100), 1,
      aux_sym_identifier_token1,
    ACTIONS(4102), 1,
      sym__dollar_quoted_string,
    ACTIONS(6042), 1,
      sym_parameter,
    STATE(4884), 1,
      sym_identifier,
    STATE(5563), 1,
      sym_invocation,
    STATE(5895), 1,
      sym__single_quote_string,
    STATE(5979), 1,
      sym__qualified_field,
    STATE(11903), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4074), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4072), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5805), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4072), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [154314] = 28,
    ACTIONS(4062), 1,
      sym__identifier,
    ACTIONS(4064), 1,
      sym_keyword_cast,
    ACTIONS(4066), 1,
      sym_keyword_case,
    ACTIONS(4070), 1,
      sym_keyword_exists,
    ACTIONS(4076), 1,
      sym_keyword_interval,
    ACTIONS(4078), 1,
      sym_keyword_array,
    ACTIONS(4080), 1,
      anon_sym_LPAREN,
    ACTIONS(4084), 1,
      anon_sym_PLUS,
    ACTIONS(4086), 1,
      anon_sym_DASH,
    ACTIONS(4088), 1,
      sym_op_unary_other,
    ACTIONS(4090), 1,
      sym__double_quote_string,
    ACTIONS(4092), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4094), 1,
      aux_sym__integer_token1,
    ACTIONS(4096), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4098), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4100), 1,
      aux_sym_identifier_token1,
    ACTIONS(4102), 1,
      sym__dollar_quoted_string,
    ACTIONS(6044), 1,
      sym_parameter,
    STATE(4884), 1,
      sym_identifier,
    STATE(5563), 1,
      sym_invocation,
    STATE(5895), 1,
      sym__single_quote_string,
    STATE(5979), 1,
      sym__qualified_field,
    STATE(11903), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4074), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4072), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5805), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4084), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [154424] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1374), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(1376), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [154484] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(6046), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4823), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [154594] = 28,
    ACTIONS(4062), 1,
      sym__identifier,
    ACTIONS(4064), 1,
      sym_keyword_cast,
    ACTIONS(4066), 1,
      sym_keyword_case,
    ACTIONS(4070), 1,
      sym_keyword_exists,
    ACTIONS(4076), 1,
      sym_keyword_interval,
    ACTIONS(4078), 1,
      sym_keyword_array,
    ACTIONS(4080), 1,
      anon_sym_LPAREN,
    ACTIONS(4082), 1,
      sym_parameter,
    ACTIONS(4084), 1,
      anon_sym_PLUS,
    ACTIONS(4086), 1,
      anon_sym_DASH,
    ACTIONS(4088), 1,
      sym_op_unary_other,
    ACTIONS(4090), 1,
      sym__double_quote_string,
    ACTIONS(4092), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4094), 1,
      aux_sym__integer_token1,
    ACTIONS(4096), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4098), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4100), 1,
      aux_sym_identifier_token1,
    ACTIONS(4102), 1,
      sym__dollar_quoted_string,
    STATE(4884), 1,
      sym_identifier,
    STATE(5563), 1,
      sym_invocation,
    STATE(5895), 1,
      sym__single_quote_string,
    STATE(5979), 1,
      sym__qualified_field,
    STATE(11903), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4074), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4072), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5805), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3889), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [154704] = 28,
    ACTIONS(4062), 1,
      sym__identifier,
    ACTIONS(4064), 1,
      sym_keyword_cast,
    ACTIONS(4066), 1,
      sym_keyword_case,
    ACTIONS(4070), 1,
      sym_keyword_exists,
    ACTIONS(4076), 1,
      sym_keyword_interval,
    ACTIONS(4078), 1,
      sym_keyword_array,
    ACTIONS(4080), 1,
      anon_sym_LPAREN,
    ACTIONS(4084), 1,
      anon_sym_PLUS,
    ACTIONS(4086), 1,
      anon_sym_DASH,
    ACTIONS(4088), 1,
      sym_op_unary_other,
    ACTIONS(4090), 1,
      sym__double_quote_string,
    ACTIONS(4092), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4094), 1,
      aux_sym__integer_token1,
    ACTIONS(4096), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4098), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4100), 1,
      aux_sym_identifier_token1,
    ACTIONS(4102), 1,
      sym__dollar_quoted_string,
    ACTIONS(6048), 1,
      sym_parameter,
    STATE(4884), 1,
      sym_identifier,
    STATE(5563), 1,
      sym_invocation,
    STATE(5895), 1,
      sym__single_quote_string,
    STATE(5979), 1,
      sym__qualified_field,
    STATE(11903), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4074), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4072), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5805), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4200), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [154814] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(6050), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6226), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [154924] = 28,
    ACTIONS(4062), 1,
      sym__identifier,
    ACTIONS(4064), 1,
      sym_keyword_cast,
    ACTIONS(4066), 1,
      sym_keyword_case,
    ACTIONS(4070), 1,
      sym_keyword_exists,
    ACTIONS(4076), 1,
      sym_keyword_interval,
    ACTIONS(4078), 1,
      sym_keyword_array,
    ACTIONS(4080), 1,
      anon_sym_LPAREN,
    ACTIONS(4084), 1,
      anon_sym_PLUS,
    ACTIONS(4086), 1,
      anon_sym_DASH,
    ACTIONS(4088), 1,
      sym_op_unary_other,
    ACTIONS(4090), 1,
      sym__double_quote_string,
    ACTIONS(4092), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4094), 1,
      aux_sym__integer_token1,
    ACTIONS(4096), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4098), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4100), 1,
      aux_sym_identifier_token1,
    ACTIONS(4102), 1,
      sym__dollar_quoted_string,
    ACTIONS(6052), 1,
      sym_parameter,
    STATE(4884), 1,
      sym_identifier,
    STATE(5563), 1,
      sym_invocation,
    STATE(5895), 1,
      sym__single_quote_string,
    STATE(5979), 1,
      sym__qualified_field,
    STATE(11903), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4074), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4072), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5805), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4202), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [155034] = 28,
    ACTIONS(4062), 1,
      sym__identifier,
    ACTIONS(4064), 1,
      sym_keyword_cast,
    ACTIONS(4066), 1,
      sym_keyword_case,
    ACTIONS(4070), 1,
      sym_keyword_exists,
    ACTIONS(4076), 1,
      sym_keyword_interval,
    ACTIONS(4078), 1,
      sym_keyword_array,
    ACTIONS(4080), 1,
      anon_sym_LPAREN,
    ACTIONS(4084), 1,
      anon_sym_PLUS,
    ACTIONS(4086), 1,
      anon_sym_DASH,
    ACTIONS(4088), 1,
      sym_op_unary_other,
    ACTIONS(4090), 1,
      sym__double_quote_string,
    ACTIONS(4092), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4094), 1,
      aux_sym__integer_token1,
    ACTIONS(4096), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4098), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4100), 1,
      aux_sym_identifier_token1,
    ACTIONS(4102), 1,
      sym__dollar_quoted_string,
    ACTIONS(6054), 1,
      sym_parameter,
    STATE(4884), 1,
      sym_identifier,
    STATE(5563), 1,
      sym_invocation,
    STATE(5895), 1,
      sym__single_quote_string,
    STATE(5979), 1,
      sym__qualified_field,
    STATE(11903), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4074), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4072), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5805), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4208), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [155144] = 28,
    ACTIONS(4062), 1,
      sym__identifier,
    ACTIONS(4064), 1,
      sym_keyword_cast,
    ACTIONS(4066), 1,
      sym_keyword_case,
    ACTIONS(4070), 1,
      sym_keyword_exists,
    ACTIONS(4076), 1,
      sym_keyword_interval,
    ACTIONS(4078), 1,
      sym_keyword_array,
    ACTIONS(4080), 1,
      anon_sym_LPAREN,
    ACTIONS(4084), 1,
      anon_sym_PLUS,
    ACTIONS(4086), 1,
      anon_sym_DASH,
    ACTIONS(4088), 1,
      sym_op_unary_other,
    ACTIONS(4090), 1,
      sym__double_quote_string,
    ACTIONS(4092), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4094), 1,
      aux_sym__integer_token1,
    ACTIONS(4096), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4098), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4100), 1,
      aux_sym_identifier_token1,
    ACTIONS(4102), 1,
      sym__dollar_quoted_string,
    ACTIONS(6056), 1,
      sym_parameter,
    STATE(4884), 1,
      sym_identifier,
    STATE(5563), 1,
      sym_invocation,
    STATE(5895), 1,
      sym__single_quote_string,
    STATE(5979), 1,
      sym__qualified_field,
    STATE(11903), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4074), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4072), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5805), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4214), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [155254] = 28,
    ACTIONS(4062), 1,
      sym__identifier,
    ACTIONS(4064), 1,
      sym_keyword_cast,
    ACTIONS(4066), 1,
      sym_keyword_case,
    ACTIONS(4070), 1,
      sym_keyword_exists,
    ACTIONS(4076), 1,
      sym_keyword_interval,
    ACTIONS(4078), 1,
      sym_keyword_array,
    ACTIONS(4080), 1,
      anon_sym_LPAREN,
    ACTIONS(4084), 1,
      anon_sym_PLUS,
    ACTIONS(4086), 1,
      anon_sym_DASH,
    ACTIONS(4088), 1,
      sym_op_unary_other,
    ACTIONS(4090), 1,
      sym__double_quote_string,
    ACTIONS(4092), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4094), 1,
      aux_sym__integer_token1,
    ACTIONS(4096), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4098), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4100), 1,
      aux_sym_identifier_token1,
    ACTIONS(4102), 1,
      sym__dollar_quoted_string,
    ACTIONS(6058), 1,
      sym_parameter,
    STATE(4884), 1,
      sym_identifier,
    STATE(5563), 1,
      sym_invocation,
    STATE(5895), 1,
      sym__single_quote_string,
    STATE(5979), 1,
      sym__qualified_field,
    STATE(11903), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4074), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4072), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5805), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4359), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [155364] = 28,
    ACTIONS(4062), 1,
      sym__identifier,
    ACTIONS(4064), 1,
      sym_keyword_cast,
    ACTIONS(4066), 1,
      sym_keyword_case,
    ACTIONS(4070), 1,
      sym_keyword_exists,
    ACTIONS(4076), 1,
      sym_keyword_interval,
    ACTIONS(4078), 1,
      sym_keyword_array,
    ACTIONS(4080), 1,
      anon_sym_LPAREN,
    ACTIONS(4084), 1,
      anon_sym_PLUS,
    ACTIONS(4086), 1,
      anon_sym_DASH,
    ACTIONS(4088), 1,
      sym_op_unary_other,
    ACTIONS(4090), 1,
      sym__double_quote_string,
    ACTIONS(4092), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4094), 1,
      aux_sym__integer_token1,
    ACTIONS(4096), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4098), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4100), 1,
      aux_sym_identifier_token1,
    ACTIONS(4102), 1,
      sym__dollar_quoted_string,
    ACTIONS(6060), 1,
      sym_parameter,
    STATE(4884), 1,
      sym_identifier,
    STATE(5563), 1,
      sym_invocation,
    STATE(5895), 1,
      sym__single_quote_string,
    STATE(5979), 1,
      sym__qualified_field,
    STATE(11903), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4074), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4072), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5805), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4358), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [155474] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(6062), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6228), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [155584] = 28,
    ACTIONS(341), 1,
      sym__identifier,
    ACTIONS(399), 1,
      aux_sym_identifier_token1,
    ACTIONS(2459), 1,
      sym_keyword_cast,
    ACTIONS(2461), 1,
      sym_keyword_case,
    ACTIONS(2465), 1,
      sym_keyword_exists,
    ACTIONS(2473), 1,
      sym_keyword_interval,
    ACTIONS(2475), 1,
      sym_keyword_array,
    ACTIONS(2483), 1,
      anon_sym_PLUS,
    ACTIONS(2485), 1,
      anon_sym_DASH,
    ACTIONS(2489), 1,
      sym__double_quote_string,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2493), 1,
      aux_sym__integer_token1,
    ACTIONS(2495), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2497), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2499), 1,
      sym__dollar_quoted_string,
    ACTIONS(3111), 1,
      anon_sym_LPAREN,
    ACTIONS(3115), 1,
      sym_op_unary_other,
    ACTIONS(6064), 1,
      sym_parameter,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2695), 1,
      sym__qualified_field,
    STATE(3082), 1,
      sym_invocation,
    STATE(11581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2471), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3103), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2690), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6245), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [155694] = 28,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(6066), 1,
      sym_parameter,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(11981), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4238), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [155804] = 28,
    ACTIONS(1201), 1,
      sym__identifier,
    ACTIONS(1203), 1,
      aux_sym_identifier_token1,
    ACTIONS(2917), 1,
      sym_keyword_cast,
    ACTIONS(2919), 1,
      sym_keyword_case,
    ACTIONS(2923), 1,
      sym_keyword_exists,
    ACTIONS(2927), 1,
      sym_keyword_interval,
    ACTIONS(2929), 1,
      sym_keyword_array,
    ACTIONS(2931), 1,
      anon_sym_LPAREN,
    ACTIONS(2939), 1,
      anon_sym_PLUS,
    ACTIONS(2941), 1,
      anon_sym_DASH,
    ACTIONS(2943), 1,
      sym_op_unary_other,
    ACTIONS(2945), 1,
      sym__double_quote_string,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2949), 1,
      aux_sym__integer_token1,
    ACTIONS(2951), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2953), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2955), 1,
      sym__dollar_quoted_string,
    ACTIONS(6068), 1,
      sym_parameter,
    STATE(2591), 1,
      sym_identifier,
    STATE(3479), 1,
      sym__qualified_field,
    STATE(3487), 1,
      sym__single_quote_string,
    STATE(5517), 1,
      sym_invocation,
    STATE(11981), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2925), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2921), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3485), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4267), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [155914] = 28,
    ACTIONS(4062), 1,
      sym__identifier,
    ACTIONS(4064), 1,
      sym_keyword_cast,
    ACTIONS(4066), 1,
      sym_keyword_case,
    ACTIONS(4070), 1,
      sym_keyword_exists,
    ACTIONS(4076), 1,
      sym_keyword_interval,
    ACTIONS(4078), 1,
      sym_keyword_array,
    ACTIONS(4080), 1,
      anon_sym_LPAREN,
    ACTIONS(4084), 1,
      anon_sym_PLUS,
    ACTIONS(4086), 1,
      anon_sym_DASH,
    ACTIONS(4088), 1,
      sym_op_unary_other,
    ACTIONS(4090), 1,
      sym__double_quote_string,
    ACTIONS(4092), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4094), 1,
      aux_sym__integer_token1,
    ACTIONS(4096), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4098), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4100), 1,
      aux_sym_identifier_token1,
    ACTIONS(4102), 1,
      sym__dollar_quoted_string,
    ACTIONS(6070), 1,
      sym_parameter,
    STATE(4884), 1,
      sym_identifier,
    STATE(5563), 1,
      sym_invocation,
    STATE(5895), 1,
      sym__single_quote_string,
    STATE(5979), 1,
      sym__qualified_field,
    STATE(11903), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4074), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4072), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5805), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4355), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [156024] = 28,
    ACTIONS(4062), 1,
      sym__identifier,
    ACTIONS(4064), 1,
      sym_keyword_cast,
    ACTIONS(4066), 1,
      sym_keyword_case,
    ACTIONS(4070), 1,
      sym_keyword_exists,
    ACTIONS(4076), 1,
      sym_keyword_interval,
    ACTIONS(4078), 1,
      sym_keyword_array,
    ACTIONS(4080), 1,
      anon_sym_LPAREN,
    ACTIONS(4084), 1,
      anon_sym_PLUS,
    ACTIONS(4086), 1,
      anon_sym_DASH,
    ACTIONS(4088), 1,
      sym_op_unary_other,
    ACTIONS(4090), 1,
      sym__double_quote_string,
    ACTIONS(4092), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4094), 1,
      aux_sym__integer_token1,
    ACTIONS(4096), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4098), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4100), 1,
      aux_sym_identifier_token1,
    ACTIONS(4102), 1,
      sym__dollar_quoted_string,
    ACTIONS(6072), 1,
      sym_parameter,
    STATE(4884), 1,
      sym_identifier,
    STATE(5563), 1,
      sym_invocation,
    STATE(5895), 1,
      sym__single_quote_string,
    STATE(5979), 1,
      sym__qualified_field,
    STATE(11903), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4074), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4072), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5805), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4354), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [156134] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2624), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2622), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [156193] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2533), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2531), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [156252] = 5,
    STATE(2024), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(2364), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3187), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3185), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [156315] = 5,
    ACTIONS(6074), 1,
      sym_keyword_filter,
    STATE(2566), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2567), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2569), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [156378] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2559), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2561), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [156437] = 5,
    ACTIONS(6076), 1,
      sym_keyword_precision,
    ACTIONS(6078), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1862), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1860), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [156500] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2726), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2728), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [156559] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1376), 2,
      sym_keyword_primary,
      sym_keyword_constraint,
    ACTIONS(1374), 3,
      anon_sym_LPAREN,
      anon_sym_DOT,
      aux_sym__single_quote_string_token1,
    ACTIONS(1370), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1372), 28,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_offset,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_cascade,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [156622] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1374), 3,
      anon_sym_LPAREN,
      anon_sym_DOT,
      aux_sym__single_quote_string_token1,
    ACTIONS(1370), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1372), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [156683] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2728), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2726), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [156742] = 5,
    ACTIONS(6080), 1,
      sym_keyword_unsigned,
    ACTIONS(6082), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1926), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1924), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [156805] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2551), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2553), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [156864] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2684), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2686), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [156923] = 5,
    ACTIONS(6084), 1,
      sym_keyword_unsigned,
    ACTIONS(6086), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1918), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1916), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [156986] = 5,
    ACTIONS(6088), 1,
      sym_keyword_unsigned,
    ACTIONS(6090), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1910), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1908), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [157049] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2527), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2529), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [157108] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2730), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2732), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [157167] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2752), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2754), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [157226] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2742), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2744), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [157285] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2517), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2519), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [157344] = 5,
    ACTIONS(6074), 1,
      sym_keyword_filter,
    STATE(2562), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2453), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2455), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [157407] = 18,
    ACTIONS(2394), 1,
      sym_keyword_or,
    ACTIONS(6092), 1,
      sym_keyword_in,
    ACTIONS(6094), 1,
      sym_keyword_is,
    ACTIONS(6096), 1,
      sym_keyword_not,
    ACTIONS(6099), 1,
      anon_sym_LBRACK,
    ACTIONS(6107), 1,
      sym_op_other,
    ACTIONS(6109), 1,
      anon_sym_PLUS,
    ACTIONS(6111), 1,
      anon_sym_DASH,
    ACTIONS(6113), 1,
      anon_sym_SLASH,
    ACTIONS(6115), 1,
      anon_sym_CARET,
    STATE(10479), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6105), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1805), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1806), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6101), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2392), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
  [157496] = 8,
    ACTIONS(6094), 1,
      sym_keyword_is,
    ACTIONS(6099), 1,
      anon_sym_LBRACK,
    STATE(10479), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1805), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1806), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2394), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [157565] = 11,
    ACTIONS(6094), 1,
      sym_keyword_is,
    ACTIONS(6099), 1,
      anon_sym_LBRACK,
    ACTIONS(6113), 1,
      anon_sym_SLASH,
    ACTIONS(6115), 1,
      anon_sym_CARET,
    STATE(10479), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1805), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1806), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2394), 5,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2392), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [157640] = 13,
    ACTIONS(6094), 1,
      sym_keyword_is,
    ACTIONS(6099), 1,
      anon_sym_LBRACK,
    ACTIONS(6109), 1,
      anon_sym_PLUS,
    ACTIONS(6111), 1,
      anon_sym_DASH,
    ACTIONS(6113), 1,
      anon_sym_SLASH,
    ACTIONS(6115), 1,
      anon_sym_CARET,
    STATE(10479), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1805), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2394), 4,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1806), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 30,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [157719] = 5,
    ACTIONS(6117), 1,
      aux_sym__single_quote_string_token2,
    STATE(1996), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3045), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3043), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [157782] = 5,
    ACTIONS(6074), 1,
      sym_keyword_filter,
    STATE(2534), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2555), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2557), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [157845] = 5,
    ACTIONS(6074), 1,
      sym_keyword_filter,
    STATE(2533), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2559), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2561), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [157908] = 8,
    ACTIONS(6094), 1,
      sym_keyword_is,
    ACTIONS(6099), 1,
      anon_sym_LBRACK,
    STATE(10479), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1805), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1806), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2430), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2428), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [157977] = 5,
    ACTIONS(6074), 1,
      sym_keyword_filter,
    STATE(2532), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2513), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2515), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [158040] = 13,
    ACTIONS(6094), 1,
      sym_keyword_is,
    ACTIONS(6099), 1,
      anon_sym_LBRACK,
    ACTIONS(6109), 1,
      anon_sym_PLUS,
    ACTIONS(6111), 1,
      anon_sym_DASH,
    ACTIONS(6113), 1,
      anon_sym_SLASH,
    ACTIONS(6115), 1,
      anon_sym_CARET,
    STATE(10479), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1805), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2430), 4,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1806), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2428), 30,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [158119] = 18,
    ACTIONS(4481), 1,
      sym_keyword_in,
    ACTIONS(4487), 1,
      sym_keyword_is,
    ACTIONS(4497), 1,
      anon_sym_LBRACK,
    ACTIONS(4507), 1,
      sym_op_other,
    ACTIONS(4509), 1,
      anon_sym_PLUS,
    ACTIONS(4511), 1,
      anon_sym_DASH,
    ACTIONS(4513), 1,
      anon_sym_SLASH,
    ACTIONS(4515), 1,
      anon_sym_CARET,
    ACTIONS(6119), 1,
      sym_keyword_not,
    STATE(11092), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4501), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4505), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1343), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1339), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4499), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2392), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2394), 17,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym__identifier,
  [158208] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2766), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2768), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [158267] = 8,
    ACTIONS(4487), 1,
      sym_keyword_is,
    ACTIONS(4497), 1,
      anon_sym_LBRACK,
    STATE(11092), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1343), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1339), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2394), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [158336] = 11,
    ACTIONS(4487), 1,
      sym_keyword_is,
    ACTIONS(4497), 1,
      anon_sym_LBRACK,
    ACTIONS(4513), 1,
      anon_sym_SLASH,
    ACTIONS(4515), 1,
      anon_sym_CARET,
    STATE(11092), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4501), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1343), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1339), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2394), 22,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [158411] = 13,
    ACTIONS(4487), 1,
      sym_keyword_is,
    ACTIONS(4497), 1,
      anon_sym_LBRACK,
    ACTIONS(4509), 1,
      anon_sym_PLUS,
    ACTIONS(4511), 1,
      anon_sym_DASH,
    ACTIONS(4513), 1,
      anon_sym_SLASH,
    ACTIONS(4515), 1,
      anon_sym_CARET,
    STATE(11092), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4501), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1343), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1339), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2394), 21,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      sym__identifier,
  [158490] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2531), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2533), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [158549] = 20,
    ACTIONS(4481), 1,
      sym_keyword_in,
    ACTIONS(4487), 1,
      sym_keyword_is,
    ACTIONS(4489), 1,
      sym_keyword_not,
    ACTIONS(4495), 1,
      sym_keyword_similar,
    ACTIONS(4497), 1,
      anon_sym_LBRACK,
    ACTIONS(4507), 1,
      sym_op_other,
    ACTIONS(4509), 1,
      anon_sym_PLUS,
    ACTIONS(4511), 1,
      anon_sym_DASH,
    ACTIONS(4513), 1,
      anon_sym_SLASH,
    ACTIONS(4515), 1,
      anon_sym_CARET,
    STATE(11092), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4493), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4501), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4505), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1343), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1339), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4499), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2432), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2434), 14,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      sym__identifier,
  [158642] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2622), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2624), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [158701] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2616), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2618), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [158760] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2608), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2610), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [158819] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2535), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2537), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [158878] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2666), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2668), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [158937] = 5,
    ACTIONS(6074), 1,
      sym_keyword_filter,
    STATE(2446), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2509), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2511), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [159000] = 5,
    ACTIONS(6074), 1,
      sym_keyword_filter,
    STATE(2445), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2539), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2541), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [159063] = 5,
    ACTIONS(6074), 1,
      sym_keyword_filter,
    STATE(2378), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2543), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2545), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [159126] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2547), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2549), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [159185] = 5,
    ACTIONS(6074), 1,
      sym_keyword_filter,
    STATE(2365), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2551), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2553), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [159248] = 5,
    ACTIONS(6074), 1,
      sym_keyword_filter,
    STATE(2360), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2563), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2565), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [159311] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6092), 1,
      sym_keyword_in,
    ACTIONS(6094), 1,
      sym_keyword_is,
    ACTIONS(6099), 1,
      anon_sym_LBRACK,
    ACTIONS(6107), 1,
      sym_op_other,
    ACTIONS(6109), 1,
      anon_sym_PLUS,
    ACTIONS(6111), 1,
      anon_sym_DASH,
    ACTIONS(6113), 1,
      anon_sym_SLASH,
    ACTIONS(6115), 1,
      anon_sym_CARET,
    ACTIONS(6122), 1,
      sym_keyword_and,
    ACTIONS(6124), 1,
      sym_keyword_or,
    ACTIONS(6126), 1,
      sym_keyword_not,
    ACTIONS(6128), 1,
      sym_keyword_between,
    ACTIONS(6130), 1,
      anon_sym_COLON_COLON,
    STATE(10479), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6105), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1805), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1806), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6101), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3410), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [159410] = 5,
    ACTIONS(6132), 1,
      aux_sym__single_quote_string_token2,
    STATE(1934), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1359), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1357), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [159473] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6092), 1,
      sym_keyword_in,
    ACTIONS(6094), 1,
      sym_keyword_is,
    ACTIONS(6099), 1,
      anon_sym_LBRACK,
    ACTIONS(6107), 1,
      sym_op_other,
    ACTIONS(6109), 1,
      anon_sym_PLUS,
    ACTIONS(6111), 1,
      anon_sym_DASH,
    ACTIONS(6113), 1,
      anon_sym_SLASH,
    ACTIONS(6115), 1,
      anon_sym_CARET,
    ACTIONS(6122), 1,
      sym_keyword_and,
    ACTIONS(6124), 1,
      sym_keyword_or,
    ACTIONS(6126), 1,
      sym_keyword_not,
    ACTIONS(6128), 1,
      sym_keyword_between,
    ACTIONS(6130), 1,
      anon_sym_COLON_COLON,
    STATE(10479), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6105), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1805), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1806), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6101), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3366), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [159572] = 5,
    ACTIONS(6135), 1,
      aux_sym__single_quote_string_token2,
    STATE(1940), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1366), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1364), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [159635] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2676), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2678), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [159694] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2561), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2559), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [159753] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2509), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2511), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [159812] = 5,
    ACTIONS(6137), 1,
      aux_sym__single_quote_string_token2,
    STATE(1934), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1353), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1351), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [159875] = 5,
    ACTIONS(6139), 1,
      sym_keyword_unsigned,
    ACTIONS(6141), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1916), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1918), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [159938] = 4,
    ACTIONS(6143), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2083), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2081), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [159999] = 5,
    ACTIONS(6145), 1,
      sym_keyword_unsigned,
    ACTIONS(6147), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1908), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1910), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [160062] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6092), 1,
      sym_keyword_in,
    ACTIONS(6094), 1,
      sym_keyword_is,
    ACTIONS(6099), 1,
      anon_sym_LBRACK,
    ACTIONS(6107), 1,
      sym_op_other,
    ACTIONS(6109), 1,
      anon_sym_PLUS,
    ACTIONS(6111), 1,
      anon_sym_DASH,
    ACTIONS(6113), 1,
      anon_sym_SLASH,
    ACTIONS(6115), 1,
      anon_sym_CARET,
    ACTIONS(6122), 1,
      sym_keyword_and,
    ACTIONS(6124), 1,
      sym_keyword_or,
    ACTIONS(6126), 1,
      sym_keyword_not,
    ACTIONS(6128), 1,
      sym_keyword_between,
    ACTIONS(6130), 1,
      anon_sym_COLON_COLON,
    STATE(10479), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6105), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1805), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1806), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6101), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3327), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [160161] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6092), 1,
      sym_keyword_in,
    ACTIONS(6094), 1,
      sym_keyword_is,
    ACTIONS(6099), 1,
      anon_sym_LBRACK,
    ACTIONS(6107), 1,
      sym_op_other,
    ACTIONS(6109), 1,
      anon_sym_PLUS,
    ACTIONS(6111), 1,
      anon_sym_DASH,
    ACTIONS(6113), 1,
      anon_sym_SLASH,
    ACTIONS(6115), 1,
      anon_sym_CARET,
    ACTIONS(6122), 1,
      sym_keyword_and,
    ACTIONS(6124), 1,
      sym_keyword_or,
    ACTIONS(6126), 1,
      sym_keyword_not,
    ACTIONS(6128), 1,
      sym_keyword_between,
    ACTIONS(6130), 1,
      anon_sym_COLON_COLON,
    STATE(10479), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6105), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1805), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1806), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6101), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3263), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [160260] = 4,
    ACTIONS(6149), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2141), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2139), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [160321] = 5,
    ACTIONS(6074), 1,
      sym_keyword_filter,
    STATE(2343), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2505), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2507), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [160384] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2722), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2724), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [160443] = 5,
    ACTIONS(6074), 1,
      sym_keyword_filter,
    STATE(2341), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2527), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2529), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [160506] = 5,
    ACTIONS(6074), 1,
      sym_keyword_filter,
    STATE(2340), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2501), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2503), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [160569] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6092), 1,
      sym_keyword_in,
    ACTIONS(6094), 1,
      sym_keyword_is,
    ACTIONS(6099), 1,
      anon_sym_LBRACK,
    ACTIONS(6107), 1,
      sym_op_other,
    ACTIONS(6109), 1,
      anon_sym_PLUS,
    ACTIONS(6111), 1,
      anon_sym_DASH,
    ACTIONS(6113), 1,
      anon_sym_SLASH,
    ACTIONS(6115), 1,
      anon_sym_CARET,
    ACTIONS(6122), 1,
      sym_keyword_and,
    ACTIONS(6124), 1,
      sym_keyword_or,
    ACTIONS(6126), 1,
      sym_keyword_not,
    ACTIONS(6128), 1,
      sym_keyword_between,
    ACTIONS(6130), 1,
      anon_sym_COLON_COLON,
    STATE(10479), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6105), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1805), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1806), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6101), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3402), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [160668] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2511), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2509), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [160727] = 5,
    ACTIONS(6151), 1,
      sym_keyword_unsigned,
    ACTIONS(6153), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1970), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1972), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [160790] = 5,
    ACTIONS(6155), 1,
      sym_keyword_unsigned,
    ACTIONS(6157), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1954), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1956), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [160853] = 5,
    ACTIONS(6159), 1,
      sym_keyword_unsigned,
    ACTIONS(6161), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1982), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1984), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [160916] = 5,
    ACTIONS(6163), 1,
      sym_keyword_unsigned,
    ACTIONS(6165), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1962), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1964), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [160979] = 5,
    ACTIONS(6167), 1,
      sym_keyword_unsigned,
    ACTIONS(6169), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1940), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1942), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [161042] = 5,
    STATE(2506), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5650), 2,
      sym_keyword_with,
      sym_keyword_without,
    ACTIONS(1856), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1858), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [161105] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6092), 1,
      sym_keyword_in,
    ACTIONS(6094), 1,
      sym_keyword_is,
    ACTIONS(6099), 1,
      anon_sym_LBRACK,
    ACTIONS(6107), 1,
      sym_op_other,
    ACTIONS(6109), 1,
      anon_sym_PLUS,
    ACTIONS(6111), 1,
      anon_sym_DASH,
    ACTIONS(6113), 1,
      anon_sym_SLASH,
    ACTIONS(6115), 1,
      anon_sym_CARET,
    ACTIONS(6122), 1,
      sym_keyword_and,
    ACTIONS(6124), 1,
      sym_keyword_or,
    ACTIONS(6126), 1,
      sym_keyword_not,
    ACTIONS(6128), 1,
      sym_keyword_between,
    ACTIONS(6130), 1,
      anon_sym_COLON_COLON,
    STATE(10479), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6105), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1805), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1806), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6101), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3340), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [161204] = 5,
    STATE(2507), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5650), 2,
      sym_keyword_with,
      sym_keyword_without,
    ACTIONS(1884), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1886), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [161267] = 4,
    ACTIONS(6171), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2121), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2119), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [161328] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2553), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2551), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [161387] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2686), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2684), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [161446] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6092), 1,
      sym_keyword_in,
    ACTIONS(6094), 1,
      sym_keyword_is,
    ACTIONS(6099), 1,
      anon_sym_LBRACK,
    ACTIONS(6107), 1,
      sym_op_other,
    ACTIONS(6109), 1,
      anon_sym_PLUS,
    ACTIONS(6111), 1,
      anon_sym_DASH,
    ACTIONS(6113), 1,
      anon_sym_SLASH,
    ACTIONS(6115), 1,
      anon_sym_CARET,
    ACTIONS(6122), 1,
      sym_keyword_and,
    ACTIONS(6124), 1,
      sym_keyword_or,
    ACTIONS(6126), 1,
      sym_keyword_not,
    ACTIONS(6128), 1,
      sym_keyword_between,
    ACTIONS(6130), 1,
      anon_sym_COLON_COLON,
    STATE(10479), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6105), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1805), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1806), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6101), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3325), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [161545] = 8,
    ACTIONS(4487), 1,
      sym_keyword_is,
    ACTIONS(4497), 1,
      anon_sym_LBRACK,
    STATE(11092), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1343), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1339), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2428), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2430), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [161614] = 20,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(2441), 1,
      sym_keyword_or,
    ACTIONS(6173), 1,
      sym_keyword_in,
    ACTIONS(6175), 1,
      sym_keyword_is,
    ACTIONS(6177), 1,
      sym_keyword_not,
    ACTIONS(6179), 1,
      anon_sym_LBRACK,
    ACTIONS(6187), 1,
      sym_op_other,
    ACTIONS(6189), 1,
      anon_sym_PLUS,
    ACTIONS(6191), 1,
      anon_sym_DASH,
    ACTIONS(6193), 1,
      anon_sym_SLASH,
    ACTIONS(6195), 1,
      anon_sym_CARET,
    STATE(10807), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6183), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6185), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1449), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1458), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6181), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2439), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [161707] = 6,
    ACTIONS(4825), 1,
      sym_keyword_with,
    ACTIONS(4827), 1,
      sym_keyword_without,
    STATE(2494), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1886), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1884), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [161772] = 5,
    ACTIONS(6074), 1,
      sym_keyword_filter,
    STATE(2339), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2517), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2519), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [161835] = 6,
    ACTIONS(4825), 1,
      sym_keyword_with,
    ACTIONS(4827), 1,
      sym_keyword_without,
    STATE(2521), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1858), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1856), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [161900] = 4,
    ACTIONS(6197), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2109), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2107), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [161961] = 4,
    ACTIONS(6199), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2147), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2145), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [162022] = 5,
    ACTIONS(6074), 1,
      sym_keyword_filter,
    STATE(2334), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2449), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2451), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [162085] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6092), 1,
      sym_keyword_in,
    ACTIONS(6094), 1,
      sym_keyword_is,
    ACTIONS(6099), 1,
      anon_sym_LBRACK,
    ACTIONS(6107), 1,
      sym_op_other,
    ACTIONS(6109), 1,
      anon_sym_PLUS,
    ACTIONS(6111), 1,
      anon_sym_DASH,
    ACTIONS(6113), 1,
      anon_sym_SLASH,
    ACTIONS(6115), 1,
      anon_sym_CARET,
    ACTIONS(6122), 1,
      sym_keyword_and,
    ACTIONS(6124), 1,
      sym_keyword_or,
    ACTIONS(6126), 1,
      sym_keyword_not,
    ACTIONS(6128), 1,
      sym_keyword_between,
    ACTIONS(6130), 1,
      anon_sym_COLON_COLON,
    STATE(10479), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6105), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1805), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1806), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6101), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3422), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [162184] = 5,
    ACTIONS(6201), 1,
      sym_keyword_unsigned,
    ACTIONS(6203), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1942), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1940), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [162247] = 5,
    ACTIONS(6205), 1,
      sym_keyword_unsigned,
    ACTIONS(6207), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1964), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1962), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [162310] = 20,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(2434), 1,
      sym_keyword_or,
    ACTIONS(6173), 1,
      sym_keyword_in,
    ACTIONS(6175), 1,
      sym_keyword_is,
    ACTIONS(6177), 1,
      sym_keyword_not,
    ACTIONS(6179), 1,
      anon_sym_LBRACK,
    ACTIONS(6187), 1,
      sym_op_other,
    ACTIONS(6189), 1,
      anon_sym_PLUS,
    ACTIONS(6191), 1,
      anon_sym_DASH,
    ACTIONS(6193), 1,
      anon_sym_SLASH,
    ACTIONS(6195), 1,
      anon_sym_CARET,
    STATE(10807), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6183), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6185), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1449), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1458), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6181), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2432), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [162403] = 9,
    ACTIONS(6094), 1,
      sym_keyword_is,
    ACTIONS(6099), 1,
      anon_sym_LBRACK,
    ACTIONS(6115), 1,
      anon_sym_CARET,
    STATE(10479), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1805), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1806), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2394), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(2392), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [162474] = 5,
    ACTIONS(6209), 1,
      sym_keyword_unsigned,
    ACTIONS(6211), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1984), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1982), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [162537] = 4,
    STATE(926), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3406), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3404), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [162598] = 16,
    ACTIONS(6092), 1,
      sym_keyword_in,
    ACTIONS(6094), 1,
      sym_keyword_is,
    ACTIONS(6096), 1,
      sym_keyword_not,
    ACTIONS(6099), 1,
      anon_sym_LBRACK,
    ACTIONS(6107), 1,
      sym_op_other,
    ACTIONS(6109), 1,
      anon_sym_PLUS,
    ACTIONS(6111), 1,
      anon_sym_DASH,
    ACTIONS(6113), 1,
      anon_sym_SLASH,
    ACTIONS(6115), 1,
      anon_sym_CARET,
    STATE(10479), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2394), 3,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1805), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1806), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [162683] = 5,
    ACTIONS(6213), 1,
      sym_keyword_unsigned,
    ACTIONS(6215), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1956), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1954), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [162746] = 5,
    ACTIONS(6217), 1,
      sym_keyword_unsigned,
    ACTIONS(6219), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1972), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1970), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [162809] = 22,
    ACTIONS(2394), 1,
      sym_keyword_or,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6092), 1,
      sym_keyword_in,
    ACTIONS(6094), 1,
      sym_keyword_is,
    ACTIONS(6099), 1,
      anon_sym_LBRACK,
    ACTIONS(6107), 1,
      sym_op_other,
    ACTIONS(6109), 1,
      anon_sym_PLUS,
    ACTIONS(6111), 1,
      anon_sym_DASH,
    ACTIONS(6113), 1,
      anon_sym_SLASH,
    ACTIONS(6115), 1,
      anon_sym_CARET,
    ACTIONS(6122), 1,
      sym_keyword_and,
    ACTIONS(6126), 1,
      sym_keyword_not,
    ACTIONS(6128), 1,
      sym_keyword_between,
    STATE(10479), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6105), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1805), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1806), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6101), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2392), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
  [162906] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1374), 3,
      anon_sym_LPAREN,
      anon_sym_DOT,
      aux_sym__single_quote_string_token1,
    ACTIONS(1372), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1370), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [162967] = 21,
    ACTIONS(2394), 1,
      sym_keyword_or,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6092), 1,
      sym_keyword_in,
    ACTIONS(6094), 1,
      sym_keyword_is,
    ACTIONS(6099), 1,
      anon_sym_LBRACK,
    ACTIONS(6107), 1,
      sym_op_other,
    ACTIONS(6109), 1,
      anon_sym_PLUS,
    ACTIONS(6111), 1,
      anon_sym_DASH,
    ACTIONS(6113), 1,
      anon_sym_SLASH,
    ACTIONS(6115), 1,
      anon_sym_CARET,
    ACTIONS(6126), 1,
      sym_keyword_not,
    ACTIONS(6128), 1,
      sym_keyword_between,
    STATE(10479), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6105), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1805), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1806), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6101), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2392), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
  [163062] = 20,
    ACTIONS(4481), 1,
      sym_keyword_in,
    ACTIONS(4487), 1,
      sym_keyword_is,
    ACTIONS(4489), 1,
      sym_keyword_not,
    ACTIONS(4495), 1,
      sym_keyword_similar,
    ACTIONS(4497), 1,
      anon_sym_LBRACK,
    ACTIONS(4507), 1,
      sym_op_other,
    ACTIONS(4509), 1,
      anon_sym_PLUS,
    ACTIONS(4511), 1,
      anon_sym_DASH,
    ACTIONS(4513), 1,
      anon_sym_SLASH,
    ACTIONS(4515), 1,
      anon_sym_CARET,
    STATE(11092), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4493), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4501), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4505), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1343), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1339), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4499), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2439), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2441), 14,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      sym__identifier,
  [163155] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2529), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2527), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [163214] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2732), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2730), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [163273] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6092), 1,
      sym_keyword_in,
    ACTIONS(6094), 1,
      sym_keyword_is,
    ACTIONS(6099), 1,
      anon_sym_LBRACK,
    ACTIONS(6107), 1,
      sym_op_other,
    ACTIONS(6109), 1,
      anon_sym_PLUS,
    ACTIONS(6111), 1,
      anon_sym_DASH,
    ACTIONS(6113), 1,
      anon_sym_SLASH,
    ACTIONS(6115), 1,
      anon_sym_CARET,
    ACTIONS(6122), 1,
      sym_keyword_and,
    ACTIONS(6124), 1,
      sym_keyword_or,
    ACTIONS(6126), 1,
      sym_keyword_not,
    ACTIONS(6128), 1,
      sym_keyword_between,
    ACTIONS(6130), 1,
      anon_sym_COLON_COLON,
    STATE(10479), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6105), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1805), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1806), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6101), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3376), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [163372] = 5,
    ACTIONS(6221), 1,
      sym_keyword_varying,
    ACTIONS(6223), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1932), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1934), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [163435] = 4,
    ACTIONS(6225), 1,
      sym_keyword_varying,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1948), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1950), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [163496] = 9,
    ACTIONS(4487), 1,
      sym_keyword_is,
    ACTIONS(4497), 1,
      anon_sym_LBRACK,
    ACTIONS(4515), 1,
      anon_sym_CARET,
    STATE(11092), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1343), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1339), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2394), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      sym__identifier,
  [163567] = 16,
    ACTIONS(4481), 1,
      sym_keyword_in,
    ACTIONS(4487), 1,
      sym_keyword_is,
    ACTIONS(4497), 1,
      anon_sym_LBRACK,
    ACTIONS(4507), 1,
      sym_op_other,
    ACTIONS(4509), 1,
      anon_sym_PLUS,
    ACTIONS(4511), 1,
      anon_sym_DASH,
    ACTIONS(4513), 1,
      anon_sym_SLASH,
    ACTIONS(4515), 1,
      anon_sym_CARET,
    ACTIONS(6119), 1,
      sym_keyword_not,
    STATE(11092), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4501), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1343), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1339), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2394), 19,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      sym__identifier,
  [163652] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2744), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2742), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [163711] = 20,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(2434), 1,
      sym_keyword_or,
    ACTIONS(6092), 1,
      sym_keyword_in,
    ACTIONS(6094), 1,
      sym_keyword_is,
    ACTIONS(6099), 1,
      anon_sym_LBRACK,
    ACTIONS(6107), 1,
      sym_op_other,
    ACTIONS(6109), 1,
      anon_sym_PLUS,
    ACTIONS(6111), 1,
      anon_sym_DASH,
    ACTIONS(6113), 1,
      anon_sym_SLASH,
    ACTIONS(6115), 1,
      anon_sym_CARET,
    ACTIONS(6126), 1,
      sym_keyword_not,
    STATE(10479), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6105), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1805), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1806), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6101), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2432), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
  [163804] = 5,
    ACTIONS(6137), 1,
      aux_sym__single_quote_string_token2,
    STATE(1934), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2967), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2965), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [163867] = 4,
    ACTIONS(6227), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2127), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2125), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [163928] = 4,
    ACTIONS(6229), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2064), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2062), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [163989] = 5,
    ACTIONS(6074), 1,
      sym_keyword_filter,
    STATE(2338), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2531), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2533), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [164052] = 4,
    ACTIONS(6231), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2070), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2068), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [164113] = 5,
    ACTIONS(6074), 1,
      sym_keyword_filter,
    STATE(2337), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2443), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2445), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [164176] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2724), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2722), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [164235] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2519), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2517), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [164294] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2754), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2752), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [164353] = 5,
    ACTIONS(6074), 1,
      sym_keyword_filter,
    STATE(2336), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2535), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2537), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [164416] = 13,
    ACTIONS(4487), 1,
      sym_keyword_is,
    ACTIONS(4497), 1,
      anon_sym_LBRACK,
    ACTIONS(4509), 1,
      anon_sym_PLUS,
    ACTIONS(4511), 1,
      anon_sym_DASH,
    ACTIONS(4513), 1,
      anon_sym_SLASH,
    ACTIONS(4515), 1,
      anon_sym_CARET,
    STATE(11092), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4501), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1343), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1339), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2428), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2430), 21,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      sym__identifier,
  [164495] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2678), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2676), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [164554] = 5,
    ACTIONS(6074), 1,
      sym_keyword_filter,
    STATE(2342), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2547), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2549), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [164617] = 6,
    STATE(11092), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1343), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1339), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2394), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [164682] = 27,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6173), 1,
      sym_keyword_in,
    ACTIONS(6175), 1,
      sym_keyword_is,
    ACTIONS(6177), 1,
      sym_keyword_not,
    ACTIONS(6179), 1,
      anon_sym_LBRACK,
    ACTIONS(6187), 1,
      sym_op_other,
    ACTIONS(6189), 1,
      anon_sym_PLUS,
    ACTIONS(6191), 1,
      anon_sym_DASH,
    ACTIONS(6193), 1,
      anon_sym_SLASH,
    ACTIONS(6195), 1,
      anon_sym_CARET,
    ACTIONS(6235), 1,
      sym_keyword_having,
    ACTIONS(6237), 1,
      sym_keyword_and,
    ACTIONS(6239), 1,
      sym_keyword_or,
    ACTIONS(6241), 1,
      sym_keyword_between,
    ACTIONS(6243), 1,
      anon_sym_COMMA,
    ACTIONS(6245), 1,
      anon_sym_COLON_COLON,
    STATE(6982), 1,
      aux_sym_array_repeat1,
    STATE(7205), 1,
      sym__having,
    STATE(10807), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6183), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6185), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1449), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1458), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6181), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6233), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [164789] = 18,
    ACTIONS(2394), 1,
      sym_keyword_or,
    ACTIONS(6173), 1,
      sym_keyword_in,
    ACTIONS(6175), 1,
      sym_keyword_is,
    ACTIONS(6179), 1,
      anon_sym_LBRACK,
    ACTIONS(6187), 1,
      sym_op_other,
    ACTIONS(6189), 1,
      anon_sym_PLUS,
    ACTIONS(6191), 1,
      anon_sym_DASH,
    ACTIONS(6193), 1,
      anon_sym_SLASH,
    ACTIONS(6195), 1,
      anon_sym_CARET,
    ACTIONS(6247), 1,
      sym_keyword_not,
    STATE(10807), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6183), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6185), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1449), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1458), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6181), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2392), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [164878] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2549), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2547), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [164937] = 8,
    ACTIONS(6175), 1,
      sym_keyword_is,
    ACTIONS(6179), 1,
      anon_sym_LBRACK,
    STATE(10807), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1449), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1458), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2394), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [165006] = 5,
    ACTIONS(6250), 1,
      sym_keyword_unsigned,
    ACTIONS(6252), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1924), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1926), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [165069] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2668), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2666), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [165128] = 22,
    ACTIONS(4481), 1,
      sym_keyword_in,
    ACTIONS(4483), 1,
      sym_keyword_and,
    ACTIONS(4487), 1,
      sym_keyword_is,
    ACTIONS(4489), 1,
      sym_keyword_not,
    ACTIONS(4491), 1,
      sym_keyword_between,
    ACTIONS(4495), 1,
      sym_keyword_similar,
    ACTIONS(4497), 1,
      anon_sym_LBRACK,
    ACTIONS(4507), 1,
      sym_op_other,
    ACTIONS(4509), 1,
      anon_sym_PLUS,
    ACTIONS(4511), 1,
      anon_sym_DASH,
    ACTIONS(4513), 1,
      anon_sym_SLASH,
    ACTIONS(4515), 1,
      anon_sym_CARET,
    STATE(11092), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4493), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4501), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4505), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1343), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1339), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4499), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2392), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2394), 12,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_or,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym__identifier,
  [165225] = 21,
    ACTIONS(4481), 1,
      sym_keyword_in,
    ACTIONS(4487), 1,
      sym_keyword_is,
    ACTIONS(4489), 1,
      sym_keyword_not,
    ACTIONS(4491), 1,
      sym_keyword_between,
    ACTIONS(4495), 1,
      sym_keyword_similar,
    ACTIONS(4497), 1,
      anon_sym_LBRACK,
    ACTIONS(4507), 1,
      sym_op_other,
    ACTIONS(4509), 1,
      anon_sym_PLUS,
    ACTIONS(4511), 1,
      anon_sym_DASH,
    ACTIONS(4513), 1,
      anon_sym_SLASH,
    ACTIONS(4515), 1,
      anon_sym_CARET,
    STATE(11092), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4493), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4501), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4505), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1343), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1339), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4499), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2392), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2394), 13,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym__identifier,
  [165320] = 11,
    ACTIONS(6175), 1,
      sym_keyword_is,
    ACTIONS(6179), 1,
      anon_sym_LBRACK,
    ACTIONS(6193), 1,
      anon_sym_SLASH,
    ACTIONS(6195), 1,
      anon_sym_CARET,
    STATE(10807), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6183), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1449), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1458), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2394), 5,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2392), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [165395] = 13,
    ACTIONS(6175), 1,
      sym_keyword_is,
    ACTIONS(6179), 1,
      anon_sym_LBRACK,
    ACTIONS(6189), 1,
      anon_sym_PLUS,
    ACTIONS(6191), 1,
      anon_sym_DASH,
    ACTIONS(6193), 1,
      anon_sym_SLASH,
    ACTIONS(6195), 1,
      anon_sym_CARET,
    STATE(10807), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6183), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1449), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2394), 4,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1458), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 30,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [165474] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2768), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2766), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [165533] = 4,
    ACTIONS(6254), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1996), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1994), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [165594] = 29,
    ACTIONS(211), 1,
      sym__identifier,
    ACTIONS(4495), 1,
      sym_keyword_similar,
    ACTIONS(6256), 1,
      sym_keyword_as,
    ACTIONS(6258), 1,
      sym_keyword_in,
    ACTIONS(6260), 1,
      sym_keyword_and,
    ACTIONS(6262), 1,
      sym_keyword_or,
    ACTIONS(6264), 1,
      sym_keyword_is,
    ACTIONS(6266), 1,
      sym_keyword_not,
    ACTIONS(6268), 1,
      sym_keyword_between,
    ACTIONS(6270), 1,
      anon_sym_LBRACK,
    ACTIONS(6276), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6280), 1,
      sym_op_other,
    ACTIONS(6282), 1,
      anon_sym_PLUS,
    ACTIONS(6284), 1,
      anon_sym_DASH,
    ACTIONS(6286), 1,
      anon_sym_SLASH,
    ACTIONS(6288), 1,
      anon_sym_CARET,
    STATE(6560), 1,
      sym_identifier,
    STATE(7458), 1,
      sym__alias,
    STATE(10592), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(4493), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6274), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6278), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4475), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
    STATE(1733), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1734), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6272), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(4477), 8,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [165705] = 6,
    STATE(10479), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1805), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1806), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2394), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [165770] = 6,
    ACTIONS(6290), 1,
      anon_sym_LBRACK,
    STATE(2024), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(2364), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2076), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2074), 40,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [165835] = 4,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1996), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1994), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [165896] = 4,
    ACTIONS(6295), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2089), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2087), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [165957] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6092), 1,
      sym_keyword_in,
    ACTIONS(6094), 1,
      sym_keyword_is,
    ACTIONS(6099), 1,
      anon_sym_LBRACK,
    ACTIONS(6107), 1,
      sym_op_other,
    ACTIONS(6109), 1,
      anon_sym_PLUS,
    ACTIONS(6111), 1,
      anon_sym_DASH,
    ACTIONS(6113), 1,
      anon_sym_SLASH,
    ACTIONS(6115), 1,
      anon_sym_CARET,
    ACTIONS(6122), 1,
      sym_keyword_and,
    ACTIONS(6124), 1,
      sym_keyword_or,
    ACTIONS(6126), 1,
      sym_keyword_not,
    ACTIONS(6128), 1,
      sym_keyword_between,
    ACTIONS(6130), 1,
      anon_sym_COLON_COLON,
    STATE(10479), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6105), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1805), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1806), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6101), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3382), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [166056] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6092), 1,
      sym_keyword_in,
    ACTIONS(6094), 1,
      sym_keyword_is,
    ACTIONS(6099), 1,
      anon_sym_LBRACK,
    ACTIONS(6107), 1,
      sym_op_other,
    ACTIONS(6109), 1,
      anon_sym_PLUS,
    ACTIONS(6111), 1,
      anon_sym_DASH,
    ACTIONS(6113), 1,
      anon_sym_SLASH,
    ACTIONS(6115), 1,
      anon_sym_CARET,
    ACTIONS(6122), 1,
      sym_keyword_and,
    ACTIONS(6124), 1,
      sym_keyword_or,
    ACTIONS(6126), 1,
      sym_keyword_not,
    ACTIONS(6128), 1,
      sym_keyword_between,
    ACTIONS(6130), 1,
      anon_sym_COLON_COLON,
    STATE(10479), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6105), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1805), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1806), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6101), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3360), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [166155] = 4,
    ACTIONS(6297), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(55), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(109), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [166216] = 8,
    ACTIONS(6175), 1,
      sym_keyword_is,
    ACTIONS(6179), 1,
      anon_sym_LBRACK,
    STATE(10807), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1449), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1458), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2430), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2428), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [166285] = 4,
    ACTIONS(6299), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2008), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2006), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [166346] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6092), 1,
      sym_keyword_in,
    ACTIONS(6094), 1,
      sym_keyword_is,
    ACTIONS(6099), 1,
      anon_sym_LBRACK,
    ACTIONS(6107), 1,
      sym_op_other,
    ACTIONS(6109), 1,
      anon_sym_PLUS,
    ACTIONS(6111), 1,
      anon_sym_DASH,
    ACTIONS(6113), 1,
      anon_sym_SLASH,
    ACTIONS(6115), 1,
      anon_sym_CARET,
    ACTIONS(6122), 1,
      sym_keyword_and,
    ACTIONS(6124), 1,
      sym_keyword_or,
    ACTIONS(6126), 1,
      sym_keyword_not,
    ACTIONS(6128), 1,
      sym_keyword_between,
    ACTIONS(6130), 1,
      anon_sym_COLON_COLON,
    STATE(10479), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6105), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1805), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1806), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6101), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3368), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [166445] = 13,
    ACTIONS(6175), 1,
      sym_keyword_is,
    ACTIONS(6179), 1,
      anon_sym_LBRACK,
    ACTIONS(6189), 1,
      anon_sym_PLUS,
    ACTIONS(6191), 1,
      anon_sym_DASH,
    ACTIONS(6193), 1,
      anon_sym_SLASH,
    ACTIONS(6195), 1,
      anon_sym_CARET,
    STATE(10807), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6183), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1449), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2430), 4,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1458), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2428), 30,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [166524] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6092), 1,
      sym_keyword_in,
    ACTIONS(6094), 1,
      sym_keyword_is,
    ACTIONS(6099), 1,
      anon_sym_LBRACK,
    ACTIONS(6107), 1,
      sym_op_other,
    ACTIONS(6109), 1,
      anon_sym_PLUS,
    ACTIONS(6111), 1,
      anon_sym_DASH,
    ACTIONS(6113), 1,
      anon_sym_SLASH,
    ACTIONS(6115), 1,
      anon_sym_CARET,
    ACTIONS(6122), 1,
      sym_keyword_and,
    ACTIONS(6124), 1,
      sym_keyword_or,
    ACTIONS(6126), 1,
      sym_keyword_not,
    ACTIONS(6128), 1,
      sym_keyword_between,
    ACTIONS(6130), 1,
      anon_sym_COLON_COLON,
    STATE(10479), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6105), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1805), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1806), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6101), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3384), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [166623] = 4,
    ACTIONS(6301), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2020), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2018), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [166684] = 20,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(2441), 1,
      sym_keyword_or,
    ACTIONS(6092), 1,
      sym_keyword_in,
    ACTIONS(6094), 1,
      sym_keyword_is,
    ACTIONS(6099), 1,
      anon_sym_LBRACK,
    ACTIONS(6107), 1,
      sym_op_other,
    ACTIONS(6109), 1,
      anon_sym_PLUS,
    ACTIONS(6111), 1,
      anon_sym_DASH,
    ACTIONS(6113), 1,
      anon_sym_SLASH,
    ACTIONS(6115), 1,
      anon_sym_CARET,
    ACTIONS(6126), 1,
      sym_keyword_not,
    STATE(10479), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6105), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1805), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1806), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6101), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2439), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
  [166777] = 4,
    ACTIONS(6303), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2032), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2030), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [166838] = 5,
    ACTIONS(6305), 1,
      sym_keyword_varying,
    ACTIONS(6307), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1934), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1932), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [166901] = 4,
    ACTIONS(6309), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3372), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3370), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [166962] = 4,
    ACTIONS(6311), 1,
      sym_keyword_varying,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1950), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1948), 42,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [167023] = 4,
    ACTIONS(6313), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2038), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2036), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [167084] = 21,
    ACTIONS(2394), 1,
      sym_keyword_or,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6173), 1,
      sym_keyword_in,
    ACTIONS(6175), 1,
      sym_keyword_is,
    ACTIONS(6177), 1,
      sym_keyword_not,
    ACTIONS(6179), 1,
      anon_sym_LBRACK,
    ACTIONS(6187), 1,
      sym_op_other,
    ACTIONS(6189), 1,
      anon_sym_PLUS,
    ACTIONS(6191), 1,
      anon_sym_DASH,
    ACTIONS(6193), 1,
      anon_sym_SLASH,
    ACTIONS(6195), 1,
      anon_sym_CARET,
    ACTIONS(6241), 1,
      sym_keyword_between,
    STATE(10807), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6183), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6185), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1449), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1458), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6181), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2392), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [167179] = 4,
    ACTIONS(3992), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1862), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1860), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [167240] = 4,
    ACTIONS(6315), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2133), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2131), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [167301] = 22,
    ACTIONS(2394), 1,
      sym_keyword_or,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6173), 1,
      sym_keyword_in,
    ACTIONS(6175), 1,
      sym_keyword_is,
    ACTIONS(6177), 1,
      sym_keyword_not,
    ACTIONS(6179), 1,
      anon_sym_LBRACK,
    ACTIONS(6187), 1,
      sym_op_other,
    ACTIONS(6189), 1,
      anon_sym_PLUS,
    ACTIONS(6191), 1,
      anon_sym_DASH,
    ACTIONS(6193), 1,
      anon_sym_SLASH,
    ACTIONS(6195), 1,
      anon_sym_CARET,
    ACTIONS(6237), 1,
      sym_keyword_and,
    ACTIONS(6241), 1,
      sym_keyword_between,
    STATE(10807), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6183), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6185), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1449), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1458), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6181), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2392), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [167398] = 4,
    ACTIONS(6317), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2115), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2113), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [167459] = 6,
    STATE(10807), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1449), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1458), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2394), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [167524] = 4,
    ACTIONS(6319), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2046), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2044), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [167585] = 16,
    ACTIONS(6173), 1,
      sym_keyword_in,
    ACTIONS(6175), 1,
      sym_keyword_is,
    ACTIONS(6179), 1,
      anon_sym_LBRACK,
    ACTIONS(6187), 1,
      sym_op_other,
    ACTIONS(6189), 1,
      anon_sym_PLUS,
    ACTIONS(6191), 1,
      anon_sym_DASH,
    ACTIONS(6193), 1,
      anon_sym_SLASH,
    ACTIONS(6195), 1,
      anon_sym_CARET,
    ACTIONS(6247), 1,
      sym_keyword_not,
    STATE(10807), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6183), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2394), 3,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1449), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1458), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [167670] = 4,
    ACTIONS(6321), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2101), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2099), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [167731] = 9,
    ACTIONS(6175), 1,
      sym_keyword_is,
    ACTIONS(6179), 1,
      anon_sym_LBRACK,
    ACTIONS(6195), 1,
      anon_sym_CARET,
    STATE(10807), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1449), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1458), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2394), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(2392), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [167802] = 4,
    ACTIONS(5039), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1862), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1860), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [167863] = 4,
    ACTIONS(6323), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2089), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2087), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [167924] = 4,
    ACTIONS(6325), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2008), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2006), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [167985] = 5,
    ACTIONS(6327), 1,
      sym_keyword_precision,
    ACTIONS(6329), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1860), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1862), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [168048] = 4,
    ACTIONS(6331), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2002), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2000), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [168109] = 4,
    ACTIONS(6333), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2020), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2018), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [168170] = 4,
    ACTIONS(6335), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2056), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2054), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [168231] = 4,
    ACTIONS(6337), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2032), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2030), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [168292] = 4,
    ACTIONS(6339), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2038), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2036), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [168353] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2537), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2535), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [168412] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2610), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2608), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [168471] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1950), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1948), 43,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [168530] = 4,
    ACTIONS(6341), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2171), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2169), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [168591] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2618), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2616), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [168650] = 4,
    ACTIONS(6343), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2046), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2044), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [168711] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2095), 7,
      sym_keyword_in,
      sym_keyword_return,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2093), 43,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_as,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [168770] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2167), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2165), 43,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [168829] = 4,
    ACTIONS(6345), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2159), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2157), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [168890] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2052), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2050), 43,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [168949] = 4,
    ACTIONS(6347), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2014), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2012), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [169010] = 4,
    ACTIONS(6349), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2026), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2024), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [169071] = 4,
    ACTIONS(6351), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2153), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2151), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [169132] = 8,
    ACTIONS(6264), 1,
      sym_keyword_is,
    ACTIONS(6270), 1,
      anon_sym_LBRACK,
    STATE(10592), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1733), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1734), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2394), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [169200] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3510), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3508), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [169258] = 11,
    ACTIONS(6353), 1,
      sym_keyword_is,
    ACTIONS(6355), 1,
      anon_sym_LBRACK,
    ACTIONS(6359), 1,
      anon_sym_SLASH,
    ACTIONS(6361), 1,
      anon_sym_CARET,
    STATE(11179), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6357), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1406), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1407), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2394), 5,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2392), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [169332] = 4,
    ACTIONS(6363), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2087), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2089), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [169392] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3482), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3480), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [169450] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3462), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3460), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [169508] = 4,
    ACTIONS(5061), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1860), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1862), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [169568] = 8,
    ACTIONS(6353), 1,
      sym_keyword_is,
    ACTIONS(6355), 1,
      anon_sym_LBRACK,
    STATE(11179), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1406), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1407), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2394), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 32,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [169636] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1774), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1772), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [169694] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3538), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3536), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [169752] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3474), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3472), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [169810] = 18,
    ACTIONS(2394), 1,
      sym_keyword_or,
    ACTIONS(6353), 1,
      sym_keyword_is,
    ACTIONS(6355), 1,
      anon_sym_LBRACK,
    ACTIONS(6359), 1,
      anon_sym_SLASH,
    ACTIONS(6361), 1,
      anon_sym_CARET,
    ACTIONS(6365), 1,
      sym_keyword_in,
    ACTIONS(6367), 1,
      sym_keyword_not,
    ACTIONS(6374), 1,
      sym_op_other,
    ACTIONS(6376), 1,
      anon_sym_PLUS,
    ACTIONS(6378), 1,
      anon_sym_DASH,
    STATE(11179), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6357), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6372), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1406), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1407), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6370), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2392), 22,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COLON_COLON,
  [169898] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3454), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3452), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [169956] = 4,
    ACTIONS(6329), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1860), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1862), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [170016] = 4,
    ACTIONS(6380), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2070), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2068), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [170076] = 4,
    ACTIONS(6382), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2036), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2038), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [170136] = 4,
    ACTIONS(6384), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2087), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2089), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [170196] = 4,
    ACTIONS(6386), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2006), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2008), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [170256] = 4,
    ACTIONS(6388), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2030), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2032), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [170316] = 4,
    ACTIONS(6390), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2018), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2020), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [170376] = 4,
    ACTIONS(6392), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2030), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2032), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [170436] = 8,
    ACTIONS(6353), 1,
      sym_keyword_is,
    ACTIONS(6355), 1,
      anon_sym_LBRACK,
    STATE(11179), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1406), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1407), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2430), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2428), 32,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [170504] = 4,
    ACTIONS(6394), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2036), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2038), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [170564] = 4,
    ACTIONS(6396), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2044), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2046), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [170624] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2295), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2293), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [170682] = 4,
    ACTIONS(6398), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2018), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2020), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [170742] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2299), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2297), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [170800] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2311), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2309), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [170858] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2046), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2044), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [170916] = 20,
    ACTIONS(4495), 1,
      sym_keyword_similar,
    ACTIONS(6258), 1,
      sym_keyword_in,
    ACTIONS(6264), 1,
      sym_keyword_is,
    ACTIONS(6266), 1,
      sym_keyword_not,
    ACTIONS(6270), 1,
      anon_sym_LBRACK,
    ACTIONS(6280), 1,
      sym_op_other,
    ACTIONS(6282), 1,
      anon_sym_PLUS,
    ACTIONS(6284), 1,
      anon_sym_DASH,
    ACTIONS(6286), 1,
      anon_sym_SLASH,
    ACTIONS(6288), 1,
      anon_sym_CARET,
    STATE(10592), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4493), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6274), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6278), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1733), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1734), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6272), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2439), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2441), 14,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      sym__identifier,
  [171008] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1862), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1860), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [171066] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2231), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2229), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [171124] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2179), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2177), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [171182] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2050), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2052), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [171240] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2038), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2036), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [171298] = 20,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(2441), 1,
      sym_keyword_or,
    ACTIONS(6400), 1,
      sym_keyword_in,
    ACTIONS(6402), 1,
      sym_keyword_is,
    ACTIONS(6404), 1,
      sym_keyword_not,
    ACTIONS(6406), 1,
      anon_sym_LBRACK,
    ACTIONS(6414), 1,
      sym_op_other,
    ACTIONS(6416), 1,
      anon_sym_PLUS,
    ACTIONS(6418), 1,
      anon_sym_DASH,
    ACTIONS(6420), 1,
      anon_sym_SLASH,
    ACTIONS(6422), 1,
      anon_sym_CARET,
    STATE(10804), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6410), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6412), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1634), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1635), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6408), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2439), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [171390] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2032), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2030), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [171448] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3550), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3548), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [171506] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2020), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2018), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [171564] = 13,
    ACTIONS(6353), 1,
      sym_keyword_is,
    ACTIONS(6355), 1,
      anon_sym_LBRACK,
    ACTIONS(6359), 1,
      anon_sym_SLASH,
    ACTIONS(6361), 1,
      anon_sym_CARET,
    ACTIONS(6376), 1,
      anon_sym_PLUS,
    ACTIONS(6378), 1,
      anon_sym_DASH,
    STATE(11179), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6357), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1406), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2394), 4,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1407), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [171642] = 4,
    ACTIONS(6424), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2006), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2008), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [171702] = 4,
    ACTIONS(6426), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2133), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2131), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [171762] = 5,
    ACTIONS(6428), 1,
      aux_sym__single_quote_string_token2,
    STATE(2224), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1366), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1364), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [171824] = 13,
    ACTIONS(6353), 1,
      sym_keyword_is,
    ACTIONS(6355), 1,
      anon_sym_LBRACK,
    ACTIONS(6359), 1,
      anon_sym_SLASH,
    ACTIONS(6361), 1,
      anon_sym_CARET,
    ACTIONS(6376), 1,
      anon_sym_PLUS,
    ACTIONS(6378), 1,
      anon_sym_DASH,
    STATE(11179), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6357), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1406), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2430), 4,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1407), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2428), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [171902] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2008), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2006), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [171960] = 4,
    ACTIONS(6430), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2115), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2113), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [172020] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2089), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2087), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [172078] = 22,
    ACTIONS(2394), 1,
      sym_keyword_or,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6400), 1,
      sym_keyword_in,
    ACTIONS(6402), 1,
      sym_keyword_is,
    ACTIONS(6404), 1,
      sym_keyword_not,
    ACTIONS(6406), 1,
      anon_sym_LBRACK,
    ACTIONS(6414), 1,
      sym_op_other,
    ACTIONS(6416), 1,
      anon_sym_PLUS,
    ACTIONS(6418), 1,
      anon_sym_DASH,
    ACTIONS(6420), 1,
      anon_sym_SLASH,
    ACTIONS(6422), 1,
      anon_sym_CARET,
    ACTIONS(6432), 1,
      sym_keyword_and,
    ACTIONS(6434), 1,
      sym_keyword_between,
    STATE(10804), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6410), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6412), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1634), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1635), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6408), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2392), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [172174] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6353), 1,
      sym_keyword_is,
    ACTIONS(6355), 1,
      anon_sym_LBRACK,
    ACTIONS(6359), 1,
      anon_sym_SLASH,
    ACTIONS(6361), 1,
      anon_sym_CARET,
    ACTIONS(6365), 1,
      sym_keyword_in,
    ACTIONS(6374), 1,
      sym_op_other,
    ACTIONS(6376), 1,
      anon_sym_PLUS,
    ACTIONS(6378), 1,
      anon_sym_DASH,
    ACTIONS(6436), 1,
      sym_keyword_and,
    ACTIONS(6438), 1,
      sym_keyword_or,
    ACTIONS(6440), 1,
      sym_keyword_not,
    ACTIONS(6442), 1,
      sym_keyword_between,
    ACTIONS(6444), 1,
      anon_sym_COLON_COLON,
    STATE(11179), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6357), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6372), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1406), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1407), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6370), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3422), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
  [172272] = 17,
    ACTIONS(6446), 1,
      sym_keyword_in,
    ACTIONS(6448), 1,
      sym_keyword_is,
    ACTIONS(6450), 1,
      sym_keyword_not,
    ACTIONS(6453), 1,
      anon_sym_LBRACK,
    ACTIONS(6461), 1,
      sym_op_other,
    ACTIONS(6463), 1,
      anon_sym_PLUS,
    ACTIONS(6465), 1,
      anon_sym_DASH,
    ACTIONS(6467), 1,
      anon_sym_SLASH,
    ACTIONS(6469), 1,
      anon_sym_CARET,
    STATE(10546), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6459), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1300), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1297), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6455), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2392), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [172358] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3554), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3552), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [172416] = 19,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6446), 1,
      sym_keyword_in,
    ACTIONS(6448), 1,
      sym_keyword_is,
    ACTIONS(6453), 1,
      anon_sym_LBRACK,
    ACTIONS(6461), 1,
      sym_op_other,
    ACTIONS(6463), 1,
      anon_sym_PLUS,
    ACTIONS(6465), 1,
      anon_sym_DASH,
    ACTIONS(6467), 1,
      anon_sym_SLASH,
    ACTIONS(6469), 1,
      anon_sym_CARET,
    ACTIONS(6471), 1,
      sym_keyword_not,
    STATE(10546), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6459), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1300), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1297), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6455), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2439), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [172506] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3498), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3496), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [172564] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2359), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2357), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [172622] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1996), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1994), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [172680] = 4,
    ACTIONS(6473), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2119), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2121), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [172740] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2263), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2261), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [172798] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2355), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2353), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [172856] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2351), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2349), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [172914] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2343), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2341), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [172972] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2339), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2337), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [173030] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6353), 1,
      sym_keyword_is,
    ACTIONS(6355), 1,
      anon_sym_LBRACK,
    ACTIONS(6359), 1,
      anon_sym_SLASH,
    ACTIONS(6361), 1,
      anon_sym_CARET,
    ACTIONS(6365), 1,
      sym_keyword_in,
    ACTIONS(6374), 1,
      sym_op_other,
    ACTIONS(6376), 1,
      anon_sym_PLUS,
    ACTIONS(6378), 1,
      anon_sym_DASH,
    ACTIONS(6436), 1,
      sym_keyword_and,
    ACTIONS(6438), 1,
      sym_keyword_or,
    ACTIONS(6440), 1,
      sym_keyword_not,
    ACTIONS(6442), 1,
      sym_keyword_between,
    ACTIONS(6444), 1,
      anon_sym_COLON_COLON,
    STATE(11179), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6357), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6372), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1406), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1407), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6370), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3325), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
  [173128] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2279), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2277), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [173186] = 4,
    ACTIONS(6475), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2044), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2046), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [173246] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2283), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2281), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [173304] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2287), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2285), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [173362] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2291), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2289), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [173420] = 6,
    STATE(11179), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1406), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1407), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2394), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [173484] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2307), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2305), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [173542] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2315), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2313), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [173600] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6353), 1,
      sym_keyword_is,
    ACTIONS(6355), 1,
      anon_sym_LBRACK,
    ACTIONS(6359), 1,
      anon_sym_SLASH,
    ACTIONS(6361), 1,
      anon_sym_CARET,
    ACTIONS(6365), 1,
      sym_keyword_in,
    ACTIONS(6374), 1,
      sym_op_other,
    ACTIONS(6376), 1,
      anon_sym_PLUS,
    ACTIONS(6378), 1,
      anon_sym_DASH,
    ACTIONS(6436), 1,
      sym_keyword_and,
    ACTIONS(6438), 1,
      sym_keyword_or,
    ACTIONS(6440), 1,
      sym_keyword_not,
    ACTIONS(6442), 1,
      sym_keyword_between,
    ACTIONS(6444), 1,
      anon_sym_COLON_COLON,
    STATE(11179), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6357), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6372), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1406), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1407), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6370), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3263), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
  [173698] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2319), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2317), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [173756] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2323), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2321), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [173814] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2327), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2325), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [173872] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2347), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2345), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [173930] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2227), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2225), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [173988] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2219), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2217), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [174046] = 5,
    ACTIONS(6477), 1,
      aux_sym__single_quote_string_token2,
    STATE(2223), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2967), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2965), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [174108] = 4,
    ACTIONS(6479), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2139), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2141), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [174168] = 26,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6446), 1,
      sym_keyword_in,
    ACTIONS(6448), 1,
      sym_keyword_is,
    ACTIONS(6453), 1,
      anon_sym_LBRACK,
    ACTIONS(6461), 1,
      sym_op_other,
    ACTIONS(6463), 1,
      anon_sym_PLUS,
    ACTIONS(6465), 1,
      anon_sym_DASH,
    ACTIONS(6467), 1,
      anon_sym_SLASH,
    ACTIONS(6469), 1,
      anon_sym_CARET,
    ACTIONS(6471), 1,
      sym_keyword_not,
    ACTIONS(6485), 1,
      sym_keyword_and,
    ACTIONS(6487), 1,
      sym_keyword_or,
    ACTIONS(6489), 1,
      sym_keyword_using,
    ACTIONS(6491), 1,
      sym_keyword_between,
    ACTIONS(6493), 1,
      anon_sym_COLON_COLON,
    STATE(6949), 1,
      sym_direction,
    STATE(10546), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6459), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6483), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    STATE(1300), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1297), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6455), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6481), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [174272] = 8,
    ACTIONS(6448), 1,
      sym_keyword_is,
    ACTIONS(6453), 1,
      anon_sym_LBRACK,
    STATE(10546), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1300), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1297), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2394), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [174340] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6353), 1,
      sym_keyword_is,
    ACTIONS(6355), 1,
      anon_sym_LBRACK,
    ACTIONS(6359), 1,
      anon_sym_SLASH,
    ACTIONS(6361), 1,
      anon_sym_CARET,
    ACTIONS(6365), 1,
      sym_keyword_in,
    ACTIONS(6374), 1,
      sym_op_other,
    ACTIONS(6376), 1,
      anon_sym_PLUS,
    ACTIONS(6378), 1,
      anon_sym_DASH,
    ACTIONS(6436), 1,
      sym_keyword_and,
    ACTIONS(6438), 1,
      sym_keyword_or,
    ACTIONS(6440), 1,
      sym_keyword_not,
    ACTIONS(6442), 1,
      sym_keyword_between,
    ACTIONS(6444), 1,
      anon_sym_COLON_COLON,
    STATE(11179), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6357), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6372), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1406), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1407), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6370), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3366), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
  [174438] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2275), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2273), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [174496] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2203), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2201), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [174554] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2235), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2233), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [174612] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3522), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3520), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [174670] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2239), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2237), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [174728] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2243), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2241), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [174786] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2247), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2245), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [174844] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3466), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3464), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [174902] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2251), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2249), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [174960] = 11,
    ACTIONS(6448), 1,
      sym_keyword_is,
    ACTIONS(6453), 1,
      anon_sym_LBRACK,
    ACTIONS(6467), 1,
      anon_sym_SLASH,
    ACTIONS(6469), 1,
      anon_sym_CARET,
    STATE(10546), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1300), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2394), 4,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    STATE(1297), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [175034] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2255), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2253), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [175092] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2259), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2257), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [175150] = 13,
    ACTIONS(6448), 1,
      sym_keyword_is,
    ACTIONS(6453), 1,
      anon_sym_LBRACK,
    ACTIONS(6463), 1,
      anon_sym_PLUS,
    ACTIONS(6465), 1,
      anon_sym_DASH,
    ACTIONS(6467), 1,
      anon_sym_SLASH,
    ACTIONS(6469), 1,
      anon_sym_CARET,
    STATE(10546), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2394), 3,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1300), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1297), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 30,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [175228] = 4,
    ACTIONS(6495), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(55), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(109), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [175288] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3518), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3516), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [175346] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2183), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2181), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [175404] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3526), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3524), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [175462] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2797), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2795), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [175520] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2303), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2301), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [175578] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3534), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3532), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [175636] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3558), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3556), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [175694] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6353), 1,
      sym_keyword_is,
    ACTIONS(6355), 1,
      anon_sym_LBRACK,
    ACTIONS(6359), 1,
      anon_sym_SLASH,
    ACTIONS(6361), 1,
      anon_sym_CARET,
    ACTIONS(6365), 1,
      sym_keyword_in,
    ACTIONS(6374), 1,
      sym_op_other,
    ACTIONS(6376), 1,
      anon_sym_PLUS,
    ACTIONS(6378), 1,
      anon_sym_DASH,
    ACTIONS(6436), 1,
      sym_keyword_and,
    ACTIONS(6438), 1,
      sym_keyword_or,
    ACTIONS(6440), 1,
      sym_keyword_not,
    ACTIONS(6442), 1,
      sym_keyword_between,
    ACTIONS(6444), 1,
      anon_sym_COLON_COLON,
    STATE(11179), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6357), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6372), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1406), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1407), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6370), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3410), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
  [175792] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3478), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3476), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [175850] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2070), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2068), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [175908] = 4,
    ACTIONS(6497), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2002), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2000), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [175968] = 7,
    ACTIONS(3674), 1,
      sym_keyword_without,
    ACTIONS(6499), 1,
      sym_keyword_with,
    ACTIONS(6502), 1,
      anon_sym_LPAREN,
    STATE(2105), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1786), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1784), 38,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [176034] = 7,
    ACTIONS(3674), 1,
      sym_keyword_without,
    ACTIONS(6504), 1,
      sym_keyword_with,
    ACTIONS(6507), 1,
      anon_sym_LPAREN,
    STATE(2106), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1796), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1794), 38,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [176100] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2064), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2062), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [176158] = 4,
    ACTIONS(6509), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3372), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3370), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [176218] = 22,
    ACTIONS(4495), 1,
      sym_keyword_similar,
    ACTIONS(6258), 1,
      sym_keyword_in,
    ACTIONS(6260), 1,
      sym_keyword_and,
    ACTIONS(6264), 1,
      sym_keyword_is,
    ACTIONS(6266), 1,
      sym_keyword_not,
    ACTIONS(6268), 1,
      sym_keyword_between,
    ACTIONS(6270), 1,
      anon_sym_LBRACK,
    ACTIONS(6280), 1,
      sym_op_other,
    ACTIONS(6282), 1,
      anon_sym_PLUS,
    ACTIONS(6284), 1,
      anon_sym_DASH,
    ACTIONS(6286), 1,
      anon_sym_SLASH,
    ACTIONS(6288), 1,
      anon_sym_CARET,
    STATE(10592), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4493), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6274), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6278), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1733), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1734), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6272), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2392), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2394), 12,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_or,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym__identifier,
  [176314] = 4,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2056), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2054), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [176374] = 4,
    ACTIONS(6513), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2131), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2133), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [176434] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3530), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3528), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [176492] = 9,
    ACTIONS(6448), 1,
      sym_keyword_is,
    ACTIONS(6453), 1,
      anon_sym_LBRACK,
    ACTIONS(6469), 1,
      anon_sym_CARET,
    STATE(10546), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1300), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1297), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2394), 5,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(2392), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [176562] = 4,
    ACTIONS(6515), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2113), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2115), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [176622] = 16,
    ACTIONS(6446), 1,
      sym_keyword_in,
    ACTIONS(6448), 1,
      sym_keyword_is,
    ACTIONS(6450), 1,
      sym_keyword_not,
    ACTIONS(6453), 1,
      anon_sym_LBRACK,
    ACTIONS(6461), 1,
      sym_op_other,
    ACTIONS(6463), 1,
      anon_sym_PLUS,
    ACTIONS(6465), 1,
      anon_sym_DASH,
    ACTIONS(6467), 1,
      anon_sym_SLASH,
    ACTIONS(6469), 1,
      anon_sym_CARET,
    STATE(10546), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2394), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1300), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1297), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [176706] = 19,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6446), 1,
      sym_keyword_in,
    ACTIONS(6448), 1,
      sym_keyword_is,
    ACTIONS(6453), 1,
      anon_sym_LBRACK,
    ACTIONS(6461), 1,
      sym_op_other,
    ACTIONS(6463), 1,
      anon_sym_PLUS,
    ACTIONS(6465), 1,
      anon_sym_DASH,
    ACTIONS(6467), 1,
      anon_sym_SLASH,
    ACTIONS(6469), 1,
      anon_sym_CARET,
    ACTIONS(6471), 1,
      sym_keyword_not,
    STATE(10546), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6459), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1300), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1297), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6455), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2432), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [176796] = 4,
    ACTIONS(6517), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2000), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2002), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [176856] = 6,
    STATE(10546), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1300), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1297), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2394), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [176920] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2127), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2125), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [176978] = 4,
    ACTIONS(6519), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2054), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2056), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [177038] = 21,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6446), 1,
      sym_keyword_in,
    ACTIONS(6448), 1,
      sym_keyword_is,
    ACTIONS(6453), 1,
      anon_sym_LBRACK,
    ACTIONS(6461), 1,
      sym_op_other,
    ACTIONS(6463), 1,
      anon_sym_PLUS,
    ACTIONS(6465), 1,
      anon_sym_DASH,
    ACTIONS(6467), 1,
      anon_sym_SLASH,
    ACTIONS(6469), 1,
      anon_sym_CARET,
    ACTIONS(6471), 1,
      sym_keyword_not,
    ACTIONS(6485), 1,
      sym_keyword_and,
    ACTIONS(6491), 1,
      sym_keyword_between,
    STATE(10546), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6459), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1300), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1297), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6455), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2392), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [177132] = 20,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6446), 1,
      sym_keyword_in,
    ACTIONS(6448), 1,
      sym_keyword_is,
    ACTIONS(6453), 1,
      anon_sym_LBRACK,
    ACTIONS(6461), 1,
      sym_op_other,
    ACTIONS(6463), 1,
      anon_sym_PLUS,
    ACTIONS(6465), 1,
      anon_sym_DASH,
    ACTIONS(6467), 1,
      anon_sym_SLASH,
    ACTIONS(6469), 1,
      anon_sym_CARET,
    ACTIONS(6471), 1,
      sym_keyword_not,
    ACTIONS(6491), 1,
      sym_keyword_between,
    STATE(10546), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6459), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1300), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1297), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6455), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2392), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [177224] = 20,
    ACTIONS(4495), 1,
      sym_keyword_similar,
    ACTIONS(6258), 1,
      sym_keyword_in,
    ACTIONS(6264), 1,
      sym_keyword_is,
    ACTIONS(6266), 1,
      sym_keyword_not,
    ACTIONS(6270), 1,
      anon_sym_LBRACK,
    ACTIONS(6280), 1,
      sym_op_other,
    ACTIONS(6282), 1,
      anon_sym_PLUS,
    ACTIONS(6284), 1,
      anon_sym_DASH,
    ACTIONS(6286), 1,
      anon_sym_SLASH,
    ACTIONS(6288), 1,
      anon_sym_CARET,
    STATE(10592), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4493), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6274), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6278), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1733), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1734), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6272), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2432), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2434), 14,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      sym__identifier,
  [177316] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2147), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2145), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [177374] = 4,
    ACTIONS(6521), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2107), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2109), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [177434] = 21,
    ACTIONS(2394), 1,
      sym_keyword_or,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6400), 1,
      sym_keyword_in,
    ACTIONS(6402), 1,
      sym_keyword_is,
    ACTIONS(6404), 1,
      sym_keyword_not,
    ACTIONS(6406), 1,
      anon_sym_LBRACK,
    ACTIONS(6414), 1,
      sym_op_other,
    ACTIONS(6416), 1,
      anon_sym_PLUS,
    ACTIONS(6418), 1,
      anon_sym_DASH,
    ACTIONS(6420), 1,
      anon_sym_SLASH,
    ACTIONS(6422), 1,
      anon_sym_CARET,
    ACTIONS(6434), 1,
      sym_keyword_between,
    STATE(10804), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6410), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6412), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1634), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1635), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6408), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2392), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [177528] = 4,
    ACTIONS(6523), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2099), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2101), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [177588] = 16,
    ACTIONS(6400), 1,
      sym_keyword_in,
    ACTIONS(6402), 1,
      sym_keyword_is,
    ACTIONS(6406), 1,
      anon_sym_LBRACK,
    ACTIONS(6414), 1,
      sym_op_other,
    ACTIONS(6416), 1,
      anon_sym_PLUS,
    ACTIONS(6418), 1,
      anon_sym_DASH,
    ACTIONS(6420), 1,
      anon_sym_SLASH,
    ACTIONS(6422), 1,
      anon_sym_CARET,
    ACTIONS(6525), 1,
      sym_keyword_not,
    STATE(10804), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6410), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2394), 3,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1634), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1635), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 27,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [177672] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1372), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1370), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [177730] = 9,
    ACTIONS(6402), 1,
      sym_keyword_is,
    ACTIONS(6406), 1,
      anon_sym_LBRACK,
    ACTIONS(6422), 1,
      anon_sym_CARET,
    STATE(10804), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1634), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1635), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2394), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(2392), 32,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [177800] = 16,
    ACTIONS(6258), 1,
      sym_keyword_in,
    ACTIONS(6264), 1,
      sym_keyword_is,
    ACTIONS(6270), 1,
      anon_sym_LBRACK,
    ACTIONS(6280), 1,
      sym_op_other,
    ACTIONS(6282), 1,
      anon_sym_PLUS,
    ACTIONS(6284), 1,
      anon_sym_DASH,
    ACTIONS(6286), 1,
      anon_sym_SLASH,
    ACTIONS(6288), 1,
      anon_sym_CARET,
    ACTIONS(6528), 1,
      sym_keyword_not,
    STATE(10592), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6274), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1733), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1734), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 11,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2394), 19,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      sym__identifier,
  [177884] = 4,
    ACTIONS(6531), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2145), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2147), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [177944] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2109), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2107), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [178002] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3516), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3518), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_offset,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [178060] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2223), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2221), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [178118] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2215), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2213), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [178176] = 4,
    ACTIONS(6533), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2125), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2127), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [178236] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3542), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3540), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [178294] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2207), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2205), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [178352] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3570), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3568), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [178410] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1950), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1948), 42,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [178468] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2191), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2189), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [178526] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2195), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2193), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [178584] = 4,
    ACTIONS(6535), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2062), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2064), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [178644] = 4,
    ACTIONS(6537), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2081), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2083), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [178704] = 4,
    ACTIONS(6539), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2068), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2070), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [178764] = 5,
    ACTIONS(6541), 1,
      aux_sym__single_quote_string_token2,
    STATE(2223), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1359), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1357), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [178826] = 5,
    ACTIONS(6477), 1,
      aux_sym__single_quote_string_token2,
    STATE(2223), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1353), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1351), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [178888] = 13,
    ACTIONS(6448), 1,
      sym_keyword_is,
    ACTIONS(6453), 1,
      anon_sym_LBRACK,
    ACTIONS(6463), 1,
      anon_sym_PLUS,
    ACTIONS(6465), 1,
      anon_sym_DASH,
    ACTIONS(6467), 1,
      anon_sym_SLASH,
    ACTIONS(6469), 1,
      anon_sym_CARET,
    STATE(10546), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2430), 3,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1300), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1297), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2428), 30,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [178966] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2199), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2197), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [179024] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2187), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2185), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [179082] = 8,
    ACTIONS(6448), 1,
      sym_keyword_is,
    ACTIONS(6453), 1,
      anon_sym_LBRACK,
    STATE(10546), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1300), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1297), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2430), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2428), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [179150] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2211), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2209), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [179208] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1926), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1924), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [179266] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3458), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3456), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [179324] = 20,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(2434), 1,
      sym_keyword_or,
    ACTIONS(6400), 1,
      sym_keyword_in,
    ACTIONS(6402), 1,
      sym_keyword_is,
    ACTIONS(6404), 1,
      sym_keyword_not,
    ACTIONS(6406), 1,
      anon_sym_LBRACK,
    ACTIONS(6414), 1,
      sym_op_other,
    ACTIONS(6416), 1,
      anon_sym_PLUS,
    ACTIONS(6418), 1,
      anon_sym_DASH,
    ACTIONS(6420), 1,
      anon_sym_SLASH,
    ACTIONS(6422), 1,
      anon_sym_CARET,
    STATE(10804), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6410), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6412), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1634), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1635), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6408), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2432), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [179416] = 4,
    ACTIONS(6544), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2171), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2169), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [179476] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3486), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3484), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [179534] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1370), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1372), 32,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [179592] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2167), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2165), 42,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [179650] = 5,
    ACTIONS(6546), 1,
      aux_sym__single_quote_string_token2,
    STATE(2151), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3045), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3043), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [179712] = 4,
    ACTIONS(6548), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2159), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2157), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [179772] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3494), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3492), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [179830] = 4,
    ACTIONS(6550), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2153), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2151), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [179890] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3490), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3488), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [179948] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2121), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2119), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [180006] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6353), 1,
      sym_keyword_is,
    ACTIONS(6355), 1,
      anon_sym_LBRACK,
    ACTIONS(6359), 1,
      anon_sym_SLASH,
    ACTIONS(6361), 1,
      anon_sym_CARET,
    ACTIONS(6365), 1,
      sym_keyword_in,
    ACTIONS(6374), 1,
      sym_op_other,
    ACTIONS(6376), 1,
      anon_sym_PLUS,
    ACTIONS(6378), 1,
      anon_sym_DASH,
    ACTIONS(6436), 1,
      sym_keyword_and,
    ACTIONS(6438), 1,
      sym_keyword_or,
    ACTIONS(6440), 1,
      sym_keyword_not,
    ACTIONS(6442), 1,
      sym_keyword_between,
    ACTIONS(6444), 1,
      anon_sym_COLON_COLON,
    STATE(11179), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6357), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6372), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1406), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1407), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6370), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3340), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
  [180104] = 8,
    ACTIONS(6402), 1,
      sym_keyword_is,
    ACTIONS(6406), 1,
      anon_sym_LBRACK,
    STATE(10804), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1634), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1635), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2430), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2428), 32,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [180172] = 4,
    ACTIONS(6552), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2064), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2062), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [180232] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6353), 1,
      sym_keyword_is,
    ACTIONS(6355), 1,
      anon_sym_LBRACK,
    ACTIONS(6359), 1,
      anon_sym_SLASH,
    ACTIONS(6361), 1,
      anon_sym_CARET,
    ACTIONS(6365), 1,
      sym_keyword_in,
    ACTIONS(6374), 1,
      sym_op_other,
    ACTIONS(6376), 1,
      anon_sym_PLUS,
    ACTIONS(6378), 1,
      anon_sym_DASH,
    ACTIONS(6436), 1,
      sym_keyword_and,
    ACTIONS(6438), 1,
      sym_keyword_or,
    ACTIONS(6440), 1,
      sym_keyword_not,
    ACTIONS(6442), 1,
      sym_keyword_between,
    ACTIONS(6444), 1,
      anon_sym_COLON_COLON,
    STATE(11179), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6357), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6372), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1406), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1407), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6370), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3402), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
  [180330] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2141), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2139), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [180388] = 4,
    ACTIONS(6554), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2127), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2125), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [180448] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2267), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2265), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [180506] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2271), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2269), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [180564] = 4,
    ACTIONS(6556), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2147), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2145), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [180624] = 4,
    ACTIONS(6558), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2109), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2107), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [180684] = 4,
    ACTIONS(6560), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1996), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1994), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [180744] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2394), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [180802] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6353), 1,
      sym_keyword_is,
    ACTIONS(6355), 1,
      anon_sym_LBRACK,
    ACTIONS(6359), 1,
      anon_sym_SLASH,
    ACTIONS(6361), 1,
      anon_sym_CARET,
    ACTIONS(6365), 1,
      sym_keyword_in,
    ACTIONS(6374), 1,
      sym_op_other,
    ACTIONS(6376), 1,
      anon_sym_PLUS,
    ACTIONS(6378), 1,
      anon_sym_DASH,
    ACTIONS(6436), 1,
      sym_keyword_and,
    ACTIONS(6438), 1,
      sym_keyword_or,
    ACTIONS(6440), 1,
      sym_keyword_not,
    ACTIONS(6442), 1,
      sym_keyword_between,
    ACTIONS(6444), 1,
      anon_sym_COLON_COLON,
    STATE(11179), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6357), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6372), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1406), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1407), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6370), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3368), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
  [180900] = 4,
    ACTIONS(6562), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2169), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2171), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [180960] = 6,
    ACTIONS(6564), 1,
      anon_sym_LBRACK,
    STATE(2257), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(2574), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2076), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2074), 39,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [181024] = 4,
    ACTIONS(6567), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2026), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2024), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [181084] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6353), 1,
      sym_keyword_is,
    ACTIONS(6355), 1,
      anon_sym_LBRACK,
    ACTIONS(6359), 1,
      anon_sym_SLASH,
    ACTIONS(6361), 1,
      anon_sym_CARET,
    ACTIONS(6365), 1,
      sym_keyword_in,
    ACTIONS(6374), 1,
      sym_op_other,
    ACTIONS(6376), 1,
      anon_sym_PLUS,
    ACTIONS(6378), 1,
      anon_sym_DASH,
    ACTIONS(6436), 1,
      sym_keyword_and,
    ACTIONS(6438), 1,
      sym_keyword_or,
    ACTIONS(6440), 1,
      sym_keyword_not,
    ACTIONS(6442), 1,
      sym_keyword_between,
    ACTIONS(6444), 1,
      anon_sym_COLON_COLON,
    STATE(11179), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6357), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6372), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1406), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1407), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6370), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3384), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
  [181182] = 5,
    ACTIONS(2973), 1,
      aux_sym__single_quote_string_token2,
    STATE(538), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2965), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2967), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [181244] = 13,
    ACTIONS(6402), 1,
      sym_keyword_is,
    ACTIONS(6406), 1,
      anon_sym_LBRACK,
    ACTIONS(6416), 1,
      anon_sym_PLUS,
    ACTIONS(6418), 1,
      anon_sym_DASH,
    ACTIONS(6420), 1,
      anon_sym_SLASH,
    ACTIONS(6422), 1,
      anon_sym_CARET,
    STATE(10804), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6410), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1634), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2430), 4,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1635), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2428), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [181322] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2083), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2081), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [181380] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2331), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2329), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [181438] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2335), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2333), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [181496] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3502), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3500), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [181554] = 4,
    ACTIONS(6569), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2014), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2012), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [181614] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2165), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2167), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [181672] = 4,
    ACTIONS(6571), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2157), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2159), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [181732] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3574), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3572), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [181790] = 4,
    ACTIONS(6573), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1996), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1994), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [181850] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6353), 1,
      sym_keyword_is,
    ACTIONS(6355), 1,
      anon_sym_LBRACK,
    ACTIONS(6359), 1,
      anon_sym_SLASH,
    ACTIONS(6361), 1,
      anon_sym_CARET,
    ACTIONS(6365), 1,
      sym_keyword_in,
    ACTIONS(6374), 1,
      sym_op_other,
    ACTIONS(6376), 1,
      anon_sym_PLUS,
    ACTIONS(6378), 1,
      anon_sym_DASH,
    ACTIONS(6436), 1,
      sym_keyword_and,
    ACTIONS(6438), 1,
      sym_keyword_or,
    ACTIONS(6440), 1,
      sym_keyword_not,
    ACTIONS(6442), 1,
      sym_keyword_between,
    ACTIONS(6444), 1,
      anon_sym_COLON_COLON,
    STATE(11179), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6357), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6372), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1406), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1407), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6370), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3360), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
  [181948] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6353), 1,
      sym_keyword_is,
    ACTIONS(6355), 1,
      anon_sym_LBRACK,
    ACTIONS(6359), 1,
      anon_sym_SLASH,
    ACTIONS(6361), 1,
      anon_sym_CARET,
    ACTIONS(6365), 1,
      sym_keyword_in,
    ACTIONS(6374), 1,
      sym_op_other,
    ACTIONS(6376), 1,
      anon_sym_PLUS,
    ACTIONS(6378), 1,
      anon_sym_DASH,
    ACTIONS(6436), 1,
      sym_keyword_and,
    ACTIONS(6438), 1,
      sym_keyword_or,
    ACTIONS(6440), 1,
      sym_keyword_not,
    ACTIONS(6442), 1,
      sym_keyword_between,
    ACTIONS(6444), 1,
      anon_sym_COLON_COLON,
    STATE(11179), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6357), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6372), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1406), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1407), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6370), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3382), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
  [182046] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3546), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3544), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [182104] = 4,
    ACTIONS(6575), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2151), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2153), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [182164] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6353), 1,
      sym_keyword_is,
    ACTIONS(6355), 1,
      anon_sym_LBRACK,
    ACTIONS(6359), 1,
      anon_sym_SLASH,
    ACTIONS(6361), 1,
      anon_sym_CARET,
    ACTIONS(6365), 1,
      sym_keyword_in,
    ACTIONS(6374), 1,
      sym_op_other,
    ACTIONS(6376), 1,
      anon_sym_PLUS,
    ACTIONS(6378), 1,
      anon_sym_DASH,
    ACTIONS(6436), 1,
      sym_keyword_and,
    ACTIONS(6438), 1,
      sym_keyword_or,
    ACTIONS(6440), 1,
      sym_keyword_not,
    ACTIONS(6442), 1,
      sym_keyword_between,
    ACTIONS(6444), 1,
      anon_sym_COLON_COLON,
    STATE(11179), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6357), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6372), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1406), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1407), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6370), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3376), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
  [182262] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6353), 1,
      sym_keyword_is,
    ACTIONS(6355), 1,
      anon_sym_LBRACK,
    ACTIONS(6359), 1,
      anon_sym_SLASH,
    ACTIONS(6361), 1,
      anon_sym_CARET,
    ACTIONS(6365), 1,
      sym_keyword_in,
    ACTIONS(6374), 1,
      sym_op_other,
    ACTIONS(6376), 1,
      anon_sym_PLUS,
    ACTIONS(6378), 1,
      anon_sym_DASH,
    ACTIONS(6436), 1,
      sym_keyword_and,
    ACTIONS(6438), 1,
      sym_keyword_or,
    ACTIONS(6440), 1,
      sym_keyword_not,
    ACTIONS(6442), 1,
      sym_keyword_between,
    ACTIONS(6444), 1,
      anon_sym_COLON_COLON,
    STATE(11179), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6357), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6372), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1406), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1407), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6370), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3327), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
  [182360] = 4,
    ACTIONS(6577), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1994), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1996), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [182420] = 7,
    ACTIONS(6579), 1,
      sym_keyword_unsigned,
    ACTIONS(6581), 1,
      sym_keyword_zerofill,
    ACTIONS(6583), 1,
      sym_keyword_precision,
    ACTIONS(6585), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1772), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1774), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [182486] = 18,
    ACTIONS(6258), 1,
      sym_keyword_in,
    ACTIONS(6264), 1,
      sym_keyword_is,
    ACTIONS(6270), 1,
      anon_sym_LBRACK,
    ACTIONS(6280), 1,
      sym_op_other,
    ACTIONS(6282), 1,
      anon_sym_PLUS,
    ACTIONS(6284), 1,
      anon_sym_DASH,
    ACTIONS(6286), 1,
      anon_sym_SLASH,
    ACTIONS(6288), 1,
      anon_sym_CARET,
    ACTIONS(6528), 1,
      sym_keyword_not,
    STATE(10592), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6274), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6278), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1733), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1734), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6272), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2392), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2394), 17,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym__identifier,
  [182574] = 27,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6400), 1,
      sym_keyword_in,
    ACTIONS(6402), 1,
      sym_keyword_is,
    ACTIONS(6404), 1,
      sym_keyword_not,
    ACTIONS(6406), 1,
      anon_sym_LBRACK,
    ACTIONS(6414), 1,
      sym_op_other,
    ACTIONS(6416), 1,
      anon_sym_PLUS,
    ACTIONS(6418), 1,
      anon_sym_DASH,
    ACTIONS(6420), 1,
      anon_sym_SLASH,
    ACTIONS(6422), 1,
      anon_sym_CARET,
    ACTIONS(6432), 1,
      sym_keyword_and,
    ACTIONS(6434), 1,
      sym_keyword_between,
    ACTIONS(6587), 1,
      sym_keyword_having,
    ACTIONS(6589), 1,
      sym_keyword_or,
    ACTIONS(6591), 1,
      anon_sym_COMMA,
    ACTIONS(6593), 1,
      anon_sym_COLON_COLON,
    STATE(7031), 1,
      aux_sym_array_repeat1,
    STATE(7276), 1,
      sym__having,
    STATE(10804), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6410), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6412), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1634), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1635), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6408), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6233), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [182680] = 6,
    ACTIONS(6595), 1,
      anon_sym_LBRACK,
    STATE(2281), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(2637), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2074), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2076), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [182744] = 4,
    ACTIONS(6598), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2089), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2087), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [182804] = 4,
    ACTIONS(6600), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2008), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2006), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [182864] = 4,
    ACTIONS(6602), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2024), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2026), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [182924] = 11,
    ACTIONS(6264), 1,
      sym_keyword_is,
    ACTIONS(6270), 1,
      anon_sym_LBRACK,
    ACTIONS(6286), 1,
      anon_sym_SLASH,
    ACTIONS(6288), 1,
      anon_sym_CARET,
    STATE(10592), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6274), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1733), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1734), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2394), 22,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [182998] = 13,
    ACTIONS(6264), 1,
      sym_keyword_is,
    ACTIONS(6270), 1,
      anon_sym_LBRACK,
    ACTIONS(6282), 1,
      anon_sym_PLUS,
    ACTIONS(6284), 1,
      anon_sym_DASH,
    ACTIONS(6286), 1,
      anon_sym_SLASH,
    ACTIONS(6288), 1,
      anon_sym_CARET,
    STATE(10592), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6274), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1733), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1734), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2394), 21,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      sym__identifier,
  [183076] = 9,
    ACTIONS(6353), 1,
      sym_keyword_is,
    ACTIONS(6355), 1,
      anon_sym_LBRACK,
    ACTIONS(6361), 1,
      anon_sym_CARET,
    STATE(11179), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1406), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1407), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2394), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(2392), 32,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [183146] = 4,
    ACTIONS(6604), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1994), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1996), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [183206] = 16,
    ACTIONS(6353), 1,
      sym_keyword_is,
    ACTIONS(6355), 1,
      anon_sym_LBRACK,
    ACTIONS(6359), 1,
      anon_sym_SLASH,
    ACTIONS(6361), 1,
      anon_sym_CARET,
    ACTIONS(6365), 1,
      sym_keyword_in,
    ACTIONS(6367), 1,
      sym_keyword_not,
    ACTIONS(6374), 1,
      sym_op_other,
    ACTIONS(6376), 1,
      anon_sym_PLUS,
    ACTIONS(6378), 1,
      anon_sym_DASH,
    STATE(11179), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6357), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2394), 3,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1406), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1407), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 27,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [183290] = 4,
    ACTIONS(6606), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2012), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2014), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [183350] = 29,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(4479), 1,
      sym_keyword_as,
    ACTIONS(4481), 1,
      sym_keyword_in,
    ACTIONS(4483), 1,
      sym_keyword_and,
    ACTIONS(4485), 1,
      sym_keyword_or,
    ACTIONS(4487), 1,
      sym_keyword_is,
    ACTIONS(4489), 1,
      sym_keyword_not,
    ACTIONS(4491), 1,
      sym_keyword_between,
    ACTIONS(4495), 1,
      sym_keyword_similar,
    ACTIONS(4497), 1,
      anon_sym_LBRACK,
    ACTIONS(4507), 1,
      sym_op_other,
    ACTIONS(4509), 1,
      anon_sym_PLUS,
    ACTIONS(4511), 1,
      anon_sym_DASH,
    ACTIONS(4513), 1,
      anon_sym_SLASH,
    ACTIONS(4515), 1,
      anon_sym_CARET,
    ACTIONS(6608), 1,
      anon_sym_COLON_COLON,
    STATE(6377), 1,
      sym_identifier,
    STATE(7021), 1,
      sym__alias,
    STATE(11092), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(4493), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4501), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4505), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1343), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(4475), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(1339), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4499), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(4477), 6,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [183460] = 4,
    ACTIONS(6610), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2020), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2018), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [183520] = 9,
    ACTIONS(6264), 1,
      sym_keyword_is,
    ACTIONS(6270), 1,
      anon_sym_LBRACK,
    ACTIONS(6288), 1,
      anon_sym_CARET,
    STATE(10592), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1733), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1734), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2394), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      sym__identifier,
  [183590] = 4,
    ACTIONS(6612), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2038), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2036), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [183650] = 4,
    ACTIONS(5884), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1862), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1860), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [183710] = 4,
    ACTIONS(6614), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2046), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2044), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [183770] = 4,
    ACTIONS(6616), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2032), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2030), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [183830] = 4,
    ACTIONS(6618), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2032), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2030), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [183890] = 22,
    ACTIONS(2394), 1,
      sym_keyword_or,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6353), 1,
      sym_keyword_is,
    ACTIONS(6355), 1,
      anon_sym_LBRACK,
    ACTIONS(6359), 1,
      anon_sym_SLASH,
    ACTIONS(6361), 1,
      anon_sym_CARET,
    ACTIONS(6365), 1,
      sym_keyword_in,
    ACTIONS(6374), 1,
      sym_op_other,
    ACTIONS(6376), 1,
      anon_sym_PLUS,
    ACTIONS(6378), 1,
      anon_sym_DASH,
    ACTIONS(6436), 1,
      sym_keyword_and,
    ACTIONS(6440), 1,
      sym_keyword_not,
    ACTIONS(6442), 1,
      sym_keyword_between,
    STATE(11179), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6357), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6372), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1406), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1407), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6370), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2392), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_COLON_COLON,
  [183986] = 21,
    ACTIONS(2394), 1,
      sym_keyword_or,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6353), 1,
      sym_keyword_is,
    ACTIONS(6355), 1,
      anon_sym_LBRACK,
    ACTIONS(6359), 1,
      anon_sym_SLASH,
    ACTIONS(6361), 1,
      anon_sym_CARET,
    ACTIONS(6365), 1,
      sym_keyword_in,
    ACTIONS(6374), 1,
      sym_op_other,
    ACTIONS(6376), 1,
      anon_sym_PLUS,
    ACTIONS(6378), 1,
      anon_sym_DASH,
    ACTIONS(6440), 1,
      sym_keyword_not,
    ACTIONS(6442), 1,
      sym_keyword_between,
    STATE(11179), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6357), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6372), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1406), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1407), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6370), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2392), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_COLON_COLON,
  [184080] = 4,
    ACTIONS(6620), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2101), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2099), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [184140] = 4,
    ACTIONS(6622), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2020), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2018), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [184200] = 5,
    STATE(2257), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(2574), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3187), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3185), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [184262] = 4,
    ACTIONS(6624), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2083), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2081), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [184322] = 4,
    ACTIONS(6626), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2008), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2006), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [184382] = 4,
    ACTIONS(6628), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2089), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2087), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [184442] = 13,
    ACTIONS(6402), 1,
      sym_keyword_is,
    ACTIONS(6406), 1,
      anon_sym_LBRACK,
    ACTIONS(6416), 1,
      anon_sym_PLUS,
    ACTIONS(6418), 1,
      anon_sym_DASH,
    ACTIONS(6420), 1,
      anon_sym_SLASH,
    ACTIONS(6422), 1,
      anon_sym_CARET,
    STATE(10804), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6410), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1634), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2394), 4,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1635), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [184520] = 11,
    ACTIONS(6402), 1,
      sym_keyword_is,
    ACTIONS(6406), 1,
      anon_sym_LBRACK,
    ACTIONS(6420), 1,
      anon_sym_SLASH,
    ACTIONS(6422), 1,
      anon_sym_CARET,
    STATE(10804), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6410), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1634), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1635), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2394), 5,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2392), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [184594] = 8,
    ACTIONS(6402), 1,
      sym_keyword_is,
    ACTIONS(6406), 1,
      anon_sym_LBRACK,
    STATE(10804), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1634), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1635), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2394), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 32,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [184662] = 18,
    ACTIONS(2394), 1,
      sym_keyword_or,
    ACTIONS(6400), 1,
      sym_keyword_in,
    ACTIONS(6402), 1,
      sym_keyword_is,
    ACTIONS(6406), 1,
      anon_sym_LBRACK,
    ACTIONS(6414), 1,
      sym_op_other,
    ACTIONS(6416), 1,
      anon_sym_PLUS,
    ACTIONS(6418), 1,
      anon_sym_DASH,
    ACTIONS(6420), 1,
      anon_sym_SLASH,
    ACTIONS(6422), 1,
      anon_sym_CARET,
    ACTIONS(6525), 1,
      sym_keyword_not,
    STATE(10804), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6410), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6412), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1634), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1635), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6408), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2392), 22,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [184750] = 4,
    ACTIONS(6630), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2121), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2119), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [184810] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1948), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1950), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [184868] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3566), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3564), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [184926] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3562), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3560), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [184984] = 21,
    ACTIONS(4495), 1,
      sym_keyword_similar,
    ACTIONS(6258), 1,
      sym_keyword_in,
    ACTIONS(6264), 1,
      sym_keyword_is,
    ACTIONS(6266), 1,
      sym_keyword_not,
    ACTIONS(6268), 1,
      sym_keyword_between,
    ACTIONS(6270), 1,
      anon_sym_LBRACK,
    ACTIONS(6280), 1,
      sym_op_other,
    ACTIONS(6282), 1,
      anon_sym_PLUS,
    ACTIONS(6284), 1,
      anon_sym_DASH,
    ACTIONS(6286), 1,
      anon_sym_SLASH,
    ACTIONS(6288), 1,
      anon_sym_CARET,
    STATE(10592), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4493), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6274), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6278), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1733), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1734), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6272), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2392), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2394), 13,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym__identifier,
  [185078] = 8,
    ACTIONS(6264), 1,
      sym_keyword_is,
    ACTIONS(6270), 1,
      anon_sym_LBRACK,
    STATE(10592), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1733), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1734), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2428), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2430), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [185146] = 13,
    ACTIONS(6264), 1,
      sym_keyword_is,
    ACTIONS(6270), 1,
      anon_sym_LBRACK,
    ACTIONS(6282), 1,
      anon_sym_PLUS,
    ACTIONS(6284), 1,
      anon_sym_DASH,
    ACTIONS(6286), 1,
      anon_sym_SLASH,
    ACTIONS(6288), 1,
      anon_sym_CARET,
    STATE(10592), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6274), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1733), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1734), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2428), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2430), 21,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      sym__identifier,
  [185224] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3506), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3504), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [185282] = 6,
    STATE(10592), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1733), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1734), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2394), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [185346] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3514), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3512), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [185404] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2052), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2050), 42,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [185462] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2095), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2093), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [185520] = 5,
    ACTIONS(6632), 1,
      aux_sym__single_quote_string_token2,
    STATE(2260), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3043), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3045), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [185582] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3470), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3468), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [185640] = 4,
    ACTIONS(6634), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2141), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2139), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [185700] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3464), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3466), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_offset,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [185758] = 4,
    ACTIONS(6078), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1862), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1860), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [185818] = 4,
    ACTIONS(6636), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2038), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2036), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [185878] = 20,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(2441), 1,
      sym_keyword_or,
    ACTIONS(6353), 1,
      sym_keyword_is,
    ACTIONS(6355), 1,
      anon_sym_LBRACK,
    ACTIONS(6359), 1,
      anon_sym_SLASH,
    ACTIONS(6361), 1,
      anon_sym_CARET,
    ACTIONS(6365), 1,
      sym_keyword_in,
    ACTIONS(6374), 1,
      sym_op_other,
    ACTIONS(6376), 1,
      anon_sym_PLUS,
    ACTIONS(6378), 1,
      anon_sym_DASH,
    ACTIONS(6440), 1,
      sym_keyword_not,
    STATE(11179), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6357), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6372), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1406), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1407), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6370), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2439), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      anon_sym_COLON_COLON,
  [185970] = 6,
    STATE(10804), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1634), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1635), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2394), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [186034] = 20,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(2434), 1,
      sym_keyword_or,
    ACTIONS(6353), 1,
      sym_keyword_is,
    ACTIONS(6355), 1,
      anon_sym_LBRACK,
    ACTIONS(6359), 1,
      anon_sym_SLASH,
    ACTIONS(6361), 1,
      anon_sym_CARET,
    ACTIONS(6365), 1,
      sym_keyword_in,
    ACTIONS(6374), 1,
      sym_op_other,
    ACTIONS(6376), 1,
      anon_sym_PLUS,
    ACTIONS(6378), 1,
      anon_sym_DASH,
    ACTIONS(6440), 1,
      sym_keyword_not,
    STATE(11179), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6357), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6372), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1406), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1407), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6370), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2432), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      anon_sym_COLON_COLON,
  [186126] = 4,
    STATE(2358), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3406), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3404), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [186186] = 4,
    ACTIONS(6638), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2046), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2044), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [186246] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2535), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2537), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [186303] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2187), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2185), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [186360] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2676), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2678), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [186417] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2547), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2549), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [186474] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2666), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2668), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [186531] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2608), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2610), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [186588] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2616), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2618), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [186645] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2622), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2624), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [186702] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2722), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2724), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [186759] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2531), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2533), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [186816] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2235), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2233), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [186873] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2239), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2237), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [186930] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2243), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2241), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [186987] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2277), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2279), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [187044] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2281), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2283), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [187101] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2285), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2287), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [187158] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2203), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2201), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [187215] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2275), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2273), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [187272] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2289), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2291), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [187329] = 4,
    ACTIONS(6640), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3372), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3370), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [187388] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2305), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2307), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [187445] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1372), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1370), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [187502] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2313), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2315), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [187559] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2367), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2365), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [187616] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2363), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2361), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [187673] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2375), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2373), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [187730] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2766), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2768), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [187787] = 6,
    ACTIONS(3674), 1,
      sym_keyword_without,
    ACTIONS(6642), 1,
      sym_keyword_with,
    STATE(2174), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1858), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1856), 38,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [187850] = 6,
    ACTIONS(3674), 1,
      sym_keyword_without,
    ACTIONS(6645), 1,
      sym_keyword_with,
    STATE(2171), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1886), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1884), 38,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [187913] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2317), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2319), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [187970] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2386), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2384), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [188027] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2752), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2754), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [188084] = 19,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6648), 1,
      sym_keyword_in,
    ACTIONS(6650), 1,
      sym_keyword_is,
    ACTIONS(6652), 1,
      sym_keyword_not,
    ACTIONS(6654), 1,
      anon_sym_LBRACK,
    ACTIONS(6662), 1,
      sym_op_other,
    ACTIONS(6664), 1,
      anon_sym_PLUS,
    ACTIONS(6666), 1,
      anon_sym_DASH,
    ACTIONS(6668), 1,
      anon_sym_SLASH,
    ACTIONS(6670), 1,
      anon_sym_CARET,
    STATE(11002), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6658), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6660), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1514), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1515), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6656), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2439), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [188173] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2382), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2380), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [188230] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2321), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2323), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [188287] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2371), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2369), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [188344] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3534), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3532), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [188401] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2325), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2327), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [188458] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2309), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2311), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [188515] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2345), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2347), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [188572] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2297), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2299), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [188629] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2293), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2295), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [188686] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1772), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1774), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [188743] = 19,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6648), 1,
      sym_keyword_in,
    ACTIONS(6650), 1,
      sym_keyword_is,
    ACTIONS(6652), 1,
      sym_keyword_not,
    ACTIONS(6654), 1,
      anon_sym_LBRACK,
    ACTIONS(6662), 1,
      sym_op_other,
    ACTIONS(6664), 1,
      anon_sym_PLUS,
    ACTIONS(6666), 1,
      anon_sym_DASH,
    ACTIONS(6668), 1,
      anon_sym_SLASH,
    ACTIONS(6670), 1,
      anon_sym_CARET,
    STATE(11002), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6658), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6660), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1514), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1515), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6656), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2432), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [188832] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2517), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2519), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [188889] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3526), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3524), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [188946] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2219), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2217), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [189003] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3518), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3516), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [189060] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2225), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2227), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [189117] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3466), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3464), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [189174] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3522), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3520), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [189231] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3478), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3476), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [189288] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2227), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2225), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [189345] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2185), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2187), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [189402] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2197), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2199), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [189459] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2347), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2345), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [189516] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2193), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2195), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [189573] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2189), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2191), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [189630] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2205), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2207), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [189687] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3538), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3536), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [189744] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2213), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2215), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [189801] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2221), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2223), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [189858] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3482), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3480), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [189915] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3498), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3496), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [189972] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3530), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3528), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [190029] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2327), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2325), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [190086] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3542), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3540), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [190143] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3494), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3492), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [190200] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3490), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3488), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [190257] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3510), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3508), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [190314] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3502), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3500), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [190371] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2217), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2219), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [190428] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2323), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2321), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [190485] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3574), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3572), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [190542] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3546), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3544), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [190599] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3566), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3564), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [190656] = 26,
    ACTIONS(2396), 1,
      sym_keyword_in,
    ACTIONS(2398), 1,
      sym_keyword_and,
    ACTIONS(2400), 1,
      sym_keyword_is,
    ACTIONS(2402), 1,
      sym_keyword_not,
    ACTIONS(2404), 1,
      sym_keyword_between,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(2410), 1,
      anon_sym_LBRACK,
    ACTIONS(2418), 1,
      sym_op_other,
    ACTIONS(2420), 1,
      anon_sym_PLUS,
    ACTIONS(2422), 1,
      anon_sym_DASH,
    ACTIONS(2424), 1,
      anon_sym_SLASH,
    ACTIONS(2426), 1,
      anon_sym_CARET,
    ACTIONS(3580), 1,
      sym_keyword_or,
    ACTIONS(3582), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6489), 1,
      sym_keyword_using,
    STATE(6949), 1,
      sym_direction,
    STATE(10357), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2414), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2416), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6483), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    STATE(1678), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1672), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2412), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6481), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_separator,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [190759] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3562), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3560), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [190816] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3506), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3504), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [190873] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3514), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3512), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [190930] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3470), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3468), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [190987] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2319), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2317), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [191044] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2315), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2313), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [191101] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2307), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2305), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [191158] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2291), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2289), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [191215] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2394), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [191272] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3486), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3484), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [191329] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3458), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3456), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [191386] = 17,
    ACTIONS(6648), 1,
      sym_keyword_in,
    ACTIONS(6650), 1,
      sym_keyword_is,
    ACTIONS(6654), 1,
      anon_sym_LBRACK,
    ACTIONS(6662), 1,
      sym_op_other,
    ACTIONS(6664), 1,
      anon_sym_PLUS,
    ACTIONS(6666), 1,
      anon_sym_DASH,
    ACTIONS(6668), 1,
      anon_sym_SLASH,
    ACTIONS(6670), 1,
      anon_sym_CARET,
    ACTIONS(6672), 1,
      sym_keyword_not,
    STATE(11002), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6658), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6660), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1514), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1515), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6656), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2392), 22,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [191471] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2287), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2285), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [191528] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3522), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3520), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [191585] = 8,
    ACTIONS(6650), 1,
      sym_keyword_is,
    ACTIONS(6654), 1,
      anon_sym_LBRACK,
    STATE(11002), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1514), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1515), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2394), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 32,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [191652] = 11,
    ACTIONS(6650), 1,
      sym_keyword_is,
    ACTIONS(6654), 1,
      anon_sym_LBRACK,
    ACTIONS(6668), 1,
      anon_sym_SLASH,
    ACTIONS(6670), 1,
      anon_sym_CARET,
    STATE(11002), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6658), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1514), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2394), 4,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    STATE(1515), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [191725] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3570), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3568), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [191782] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3554), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3552), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [191839] = 13,
    ACTIONS(6650), 1,
      sym_keyword_is,
    ACTIONS(6654), 1,
      anon_sym_LBRACK,
    ACTIONS(6664), 1,
      anon_sym_PLUS,
    ACTIONS(6666), 1,
      anon_sym_DASH,
    ACTIONS(6668), 1,
      anon_sym_SLASH,
    ACTIONS(6670), 1,
      anon_sym_CARET,
    STATE(11002), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6658), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2394), 3,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1514), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1515), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [191916] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2283), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2281), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [191973] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2279), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2277), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [192030] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2329), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2331), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [192087] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2081), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2083), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [192144] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3454), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3452), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [192201] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3462), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3460), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [192258] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3474), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3472), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [192315] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3558), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3556), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [192372] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2273), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2275), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [192429] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2269), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2271), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [192486] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2265), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2267), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [192543] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2201), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2203), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [192600] = 7,
    ACTIONS(4827), 1,
      sym_keyword_without,
    ACTIONS(6675), 1,
      sym_keyword_with,
    ACTIONS(6678), 1,
      anon_sym_LPAREN,
    STATE(2564), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1786), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1784), 37,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [192665] = 7,
    ACTIONS(4827), 1,
      sym_keyword_without,
    ACTIONS(6680), 1,
      sym_keyword_with,
    ACTIONS(6683), 1,
      anon_sym_LPAREN,
    STATE(2563), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1796), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1794), 37,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [192730] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2742), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2744), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [192787] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2730), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2732), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [192844] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2527), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2529), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [192901] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3522), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3520), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [192958] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3522), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3520), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [193015] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3550), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3548), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [193072] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2247), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2245), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [193129] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2251), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2249), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [193186] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2044), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2046), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [193243] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1860), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1862), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [193300] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2229), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2231), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [193357] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2177), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2179), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [193414] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2036), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2038), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [193471] = 9,
    ACTIONS(6650), 1,
      sym_keyword_is,
    ACTIONS(6654), 1,
      anon_sym_LBRACK,
    ACTIONS(6670), 1,
      anon_sym_CARET,
    STATE(11002), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1514), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1515), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2394), 5,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(2392), 32,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [193540] = 16,
    ACTIONS(6648), 1,
      sym_keyword_in,
    ACTIONS(6650), 1,
      sym_keyword_is,
    ACTIONS(6654), 1,
      anon_sym_LBRACK,
    ACTIONS(6662), 1,
      sym_op_other,
    ACTIONS(6664), 1,
      anon_sym_PLUS,
    ACTIONS(6666), 1,
      anon_sym_DASH,
    ACTIONS(6668), 1,
      anon_sym_SLASH,
    ACTIONS(6670), 1,
      anon_sym_CARET,
    ACTIONS(6672), 1,
      sym_keyword_not,
    STATE(11002), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2394), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6658), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1514), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1515), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 27,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [193623] = 21,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6648), 1,
      sym_keyword_in,
    ACTIONS(6650), 1,
      sym_keyword_is,
    ACTIONS(6652), 1,
      sym_keyword_not,
    ACTIONS(6654), 1,
      anon_sym_LBRACK,
    ACTIONS(6662), 1,
      sym_op_other,
    ACTIONS(6664), 1,
      anon_sym_PLUS,
    ACTIONS(6666), 1,
      anon_sym_DASH,
    ACTIONS(6668), 1,
      anon_sym_SLASH,
    ACTIONS(6670), 1,
      anon_sym_CARET,
    ACTIONS(6685), 1,
      sym_keyword_and,
    ACTIONS(6687), 1,
      sym_keyword_between,
    STATE(11002), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6658), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6660), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1514), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1515), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6656), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2392), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [193716] = 20,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6648), 1,
      sym_keyword_in,
    ACTIONS(6650), 1,
      sym_keyword_is,
    ACTIONS(6652), 1,
      sym_keyword_not,
    ACTIONS(6654), 1,
      anon_sym_LBRACK,
    ACTIONS(6662), 1,
      sym_op_other,
    ACTIONS(6664), 1,
      anon_sym_PLUS,
    ACTIONS(6666), 1,
      anon_sym_DASH,
    ACTIONS(6668), 1,
      anon_sym_SLASH,
    ACTIONS(6670), 1,
      anon_sym_CARET,
    ACTIONS(6687), 1,
      sym_keyword_between,
    STATE(11002), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6658), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6660), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1514), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1515), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6656), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2392), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [193807] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2030), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2032), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [193864] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2018), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2020), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [193921] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2255), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2253), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [193978] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2093), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2095), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [194035] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2006), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2008), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [194092] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2087), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2089), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [194149] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2259), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2257), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [194206] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3522), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3520), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [194263] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1836), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1838), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [194320] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1832), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1834), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [194377] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1814), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1816), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [194434] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3522), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3520), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [194491] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1870), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1872), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [194548] = 29,
    ACTIONS(211), 1,
      sym__identifier,
    ACTIONS(4495), 1,
      sym_keyword_similar,
    ACTIONS(6256), 1,
      sym_keyword_as,
    ACTIONS(6258), 1,
      sym_keyword_in,
    ACTIONS(6260), 1,
      sym_keyword_and,
    ACTIONS(6262), 1,
      sym_keyword_or,
    ACTIONS(6264), 1,
      sym_keyword_is,
    ACTIONS(6266), 1,
      sym_keyword_not,
    ACTIONS(6268), 1,
      sym_keyword_between,
    ACTIONS(6270), 1,
      anon_sym_LBRACK,
    ACTIONS(6280), 1,
      sym_op_other,
    ACTIONS(6282), 1,
      anon_sym_PLUS,
    ACTIONS(6284), 1,
      anon_sym_DASH,
    ACTIONS(6286), 1,
      anon_sym_SLASH,
    ACTIONS(6288), 1,
      anon_sym_CARET,
    ACTIONS(6689), 1,
      anon_sym_COLON_COLON,
    STATE(6560), 1,
      sym_identifier,
    STATE(7458), 1,
      sym__alias,
    STATE(10592), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(4493), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6274), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6278), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4475), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
    STATE(1733), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1734), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6272), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(4477), 6,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [194657] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1800), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1802), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [194714] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2339), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2337), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [194771] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2335), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2333), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [194828] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2343), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2341), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [194885] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2331), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2329), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [194942] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2311), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2309), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [194999] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2083), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2081), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [195056] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2299), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2297), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [195113] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2295), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2293), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [195170] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2209), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2211), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [195227] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2271), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2269), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [195284] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1924), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1926), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [195341] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2267), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2265), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [195398] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2119), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2121), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [195455] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2351), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2349), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [195512] = 7,
    ACTIONS(6691), 1,
      sym_keyword_unsigned,
    ACTIONS(6693), 1,
      sym_keyword_zerofill,
    ACTIONS(6695), 1,
      sym_keyword_precision,
    ACTIONS(6697), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1772), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1774), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [195577] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2139), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2141), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [195634] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2141), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2139), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [195691] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2355), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2353), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [195748] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2183), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2181), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [195805] = 27,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6173), 1,
      sym_keyword_in,
    ACTIONS(6175), 1,
      sym_keyword_is,
    ACTIONS(6177), 1,
      sym_keyword_not,
    ACTIONS(6179), 1,
      anon_sym_LBRACK,
    ACTIONS(6187), 1,
      sym_op_other,
    ACTIONS(6189), 1,
      anon_sym_PLUS,
    ACTIONS(6191), 1,
      anon_sym_DASH,
    ACTIONS(6193), 1,
      anon_sym_SLASH,
    ACTIONS(6195), 1,
      anon_sym_CARET,
    ACTIONS(6237), 1,
      sym_keyword_and,
    ACTIONS(6239), 1,
      sym_keyword_or,
    ACTIONS(6241), 1,
      sym_keyword_between,
    ACTIONS(6699), 1,
      sym_keyword_having,
    ACTIONS(6701), 1,
      anon_sym_COMMA,
    ACTIONS(6703), 1,
      anon_sym_COLON_COLON,
    STATE(7134), 1,
      aux_sym_array_repeat1,
    STATE(7205), 1,
      sym__having,
    STATE(10807), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6183), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6185), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1449), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1458), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6181), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6233), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      anon_sym_RPAREN,
  [195910] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2263), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2261), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [195967] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2121), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2119), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [196024] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1926), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1924), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [196081] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2211), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2209), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [196138] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1818), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1820), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [196195] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2107), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2109), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [196252] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2145), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2147), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [196309] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2125), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2127), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [196366] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2062), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2064), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [196423] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2068), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2070), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [196480] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2301), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2303), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [196537] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2181), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2183), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [196594] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2257), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2259), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [196651] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1996), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1994), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [196708] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2253), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2255), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [196765] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1774), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1772), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [196822] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2249), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2251), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [196879] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2245), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2247), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [196936] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2241), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2243), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [196993] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2237), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2239), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [197050] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2233), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2235), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [197107] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2095), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2093), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [197164] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2359), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2357), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [197221] = 4,
    STATE(2613), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3406), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3404), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [197280] = 6,
    ACTIONS(6705), 1,
      sym_keyword_unsigned,
    ACTIONS(6707), 1,
      sym_keyword_zerofill,
    ACTIONS(6709), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1822), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1824), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [197343] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2303), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2301), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [197400] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2070), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2068), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [197457] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2199), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2197), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [197514] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2195), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2193), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [197571] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2191), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2189), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [197628] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2207), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2205), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [197685] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2215), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2213), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [197742] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2223), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2221), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [197799] = 6,
    ACTIONS(6713), 1,
      anon_sym_LPAREN,
    STATE(3114), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6711), 2,
      sym_keyword_with,
      sym_keyword_without,
    ACTIONS(1784), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1786), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [197862] = 6,
    ACTIONS(6717), 1,
      anon_sym_LPAREN,
    STATE(2863), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6715), 2,
      sym_keyword_with,
      sym_keyword_without,
    ACTIONS(1794), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1796), 28,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [197925] = 6,
    ACTIONS(6719), 1,
      anon_sym_LPAREN,
    STATE(3028), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6715), 2,
      sym_keyword_with,
      sym_keyword_without,
    ACTIONS(1784), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1786), 28,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [197988] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2684), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2686), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [198045] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2551), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2553), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [198102] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2509), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2511), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [198159] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2357), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2359), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [198216] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2109), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2107), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [198273] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1994), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1996), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [198330] = 26,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6648), 1,
      sym_keyword_in,
    ACTIONS(6650), 1,
      sym_keyword_is,
    ACTIONS(6652), 1,
      sym_keyword_not,
    ACTIONS(6654), 1,
      anon_sym_LBRACK,
    ACTIONS(6662), 1,
      sym_op_other,
    ACTIONS(6664), 1,
      anon_sym_PLUS,
    ACTIONS(6666), 1,
      anon_sym_DASH,
    ACTIONS(6668), 1,
      anon_sym_SLASH,
    ACTIONS(6670), 1,
      anon_sym_CARET,
    ACTIONS(6685), 1,
      sym_keyword_and,
    ACTIONS(6687), 1,
      sym_keyword_between,
    ACTIONS(6723), 1,
      sym_keyword_or,
    ACTIONS(6725), 1,
      sym_keyword_using,
    ACTIONS(6727), 1,
      anon_sym_COLON_COLON,
    STATE(7274), 1,
      sym_direction,
    STATE(11002), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6658), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6660), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6721), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    STATE(1514), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1515), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6656), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6481), 11,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_COMMA,
  [198433] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2261), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2263), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [198490] = 6,
    ACTIONS(6729), 1,
      anon_sym_LPAREN,
    STATE(3112), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6711), 2,
      sym_keyword_with,
      sym_keyword_without,
    ACTIONS(1794), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1796), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [198553] = 6,
    ACTIONS(6731), 1,
      sym_keyword_unsigned,
    ACTIONS(6733), 1,
      sym_keyword_zerofill,
    ACTIONS(6735), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1860), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1862), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [198616] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2089), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2087), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [198673] = 6,
    ACTIONS(6737), 1,
      sym_keyword_unsigned,
    ACTIONS(6739), 1,
      sym_keyword_zerofill,
    ACTIONS(6741), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1840), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1842), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [198736] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2353), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2355), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [198793] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3522), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3520), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [198850] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2008), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2006), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [198907] = 6,
    ACTIONS(6743), 1,
      sym_keyword_unsigned,
    ACTIONS(6745), 1,
      sym_keyword_zerofill,
    ACTIONS(6747), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1874), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1876), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [198970] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2349), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2351), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [199027] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2341), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2343), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [199084] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2337), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2339), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [199141] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2020), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2018), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [199198] = 6,
    ACTIONS(6749), 1,
      sym_keyword_unsigned,
    ACTIONS(6751), 1,
      sym_keyword_zerofill,
    ACTIONS(6753), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1804), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1806), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [199261] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2032), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2030), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [199318] = 6,
    ACTIONS(6755), 1,
      sym_keyword_unsigned,
    ACTIONS(6757), 1,
      sym_keyword_zerofill,
    ACTIONS(6759), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1888), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1890), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [199381] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2147), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2145), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [199438] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2127), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2125), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [199495] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2064), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2062), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [199552] = 6,
    ACTIONS(6761), 1,
      sym_keyword_unsigned,
    ACTIONS(6763), 1,
      sym_keyword_zerofill,
    ACTIONS(6765), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1898), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1900), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [199615] = 6,
    ACTIONS(6579), 1,
      sym_keyword_unsigned,
    ACTIONS(6581), 1,
      sym_keyword_zerofill,
    ACTIONS(6585), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1772), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1774), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [199678] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6173), 1,
      sym_keyword_in,
    ACTIONS(6175), 1,
      sym_keyword_is,
    ACTIONS(6177), 1,
      sym_keyword_not,
    ACTIONS(6179), 1,
      anon_sym_LBRACK,
    ACTIONS(6187), 1,
      sym_op_other,
    ACTIONS(6189), 1,
      anon_sym_PLUS,
    ACTIONS(6191), 1,
      anon_sym_DASH,
    ACTIONS(6193), 1,
      anon_sym_SLASH,
    ACTIONS(6195), 1,
      anon_sym_CARET,
    ACTIONS(6237), 1,
      sym_keyword_and,
    ACTIONS(6239), 1,
      sym_keyword_or,
    ACTIONS(6241), 1,
      sym_keyword_between,
    ACTIONS(6245), 1,
      anon_sym_COLON_COLON,
    STATE(10807), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6183), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6185), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1449), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1458), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6181), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6767), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [199775] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2038), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2036), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [199832] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2559), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2561), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [199889] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2179), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2177), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [199946] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2231), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2229), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [200003] = 8,
    ACTIONS(6650), 1,
      sym_keyword_is,
    ACTIONS(6654), 1,
      anon_sym_LBRACK,
    STATE(11002), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1514), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1515), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2430), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2428), 32,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [200070] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2726), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2728), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [200127] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1862), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1860), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [200184] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3522), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3520), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [200241] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2046), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2044), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [200298] = 6,
    STATE(11002), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1514), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1515), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2394), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [200361] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2333), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2335), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [200418] = 13,
    ACTIONS(6650), 1,
      sym_keyword_is,
    ACTIONS(6654), 1,
      anon_sym_LBRACK,
    ACTIONS(6664), 1,
      anon_sym_PLUS,
    ACTIONS(6666), 1,
      anon_sym_DASH,
    ACTIONS(6668), 1,
      anon_sym_SLASH,
    ACTIONS(6670), 1,
      anon_sym_CARET,
    STATE(11002), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6658), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2430), 3,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1514), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1515), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2428), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [200495] = 6,
    ACTIONS(6769), 1,
      sym_keyword_unsigned,
    ACTIONS(6771), 1,
      sym_keyword_zerofill,
    ACTIONS(6773), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1860), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1862), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [200557] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2386), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2384), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [200613] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2382), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2380), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [200669] = 5,
    ACTIONS(6775), 1,
      sym_keyword_precision,
    ACTIONS(6777), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1860), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1862), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [200729] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3564), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3566), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [200785] = 6,
    ACTIONS(6781), 1,
      sym_keyword_as,
    ACTIONS(6783), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3372), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3370), 20,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6779), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [200847] = 5,
    STATE(3276), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6711), 2,
      sym_keyword_with,
      sym_keyword_without,
    ACTIONS(1884), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1886), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [200907] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3560), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3562), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [200963] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6400), 1,
      sym_keyword_in,
    ACTIONS(6402), 1,
      sym_keyword_is,
    ACTIONS(6404), 1,
      sym_keyword_not,
    ACTIONS(6406), 1,
      anon_sym_LBRACK,
    ACTIONS(6414), 1,
      sym_op_other,
    ACTIONS(6416), 1,
      anon_sym_PLUS,
    ACTIONS(6418), 1,
      anon_sym_DASH,
    ACTIONS(6420), 1,
      anon_sym_SLASH,
    ACTIONS(6422), 1,
      anon_sym_CARET,
    ACTIONS(6432), 1,
      sym_keyword_and,
    ACTIONS(6434), 1,
      sym_keyword_between,
    ACTIONS(6589), 1,
      sym_keyword_or,
    ACTIONS(6593), 1,
      anon_sym_COLON_COLON,
    STATE(10804), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6410), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6412), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1634), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1635), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6408), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6767), 14,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_COMMA,
  [201059] = 6,
    ACTIONS(6691), 1,
      sym_keyword_unsigned,
    ACTIONS(6693), 1,
      sym_keyword_zerofill,
    ACTIONS(6697), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1772), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1774), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [201121] = 5,
    STATE(3277), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6711), 2,
      sym_keyword_with,
      sym_keyword_without,
    ACTIONS(1856), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1858), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [201181] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2795), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2797), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [201237] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3514), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3512), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [201293] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3506), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3504), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [201349] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3504), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3506), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [201405] = 6,
    ACTIONS(6785), 1,
      sym_keyword_unsigned,
    ACTIONS(6787), 1,
      sym_keyword_zerofill,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1898), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1900), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [201467] = 6,
    ACTIONS(6791), 1,
      sym_keyword_unsigned,
    ACTIONS(6793), 1,
      sym_keyword_zerofill,
    ACTIONS(6795), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1888), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1890), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [201529] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3512), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3514), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [201585] = 7,
    ACTIONS(109), 1,
      anon_sym_LPAREN,
    ACTIONS(2784), 1,
      anon_sym_DOT,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    STATE(3457), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2780), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2782), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [201649] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3562), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3560), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [201705] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3544), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3546), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [201761] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3572), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3574), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [201817] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3566), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3564), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [201873] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3500), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3502), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [201929] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3508), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3510), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [201985] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3546), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3544), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [202041] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3574), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3572), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [202097] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2375), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2373), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [202153] = 6,
    ACTIONS(6797), 1,
      sym_keyword_unsigned,
    ACTIONS(6799), 1,
      sym_keyword_zerofill,
    ACTIONS(6801), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1804), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1806), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [202215] = 7,
    ACTIONS(6803), 1,
      sym_keyword_with,
    ACTIONS(6805), 1,
      sym_keyword_without,
    ACTIONS(6807), 1,
      anon_sym_LPAREN,
    STATE(3805), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1796), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1794), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [202279] = 7,
    ACTIONS(6803), 1,
      sym_keyword_with,
    ACTIONS(6805), 1,
      sym_keyword_without,
    ACTIONS(6809), 1,
      anon_sym_LPAREN,
    STATE(3803), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1786), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1784), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [202343] = 6,
    ACTIONS(6811), 1,
      sym_keyword_unsigned,
    ACTIONS(6813), 1,
      sym_keyword_zerofill,
    ACTIONS(6815), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1874), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1876), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [202405] = 6,
    ACTIONS(6817), 1,
      sym_keyword_unsigned,
    ACTIONS(6819), 1,
      sym_keyword_zerofill,
    ACTIONS(6821), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1840), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1842), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [202467] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3502), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3500), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [202523] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3510), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3508), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [202579] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2365), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2367), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [202635] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2361), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2363), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [202691] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3490), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3488), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [202747] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3494), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3492), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [202803] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3570), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3568), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [202859] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2363), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2361), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [202915] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3542), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3540), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [202971] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2367), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2365), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [203027] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3522), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3520), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [203083] = 7,
    ACTIONS(6823), 1,
      sym_keyword_array,
    STATE(2899), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(3798), 1,
      sym_array_size_definition,
    STATE(3799), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2799), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2801), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [203147] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3530), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3528), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [203203] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3498), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3496), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [203259] = 26,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6446), 1,
      sym_keyword_in,
    ACTIONS(6448), 1,
      sym_keyword_is,
    ACTIONS(6453), 1,
      anon_sym_LBRACK,
    ACTIONS(6461), 1,
      sym_op_other,
    ACTIONS(6463), 1,
      anon_sym_PLUS,
    ACTIONS(6465), 1,
      anon_sym_DASH,
    ACTIONS(6467), 1,
      anon_sym_SLASH,
    ACTIONS(6469), 1,
      anon_sym_CARET,
    ACTIONS(6471), 1,
      sym_keyword_not,
    ACTIONS(6485), 1,
      sym_keyword_and,
    ACTIONS(6487), 1,
      sym_keyword_or,
    ACTIONS(6489), 1,
      sym_keyword_using,
    ACTIONS(6491), 1,
      sym_keyword_between,
    ACTIONS(6825), 1,
      anon_sym_COLON_COLON,
    STATE(6949), 1,
      sym_direction,
    STATE(10546), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6459), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6483), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    STATE(1300), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1297), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6455), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6481), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [203361] = 7,
    ACTIONS(6827), 1,
      sym_keyword_unsigned,
    ACTIONS(6829), 1,
      sym_keyword_zerofill,
    ACTIONS(6831), 1,
      sym_keyword_precision,
    ACTIONS(6833), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1774), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1772), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [203425] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3482), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3480), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [203481] = 7,
    ACTIONS(6823), 1,
      sym_keyword_array,
    STATE(2899), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(3799), 1,
      sym__array_size_definition,
    STATE(3817), 1,
      sym_array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2789), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2791), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [203545] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3476), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3478), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [203601] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3538), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3536), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [203657] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3478), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3476), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [203713] = 27,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6400), 1,
      sym_keyword_in,
    ACTIONS(6402), 1,
      sym_keyword_is,
    ACTIONS(6404), 1,
      sym_keyword_not,
    ACTIONS(6406), 1,
      anon_sym_LBRACK,
    ACTIONS(6414), 1,
      sym_op_other,
    ACTIONS(6416), 1,
      anon_sym_PLUS,
    ACTIONS(6418), 1,
      anon_sym_DASH,
    ACTIONS(6420), 1,
      anon_sym_SLASH,
    ACTIONS(6422), 1,
      anon_sym_CARET,
    ACTIONS(6432), 1,
      sym_keyword_and,
    ACTIONS(6434), 1,
      sym_keyword_between,
    ACTIONS(6589), 1,
      sym_keyword_or,
    ACTIONS(6835), 1,
      sym_keyword_having,
    ACTIONS(6837), 1,
      anon_sym_COMMA,
    ACTIONS(6839), 1,
      anon_sym_COLON_COLON,
    STATE(7172), 1,
      aux_sym_array_repeat1,
    STATE(7276), 1,
      sym__having,
    STATE(10804), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6410), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6412), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1634), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1635), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6408), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6233), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
  [203817] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1374), 3,
      anon_sym_LPAREN,
      anon_sym_DOT,
      aux_sym__single_quote_string_token1,
    ACTIONS(1372), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1370), 37,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [203875] = 5,
    ACTIONS(6841), 1,
      aux_sym__single_quote_string_token2,
    STATE(2682), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1364), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1366), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [203935] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1374), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(1376), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [203991] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2373), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2375), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [204047] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3536), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3538), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [204103] = 6,
    ACTIONS(6843), 1,
      sym_keyword_unsigned,
    ACTIONS(6845), 1,
      sym_keyword_zerofill,
    ACTIONS(6847), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1822), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1824), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [204165] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3558), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3556), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [204221] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1818), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1820), 29,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [204277] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6173), 1,
      sym_keyword_in,
    ACTIONS(6175), 1,
      sym_keyword_is,
    ACTIONS(6177), 1,
      sym_keyword_not,
    ACTIONS(6179), 1,
      anon_sym_LBRACK,
    ACTIONS(6187), 1,
      sym_op_other,
    ACTIONS(6189), 1,
      anon_sym_PLUS,
    ACTIONS(6191), 1,
      anon_sym_DASH,
    ACTIONS(6193), 1,
      anon_sym_SLASH,
    ACTIONS(6195), 1,
      anon_sym_CARET,
    ACTIONS(6237), 1,
      sym_keyword_and,
    ACTIONS(6239), 1,
      sym_keyword_or,
    ACTIONS(6241), 1,
      sym_keyword_between,
    ACTIONS(6245), 1,
      anon_sym_COLON_COLON,
    STATE(10807), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6183), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6185), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1449), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1458), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6181), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6849), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [204373] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2384), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2386), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [204429] = 5,
    ACTIONS(6851), 1,
      sym_keyword_varying,
    ACTIONS(6853), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1932), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1934), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [204489] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2380), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2382), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [204545] = 5,
    ACTIONS(6855), 1,
      sym_keyword_unsigned,
    ACTIONS(6857), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1940), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1942), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [204605] = 4,
    ACTIONS(6859), 1,
      sym_keyword_varying,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1948), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1950), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [204663] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1800), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1802), 29,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [204719] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1814), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1816), 29,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [204775] = 5,
    ACTIONS(6861), 1,
      sym_keyword_unsigned,
    ACTIONS(6863), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1962), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1964), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [204835] = 5,
    ACTIONS(6865), 1,
      sym_keyword_unsigned,
    ACTIONS(6867), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1982), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1984), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [204895] = 6,
    ACTIONS(4827), 1,
      sym_keyword_without,
    ACTIONS(6869), 1,
      sym_keyword_with,
    STATE(2521), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1858), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1856), 37,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [204957] = 6,
    ACTIONS(4827), 1,
      sym_keyword_without,
    ACTIONS(6872), 1,
      sym_keyword_with,
    STATE(2494), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1886), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1884), 37,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [205019] = 5,
    ACTIONS(6875), 1,
      sym_keyword_unsigned,
    ACTIONS(6877), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1954), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1956), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [205079] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3534), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3532), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [205135] = 5,
    ACTIONS(6879), 1,
      sym_keyword_unsigned,
    ACTIONS(6881), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1970), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1972), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [205195] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1372), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1370), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [205251] = 7,
    ACTIONS(6883), 1,
      sym_keyword_array,
    STATE(287), 1,
      sym_array_size_definition,
    STATE(290), 1,
      sym__array_size_definition,
    STATE(2932), 1,
      aux_sym_array_size_definition_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2791), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2789), 37,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [205315] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3526), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3524), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [205371] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2371), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2369), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [205427] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3518), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3516), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [205483] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3468), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3470), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [205539] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3480), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3482), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [205595] = 5,
    STATE(3014), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6715), 2,
      sym_keyword_with,
      sym_keyword_without,
    ACTIONS(1884), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1886), 28,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [205655] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3466), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3464), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [205711] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3522), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3520), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [205767] = 5,
    STATE(3015), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6715), 2,
      sym_keyword_with,
      sym_keyword_without,
    ACTIONS(1856), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1858), 28,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [205827] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1832), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1834), 29,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [205883] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3488), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3490), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [205939] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3492), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3494), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [205995] = 7,
    ACTIONS(6883), 1,
      sym_keyword_array,
    STATE(289), 1,
      sym_array_size_definition,
    STATE(290), 1,
      sym__array_size_definition,
    STATE(2932), 1,
      aux_sym_array_size_definition_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2801), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2799), 37,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [206059] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3568), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3570), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [206115] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3540), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3542), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [206171] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2392), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2394), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [206227] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3484), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3486), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [206283] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3456), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3458), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [206339] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3556), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3558), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [206395] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3552), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3554), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [206451] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3496), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3498), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [206507] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3532), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3534), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [206563] = 5,
    ACTIONS(6885), 1,
      sym_keyword_unsigned,
    ACTIONS(6887), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1908), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1910), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [206623] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3528), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3530), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [206679] = 5,
    ACTIONS(6889), 1,
      sym_keyword_unsigned,
    ACTIONS(6891), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1916), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1918), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [206739] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3550), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3548), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [206795] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3474), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3472), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [206851] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3462), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3460), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [206907] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3454), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3452), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [206963] = 5,
    ACTIONS(6893), 1,
      aux_sym__single_quote_string_token2,
    STATE(2684), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1351), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1353), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [207023] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3554), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3552), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [207079] = 5,
    ACTIONS(6895), 1,
      aux_sym__single_quote_string_token2,
    STATE(2684), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1357), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1359), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [207139] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2369), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2371), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [207195] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1836), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1838), 29,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [207251] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3522), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3520), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [207307] = 5,
    ACTIONS(6898), 1,
      sym_keyword_unsigned,
    ACTIONS(6900), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1924), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1926), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [207367] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3458), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3456), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [207423] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [207479] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3486), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3484), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [207535] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3522), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3520), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [207591] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2394), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [207647] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3524), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3526), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [207703] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3548), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3550), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [207759] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3522), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3520), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [207815] = 7,
    ACTIONS(6902), 1,
      sym_keyword_unsigned,
    ACTIONS(6904), 1,
      sym_keyword_zerofill,
    ACTIONS(6906), 1,
      sym_keyword_precision,
    ACTIONS(6908), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1774), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1772), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [207879] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3522), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3520), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [207935] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1870), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1872), 29,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [207991] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3522), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3520), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [208047] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3522), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3520), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [208103] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3472), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3474), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [208159] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3460), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3462), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [208215] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3452), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3454), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [208271] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3470), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3468), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [208327] = 5,
    ACTIONS(3510), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3558), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3508), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(3556), 20,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [208386] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1872), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1870), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [208441] = 6,
    ACTIONS(6902), 1,
      sym_keyword_unsigned,
    ACTIONS(6904), 1,
      sym_keyword_zerofill,
    ACTIONS(6908), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1774), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1772), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [208502] = 6,
    ACTIONS(6910), 1,
      sym_keyword_unsigned,
    ACTIONS(6912), 1,
      sym_keyword_zerofill,
    ACTIONS(6914), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1900), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1898), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [208563] = 7,
    ACTIONS(109), 1,
      anon_sym_LPAREN,
    ACTIONS(2784), 1,
      anon_sym_DOT,
    ACTIONS(4040), 1,
      aux_sym__single_quote_string_token1,
    STATE(3858), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2782), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2780), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [208626] = 7,
    ACTIONS(109), 1,
      anon_sym_LPAREN,
    ACTIONS(2784), 1,
      anon_sym_DOT,
    ACTIONS(4376), 1,
      aux_sym__single_quote_string_token1,
    STATE(4007), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2782), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2780), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [208689] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3464), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3466), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_offset,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [208744] = 6,
    ACTIONS(6916), 1,
      sym_keyword_unsigned,
    ACTIONS(6918), 1,
      sym_keyword_zerofill,
    ACTIONS(6920), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1890), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1888), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [208805] = 5,
    ACTIONS(6922), 1,
      sym_keyword_filter,
    STATE(3135), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2567), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2569), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [208864] = 4,
    ACTIONS(6924), 1,
      sym_keyword_varying,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1948), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1950), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [208921] = 6,
    ACTIONS(6926), 1,
      sym_keyword_unsigned,
    ACTIONS(6928), 1,
      sym_keyword_zerofill,
    ACTIONS(6930), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1806), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1804), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [208982] = 5,
    ACTIONS(6932), 1,
      sym_keyword_varying,
    ACTIONS(6934), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1932), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1934), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [209041] = 6,
    ACTIONS(6936), 1,
      sym_keyword_unsigned,
    ACTIONS(6938), 1,
      sym_keyword_zerofill,
    ACTIONS(6940), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1876), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1874), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [209102] = 6,
    ACTIONS(6942), 1,
      sym_keyword_unsigned,
    ACTIONS(6944), 1,
      sym_keyword_zerofill,
    ACTIONS(6946), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1842), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1840), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [209163] = 5,
    ACTIONS(6948), 1,
      aux_sym__single_quote_string_token2,
    STATE(2740), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3043), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3045), 27,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_offset,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [209222] = 6,
    ACTIONS(6950), 1,
      sym_keyword_unsigned,
    ACTIONS(6952), 1,
      sym_keyword_zerofill,
    ACTIONS(6954), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1824), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1822), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [209283] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1820), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1818), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [209338] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3516), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3518), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_offset,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [209393] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1802), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1800), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [209448] = 5,
    ACTIONS(6956), 1,
      sym_keyword_unsigned,
    ACTIONS(6958), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1962), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1964), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [209507] = 6,
    ACTIONS(6781), 1,
      sym_keyword_as,
    ACTIONS(6783), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3372), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(6779), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
    ACTIONS(3370), 20,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [209568] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1872), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1870), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [209623] = 7,
    ACTIONS(6960), 1,
      sym_keyword_array,
    STATE(3378), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4079), 1,
      sym__array_size_definition,
    STATE(4081), 1,
      sym_array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2801), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2799), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [209686] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1816), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1814), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [209741] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1834), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1832), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [209796] = 4,
    ACTIONS(6962), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2131), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2133), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [209853] = 4,
    ACTIONS(6964), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2113), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2115), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [209910] = 7,
    ACTIONS(109), 1,
      anon_sym_LPAREN,
    ACTIONS(2784), 1,
      anon_sym_DOT,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(3367), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2780), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2782), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [209973] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1838), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1836), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [210028] = 6,
    ACTIONS(6966), 1,
      sym_keyword_unsigned,
    ACTIONS(6968), 1,
      sym_keyword_zerofill,
    ACTIONS(6970), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1862), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1860), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [210089] = 4,
    ACTIONS(6972), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2119), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2121), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [210146] = 4,
    ACTIONS(6974), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2139), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2141), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [210203] = 4,
    ACTIONS(6976), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2054), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2056), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [210260] = 4,
    ACTIONS(6978), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2081), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2083), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [210317] = 5,
    ACTIONS(1664), 1,
      aux_sym__single_quote_string_token2,
    STATE(117), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2965), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2967), 27,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_offset,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [210376] = 13,
    ACTIONS(6980), 1,
      sym_keyword_is,
    ACTIONS(6982), 1,
      anon_sym_LBRACK,
    ACTIONS(6986), 1,
      anon_sym_PLUS,
    ACTIONS(6988), 1,
      anon_sym_DASH,
    ACTIONS(6990), 1,
      anon_sym_SLASH,
    ACTIONS(6992), 1,
      anon_sym_CARET,
    STATE(10991), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6984), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2430), 3,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1206), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1203), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2428), 27,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [210451] = 8,
    ACTIONS(6980), 1,
      sym_keyword_is,
    ACTIONS(6982), 1,
      anon_sym_LBRACK,
    STATE(10991), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1206), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1203), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2430), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2428), 30,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [210516] = 7,
    ACTIONS(6994), 1,
      sym_keyword_array,
    STATE(2637), 1,
      sym__array_size_definition,
    STATE(2639), 1,
      sym_array_size_definition,
    STATE(3248), 1,
      aux_sym_array_size_definition_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2799), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2801), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [210579] = 7,
    ACTIONS(6996), 1,
      sym_keyword_unsigned,
    ACTIONS(6998), 1,
      sym_keyword_zerofill,
    ACTIONS(7000), 1,
      sym_keyword_precision,
    ACTIONS(7002), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1774), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1772), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [210642] = 4,
    ACTIONS(7004), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2107), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2109), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [210699] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1948), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1950), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [210754] = 4,
    ACTIONS(7006), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2169), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2171), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [210811] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2165), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2167), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [210866] = 4,
    ACTIONS(7008), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2157), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2159), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [210923] = 4,
    ACTIONS(7010), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2151), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2153), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [210980] = 4,
    ACTIONS(7012), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2145), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2147), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [211037] = 4,
    ACTIONS(7014), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2024), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2026), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [211094] = 4,
    ACTIONS(7016), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2012), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2014), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [211151] = 4,
    ACTIONS(7018), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2000), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2002), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [211208] = 7,
    ACTIONS(6994), 1,
      sym_keyword_array,
    STATE(2631), 1,
      sym_array_size_definition,
    STATE(2637), 1,
      sym__array_size_definition,
    STATE(3248), 1,
      aux_sym_array_size_definition_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2789), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2791), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [211271] = 4,
    ACTIONS(7020), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2125), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2127), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [211328] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2050), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2052), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [211383] = 5,
    ACTIONS(6922), 1,
      sym_keyword_filter,
    STATE(3100), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2453), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2455), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [211442] = 4,
    ACTIONS(7022), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2044), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2046), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [211499] = 4,
    ACTIONS(7024), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2062), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2064), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [211556] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6980), 1,
      sym_keyword_is,
    ACTIONS(6982), 1,
      anon_sym_LBRACK,
    ACTIONS(6986), 1,
      anon_sym_PLUS,
    ACTIONS(6988), 1,
      anon_sym_DASH,
    ACTIONS(6990), 1,
      anon_sym_SLASH,
    ACTIONS(6992), 1,
      anon_sym_CARET,
    ACTIONS(7026), 1,
      sym_keyword_in,
    ACTIONS(7028), 1,
      sym_keyword_and,
    ACTIONS(7030), 1,
      sym_keyword_or,
    ACTIONS(7032), 1,
      sym_keyword_not,
    ACTIONS(7034), 1,
      sym_keyword_between,
    ACTIONS(7038), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7042), 1,
      sym_op_other,
    STATE(10991), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6984), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7040), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1206), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1203), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7036), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6767), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [211651] = 4,
    ACTIONS(7044), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2068), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2070), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [211708] = 5,
    ACTIONS(7046), 1,
      sym_keyword_precision,
    ACTIONS(7048), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1860), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1862), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [211767] = 7,
    ACTIONS(7050), 1,
      sym_keyword_unsigned,
    ACTIONS(7052), 1,
      sym_keyword_zerofill,
    ACTIONS(7054), 1,
      sym_keyword_precision,
    ACTIONS(7056), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1774), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1772), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [211830] = 7,
    ACTIONS(6960), 1,
      sym_keyword_array,
    STATE(3378), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(3955), 1,
      sym_array_size_definition,
    STATE(4079), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2791), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2789), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [211893] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6173), 1,
      sym_keyword_in,
    ACTIONS(6175), 1,
      sym_keyword_is,
    ACTIONS(6177), 1,
      sym_keyword_not,
    ACTIONS(6179), 1,
      anon_sym_LBRACK,
    ACTIONS(6187), 1,
      sym_op_other,
    ACTIONS(6189), 1,
      anon_sym_PLUS,
    ACTIONS(6191), 1,
      anon_sym_DASH,
    ACTIONS(6193), 1,
      anon_sym_SLASH,
    ACTIONS(6195), 1,
      anon_sym_CARET,
    ACTIONS(6237), 1,
      sym_keyword_and,
    ACTIONS(6239), 1,
      sym_keyword_or,
    ACTIONS(6241), 1,
      sym_keyword_between,
    ACTIONS(6245), 1,
      anon_sym_COLON_COLON,
    STATE(10807), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6183), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6185), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1449), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1458), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6181), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(7058), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [211988] = 7,
    ACTIONS(7060), 1,
      sym_keyword_with,
    ACTIONS(7062), 1,
      sym_keyword_without,
    ACTIONS(7064), 1,
      anon_sym_LPAREN,
    STATE(4189), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1786), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1784), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [212051] = 7,
    ACTIONS(7060), 1,
      sym_keyword_with,
    ACTIONS(7062), 1,
      sym_keyword_without,
    ACTIONS(7066), 1,
      anon_sym_LPAREN,
    STATE(4193), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1796), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1794), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [212114] = 4,
    ACTIONS(7068), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(55), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(109), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [212171] = 6,
    ACTIONS(6803), 1,
      sym_keyword_with,
    ACTIONS(6805), 1,
      sym_keyword_without,
    STATE(3606), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1858), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1856), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [212232] = 6,
    ACTIONS(6803), 1,
      sym_keyword_with,
    ACTIONS(6805), 1,
      sym_keyword_without,
    STATE(3619), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1886), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1884), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [212293] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6400), 1,
      sym_keyword_in,
    ACTIONS(6402), 1,
      sym_keyword_is,
    ACTIONS(6404), 1,
      sym_keyword_not,
    ACTIONS(6406), 1,
      anon_sym_LBRACK,
    ACTIONS(6414), 1,
      sym_op_other,
    ACTIONS(6416), 1,
      anon_sym_PLUS,
    ACTIONS(6418), 1,
      anon_sym_DASH,
    ACTIONS(6420), 1,
      anon_sym_SLASH,
    ACTIONS(6422), 1,
      anon_sym_CARET,
    ACTIONS(6432), 1,
      sym_keyword_and,
    ACTIONS(6434), 1,
      sym_keyword_between,
    ACTIONS(6589), 1,
      sym_keyword_or,
    ACTIONS(6593), 1,
      anon_sym_COLON_COLON,
    STATE(10804), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6410), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6412), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1634), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1635), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6408), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6849), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [212388] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1374), 3,
      anon_sym_LPAREN,
      anon_sym_DOT,
      aux_sym__single_quote_string_token1,
    ACTIONS(1370), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1372), 27,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_offset,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_cascade,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [212445] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2093), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2095), 39,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_partition,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_cache,
      sym_keyword_array,
      sym__identifier,
  [212500] = 7,
    ACTIONS(7070), 1,
      sym_keyword_array,
    STATE(3249), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4132), 1,
      sym__array_size_definition,
    STATE(4203), 1,
      sym_array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2791), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2789), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [212563] = 7,
    ACTIONS(7070), 1,
      sym_keyword_array,
    STATE(3249), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4131), 1,
      sym_array_size_definition,
    STATE(4132), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2801), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2799), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [212626] = 20,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(2441), 1,
      sym_keyword_or,
    ACTIONS(6980), 1,
      sym_keyword_is,
    ACTIONS(6982), 1,
      anon_sym_LBRACK,
    ACTIONS(6986), 1,
      anon_sym_PLUS,
    ACTIONS(6988), 1,
      anon_sym_DASH,
    ACTIONS(6990), 1,
      anon_sym_SLASH,
    ACTIONS(6992), 1,
      anon_sym_CARET,
    ACTIONS(7026), 1,
      sym_keyword_in,
    ACTIONS(7032), 1,
      sym_keyword_not,
    ACTIONS(7042), 1,
      sym_op_other,
    STATE(10991), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6984), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7040), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1206), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1203), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7036), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2439), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [212715] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1376), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1374), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      aux_sym__single_quote_string_token1,
  [212770] = 26,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6648), 1,
      sym_keyword_in,
    ACTIONS(6650), 1,
      sym_keyword_is,
    ACTIONS(6652), 1,
      sym_keyword_not,
    ACTIONS(6654), 1,
      anon_sym_LBRACK,
    ACTIONS(6662), 1,
      sym_op_other,
    ACTIONS(6664), 1,
      anon_sym_PLUS,
    ACTIONS(6666), 1,
      anon_sym_DASH,
    ACTIONS(6668), 1,
      anon_sym_SLASH,
    ACTIONS(6670), 1,
      anon_sym_CARET,
    ACTIONS(6685), 1,
      sym_keyword_and,
    ACTIONS(6687), 1,
      sym_keyword_between,
    ACTIONS(6723), 1,
      sym_keyword_or,
    ACTIONS(6725), 1,
      sym_keyword_using,
    ACTIONS(7072), 1,
      anon_sym_COLON_COLON,
    STATE(7274), 1,
      sym_direction,
    STATE(11002), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6658), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6660), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6721), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    STATE(1514), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1515), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6656), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6481), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_COMMA,
  [212871] = 20,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(2434), 1,
      sym_keyword_or,
    ACTIONS(6980), 1,
      sym_keyword_is,
    ACTIONS(6982), 1,
      anon_sym_LBRACK,
    ACTIONS(6986), 1,
      anon_sym_PLUS,
    ACTIONS(6988), 1,
      anon_sym_DASH,
    ACTIONS(6990), 1,
      anon_sym_SLASH,
    ACTIONS(6992), 1,
      anon_sym_CARET,
    ACTIONS(7026), 1,
      sym_keyword_in,
    ACTIONS(7032), 1,
      sym_keyword_not,
    ACTIONS(7042), 1,
      sym_op_other,
    STATE(10991), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6984), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7040), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1206), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1203), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7036), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2432), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [212960] = 5,
    ACTIONS(6922), 1,
      sym_keyword_filter,
    STATE(3154), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2555), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2557), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [213019] = 5,
    ACTIONS(6922), 1,
      sym_keyword_filter,
    STATE(3166), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2559), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2561), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [213078] = 5,
    ACTIONS(6922), 1,
      sym_keyword_filter,
    STATE(3167), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2513), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2515), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [213137] = 18,
    ACTIONS(2394), 1,
      sym_keyword_or,
    ACTIONS(6980), 1,
      sym_keyword_is,
    ACTIONS(6982), 1,
      anon_sym_LBRACK,
    ACTIONS(6986), 1,
      anon_sym_PLUS,
    ACTIONS(6988), 1,
      anon_sym_DASH,
    ACTIONS(6990), 1,
      anon_sym_SLASH,
    ACTIONS(6992), 1,
      anon_sym_CARET,
    ACTIONS(7026), 1,
      sym_keyword_in,
    ACTIONS(7042), 1,
      sym_op_other,
    ACTIONS(7074), 1,
      sym_keyword_not,
    STATE(10991), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6984), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7040), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1206), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1203), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7036), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2392), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [213222] = 8,
    ACTIONS(6980), 1,
      sym_keyword_is,
    ACTIONS(6982), 1,
      anon_sym_LBRACK,
    STATE(10991), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1206), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1203), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2394), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 30,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [213287] = 11,
    ACTIONS(6980), 1,
      sym_keyword_is,
    ACTIONS(6982), 1,
      anon_sym_LBRACK,
    ACTIONS(6990), 1,
      anon_sym_SLASH,
    ACTIONS(6992), 1,
      anon_sym_CARET,
    STATE(10991), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6984), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1206), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2394), 4,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    STATE(1203), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [213358] = 5,
    ACTIONS(6922), 1,
      sym_keyword_filter,
    STATE(3238), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2509), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2511), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [213417] = 5,
    ACTIONS(6922), 1,
      sym_keyword_filter,
    STATE(3252), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2539), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2541), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [213476] = 5,
    ACTIONS(6922), 1,
      sym_keyword_filter,
    STATE(3259), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2543), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2545), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [213535] = 4,
    ACTIONS(7077), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2030), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2032), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [213592] = 5,
    ACTIONS(6922), 1,
      sym_keyword_filter,
    STATE(3260), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2551), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2553), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [213651] = 5,
    ACTIONS(6922), 1,
      sym_keyword_filter,
    STATE(3261), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2563), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2565), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [213710] = 5,
    ACTIONS(6781), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3372), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3370), 20,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6779), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [213769] = 4,
    ACTIONS(7079), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2018), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2020), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [213826] = 4,
    ACTIONS(7081), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2006), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2008), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [213883] = 4,
    ACTIONS(7083), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2087), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2089), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [213940] = 5,
    ACTIONS(7085), 1,
      sym_keyword_unsigned,
    ACTIONS(7087), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1940), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1942), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [213999] = 13,
    ACTIONS(6980), 1,
      sym_keyword_is,
    ACTIONS(6982), 1,
      anon_sym_LBRACK,
    ACTIONS(6986), 1,
      anon_sym_PLUS,
    ACTIONS(6988), 1,
      anon_sym_DASH,
    ACTIONS(6990), 1,
      anon_sym_SLASH,
    ACTIONS(6992), 1,
      anon_sym_CARET,
    STATE(10991), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6984), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2394), 3,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1206), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1203), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 27,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [214074] = 5,
    ACTIONS(7089), 1,
      sym_keyword_unsigned,
    ACTIONS(7091), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1982), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1984), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [214133] = 5,
    ACTIONS(7093), 1,
      sym_keyword_unsigned,
    ACTIONS(7095), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1954), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1956), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [214192] = 5,
    ACTIONS(7097), 1,
      sym_keyword_unsigned,
    ACTIONS(7099), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1970), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1972), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [214251] = 5,
    ACTIONS(6922), 1,
      sym_keyword_filter,
    STATE(3290), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2505), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2507), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [214310] = 5,
    ACTIONS(6922), 1,
      sym_keyword_filter,
    STATE(3293), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2527), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2529), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [214369] = 5,
    ACTIONS(6922), 1,
      sym_keyword_filter,
    STATE(3294), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2501), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2503), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [214428] = 5,
    ACTIONS(6922), 1,
      sym_keyword_filter,
    STATE(3295), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2517), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2519), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [214487] = 9,
    ACTIONS(6980), 1,
      sym_keyword_is,
    ACTIONS(6982), 1,
      anon_sym_LBRACK,
    ACTIONS(6992), 1,
      anon_sym_CARET,
    STATE(10991), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1206), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1203), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2394), 5,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(2392), 30,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [214554] = 5,
    ACTIONS(6922), 1,
      sym_keyword_filter,
    STATE(3296), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2449), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2451), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [214613] = 16,
    ACTIONS(6980), 1,
      sym_keyword_is,
    ACTIONS(6982), 1,
      anon_sym_LBRACK,
    ACTIONS(6986), 1,
      anon_sym_PLUS,
    ACTIONS(6988), 1,
      anon_sym_DASH,
    ACTIONS(6990), 1,
      anon_sym_SLASH,
    ACTIONS(6992), 1,
      anon_sym_CARET,
    ACTIONS(7026), 1,
      sym_keyword_in,
    ACTIONS(7042), 1,
      sym_op_other,
    ACTIONS(7074), 1,
      sym_keyword_not,
    STATE(10991), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6984), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2394), 3,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1206), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1203), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [214694] = 6,
    STATE(10991), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1206), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1203), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2394), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [214755] = 22,
    ACTIONS(2394), 1,
      sym_keyword_or,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6980), 1,
      sym_keyword_is,
    ACTIONS(6982), 1,
      anon_sym_LBRACK,
    ACTIONS(6986), 1,
      anon_sym_PLUS,
    ACTIONS(6988), 1,
      anon_sym_DASH,
    ACTIONS(6990), 1,
      anon_sym_SLASH,
    ACTIONS(6992), 1,
      anon_sym_CARET,
    ACTIONS(7026), 1,
      sym_keyword_in,
    ACTIONS(7028), 1,
      sym_keyword_and,
    ACTIONS(7032), 1,
      sym_keyword_not,
    ACTIONS(7034), 1,
      sym_keyword_between,
    ACTIONS(7042), 1,
      sym_op_other,
    STATE(10991), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6984), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7040), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1206), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1203), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7036), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2392), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [214848] = 21,
    ACTIONS(2394), 1,
      sym_keyword_or,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6980), 1,
      sym_keyword_is,
    ACTIONS(6982), 1,
      anon_sym_LBRACK,
    ACTIONS(6986), 1,
      anon_sym_PLUS,
    ACTIONS(6988), 1,
      anon_sym_DASH,
    ACTIONS(6990), 1,
      anon_sym_SLASH,
    ACTIONS(6992), 1,
      anon_sym_CARET,
    ACTIONS(7026), 1,
      sym_keyword_in,
    ACTIONS(7032), 1,
      sym_keyword_not,
    ACTIONS(7034), 1,
      sym_keyword_between,
    ACTIONS(7042), 1,
      sym_op_other,
    STATE(10991), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6984), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7040), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1206), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1203), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7036), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2392), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [214939] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6173), 1,
      sym_keyword_in,
    ACTIONS(6175), 1,
      sym_keyword_is,
    ACTIONS(6177), 1,
      sym_keyword_not,
    ACTIONS(6179), 1,
      anon_sym_LBRACK,
    ACTIONS(6187), 1,
      sym_op_other,
    ACTIONS(6189), 1,
      anon_sym_PLUS,
    ACTIONS(6191), 1,
      anon_sym_DASH,
    ACTIONS(6193), 1,
      anon_sym_SLASH,
    ACTIONS(6195), 1,
      anon_sym_CARET,
    ACTIONS(6237), 1,
      sym_keyword_and,
    ACTIONS(6239), 1,
      sym_keyword_or,
    ACTIONS(6241), 1,
      sym_keyword_between,
    ACTIONS(6703), 1,
      anon_sym_COLON_COLON,
    STATE(10807), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6183), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6185), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1449), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1458), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6181), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6767), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [215034] = 6,
    ACTIONS(7101), 1,
      sym_keyword_unsigned,
    ACTIONS(7103), 1,
      sym_keyword_zerofill,
    ACTIONS(7105), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1862), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1860), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [215095] = 6,
    ACTIONS(6827), 1,
      sym_keyword_unsigned,
    ACTIONS(6829), 1,
      sym_keyword_zerofill,
    ACTIONS(6833), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1774), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1772), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [215156] = 4,
    ACTIONS(7107), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1994), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1996), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [215213] = 4,
    ACTIONS(6777), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1860), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1862), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [215270] = 5,
    ACTIONS(6922), 1,
      sym_keyword_filter,
    STATE(3310), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2531), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2533), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [215329] = 6,
    ACTIONS(7109), 1,
      sym_keyword_unsigned,
    ACTIONS(7111), 1,
      sym_keyword_zerofill,
    ACTIONS(7113), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1900), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1898), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [215390] = 6,
    ACTIONS(7115), 1,
      sym_keyword_unsigned,
    ACTIONS(7117), 1,
      sym_keyword_zerofill,
    ACTIONS(7119), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1890), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1888), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [215451] = 5,
    ACTIONS(6922), 1,
      sym_keyword_filter,
    STATE(3311), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2443), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2445), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [215510] = 6,
    ACTIONS(7121), 1,
      sym_keyword_unsigned,
    ACTIONS(7123), 1,
      sym_keyword_zerofill,
    ACTIONS(7125), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1806), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1804), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [215571] = 5,
    ACTIONS(6922), 1,
      sym_keyword_filter,
    STATE(3314), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2535), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2537), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [215630] = 5,
    ACTIONS(7127), 1,
      sym_keyword_unsigned,
    ACTIONS(7129), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1908), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1910), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [215689] = 6,
    ACTIONS(7131), 1,
      sym_keyword_unsigned,
    ACTIONS(7133), 1,
      sym_keyword_zerofill,
    ACTIONS(7135), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1876), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1874), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [215750] = 6,
    ACTIONS(7137), 1,
      sym_keyword_unsigned,
    ACTIONS(7139), 1,
      sym_keyword_zerofill,
    ACTIONS(7141), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1842), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1840), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [215811] = 5,
    ACTIONS(7143), 1,
      sym_keyword_unsigned,
    ACTIONS(7145), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1916), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1918), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [215870] = 7,
    ACTIONS(7147), 1,
      sym_keyword_with,
    ACTIONS(7149), 1,
      sym_keyword_without,
    ACTIONS(7151), 1,
      anon_sym_LPAREN,
    STATE(3442), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1796), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1794), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [215933] = 7,
    ACTIONS(7147), 1,
      sym_keyword_with,
    ACTIONS(7149), 1,
      sym_keyword_without,
    ACTIONS(7153), 1,
      anon_sym_LPAREN,
    STATE(3440), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1786), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1784), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [215996] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1374), 3,
      anon_sym_LPAREN,
      anon_sym_DOT,
      aux_sym__single_quote_string_token1,
    ACTIONS(1370), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1372), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [216053] = 5,
    ACTIONS(6922), 1,
      sym_keyword_filter,
    STATE(3328), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2547), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2549), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [216112] = 4,
    ACTIONS(7155), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2099), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2101), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [216169] = 6,
    ACTIONS(7157), 1,
      sym_keyword_unsigned,
    ACTIONS(7159), 1,
      sym_keyword_zerofill,
    ACTIONS(7161), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1824), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1822), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [216230] = 4,
    ACTIONS(7163), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2044), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2046), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [216287] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1820), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1818), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [216342] = 5,
    ACTIONS(7165), 1,
      sym_keyword_unsigned,
    ACTIONS(7167), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1924), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1926), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [216401] = 4,
    ACTIONS(6733), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1860), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1862), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [216458] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1802), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1800), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [216513] = 7,
    ACTIONS(7169), 1,
      sym_keyword_unsigned,
    ACTIONS(7171), 1,
      sym_keyword_zerofill,
    ACTIONS(7173), 1,
      sym_keyword_precision,
    ACTIONS(7175), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1774), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1772), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [216576] = 4,
    ACTIONS(7177), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2036), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2038), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [216633] = 4,
    ACTIONS(7179), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2036), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2038), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [216690] = 4,
    ACTIONS(7181), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2030), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2032), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [216747] = 4,
    ACTIONS(7183), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2018), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2020), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [216804] = 4,
    ACTIONS(7185), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2006), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2008), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [216861] = 4,
    ACTIONS(7187), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2087), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2089), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [216918] = 4,
    ACTIONS(7189), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1994), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1996), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [216975] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1838), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1836), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [217030] = 6,
    ACTIONS(7191), 1,
      anon_sym_LBRACK,
    STATE(2847), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(3380), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2074), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2076), 28,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [217091] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1834), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1832), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [217146] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1816), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1814), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [217201] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2341), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2343), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [217255] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1376), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1374), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      aux_sym__single_quote_string_token1,
  [217309] = 6,
    ACTIONS(7194), 1,
      sym_keyword_unsigned,
    ACTIONS(7196), 1,
      sym_keyword_zerofill,
    ACTIONS(7198), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1842), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1840), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [217369] = 6,
    ACTIONS(7200), 1,
      sym_keyword_unsigned,
    ACTIONS(7202), 1,
      sym_keyword_zerofill,
    ACTIONS(7204), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1876), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1874), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [217429] = 5,
    ACTIONS(7206), 1,
      sym_keyword_filter,
    STATE(3772), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2517), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2519), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [217487] = 5,
    ACTIONS(7206), 1,
      sym_keyword_filter,
    STATE(3774), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2449), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2451), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [217545] = 6,
    ACTIONS(7208), 1,
      sym_keyword_unsigned,
    ACTIONS(7210), 1,
      sym_keyword_zerofill,
    ACTIONS(7212), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1806), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1804), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [217605] = 6,
    ACTIONS(7214), 1,
      sym_keyword_unsigned,
    ACTIONS(7216), 1,
      sym_keyword_zerofill,
    ACTIONS(7218), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1890), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1888), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [217665] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1820), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1818), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [217719] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2030), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2032), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [217773] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2313), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2315), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [217827] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2018), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2020), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [217881] = 5,
    ACTIONS(7206), 1,
      sym_keyword_filter,
    STATE(3650), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2555), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2557), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [217939] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2177), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2179), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [217993] = 6,
    ACTIONS(7220), 1,
      sym_keyword_unsigned,
    ACTIONS(7222), 1,
      sym_keyword_zerofill,
    ACTIONS(7224), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1900), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1898), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [218053] = 5,
    ACTIONS(7226), 1,
      sym_keyword_unsigned,
    ACTIONS(7228), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1918), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1916), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [218111] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2006), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2008), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [218165] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6173), 1,
      sym_keyword_in,
    ACTIONS(6175), 1,
      sym_keyword_is,
    ACTIONS(6177), 1,
      sym_keyword_not,
    ACTIONS(6179), 1,
      anon_sym_LBRACK,
    ACTIONS(6187), 1,
      sym_op_other,
    ACTIONS(6189), 1,
      anon_sym_PLUS,
    ACTIONS(6191), 1,
      anon_sym_DASH,
    ACTIONS(6193), 1,
      anon_sym_SLASH,
    ACTIONS(6195), 1,
      anon_sym_CARET,
    ACTIONS(6237), 1,
      sym_keyword_and,
    ACTIONS(6239), 1,
      sym_keyword_or,
    ACTIONS(6241), 1,
      sym_keyword_between,
    ACTIONS(6703), 1,
      anon_sym_COLON_COLON,
    STATE(10807), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6183), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6185), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1449), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1458), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6181), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6849), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      anon_sym_RPAREN,
  [218259] = 6,
    ACTIONS(7169), 1,
      sym_keyword_unsigned,
    ACTIONS(7171), 1,
      sym_keyword_zerofill,
    ACTIONS(7175), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1774), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1772), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [218319] = 4,
    ACTIONS(7230), 1,
      sym_keyword_varying,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1950), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1948), 37,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [218375] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3516), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3518), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [218429] = 6,
    ACTIONS(7232), 1,
      sym_keyword_unsigned,
    ACTIONS(7234), 1,
      sym_keyword_zerofill,
    ACTIONS(7236), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1824), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1822), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [218489] = 5,
    ACTIONS(7238), 1,
      sym_keyword_varying,
    ACTIONS(7240), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1934), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1932), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [218547] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2087), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2089), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [218601] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1860), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1862), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [218655] = 5,
    ACTIONS(7206), 1,
      sym_keyword_filter,
    STATE(3751), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2527), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2529), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [218713] = 5,
    ACTIONS(7206), 1,
      sym_keyword_filter,
    STATE(3765), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2501), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2503), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [218771] = 5,
    ACTIONS(7242), 1,
      sym_keyword_unsigned,
    ACTIONS(7244), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1910), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1908), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [218829] = 5,
    ACTIONS(7206), 1,
      sym_keyword_filter,
    STATE(3731), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2505), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2507), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [218887] = 5,
    ACTIONS(7206), 1,
      sym_keyword_filter,
    STATE(3643), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2513), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2515), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [218945] = 4,
    ACTIONS(7246), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2139), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2141), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [219001] = 4,
    ACTIONS(7248), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2044), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2046), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [219057] = 7,
    ACTIONS(109), 1,
      anon_sym_LPAREN,
    ACTIONS(2784), 1,
      anon_sym_DOT,
    ACTIONS(3029), 1,
      aux_sym__single_quote_string_token1,
    STATE(3876), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2780), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2782), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [219119] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2357), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2359), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [219173] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2044), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2046), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [219227] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1994), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1996), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [219281] = 4,
    ACTIONS(7250), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2119), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2121), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [219337] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1802), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1800), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [219391] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1872), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1870), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [219445] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1816), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1814), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [219499] = 5,
    ACTIONS(7252), 1,
      aux_sym__single_quote_string_token2,
    STATE(2892), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1364), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1366), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [219557] = 5,
    ACTIONS(7254), 1,
      aux_sym__single_quote_string_token2,
    STATE(2893), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3043), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3045), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [219615] = 5,
    ACTIONS(7256), 1,
      aux_sym__single_quote_string_token2,
    STATE(2894), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1351), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1353), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [219673] = 5,
    ACTIONS(7256), 1,
      aux_sym__single_quote_string_token2,
    STATE(2894), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2965), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2967), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [219731] = 5,
    ACTIONS(7258), 1,
      aux_sym__single_quote_string_token2,
    STATE(2894), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1357), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1359), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [219789] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2261), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2263), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [219843] = 5,
    ACTIONS(7261), 1,
      sym_keyword_precision,
    ACTIONS(7263), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1862), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1860), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [219901] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2353), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2355), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [219955] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2349), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2351), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [220009] = 5,
    STATE(2928), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(3799), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3185), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3187), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [220067] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1834), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1832), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [220121] = 5,
    ACTIONS(7206), 1,
      sym_keyword_filter,
    STATE(3633), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2543), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2545), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [220179] = 6,
    ACTIONS(7147), 1,
      sym_keyword_with,
    ACTIONS(7149), 1,
      sym_keyword_without,
    STATE(3551), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1886), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1884), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [220239] = 5,
    ACTIONS(7206), 1,
      sym_keyword_filter,
    STATE(3501), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2547), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2549), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [220297] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2337), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2339), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [220351] = 6,
    ACTIONS(7147), 1,
      sym_keyword_with,
    ACTIONS(7149), 1,
      sym_keyword_without,
    STATE(3552), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1858), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1856), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [220411] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2197), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2199), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [220465] = 5,
    ACTIONS(7265), 1,
      sym_keyword_unsigned,
    ACTIONS(7267), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1942), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1940), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [220523] = 5,
    ACTIONS(7269), 1,
      sym_keyword_unsigned,
    ACTIONS(7271), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1964), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1962), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [220581] = 5,
    ACTIONS(7273), 1,
      sym_keyword_unsigned,
    ACTIONS(7275), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1984), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1982), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [220639] = 5,
    ACTIONS(7277), 1,
      sym_keyword_unsigned,
    ACTIONS(7279), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1956), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1954), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [220697] = 6,
    ACTIONS(7281), 1,
      sym_keyword_unsigned,
    ACTIONS(7283), 1,
      sym_keyword_zerofill,
    ACTIONS(7285), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1862), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1860), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [220757] = 5,
    ACTIONS(7287), 1,
      sym_keyword_unsigned,
    ACTIONS(7289), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1972), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1970), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [220815] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1838), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1836), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [220869] = 7,
    ACTIONS(109), 1,
      anon_sym_LPAREN,
    ACTIONS(2784), 1,
      anon_sym_DOT,
    ACTIONS(3764), 1,
      aux_sym__single_quote_string_token1,
    STATE(4657), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2782), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2780), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [220931] = 4,
    ACTIONS(7291), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2107), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2109), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [220987] = 4,
    ACTIONS(7293), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2145), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2147), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [221043] = 4,
    ACTIONS(7295), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2125), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2127), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [221099] = 4,
    ACTIONS(7297), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2062), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2064), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [221155] = 4,
    ACTIONS(7299), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2068), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2070), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [221211] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1838), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1836), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [221265] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1834), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1832), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [221319] = 3,
    ACTIONS(7303), 1,
      sym_keyword_force,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7301), 44,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_select,
      sym_keyword_values,
      sym_keyword_set,
      sym_keyword_from,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_freeze,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_force_quote,
      sym_keyword_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
      sym_keyword_header,
      sym_keyword_format,
      sym_keyword_delimiter,
      sym_keyword_null,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [221373] = 7,
    ACTIONS(7305), 1,
      sym_keyword_array,
    STATE(3368), 1,
      sym_array_size_definition,
    STATE(3380), 1,
      sym__array_size_definition,
    STATE(3663), 1,
      aux_sym_array_size_definition_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2789), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2791), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [221435] = 4,
    ACTIONS(7307), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2081), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2083), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [221491] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1816), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1814), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [221545] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1872), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1870), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [221599] = 4,
    ACTIONS(7309), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1994), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1996), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [221655] = 6,
    ACTIONS(7311), 1,
      anon_sym_LBRACK,
    STATE(2928), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(3799), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2074), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2076), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [221715] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1802), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1800), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [221769] = 4,
    ACTIONS(7314), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1994), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1996), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [221825] = 4,
    ACTIONS(7316), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2087), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2089), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [221881] = 5,
    STATE(196), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(290), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3187), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3185), 37,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [221939] = 4,
    ACTIONS(7318), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2006), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2008), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [221995] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2277), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2279), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [222049] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6400), 1,
      sym_keyword_in,
    ACTIONS(6402), 1,
      sym_keyword_is,
    ACTIONS(6404), 1,
      sym_keyword_not,
    ACTIONS(6406), 1,
      anon_sym_LBRACK,
    ACTIONS(6414), 1,
      sym_op_other,
    ACTIONS(6416), 1,
      anon_sym_PLUS,
    ACTIONS(6418), 1,
      anon_sym_DASH,
    ACTIONS(6420), 1,
      anon_sym_SLASH,
    ACTIONS(6422), 1,
      anon_sym_CARET,
    ACTIONS(6432), 1,
      sym_keyword_and,
    ACTIONS(6434), 1,
      sym_keyword_between,
    ACTIONS(6589), 1,
      sym_keyword_or,
    ACTIONS(6839), 1,
      anon_sym_COLON_COLON,
    STATE(10804), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6410), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6412), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1634), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1635), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6408), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6767), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      anon_sym_COMMA,
  [222143] = 5,
    ACTIONS(7320), 1,
      sym_keyword_unsigned,
    ACTIONS(7322), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1910), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1908), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [222201] = 5,
    ACTIONS(7324), 1,
      sym_keyword_unsigned,
    ACTIONS(7326), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1918), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1916), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [222259] = 5,
    ACTIONS(7328), 1,
      sym_keyword_unsigned,
    ACTIONS(7330), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1926), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1924), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [222317] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2281), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2283), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [222371] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2285), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2287), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [222425] = 5,
    ACTIONS(7332), 1,
      sym_keyword_unsigned,
    ACTIONS(7334), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1942), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1940), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [222483] = 4,
    ACTIONS(7336), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2018), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2020), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [222539] = 3,
    ACTIONS(7340), 1,
      sym_keyword_force,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7338), 44,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_select,
      sym_keyword_values,
      sym_keyword_set,
      sym_keyword_from,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_freeze,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_force_quote,
      sym_keyword_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
      sym_keyword_header,
      sym_keyword_format,
      sym_keyword_delimiter,
      sym_keyword_null,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [222593] = 4,
    ACTIONS(7342), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2030), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2032), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [222649] = 4,
    ACTIONS(7344), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2036), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2038), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [222705] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2036), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2038), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [222759] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2289), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2291), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [222813] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2305), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2307), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [222867] = 7,
    ACTIONS(7346), 1,
      sym_keyword_unsigned,
    ACTIONS(7348), 1,
      sym_keyword_zerofill,
    ACTIONS(7350), 1,
      sym_keyword_precision,
    ACTIONS(7352), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1774), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1772), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [222929] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2317), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2319), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [222983] = 5,
    ACTIONS(7354), 1,
      sym_keyword_filter,
    STATE(3724), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2569), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2567), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [223041] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2321), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2323), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [223095] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1370), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1372), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [223149] = 7,
    ACTIONS(7356), 1,
      sym_keyword_array,
    STATE(3742), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4432), 1,
      sym__array_size_definition,
    STATE(4451), 1,
      sym_array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2801), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2799), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [223211] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2345), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2347), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [223265] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2225), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2227), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [223319] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2217), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2219), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [223373] = 7,
    ACTIONS(109), 1,
      anon_sym_LPAREN,
    ACTIONS(2784), 1,
      anon_sym_DOT,
    ACTIONS(4276), 1,
      aux_sym__single_quote_string_token1,
    STATE(4591), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2782), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2780), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [223435] = 4,
    ACTIONS(6771), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1860), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1862), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [223491] = 5,
    ACTIONS(7206), 1,
      sym_keyword_filter,
    STATE(3567), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2453), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2455), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [223549] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1376), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1374), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      aux_sym__single_quote_string_token1,
  [223603] = 5,
    ACTIONS(7358), 1,
      sym_keyword_unsigned,
    ACTIONS(7360), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1972), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1970), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [223661] = 5,
    ACTIONS(7362), 1,
      sym_keyword_unsigned,
    ACTIONS(7364), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1956), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1954), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [223719] = 5,
    ACTIONS(7366), 1,
      sym_keyword_unsigned,
    ACTIONS(7368), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1984), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1982), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [223777] = 5,
    ACTIONS(7370), 1,
      sym_keyword_unsigned,
    ACTIONS(7372), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1964), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1962), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [223835] = 5,
    ACTIONS(7206), 1,
      sym_keyword_filter,
    STATE(3530), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2539), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2541), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [223893] = 4,
    ACTIONS(7374), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2099), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2101), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [223949] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2273), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2275), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [224003] = 4,
    ACTIONS(7048), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1860), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1862), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [224059] = 5,
    ACTIONS(7354), 1,
      sym_keyword_filter,
    STATE(3788), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2529), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2527), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [224117] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2201), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2203), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [224171] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2325), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2327), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [224225] = 5,
    ACTIONS(7206), 1,
      sym_keyword_filter,
    STATE(3647), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2559), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2561), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [224283] = 6,
    ACTIONS(7060), 1,
      sym_keyword_with,
    ACTIONS(7062), 1,
      sym_keyword_without,
    STATE(3945), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1858), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1856), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [224343] = 6,
    ACTIONS(7060), 1,
      sym_keyword_with,
    ACTIONS(7062), 1,
      sym_keyword_without,
    STATE(3950), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1886), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1884), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [224403] = 4,
    ACTIONS(7376), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2087), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2089), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [224459] = 4,
    ACTIONS(7378), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2006), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2008), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [224515] = 4,
    ACTIONS(7380), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2018), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2020), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [224571] = 5,
    ACTIONS(7354), 1,
      sym_keyword_filter,
    STATE(3752), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2455), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2453), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [224629] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1838), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1836), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [224683] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1834), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1832), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [224737] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1816), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1814), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [224791] = 5,
    ACTIONS(7206), 1,
      sym_keyword_filter,
    STATE(3661), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2531), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2533), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [224849] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1872), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1870), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [224903] = 5,
    ACTIONS(7206), 1,
      sym_keyword_filter,
    STATE(3660), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2443), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2445), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [224961] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1802), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1800), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [225015] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1820), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1818), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [225069] = 6,
    ACTIONS(7382), 1,
      sym_keyword_unsigned,
    ACTIONS(7384), 1,
      sym_keyword_zerofill,
    ACTIONS(7386), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1824), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1822), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [225129] = 4,
    ACTIONS(7388), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2030), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2032), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [225185] = 6,
    ACTIONS(7390), 1,
      sym_keyword_unsigned,
    ACTIONS(7392), 1,
      sym_keyword_zerofill,
    ACTIONS(7394), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1842), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1840), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [225245] = 6,
    ACTIONS(7396), 1,
      sym_keyword_unsigned,
    ACTIONS(7398), 1,
      sym_keyword_zerofill,
    ACTIONS(7400), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1876), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1874), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [225305] = 6,
    ACTIONS(7402), 1,
      sym_keyword_unsigned,
    ACTIONS(7404), 1,
      sym_keyword_zerofill,
    ACTIONS(7406), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1806), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1804), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [225365] = 6,
    ACTIONS(7408), 1,
      sym_keyword_unsigned,
    ACTIONS(7410), 1,
      sym_keyword_zerofill,
    ACTIONS(7412), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1890), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1888), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [225425] = 6,
    ACTIONS(7414), 1,
      sym_keyword_unsigned,
    ACTIONS(7416), 1,
      sym_keyword_zerofill,
    ACTIONS(7418), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1900), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1898), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [225485] = 6,
    ACTIONS(7050), 1,
      sym_keyword_unsigned,
    ACTIONS(7052), 1,
      sym_keyword_zerofill,
    ACTIONS(7056), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1774), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1772), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [225545] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3464), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3466), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [225599] = 5,
    ACTIONS(7354), 1,
      sym_keyword_filter,
    STATE(3794), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2557), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2555), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [225657] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1374), 3,
      anon_sym_LPAREN,
      anon_sym_DOT,
      aux_sym__single_quote_string_token1,
    ACTIONS(1372), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1370), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [225713] = 5,
    ACTIONS(7354), 1,
      sym_keyword_filter,
    STATE(3797), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2561), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2559), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [225771] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2333), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2335), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [225825] = 6,
    ACTIONS(7420), 1,
      sym_keyword_unsigned,
    ACTIONS(7422), 1,
      sym_keyword_zerofill,
    ACTIONS(7424), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1862), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1860), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [225885] = 27,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6980), 1,
      sym_keyword_is,
    ACTIONS(6982), 1,
      anon_sym_LBRACK,
    ACTIONS(6986), 1,
      anon_sym_PLUS,
    ACTIONS(6988), 1,
      anon_sym_DASH,
    ACTIONS(6990), 1,
      anon_sym_SLASH,
    ACTIONS(6992), 1,
      anon_sym_CARET,
    ACTIONS(7026), 1,
      sym_keyword_in,
    ACTIONS(7028), 1,
      sym_keyword_and,
    ACTIONS(7030), 1,
      sym_keyword_or,
    ACTIONS(7032), 1,
      sym_keyword_not,
    ACTIONS(7034), 1,
      sym_keyword_between,
    ACTIONS(7038), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7042), 1,
      sym_op_other,
    ACTIONS(7426), 1,
      sym_keyword_having,
    ACTIONS(7428), 1,
      anon_sym_COMMA,
    STATE(7205), 1,
      sym__having,
    STATE(7496), 1,
      aux_sym_array_repeat1,
    STATE(10991), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6984), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7040), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1206), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1203), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7036), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6233), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [225987] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2329), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2331), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [226041] = 5,
    ACTIONS(7354), 1,
      sym_keyword_filter,
    STATE(3709), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2549), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2547), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [226099] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2233), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2235), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [226153] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2237), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2239), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [226207] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2241), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2243), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [226261] = 7,
    ACTIONS(7430), 1,
      sym_keyword_array,
    STATE(3435), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4528), 1,
      sym__array_size_definition,
    STATE(4529), 1,
      sym_array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2801), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2799), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [226323] = 5,
    ACTIONS(7206), 1,
      sym_keyword_filter,
    STATE(3659), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2535), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2537), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [226381] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2245), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2247), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [226435] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2249), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2251), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [226489] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2253), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2255), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [226543] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2257), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2259), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [226597] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2181), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2183), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [226651] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2301), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2303), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [226705] = 4,
    ACTIONS(7432), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2036), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2038), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [226761] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2068), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2070), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [226815] = 4,
    ACTIONS(7434), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2044), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2046), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [226871] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2062), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2064), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [226925] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2050), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2052), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [226979] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2125), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2127), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [227033] = 4,
    ACTIONS(7436), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2012), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2014), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [227089] = 4,
    ACTIONS(7438), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2024), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2026), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [227145] = 5,
    ACTIONS(7354), 1,
      sym_keyword_filter,
    STATE(3818), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2515), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2513), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [227203] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1820), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1818), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [227257] = 6,
    ACTIONS(7440), 1,
      sym_keyword_unsigned,
    ACTIONS(7442), 1,
      sym_keyword_zerofill,
    ACTIONS(7444), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1824), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1822), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [227317] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2145), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2147), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [227371] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2229), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2231), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [227425] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2107), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2109), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [227479] = 5,
    ACTIONS(7354), 1,
      sym_keyword_filter,
    STATE(3827), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2511), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2509), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [227537] = 5,
    ACTIONS(7354), 1,
      sym_keyword_filter,
    STATE(3821), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2541), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2539), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [227595] = 4,
    ACTIONS(7446), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2151), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2153), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [227651] = 7,
    ACTIONS(7448), 1,
      sym_keyword_with,
    ACTIONS(7450), 1,
      sym_keyword_without,
    ACTIONS(7452), 1,
      anon_sym_LPAREN,
    STATE(4316), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1786), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1784), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [227713] = 7,
    ACTIONS(7448), 1,
      sym_keyword_with,
    ACTIONS(7450), 1,
      sym_keyword_without,
    ACTIONS(7454), 1,
      anon_sym_LPAREN,
    STATE(4314), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1796), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1794), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [227775] = 7,
    ACTIONS(109), 1,
      anon_sym_LPAREN,
    ACTIONS(2784), 1,
      anon_sym_DOT,
    ACTIONS(3934), 1,
      aux_sym__single_quote_string_token1,
    STATE(4492), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2782), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2780), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [227837] = 6,
    ACTIONS(7456), 1,
      sym_keyword_unsigned,
    ACTIONS(7458), 1,
      sym_keyword_zerofill,
    ACTIONS(7460), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1842), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1840), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [227897] = 6,
    ACTIONS(7462), 1,
      sym_keyword_unsigned,
    ACTIONS(7464), 1,
      sym_keyword_zerofill,
    ACTIONS(7466), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1876), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1874), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [227957] = 6,
    ACTIONS(7468), 1,
      sym_keyword_unsigned,
    ACTIONS(7470), 1,
      sym_keyword_zerofill,
    ACTIONS(7472), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1806), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1804), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [228017] = 6,
    ACTIONS(7474), 1,
      sym_keyword_unsigned,
    ACTIONS(7476), 1,
      sym_keyword_zerofill,
    ACTIONS(7478), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1890), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1888), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [228077] = 6,
    ACTIONS(7480), 1,
      sym_keyword_unsigned,
    ACTIONS(7482), 1,
      sym_keyword_zerofill,
    ACTIONS(7484), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1900), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1898), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [228137] = 6,
    ACTIONS(6996), 1,
      sym_keyword_unsigned,
    ACTIONS(6998), 1,
      sym_keyword_zerofill,
    ACTIONS(7002), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1774), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1772), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [228197] = 5,
    ACTIONS(7354), 1,
      sym_keyword_filter,
    STATE(3829), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2545), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2543), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [228255] = 5,
    ACTIONS(7206), 1,
      sym_keyword_filter,
    STATE(3710), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2567), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2569), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [228313] = 5,
    ACTIONS(7354), 1,
      sym_keyword_filter,
    STATE(3826), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2553), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2551), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [228371] = 7,
    ACTIONS(7486), 1,
      sym_keyword_with,
    ACTIONS(7488), 1,
      sym_keyword_without,
    ACTIONS(7490), 1,
      anon_sym_LPAREN,
    STATE(4019), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1786), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1784), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [228433] = 7,
    ACTIONS(7486), 1,
      sym_keyword_with,
    ACTIONS(7488), 1,
      sym_keyword_without,
    ACTIONS(7492), 1,
      anon_sym_LPAREN,
    STATE(4020), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1796), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1794), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [228495] = 7,
    ACTIONS(7430), 1,
      sym_keyword_array,
    STATE(3435), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4488), 1,
      sym_array_size_definition,
    STATE(4528), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2791), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2789), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [228557] = 4,
    ACTIONS(7494), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2157), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2159), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [228613] = 6,
    ACTIONS(7496), 1,
      sym_keyword_unsigned,
    ACTIONS(7498), 1,
      sym_keyword_zerofill,
    ACTIONS(7500), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1862), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1860), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [228673] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2165), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2167), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [228727] = 5,
    ACTIONS(7354), 1,
      sym_keyword_filter,
    STATE(3824), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2565), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2563), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [228785] = 7,
    ACTIONS(7356), 1,
      sym_keyword_array,
    STATE(3742), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4386), 1,
      sym_array_size_definition,
    STATE(4432), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2791), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2789), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [228847] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2221), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2223), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [228901] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2213), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2215), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [228955] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2193), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2195), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [229009] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2189), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2191), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [229063] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2205), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2207), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [229117] = 4,
    ACTIONS(7502), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2169), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2171), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [229173] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2081), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2083), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [229227] = 7,
    ACTIONS(7504), 1,
      sym_keyword_array,
    STATE(3540), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4426), 1,
      sym_array_size_definition,
    STATE(4493), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2791), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2789), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [229289] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2269), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2271), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [229343] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2265), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2267), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [229397] = 5,
    ACTIONS(7354), 1,
      sym_keyword_filter,
    STATE(3792), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2507), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2505), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [229455] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2139), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2141), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [229509] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1948), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1950), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [229563] = 5,
    ACTIONS(3510), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3558), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3508), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
    ACTIONS(3556), 20,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [229621] = 5,
    ACTIONS(7354), 1,
      sym_keyword_filter,
    STATE(3726), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2537), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2535), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [229679] = 5,
    ACTIONS(7354), 1,
      sym_keyword_filter,
    STATE(3728), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2445), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2443), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [229737] = 5,
    ACTIONS(7354), 1,
      sym_keyword_filter,
    STATE(3764), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2533), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2531), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [229795] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2119), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2121), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [229849] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1376), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1374), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      aux_sym__single_quote_string_token1,
  [229903] = 7,
    ACTIONS(7305), 1,
      sym_keyword_array,
    STATE(3380), 1,
      sym__array_size_definition,
    STATE(3386), 1,
      sym_array_size_definition,
    STATE(3663), 1,
      aux_sym_array_size_definition_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2799), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2801), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [229965] = 4,
    ACTIONS(7506), 1,
      sym_keyword_varying,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1950), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1948), 37,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [230021] = 5,
    ACTIONS(7508), 1,
      sym_keyword_varying,
    ACTIONS(7510), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1934), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1932), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [230079] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2293), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2295), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [230133] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2297), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2299), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [230187] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2309), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2311), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [230241] = 4,
    ACTIONS(7512), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2054), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2056), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [230297] = 4,
    ACTIONS(7514), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2000), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2002), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [230353] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1924), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1926), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [230407] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2209), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2211), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [230461] = 4,
    ACTIONS(6783), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3372), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3370), 38,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [230517] = 5,
    ACTIONS(6781), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3372), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(6779), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
    ACTIONS(3370), 20,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [230575] = 7,
    ACTIONS(7504), 1,
      sym_keyword_array,
    STATE(3540), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4493), 1,
      sym__array_size_definition,
    STATE(4500), 1,
      sym_array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2801), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2799), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [230637] = 5,
    ACTIONS(7206), 1,
      sym_keyword_filter,
    STATE(3537), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2563), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2565), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [230695] = 5,
    ACTIONS(7206), 1,
      sym_keyword_filter,
    STATE(3536), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2551), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2553), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [230753] = 5,
    ACTIONS(7354), 1,
      sym_keyword_filter,
    STATE(3787), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2503), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2501), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [230811] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6400), 1,
      sym_keyword_in,
    ACTIONS(6402), 1,
      sym_keyword_is,
    ACTIONS(6404), 1,
      sym_keyword_not,
    ACTIONS(6406), 1,
      anon_sym_LBRACK,
    ACTIONS(6414), 1,
      sym_op_other,
    ACTIONS(6416), 1,
      anon_sym_PLUS,
    ACTIONS(6418), 1,
      anon_sym_DASH,
    ACTIONS(6420), 1,
      anon_sym_SLASH,
    ACTIONS(6422), 1,
      anon_sym_CARET,
    ACTIONS(6432), 1,
      sym_keyword_and,
    ACTIONS(6434), 1,
      sym_keyword_between,
    ACTIONS(6589), 1,
      sym_keyword_or,
    ACTIONS(6593), 1,
      anon_sym_COLON_COLON,
    STATE(10804), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6410), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6412), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1634), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1635), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6408), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(7058), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [230905] = 4,
    ACTIONS(7516), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2113), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2115), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [230961] = 4,
    ACTIONS(7518), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2131), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2133), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [231017] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1772), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1774), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [231071] = 5,
    ACTIONS(7520), 1,
      sym_keyword_unsigned,
    ACTIONS(7522), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1926), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1924), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [231129] = 5,
    ACTIONS(7206), 1,
      sym_keyword_filter,
    STATE(3519), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2509), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2511), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [231187] = 5,
    ACTIONS(7524), 1,
      sym_keyword_precision,
    ACTIONS(7526), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1862), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1860), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [231245] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2185), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2187), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [231299] = 5,
    ACTIONS(7354), 1,
      sym_keyword_filter,
    STATE(3785), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2451), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2449), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [231357] = 5,
    ACTIONS(7354), 1,
      sym_keyword_filter,
    STATE(3786), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2519), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2517), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [231415] = 5,
    ACTIONS(7528), 1,
      sym_keyword_unsigned,
    ACTIONS(7530), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1942), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1940), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [231472] = 5,
    ACTIONS(7532), 1,
      sym_keyword_filter,
    STATE(4225), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2563), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2565), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [231529] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2559), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2561), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [231582] = 5,
    ACTIONS(7534), 1,
      sym_keyword_filter,
    STATE(3901), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2537), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2535), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [231639] = 4,
    ACTIONS(7536), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2089), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2087), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [231694] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1374), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1376), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [231747] = 4,
    ACTIONS(7538), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2008), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2006), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [231802] = 4,
    ACTIONS(7540), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1996), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1994), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [231857] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2087), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2089), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [231910] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2006), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2008), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [231963] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2018), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2020), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [232016] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2030), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2032), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [232069] = 5,
    ACTIONS(7542), 1,
      sym_keyword_filter,
    STATE(3867), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2549), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2547), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [232126] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2036), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2038), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [232179] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2177), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2179), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [232232] = 6,
    ACTIONS(7544), 1,
      anon_sym_LBRACK,
    STATE(3113), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4079), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2076), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2074), 34,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [232291] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2229), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2231), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [232344] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1860), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1862), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [232397] = 4,
    ACTIONS(7547), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1996), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1994), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [232452] = 5,
    ACTIONS(7542), 1,
      sym_keyword_filter,
    STATE(3879), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2537), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2535), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [232509] = 4,
    ACTIONS(7549), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2020), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2018), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [232564] = 5,
    ACTIONS(7542), 1,
      sym_keyword_filter,
    STATE(3881), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2445), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2443), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [232621] = 4,
    ACTIONS(7551), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2032), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2030), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [232676] = 5,
    ACTIONS(7542), 1,
      sym_keyword_filter,
    STATE(3882), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2533), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2531), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [232733] = 4,
    ACTIONS(7553), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2038), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2036), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [232788] = 5,
    ACTIONS(7534), 1,
      sym_keyword_filter,
    STATE(3960), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2549), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2547), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [232845] = 29,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4479), 1,
      sym_keyword_as,
    ACTIONS(4495), 1,
      sym_keyword_similar,
    ACTIONS(7555), 1,
      sym_keyword_in,
    ACTIONS(7557), 1,
      sym_keyword_and,
    ACTIONS(7559), 1,
      sym_keyword_or,
    ACTIONS(7561), 1,
      sym_keyword_is,
    ACTIONS(7563), 1,
      sym_keyword_not,
    ACTIONS(7565), 1,
      sym_keyword_between,
    ACTIONS(7571), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7575), 1,
      sym_op_other,
    ACTIONS(7577), 1,
      anon_sym_PLUS,
    ACTIONS(7579), 1,
      anon_sym_DASH,
    ACTIONS(7581), 1,
      anon_sym_SLASH,
    ACTIONS(7583), 1,
      anon_sym_CARET,
    STATE(6377), 1,
      sym_identifier,
    STATE(7021), 1,
      sym__alias,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(4477), 2,
      sym_keyword_from,
      sym_keyword_create,
    ACTIONS(4493), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(7569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7573), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4475), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_COMMA,
    STATE(1419), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1116), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7567), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [232950] = 5,
    ACTIONS(7532), 1,
      sym_keyword_filter,
    STATE(3973), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2567), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2569), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [233007] = 5,
    ACTIONS(7534), 1,
      sym_keyword_filter,
    STATE(3872), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2445), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2443), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [233064] = 4,
    ACTIONS(6968), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1862), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1860), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [233119] = 4,
    ACTIONS(7585), 1,
      sym_keyword_varying,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1950), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1948), 37,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [233174] = 4,
    ACTIONS(7587), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2046), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2044), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [233229] = 4,
    ACTIONS(7589), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2101), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2099), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [233284] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2044), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2046), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [233337] = 5,
    ACTIONS(7591), 1,
      sym_keyword_varying,
    ACTIONS(7593), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1934), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1932), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [233394] = 5,
    ACTIONS(7534), 1,
      sym_keyword_filter,
    STATE(3897), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2533), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2531), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [233451] = 5,
    ACTIONS(7542), 1,
      sym_keyword_filter,
    STATE(3892), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2451), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2449), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [233508] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2726), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2728), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [233561] = 5,
    ACTIONS(7542), 1,
      sym_keyword_filter,
    STATE(3893), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2519), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2517), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [233618] = 5,
    ACTIONS(7542), 1,
      sym_keyword_filter,
    STATE(3894), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2503), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2501), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [233675] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2357), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2359), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [233728] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1994), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1996), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [233781] = 5,
    ACTIONS(7542), 1,
      sym_keyword_filter,
    STATE(3895), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2529), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2527), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [233838] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2261), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2263), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [233891] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1772), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1774), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [233944] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2353), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2355), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [233997] = 4,
    ACTIONS(7595), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(55), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(109), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [234052] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2349), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2351), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [234105] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2341), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2343), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [234158] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2337), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2339), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [234211] = 5,
    ACTIONS(7542), 1,
      sym_keyword_filter,
    STATE(3898), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2507), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2505), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [234268] = 6,
    ACTIONS(7448), 1,
      sym_keyword_with,
    ACTIONS(7450), 1,
      sym_keyword_without,
    STATE(4319), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1886), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1884), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [234327] = 6,
    ACTIONS(7448), 1,
      sym_keyword_with,
    ACTIONS(7450), 1,
      sym_keyword_without,
    STATE(4320), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1858), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1856), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [234386] = 5,
    ACTIONS(7597), 1,
      sym_keyword_unsigned,
    ACTIONS(7599), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1942), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1940), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [234443] = 27,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(7601), 1,
      sym_keyword_having,
    ACTIONS(7603), 1,
      sym_keyword_in,
    ACTIONS(7605), 1,
      sym_keyword_and,
    ACTIONS(7607), 1,
      sym_keyword_or,
    ACTIONS(7609), 1,
      sym_keyword_is,
    ACTIONS(7611), 1,
      sym_keyword_not,
    ACTIONS(7613), 1,
      sym_keyword_between,
    ACTIONS(7615), 1,
      anon_sym_LBRACK,
    ACTIONS(7617), 1,
      anon_sym_COMMA,
    ACTIONS(7623), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7627), 1,
      sym_op_other,
    ACTIONS(7629), 1,
      anon_sym_PLUS,
    ACTIONS(7631), 1,
      anon_sym_DASH,
    ACTIONS(7633), 1,
      anon_sym_SLASH,
    ACTIONS(7635), 1,
      anon_sym_CARET,
    STATE(7276), 1,
      sym__having,
    STATE(7527), 1,
      aux_sym_array_repeat1,
    STATE(10903), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(7621), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7625), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1574), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1575), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7619), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6233), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
  [234544] = 5,
    ACTIONS(7637), 1,
      sym_keyword_unsigned,
    ACTIONS(7639), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1964), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1962), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [234601] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2509), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2511), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [234654] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2293), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2295), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [234707] = 5,
    ACTIONS(7534), 1,
      sym_keyword_filter,
    STATE(3871), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2451), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2449), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [234764] = 5,
    ACTIONS(7641), 1,
      sym_keyword_unsigned,
    ACTIONS(7643), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1964), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1962), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [234821] = 5,
    ACTIONS(7645), 1,
      sym_keyword_unsigned,
    ACTIONS(7647), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1984), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1982), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [234878] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2297), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2299), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [234931] = 5,
    ACTIONS(7649), 1,
      sym_keyword_unsigned,
    ACTIONS(7651), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1984), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1982), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [234988] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2309), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2311), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [235041] = 5,
    ACTIONS(7653), 1,
      sym_keyword_unsigned,
    ACTIONS(7655), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1956), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1954), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [235098] = 5,
    ACTIONS(7657), 1,
      sym_keyword_filter,
    STATE(4058), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2569), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2567), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [235155] = 4,
    ACTIONS(7659), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2121), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2119), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [235210] = 5,
    ACTIONS(7661), 1,
      sym_keyword_unsigned,
    ACTIONS(7663), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1956), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1954), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [235267] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2551), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2553), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [235320] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2684), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2686), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [235373] = 5,
    ACTIONS(7665), 1,
      sym_keyword_unsigned,
    ACTIONS(7667), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1972), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1970), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [235430] = 5,
    ACTIONS(7534), 1,
      sym_keyword_filter,
    STATE(3907), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2519), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2517), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [235487] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2093), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2095), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [235540] = 4,
    ACTIONS(7526), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1862), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1860), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [235595] = 4,
    ACTIONS(7669), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2089), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2087), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [235650] = 5,
    ACTIONS(7657), 1,
      sym_keyword_filter,
    STATE(4292), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2507), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2505), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [235707] = 5,
    ACTIONS(7532), 1,
      sym_keyword_filter,
    STATE(4069), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2453), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2455), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [235764] = 5,
    ACTIONS(7657), 1,
      sym_keyword_filter,
    STATE(4273), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2529), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2527), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [235821] = 5,
    ACTIONS(7657), 1,
      sym_keyword_filter,
    STATE(4270), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2503), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2501), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [235878] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2277), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2279), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [235931] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2281), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2283), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [235984] = 6,
    ACTIONS(7671), 1,
      sym_keyword_unsigned,
    ACTIONS(7673), 1,
      sym_keyword_zerofill,
    ACTIONS(7675), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1862), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1860), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [236043] = 5,
    ACTIONS(7677), 1,
      sym_keyword_precision,
    ACTIONS(7679), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1862), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1860), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [236100] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2285), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2287), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [236153] = 5,
    ACTIONS(7681), 1,
      sym_keyword_unsigned,
    ACTIONS(7683), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1972), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1970), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [236210] = 7,
    ACTIONS(7685), 1,
      sym_keyword_with,
    ACTIONS(7687), 1,
      sym_keyword_without,
    ACTIONS(7689), 1,
      anon_sym_LPAREN,
    STATE(4540), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1796), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1794), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [236271] = 7,
    ACTIONS(7685), 1,
      sym_keyword_with,
    ACTIONS(7687), 1,
      sym_keyword_without,
    ACTIONS(7691), 1,
      anon_sym_LPAREN,
    STATE(4539), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1786), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1784), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [236332] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1376), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1374), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      aux_sym__single_quote_string_token1,
  [236385] = 5,
    ACTIONS(7542), 1,
      sym_keyword_filter,
    STATE(3920), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2565), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2563), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [236442] = 5,
    ACTIONS(7693), 1,
      sym_keyword_precision,
    ACTIONS(7695), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1862), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1860), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [236499] = 5,
    ACTIONS(7542), 1,
      sym_keyword_filter,
    STATE(3921), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2553), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2551), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [236556] = 5,
    ACTIONS(7542), 1,
      sym_keyword_filter,
    STATE(3939), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2545), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2543), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [236613] = 4,
    ACTIONS(7697), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2008), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2006), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [236668] = 4,
    ACTIONS(7699), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2020), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2018), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [236723] = 4,
    ACTIONS(7701), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2032), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2030), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [236778] = 4,
    ACTIONS(7703), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2038), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2036), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [236833] = 4,
    ACTIONS(7705), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2046), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2044), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [236888] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2052), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2050), 37,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [236941] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2289), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2291), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [236994] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2305), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2307), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [237047] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2313), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2315), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [237100] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2317), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2319), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [237153] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2321), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2323), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [237206] = 7,
    ACTIONS(7707), 1,
      sym_keyword_array,
    STATE(4056), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4669), 1,
      sym_array_size_definition,
    STATE(4672), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2791), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2789), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [237267] = 5,
    ACTIONS(7542), 1,
      sym_keyword_filter,
    STATE(3943), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2541), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2539), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [237324] = 5,
    ACTIONS(7542), 1,
      sym_keyword_filter,
    STATE(3946), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2511), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2509), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [237381] = 5,
    ACTIONS(7534), 1,
      sym_keyword_filter,
    STATE(3910), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2503), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2501), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [237438] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2325), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2327), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [237491] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2345), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2347), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [237544] = 4,
    ACTIONS(7709), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2014), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2012), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [237599] = 4,
    ACTIONS(7711), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2026), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2024), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [237654] = 4,
    ACTIONS(7713), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2141), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2139), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [237709] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 27,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_offset,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [237762] = 5,
    ACTIONS(7534), 1,
      sym_keyword_filter,
    STATE(3911), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2529), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2527), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [237819] = 6,
    ACTIONS(7346), 1,
      sym_keyword_unsigned,
    ACTIONS(7348), 1,
      sym_keyword_zerofill,
    ACTIONS(7352), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1774), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1772), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [237878] = 4,
    ACTIONS(7715), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2153), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2151), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [237933] = 6,
    ACTIONS(7717), 1,
      sym_keyword_unsigned,
    ACTIONS(7719), 1,
      sym_keyword_zerofill,
    ACTIONS(7721), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1900), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1898), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [237992] = 5,
    ACTIONS(7534), 1,
      sym_keyword_filter,
    STATE(3916), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2507), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2505), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [238049] = 4,
    ACTIONS(7723), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2159), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2157), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [238104] = 6,
    ACTIONS(7725), 1,
      sym_keyword_unsigned,
    ACTIONS(7727), 1,
      sym_keyword_zerofill,
    ACTIONS(7729), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1890), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1888), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [238163] = 6,
    ACTIONS(7731), 1,
      sym_keyword_unsigned,
    ACTIONS(7733), 1,
      sym_keyword_zerofill,
    ACTIONS(7735), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1806), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1804), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [238222] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2225), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2227), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [238275] = 6,
    ACTIONS(7737), 1,
      sym_keyword_unsigned,
    ACTIONS(7739), 1,
      sym_keyword_zerofill,
    ACTIONS(7741), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1876), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1874), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [238334] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2167), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2165), 37,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [238387] = 4,
    ACTIONS(7743), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2171), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2169), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [238442] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2217), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2219), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [238495] = 4,
    ACTIONS(7745), 1,
      sym_keyword_varying,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1950), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1948), 36,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [238550] = 6,
    ACTIONS(7747), 1,
      sym_keyword_unsigned,
    ACTIONS(7749), 1,
      sym_keyword_zerofill,
    ACTIONS(7751), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1842), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1840), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [238609] = 5,
    ACTIONS(7753), 1,
      sym_keyword_varying,
    ACTIONS(7755), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1934), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1932), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [238666] = 6,
    ACTIONS(7757), 1,
      sym_keyword_unsigned,
    ACTIONS(7759), 1,
      sym_keyword_zerofill,
    ACTIONS(7761), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1824), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1822), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [238725] = 5,
    ACTIONS(7532), 1,
      sym_keyword_filter,
    STATE(4137), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2555), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2557), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [238782] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1950), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1948), 37,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [238835] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2273), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2275), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [238888] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2201), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2203), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [238941] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1820), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1818), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [238994] = 5,
    ACTIONS(7532), 1,
      sym_keyword_filter,
    STATE(4141), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2559), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2561), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [239051] = 4,
    ACTIONS(7763), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2083), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2081), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [239106] = 5,
    ACTIONS(7532), 1,
      sym_keyword_filter,
    STATE(4142), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2513), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2515), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [239163] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1802), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1800), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [239216] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1872), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1870), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [239269] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2527), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2529), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [239322] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1816), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1814), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [239375] = 5,
    ACTIONS(7657), 1,
      sym_keyword_filter,
    STATE(4269), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2519), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2517), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [239432] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1834), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1832), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [239485] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1838), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1836), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [239538] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2056), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2054), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [239593] = 4,
    ACTIONS(7767), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2002), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2000), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [239648] = 5,
    ACTIONS(7542), 1,
      sym_keyword_filter,
    STATE(4023), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2515), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2513), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [239705] = 5,
    ACTIONS(7542), 1,
      sym_keyword_filter,
    STATE(4026), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2561), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2559), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [239762] = 5,
    ACTIONS(7542), 1,
      sym_keyword_filter,
    STATE(4030), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2557), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2555), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [239819] = 5,
    STATE(2281), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(2637), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3185), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3187), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [239876] = 5,
    STATE(3402), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4132), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3187), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3185), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [239933] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1374), 3,
      anon_sym_LPAREN,
      anon_sym_DOT,
      aux_sym__single_quote_string_token1,
    ACTIONS(1372), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1370), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [239988] = 4,
    ACTIONS(7769), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2115), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2113), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [240043] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2730), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2732), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [240096] = 5,
    ACTIONS(7542), 1,
      sym_keyword_filter,
    STATE(4098), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2455), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2453), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [240153] = 5,
    ACTIONS(7771), 1,
      sym_keyword_unsigned,
    ACTIONS(7773), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1910), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1908), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [240210] = 5,
    ACTIONS(7775), 1,
      sym_keyword_unsigned,
    ACTIONS(7777), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1918), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1916), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [240267] = 5,
    ACTIONS(7657), 1,
      sym_keyword_filter,
    STATE(4227), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2565), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2563), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [240324] = 5,
    ACTIONS(7657), 1,
      sym_keyword_filter,
    STATE(4264), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2451), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2449), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [240381] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2742), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2744), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [240434] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2517), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2519), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [240487] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2752), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2754), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [240540] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2766), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2768), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [240593] = 4,
    ACTIONS(7779), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2133), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2131), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [240648] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2233), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2235), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [240701] = 5,
    ACTIONS(7781), 1,
      aux_sym__single_quote_string_token2,
    STATE(3337), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1366), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1364), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [240758] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2237), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2239), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [240811] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2241), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2243), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [240864] = 5,
    ACTIONS(7783), 1,
      aux_sym__single_quote_string_token2,
    STATE(3338), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3043), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3045), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_offset,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [240921] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2245), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2247), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [240974] = 5,
    ACTIONS(7657), 1,
      sym_keyword_filter,
    STATE(4150), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2553), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2551), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [241031] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2249), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2251), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [241084] = 5,
    ACTIONS(7785), 1,
      sym_keyword_unsigned,
    ACTIONS(7787), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1926), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1924), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [241141] = 5,
    ACTIONS(7657), 1,
      sym_keyword_filter,
    STATE(4085), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2545), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2543), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [241198] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2253), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2255), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [241251] = 5,
    ACTIONS(7532), 1,
      sym_keyword_filter,
    STATE(4212), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2509), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2511), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [241308] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2257), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2259), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [241361] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2181), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2183), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [241414] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2301), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2303), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [241467] = 5,
    ACTIONS(7532), 1,
      sym_keyword_filter,
    STATE(4216), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2539), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2541), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [241524] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2068), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2070), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [241577] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2062), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2064), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [241630] = 5,
    ACTIONS(7532), 1,
      sym_keyword_filter,
    STATE(4219), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2543), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2545), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [241687] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2125), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2127), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [241740] = 5,
    ACTIONS(7532), 1,
      sym_keyword_filter,
    STATE(4224), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2551), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2553), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [241797] = 4,
    ACTIONS(7789), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(55), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(109), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [241852] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2145), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2147), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [241905] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2107), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2109), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [241958] = 7,
    ACTIONS(109), 1,
      anon_sym_LPAREN,
    ACTIONS(2784), 1,
      anon_sym_DOT,
    ACTIONS(3704), 1,
      aux_sym__single_quote_string_token1,
    STATE(4685), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2782), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2780), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [242019] = 5,
    ACTIONS(7657), 1,
      sym_keyword_filter,
    STATE(4070), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2541), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2539), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [242076] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2369), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2371), 28,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [242129] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2531), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2533), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [242182] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1374), 3,
      anon_sym_LPAREN,
      anon_sym_DOT,
      aux_sym__single_quote_string_token1,
    ACTIONS(1372), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1370), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [242237] = 5,
    ACTIONS(7657), 1,
      sym_keyword_filter,
    STATE(3985), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2511), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2509), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [242294] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2622), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2624), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [242347] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2616), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2618), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [242400] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2608), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2610), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [242453] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2535), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2537), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [242506] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2221), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2223), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [242559] = 5,
    ACTIONS(7542), 1,
      sym_keyword_filter,
    STATE(4130), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2569), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2567), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [242616] = 5,
    ACTIONS(7534), 1,
      sym_keyword_filter,
    STATE(3962), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2565), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2563), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [242673] = 5,
    ACTIONS(7791), 1,
      sym_keyword_varying,
    ACTIONS(7793), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1934), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1932), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [242730] = 7,
    ACTIONS(7707), 1,
      sym_keyword_array,
    STATE(4056), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4672), 1,
      sym__array_size_definition,
    STATE(4673), 1,
      sym_array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2801), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2799), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [242791] = 4,
    ACTIONS(7795), 1,
      sym_keyword_varying,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1950), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1948), 36,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [242846] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2213), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2215), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [242899] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2205), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2207), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [242952] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2189), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2191), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [243005] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2193), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2195), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [243058] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2197), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2199), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [243111] = 5,
    ACTIONS(7534), 1,
      sym_keyword_filter,
    STATE(4049), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2569), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2567), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [243168] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2185), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2187), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [243221] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2666), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2668), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [243274] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2547), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2549), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [243327] = 5,
    ACTIONS(7534), 1,
      sym_keyword_filter,
    STATE(3963), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2553), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2551), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [243384] = 5,
    ACTIONS(7797), 1,
      aux_sym__single_quote_string_token2,
    STATE(3330), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3045), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3043), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [243441] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2676), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2678), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [243494] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2209), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2211), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [243547] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1374), 3,
      anon_sym_LPAREN,
      anon_sym_DOT,
      aux_sym__single_quote_string_token1,
    ACTIONS(1372), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1370), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [243602] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1924), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1926), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [243655] = 5,
    ACTIONS(7534), 1,
      sym_keyword_filter,
    STATE(4008), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2545), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2543), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [243712] = 5,
    ACTIONS(7534), 1,
      sym_keyword_filter,
    STATE(4010), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2541), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2539), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [243769] = 5,
    ACTIONS(7534), 1,
      sym_keyword_filter,
    STATE(4043), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2511), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2509), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [243826] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2119), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2121), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [243879] = 5,
    ACTIONS(7799), 1,
      sym_keyword_unsigned,
    ACTIONS(7801), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1942), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1940), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [243936] = 5,
    ACTIONS(7803), 1,
      sym_keyword_unsigned,
    ACTIONS(7805), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1964), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1962), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [243993] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2139), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2141), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [244046] = 5,
    ACTIONS(7807), 1,
      sym_keyword_unsigned,
    ACTIONS(7809), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1984), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1982), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [244103] = 5,
    ACTIONS(7811), 1,
      sym_keyword_unsigned,
    ACTIONS(7813), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1956), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1954), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [244160] = 5,
    ACTIONS(7815), 1,
      sym_keyword_unsigned,
    ACTIONS(7817), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1972), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1970), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [244217] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2722), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2724), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [244270] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2265), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2267), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [244323] = 5,
    ACTIONS(7819), 1,
      aux_sym__single_quote_string_token2,
    STATE(3362), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2967), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2965), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [244380] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2269), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2271), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [244433] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2081), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2083), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [244486] = 5,
    ACTIONS(7532), 1,
      sym_keyword_filter,
    STATE(4251), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2505), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2507), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [244543] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2329), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2331), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [244596] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2333), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2335), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [244649] = 5,
    ACTIONS(7532), 1,
      sym_keyword_filter,
    STATE(4254), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2527), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2529), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [244706] = 5,
    ACTIONS(7819), 1,
      aux_sym__single_quote_string_token2,
    STATE(3362), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1353), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1351), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [244763] = 5,
    ACTIONS(2388), 1,
      aux_sym__single_quote_string_token2,
    STATE(288), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2965), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2967), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_offset,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [244820] = 5,
    ACTIONS(7821), 1,
      aux_sym__single_quote_string_token2,
    STATE(3352), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3045), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3043), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [244877] = 5,
    ACTIONS(7532), 1,
      sym_keyword_filter,
    STATE(4257), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2501), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2503), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [244934] = 4,
    ACTIONS(7823), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2083), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2081), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [244989] = 5,
    ACTIONS(7532), 1,
      sym_keyword_filter,
    STATE(4259), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2517), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2519), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [245046] = 29,
    ACTIONS(211), 1,
      sym__identifier,
    ACTIONS(4495), 1,
      sym_keyword_similar,
    ACTIONS(6256), 1,
      sym_keyword_as,
    ACTIONS(7825), 1,
      sym_keyword_in,
    ACTIONS(7827), 1,
      sym_keyword_and,
    ACTIONS(7829), 1,
      sym_keyword_or,
    ACTIONS(7831), 1,
      sym_keyword_is,
    ACTIONS(7833), 1,
      sym_keyword_not,
    ACTIONS(7835), 1,
      sym_keyword_between,
    ACTIONS(7837), 1,
      anon_sym_LBRACK,
    ACTIONS(7843), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7847), 1,
      sym_op_other,
    ACTIONS(7849), 1,
      anon_sym_PLUS,
    ACTIONS(7851), 1,
      anon_sym_DASH,
    ACTIONS(7853), 1,
      anon_sym_SLASH,
    ACTIONS(7855), 1,
      anon_sym_CARET,
    STATE(6560), 1,
      sym_identifier,
    STATE(7458), 1,
      sym__alias,
    STATE(10705), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(4477), 2,
      sym_keyword_from,
      sym_keyword_create,
    ACTIONS(4493), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(7841), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7845), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4475), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
    STATE(1342), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1341), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7839), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [245151] = 4,
    ACTIONS(7857), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(109), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(55), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [245206] = 5,
    ACTIONS(7532), 1,
      sym_keyword_filter,
    STATE(4261), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2449), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2451), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [245263] = 4,
    ACTIONS(7859), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2141), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2139), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [245318] = 4,
    ACTIONS(7861), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2121), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2119), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [245373] = 5,
    ACTIONS(7657), 1,
      sym_keyword_filter,
    STATE(4107), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2515), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2513), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [245430] = 5,
    ACTIONS(7657), 1,
      sym_keyword_filter,
    STATE(4136), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2561), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2559), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [245487] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2365), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2367), 28,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [245540] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2361), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2363), 28,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [245593] = 5,
    ACTIONS(4813), 1,
      aux_sym__single_quote_string_token2,
    STATE(1302), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2967), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2965), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [245650] = 5,
    ACTIONS(7657), 1,
      sym_keyword_filter,
    STATE(4244), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2557), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2555), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [245707] = 4,
    ACTIONS(7863), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2070), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2068), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [245762] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6400), 1,
      sym_keyword_in,
    ACTIONS(6402), 1,
      sym_keyword_is,
    ACTIONS(6404), 1,
      sym_keyword_not,
    ACTIONS(6406), 1,
      anon_sym_LBRACK,
    ACTIONS(6414), 1,
      sym_op_other,
    ACTIONS(6416), 1,
      anon_sym_PLUS,
    ACTIONS(6418), 1,
      anon_sym_DASH,
    ACTIONS(6420), 1,
      anon_sym_SLASH,
    ACTIONS(6422), 1,
      anon_sym_CARET,
    ACTIONS(6432), 1,
      sym_keyword_and,
    ACTIONS(6434), 1,
      sym_keyword_between,
    ACTIONS(6589), 1,
      sym_keyword_or,
    ACTIONS(6839), 1,
      anon_sym_COLON_COLON,
    STATE(10804), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6410), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6412), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1634), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1635), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6408), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6849), 11,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
  [245855] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3524), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3526), 27,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_offset,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [245908] = 5,
    ACTIONS(7534), 1,
      sym_keyword_filter,
    STATE(4168), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2515), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2513), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [245965] = 5,
    ACTIONS(7532), 1,
      sym_keyword_filter,
    STATE(4276), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2531), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2533), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [246022] = 5,
    ACTIONS(7532), 1,
      sym_keyword_filter,
    STATE(4277), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2443), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2445), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [246079] = 5,
    ACTIONS(7534), 1,
      sym_keyword_filter,
    STATE(4171), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2561), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2559), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [246136] = 5,
    ACTIONS(7534), 1,
      sym_keyword_filter,
    STATE(4180), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2557), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2555), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [246193] = 5,
    ACTIONS(7865), 1,
      aux_sym__single_quote_string_token2,
    STATE(3362), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1359), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1357), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [246250] = 5,
    ACTIONS(7532), 1,
      sym_keyword_filter,
    STATE(4278), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2535), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2537), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [246307] = 5,
    ACTIONS(7868), 1,
      sym_keyword_unsigned,
    ACTIONS(7870), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1910), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1908), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [246364] = 5,
    ACTIONS(7872), 1,
      sym_keyword_unsigned,
    ACTIONS(7874), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1918), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1916), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [246421] = 4,
    ACTIONS(7876), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2109), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2107), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [246476] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3532), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3534), 27,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_offset,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [246529] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2373), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2375), 28,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [246582] = 4,
    ACTIONS(7878), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2147), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2145), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [246637] = 4,
    ACTIONS(7880), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2127), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2125), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [246692] = 5,
    ACTIONS(7532), 1,
      sym_keyword_filter,
    STATE(4287), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2547), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2549), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [246749] = 4,
    ACTIONS(7882), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2064), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2062), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [246804] = 4,
    ACTIONS(7884), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2070), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2068), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [246859] = 5,
    ACTIONS(7886), 1,
      sym_keyword_unsigned,
    ACTIONS(7888), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1926), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1924), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [246916] = 4,
    ACTIONS(7890), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2064), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2062), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [246971] = 4,
    ACTIONS(7892), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2127), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2125), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [247026] = 4,
    ACTIONS(7894), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2147), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2145), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [247081] = 5,
    STATE(3113), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4079), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3187), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3185), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [247138] = 4,
    ACTIONS(7896), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1996), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1994), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [247193] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2384), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2386), 28,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [247246] = 5,
    ACTIONS(7657), 1,
      sym_keyword_filter,
    STATE(4119), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2533), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2531), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [247303] = 4,
    ACTIONS(7898), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2133), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2131), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [247358] = 5,
    ACTIONS(7657), 1,
      sym_keyword_filter,
    STATE(4118), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2445), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2443), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [247415] = 4,
    ACTIONS(7900), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2115), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2113), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [247470] = 29,
    ACTIONS(337), 1,
      sym__identifier,
    ACTIONS(4495), 1,
      sym_keyword_similar,
    ACTIONS(6982), 1,
      anon_sym_LBRACK,
    ACTIONS(7902), 1,
      sym_keyword_as,
    ACTIONS(7904), 1,
      sym_keyword_in,
    ACTIONS(7906), 1,
      sym_keyword_and,
    ACTIONS(7908), 1,
      sym_keyword_or,
    ACTIONS(7910), 1,
      sym_keyword_is,
    ACTIONS(7912), 1,
      sym_keyword_not,
    ACTIONS(7914), 1,
      sym_keyword_between,
    ACTIONS(7920), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7924), 1,
      sym_op_other,
    ACTIONS(7926), 1,
      anon_sym_PLUS,
    ACTIONS(7928), 1,
      anon_sym_DASH,
    ACTIONS(7930), 1,
      anon_sym_SLASH,
    ACTIONS(7932), 1,
      anon_sym_CARET,
    STATE(6377), 1,
      sym_identifier,
    STATE(7021), 1,
      sym__alias,
    STATE(10991), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(4475), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(4493), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(7918), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7922), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(4477), 3,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_separator,
    STATE(1841), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1842), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7916), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [247575] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2380), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2382), 28,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [247628] = 5,
    ACTIONS(7657), 1,
      sym_keyword_filter,
    STATE(4114), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2537), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2535), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [247685] = 5,
    ACTIONS(7934), 1,
      sym_keyword_unsigned,
    ACTIONS(7936), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1910), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1908), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [247742] = 5,
    ACTIONS(7534), 1,
      sym_keyword_filter,
    STATE(4252), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2455), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2453), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [247799] = 6,
    ACTIONS(7486), 1,
      sym_keyword_with,
    ACTIONS(7488), 1,
      sym_keyword_without,
    STATE(4240), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1858), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1856), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [247858] = 6,
    ACTIONS(7486), 1,
      sym_keyword_with,
    ACTIONS(7488), 1,
      sym_keyword_without,
    STATE(4239), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1886), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1884), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [247917] = 5,
    ACTIONS(7657), 1,
      sym_keyword_filter,
    STATE(4234), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2455), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2453), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [247974] = 4,
    ACTIONS(7938), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2002), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2000), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [248029] = 5,
    ACTIONS(7940), 1,
      sym_keyword_unsigned,
    ACTIONS(7942), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1918), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1916), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [248086] = 5,
    ACTIONS(7944), 1,
      sym_keyword_unsigned,
    ACTIONS(7946), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1926), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1924), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [248143] = 4,
    ACTIONS(7948), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2056), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2054), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [248198] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1950), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1948), 37,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [248251] = 4,
    ACTIONS(7950), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2171), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2169), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [248306] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2167), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2165), 37,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [248359] = 4,
    ACTIONS(7952), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2159), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2157), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [248414] = 4,
    ACTIONS(7954), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2153), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2151), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [248469] = 6,
    ACTIONS(7956), 1,
      anon_sym_LBRACK,
    STATE(3402), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4132), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2076), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2074), 34,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [248528] = 4,
    ACTIONS(7959), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1996), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1994), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [248583] = 4,
    ACTIONS(7961), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2109), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2107), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [248638] = 5,
    ACTIONS(7963), 1,
      sym_keyword_precision,
    ACTIONS(7965), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1862), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1860), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [248695] = 4,
    ACTIONS(7967), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2089), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2087), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [248750] = 4,
    ACTIONS(7969), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2008), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2006), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [248805] = 4,
    ACTIONS(7971), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2020), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2018), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [248860] = 4,
    ACTIONS(7973), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2032), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2030), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [248915] = 4,
    ACTIONS(7975), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2038), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2036), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [248970] = 4,
    ACTIONS(7977), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2026), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2024), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [249025] = 4,
    ACTIONS(7979), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2014), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2012), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [249080] = 4,
    ACTIONS(7103), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1862), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1860), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [249135] = 4,
    ACTIONS(7981), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2046), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2044), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [249190] = 4,
    STATE(284), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3406), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3404), 37,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [249245] = 4,
    ACTIONS(7983), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2101), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2099), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [249300] = 4,
    STATE(3524), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3404), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3406), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [249355] = 4,
    ACTIONS(7263), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1862), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1860), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [249410] = 4,
    ACTIONS(7985), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2089), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2087), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [249465] = 4,
    ACTIONS(7987), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2008), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2006), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [249520] = 4,
    ACTIONS(7989), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2020), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2018), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [249575] = 4,
    ACTIONS(7991), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2032), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2030), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [249630] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6173), 1,
      sym_keyword_in,
    ACTIONS(6175), 1,
      sym_keyword_is,
    ACTIONS(6177), 1,
      sym_keyword_not,
    ACTIONS(6179), 1,
      anon_sym_LBRACK,
    ACTIONS(6187), 1,
      sym_op_other,
    ACTIONS(6189), 1,
      anon_sym_PLUS,
    ACTIONS(6191), 1,
      anon_sym_DASH,
    ACTIONS(6193), 1,
      anon_sym_SLASH,
    ACTIONS(6195), 1,
      anon_sym_CARET,
    ACTIONS(6237), 1,
      sym_keyword_and,
    ACTIONS(6239), 1,
      sym_keyword_or,
    ACTIONS(6241), 1,
      sym_keyword_between,
    ACTIONS(6703), 1,
      anon_sym_COLON_COLON,
    STATE(10807), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6183), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6185), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1449), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1458), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6181), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(7058), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      anon_sym_RPAREN,
  [249723] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2052), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2050), 37,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [249776] = 4,
    ACTIONS(7993), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2046), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2044), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [249831] = 5,
    ACTIONS(7657), 1,
      sym_keyword_filter,
    STATE(4047), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2549), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2547), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [249888] = 4,
    ACTIONS(7995), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2038), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2036), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [249943] = 4,
    ACTIONS(7965), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1862), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1860), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [249997] = 4,
    ACTIONS(7997), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2089), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2087), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [250051] = 4,
    ACTIONS(7999), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2008), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2006), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [250105] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2093), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2095), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [250157] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3468), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3470), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [250209] = 18,
    ACTIONS(2394), 1,
      sym_keyword_or,
    ACTIONS(7603), 1,
      sym_keyword_in,
    ACTIONS(7609), 1,
      sym_keyword_is,
    ACTIONS(7615), 1,
      anon_sym_LBRACK,
    ACTIONS(7627), 1,
      sym_op_other,
    ACTIONS(7629), 1,
      anon_sym_PLUS,
    ACTIONS(7631), 1,
      anon_sym_DASH,
    ACTIONS(7633), 1,
      anon_sym_SLASH,
    ACTIONS(7635), 1,
      anon_sym_CARET,
    ACTIONS(8001), 1,
      sym_keyword_not,
    STATE(10903), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7621), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7625), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1574), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1575), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7619), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2392), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [250291] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3512), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3514), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [250343] = 5,
    STATE(3675), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4528), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3187), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3185), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [250399] = 4,
    ACTIONS(8004), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2020), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2018), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [250453] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2046), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2044), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [250505] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3504), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3506), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [250557] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1862), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1860), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [250609] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2231), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2229), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [250661] = 5,
    ACTIONS(8006), 1,
      sym_keyword_filter,
    STATE(4516), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2455), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2453), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [250717] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2179), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2177), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [250769] = 4,
    ACTIONS(8008), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2121), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2119), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [250823] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2038), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2036), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [250875] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3560), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3562), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [250927] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2032), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2030), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [250979] = 4,
    ACTIONS(8010), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2032), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2030), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [251033] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2392), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2394), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [251085] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2020), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2018), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [251137] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3484), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3486), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [251189] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3456), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3458), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [251241] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3564), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3566), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [251293] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2008), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2006), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [251345] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3556), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3558), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [251397] = 4,
    ACTIONS(8012), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2038), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2036), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [251451] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3552), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3554), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [251503] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3532), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3534), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [251555] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2089), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2087), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [251607] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2109), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2107), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [251659] = 4,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2046), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2044), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [251713] = 29,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4479), 1,
      sym_keyword_as,
    ACTIONS(4495), 1,
      sym_keyword_similar,
    ACTIONS(7555), 1,
      sym_keyword_in,
    ACTIONS(7571), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8016), 1,
      sym_keyword_and,
    ACTIONS(8018), 1,
      sym_keyword_or,
    ACTIONS(8020), 1,
      sym_keyword_is,
    ACTIONS(8022), 1,
      sym_keyword_not,
    ACTIONS(8024), 1,
      sym_keyword_between,
    ACTIONS(8032), 1,
      sym_op_other,
    ACTIONS(8034), 1,
      anon_sym_PLUS,
    ACTIONS(8036), 1,
      anon_sym_DASH,
    ACTIONS(8038), 1,
      anon_sym_SLASH,
    ACTIONS(8040), 1,
      anon_sym_CARET,
    STATE(6377), 1,
      sym_identifier,
    STATE(7021), 1,
      sym__alias,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(4475), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(4477), 2,
      sym_keyword_from,
      sym_keyword_create,
    ACTIONS(4493), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8028), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8030), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1258), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1254), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8026), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [251817] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1774), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1772), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [251869] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2052), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2050), 36,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [251921] = 4,
    ACTIONS(8042), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2141), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2139), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [251975] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2295), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2293), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [252027] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3524), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3526), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [252079] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3516), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3518), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [252131] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2299), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2297), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [252183] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3452), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3454), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [252235] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3460), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3462), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [252287] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3472), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3474), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [252339] = 4,
    STATE(3877), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3406), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3404), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [252393] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2311), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2309), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [252445] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2359), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2357), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [252497] = 7,
    ACTIONS(7149), 1,
      sym_keyword_without,
    ACTIONS(8044), 1,
      sym_keyword_with,
    ACTIONS(8047), 1,
      anon_sym_LPAREN,
    STATE(3440), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1786), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1784), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [252557] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1996), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1994), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [252609] = 5,
    ACTIONS(8049), 1,
      aux_sym__single_quote_string_token2,
    STATE(3708), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1366), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1364), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [252665] = 7,
    ACTIONS(7149), 1,
      sym_keyword_without,
    ACTIONS(8051), 1,
      sym_keyword_with,
    ACTIONS(8054), 1,
      anon_sym_LPAREN,
    STATE(3442), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1796), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1794), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [252725] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3548), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3550), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [252777] = 8,
    ACTIONS(7609), 1,
      sym_keyword_is,
    ACTIONS(7615), 1,
      anon_sym_LBRACK,
    STATE(10903), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1574), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1575), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2394), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 27,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [252839] = 11,
    ACTIONS(7609), 1,
      sym_keyword_is,
    ACTIONS(7615), 1,
      anon_sym_LBRACK,
    ACTIONS(7633), 1,
      anon_sym_SLASH,
    ACTIONS(7635), 1,
      anon_sym_CARET,
    STATE(10903), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7621), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1574), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2394), 4,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    STATE(1575), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 25,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [252907] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3464), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3466), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [252959] = 4,
    ACTIONS(8056), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2014), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2012), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [253013] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2263), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2261), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [253065] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [253117] = 6,
    STATE(10903), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1574), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1575), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2394), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [253175] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1370), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1372), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [253227] = 13,
    ACTIONS(7609), 1,
      sym_keyword_is,
    ACTIONS(7615), 1,
      anon_sym_LBRACK,
    ACTIONS(7629), 1,
      anon_sym_PLUS,
    ACTIONS(7631), 1,
      anon_sym_DASH,
    ACTIONS(7633), 1,
      anon_sym_SLASH,
    ACTIONS(7635), 1,
      anon_sym_CARET,
    STATE(10903), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7621), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2394), 3,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1574), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1575), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 24,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [253299] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2355), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2353), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [253351] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2351), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2349), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [253403] = 4,
    ACTIONS(8058), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2109), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2107), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [253457] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2343), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2341), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [253509] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2339), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2337), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [253561] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2147), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2145), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [253613] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3544), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3546), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [253665] = 4,
    ACTIONS(8060), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2101), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2099), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [253719] = 4,
    ACTIONS(8062), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2046), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2044), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [253773] = 5,
    ACTIONS(8006), 1,
      sym_keyword_filter,
    STATE(4429), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2569), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2567), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [253829] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2127), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2125), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [253881] = 4,
    ACTIONS(8064), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2147), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2145), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [253935] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2722), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2724), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [253987] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3572), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3574), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [254039] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2279), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2277), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [254091] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2283), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2281), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [254143] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2287), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2285), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [254195] = 5,
    ACTIONS(8066), 1,
      aux_sym__single_quote_string_token2,
    STATE(3506), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1359), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1357), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [254251] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2291), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2289), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [254303] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2307), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2305), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [254355] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2315), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2313), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [254407] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2319), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2317), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [254459] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2323), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2321), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [254511] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2327), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2325), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [254563] = 4,
    ACTIONS(8069), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2127), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2125), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [254617] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2347), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2345), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [254669] = 4,
    ACTIONS(8071), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2064), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2062), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [254723] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2227), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2225), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [254775] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2219), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2217), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [254827] = 4,
    ACTIONS(7283), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1862), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1860), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [254881] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2527), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2529), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [254933] = 4,
    ACTIONS(8073), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2070), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2068), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [254987] = 20,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(2434), 1,
      sym_keyword_or,
    ACTIONS(7603), 1,
      sym_keyword_in,
    ACTIONS(7609), 1,
      sym_keyword_is,
    ACTIONS(7611), 1,
      sym_keyword_not,
    ACTIONS(7615), 1,
      anon_sym_LBRACK,
    ACTIONS(7627), 1,
      sym_op_other,
    ACTIONS(7629), 1,
      anon_sym_PLUS,
    ACTIONS(7631), 1,
      anon_sym_DASH,
    ACTIONS(7633), 1,
      anon_sym_SLASH,
    ACTIONS(7635), 1,
      anon_sym_CARET,
    STATE(10903), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(7621), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7625), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1574), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1575), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7619), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2432), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [255073] = 5,
    ACTIONS(8075), 1,
      aux_sym__single_quote_string_token2,
    STATE(3506), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1353), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1351), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [255129] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2275), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2273), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [255181] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2361), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2363), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [255233] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2203), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2201), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [255285] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2064), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2062), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [255337] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2095), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2093), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [255389] = 4,
    ACTIONS(8077), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2038), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2036), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [255443] = 4,
    ACTIONS(8079), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2032), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2030), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [255497] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2730), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2732), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [255549] = 4,
    ACTIONS(8081), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3372), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3370), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [255603] = 4,
    ACTIONS(8083), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2020), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2018), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [255657] = 4,
    ACTIONS(8085), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2008), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2006), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [255711] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2742), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2744), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [255763] = 5,
    ACTIONS(8087), 1,
      aux_sym__single_quote_string_token2,
    STATE(3522), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1366), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1364), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [255819] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2752), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2754), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [255871] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2766), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2768), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [255923] = 5,
    ACTIONS(8006), 1,
      sym_keyword_filter,
    STATE(4534), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2557), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2555), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [255979] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2235), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2233), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [256031] = 5,
    STATE(3815), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4493), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3187), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3185), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [256087] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2239), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2237), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [256139] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2243), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2241), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [256191] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2247), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2245), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [256243] = 4,
    ACTIONS(8089), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2083), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2081), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [256297] = 20,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(2441), 1,
      sym_keyword_or,
    ACTIONS(7603), 1,
      sym_keyword_in,
    ACTIONS(7609), 1,
      sym_keyword_is,
    ACTIONS(7611), 1,
      sym_keyword_not,
    ACTIONS(7615), 1,
      anon_sym_LBRACK,
    ACTIONS(7627), 1,
      sym_op_other,
    ACTIONS(7629), 1,
      anon_sym_PLUS,
    ACTIONS(7631), 1,
      anon_sym_DASH,
    ACTIONS(7633), 1,
      anon_sym_SLASH,
    ACTIONS(7635), 1,
      anon_sym_CARET,
    STATE(10903), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(7621), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7625), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1574), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1575), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7619), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2439), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [256383] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2251), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2249), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [256435] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2255), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2253), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [256487] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2259), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2257), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [256539] = 4,
    ACTIONS(8091), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2141), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2139), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [256593] = 5,
    ACTIONS(8006), 1,
      sym_keyword_filter,
    STATE(4541), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2561), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2559), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [256649] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2183), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2181), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [256701] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2303), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2301), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [256753] = 4,
    ACTIONS(8093), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2121), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2119), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [256807] = 5,
    ACTIONS(8006), 1,
      sym_keyword_filter,
    STATE(4560), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2515), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2513), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [256863] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2070), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2068), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [256915] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3500), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3502), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [256967] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2064), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2062), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [257019] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3508), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3510), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [257071] = 4,
    ACTIONS(8095), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2083), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2081), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [257125] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2127), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2125), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [257177] = 4,
    ACTIONS(8097), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2026), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2024), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [257231] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2147), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2145), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [257283] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2223), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2221), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [257335] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2215), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2213), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [257387] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2109), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2107), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [257439] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2070), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2068), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [257491] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2559), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2561), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [257543] = 4,
    ACTIONS(8099), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2153), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2151), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [257597] = 4,
    ACTIONS(8101), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(55), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(109), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [257651] = 4,
    ACTIONS(8103), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2089), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2087), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [257705] = 4,
    ACTIONS(8105), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2159), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2157), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [257759] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6400), 1,
      sym_keyword_in,
    ACTIONS(6402), 1,
      sym_keyword_is,
    ACTIONS(6404), 1,
      sym_keyword_not,
    ACTIONS(6406), 1,
      anon_sym_LBRACK,
    ACTIONS(6414), 1,
      sym_op_other,
    ACTIONS(6416), 1,
      anon_sym_PLUS,
    ACTIONS(6418), 1,
      anon_sym_DASH,
    ACTIONS(6420), 1,
      anon_sym_SLASH,
    ACTIONS(6422), 1,
      anon_sym_CARET,
    ACTIONS(6432), 1,
      sym_keyword_and,
    ACTIONS(6434), 1,
      sym_keyword_between,
    ACTIONS(6589), 1,
      sym_keyword_or,
    ACTIONS(6839), 1,
      anon_sym_COLON_COLON,
    STATE(10804), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6410), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6412), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1634), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1635), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6408), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(7058), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
  [257851] = 5,
    ACTIONS(8006), 1,
      sym_keyword_filter,
    STATE(4584), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2511), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2509), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [257907] = 5,
    ACTIONS(8006), 1,
      sym_keyword_filter,
    STATE(4593), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2541), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2539), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [257963] = 4,
    ACTIONS(8107), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(109), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(55), 35,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_cache,
      sym_keyword_array,
      sym__identifier,
  [258017] = 5,
    ACTIONS(8006), 1,
      sym_keyword_filter,
    STATE(4631), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2545), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2543), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [258073] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2167), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2165), 36,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [258125] = 4,
    ACTIONS(8109), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2171), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2169), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [258179] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3488), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3490), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [258231] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2223), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2221), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [258283] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2215), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2213), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [258335] = 4,
    ACTIONS(8111), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2109), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2107), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [258389] = 9,
    ACTIONS(7609), 1,
      sym_keyword_is,
    ACTIONS(7615), 1,
      anon_sym_LBRACK,
    ACTIONS(7635), 1,
      anon_sym_CARET,
    STATE(10903), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1574), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1575), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2394), 5,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(2392), 27,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [258453] = 4,
    ACTIONS(8113), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2147), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2145), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [258507] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2207), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2205), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [258559] = 4,
    ACTIONS(8115), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2127), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2125), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [258613] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2191), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2189), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [258665] = 4,
    ACTIONS(8117), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2064), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2062), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [258719] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2195), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2193), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [258771] = 4,
    ACTIONS(8119), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2070), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2068), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [258825] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2199), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2197), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [258877] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2187), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2185), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [258929] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3492), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3494), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [258981] = 5,
    ACTIONS(8006), 1,
      sym_keyword_filter,
    STATE(4656), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2553), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2551), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [259037] = 5,
    ACTIONS(8006), 1,
      sym_keyword_filter,
    STATE(4388), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2565), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2563), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [259093] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2207), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2205), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [259145] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2191), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2189), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [259197] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3568), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3570), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [259249] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2211), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2209), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [259301] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1926), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1924), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [259353] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3540), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3542), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [259405] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2121), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2119), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [259457] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2195), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2193), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [259509] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2095), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2093), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [259561] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2141), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2139), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [259613] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2303), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2301), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [259665] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2199), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2197), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [259717] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2267), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2265), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [259769] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2271), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2269), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [259821] = 5,
    ACTIONS(8006), 1,
      sym_keyword_filter,
    STATE(4538), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2451), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2449), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [259877] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1374), 3,
      anon_sym_LPAREN,
      anon_sym_DOT,
      aux_sym__single_quote_string_token1,
    ACTIONS(1372), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1370), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [259931] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2083), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2081), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [259983] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2331), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2329), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [260035] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2335), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2333), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [260087] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2187), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2185), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [260139] = 5,
    ACTIONS(8121), 1,
      aux_sym__single_quote_string_token2,
    STATE(3683), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3045), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3043), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [260195] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1374), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1376), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [260247] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1950), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1948), 36,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [260299] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2183), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2181), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [260351] = 4,
    ACTIONS(8123), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(55), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(109), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [260405] = 5,
    ACTIONS(8006), 1,
      sym_keyword_filter,
    STATE(4626), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2507), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2505), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [260461] = 13,
    ACTIONS(7609), 1,
      sym_keyword_is,
    ACTIONS(7615), 1,
      anon_sym_LBRACK,
    ACTIONS(7629), 1,
      anon_sym_PLUS,
    ACTIONS(7631), 1,
      anon_sym_DASH,
    ACTIONS(7633), 1,
      anon_sym_SLASH,
    ACTIONS(7635), 1,
      anon_sym_CARET,
    STATE(10903), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7621), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2430), 3,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1574), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1575), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2428), 24,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [260533] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2259), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2257), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [260585] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3528), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3530), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [260637] = 4,
    ACTIONS(8125), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2056), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2054), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [260691] = 5,
    ACTIONS(8006), 1,
      sym_keyword_filter,
    STATE(4585), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2529), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2527), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [260747] = 8,
    ACTIONS(7609), 1,
      sym_keyword_is,
    ACTIONS(7615), 1,
      anon_sym_LBRACK,
    STATE(10903), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1574), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1575), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2430), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2428), 27,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [260809] = 4,
    ACTIONS(8127), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2002), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2000), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [260863] = 5,
    ACTIONS(8006), 1,
      sym_keyword_filter,
    STATE(4579), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2503), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2501), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [260919] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2255), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2253), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [260971] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2251), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2249), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [261023] = 4,
    ACTIONS(8129), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1996), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1994), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [261077] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2517), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2519), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [261129] = 6,
    ACTIONS(8131), 1,
      anon_sym_LBRACK,
    STATE(3634), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4432), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2076), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2074), 33,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [261187] = 21,
    ACTIONS(2394), 1,
      sym_keyword_or,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(7603), 1,
      sym_keyword_in,
    ACTIONS(7609), 1,
      sym_keyword_is,
    ACTIONS(7611), 1,
      sym_keyword_not,
    ACTIONS(7613), 1,
      sym_keyword_between,
    ACTIONS(7615), 1,
      anon_sym_LBRACK,
    ACTIONS(7627), 1,
      sym_op_other,
    ACTIONS(7629), 1,
      anon_sym_PLUS,
    ACTIONS(7631), 1,
      anon_sym_DASH,
    ACTIONS(7633), 1,
      anon_sym_SLASH,
    ACTIONS(7635), 1,
      anon_sym_CARET,
    STATE(10903), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(7621), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7625), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1574), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1575), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7619), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2392), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [261275] = 4,
    ACTIONS(8134), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1996), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1994), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [261329] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2247), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2245), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [261381] = 22,
    ACTIONS(2394), 1,
      sym_keyword_or,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(7603), 1,
      sym_keyword_in,
    ACTIONS(7605), 1,
      sym_keyword_and,
    ACTIONS(7609), 1,
      sym_keyword_is,
    ACTIONS(7611), 1,
      sym_keyword_not,
    ACTIONS(7613), 1,
      sym_keyword_between,
    ACTIONS(7615), 1,
      anon_sym_LBRACK,
    ACTIONS(7627), 1,
      sym_op_other,
    ACTIONS(7629), 1,
      anon_sym_PLUS,
    ACTIONS(7631), 1,
      anon_sym_DASH,
    ACTIONS(7633), 1,
      anon_sym_SLASH,
    ACTIONS(7635), 1,
      anon_sym_CARET,
    STATE(10903), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(7621), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7625), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1574), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1575), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7619), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2392), 11,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [261471] = 16,
    ACTIONS(7603), 1,
      sym_keyword_in,
    ACTIONS(7609), 1,
      sym_keyword_is,
    ACTIONS(7615), 1,
      anon_sym_LBRACK,
    ACTIONS(7627), 1,
      sym_op_other,
    ACTIONS(7629), 1,
      anon_sym_PLUS,
    ACTIONS(7631), 1,
      anon_sym_DASH,
    ACTIONS(7633), 1,
      anon_sym_SLASH,
    ACTIONS(7635), 1,
      anon_sym_CARET,
    ACTIONS(8001), 1,
      sym_keyword_not,
    STATE(10903), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7621), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2394), 3,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1574), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1575), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 21,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [261549] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3496), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3498), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [261601] = 4,
    ACTIONS(8136), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2133), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2131), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [261655] = 4,
    ACTIONS(8138), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2115), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2113), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [261709] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2684), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2686), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [261761] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2243), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2241), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [261813] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3480), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3482), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [261865] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2239), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2237), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [261917] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2551), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2553), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [261969] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2235), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2233), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [262021] = 5,
    ACTIONS(8006), 1,
      sym_keyword_filter,
    STATE(4561), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2519), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2517), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [262077] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2509), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2511), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [262129] = 5,
    ACTIONS(8140), 1,
      sym_keyword_unsigned,
    ACTIONS(8142), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1956), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1954), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [262185] = 4,
    ACTIONS(8144), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2002), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2000), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [262239] = 4,
    ACTIONS(8146), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(109), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(55), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [262293] = 4,
    ACTIONS(8148), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2056), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2054), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [262347] = 4,
    ACTIONS(8150), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2083), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2081), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [262401] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3536), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3538), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [262453] = 4,
    ACTIONS(8152), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2141), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2139), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [262507] = 4,
    ACTIONS(8154), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2121), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2119), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [262561] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2676), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2678), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [262613] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2547), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2549), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [262665] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2666), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2668), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [262717] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3476), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3478), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [262769] = 5,
    STATE(2847), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(3380), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3185), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3187), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [262825] = 5,
    ACTIONS(8006), 1,
      sym_keyword_filter,
    STATE(4507), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2533), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2531), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [262881] = 4,
    STATE(4222), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3406), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3404), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [262935] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2311), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2309), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [262987] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2299), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2297), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [263039] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2295), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2293), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [263091] = 4,
    STATE(2609), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3404), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3406), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [263145] = 5,
    ACTIONS(2573), 1,
      aux_sym__single_quote_string_token2,
    STATE(333), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2967), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2965), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [263201] = 4,
    ACTIONS(8156), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3370), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3372), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [263255] = 4,
    ACTIONS(8158), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1996), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1994), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [263309] = 4,
    ACTIONS(8160), 1,
      sym_keyword_varying,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1950), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1948), 36,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [263363] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2335), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2333), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [263415] = 6,
    ACTIONS(8162), 1,
      anon_sym_LBRACK,
    STATE(3675), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4528), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2076), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2074), 34,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [263473] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2331), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2329), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [263525] = 5,
    ACTIONS(8165), 1,
      sym_keyword_varying,
    ACTIONS(8167), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1934), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1932), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [263581] = 4,
    ACTIONS(8169), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2115), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2113), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [263635] = 4,
    ACTIONS(8171), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2109), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2107), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [263689] = 4,
    ACTIONS(8173), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1996), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1994), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [263743] = 5,
    ACTIONS(8006), 1,
      sym_keyword_filter,
    STATE(4485), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2445), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2443), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [263799] = 4,
    ACTIONS(8175), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2147), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2145), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [263853] = 5,
    ACTIONS(8177), 1,
      aux_sym__single_quote_string_token2,
    STATE(3707), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2967), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2965), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [263909] = 4,
    ACTIONS(8179), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2127), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2125), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [263963] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2083), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2081), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [264015] = 4,
    ACTIONS(8181), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2064), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2062), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [264069] = 4,
    ACTIONS(8183), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2070), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2068), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [264123] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2271), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2269), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [264175] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2267), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2265), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [264227] = 4,
    ACTIONS(8185), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2133), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2131), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [264281] = 4,
    ACTIONS(8187), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3372), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3370), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [264335] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1950), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1948), 36,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [264387] = 4,
    ACTIONS(8189), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2089), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2087), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [264441] = 4,
    ACTIONS(8191), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2171), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2169), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [264495] = 4,
    ACTIONS(8193), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2008), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2006), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [264549] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1374), 8,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1376), 35,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_cache,
      sym_keyword_array,
      sym__identifier,
  [264601] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2167), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2165), 36,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [264653] = 4,
    ACTIONS(8195), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2020), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2018), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [264707] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2203), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2201), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [264759] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2275), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2273), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [264811] = 4,
    ACTIONS(8197), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2032), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2030), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [264865] = 4,
    ACTIONS(8199), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2159), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2157), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [264919] = 4,
    ACTIONS(8201), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2153), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2151), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [264973] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1774), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1772), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [265025] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2141), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2139), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [265077] = 4,
    ACTIONS(8203), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2026), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2024), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [265131] = 5,
    ACTIONS(8205), 1,
      aux_sym__single_quote_string_token2,
    STATE(3707), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1359), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1357), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [265187] = 5,
    ACTIONS(8177), 1,
      aux_sym__single_quote_string_token2,
    STATE(3707), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1353), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1351), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [265243] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2724), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2722), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [265295] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2726), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2728), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [265347] = 4,
    ACTIONS(8208), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2014), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2012), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [265401] = 5,
    ACTIONS(8006), 1,
      sym_keyword_filter,
    STATE(4468), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2537), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2535), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [265457] = 5,
    ACTIONS(8210), 1,
      sym_keyword_unsigned,
    ACTIONS(8212), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1926), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1924), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [265513] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2052), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2050), 36,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [265565] = 4,
    ACTIONS(8214), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2046), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2044), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [265619] = 4,
    ACTIONS(8216), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2038), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2036), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [265673] = 4,
    ACTIONS(8218), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2038), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2036), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [265727] = 4,
    ACTIONS(8220), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(55), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(109), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [265781] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2219), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2217), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [265833] = 4,
    ACTIONS(8222), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2032), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2030), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [265887] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2227), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2225), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [265939] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2347), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2345), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [265991] = 4,
    ACTIONS(7422), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1862), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1860), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [266045] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2728), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2726), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [266097] = 4,
    ACTIONS(8224), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2046), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2044), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [266151] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2678), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2676), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [266203] = 4,
    ACTIONS(8226), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2020), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2018), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [266257] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2549), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2547), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [266309] = 4,
    ACTIONS(8228), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2008), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2006), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [266363] = 4,
    ACTIONS(8230), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2101), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2099), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [266417] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2531), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2533), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [266469] = 5,
    ACTIONS(8232), 1,
      sym_keyword_precision,
    ACTIONS(8234), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1862), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1860), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [266525] = 4,
    ACTIONS(7679), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1862), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1860), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [266579] = 4,
    ACTIONS(8236), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2089), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2087), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [266633] = 4,
    ACTIONS(8238), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2008), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2006), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [266687] = 4,
    ACTIONS(8240), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2020), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2018), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [266741] = 4,
    ACTIONS(8242), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2032), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2030), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [266795] = 4,
    ACTIONS(8244), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2038), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2036), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [266849] = 4,
    ACTIONS(8246), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2089), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2087), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [266903] = 4,
    ACTIONS(8248), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2046), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2044), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [266957] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2052), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2050), 37,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [267009] = 5,
    STATE(3634), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4432), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3187), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3185), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [267065] = 4,
    ACTIONS(7695), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1862), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1860), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [267119] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2369), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2371), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [267171] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2121), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2119), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [267223] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2327), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2325), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [267275] = 4,
    ACTIONS(8250), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2101), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2099), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [267329] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2323), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2321), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [267381] = 4,
    ACTIONS(8252), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2046), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2044), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [267435] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2795), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2797), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [267487] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2622), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2624), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [267539] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2561), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2559), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [267591] = 5,
    ACTIONS(8006), 1,
      sym_keyword_filter,
    STATE(4458), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2549), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2547), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [267647] = 4,
    ACTIONS(8254), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2014), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2012), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [267701] = 4,
    ACTIONS(8256), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2026), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2024), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [267755] = 4,
    ACTIONS(7498), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1862), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1860), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [267809] = 4,
    ACTIONS(8258), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2038), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2036), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [267863] = 4,
    ACTIONS(8260), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2032), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2030), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [267917] = 4,
    ACTIONS(8262), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2020), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2018), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [267971] = 7,
    ACTIONS(5650), 1,
      sym_keyword_without,
    ACTIONS(8264), 1,
      sym_keyword_with,
    ACTIONS(8267), 1,
      anon_sym_LPAREN,
    STATE(2455), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1794), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1796), 22,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [268031] = 7,
    ACTIONS(5650), 1,
      sym_keyword_without,
    ACTIONS(8269), 1,
      sym_keyword_with,
    ACTIONS(8272), 1,
      anon_sym_LPAREN,
    STATE(2454), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1784), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1786), 22,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [268091] = 4,
    ACTIONS(8274), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2153), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2151), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [268145] = 4,
    ACTIONS(8276), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2159), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2157), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [268199] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2668), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2666), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [268251] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2616), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2618), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [268303] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2167), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2165), 37,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [268355] = 4,
    ACTIONS(8278), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2171), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2169), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [268409] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1950), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1948), 37,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [268461] = 4,
    ACTIONS(8280), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2008), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2006), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [268515] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2319), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2317), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [268567] = 26,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(2811), 1,
      sym_keyword_is,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2817), 1,
      anon_sym_PLUS,
    ACTIONS(2819), 1,
      anon_sym_DASH,
    ACTIONS(2821), 1,
      anon_sym_SLASH,
    ACTIONS(2823), 1,
      anon_sym_CARET,
    ACTIONS(2825), 1,
      sym_keyword_in,
    ACTIONS(2827), 1,
      sym_keyword_not,
    ACTIONS(2829), 1,
      sym_keyword_between,
    ACTIONS(2835), 1,
      sym_op_other,
    ACTIONS(2848), 1,
      sym_keyword_and,
    ACTIONS(3622), 1,
      sym_keyword_or,
    ACTIONS(3624), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6725), 1,
      sym_keyword_using,
    STATE(7274), 1,
      sym_direction,
    STATE(11101), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2815), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2833), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6721), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    STATE(1480), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1481), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2831), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6481), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_COMMA,
  [268665] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2608), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2610), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [268717] = 4,
    ACTIONS(8282), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2056), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2054), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [268771] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2535), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2537), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [268823] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2315), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2313), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [268875] = 4,
    ACTIONS(8284), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2002), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2000), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [268929] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2307), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2305), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [268981] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2291), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2289), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [269033] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2287), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2285), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [269085] = 5,
    ACTIONS(8286), 1,
      sym_keyword_unsigned,
    ACTIONS(8288), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1918), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1916), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [269141] = 5,
    ACTIONS(8290), 1,
      sym_keyword_unsigned,
    ACTIONS(8292), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1910), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1908), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [269197] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2283), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2281), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [269249] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2279), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2277), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [269301] = 5,
    ACTIONS(8294), 1,
      aux_sym__single_quote_string_token2,
    STATE(3670), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3045), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3043), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [269357] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2537), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2535), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [269409] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2610), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2608), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [269461] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2618), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2616), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [269513] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2624), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2622), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [269565] = 4,
    ACTIONS(8296), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2089), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2087), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [269619] = 4,
    ACTIONS(8298), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2115), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2113), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [269673] = 4,
    ACTIONS(8300), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2133), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2131), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [269727] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2533), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2531), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [269779] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2365), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2367), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [269831] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2511), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2509), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [269883] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1926), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1924), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [269935] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2211), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2209), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [269987] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2553), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2551), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [270039] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2380), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2382), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [270091] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2384), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2386), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [270143] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2046), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2044), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [270195] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1862), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1860), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [270247] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2339), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2337), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [270299] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2231), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2229), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [270351] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2343), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2341), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [270403] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2179), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2177), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [270455] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2038), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2036), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [270507] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2032), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2030), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [270559] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2020), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2018), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [270611] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2351), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2349), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [270663] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2355), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2353), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [270715] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2263), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2261), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [270767] = 4,
    ACTIONS(8302), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1996), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1994), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [270821] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1996), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1994), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [270873] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2359), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2357), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [270925] = 6,
    ACTIONS(8304), 1,
      anon_sym_LBRACK,
    STATE(3815), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4493), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2076), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2074), 33,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [270983] = 4,
    ACTIONS(8307), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1996), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1994), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [271037] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2373), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2375), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [271089] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2686), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2684), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [271141] = 6,
    ACTIONS(7685), 1,
      sym_keyword_with,
    ACTIONS(7687), 1,
      sym_keyword_without,
    STATE(4611), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1858), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1856), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [271199] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2744), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2742), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [271251] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2732), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2730), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [271303] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2008), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2006), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [271355] = 5,
    ACTIONS(8309), 1,
      aux_sym__single_quote_string_token2,
    STATE(3833), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3045), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3043), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [271411] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2768), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2766), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [271463] = 5,
    ACTIONS(8311), 1,
      sym_keyword_unsigned,
    ACTIONS(8313), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1984), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1982), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [271519] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2754), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2752), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [271571] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2529), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2527), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [271623] = 5,
    ACTIONS(8315), 1,
      sym_keyword_unsigned,
    ACTIONS(8317), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1964), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1962), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [271679] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2519), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2517), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [271731] = 5,
    ACTIONS(8319), 1,
      sym_keyword_unsigned,
    ACTIONS(8321), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1942), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1940), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [271787] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2089), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2087), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [271839] = 6,
    ACTIONS(7685), 1,
      sym_keyword_with,
    ACTIONS(7687), 1,
      sym_keyword_without,
    STATE(4612), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1886), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1884), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [271897] = 5,
    ACTIONS(8075), 1,
      aux_sym__single_quote_string_token2,
    STATE(3506), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2967), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2965), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [271953] = 5,
    ACTIONS(8323), 1,
      sym_keyword_unsigned,
    ACTIONS(8325), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1972), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1970), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [272009] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2259), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2257), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [272060] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2109), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2107), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [272111] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2187), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2185), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [272162] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3498), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3496), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [272213] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2211), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2209), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [272264] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1926), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1924), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [272315] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2347), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2345), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [272366] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2327), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2325), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [272417] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2323), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2321), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [272468] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2319), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2317), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [272519] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2315), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2313), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [272570] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2121), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2119), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [272621] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2141), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2139), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [272672] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2267), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2265), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [272723] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3488), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3490), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [272774] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3492), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3494), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [272825] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2271), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2269), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [272876] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2083), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2081), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [272927] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2307), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2305), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [272978] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2331), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2329), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [273029] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2311), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2309), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [273080] = 8,
    ACTIONS(7837), 1,
      anon_sym_LBRACK,
    ACTIONS(8327), 1,
      sym_keyword_is,
    STATE(10705), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1689), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1690), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2430), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2428), 27,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [273141] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2299), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2297), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [273192] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3534), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3532), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [273243] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2295), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2293), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [273294] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3526), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3524), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [273345] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2199), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2197), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [273396] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3518), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3516), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [273447] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2195), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2193), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [273498] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3482), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3480), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [273549] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2255), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2253), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [273600] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3568), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3570), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [273651] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2724), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2722), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [273702] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2295), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2293), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [273753] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3510), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3508), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [273804] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3524), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3526), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_offset,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [273855] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2537), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2535), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [273906] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2549), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2547), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [273957] = 13,
    ACTIONS(7837), 1,
      anon_sym_LBRACK,
    ACTIONS(8327), 1,
      sym_keyword_is,
    ACTIONS(8331), 1,
      anon_sym_PLUS,
    ACTIONS(8333), 1,
      anon_sym_DASH,
    ACTIONS(8335), 1,
      anon_sym_SLASH,
    ACTIONS(8337), 1,
      anon_sym_CARET,
    STATE(10705), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2430), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8329), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1689), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1690), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2428), 24,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [274028] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2207), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2205), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [274079] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3540), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3542), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [274130] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3532), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3534), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_offset,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [274181] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2363), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2361), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [274232] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2367), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2365), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [274283] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2678), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2676), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [274334] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2299), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2297), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [274385] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2549), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2547), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [274436] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2668), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2666), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [274487] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2311), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2309), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [274538] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_offset,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [274589] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1372), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1370), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [274640] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2215), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2213), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [274691] = 4,
    ACTIONS(8339), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3370), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3372), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [274744] = 4,
    ACTIONS(8341), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2070), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2068), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [274797] = 6,
    STATE(10252), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1870), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1871), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2394), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [274854] = 4,
    ACTIONS(8343), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2064), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2062), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [274907] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2223), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2221), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [274958] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2537), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2535), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [275009] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2610), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2608), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [275060] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2618), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2616), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [275111] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2624), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2622), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [275162] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2227), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2225), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [275213] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2668), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2666), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [275264] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2533), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2531), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [275315] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3548), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3550), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [275366] = 6,
    ACTIONS(7149), 1,
      sym_keyword_without,
    ACTIONS(8345), 1,
      sym_keyword_with,
    STATE(3551), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1886), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1884), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [275423] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2678), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2676), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [275474] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3538), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3536), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [275525] = 6,
    STATE(10705), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1689), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1690), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2394), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [275582] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2291), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2289), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [275633] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2287), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2285), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [275684] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2109), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2107), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [275735] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2610), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2608), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [275786] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2283), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2281), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [275837] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2279), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2277), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [275888] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2618), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2616), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [275939] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2624), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2622), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [275990] = 4,
    ACTIONS(8348), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2127), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2125), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [276043] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2219), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2217), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [276094] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3466), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3464), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [276145] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2147), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2145), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [276196] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2533), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2531), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [276247] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3502), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3500), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [276298] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3522), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3520), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [276349] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2127), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2125), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [276400] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2768), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2766), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [276451] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2754), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2752), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [276502] = 4,
    ACTIONS(8350), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2147), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2145), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [276555] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3478), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3476), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [276606] = 4,
    ACTIONS(8352), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2109), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2107), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [276659] = 5,
    ACTIONS(8354), 1,
      aux_sym__single_quote_string_token2,
    STATE(4326), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2967), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2965), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [276714] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3530), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3528), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [276765] = 13,
    ACTIONS(8356), 1,
      sym_keyword_is,
    ACTIONS(8358), 1,
      anon_sym_LBRACK,
    ACTIONS(8362), 1,
      anon_sym_PLUS,
    ACTIONS(8364), 1,
      anon_sym_DASH,
    ACTIONS(8366), 1,
      anon_sym_SLASH,
    ACTIONS(8368), 1,
      anon_sym_CARET,
    STATE(10252), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8360), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2430), 3,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1870), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1871), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2428), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [276836] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3478), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3476), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [276887] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1374), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(1376), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [276938] = 8,
    ACTIONS(8356), 1,
      sym_keyword_is,
    ACTIONS(8358), 1,
      anon_sym_LBRACK,
    STATE(10252), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1870), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1871), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2430), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2428), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [276999] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2064), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2062), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [277050] = 4,
    ACTIONS(8370), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1996), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1994), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [277103] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2070), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2068), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [277154] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3538), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3536), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [277205] = 6,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    STATE(3935), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4672), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2076), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2074), 33,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [277262] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2339), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2337), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [277313] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3574), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3572), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [277364] = 4,
    ACTIONS(8375), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1996), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1994), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [277417] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2519), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2517), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [277468] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3522), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3520), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [277519] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3466), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3464), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [277570] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2744), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2742), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [277621] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2732), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2730), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [277672] = 5,
    ACTIONS(8377), 1,
      aux_sym__single_quote_string_token2,
    STATE(4295), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1366), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1364), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [277727] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2303), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2301), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [277778] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2529), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2527), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [277829] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2311), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2309), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [277880] = 19,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(7837), 1,
      anon_sym_LBRACK,
    ACTIONS(8327), 1,
      sym_keyword_is,
    ACTIONS(8331), 1,
      anon_sym_PLUS,
    ACTIONS(8333), 1,
      anon_sym_DASH,
    ACTIONS(8335), 1,
      anon_sym_SLASH,
    ACTIONS(8337), 1,
      anon_sym_CARET,
    ACTIONS(8379), 1,
      sym_keyword_in,
    ACTIONS(8381), 1,
      sym_keyword_not,
    ACTIONS(8387), 1,
      sym_op_other,
    STATE(10705), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8329), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8385), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1689), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1690), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8383), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2439), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_returning,
      sym_keyword_between,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [277963] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3546), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3544), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [278014] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2183), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2181), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [278065] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2371), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2369), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [278116] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2299), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2297), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [278167] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2259), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2257), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [278218] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3472), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3474), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [278269] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2375), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2373), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [278320] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2251), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2249), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [278371] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2295), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2293), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [278422] = 20,
    ACTIONS(4495), 1,
      sym_keyword_similar,
    ACTIONS(6982), 1,
      anon_sym_LBRACK,
    ACTIONS(7904), 1,
      sym_keyword_in,
    ACTIONS(7910), 1,
      sym_keyword_is,
    ACTIONS(7912), 1,
      sym_keyword_not,
    ACTIONS(7924), 1,
      sym_op_other,
    ACTIONS(7926), 1,
      anon_sym_PLUS,
    ACTIONS(7928), 1,
      anon_sym_DASH,
    ACTIONS(7930), 1,
      anon_sym_SLASH,
    ACTIONS(7932), 1,
      anon_sym_CARET,
    STATE(10991), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4493), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(7918), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7922), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1841), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1842), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2439), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(7916), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2441), 8,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_between,
      sym__identifier,
  [278507] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3550), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3548), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [278558] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2724), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2722), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [278609] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2247), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2245), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [278660] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2768), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2766), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [278711] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2754), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2752), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [278762] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3518), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3516), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [278813] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1774), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1772), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [278864] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2275), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2273), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [278915] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2203), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2201), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [278966] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3526), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3524), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [279017] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2243), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2241), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [279068] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(8356), 1,
      sym_keyword_is,
    ACTIONS(8358), 1,
      anon_sym_LBRACK,
    ACTIONS(8362), 1,
      anon_sym_PLUS,
    ACTIONS(8364), 1,
      anon_sym_DASH,
    ACTIONS(8366), 1,
      anon_sym_SLASH,
    ACTIONS(8368), 1,
      anon_sym_CARET,
    ACTIONS(8389), 1,
      sym_keyword_in,
    ACTIONS(8391), 1,
      sym_keyword_and,
    ACTIONS(8393), 1,
      sym_keyword_or,
    ACTIONS(8395), 1,
      sym_keyword_not,
    ACTIONS(8397), 1,
      sym_keyword_between,
    ACTIONS(8401), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8405), 1,
      sym_op_other,
    STATE(10252), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8360), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8403), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1870), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1871), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8399), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6849), 9,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [279159] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2239), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2237), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [279210] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2343), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2341), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [279261] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2726), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2728), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [279312] = 4,
    ACTIONS(8407), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2089), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2087), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [279365] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2235), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2233), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [279416] = 4,
    ACTIONS(8409), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2008), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2006), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [279469] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3460), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3462), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [279520] = 4,
    ACTIONS(8411), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2020), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2018), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [279573] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3452), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3454), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [279624] = 4,
    ACTIONS(8413), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2032), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2030), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [279677] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2191), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2189), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [279728] = 4,
    ACTIONS(8415), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2038), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2036), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [279781] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3508), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3510), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [279832] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3500), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3502), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [279883] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2529), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2527), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [279934] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3474), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3472), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [279985] = 4,
    ACTIONS(7673), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1862), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1860), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [280038] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3462), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3460), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [280089] = 4,
    ACTIONS(8417), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2046), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2044), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [280142] = 4,
    ACTIONS(8419), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2101), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2099), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [280195] = 6,
    ACTIONS(7149), 1,
      sym_keyword_without,
    ACTIONS(8421), 1,
      sym_keyword_with,
    STATE(3552), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1858), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1856), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [280252] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2351), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2349), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [280303] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2355), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2353), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [280354] = 4,
    STATE(4415), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3406), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3404), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [280407] = 4,
    ACTIONS(8234), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1862), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1860), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [280460] = 4,
    ACTIONS(8424), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2089), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2087), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [280513] = 4,
    ACTIONS(8426), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2008), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2006), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [280566] = 4,
    ACTIONS(8428), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2020), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2018), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [280619] = 4,
    ACTIONS(8430), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2032), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2030), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [280672] = 4,
    ACTIONS(8432), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2038), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2036), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [280725] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3482), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3480), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [280776] = 4,
    ACTIONS(8434), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2046), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2044), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [280829] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2052), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2050), 36,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [280880] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1774), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1772), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [280931] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2335), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2333), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [280982] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3572), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3574), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [281033] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3534), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3532), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [281084] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2519), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2517), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [281135] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2744), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2742), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [281186] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2732), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2730), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [281237] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3522), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3520), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [281288] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2046), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2044), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [281339] = 19,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(7837), 1,
      anon_sym_LBRACK,
    ACTIONS(8327), 1,
      sym_keyword_is,
    ACTIONS(8331), 1,
      anon_sym_PLUS,
    ACTIONS(8333), 1,
      anon_sym_DASH,
    ACTIONS(8335), 1,
      anon_sym_SLASH,
    ACTIONS(8337), 1,
      anon_sym_CARET,
    ACTIONS(8379), 1,
      sym_keyword_in,
    ACTIONS(8381), 1,
      sym_keyword_not,
    ACTIONS(8387), 1,
      sym_op_other,
    STATE(10705), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8329), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8385), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1689), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1690), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8383), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2432), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_returning,
      sym_keyword_between,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [281422] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3544), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3546), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [281473] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3480), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3482), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [281524] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2797), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2795), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [281575] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2331), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2329), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [281626] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1862), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1860), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [281677] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2231), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2229), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [281728] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2179), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2177), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [281779] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2083), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2081), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [281830] = 20,
    ACTIONS(4495), 1,
      sym_keyword_similar,
    ACTIONS(6982), 1,
      anon_sym_LBRACK,
    ACTIONS(7904), 1,
      sym_keyword_in,
    ACTIONS(7910), 1,
      sym_keyword_is,
    ACTIONS(7912), 1,
      sym_keyword_not,
    ACTIONS(7924), 1,
      sym_op_other,
    ACTIONS(7926), 1,
      anon_sym_PLUS,
    ACTIONS(7928), 1,
      anon_sym_DASH,
    ACTIONS(7930), 1,
      anon_sym_SLASH,
    ACTIONS(7932), 1,
      anon_sym_CARET,
    STATE(10991), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4493), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(7918), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7922), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1841), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1842), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2432), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(7916), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2434), 8,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_between,
      sym__identifier,
  [281915] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2686), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2684), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [281966] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2263), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2261), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [282017] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3454), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3452), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [282068] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2553), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2551), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [282119] = 4,
    ACTIONS(8436), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2121), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2119), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [282172] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2283), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2281), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [282223] = 4,
    ACTIONS(8438), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2141), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2139), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [282276] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2511), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2509), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [282327] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2271), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2269), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [282378] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2267), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2265), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [282429] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3512), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3514), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [282480] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3498), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3496), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [282531] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3504), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3506), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [282582] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1774), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1772), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [282633] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2203), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2201), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [282684] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2275), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2273), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [282735] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2095), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2093), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [282786] = 4,
    ACTIONS(8440), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2083), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2081), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [282839] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3560), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3562), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [282890] = 7,
    ACTIONS(7450), 1,
      sym_keyword_without,
    ACTIONS(8442), 1,
      sym_keyword_with,
    ACTIONS(8445), 1,
      anon_sym_LPAREN,
    STATE(4316), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1786), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1784), 31,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [282949] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2529), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2527), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [283000] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3530), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3528), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [283051] = 4,
    ACTIONS(8447), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2014), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2012), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [283104] = 4,
    ACTIONS(8449), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2026), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2024), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [283157] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2724), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2722), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [283208] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3542), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3540), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [283259] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2728), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2726), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [283310] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2038), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2036), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [283361] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2032), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2030), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [283412] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3554), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3552), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [283463] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2020), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2018), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [283514] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2008), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2006), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [283565] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2089), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2087), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [283616] = 5,
    STATE(3935), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4672), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3187), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3185), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [283671] = 7,
    ACTIONS(7450), 1,
      sym_keyword_without,
    ACTIONS(8451), 1,
      sym_keyword_with,
    ACTIONS(8454), 1,
      anon_sym_LPAREN,
    STATE(4314), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1796), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1794), 31,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [283730] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2728), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2726), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [283781] = 4,
    ACTIONS(8456), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2153), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2151), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [283834] = 4,
    ACTIONS(8458), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2159), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2157), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [283887] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2167), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2165), 36,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [283938] = 4,
    ACTIONS(8460), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2171), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2169), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [283991] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1950), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1948), 36,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [284042] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2141), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2139), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [284093] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2121), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2119), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [284144] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3542), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3540), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [284195] = 4,
    ACTIONS(8462), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2056), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2054), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [284248] = 4,
    ACTIONS(8464), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2002), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2000), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [284301] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2559), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2561), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [284352] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2732), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2730), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [284403] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3558), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3556), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [284454] = 20,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(2441), 1,
      sym_keyword_or,
    ACTIONS(8356), 1,
      sym_keyword_is,
    ACTIONS(8358), 1,
      anon_sym_LBRACK,
    ACTIONS(8362), 1,
      anon_sym_PLUS,
    ACTIONS(8364), 1,
      anon_sym_DASH,
    ACTIONS(8366), 1,
      anon_sym_SLASH,
    ACTIONS(8368), 1,
      anon_sym_CARET,
    ACTIONS(8389), 1,
      sym_keyword_in,
    ACTIONS(8395), 1,
      sym_keyword_not,
    ACTIONS(8405), 1,
      sym_op_other,
    STATE(10252), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8360), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8403), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1870), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1871), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8399), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2439), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
  [284539] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1996), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1994), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [284590] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2359), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2357), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [284641] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1374), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1376), 24,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [284692] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3570), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3568), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [284743] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3458), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3456), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [284794] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3486), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3484), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [284845] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2386), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2384), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [284896] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3494), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3492), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [284947] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2382), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2380), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [284998] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2744), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2742), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [285049] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3490), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3488), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [285100] = 20,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(2434), 1,
      sym_keyword_or,
    ACTIONS(8356), 1,
      sym_keyword_is,
    ACTIONS(8358), 1,
      anon_sym_LBRACK,
    ACTIONS(8362), 1,
      anon_sym_PLUS,
    ACTIONS(8364), 1,
      anon_sym_DASH,
    ACTIONS(8366), 1,
      anon_sym_SLASH,
    ACTIONS(8368), 1,
      anon_sym_CARET,
    ACTIONS(8389), 1,
      sym_keyword_in,
    ACTIONS(8395), 1,
      sym_keyword_not,
    ACTIONS(8405), 1,
      sym_op_other,
    STATE(10252), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8360), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8403), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1870), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1871), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8399), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2432), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
  [285185] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2519), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2517), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [285236] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3510), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3508), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [285287] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3502), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3500), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [285338] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2394), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [285389] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3570), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3568), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [285440] = 4,
    ACTIONS(8466), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2115), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2113), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [285493] = 4,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2133), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2131), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [285546] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2046), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2044), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [285597] = 18,
    ACTIONS(6982), 1,
      anon_sym_LBRACK,
    ACTIONS(7904), 1,
      sym_keyword_in,
    ACTIONS(7910), 1,
      sym_keyword_is,
    ACTIONS(7924), 1,
      sym_op_other,
    ACTIONS(7926), 1,
      anon_sym_PLUS,
    ACTIONS(7928), 1,
      anon_sym_DASH,
    ACTIONS(7930), 1,
      anon_sym_SLASH,
    ACTIONS(7932), 1,
      anon_sym_CARET,
    ACTIONS(8470), 1,
      sym_keyword_not,
    STATE(10991), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7918), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7922), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1841), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1842), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(7916), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2394), 11,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym__identifier,
  [285678] = 8,
    ACTIONS(6982), 1,
      anon_sym_LBRACK,
    ACTIONS(7910), 1,
      sym_keyword_is,
    STATE(10991), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1841), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1842), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2394), 18,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [285739] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2279), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2277), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [285790] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2283), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2281), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [285841] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2359), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2357), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [285892] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2561), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2559), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [285943] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1996), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1994), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [285994] = 11,
    ACTIONS(6982), 1,
      anon_sym_LBRACK,
    ACTIONS(7910), 1,
      sym_keyword_is,
    ACTIONS(7930), 1,
      anon_sym_SLASH,
    ACTIONS(7932), 1,
      anon_sym_CARET,
    STATE(10991), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7918), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1841), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1842), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 12,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2394), 16,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [286061] = 13,
    ACTIONS(6982), 1,
      anon_sym_LBRACK,
    ACTIONS(7910), 1,
      sym_keyword_is,
    ACTIONS(7926), 1,
      anon_sym_PLUS,
    ACTIONS(7928), 1,
      anon_sym_DASH,
    ACTIONS(7930), 1,
      anon_sym_SLASH,
    ACTIONS(7932), 1,
      anon_sym_CARET,
    STATE(10991), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7918), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1841), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1842), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 11,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2394), 15,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      sym__identifier,
  [286132] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1862), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1860), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [286183] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3566), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3564), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [286234] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3574), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3572), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [286285] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(7603), 1,
      sym_keyword_in,
    ACTIONS(7605), 1,
      sym_keyword_and,
    ACTIONS(7607), 1,
      sym_keyword_or,
    ACTIONS(7609), 1,
      sym_keyword_is,
    ACTIONS(7611), 1,
      sym_keyword_not,
    ACTIONS(7613), 1,
      sym_keyword_between,
    ACTIONS(7615), 1,
      anon_sym_LBRACK,
    ACTIONS(7623), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7627), 1,
      sym_op_other,
    ACTIONS(7629), 1,
      anon_sym_PLUS,
    ACTIONS(7631), 1,
      anon_sym_DASH,
    ACTIONS(7633), 1,
      anon_sym_SLASH,
    ACTIONS(7635), 1,
      anon_sym_CARET,
    STATE(10903), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(7621), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7625), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1574), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1575), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7619), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6767), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_COMMA,
  [286376] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3546), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3544), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [286427] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2686), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2684), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [286478] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1926), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1924), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [286529] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3564), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3566), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [286580] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2797), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2795), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [286631] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2211), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2209), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [286682] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3562), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3560), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [286733] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2263), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2261), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [286784] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2678), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2676), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [286835] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2355), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2353), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [286886] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2287), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2285), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [286937] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3506), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3504), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [286988] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2549), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2547), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [287039] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2668), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2666), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [287090] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3522), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3520), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [287141] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2187), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2185), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [287192] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2351), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2349), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [287243] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3522), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3520), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [287294] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2343), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2341), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [287345] = 20,
    ACTIONS(4495), 1,
      sym_keyword_similar,
    ACTIONS(7825), 1,
      sym_keyword_in,
    ACTIONS(7831), 1,
      sym_keyword_is,
    ACTIONS(7833), 1,
      sym_keyword_not,
    ACTIONS(7837), 1,
      anon_sym_LBRACK,
    ACTIONS(7847), 1,
      sym_op_other,
    ACTIONS(7849), 1,
      anon_sym_PLUS,
    ACTIONS(7851), 1,
      anon_sym_DASH,
    ACTIONS(7853), 1,
      anon_sym_SLASH,
    ACTIONS(7855), 1,
      anon_sym_CARET,
    STATE(10705), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4493), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(7841), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7845), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1342), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1341), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7839), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2439), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2441), 7,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_between,
      sym__identifier,
  [287430] = 20,
    ACTIONS(4495), 1,
      sym_keyword_similar,
    ACTIONS(7825), 1,
      sym_keyword_in,
    ACTIONS(7831), 1,
      sym_keyword_is,
    ACTIONS(7833), 1,
      sym_keyword_not,
    ACTIONS(7837), 1,
      anon_sym_LBRACK,
    ACTIONS(7847), 1,
      sym_op_other,
    ACTIONS(7849), 1,
      anon_sym_PLUS,
    ACTIONS(7851), 1,
      anon_sym_DASH,
    ACTIONS(7853), 1,
      anon_sym_SLASH,
    ACTIONS(7855), 1,
      anon_sym_CARET,
    STATE(10705), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4493), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(7841), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7845), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1342), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1341), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7839), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2432), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2434), 7,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_between,
      sym__identifier,
  [287515] = 18,
    ACTIONS(7825), 1,
      sym_keyword_in,
    ACTIONS(7831), 1,
      sym_keyword_is,
    ACTIONS(7837), 1,
      anon_sym_LBRACK,
    ACTIONS(7847), 1,
      sym_op_other,
    ACTIONS(7849), 1,
      anon_sym_PLUS,
    ACTIONS(7851), 1,
      anon_sym_DASH,
    ACTIONS(7853), 1,
      anon_sym_SLASH,
    ACTIONS(7855), 1,
      anon_sym_CARET,
    ACTIONS(8473), 1,
      sym_keyword_not,
    STATE(10705), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7841), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7845), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1342), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1341), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7839), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2392), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2394), 10,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym__identifier,
  [287596] = 8,
    ACTIONS(7831), 1,
      sym_keyword_is,
    ACTIONS(7837), 1,
      anon_sym_LBRACK,
    STATE(10705), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1342), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1341), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2394), 17,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [287657] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2339), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2337), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [287708] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2728), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2726), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [287759] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2382), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2380), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [287810] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2386), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2384), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [287861] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3514), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3512), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [287912] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2008), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2006), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [287963] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3536), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3538), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [288014] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2553), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2551), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [288065] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2509), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2511), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [288116] = 11,
    ACTIONS(7831), 1,
      sym_keyword_is,
    ACTIONS(7837), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_SLASH,
    ACTIONS(7855), 1,
      anon_sym_CARET,
    STATE(10705), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7841), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1342), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1341), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2394), 15,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [288183] = 13,
    ACTIONS(7831), 1,
      sym_keyword_is,
    ACTIONS(7837), 1,
      anon_sym_LBRACK,
    ACTIONS(7849), 1,
      anon_sym_PLUS,
    ACTIONS(7851), 1,
      anon_sym_DASH,
    ACTIONS(7853), 1,
      anon_sym_SLASH,
    ACTIONS(7855), 1,
      anon_sym_CARET,
    STATE(10705), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7841), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1342), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1341), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2394), 14,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      sym__identifier,
  [288254] = 4,
    ACTIONS(8476), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3372), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3370), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [288307] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2551), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2553), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [288358] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2684), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2686), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [288409] = 4,
    STATE(4471), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3406), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3404), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [288462] = 4,
    ACTIONS(8478), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3372), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3370), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [288515] = 9,
    ACTIONS(7831), 1,
      sym_keyword_is,
    ACTIONS(7837), 1,
      anon_sym_LBRACK,
    ACTIONS(7855), 1,
      anon_sym_CARET,
    STATE(10705), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1342), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1341), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2394), 16,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      sym__identifier,
  [288578] = 16,
    ACTIONS(7825), 1,
      sym_keyword_in,
    ACTIONS(7831), 1,
      sym_keyword_is,
    ACTIONS(7837), 1,
      anon_sym_LBRACK,
    ACTIONS(7847), 1,
      sym_op_other,
    ACTIONS(7849), 1,
      anon_sym_PLUS,
    ACTIONS(7851), 1,
      anon_sym_DASH,
    ACTIONS(7853), 1,
      anon_sym_SLASH,
    ACTIONS(7855), 1,
      anon_sym_CARET,
    ACTIONS(8473), 1,
      sym_keyword_not,
    STATE(10705), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7841), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1342), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1341), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 11,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2394), 12,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      sym__identifier,
  [288655] = 5,
    ACTIONS(8480), 1,
      aux_sym__single_quote_string_token2,
    STATE(3925), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3045), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3043), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [288710] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2291), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2289), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [288761] = 22,
    ACTIONS(4495), 1,
      sym_keyword_similar,
    ACTIONS(7825), 1,
      sym_keyword_in,
    ACTIONS(7827), 1,
      sym_keyword_and,
    ACTIONS(7831), 1,
      sym_keyword_is,
    ACTIONS(7833), 1,
      sym_keyword_not,
    ACTIONS(7835), 1,
      sym_keyword_between,
    ACTIONS(7837), 1,
      anon_sym_LBRACK,
    ACTIONS(7847), 1,
      sym_op_other,
    ACTIONS(7849), 1,
      anon_sym_PLUS,
    ACTIONS(7851), 1,
      anon_sym_DASH,
    ACTIONS(7853), 1,
      anon_sym_SLASH,
    ACTIONS(7855), 1,
      anon_sym_CARET,
    STATE(10705), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4493), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(7841), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7845), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1342), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1341), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2394), 5,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_or,
      sym__identifier,
    ACTIONS(7839), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2392), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [288850] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2754), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2752), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [288901] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2235), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2233), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [288952] = 21,
    ACTIONS(4495), 1,
      sym_keyword_similar,
    ACTIONS(7825), 1,
      sym_keyword_in,
    ACTIONS(7831), 1,
      sym_keyword_is,
    ACTIONS(7833), 1,
      sym_keyword_not,
    ACTIONS(7835), 1,
      sym_keyword_between,
    ACTIONS(7837), 1,
      anon_sym_LBRACK,
    ACTIONS(7847), 1,
      sym_op_other,
    ACTIONS(7849), 1,
      anon_sym_PLUS,
    ACTIONS(7851), 1,
      anon_sym_DASH,
    ACTIONS(7853), 1,
      anon_sym_SLASH,
    ACTIONS(7855), 1,
      anon_sym_CARET,
    STATE(10705), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4493), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(7841), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7845), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1342), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1341), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7839), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2392), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2394), 6,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_and,
      sym_keyword_or,
      sym__identifier,
  [289039] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2279), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2277), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [289090] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3470), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3468), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [289141] = 6,
    STATE(10705), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1342), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1341), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2394), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [289198] = 8,
    ACTIONS(7831), 1,
      sym_keyword_is,
    ACTIONS(7837), 1,
      anon_sym_LBRACK,
    STATE(10705), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1342), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1341), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2428), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2430), 17,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [289259] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2089), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2087), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [289310] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2307), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2305), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [289361] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2339), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2337), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [289412] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2199), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2197), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [289463] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2343), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2341), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [289514] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2195), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2193), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [289565] = 9,
    ACTIONS(6982), 1,
      anon_sym_LBRACK,
    ACTIONS(7910), 1,
      sym_keyword_is,
    ACTIONS(7932), 1,
      anon_sym_CARET,
    STATE(10991), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1841), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1842), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2394), 17,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      sym__identifier,
  [289628] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2287), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2285), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [289679] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2351), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2349), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [289730] = 16,
    ACTIONS(6982), 1,
      anon_sym_LBRACK,
    ACTIONS(7904), 1,
      sym_keyword_in,
    ACTIONS(7910), 1,
      sym_keyword_is,
    ACTIONS(7924), 1,
      sym_op_other,
    ACTIONS(7926), 1,
      anon_sym_PLUS,
    ACTIONS(7928), 1,
      anon_sym_DASH,
    ACTIONS(7930), 1,
      anon_sym_SLASH,
    ACTIONS(7932), 1,
      anon_sym_CARET,
    ACTIONS(8470), 1,
      sym_keyword_not,
    STATE(10991), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7918), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1841), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1842), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 10,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2394), 13,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      sym__identifier,
  [289807] = 6,
    STATE(10991), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1841), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1842), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2394), 19,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [289864] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2686), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2684), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [289915] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2291), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2289), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [289966] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2307), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2305), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [290017] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2553), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2551), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [290068] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2315), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2313), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [290119] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2319), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2317), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [290170] = 22,
    ACTIONS(4495), 1,
      sym_keyword_similar,
    ACTIONS(6982), 1,
      anon_sym_LBRACK,
    ACTIONS(7904), 1,
      sym_keyword_in,
    ACTIONS(7906), 1,
      sym_keyword_and,
    ACTIONS(7910), 1,
      sym_keyword_is,
    ACTIONS(7912), 1,
      sym_keyword_not,
    ACTIONS(7914), 1,
      sym_keyword_between,
    ACTIONS(7924), 1,
      sym_op_other,
    ACTIONS(7926), 1,
      anon_sym_PLUS,
    ACTIONS(7928), 1,
      anon_sym_DASH,
    ACTIONS(7930), 1,
      anon_sym_SLASH,
    ACTIONS(7932), 1,
      anon_sym_CARET,
    STATE(10991), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4493), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(7918), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7922), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1841), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1842), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(7916), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2394), 6,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_or,
      sym__identifier,
  [290259] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2323), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2321), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [290310] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2355), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2353), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [290361] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2263), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2261), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [290412] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2327), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2325), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [290463] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2347), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2345), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [290514] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2511), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2509), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [290565] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1996), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1994), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [290616] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2359), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2357), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [290667] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2227), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2225), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [290718] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2219), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2217), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [290769] = 21,
    ACTIONS(4495), 1,
      sym_keyword_similar,
    ACTIONS(6982), 1,
      anon_sym_LBRACK,
    ACTIONS(7904), 1,
      sym_keyword_in,
    ACTIONS(7910), 1,
      sym_keyword_is,
    ACTIONS(7912), 1,
      sym_keyword_not,
    ACTIONS(7914), 1,
      sym_keyword_between,
    ACTIONS(7924), 1,
      sym_op_other,
    ACTIONS(7926), 1,
      anon_sym_PLUS,
    ACTIONS(7928), 1,
      anon_sym_DASH,
    ACTIONS(7930), 1,
      anon_sym_SLASH,
    ACTIONS(7932), 1,
      anon_sym_CARET,
    STATE(10991), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4493), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(7918), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7922), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1841), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1842), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(7916), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2394), 7,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_and,
      sym_keyword_or,
      sym__identifier,
  [290856] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3566), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3564), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [290907] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2191), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2189), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [290958] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3562), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3560), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [291009] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2231), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2229), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [291060] = 6,
    ACTIONS(5650), 1,
      sym_keyword_without,
    ACTIONS(8482), 1,
      sym_keyword_with,
    STATE(2507), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1884), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1886), 22,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [291117] = 6,
    ACTIONS(5650), 1,
      sym_keyword_without,
    ACTIONS(8485), 1,
      sym_keyword_with,
    STATE(2506), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1856), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1858), 22,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [291174] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2095), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2093), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [291225] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2179), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2177), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [291276] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3506), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3504), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [291327] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3514), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3512), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [291378] = 7,
    ACTIONS(109), 1,
      anon_sym_LPAREN,
    ACTIONS(2784), 1,
      anon_sym_DOT,
    ACTIONS(3217), 1,
      aux_sym__single_quote_string_token1,
    STATE(4881), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2780), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2782), 22,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [291437] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3522), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3520), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [291488] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2093), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2095), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [291539] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3522), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3520), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [291590] = 18,
    ACTIONS(2394), 1,
      sym_keyword_or,
    ACTIONS(8356), 1,
      sym_keyword_is,
    ACTIONS(8358), 1,
      anon_sym_LBRACK,
    ACTIONS(8362), 1,
      anon_sym_PLUS,
    ACTIONS(8364), 1,
      anon_sym_DASH,
    ACTIONS(8366), 1,
      anon_sym_SLASH,
    ACTIONS(8368), 1,
      anon_sym_CARET,
    ACTIONS(8389), 1,
      sym_keyword_in,
    ACTIONS(8405), 1,
      sym_op_other,
    ACTIONS(8488), 1,
      sym_keyword_not,
    STATE(10252), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8360), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8403), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1870), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1871), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8399), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2392), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
  [291671] = 4,
    ACTIONS(8491), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3372), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3370), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [291724] = 8,
    ACTIONS(8356), 1,
      sym_keyword_is,
    ACTIONS(8358), 1,
      anon_sym_LBRACK,
    STATE(10252), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1870), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1871), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2394), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [291785] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2375), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2373), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [291836] = 17,
    ACTIONS(7837), 1,
      anon_sym_LBRACK,
    ACTIONS(8327), 1,
      sym_keyword_is,
    ACTIONS(8331), 1,
      anon_sym_PLUS,
    ACTIONS(8333), 1,
      anon_sym_DASH,
    ACTIONS(8335), 1,
      anon_sym_SLASH,
    ACTIONS(8337), 1,
      anon_sym_CARET,
    ACTIONS(8379), 1,
      sym_keyword_in,
    ACTIONS(8387), 1,
      sym_op_other,
    ACTIONS(8493), 1,
      sym_keyword_not,
    STATE(10705), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8329), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8385), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1689), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1690), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8383), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2392), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [291915] = 8,
    ACTIONS(7837), 1,
      anon_sym_LBRACK,
    ACTIONS(8327), 1,
      sym_keyword_is,
    STATE(10705), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1689), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1690), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2394), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 27,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [291976] = 11,
    ACTIONS(7837), 1,
      anon_sym_LBRACK,
    ACTIONS(8327), 1,
      sym_keyword_is,
    ACTIONS(8335), 1,
      anon_sym_SLASH,
    ACTIONS(8337), 1,
      anon_sym_CARET,
    STATE(10705), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8329), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2394), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    STATE(1689), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1690), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 25,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [292043] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2315), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2313), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [292094] = 11,
    ACTIONS(8356), 1,
      sym_keyword_is,
    ACTIONS(8358), 1,
      anon_sym_LBRACK,
    ACTIONS(8366), 1,
      anon_sym_SLASH,
    ACTIONS(8368), 1,
      anon_sym_CARET,
    STATE(10252), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8360), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1870), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2394), 4,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    STATE(1871), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [292161] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2275), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2273), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [292212] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2203), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2201), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [292263] = 13,
    ACTIONS(7837), 1,
      anon_sym_LBRACK,
    ACTIONS(8327), 1,
      sym_keyword_is,
    ACTIONS(8331), 1,
      anon_sym_PLUS,
    ACTIONS(8333), 1,
      anon_sym_DASH,
    ACTIONS(8335), 1,
      anon_sym_SLASH,
    ACTIONS(8337), 1,
      anon_sym_CARET,
    STATE(10705), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2394), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8329), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1689), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1690), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 24,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [292334] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2527), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2529), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [292385] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2319), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2317), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [292436] = 13,
    ACTIONS(8356), 1,
      sym_keyword_is,
    ACTIONS(8358), 1,
      anon_sym_LBRACK,
    ACTIONS(8362), 1,
      anon_sym_PLUS,
    ACTIONS(8364), 1,
      anon_sym_DASH,
    ACTIONS(8366), 1,
      anon_sym_SLASH,
    ACTIONS(8368), 1,
      anon_sym_CARET,
    STATE(10252), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8360), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2394), 3,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1870), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1871), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [292507] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2207), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2205), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [292558] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2730), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2732), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [292609] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2742), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2744), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [292660] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2121), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2119), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [292711] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2517), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2519), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [292762] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2038), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2036), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [292813] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3470), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3468), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [292864] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2363), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2361), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [292915] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2323), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2321), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [292966] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2752), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2754), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [293017] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2766), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2768), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [293068] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2327), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2325), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [293119] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2768), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2766), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [293170] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2235), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2233), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [293221] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2367), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2365), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [293272] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2239), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2237), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [293323] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2243), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2241), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [293374] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2247), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2245), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [293425] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2251), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2249), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [293476] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2561), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2559), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [293527] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2255), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2253), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [293578] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2259), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2257), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [293629] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2215), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2213), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [293680] = 13,
    ACTIONS(6982), 1,
      anon_sym_LBRACK,
    ACTIONS(7910), 1,
      sym_keyword_is,
    ACTIONS(7926), 1,
      anon_sym_PLUS,
    ACTIONS(7928), 1,
      anon_sym_DASH,
    ACTIONS(7930), 1,
      anon_sym_SLASH,
    ACTIONS(7932), 1,
      anon_sym_CARET,
    STATE(10991), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7918), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1841), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1842), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2428), 11,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2430), 15,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      sym__identifier,
  [293751] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2183), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2181), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [293802] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2303), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2301), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [293853] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2070), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2068), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [293904] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2347), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2345), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [293955] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2064), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2062), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [294006] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2511), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2509), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [294057] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2127), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2125), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [294108] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2147), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2145), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [294159] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3522), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3520), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [294210] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2223), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2221), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [294261] = 13,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(7561), 1,
      sym_keyword_is,
    ACTIONS(7577), 1,
      anon_sym_PLUS,
    ACTIONS(7579), 1,
      anon_sym_DASH,
    ACTIONS(7581), 1,
      anon_sym_SLASH,
    ACTIONS(7583), 1,
      anon_sym_CARET,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1419), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1116), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2428), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2430), 14,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      sym__identifier,
  [294332] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2227), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2225), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [294383] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2531), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2533), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [294434] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2561), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2559), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [294485] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2219), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2217), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [294536] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2622), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2624), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [294587] = 8,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(7561), 1,
      sym_keyword_is,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1419), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1116), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2428), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2430), 17,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [294648] = 4,
    STATE(3351), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3404), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3406), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [294701] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2616), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2618), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [294752] = 13,
    ACTIONS(7831), 1,
      sym_keyword_is,
    ACTIONS(7837), 1,
      anon_sym_LBRACK,
    ACTIONS(7849), 1,
      anon_sym_PLUS,
    ACTIONS(7851), 1,
      anon_sym_DASH,
    ACTIONS(7853), 1,
      anon_sym_SLASH,
    ACTIONS(7855), 1,
      anon_sym_CARET,
    STATE(10705), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7841), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1342), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1341), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2428), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2430), 14,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      sym__identifier,
  [294823] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2608), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2610), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [294874] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2089), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2087), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [294925] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2535), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2537), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [294976] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2223), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2221), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [295027] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2215), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2213), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [295078] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2537), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2535), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [295129] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2207), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2205), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [295180] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2191), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2189), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [295231] = 8,
    ACTIONS(6982), 1,
      anon_sym_LBRACK,
    ACTIONS(7910), 1,
      sym_keyword_is,
    STATE(10991), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1841), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1842), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2428), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2430), 18,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [295292] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2195), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2193), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [295343] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2610), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2608), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [295394] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2618), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2616), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [295445] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2199), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2197), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [295496] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3522), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3520), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [295547] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2624), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2622), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [295598] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3552), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3554), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [295649] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2187), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2185), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [295700] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2666), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2668), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [295751] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2547), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2549), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [295802] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2676), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2678), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [295853] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2211), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2209), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [295904] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1926), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1924), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [295955] = 4,
    ACTIONS(8496), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(55), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(109), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [296008] = 7,
    ACTIONS(7488), 1,
      sym_keyword_without,
    ACTIONS(8498), 1,
      sym_keyword_with,
    ACTIONS(8501), 1,
      anon_sym_LPAREN,
    STATE(4020), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1796), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1794), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [296067] = 7,
    ACTIONS(7488), 1,
      sym_keyword_without,
    ACTIONS(8503), 1,
      sym_keyword_with,
    ACTIONS(8506), 1,
      anon_sym_LPAREN,
    STATE(4019), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1786), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1784), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [296126] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2795), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2797), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [296177] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2141), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2139), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [296228] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3496), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3498), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [296279] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2722), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2724), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [296330] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2008), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2006), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [296381] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2267), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2265), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [296432] = 9,
    ACTIONS(7837), 1,
      anon_sym_LBRACK,
    ACTIONS(8327), 1,
      sym_keyword_is,
    ACTIONS(8337), 1,
      anon_sym_CARET,
    STATE(10705), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1689), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2394), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
    STATE(1690), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 27,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [296495] = 16,
    ACTIONS(7837), 1,
      anon_sym_LBRACK,
    ACTIONS(8327), 1,
      sym_keyword_is,
    ACTIONS(8331), 1,
      anon_sym_PLUS,
    ACTIONS(8333), 1,
      anon_sym_DASH,
    ACTIONS(8335), 1,
      anon_sym_SLASH,
    ACTIONS(8337), 1,
      anon_sym_CARET,
    ACTIONS(8379), 1,
      sym_keyword_in,
    ACTIONS(8387), 1,
      sym_op_other,
    ACTIONS(8493), 1,
      sym_keyword_not,
    STATE(10705), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2394), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8329), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1689), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1690), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 21,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [296572] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2533), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2531), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [296623] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2271), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2269), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [296674] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2083), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2081), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [296725] = 5,
    ACTIONS(8354), 1,
      aux_sym__single_quote_string_token2,
    STATE(4326), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1353), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1351), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [296780] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2331), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2329), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [296831] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3556), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3558), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [296882] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2335), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2333), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [296933] = 21,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(7837), 1,
      anon_sym_LBRACK,
    ACTIONS(8327), 1,
      sym_keyword_is,
    ACTIONS(8331), 1,
      anon_sym_PLUS,
    ACTIONS(8333), 1,
      anon_sym_DASH,
    ACTIONS(8335), 1,
      anon_sym_SLASH,
    ACTIONS(8337), 1,
      anon_sym_CARET,
    ACTIONS(8379), 1,
      sym_keyword_in,
    ACTIONS(8381), 1,
      sym_keyword_not,
    ACTIONS(8387), 1,
      sym_op_other,
    ACTIONS(8508), 1,
      sym_keyword_and,
    ACTIONS(8510), 1,
      sym_keyword_between,
    STATE(10705), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8329), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8385), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1689), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1690), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8383), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2392), 11,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_or,
      sym_keyword_returning,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [297020] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2239), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2237), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [297071] = 4,
    STATE(4475), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3406), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3404), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [297124] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2032), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2030), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [297175] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2109), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2107), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [297226] = 20,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4495), 1,
      sym_keyword_similar,
    ACTIONS(7555), 1,
      sym_keyword_in,
    ACTIONS(7561), 1,
      sym_keyword_is,
    ACTIONS(7563), 1,
      sym_keyword_not,
    ACTIONS(7575), 1,
      sym_op_other,
    ACTIONS(7577), 1,
      anon_sym_PLUS,
    ACTIONS(7579), 1,
      anon_sym_DASH,
    ACTIONS(7581), 1,
      anon_sym_SLASH,
    ACTIONS(7583), 1,
      anon_sym_CARET,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4493), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(7569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7573), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1419), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1116), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7567), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2439), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2441), 7,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_between,
      sym__identifier,
  [297311] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2243), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2241), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [297362] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2020), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2018), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [297413] = 20,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4495), 1,
      sym_keyword_similar,
    ACTIONS(7555), 1,
      sym_keyword_in,
    ACTIONS(7561), 1,
      sym_keyword_is,
    ACTIONS(7563), 1,
      sym_keyword_not,
    ACTIONS(7575), 1,
      sym_op_other,
    ACTIONS(7577), 1,
      anon_sym_PLUS,
    ACTIONS(7579), 1,
      anon_sym_DASH,
    ACTIONS(7581), 1,
      anon_sym_SLASH,
    ACTIONS(7583), 1,
      anon_sym_CARET,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4493), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(7569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7573), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1419), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1116), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7567), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2432), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2434), 7,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_between,
      sym__identifier,
  [297498] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2247), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2245), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [297549] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3550), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3548), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [297600] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2032), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2030), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [297651] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2251), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2249), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [297702] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2038), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2036), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [297753] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3474), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3472), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [297804] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2179), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2177), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [297855] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3462), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3460), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [297906] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2231), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2229), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [297957] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3454), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3452), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [298008] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2255), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2253), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [298059] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2183), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2181), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [298110] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2303), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2301), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [298161] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1862), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1860), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [298212] = 18,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(7555), 1,
      sym_keyword_in,
    ACTIONS(7561), 1,
      sym_keyword_is,
    ACTIONS(7575), 1,
      sym_op_other,
    ACTIONS(7577), 1,
      anon_sym_PLUS,
    ACTIONS(7579), 1,
      anon_sym_DASH,
    ACTIONS(7581), 1,
      anon_sym_SLASH,
    ACTIONS(7583), 1,
      anon_sym_CARET,
    ACTIONS(8512), 1,
      sym_keyword_not,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7573), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1419), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1116), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7567), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2392), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2394), 10,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym__identifier,
  [298293] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3468), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3470), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [298344] = 20,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(7837), 1,
      anon_sym_LBRACK,
    ACTIONS(8327), 1,
      sym_keyword_is,
    ACTIONS(8331), 1,
      anon_sym_PLUS,
    ACTIONS(8333), 1,
      anon_sym_DASH,
    ACTIONS(8335), 1,
      anon_sym_SLASH,
    ACTIONS(8337), 1,
      anon_sym_CARET,
    ACTIONS(8379), 1,
      sym_keyword_in,
    ACTIONS(8381), 1,
      sym_keyword_not,
    ACTIONS(8387), 1,
      sym_op_other,
    ACTIONS(8510), 1,
      sym_keyword_between,
    STATE(10705), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8329), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8385), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1689), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1690), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8383), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2392), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_returning,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [298429] = 8,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(7561), 1,
      sym_keyword_is,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1419), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1116), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2394), 17,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [298490] = 5,
    ACTIONS(8515), 1,
      aux_sym__single_quote_string_token2,
    STATE(4326), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1359), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1357), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [298545] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3528), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3530), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [298596] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2046), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2044), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [298647] = 11,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(7561), 1,
      sym_keyword_is,
    ACTIONS(7581), 1,
      anon_sym_SLASH,
    ACTIONS(7583), 1,
      anon_sym_CARET,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1419), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1116), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2394), 15,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [298714] = 13,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(7561), 1,
      sym_keyword_is,
    ACTIONS(7577), 1,
      anon_sym_PLUS,
    ACTIONS(7579), 1,
      anon_sym_DASH,
    ACTIONS(7581), 1,
      anon_sym_SLASH,
    ACTIONS(7583), 1,
      anon_sym_CARET,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1419), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1116), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2394), 14,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      sym__identifier,
  [298785] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2070), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2068), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [298836] = 7,
    ACTIONS(6715), 1,
      sym_keyword_without,
    ACTIONS(8518), 1,
      sym_keyword_with,
    ACTIONS(8521), 1,
      anon_sym_LPAREN,
    STATE(2863), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1794), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1796), 22,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [298895] = 7,
    ACTIONS(6715), 1,
      sym_keyword_without,
    ACTIONS(8523), 1,
      sym_keyword_with,
    ACTIONS(8526), 1,
      anon_sym_LPAREN,
    STATE(3028), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1784), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1786), 22,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [298954] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2064), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2062), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [299005] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2127), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2125), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [299056] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2392), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2394), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [299107] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2335), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2333), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [299158] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3484), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3486), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [299209] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3554), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3552), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [299260] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3558), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3556), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [299311] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2020), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2018), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [299362] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3490), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3488), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [299413] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3458), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3456), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [299464] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2371), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2369), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [299515] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3486), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3484), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [299566] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3494), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3492), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [299617] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3476), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3478), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [299668] = 9,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(7561), 1,
      sym_keyword_is,
    ACTIONS(7583), 1,
      anon_sym_CARET,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1419), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1116), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2394), 16,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      sym__identifier,
  [299731] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2394), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [299782] = 16,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(7555), 1,
      sym_keyword_in,
    ACTIONS(7561), 1,
      sym_keyword_is,
    ACTIONS(7575), 1,
      sym_op_other,
    ACTIONS(7577), 1,
      anon_sym_PLUS,
    ACTIONS(7579), 1,
      anon_sym_DASH,
    ACTIONS(7581), 1,
      anon_sym_SLASH,
    ACTIONS(7583), 1,
      anon_sym_CARET,
    ACTIONS(8512), 1,
      sym_keyword_not,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1419), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1116), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2394), 12,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      sym__identifier,
  [299859] = 6,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1419), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1116), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2394), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [299916] = 22,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4495), 1,
      sym_keyword_similar,
    ACTIONS(7555), 1,
      sym_keyword_in,
    ACTIONS(7557), 1,
      sym_keyword_and,
    ACTIONS(7561), 1,
      sym_keyword_is,
    ACTIONS(7563), 1,
      sym_keyword_not,
    ACTIONS(7565), 1,
      sym_keyword_between,
    ACTIONS(7575), 1,
      sym_op_other,
    ACTIONS(7577), 1,
      anon_sym_PLUS,
    ACTIONS(7579), 1,
      anon_sym_DASH,
    ACTIONS(7581), 1,
      anon_sym_SLASH,
    ACTIONS(7583), 1,
      anon_sym_CARET,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4493), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(7569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7573), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1419), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1116), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2394), 5,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_or,
      sym__identifier,
    ACTIONS(7567), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2392), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [300005] = 21,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4495), 1,
      sym_keyword_similar,
    ACTIONS(7555), 1,
      sym_keyword_in,
    ACTIONS(7561), 1,
      sym_keyword_is,
    ACTIONS(7563), 1,
      sym_keyword_not,
    ACTIONS(7565), 1,
      sym_keyword_between,
    ACTIONS(7575), 1,
      sym_op_other,
    ACTIONS(7577), 1,
      anon_sym_PLUS,
    ACTIONS(7579), 1,
      anon_sym_DASH,
    ACTIONS(7581), 1,
      anon_sym_SLASH,
    ACTIONS(7583), 1,
      anon_sym_CARET,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4493), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(7569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7573), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1419), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1116), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7567), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2392), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2394), 6,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_and,
      sym_keyword_or,
      sym__identifier,
  [300092] = 21,
    ACTIONS(2394), 1,
      sym_keyword_or,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(8356), 1,
      sym_keyword_is,
    ACTIONS(8358), 1,
      anon_sym_LBRACK,
    ACTIONS(8362), 1,
      anon_sym_PLUS,
    ACTIONS(8364), 1,
      anon_sym_DASH,
    ACTIONS(8366), 1,
      anon_sym_SLASH,
    ACTIONS(8368), 1,
      anon_sym_CARET,
    ACTIONS(8389), 1,
      sym_keyword_in,
    ACTIONS(8395), 1,
      sym_keyword_not,
    ACTIONS(8397), 1,
      sym_keyword_between,
    ACTIONS(8405), 1,
      sym_op_other,
    STATE(10252), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8360), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8403), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1870), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1871), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8399), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2392), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
  [300179] = 22,
    ACTIONS(2394), 1,
      sym_keyword_or,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(8356), 1,
      sym_keyword_is,
    ACTIONS(8358), 1,
      anon_sym_LBRACK,
    ACTIONS(8362), 1,
      anon_sym_PLUS,
    ACTIONS(8364), 1,
      anon_sym_DASH,
    ACTIONS(8366), 1,
      anon_sym_SLASH,
    ACTIONS(8368), 1,
      anon_sym_CARET,
    ACTIONS(8389), 1,
      sym_keyword_in,
    ACTIONS(8391), 1,
      sym_keyword_and,
    ACTIONS(8395), 1,
      sym_keyword_not,
    ACTIONS(8397), 1,
      sym_keyword_between,
    ACTIONS(8405), 1,
      sym_op_other,
    STATE(10252), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8360), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8403), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1870), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1871), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8399), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2392), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
  [300268] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3456), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3458), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [300319] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2147), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2145), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [300370] = 16,
    ACTIONS(8356), 1,
      sym_keyword_is,
    ACTIONS(8358), 1,
      anon_sym_LBRACK,
    ACTIONS(8362), 1,
      anon_sym_PLUS,
    ACTIONS(8364), 1,
      anon_sym_DASH,
    ACTIONS(8366), 1,
      anon_sym_SLASH,
    ACTIONS(8368), 1,
      anon_sym_CARET,
    ACTIONS(8389), 1,
      sym_keyword_in,
    ACTIONS(8405), 1,
      sym_op_other,
    ACTIONS(8488), 1,
      sym_keyword_not,
    STATE(10252), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8360), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2394), 3,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1870), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1871), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [300447] = 9,
    ACTIONS(8356), 1,
      sym_keyword_is,
    ACTIONS(8358), 1,
      anon_sym_LBRACK,
    ACTIONS(8368), 1,
      anon_sym_CARET,
    STATE(10252), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1870), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1871), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2394), 5,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(2392), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [300510] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3504), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3506), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [300560] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3554), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3552), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [300610] = 5,
    ACTIONS(8528), 1,
      sym_keyword_filter,
    STATE(4739), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2567), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2569), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [300664] = 19,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2439), 12,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_returning,
      sym_keyword_between,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [300746] = 19,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2432), 12,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_returning,
      sym_keyword_between,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [300828] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3572), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3574), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [300878] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2797), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2795), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [300928] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1372), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1370), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [300978] = 17,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8550), 1,
      sym_keyword_not,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2392), 15,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [301056] = 8,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(8530), 1,
      sym_keyword_is,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2394), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [301116] = 11,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2394), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [301182] = 13,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2394), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [301252] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1374), 3,
      anon_sym_LPAREN,
      anon_sym_DOT,
      aux_sym__single_quote_string_token1,
    ACTIONS(1370), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1372), 22,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [301304] = 5,
    ACTIONS(8528), 1,
      sym_keyword_filter,
    STATE(4736), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2453), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2455), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [301358] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3510), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3508), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [301408] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3490), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3488), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [301458] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3494), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3492), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [301508] = 9,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2394), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [301570] = 7,
    ACTIONS(109), 1,
      anon_sym_LPAREN,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2784), 1,
      anon_sym_DOT,
    STATE(2674), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2780), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2782), 22,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [301628] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3570), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3568), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [301678] = 16,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8550), 1,
      sym_keyword_not,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2394), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 20,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [301754] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1372), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1370), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [301804] = 6,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2394), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 28,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [301860] = 21,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8555), 1,
      sym_keyword_between,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2392), 10,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_or,
      sym_keyword_returning,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [301946] = 20,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8555), 1,
      sym_keyword_between,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2392), 11,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_returning,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [302030] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3466), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3464), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [302080] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2375), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2373), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [302130] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2394), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [302180] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2768), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2766), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [302230] = 4,
    ACTIONS(8557), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3372), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3370), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [302282] = 6,
    ACTIONS(6715), 1,
      sym_keyword_without,
    ACTIONS(8559), 1,
      sym_keyword_with,
    STATE(3014), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1884), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1886), 22,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [302338] = 6,
    ACTIONS(6715), 1,
      sym_keyword_without,
    ACTIONS(8562), 1,
      sym_keyword_with,
    STATE(3015), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1856), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1858), 22,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [302394] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3486), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3484), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [302444] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(7837), 1,
      anon_sym_LBRACK,
    ACTIONS(8327), 1,
      sym_keyword_is,
    ACTIONS(8331), 1,
      anon_sym_PLUS,
    ACTIONS(8333), 1,
      anon_sym_DASH,
    ACTIONS(8335), 1,
      anon_sym_SLASH,
    ACTIONS(8337), 1,
      anon_sym_CARET,
    ACTIONS(8379), 1,
      sym_keyword_in,
    ACTIONS(8381), 1,
      sym_keyword_not,
    ACTIONS(8387), 1,
      sym_op_other,
    ACTIONS(8508), 1,
      sym_keyword_and,
    ACTIONS(8510), 1,
      sym_keyword_between,
    ACTIONS(8567), 1,
      sym_keyword_or,
    ACTIONS(8569), 1,
      anon_sym_COLON_COLON,
    STATE(10705), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8329), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8385), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1689), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1690), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8383), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(8565), 8,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_COMMA,
  [302534] = 21,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4495), 1,
      sym_keyword_similar,
    ACTIONS(7555), 1,
      sym_keyword_in,
    ACTIONS(8020), 1,
      sym_keyword_is,
    ACTIONS(8022), 1,
      sym_keyword_not,
    ACTIONS(8024), 1,
      sym_keyword_between,
    ACTIONS(8032), 1,
      sym_op_other,
    ACTIONS(8034), 1,
      anon_sym_PLUS,
    ACTIONS(8036), 1,
      anon_sym_DASH,
    ACTIONS(8038), 1,
      anon_sym_SLASH,
    ACTIONS(8040), 1,
      anon_sym_CARET,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4493), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8028), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8030), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1258), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1254), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(8026), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2394), 6,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_and,
      sym_keyword_or,
      sym__identifier,
  [302620] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3458), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3456), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [302670] = 22,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4495), 1,
      sym_keyword_similar,
    ACTIONS(7555), 1,
      sym_keyword_in,
    ACTIONS(8016), 1,
      sym_keyword_and,
    ACTIONS(8020), 1,
      sym_keyword_is,
    ACTIONS(8022), 1,
      sym_keyword_not,
    ACTIONS(8024), 1,
      sym_keyword_between,
    ACTIONS(8032), 1,
      sym_op_other,
    ACTIONS(8034), 1,
      anon_sym_PLUS,
    ACTIONS(8036), 1,
      anon_sym_DASH,
    ACTIONS(8038), 1,
      anon_sym_SLASH,
    ACTIONS(8040), 1,
      anon_sym_CARET,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4493), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8028), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8030), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1258), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1254), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2394), 5,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_or,
      sym__identifier,
    ACTIONS(8026), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [302758] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3554), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3552), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [302808] = 6,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1258), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1254), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2394), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [302864] = 16,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(7555), 1,
      sym_keyword_in,
    ACTIONS(8020), 1,
      sym_keyword_is,
    ACTIONS(8032), 1,
      sym_op_other,
    ACTIONS(8034), 1,
      anon_sym_PLUS,
    ACTIONS(8036), 1,
      anon_sym_DASH,
    ACTIONS(8038), 1,
      anon_sym_SLASH,
    ACTIONS(8040), 1,
      anon_sym_CARET,
    ACTIONS(8571), 1,
      sym_keyword_not,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8028), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1258), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1254), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 10,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2394), 12,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      sym__identifier,
  [302940] = 9,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(8020), 1,
      sym_keyword_is,
    ACTIONS(8040), 1,
      anon_sym_CARET,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1258), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1254), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2394), 16,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      sym__identifier,
  [303002] = 13,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(8020), 1,
      sym_keyword_is,
    ACTIONS(8034), 1,
      anon_sym_PLUS,
    ACTIONS(8036), 1,
      anon_sym_DASH,
    ACTIONS(8038), 1,
      anon_sym_SLASH,
    ACTIONS(8040), 1,
      anon_sym_CARET,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8028), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1258), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1254), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 11,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2394), 14,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      sym__identifier,
  [303072] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3454), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3452), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [303122] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3480), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3482), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [303172] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2095), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2093), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [303222] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3550), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3548), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [303272] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3462), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3460), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [303322] = 8,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(8530), 1,
      sym_keyword_is,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2430), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2428), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [303382] = 8,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(8020), 1,
      sym_keyword_is,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1258), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1254), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2394), 17,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [303442] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3474), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3472), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [303492] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3462), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3460), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [303542] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3454), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3452), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [303592] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3474), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3472), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [303642] = 18,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(7555), 1,
      sym_keyword_in,
    ACTIONS(8020), 1,
      sym_keyword_is,
    ACTIONS(8032), 1,
      sym_op_other,
    ACTIONS(8034), 1,
      anon_sym_PLUS,
    ACTIONS(8036), 1,
      anon_sym_DASH,
    ACTIONS(8038), 1,
      anon_sym_SLASH,
    ACTIONS(8040), 1,
      anon_sym_CARET,
    ACTIONS(8571), 1,
      sym_keyword_not,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8028), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8030), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1258), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1254), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(8026), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2394), 10,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym__identifier,
  [303722] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3502), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3500), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [303772] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2363), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2361), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [303822] = 20,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4495), 1,
      sym_keyword_similar,
    ACTIONS(7555), 1,
      sym_keyword_in,
    ACTIONS(8020), 1,
      sym_keyword_is,
    ACTIONS(8022), 1,
      sym_keyword_not,
    ACTIONS(8032), 1,
      sym_op_other,
    ACTIONS(8034), 1,
      anon_sym_PLUS,
    ACTIONS(8036), 1,
      anon_sym_DASH,
    ACTIONS(8038), 1,
      anon_sym_SLASH,
    ACTIONS(8040), 1,
      anon_sym_CARET,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4493), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8028), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8030), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1258), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1254), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2432), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(8026), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2434), 7,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_between,
      sym__identifier,
  [303906] = 20,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4495), 1,
      sym_keyword_similar,
    ACTIONS(7555), 1,
      sym_keyword_in,
    ACTIONS(8020), 1,
      sym_keyword_is,
    ACTIONS(8022), 1,
      sym_keyword_not,
    ACTIONS(8032), 1,
      sym_op_other,
    ACTIONS(8034), 1,
      anon_sym_PLUS,
    ACTIONS(8036), 1,
      anon_sym_DASH,
    ACTIONS(8038), 1,
      anon_sym_SLASH,
    ACTIONS(8040), 1,
      anon_sym_CARET,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4493), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8028), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8030), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1258), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1254), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2439), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(8026), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2441), 7,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_between,
      sym__identifier,
  [303990] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2367), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2365), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [304040] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3512), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3514), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [304090] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2797), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2795), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [304140] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3558), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3556), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [304190] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3458), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3456), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [304240] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3486), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3484), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [304290] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2394), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [304340] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3558), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3556), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [304390] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2375), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2373), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [304440] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2371), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2369), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [304490] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3496), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3498), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [304540] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2728), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2726), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [304590] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3518), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3516), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [304640] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3550), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3548), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [304690] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2386), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2384), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [304740] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3470), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3468), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [304790] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3526), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3524), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [304840] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3474), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3472), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [304890] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3574), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3572), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [304940] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3546), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3544), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [304990] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3478), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3476), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [305040] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3514), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3512), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [305090] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3506), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3504), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [305140] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3538), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3536), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [305190] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3562), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3560), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [305240] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3566), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3564), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [305290] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3462), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3460), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [305340] = 8,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(8020), 1,
      sym_keyword_is,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1258), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1254), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2428), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2430), 17,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [305400] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3522), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3520), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [305450] = 13,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(8020), 1,
      sym_keyword_is,
    ACTIONS(8034), 1,
      anon_sym_PLUS,
    ACTIONS(8036), 1,
      anon_sym_DASH,
    ACTIONS(8038), 1,
      anon_sym_SLASH,
    ACTIONS(8040), 1,
      anon_sym_CARET,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8028), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1258), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1254), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2428), 11,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2430), 14,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      sym__identifier,
  [305520] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3454), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3452), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [305570] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3542), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3540), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [305620] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3554), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3552), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [305670] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2382), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2380), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [305720] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3482), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3480), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [305770] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3458), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3456), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [305820] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3486), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3484), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [305870] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3468), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3470), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [305920] = 5,
    ACTIONS(8528), 1,
      sym_keyword_filter,
    STATE(4737), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2555), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2557), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [305974] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3528), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3530), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [306024] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2724), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2722), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [306074] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3546), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3544), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [306124] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3574), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3572), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [306174] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3558), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3556), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [306224] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2367), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2365), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [306274] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3566), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3564), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [306324] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3550), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3548), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [306374] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2311), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2309), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [306424] = 5,
    ACTIONS(8528), 1,
      sym_keyword_filter,
    STATE(4740), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2559), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2561), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [306478] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2299), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2297), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [306528] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2678), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2676), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [306578] = 5,
    ACTIONS(8528), 1,
      sym_keyword_filter,
    STATE(4741), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2513), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2515), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [306632] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2295), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2293), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [306682] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2363), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2361), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [306732] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3544), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3546), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [306782] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3502), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3500), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [306832] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3510), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3508), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [306882] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2363), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2361), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [306932] = 5,
    ACTIONS(8528), 1,
      sym_keyword_filter,
    STATE(4742), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2509), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2511), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [306986] = 5,
    ACTIONS(8528), 1,
      sym_keyword_filter,
    STATE(4792), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2539), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2541), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [307040] = 5,
    ACTIONS(8528), 1,
      sym_keyword_filter,
    STATE(4751), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2543), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2545), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [307094] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2367), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2365), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [307144] = 5,
    ACTIONS(8528), 1,
      sym_keyword_filter,
    STATE(4754), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2551), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2553), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [307198] = 5,
    ACTIONS(8528), 1,
      sym_keyword_filter,
    STATE(4756), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2563), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2565), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [307252] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3562), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3560), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [307302] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2243), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2241), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [307352] = 7,
    ACTIONS(7687), 1,
      sym_keyword_without,
    ACTIONS(8574), 1,
      sym_keyword_with,
    ACTIONS(8577), 1,
      anon_sym_LPAREN,
    STATE(4540), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1796), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1794), 31,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [307410] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2549), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2547), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [307460] = 7,
    ACTIONS(7687), 1,
      sym_keyword_without,
    ACTIONS(8579), 1,
      sym_keyword_with,
    ACTIONS(8582), 1,
      anon_sym_LPAREN,
    STATE(4539), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1786), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1784), 31,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [307518] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(7603), 1,
      sym_keyword_in,
    ACTIONS(7605), 1,
      sym_keyword_and,
    ACTIONS(7607), 1,
      sym_keyword_or,
    ACTIONS(7609), 1,
      sym_keyword_is,
    ACTIONS(7611), 1,
      sym_keyword_not,
    ACTIONS(7613), 1,
      sym_keyword_between,
    ACTIONS(7615), 1,
      anon_sym_LBRACK,
    ACTIONS(7623), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7627), 1,
      sym_op_other,
    ACTIONS(7629), 1,
      anon_sym_PLUS,
    ACTIONS(7631), 1,
      anon_sym_DASH,
    ACTIONS(7633), 1,
      anon_sym_SLASH,
    ACTIONS(7635), 1,
      anon_sym_CARET,
    STATE(10903), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(7621), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7625), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1574), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1575), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7619), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6849), 8,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
  [307608] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2375), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2373), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [307658] = 6,
    ACTIONS(7450), 1,
      sym_keyword_without,
    ACTIONS(8584), 1,
      sym_keyword_with,
    STATE(4320), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1858), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1856), 31,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [307714] = 6,
    ACTIONS(7450), 1,
      sym_keyword_without,
    ACTIONS(8587), 1,
      sym_keyword_with,
    STATE(4319), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1886), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1884), 31,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [307770] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1774), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1772), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [307820] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3534), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3532), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [307870] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2386), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2384), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [307920] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2335), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2333), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [307970] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2331), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2329), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [308020] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2083), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2081), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [308070] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3470), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3468), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [308120] = 5,
    ACTIONS(8528), 1,
      sym_keyword_filter,
    STATE(4758), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2505), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2507), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [308174] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2271), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2269), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [308224] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2382), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2380), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [308274] = 5,
    ACTIONS(8528), 1,
      sym_keyword_filter,
    STATE(4761), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2527), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2529), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [308328] = 4,
    STATE(4666), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3406), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3404), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [308380] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3506), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3504), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [308430] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2267), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2265), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [308480] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3478), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3476), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [308530] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3564), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3566), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [308580] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2668), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2666), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [308630] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3560), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3562), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [308680] = 5,
    ACTIONS(8528), 1,
      sym_keyword_filter,
    STATE(4762), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2501), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2503), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [308734] = 11,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(8020), 1,
      sym_keyword_is,
    ACTIONS(8038), 1,
      anon_sym_SLASH,
    ACTIONS(8040), 1,
      anon_sym_CARET,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8028), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1258), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1254), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 12,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2394), 15,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [308800] = 13,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2430), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2428), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [308870] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2394), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [308920] = 5,
    ACTIONS(8528), 1,
      sym_keyword_filter,
    STATE(4738), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2517), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2519), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [308974] = 5,
    ACTIONS(8528), 1,
      sym_keyword_filter,
    STATE(4763), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2449), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2451), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [309028] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2141), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2139), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [309078] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2561), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2559), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [309128] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3514), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3512), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [309178] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3498), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3496), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [309228] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3490), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3488), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [309278] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3494), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3492), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [309328] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1926), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1924), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [309378] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3570), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3568), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [309428] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3542), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3540), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [309478] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2211), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2209), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [309528] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6980), 1,
      sym_keyword_is,
    ACTIONS(6982), 1,
      anon_sym_LBRACK,
    ACTIONS(6986), 1,
      anon_sym_PLUS,
    ACTIONS(6988), 1,
      anon_sym_DASH,
    ACTIONS(6990), 1,
      anon_sym_SLASH,
    ACTIONS(6992), 1,
      anon_sym_CARET,
    ACTIONS(7026), 1,
      sym_keyword_in,
    ACTIONS(7028), 1,
      sym_keyword_and,
    ACTIONS(7030), 1,
      sym_keyword_or,
    ACTIONS(7032), 1,
      sym_keyword_not,
    ACTIONS(7034), 1,
      sym_keyword_between,
    ACTIONS(7038), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7042), 1,
      sym_op_other,
    STATE(10991), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6984), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7040), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1206), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1203), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7036), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(7058), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [309618] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3514), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3512), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [309668] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3506), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3504), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [309718] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2386), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2384), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [309768] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2382), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2380), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [309818] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3562), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3560), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [309868] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3566), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3564), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [309918] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2121), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2119), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [309968] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2046), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2044), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [310018] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2511), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2509), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [310068] = 5,
    ACTIONS(8528), 1,
      sym_keyword_filter,
    STATE(4774), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2531), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2533), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [310122] = 5,
    ACTIONS(8528), 1,
      sym_keyword_filter,
    STATE(4775), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2443), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2445), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [310176] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1862), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1860), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [310226] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2537), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2535), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [310276] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2231), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2229), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [310326] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2179), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2177), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [310376] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2553), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2551), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [310426] = 5,
    ACTIONS(8528), 1,
      sym_keyword_filter,
    STATE(4776), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2535), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2537), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [310480] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3476), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3478), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [310530] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2038), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2036), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [310580] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2032), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2030), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [310630] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2020), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2018), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [310680] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2008), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2006), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [310730] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2089), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2087), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [310780] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3546), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3544), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [310830] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3574), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3572), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [310880] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3538), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3536), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [310930] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2187), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2185), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [310980] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2199), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2197), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [311030] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2195), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2193), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [311080] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2191), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2189), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [311130] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2207), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2205), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [311180] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2215), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2213), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [311230] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2223), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2221), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [311280] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3540), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3542), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [311330] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2686), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2684), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [311380] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2610), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2608), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [311430] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3530), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3528), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [311480] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3482), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3480), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [311530] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3522), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3520), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [311580] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3536), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3538), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [311630] = 6,
    ACTIONS(7488), 1,
      sym_keyword_without,
    ACTIONS(8590), 1,
      sym_keyword_with,
    STATE(4239), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1886), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1884), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [311686] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2109), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2107), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [311736] = 6,
    ACTIONS(7488), 1,
      sym_keyword_without,
    ACTIONS(8593), 1,
      sym_keyword_with,
    STATE(4240), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1858), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1856), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [311792] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3502), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3500), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [311842] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3466), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3464), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [311892] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3510), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3508), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [311942] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3522), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3520), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [311992] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2359), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2357), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [312042] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3522), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3520), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [312092] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1996), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1994), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [312142] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2263), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2261), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [312192] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2355), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2353), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [312242] = 5,
    ACTIONS(8528), 1,
      sym_keyword_filter,
    STATE(4785), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2547), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2549), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [312296] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2618), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2616), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [312346] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2351), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2349), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [312396] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2343), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2341), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [312446] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3522), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3520), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [312496] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3522), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3520), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [312546] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2529), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2527), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [312596] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2624), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2622), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [312646] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3518), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3516), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [312696] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3526), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3524), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [312746] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2339), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2337), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [312796] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3490), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3488), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [312846] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3494), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3492), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [312896] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3534), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3532), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [312946] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2147), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2145), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [312996] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2732), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2730), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [313046] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3498), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3496), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [313096] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2744), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2742), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [313146] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3568), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3570), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [313196] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2371), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2369), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [313246] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2127), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2125), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [313296] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1376), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1374), 35,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_nulls,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      aux_sym__single_quote_string_token1,
  [313346] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3530), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3528), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [313396] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3492), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3494), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [313446] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3488), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3490), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [313496] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3522), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3520), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [313546] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3522), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3520), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [313596] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2371), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2369), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [313646] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3482), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3480), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [313696] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2064), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2062), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [313746] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2070), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2068), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [313796] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3548), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3550), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [313846] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2795), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2797), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [313896] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2303), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2301), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [313946] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2183), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2181), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [313996] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2797), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2795), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [314046] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2259), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2257), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [314096] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3538), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3536), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [314146] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2255), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2253), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [314196] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2251), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2249), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [314246] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3478), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3476), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [314296] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2247), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2245), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [314346] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3570), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3568), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [314396] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3542), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3540), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [314446] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2279), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2277), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [314496] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3508), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3510), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [314546] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(8565), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_COMMA,
  [314636] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2283), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2281), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [314686] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2533), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2531), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [314736] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3472), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3474), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [314786] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3460), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3462), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [314836] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3470), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3468), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [314886] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2287), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2285), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [314936] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2519), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2517), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [314986] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2291), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2289), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [315036] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3452), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3454), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [315086] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3522), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3520), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [315136] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2307), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2305), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [315186] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2315), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2313), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [315236] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2319), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2317), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [315286] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2323), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2321), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [315336] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2327), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2325), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [315386] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2347), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2345), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [315436] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2227), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2225), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [315486] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3552), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3554), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [315536] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3556), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3558), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [315586] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2219), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2217), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [315636] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3456), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3458), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [315686] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3500), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3502), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [315736] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2275), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2273), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [315786] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2203), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2201), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [315836] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3530), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3528), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [315886] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3522), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3520), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [315936] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3466), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3464), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [315986] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3484), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3486), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [316036] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2392), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2394), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [316086] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3518), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3516), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [316136] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3526), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3524), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [316186] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2754), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2752), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [316236] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3534), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3532), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [316286] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3498), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3496), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [316336] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2235), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2233), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [316386] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2239), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2237), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [316436] = 6,
    ACTIONS(8602), 1,
      anon_sym_LPAREN,
    STATE(5173), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8600), 2,
      sym_keyword_with,
      sym_keyword_without,
    ACTIONS(1784), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1786), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [316491] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3474), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3472), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [316540] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(8604), 1,
      sym_keyword_in,
    ACTIONS(8606), 1,
      sym_keyword_and,
    ACTIONS(8608), 1,
      sym_keyword_or,
    ACTIONS(8610), 1,
      sym_keyword_is,
    ACTIONS(8612), 1,
      sym_keyword_not,
    ACTIONS(8614), 1,
      sym_keyword_between,
    ACTIONS(8616), 1,
      anon_sym_LBRACK,
    ACTIONS(8622), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8626), 1,
      sym_op_other,
    ACTIONS(8628), 1,
      anon_sym_PLUS,
    ACTIONS(8630), 1,
      anon_sym_DASH,
    ACTIONS(8632), 1,
      anon_sym_SLASH,
    ACTIONS(8634), 1,
      anon_sym_CARET,
    STATE(10666), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8620), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1167), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1168), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8618), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3263), 7,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
  [316629] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2367), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2365), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [316678] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(8604), 1,
      sym_keyword_in,
    ACTIONS(8606), 1,
      sym_keyword_and,
    ACTIONS(8608), 1,
      sym_keyword_or,
    ACTIONS(8610), 1,
      sym_keyword_is,
    ACTIONS(8612), 1,
      sym_keyword_not,
    ACTIONS(8614), 1,
      sym_keyword_between,
    ACTIONS(8616), 1,
      anon_sym_LBRACK,
    ACTIONS(8622), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8626), 1,
      sym_op_other,
    ACTIONS(8628), 1,
      anon_sym_PLUS,
    ACTIONS(8630), 1,
      anon_sym_DASH,
    ACTIONS(8632), 1,
      anon_sym_SLASH,
    ACTIONS(8634), 1,
      anon_sym_CARET,
    STATE(10666), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8620), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1167), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1168), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8618), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3422), 7,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
  [316767] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2363), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2361), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [316816] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3542), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3540), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [316865] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(7603), 1,
      sym_keyword_in,
    ACTIONS(7605), 1,
      sym_keyword_and,
    ACTIONS(7607), 1,
      sym_keyword_or,
    ACTIONS(7609), 1,
      sym_keyword_is,
    ACTIONS(7611), 1,
      sym_keyword_not,
    ACTIONS(7613), 1,
      sym_keyword_between,
    ACTIONS(7615), 1,
      anon_sym_LBRACK,
    ACTIONS(7623), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7627), 1,
      sym_op_other,
    ACTIONS(7629), 1,
      anon_sym_PLUS,
    ACTIONS(7631), 1,
      anon_sym_DASH,
    ACTIONS(7633), 1,
      anon_sym_SLASH,
    ACTIONS(7635), 1,
      anon_sym_CARET,
    STATE(10903), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(7621), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7625), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1574), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1575), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7619), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(7058), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
  [316954] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2375), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2373), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [317003] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6980), 1,
      sym_keyword_is,
    ACTIONS(6982), 1,
      anon_sym_LBRACK,
    ACTIONS(6986), 1,
      anon_sym_PLUS,
    ACTIONS(6988), 1,
      anon_sym_DASH,
    ACTIONS(6990), 1,
      anon_sym_SLASH,
    ACTIONS(6992), 1,
      anon_sym_CARET,
    ACTIONS(7026), 1,
      sym_keyword_in,
    ACTIONS(7028), 1,
      sym_keyword_and,
    ACTIONS(7030), 1,
      sym_keyword_or,
    ACTIONS(7032), 1,
      sym_keyword_not,
    ACTIONS(7034), 1,
      sym_keyword_between,
    ACTIONS(7038), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7042), 1,
      sym_op_other,
    ACTIONS(7428), 1,
      anon_sym_COMMA,
    STATE(8173), 1,
      aux_sym_array_repeat1,
    STATE(10991), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6984), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7040), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1206), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1203), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7036), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(8636), 5,
      sym_keyword_order,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      anon_sym_RPAREN,
  [317096] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3530), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3528), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [317145] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2386), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2384), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [317194] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2382), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2380), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [317243] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3554), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3552), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [317292] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2371), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2369), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [317341] = 5,
    ACTIONS(8638), 1,
      aux_sym__single_quote_string_token2,
    STATE(4684), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3043), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3045), 22,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [317394] = 6,
    ACTIONS(7687), 1,
      sym_keyword_without,
    ACTIONS(8640), 1,
      sym_keyword_with,
    STATE(4612), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1886), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1884), 31,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [317449] = 7,
    ACTIONS(8643), 1,
      sym_keyword_unsigned,
    ACTIONS(8645), 1,
      sym_keyword_zerofill,
    ACTIONS(8647), 1,
      sym_keyword_precision,
    ACTIONS(8649), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1772), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1774), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [317506] = 7,
    ACTIONS(8651), 1,
      sym_keyword_unsigned,
    ACTIONS(8653), 1,
      sym_keyword_zerofill,
    ACTIONS(8655), 1,
      sym_keyword_precision,
    ACTIONS(8657), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1774), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1772), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [317563] = 6,
    ACTIONS(7687), 1,
      sym_keyword_without,
    ACTIONS(8659), 1,
      sym_keyword_with,
    STATE(4611), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1858), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1856), 31,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [317618] = 6,
    ACTIONS(8662), 1,
      anon_sym_LPAREN,
    STATE(5174), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8600), 2,
      sym_keyword_with,
      sym_keyword_without,
    ACTIONS(1794), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1796), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [317673] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3570), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3568), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [317722] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(8604), 1,
      sym_keyword_in,
    ACTIONS(8606), 1,
      sym_keyword_and,
    ACTIONS(8608), 1,
      sym_keyword_or,
    ACTIONS(8610), 1,
      sym_keyword_is,
    ACTIONS(8612), 1,
      sym_keyword_not,
    ACTIONS(8614), 1,
      sym_keyword_between,
    ACTIONS(8616), 1,
      anon_sym_LBRACK,
    ACTIONS(8622), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8626), 1,
      sym_op_other,
    ACTIONS(8628), 1,
      anon_sym_PLUS,
    ACTIONS(8630), 1,
      anon_sym_DASH,
    ACTIONS(8632), 1,
      anon_sym_SLASH,
    ACTIONS(8634), 1,
      anon_sym_CARET,
    STATE(10666), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8620), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1167), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1168), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8618), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3325), 7,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
  [317811] = 5,
    ACTIONS(6893), 1,
      aux_sym__single_quote_string_token2,
    STATE(2684), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2965), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2967), 22,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [317864] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3534), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3532), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [317913] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3526), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3524), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [317962] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1372), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1370), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [318011] = 7,
    ACTIONS(8664), 1,
      sym_keyword_with,
    ACTIONS(8666), 1,
      sym_keyword_without,
    ACTIONS(8668), 1,
      anon_sym_LPAREN,
    STATE(5137), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1786), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1784), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [318068] = 7,
    ACTIONS(8664), 1,
      sym_keyword_with,
    ACTIONS(8666), 1,
      sym_keyword_without,
    ACTIONS(8670), 1,
      anon_sym_LPAREN,
    STATE(5138), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1796), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1794), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [318125] = 8,
    ACTIONS(8610), 1,
      sym_keyword_is,
    ACTIONS(8616), 1,
      anon_sym_LBRACK,
    STATE(10666), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1167), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1168), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2430), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2428), 24,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [318184] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3518), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3516), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [318233] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3466), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3464), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [318282] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3454), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3452), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [318331] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3522), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3520), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [318380] = 13,
    ACTIONS(8610), 1,
      sym_keyword_is,
    ACTIONS(8616), 1,
      anon_sym_LBRACK,
    ACTIONS(8628), 1,
      anon_sym_PLUS,
    ACTIONS(8630), 1,
      anon_sym_DASH,
    ACTIONS(8632), 1,
      anon_sym_SLASH,
    ACTIONS(8634), 1,
      anon_sym_CARET,
    STATE(10666), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8620), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2430), 3,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1167), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1168), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2428), 21,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [318449] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(8604), 1,
      sym_keyword_in,
    ACTIONS(8606), 1,
      sym_keyword_and,
    ACTIONS(8608), 1,
      sym_keyword_or,
    ACTIONS(8610), 1,
      sym_keyword_is,
    ACTIONS(8612), 1,
      sym_keyword_not,
    ACTIONS(8614), 1,
      sym_keyword_between,
    ACTIONS(8616), 1,
      anon_sym_LBRACK,
    ACTIONS(8622), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8626), 1,
      sym_op_other,
    ACTIONS(8628), 1,
      anon_sym_PLUS,
    ACTIONS(8630), 1,
      anon_sym_DASH,
    ACTIONS(8632), 1,
      anon_sym_SLASH,
    ACTIONS(8634), 1,
      anon_sym_CARET,
    STATE(10666), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8620), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1167), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1168), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8618), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3366), 7,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
  [318538] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3462), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3460), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [318587] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3494), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3492), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [318636] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3558), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3556), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [318685] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3490), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3488), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [318734] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3510), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3508), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [318783] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3502), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3500), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [318832] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2797), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2795), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [318881] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(8604), 1,
      sym_keyword_in,
    ACTIONS(8606), 1,
      sym_keyword_and,
    ACTIONS(8608), 1,
      sym_keyword_or,
    ACTIONS(8610), 1,
      sym_keyword_is,
    ACTIONS(8612), 1,
      sym_keyword_not,
    ACTIONS(8614), 1,
      sym_keyword_between,
    ACTIONS(8616), 1,
      anon_sym_LBRACK,
    ACTIONS(8622), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8626), 1,
      sym_op_other,
    ACTIONS(8628), 1,
      anon_sym_PLUS,
    ACTIONS(8630), 1,
      anon_sym_DASH,
    ACTIONS(8632), 1,
      anon_sym_SLASH,
    ACTIONS(8634), 1,
      anon_sym_CARET,
    STATE(10666), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8620), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1167), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1168), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8618), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3402), 7,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
  [318970] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3498), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3496), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [319019] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3550), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3548), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [319068] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3546), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3544), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [319117] = 4,
    ACTIONS(8672), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(55), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(109), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [319168] = 19,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(8604), 1,
      sym_keyword_in,
    ACTIONS(8610), 1,
      sym_keyword_is,
    ACTIONS(8612), 1,
      sym_keyword_not,
    ACTIONS(8616), 1,
      anon_sym_LBRACK,
    ACTIONS(8626), 1,
      sym_op_other,
    ACTIONS(8628), 1,
      anon_sym_PLUS,
    ACTIONS(8630), 1,
      anon_sym_DASH,
    ACTIONS(8632), 1,
      anon_sym_SLASH,
    ACTIONS(8634), 1,
      anon_sym_CARET,
    STATE(10666), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8620), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1167), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1168), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8618), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2432), 11,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_between,
      anon_sym_COLON_COLON,
  [319249] = 19,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(8604), 1,
      sym_keyword_in,
    ACTIONS(8610), 1,
      sym_keyword_is,
    ACTIONS(8612), 1,
      sym_keyword_not,
    ACTIONS(8616), 1,
      anon_sym_LBRACK,
    ACTIONS(8626), 1,
      sym_op_other,
    ACTIONS(8628), 1,
      anon_sym_PLUS,
    ACTIONS(8630), 1,
      anon_sym_DASH,
    ACTIONS(8632), 1,
      anon_sym_SLASH,
    ACTIONS(8634), 1,
      anon_sym_CARET,
    STATE(10666), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8620), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1167), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1168), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8618), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2439), 11,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_between,
      anon_sym_COLON_COLON,
  [319330] = 20,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(8604), 1,
      sym_keyword_in,
    ACTIONS(8610), 1,
      sym_keyword_is,
    ACTIONS(8612), 1,
      sym_keyword_not,
    ACTIONS(8614), 1,
      sym_keyword_between,
    ACTIONS(8616), 1,
      anon_sym_LBRACK,
    ACTIONS(8626), 1,
      sym_op_other,
    ACTIONS(8628), 1,
      anon_sym_PLUS,
    ACTIONS(8630), 1,
      anon_sym_DASH,
    ACTIONS(8632), 1,
      anon_sym_SLASH,
    ACTIONS(8634), 1,
      anon_sym_CARET,
    STATE(10666), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8620), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1167), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1168), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8618), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2392), 10,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      anon_sym_COLON_COLON,
  [319413] = 21,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(8604), 1,
      sym_keyword_in,
    ACTIONS(8606), 1,
      sym_keyword_and,
    ACTIONS(8610), 1,
      sym_keyword_is,
    ACTIONS(8612), 1,
      sym_keyword_not,
    ACTIONS(8614), 1,
      sym_keyword_between,
    ACTIONS(8616), 1,
      anon_sym_LBRACK,
    ACTIONS(8626), 1,
      sym_op_other,
    ACTIONS(8628), 1,
      anon_sym_PLUS,
    ACTIONS(8630), 1,
      anon_sym_DASH,
    ACTIONS(8632), 1,
      anon_sym_SLASH,
    ACTIONS(8634), 1,
      anon_sym_CARET,
    STATE(10666), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8620), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1167), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1168), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8618), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2392), 9,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_or,
      anon_sym_COLON_COLON,
  [319498] = 6,
    STATE(10666), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1167), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1168), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2394), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [319553] = 16,
    ACTIONS(8604), 1,
      sym_keyword_in,
    ACTIONS(8610), 1,
      sym_keyword_is,
    ACTIONS(8616), 1,
      anon_sym_LBRACK,
    ACTIONS(8626), 1,
      sym_op_other,
    ACTIONS(8628), 1,
      anon_sym_PLUS,
    ACTIONS(8630), 1,
      anon_sym_DASH,
    ACTIONS(8632), 1,
      anon_sym_SLASH,
    ACTIONS(8634), 1,
      anon_sym_CARET,
    ACTIONS(8674), 1,
      sym_keyword_not,
    STATE(10666), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2394), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8620), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1167), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1168), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 19,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [319628] = 9,
    ACTIONS(8610), 1,
      sym_keyword_is,
    ACTIONS(8616), 1,
      anon_sym_LBRACK,
    ACTIONS(8634), 1,
      anon_sym_CARET,
    STATE(10666), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1167), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1168), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2394), 5,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(2392), 24,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [319689] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3470), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3468), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [319738] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(8604), 1,
      sym_keyword_in,
    ACTIONS(8606), 1,
      sym_keyword_and,
    ACTIONS(8608), 1,
      sym_keyword_or,
    ACTIONS(8610), 1,
      sym_keyword_is,
    ACTIONS(8612), 1,
      sym_keyword_not,
    ACTIONS(8614), 1,
      sym_keyword_between,
    ACTIONS(8616), 1,
      anon_sym_LBRACK,
    ACTIONS(8622), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8626), 1,
      sym_op_other,
    ACTIONS(8628), 1,
      anon_sym_PLUS,
    ACTIONS(8630), 1,
      anon_sym_DASH,
    ACTIONS(8632), 1,
      anon_sym_SLASH,
    ACTIONS(8634), 1,
      anon_sym_CARET,
    STATE(10666), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8620), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1167), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1168), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8618), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3410), 7,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
  [319827] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3514), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3512), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [319876] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3506), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3504), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [319925] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3478), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3476), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [319974] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8555), 1,
      sym_keyword_between,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8677), 1,
      sym_keyword_or,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(8565), 7,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [320063] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3562), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3560), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [320112] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3566), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3564), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [320161] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3482), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3480), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [320210] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3574), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3572), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [320259] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3538), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3536), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [320308] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3458), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3456), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [320357] = 17,
    ACTIONS(8604), 1,
      sym_keyword_in,
    ACTIONS(8610), 1,
      sym_keyword_is,
    ACTIONS(8616), 1,
      anon_sym_LBRACK,
    ACTIONS(8626), 1,
      sym_op_other,
    ACTIONS(8628), 1,
      anon_sym_PLUS,
    ACTIONS(8630), 1,
      anon_sym_DASH,
    ACTIONS(8632), 1,
      anon_sym_SLASH,
    ACTIONS(8634), 1,
      anon_sym_CARET,
    ACTIONS(8674), 1,
      sym_keyword_not,
    STATE(10666), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8620), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1167), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1168), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8618), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2392), 14,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COLON_COLON,
  [320434] = 13,
    ACTIONS(8610), 1,
      sym_keyword_is,
    ACTIONS(8616), 1,
      anon_sym_LBRACK,
    ACTIONS(8628), 1,
      anon_sym_PLUS,
    ACTIONS(8630), 1,
      anon_sym_DASH,
    ACTIONS(8632), 1,
      anon_sym_SLASH,
    ACTIONS(8634), 1,
      anon_sym_CARET,
    STATE(10666), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8620), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2394), 3,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1167), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1168), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 21,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [320503] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2394), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [320552] = 11,
    ACTIONS(8610), 1,
      sym_keyword_is,
    ACTIONS(8616), 1,
      anon_sym_LBRACK,
    ACTIONS(8632), 1,
      anon_sym_SLASH,
    ACTIONS(8634), 1,
      anon_sym_CARET,
    STATE(10666), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8620), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1167), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2394), 4,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    STATE(1168), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2392), 22,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [320617] = 8,
    ACTIONS(8610), 1,
      sym_keyword_is,
    ACTIONS(8616), 1,
      anon_sym_LBRACK,
    STATE(10666), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1167), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1168), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2394), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 24,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [320676] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3486), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3484), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [320725] = 6,
    ACTIONS(8664), 1,
      sym_keyword_with,
    ACTIONS(8666), 1,
      sym_keyword_without,
    STATE(5219), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1858), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1856), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [320779] = 6,
    ACTIONS(8664), 1,
      sym_keyword_with,
    ACTIONS(8666), 1,
      sym_keyword_without,
    STATE(5218), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1886), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1884), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [320833] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2559), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2561), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [320881] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2509), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2511), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [320929] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2608), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2610), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [320977] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2726), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2728), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [321025] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2551), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2553), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [321073] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2684), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2686), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [321121] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2527), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2529), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [321169] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(6980), 1,
      sym_keyword_is,
    ACTIONS(6982), 1,
      anon_sym_LBRACK,
    ACTIONS(6986), 1,
      anon_sym_PLUS,
    ACTIONS(6988), 1,
      anon_sym_DASH,
    ACTIONS(6990), 1,
      anon_sym_SLASH,
    ACTIONS(6992), 1,
      anon_sym_CARET,
    ACTIONS(7026), 1,
      sym_keyword_in,
    ACTIONS(7028), 1,
      sym_keyword_and,
    ACTIONS(7030), 1,
      sym_keyword_or,
    ACTIONS(7032), 1,
      sym_keyword_not,
    ACTIONS(7034), 1,
      sym_keyword_between,
    ACTIONS(7038), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7042), 1,
      sym_op_other,
    STATE(10991), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6984), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7040), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1206), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1203), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7036), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6849), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [321257] = 6,
    ACTIONS(8679), 1,
      sym_keyword_unsigned,
    ACTIONS(8681), 1,
      sym_keyword_zerofill,
    ACTIONS(8683), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1862), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1860), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [321311] = 7,
    ACTIONS(8685), 1,
      sym_keyword_unsigned,
    ACTIONS(8687), 1,
      sym_keyword_zerofill,
    ACTIONS(8689), 1,
      sym_keyword_precision,
    ACTIONS(8691), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1774), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1772), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [321367] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2742), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2744), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [321415] = 7,
    ACTIONS(8693), 1,
      sym_keyword_array,
    STATE(5066), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(5583), 1,
      sym__array_size_definition,
    STATE(5618), 1,
      sym_array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2789), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2791), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [321471] = 6,
    ACTIONS(8651), 1,
      sym_keyword_unsigned,
    ACTIONS(8653), 1,
      sym_keyword_zerofill,
    ACTIONS(8657), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1774), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1772), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [321525] = 7,
    ACTIONS(8693), 1,
      sym_keyword_array,
    STATE(5066), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(5579), 1,
      sym_array_size_definition,
    STATE(5583), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2799), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2801), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [321581] = 4,
    ACTIONS(8695), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3372), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3370), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [321631] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2517), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2519), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [321679] = 6,
    ACTIONS(8697), 1,
      sym_keyword_unsigned,
    ACTIONS(8699), 1,
      sym_keyword_zerofill,
    ACTIONS(8701), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1824), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1822), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [321733] = 7,
    ACTIONS(8703), 1,
      sym_keyword_array,
    STATE(4941), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(5534), 1,
      sym_array_size_definition,
    STATE(5535), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2801), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2799), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [321789] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2752), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2754), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [321837] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1820), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1818), 33,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [321885] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2766), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2768), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [321933] = 6,
    ACTIONS(8705), 1,
      sym_keyword_unsigned,
    ACTIONS(8707), 1,
      sym_keyword_zerofill,
    ACTIONS(8709), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1860), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1862), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [321987] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2531), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2533), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [322035] = 7,
    ACTIONS(8703), 1,
      sym_keyword_array,
    STATE(4941), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(5535), 1,
      sym__array_size_definition,
    STATE(5545), 1,
      sym_array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2791), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2789), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [322091] = 6,
    ACTIONS(8711), 1,
      sym_keyword_unsigned,
    ACTIONS(8713), 1,
      sym_keyword_zerofill,
    ACTIONS(8715), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1842), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1840), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [322145] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2622), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2624), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [322193] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2616), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2618), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [322241] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2535), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2537), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [322289] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1838), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1836), 33,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [322337] = 6,
    ACTIONS(8643), 1,
      sym_keyword_unsigned,
    ACTIONS(8645), 1,
      sym_keyword_zerofill,
    ACTIONS(8649), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1772), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1774), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [322391] = 6,
    ACTIONS(8717), 1,
      sym_keyword_unsigned,
    ACTIONS(8719), 1,
      sym_keyword_zerofill,
    ACTIONS(8721), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1898), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1900), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [322445] = 6,
    ACTIONS(8723), 1,
      sym_keyword_unsigned,
    ACTIONS(8725), 1,
      sym_keyword_zerofill,
    ACTIONS(8727), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1888), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1890), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [322499] = 6,
    ACTIONS(8729), 1,
      sym_keyword_unsigned,
    ACTIONS(8731), 1,
      sym_keyword_zerofill,
    ACTIONS(8733), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1804), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1806), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [322553] = 6,
    ACTIONS(8735), 1,
      sym_keyword_unsigned,
    ACTIONS(8737), 1,
      sym_keyword_zerofill,
    ACTIONS(8739), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1874), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1876), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [322607] = 6,
    ACTIONS(8741), 1,
      sym_keyword_unsigned,
    ACTIONS(8743), 1,
      sym_keyword_zerofill,
    ACTIONS(8745), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1876), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1874), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [322661] = 6,
    ACTIONS(8747), 1,
      sym_keyword_unsigned,
    ACTIONS(8749), 1,
      sym_keyword_zerofill,
    ACTIONS(8751), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1806), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1804), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [322715] = 7,
    ACTIONS(8753), 1,
      sym_keyword_unsigned,
    ACTIONS(8755), 1,
      sym_keyword_zerofill,
    ACTIONS(8757), 1,
      sym_keyword_precision,
    ACTIONS(8759), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1772), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1774), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [322771] = 6,
    ACTIONS(8761), 1,
      sym_keyword_unsigned,
    ACTIONS(8763), 1,
      sym_keyword_zerofill,
    ACTIONS(8765), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1840), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1842), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [322825] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2666), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2668), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [322873] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2547), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2549), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [322921] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2676), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2678), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [322969] = 6,
    ACTIONS(8767), 1,
      sym_keyword_unsigned,
    ACTIONS(8769), 1,
      sym_keyword_zerofill,
    ACTIONS(8771), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1900), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1898), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [323023] = 6,
    ACTIONS(8775), 1,
      anon_sym_LPAREN,
    STATE(5562), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8773), 2,
      sym_keyword_with,
      sym_keyword_without,
    ACTIONS(1794), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1796), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [323077] = 6,
    ACTIONS(8777), 1,
      anon_sym_LPAREN,
    STATE(5565), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8773), 2,
      sym_keyword_with,
      sym_keyword_without,
    ACTIONS(1784), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1786), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [323131] = 7,
    ACTIONS(8779), 1,
      sym_keyword_with,
    ACTIONS(8781), 1,
      sym_keyword_without,
    ACTIONS(8783), 1,
      anon_sym_LPAREN,
    STATE(5736), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1796), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1794), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [323187] = 7,
    ACTIONS(8779), 1,
      sym_keyword_with,
    ACTIONS(8781), 1,
      sym_keyword_without,
    ACTIONS(8785), 1,
      anon_sym_LPAREN,
    STATE(5737), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1786), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1784), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [323243] = 5,
    STATE(5277), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8600), 2,
      sym_keyword_with,
      sym_keyword_without,
    ACTIONS(1856), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1858), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [323295] = 5,
    STATE(5275), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8600), 2,
      sym_keyword_with,
      sym_keyword_without,
    ACTIONS(1884), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1886), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [323347] = 7,
    ACTIONS(109), 1,
      anon_sym_LPAREN,
    ACTIONS(2784), 1,
      anon_sym_DOT,
    ACTIONS(4172), 1,
      aux_sym__single_quote_string_token1,
    STATE(5548), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2782), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2780), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [323403] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2722), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2724), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [323451] = 6,
    ACTIONS(8787), 1,
      sym_keyword_unsigned,
    ACTIONS(8789), 1,
      sym_keyword_zerofill,
    ACTIONS(8791), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1822), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1824), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [323505] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1802), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1800), 33,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [323553] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1818), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1820), 21,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [323601] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1800), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1802), 21,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [323649] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1870), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1872), 21,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [323697] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1814), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1816), 21,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [323745] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2730), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2732), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [323793] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1836), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1838), 21,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [323841] = 6,
    ACTIONS(8793), 1,
      sym_keyword_unsigned,
    ACTIONS(8795), 1,
      sym_keyword_zerofill,
    ACTIONS(8797), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1890), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1888), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [323895] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1832), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1834), 21,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [323943] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1816), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1814), 33,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [323991] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1834), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1832), 33,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [324039] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1872), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1870), 33,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [324087] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3484), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3486), 22,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [324134] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1838), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1836), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [324181] = 7,
    ACTIONS(8799), 1,
      sym_keyword_array,
    STATE(5109), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(5966), 1,
      sym_array_size_definition,
    STATE(5969), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2799), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2801), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [324236] = 7,
    ACTIONS(8799), 1,
      sym_keyword_array,
    STATE(5109), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(5969), 1,
      sym__array_size_definition,
    STATE(6003), 1,
      sym_array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2789), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2791), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [324291] = 7,
    ACTIONS(8801), 1,
      sym_keyword_array,
    STATE(915), 1,
      sym__array_size_definition,
    STATE(927), 1,
      sym_array_size_definition,
    STATE(5249), 1,
      aux_sym_array_size_definition_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2791), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2789), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [324346] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(7837), 1,
      anon_sym_LBRACK,
    ACTIONS(8327), 1,
      sym_keyword_is,
    ACTIONS(8331), 1,
      anon_sym_PLUS,
    ACTIONS(8333), 1,
      anon_sym_DASH,
    ACTIONS(8335), 1,
      anon_sym_SLASH,
    ACTIONS(8337), 1,
      anon_sym_CARET,
    ACTIONS(8379), 1,
      sym_keyword_in,
    ACTIONS(8381), 1,
      sym_keyword_not,
    ACTIONS(8387), 1,
      sym_op_other,
    ACTIONS(8508), 1,
      sym_keyword_and,
    ACTIONS(8510), 1,
      sym_keyword_between,
    ACTIONS(8567), 1,
      sym_keyword_or,
    ACTIONS(8569), 1,
      anon_sym_COLON_COLON,
    STATE(10705), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8329), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8385), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1689), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1690), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6849), 5,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_returning,
    ACTIONS(8383), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [324433] = 5,
    ACTIONS(8803), 1,
      sym_keyword_precision,
    ACTIONS(8805), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1862), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1860), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [324484] = 5,
    ACTIONS(8807), 1,
      sym_keyword_unsigned,
    ACTIONS(8809), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1942), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1940), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [324535] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3544), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3546), 22,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [324582] = 5,
    ACTIONS(8811), 1,
      sym_keyword_filter,
    STATE(5290), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2455), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2453), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [324633] = 5,
    ACTIONS(8813), 1,
      sym_keyword_unsigned,
    ACTIONS(8815), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1964), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1962), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [324684] = 5,
    ACTIONS(8817), 1,
      sym_keyword_unsigned,
    ACTIONS(8819), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1984), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1982), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [324735] = 5,
    ACTIONS(8821), 1,
      sym_keyword_unsigned,
    ACTIONS(8823), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1956), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1954), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [324786] = 5,
    ACTIONS(8825), 1,
      sym_keyword_unsigned,
    ACTIONS(8827), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1972), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1970), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [324837] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3572), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3574), 22,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [324884] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3500), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3502), 22,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [324931] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3508), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3510), 22,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [324978] = 5,
    ACTIONS(8829), 1,
      sym_keyword_unsigned,
    ACTIONS(8831), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1910), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1908), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [325029] = 5,
    ACTIONS(8833), 1,
      sym_keyword_unsigned,
    ACTIONS(8835), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1918), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1916), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [325080] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3488), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3490), 22,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [325127] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3492), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3494), 22,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [325174] = 5,
    ACTIONS(8837), 1,
      sym_keyword_unsigned,
    ACTIONS(8839), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1926), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1924), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [325225] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3568), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3570), 22,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [325272] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3540), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3542), 22,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [325319] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6849), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_returning,
  [325406] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3564), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3566), 22,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [325453] = 5,
    ACTIONS(8811), 1,
      sym_keyword_filter,
    STATE(5316), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2549), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2547), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [325504] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3560), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3562), 22,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [325551] = 5,
    ACTIONS(8811), 1,
      sym_keyword_filter,
    STATE(5319), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2537), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2535), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [325602] = 5,
    ACTIONS(8811), 1,
      sym_keyword_filter,
    STATE(5321), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2445), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2443), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [325653] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3504), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3506), 22,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [325700] = 5,
    ACTIONS(8811), 1,
      sym_keyword_filter,
    STATE(5322), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2533), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2531), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [325751] = 4,
    ACTIONS(8841), 1,
      sym_keyword_varying,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1948), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1950), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [325800] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3452), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3454), 22,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [325847] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3512), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3514), 22,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [325894] = 5,
    ACTIONS(8843), 1,
      sym_keyword_varying,
    ACTIONS(8845), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1932), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1934), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [325945] = 5,
    STATE(5578), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8773), 2,
      sym_keyword_with,
      sym_keyword_without,
    ACTIONS(1856), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1858), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [325996] = 5,
    STATE(5572), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8773), 2,
      sym_keyword_with,
      sym_keyword_without,
    ACTIONS(1884), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1886), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [326047] = 6,
    ACTIONS(8779), 1,
      sym_keyword_with,
    ACTIONS(8781), 1,
      sym_keyword_without,
    STATE(5678), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1858), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1856), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [326100] = 6,
    ACTIONS(8779), 1,
      sym_keyword_with,
    ACTIONS(8781), 1,
      sym_keyword_without,
    STATE(5679), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1886), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1884), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [326153] = 23,
    ACTIONS(8849), 1,
      sym_keyword_left,
    ACTIONS(8853), 1,
      sym_keyword_inner,
    ACTIONS(8855), 1,
      sym_keyword_cross,
    ACTIONS(8857), 1,
      sym_keyword_join,
    ACTIONS(8859), 1,
      sym_keyword_natural,
    ACTIONS(8861), 1,
      sym_keyword_where,
    ACTIONS(8863), 1,
      sym_keyword_order,
    ACTIONS(8865), 1,
      sym_keyword_group,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(8871), 1,
      sym_keyword_window,
    ACTIONS(8873), 1,
      anon_sym_COMMA,
    STATE(6405), 1,
      sym_index_hint,
    STATE(6487), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(6919), 1,
      sym_where,
    STATE(7000), 1,
      sym_group_by,
    STATE(7238), 1,
      sym_window_clause,
    STATE(7338), 1,
      sym_order_by,
    STATE(7585), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8851), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(8869), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    STATE(6404), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(8847), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [326240] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3528), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3530), 22,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [326287] = 5,
    ACTIONS(8811), 1,
      sym_keyword_filter,
    STATE(5215), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2451), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2449), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [326338] = 5,
    ACTIONS(8875), 1,
      sym_keyword_varying,
    ACTIONS(8877), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1934), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1932), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [326389] = 4,
    ACTIONS(8879), 1,
      sym_keyword_varying,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1950), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1948), 31,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [326438] = 7,
    ACTIONS(8881), 1,
      sym_keyword_array,
    STATE(5381), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(5771), 1,
      sym__array_size_definition,
    STATE(5848), 1,
      sym_array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2791), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2789), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [326493] = 5,
    ACTIONS(8811), 1,
      sym_keyword_filter,
    STATE(5340), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2519), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2517), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [326544] = 7,
    ACTIONS(8881), 1,
      sym_keyword_array,
    STATE(5381), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(5771), 1,
      sym__array_size_definition,
    STATE(5822), 1,
      sym_array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2801), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2799), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [326599] = 5,
    ACTIONS(8811), 1,
      sym_keyword_filter,
    STATE(5342), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2503), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2501), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [326650] = 5,
    ACTIONS(8811), 1,
      sym_keyword_filter,
    STATE(5337), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2529), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2527), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [326701] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3496), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3498), 22,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [326748] = 23,
    ACTIONS(8849), 1,
      sym_keyword_left,
    ACTIONS(8853), 1,
      sym_keyword_inner,
    ACTIONS(8855), 1,
      sym_keyword_cross,
    ACTIONS(8857), 1,
      sym_keyword_join,
    ACTIONS(8859), 1,
      sym_keyword_natural,
    ACTIONS(8861), 1,
      sym_keyword_where,
    ACTIONS(8863), 1,
      sym_keyword_order,
    ACTIONS(8865), 1,
      sym_keyword_group,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(8871), 1,
      sym_keyword_window,
    ACTIONS(8873), 1,
      anon_sym_COMMA,
    STATE(6350), 1,
      sym_index_hint,
    STATE(6487), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(6921), 1,
      sym_where,
    STATE(7027), 1,
      sym_group_by,
    STATE(7177), 1,
      sym_window_clause,
    STATE(7391), 1,
      sym_order_by,
    STATE(7555), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8851), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(8869), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    STATE(6351), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(8883), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [326835] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3480), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3482), 22,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [326882] = 5,
    ACTIONS(8811), 1,
      sym_keyword_filter,
    STATE(5351), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2507), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2505), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [326933] = 23,
    ACTIONS(8849), 1,
      sym_keyword_left,
    ACTIONS(8853), 1,
      sym_keyword_inner,
    ACTIONS(8855), 1,
      sym_keyword_cross,
    ACTIONS(8857), 1,
      sym_keyword_join,
    ACTIONS(8859), 1,
      sym_keyword_natural,
    ACTIONS(8861), 1,
      sym_keyword_where,
    ACTIONS(8863), 1,
      sym_keyword_order,
    ACTIONS(8865), 1,
      sym_keyword_group,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(8871), 1,
      sym_keyword_window,
    ACTIONS(8873), 1,
      anon_sym_COMMA,
    STATE(4839), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(6350), 1,
      sym_index_hint,
    STATE(6921), 1,
      sym_where,
    STATE(7027), 1,
      sym_group_by,
    STATE(7177), 1,
      sym_window_clause,
    STATE(7391), 1,
      sym_order_by,
    STATE(7555), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8851), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(8869), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    STATE(6351), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(8883), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [327020] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3536), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3538), 22,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [327067] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3476), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3478), 22,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [327114] = 6,
    ACTIONS(8885), 1,
      sym_keyword_unsigned,
    ACTIONS(8887), 1,
      sym_keyword_zerofill,
    ACTIONS(8889), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1860), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1862), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [327167] = 6,
    ACTIONS(8753), 1,
      sym_keyword_unsigned,
    ACTIONS(8755), 1,
      sym_keyword_zerofill,
    ACTIONS(8759), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1772), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1774), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [327220] = 6,
    ACTIONS(8891), 1,
      sym_keyword_unsigned,
    ACTIONS(8893), 1,
      sym_keyword_zerofill,
    ACTIONS(8895), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1898), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1900), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [327273] = 6,
    ACTIONS(8897), 1,
      sym_keyword_unsigned,
    ACTIONS(8899), 1,
      sym_keyword_zerofill,
    ACTIONS(8901), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1888), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1890), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [327326] = 6,
    ACTIONS(8903), 1,
      sym_keyword_unsigned,
    ACTIONS(8905), 1,
      sym_keyword_zerofill,
    ACTIONS(8907), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1804), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1806), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [327379] = 6,
    ACTIONS(8909), 1,
      sym_keyword_unsigned,
    ACTIONS(8911), 1,
      sym_keyword_zerofill,
    ACTIONS(8913), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1874), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1876), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [327432] = 6,
    ACTIONS(8915), 1,
      sym_keyword_unsigned,
    ACTIONS(8917), 1,
      sym_keyword_zerofill,
    ACTIONS(8919), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1840), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1842), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [327485] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 22,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [327532] = 5,
    ACTIONS(8921), 1,
      sym_keyword_precision,
    ACTIONS(8923), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1860), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1862), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [327583] = 6,
    ACTIONS(8925), 1,
      sym_keyword_unsigned,
    ACTIONS(8927), 1,
      sym_keyword_zerofill,
    ACTIONS(8929), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1822), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1824), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [327636] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1818), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1820), 21,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [327683] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1374), 3,
      anon_sym_LPAREN,
      anon_sym_DOT,
      aux_sym__single_quote_string_token1,
    ACTIONS(1372), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1370), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [327732] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1800), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1802), 21,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [327779] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1870), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1872), 21,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [327826] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1814), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1816), 21,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [327873] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1832), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1834), 21,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [327920] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1836), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1838), 21,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [327967] = 7,
    ACTIONS(8801), 1,
      sym_keyword_array,
    STATE(915), 1,
      sym__array_size_definition,
    STATE(940), 1,
      sym_array_size_definition,
    STATE(5249), 1,
      aux_sym_array_size_definition_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2801), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2799), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [328022] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3468), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3470), 22,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [328069] = 5,
    ACTIONS(8811), 1,
      sym_keyword_filter,
    STATE(5382), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2565), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2563), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [328120] = 5,
    ACTIONS(8811), 1,
      sym_keyword_filter,
    STATE(5384), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2553), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2551), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [328171] = 5,
    ACTIONS(8811), 1,
      sym_keyword_filter,
    STATE(5389), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2545), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2543), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [328222] = 5,
    ACTIONS(8811), 1,
      sym_keyword_filter,
    STATE(5393), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2541), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2539), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [328273] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3524), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3526), 22,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [328320] = 5,
    ACTIONS(8811), 1,
      sym_keyword_filter,
    STATE(5396), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2511), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2509), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [328371] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3532), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3534), 22,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [328418] = 5,
    ACTIONS(8811), 1,
      sym_keyword_filter,
    STATE(5101), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2569), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2567), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [328469] = 6,
    ACTIONS(8931), 1,
      sym_keyword_unsigned,
    ACTIONS(8933), 1,
      sym_keyword_zerofill,
    ACTIONS(8935), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1862), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1860), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [328522] = 7,
    ACTIONS(109), 1,
      anon_sym_LPAREN,
    ACTIONS(2784), 1,
      anon_sym_DOT,
    ACTIONS(4092), 1,
      aux_sym__single_quote_string_token1,
    STATE(5796), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2782), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2780), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [328577] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2392), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2394), 22,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [328624] = 6,
    ACTIONS(8685), 1,
      sym_keyword_unsigned,
    ACTIONS(8687), 1,
      sym_keyword_zerofill,
    ACTIONS(8691), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1774), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1772), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [328677] = 5,
    ACTIONS(8937), 1,
      sym_keyword_unsigned,
    ACTIONS(8939), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1924), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1926), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [328728] = 5,
    ACTIONS(8941), 1,
      sym_keyword_unsigned,
    ACTIONS(8943), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1940), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1942), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [328779] = 5,
    ACTIONS(8945), 1,
      sym_keyword_unsigned,
    ACTIONS(8947), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1962), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1964), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [328830] = 5,
    ACTIONS(8949), 1,
      sym_keyword_unsigned,
    ACTIONS(8951), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1982), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1984), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [328881] = 5,
    ACTIONS(8953), 1,
      sym_keyword_unsigned,
    ACTIONS(8955), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1954), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1956), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [328932] = 5,
    ACTIONS(8957), 1,
      sym_keyword_unsigned,
    ACTIONS(8959), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1970), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1972), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [328983] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3456), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3458), 22,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [329030] = 6,
    ACTIONS(8961), 1,
      sym_keyword_unsigned,
    ACTIONS(8963), 1,
      sym_keyword_zerofill,
    ACTIONS(8965), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1900), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1898), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [329083] = 6,
    ACTIONS(8967), 1,
      sym_keyword_unsigned,
    ACTIONS(8969), 1,
      sym_keyword_zerofill,
    ACTIONS(8971), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1890), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1888), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [329136] = 6,
    ACTIONS(8973), 1,
      sym_keyword_unsigned,
    ACTIONS(8975), 1,
      sym_keyword_zerofill,
    ACTIONS(8977), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1806), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1804), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [329189] = 6,
    ACTIONS(8979), 1,
      sym_keyword_unsigned,
    ACTIONS(8981), 1,
      sym_keyword_zerofill,
    ACTIONS(8983), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1876), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1874), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [329242] = 5,
    ACTIONS(8811), 1,
      sym_keyword_filter,
    STATE(5383), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2557), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2555), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [329293] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3556), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3558), 22,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [329340] = 6,
    ACTIONS(8985), 1,
      sym_keyword_unsigned,
    ACTIONS(8987), 1,
      sym_keyword_zerofill,
    ACTIONS(8989), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1842), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1840), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [329393] = 6,
    ACTIONS(8991), 1,
      sym_keyword_unsigned,
    ACTIONS(8993), 1,
      sym_keyword_zerofill,
    ACTIONS(8995), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1824), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1822), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [329446] = 5,
    ACTIONS(8811), 1,
      sym_keyword_filter,
    STATE(5406), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2561), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2559), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [329497] = 5,
    ACTIONS(8811), 1,
      sym_keyword_filter,
    STATE(5413), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2515), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2513), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [329548] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1834), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1832), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [329595] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3548), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3550), 22,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [329642] = 5,
    ACTIONS(8997), 1,
      sym_keyword_unsigned,
    ACTIONS(8999), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1908), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1910), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [329693] = 5,
    ACTIONS(9001), 1,
      sym_keyword_unsigned,
    ACTIONS(9003), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1916), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1918), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [329744] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3472), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3474), 22,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [329791] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1816), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1814), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [329838] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1872), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1870), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [329885] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3460), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3462), 22,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [329932] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1802), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1800), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [329979] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1820), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1818), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [330026] = 23,
    ACTIONS(8849), 1,
      sym_keyword_left,
    ACTIONS(8853), 1,
      sym_keyword_inner,
    ACTIONS(8855), 1,
      sym_keyword_cross,
    ACTIONS(8857), 1,
      sym_keyword_join,
    ACTIONS(8859), 1,
      sym_keyword_natural,
    ACTIONS(8861), 1,
      sym_keyword_where,
    ACTIONS(8863), 1,
      sym_keyword_order,
    ACTIONS(8865), 1,
      sym_keyword_group,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(8871), 1,
      sym_keyword_window,
    ACTIONS(8873), 1,
      anon_sym_COMMA,
    STATE(4850), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(6401), 1,
      sym_index_hint,
    STATE(6918), 1,
      sym_where,
    STATE(7051), 1,
      sym_group_by,
    STATE(7212), 1,
      sym_window_clause,
    STATE(7293), 1,
      sym_order_by,
    STATE(7556), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8851), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(8869), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    STATE(6332), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(9005), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [330113] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1376), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1374), 32,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      aux_sym__single_quote_string_token1,
  [330160] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3552), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3554), 22,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [330207] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2795), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2797), 22,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [330254] = 26,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(9009), 1,
      sym_keyword_else,
    ACTIONS(9011), 1,
      sym_keyword_end,
    STATE(10086), 1,
      aux_sym_case_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [330346] = 4,
    ACTIONS(9013), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2169), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2171), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [330394] = 26,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(9015), 1,
      sym_keyword_else,
    ACTIONS(9017), 1,
      sym_keyword_end,
    STATE(9539), 1,
      aux_sym_case_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [330486] = 4,
    ACTIONS(9019), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2119), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2121), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [330534] = 4,
    ACTIONS(9021), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2139), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2141), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [330582] = 4,
    ACTIONS(9023), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2081), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2083), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [330630] = 26,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(9025), 1,
      sym_keyword_else,
    ACTIONS(9027), 1,
      sym_keyword_end,
    STATE(10095), 1,
      aux_sym_case_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [330722] = 4,
    ACTIONS(9029), 1,
      sym_keyword_varying,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1950), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1948), 30,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [330770] = 5,
    ACTIONS(9031), 1,
      sym_keyword_varying,
    ACTIONS(9033), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1934), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1932), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [330820] = 26,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(9035), 1,
      sym_keyword_else,
    ACTIONS(9037), 1,
      sym_keyword_end,
    STATE(9459), 1,
      aux_sym_case_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [330912] = 26,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(9039), 1,
      sym_keyword_else,
    ACTIONS(9041), 1,
      sym_keyword_end,
    STATE(9463), 1,
      aux_sym_case_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [331004] = 26,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(9043), 1,
      sym_keyword_else,
    ACTIONS(9045), 1,
      sym_keyword_end,
    STATE(9474), 1,
      aux_sym_case_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [331096] = 4,
    ACTIONS(9047), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2145), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2147), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [331144] = 26,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(9049), 1,
      sym_keyword_else,
    ACTIONS(9051), 1,
      sym_keyword_end,
    STATE(10170), 1,
      aux_sym_case_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [331236] = 26,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(9053), 1,
      sym_keyword_else,
    ACTIONS(9055), 1,
      sym_keyword_end,
    STATE(10164), 1,
      aux_sym_case_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [331328] = 4,
    ACTIONS(9057), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2125), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2127), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [331376] = 4,
    ACTIONS(9059), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2062), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2064), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [331424] = 4,
    ACTIONS(9061), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2068), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2070), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [331472] = 4,
    ACTIONS(9063), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2044), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2046), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [331520] = 4,
    ACTIONS(9065), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1994), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1996), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [331568] = 5,
    ACTIONS(9067), 1,
      sym_keyword_precision,
    ACTIONS(9069), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1862), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1860), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [331618] = 6,
    ACTIONS(9071), 1,
      anon_sym_LBRACK,
    STATE(4939), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(5583), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2074), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2076), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [331670] = 23,
    ACTIONS(9074), 1,
      sym_keyword_left,
    ACTIONS(9078), 1,
      sym_keyword_inner,
    ACTIONS(9080), 1,
      sym_keyword_cross,
    ACTIONS(9082), 1,
      sym_keyword_join,
    ACTIONS(9084), 1,
      sym_keyword_natural,
    ACTIONS(9086), 1,
      sym_keyword_where,
    ACTIONS(9088), 1,
      sym_keyword_order,
    ACTIONS(9090), 1,
      sym_keyword_group,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(9096), 1,
      sym_keyword_window,
    ACTIONS(9098), 1,
      anon_sym_COMMA,
    STATE(6420), 1,
      sym_index_hint,
    STATE(6588), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(6955), 1,
      sym_where,
    STATE(7085), 1,
      sym_group_by,
    STATE(7308), 1,
      sym_window_clause,
    STATE(7476), 1,
      sym_order_by,
    STATE(7707), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9076), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(9094), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    STATE(6419), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(8883), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [331756] = 5,
    STATE(5064), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(5535), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3187), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3185), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [331806] = 23,
    ACTIONS(9074), 1,
      sym_keyword_left,
    ACTIONS(9078), 1,
      sym_keyword_inner,
    ACTIONS(9080), 1,
      sym_keyword_cross,
    ACTIONS(9082), 1,
      sym_keyword_join,
    ACTIONS(9084), 1,
      sym_keyword_natural,
    ACTIONS(9086), 1,
      sym_keyword_where,
    ACTIONS(9088), 1,
      sym_keyword_order,
    ACTIONS(9090), 1,
      sym_keyword_group,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(9096), 1,
      sym_keyword_window,
    ACTIONS(9098), 1,
      anon_sym_COMMA,
    STATE(6418), 1,
      sym_index_hint,
    STATE(6588), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(6952), 1,
      sym_where,
    STATE(7146), 1,
      sym_group_by,
    STATE(7288), 1,
      sym_window_clause,
    STATE(7442), 1,
      sym_order_by,
    STATE(7611), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9076), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(9094), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    STATE(6417), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(8847), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [331892] = 26,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(9100), 1,
      sym_keyword_else,
    ACTIONS(9102), 1,
      sym_keyword_end,
    STATE(10208), 1,
      aux_sym_case_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [331984] = 5,
    ACTIONS(9104), 1,
      sym_keyword_unsigned,
    ACTIONS(9106), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1942), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1940), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [332034] = 26,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(9108), 1,
      sym_keyword_else,
    ACTIONS(9110), 1,
      sym_keyword_end,
    STATE(10195), 1,
      aux_sym_case_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [332126] = 5,
    ACTIONS(9112), 1,
      sym_keyword_unsigned,
    ACTIONS(9114), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1964), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1962), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [332176] = 5,
    ACTIONS(9116), 1,
      sym_keyword_unsigned,
    ACTIONS(9118), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1984), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1982), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [332226] = 5,
    ACTIONS(9120), 1,
      sym_keyword_unsigned,
    ACTIONS(9122), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1956), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1954), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [332276] = 5,
    ACTIONS(9124), 1,
      sym_keyword_unsigned,
    ACTIONS(9126), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1972), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1970), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [332326] = 4,
    ACTIONS(9128), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2087), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2089), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [332374] = 23,
    ACTIONS(9074), 1,
      sym_keyword_left,
    ACTIONS(9078), 1,
      sym_keyword_inner,
    ACTIONS(9080), 1,
      sym_keyword_cross,
    ACTIONS(9082), 1,
      sym_keyword_join,
    ACTIONS(9084), 1,
      sym_keyword_natural,
    ACTIONS(9086), 1,
      sym_keyword_where,
    ACTIONS(9088), 1,
      sym_keyword_order,
    ACTIONS(9090), 1,
      sym_keyword_group,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(9096), 1,
      sym_keyword_window,
    ACTIONS(9098), 1,
      anon_sym_COMMA,
    STATE(4942), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(6420), 1,
      sym_index_hint,
    STATE(6955), 1,
      sym_where,
    STATE(7085), 1,
      sym_group_by,
    STATE(7308), 1,
      sym_window_clause,
    STATE(7476), 1,
      sym_order_by,
    STATE(7707), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9076), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(9094), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    STATE(6419), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(8883), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [332460] = 4,
    ACTIONS(9130), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2006), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2008), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [332508] = 26,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(9132), 1,
      sym_keyword_else,
    ACTIONS(9134), 1,
      sym_keyword_end,
    STATE(9475), 1,
      aux_sym_case_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [332600] = 26,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(9136), 1,
      sym_keyword_else,
    ACTIONS(9138), 1,
      sym_keyword_end,
    STATE(9472), 1,
      aux_sym_case_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [332692] = 4,
    ACTIONS(9140), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2018), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2020), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [332740] = 4,
    ACTIONS(9142), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2030), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2032), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [332788] = 4,
    ACTIONS(9144), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2036), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2038), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [332836] = 26,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(9146), 1,
      sym_keyword_else,
    ACTIONS(9148), 1,
      sym_keyword_end,
    STATE(10104), 1,
      aux_sym_case_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [332928] = 4,
    ACTIONS(8707), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1860), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1862), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [332976] = 26,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(9150), 1,
      sym_keyword_else,
    ACTIONS(9152), 1,
      sym_keyword_end,
    STATE(9476), 1,
      aux_sym_case_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [333068] = 5,
    ACTIONS(9154), 1,
      sym_keyword_unsigned,
    ACTIONS(9156), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1910), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1908), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [333118] = 5,
    ACTIONS(9158), 1,
      sym_keyword_unsigned,
    ACTIONS(9160), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1918), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1916), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [333168] = 5,
    ACTIONS(9162), 1,
      sym_keyword_unsigned,
    ACTIONS(9164), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1926), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1924), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [333218] = 5,
    ACTIONS(9166), 1,
      aux_sym__single_quote_string_token2,
    STATE(4999), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2967), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2965), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [333268] = 4,
    ACTIONS(9168), 1,
      sym_keyword_varying,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1948), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1950), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [333316] = 5,
    ACTIONS(9170), 1,
      sym_keyword_varying,
    ACTIONS(9172), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1932), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1934), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [333366] = 5,
    ACTIONS(9174), 1,
      sym_keyword_filter,
    STATE(5495), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2511), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2509), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [333416] = 4,
    ACTIONS(9176), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2044), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2046), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [333464] = 4,
    ACTIONS(9178), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2099), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2101), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [333512] = 4,
    ACTIONS(8923), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1860), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1862), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [333560] = 4,
    ACTIONS(9180), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2087), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2089), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [333608] = 4,
    ACTIONS(9182), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2006), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2008), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [333656] = 4,
    ACTIONS(9184), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2018), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2020), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [333704] = 4,
    ACTIONS(9186), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2030), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2032), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [333752] = 4,
    ACTIONS(9188), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2036), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2038), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [333800] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2050), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2052), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [333846] = 26,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(9190), 1,
      sym_keyword_else,
    ACTIONS(9192), 1,
      sym_keyword_end,
    STATE(10077), 1,
      aux_sym_case_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [333938] = 4,
    ACTIONS(9194), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2012), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2014), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [333986] = 26,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(9196), 1,
      sym_keyword_else,
    ACTIONS(9198), 1,
      sym_keyword_end,
    STATE(10018), 1,
      aux_sym_case_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [334078] = 4,
    ACTIONS(9200), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2024), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2026), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [334126] = 26,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(9202), 1,
      sym_keyword_else,
    ACTIONS(9204), 1,
      sym_keyword_end,
    STATE(10011), 1,
      aux_sym_case_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [334218] = 4,
    ACTIONS(9206), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2151), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2153), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [334266] = 5,
    ACTIONS(9208), 1,
      sym_keyword_precision,
    ACTIONS(9210), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1860), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1862), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [334316] = 5,
    ACTIONS(9212), 1,
      aux_sym__single_quote_string_token2,
    STATE(4964), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3045), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3043), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [334366] = 4,
    ACTIONS(9214), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2171), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2169), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [334414] = 4,
    ACTIONS(9216), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2014), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2012), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [334462] = 5,
    ACTIONS(9218), 1,
      sym_keyword_unsigned,
    ACTIONS(9220), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1962), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1964), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [334512] = 26,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(9222), 1,
      sym_keyword_else,
    ACTIONS(9224), 1,
      sym_keyword_end,
    STATE(9974), 1,
      aux_sym_case_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [334604] = 5,
    ACTIONS(9226), 1,
      sym_keyword_unsigned,
    ACTIONS(9228), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1982), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1984), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [334654] = 26,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(9230), 1,
      sym_keyword_else,
    ACTIONS(9232), 1,
      sym_keyword_end,
    STATE(9956), 1,
      aux_sym_case_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [334746] = 5,
    ACTIONS(9234), 1,
      sym_keyword_unsigned,
    ACTIONS(9236), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1954), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1956), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [334796] = 5,
    ACTIONS(9238), 1,
      sym_keyword_unsigned,
    ACTIONS(9240), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1970), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1972), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [334846] = 5,
    ACTIONS(9242), 1,
      sym_keyword_unsigned,
    ACTIONS(9244), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1940), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1942), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [334896] = 5,
    ACTIONS(9166), 1,
      aux_sym__single_quote_string_token2,
    STATE(4999), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1353), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1351), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [334946] = 4,
    ACTIONS(9246), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2157), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2159), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [334994] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1950), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1948), 31,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [335040] = 5,
    ACTIONS(9248), 1,
      sym_keyword_unsigned,
    ACTIONS(9250), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1908), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1910), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [335090] = 5,
    ACTIONS(9252), 1,
      sym_keyword_unsigned,
    ACTIONS(9254), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1916), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1918), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [335140] = 5,
    ACTIONS(9256), 1,
      aux_sym__single_quote_string_token2,
    STATE(4999), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1359), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1357), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [335190] = 5,
    ACTIONS(9259), 1,
      sym_keyword_unsigned,
    ACTIONS(9261), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1924), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1926), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [335240] = 5,
    ACTIONS(9174), 1,
      sym_keyword_filter,
    STATE(5491), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2569), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2567), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [335290] = 4,
    ACTIONS(9263), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2159), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2157), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [335338] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2165), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2167), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [335384] = 26,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(9265), 1,
      sym_keyword_else,
    ACTIONS(9267), 1,
      sym_keyword_end,
    STATE(10194), 1,
      aux_sym_case_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [335476] = 4,
    ACTIONS(9269), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2107), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2109), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [335524] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1948), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1950), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [335570] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2167), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2165), 31,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [335616] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8555), 1,
      sym_keyword_between,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8677), 1,
      sym_keyword_or,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(6849), 4,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [335702] = 26,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(9271), 1,
      sym_keyword_else,
    ACTIONS(9273), 1,
      sym_keyword_end,
    STATE(9912), 1,
      aux_sym_case_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [335794] = 4,
    ACTIONS(9275), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2054), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2056), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [335842] = 26,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(9277), 1,
      sym_keyword_else,
    ACTIONS(9279), 1,
      sym_keyword_end,
    STATE(9895), 1,
      aux_sym_case_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [335934] = 26,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(9281), 1,
      sym_keyword_else,
    ACTIONS(9283), 1,
      sym_keyword_end,
    STATE(9844), 1,
      aux_sym_case_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [336026] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1374), 3,
      anon_sym_LPAREN,
      anon_sym_DOT,
      aux_sym__single_quote_string_token1,
    ACTIONS(1372), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1370), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [336074] = 26,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(9285), 1,
      sym_keyword_else,
    ACTIONS(9287), 1,
      sym_keyword_end,
    STATE(9822), 1,
      aux_sym_case_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [336166] = 4,
    ACTIONS(9289), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2133), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2131), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [336214] = 26,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(9291), 1,
      sym_keyword_else,
    ACTIONS(9293), 1,
      sym_keyword_end,
    STATE(9915), 1,
      aux_sym_case_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [336306] = 4,
    ACTIONS(9295), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2000), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2002), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [336354] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1376), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1374), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      aux_sym__single_quote_string_token1,
  [336400] = 4,
    ACTIONS(9297), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2113), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2115), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [336448] = 4,
    ACTIONS(9299), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2115), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2113), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [336496] = 4,
    ACTIONS(9301), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2026), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2024), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [336544] = 4,
    ACTIONS(9303), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2131), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2133), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [336592] = 26,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(9305), 1,
      sym_keyword_else,
    ACTIONS(9307), 1,
      sym_keyword_end,
    STATE(9800), 1,
      aux_sym_case_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [336684] = 26,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(9309), 1,
      sym_keyword_else,
    ACTIONS(9311), 1,
      sym_keyword_end,
    STATE(9791), 1,
      aux_sym_case_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [336776] = 4,
    ACTIONS(9313), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1994), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1996), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [336824] = 4,
    ACTIONS(9315), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(55), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(109), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [336872] = 5,
    ACTIONS(9174), 1,
      sym_keyword_filter,
    STATE(5531), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2549), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2547), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [336922] = 5,
    ACTIONS(9174), 1,
      sym_keyword_filter,
    STATE(5530), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2537), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2535), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [336972] = 26,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(9317), 1,
      sym_keyword_else,
    ACTIONS(9319), 1,
      sym_keyword_end,
    STATE(9709), 1,
      aux_sym_case_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [337064] = 26,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(9321), 1,
      sym_keyword_else,
    ACTIONS(9323), 1,
      sym_keyword_end,
    STATE(10065), 1,
      aux_sym_case_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [337156] = 7,
    ACTIONS(9325), 1,
      sym_keyword_with,
    ACTIONS(9327), 1,
      sym_keyword_without,
    ACTIONS(9329), 1,
      anon_sym_LPAREN,
    STATE(6174), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1796), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1794), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [337210] = 5,
    ACTIONS(9174), 1,
      sym_keyword_filter,
    STATE(5529), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2445), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2443), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [337260] = 7,
    ACTIONS(9325), 1,
      sym_keyword_with,
    ACTIONS(9327), 1,
      sym_keyword_without,
    ACTIONS(9331), 1,
      anon_sym_LPAREN,
    STATE(6175), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1786), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1784), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [337314] = 7,
    ACTIONS(9333), 1,
      sym_keyword_unsigned,
    ACTIONS(9335), 1,
      sym_keyword_zerofill,
    ACTIONS(9337), 1,
      sym_keyword_precision,
    ACTIONS(9339), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1774), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1772), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [337368] = 4,
    ACTIONS(9341), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2153), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2151), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [337416] = 5,
    ACTIONS(9343), 1,
      aux_sym__single_quote_string_token2,
    STATE(4994), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1366), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1364), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [337466] = 26,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(9345), 1,
      sym_keyword_else,
    ACTIONS(9347), 1,
      sym_keyword_end,
    STATE(9522), 1,
      aux_sym_case_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [337558] = 4,
    ACTIONS(9349), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2083), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2081), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [337606] = 5,
    ACTIONS(9174), 1,
      sym_keyword_filter,
    STATE(5526), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2533), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2531), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [337656] = 4,
    ACTIONS(9351), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2141), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2139), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [337704] = 4,
    ACTIONS(9353), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2002), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2000), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [337752] = 26,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(9355), 1,
      sym_keyword_else,
    ACTIONS(9357), 1,
      sym_keyword_end,
    STATE(9698), 1,
      aux_sym_case_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [337844] = 4,
    ACTIONS(9359), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2121), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2119), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [337892] = 26,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(9361), 1,
      sym_keyword_else,
    ACTIONS(9363), 1,
      sym_keyword_end,
    STATE(9527), 1,
      aux_sym_case_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [337984] = 5,
    ACTIONS(9174), 1,
      sym_keyword_filter,
    STATE(5500), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2541), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2539), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [338034] = 26,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(9365), 1,
      sym_keyword_else,
    ACTIONS(9367), 1,
      sym_keyword_end,
    STATE(9595), 1,
      aux_sym_case_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [338126] = 23,
    ACTIONS(9074), 1,
      sym_keyword_left,
    ACTIONS(9078), 1,
      sym_keyword_inner,
    ACTIONS(9080), 1,
      sym_keyword_cross,
    ACTIONS(9082), 1,
      sym_keyword_join,
    ACTIONS(9084), 1,
      sym_keyword_natural,
    ACTIONS(9086), 1,
      sym_keyword_where,
    ACTIONS(9088), 1,
      sym_keyword_order,
    ACTIONS(9090), 1,
      sym_keyword_group,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(9096), 1,
      sym_keyword_window,
    ACTIONS(9098), 1,
      anon_sym_COMMA,
    STATE(4940), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(6424), 1,
      sym_index_hint,
    STATE(6960), 1,
      sym_where,
    STATE(7100), 1,
      sym_group_by,
    STATE(7357), 1,
      sym_window_clause,
    STATE(7483), 1,
      sym_order_by,
    STATE(7638), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9076), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(9094), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    STATE(6423), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(9005), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [338212] = 4,
    ACTIONS(9369), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(109), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(55), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [338260] = 4,
    ACTIONS(9371), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2109), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2107), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [338308] = 4,
    ACTIONS(9373), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2147), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2145), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [338356] = 4,
    ACTIONS(9375), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2127), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2125), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [338404] = 4,
    ACTIONS(9377), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2064), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2062), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [338452] = 4,
    ACTIONS(9379), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2070), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2068), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [338500] = 4,
    ACTIONS(9381), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2056), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2054), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [338548] = 5,
    ACTIONS(9174), 1,
      sym_keyword_filter,
    STATE(5521), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2451), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2449), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [338598] = 5,
    ACTIONS(9174), 1,
      sym_keyword_filter,
    STATE(5520), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2519), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2517), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [338648] = 5,
    ACTIONS(9174), 1,
      sym_keyword_filter,
    STATE(5515), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2503), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2501), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [338698] = 26,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(9383), 1,
      sym_keyword_else,
    ACTIONS(9385), 1,
      sym_keyword_end,
    STATE(9605), 1,
      aux_sym_case_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [338790] = 5,
    ACTIONS(9174), 1,
      sym_keyword_filter,
    STATE(5513), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2529), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2527), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [338840] = 5,
    ACTIONS(9174), 1,
      sym_keyword_filter,
    STATE(5512), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2507), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2505), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [338890] = 5,
    ACTIONS(9174), 1,
      sym_keyword_filter,
    STATE(5480), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2455), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2453), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [338940] = 5,
    ACTIONS(9174), 1,
      sym_keyword_filter,
    STATE(5502), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2545), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2543), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [338990] = 4,
    ACTIONS(9387), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1996), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1994), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [339038] = 6,
    ACTIONS(9389), 1,
      anon_sym_LBRACK,
    STATE(5064), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(5535), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2076), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2074), 28,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [339090] = 4,
    ACTIONS(9392), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1996), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1994), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [339138] = 5,
    STATE(4939), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(5583), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3185), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3187), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [339188] = 4,
    ACTIONS(9394), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2089), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2087), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [339236] = 4,
    ACTIONS(9396), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2008), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2006), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [339284] = 7,
    ACTIONS(9398), 1,
      sym_keyword_with,
    ACTIONS(9400), 1,
      sym_keyword_without,
    ACTIONS(9402), 1,
      anon_sym_LPAREN,
    STATE(6314), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1796), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1794), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [339338] = 7,
    ACTIONS(9398), 1,
      sym_keyword_with,
    ACTIONS(9400), 1,
      sym_keyword_without,
    ACTIONS(9404), 1,
      anon_sym_LPAREN,
    STATE(6315), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1786), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1784), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [339392] = 4,
    ACTIONS(9406), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2020), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2018), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [339440] = 4,
    ACTIONS(9408), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2032), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2030), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [339488] = 4,
    ACTIONS(9410), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2038), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2036), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [339536] = 4,
    ACTIONS(8681), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1862), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1860), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [339584] = 4,
    ACTIONS(9412), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2046), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2044), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [339632] = 7,
    ACTIONS(9414), 1,
      sym_keyword_unsigned,
    ACTIONS(9416), 1,
      sym_keyword_zerofill,
    ACTIONS(9418), 1,
      sym_keyword_precision,
    ACTIONS(9420), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1774), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1772), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [339686] = 4,
    ACTIONS(9422), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2101), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2099), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [339734] = 4,
    ACTIONS(8805), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1862), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1860), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [339782] = 4,
    ACTIONS(9424), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2089), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2087), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [339830] = 4,
    ACTIONS(9426), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2008), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2006), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [339878] = 4,
    ACTIONS(9428), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2020), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2018), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [339926] = 4,
    ACTIONS(9430), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2032), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2030), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [339974] = 4,
    ACTIONS(9432), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2038), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2036), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [340022] = 5,
    ACTIONS(9174), 1,
      sym_keyword_filter,
    STATE(5504), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2553), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2551), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [340072] = 4,
    ACTIONS(9434), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2046), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2044), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [340120] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2052), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2050), 31,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [340166] = 26,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(9436), 1,
      sym_keyword_else,
    ACTIONS(9438), 1,
      sym_keyword_end,
    STATE(9699), 1,
      aux_sym_case_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [340258] = 5,
    ACTIONS(9174), 1,
      sym_keyword_filter,
    STATE(5506), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2565), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2563), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [340308] = 26,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(9440), 1,
      sym_keyword_else,
    ACTIONS(9442), 1,
      sym_keyword_end,
    STATE(9672), 1,
      aux_sym_case_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [340400] = 5,
    ACTIONS(9174), 1,
      sym_keyword_filter,
    STATE(5479), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2557), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2555), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [340450] = 5,
    ACTIONS(9174), 1,
      sym_keyword_filter,
    STATE(5487), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2561), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2559), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [340500] = 5,
    ACTIONS(9174), 1,
      sym_keyword_filter,
    STATE(5481), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2515), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2513), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [340550] = 4,
    ACTIONS(9444), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2056), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2054), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [340597] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2165), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2167), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [340642] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8555), 1,
      sym_keyword_between,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8677), 1,
      sym_keyword_or,
    ACTIONS(9446), 1,
      anon_sym_RPAREN,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    STATE(10861), 1,
      sym_not_in,
    STATE(10908), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [340731] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9450), 1,
      anon_sym_RBRACK,
    ACTIONS(9452), 1,
      anon_sym_COMMA,
    STATE(10861), 1,
      sym_not_in,
    STATE(11014), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [340820] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8555), 1,
      sym_keyword_between,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8677), 1,
      sym_keyword_or,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(9454), 1,
      anon_sym_RPAREN,
    STATE(10809), 1,
      aux_sym_array_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [340909] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8555), 1,
      sym_keyword_between,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8677), 1,
      sym_keyword_or,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(9456), 1,
      anon_sym_RPAREN,
    STATE(10779), 1,
      aux_sym_array_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [340998] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9452), 1,
      anon_sym_COMMA,
    ACTIONS(9458), 1,
      anon_sym_RBRACK,
    STATE(10861), 1,
      sym_not_in,
    STATE(10915), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [341087] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8555), 1,
      sym_keyword_between,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8677), 1,
      sym_keyword_or,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(9460), 1,
      anon_sym_RPAREN,
    STATE(10779), 1,
      aux_sym_array_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [341176] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2728), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2726), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [341221] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8555), 1,
      sym_keyword_between,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8677), 1,
      sym_keyword_or,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(9462), 1,
      anon_sym_RPAREN,
    STATE(10861), 1,
      sym_not_in,
    STATE(10908), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [341310] = 4,
    ACTIONS(9464), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3370), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3372), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [341357] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8555), 1,
      sym_keyword_between,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8677), 1,
      sym_keyword_or,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(9466), 1,
      anon_sym_RPAREN,
    STATE(10861), 1,
      sym_not_in,
    STATE(10984), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [341446] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8555), 1,
      sym_keyword_between,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8677), 1,
      sym_keyword_or,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(9468), 1,
      anon_sym_RPAREN,
    STATE(10809), 1,
      aux_sym_array_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [341535] = 8,
    ACTIONS(9470), 1,
      sym_keyword_array,
    ACTIONS(9472), 1,
      anon_sym_LBRACK,
    STATE(5818), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(6336), 1,
      sym__array_size_definition,
    STATE(6421), 1,
      sym_array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2801), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2799), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [341590] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9452), 1,
      anon_sym_COMMA,
    ACTIONS(9474), 1,
      anon_sym_RBRACK,
    STATE(10861), 1,
      sym_not_in,
    STATE(10962), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [341679] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8555), 1,
      sym_keyword_between,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8677), 1,
      sym_keyword_or,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(9476), 1,
      anon_sym_RPAREN,
    STATE(10861), 1,
      sym_not_in,
    STATE(10984), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [341768] = 5,
    STATE(5419), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(5969), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3185), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3187), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [341817] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9452), 1,
      anon_sym_COMMA,
    ACTIONS(9478), 1,
      anon_sym_RBRACK,
    STATE(10816), 1,
      aux_sym_array_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [341906] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8555), 1,
      sym_keyword_between,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8677), 1,
      sym_keyword_or,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(9480), 1,
      anon_sym_RPAREN,
    STATE(10861), 1,
      sym_not_in,
    STATE(11007), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [341995] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8555), 1,
      sym_keyword_between,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8677), 1,
      sym_keyword_or,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(9482), 1,
      anon_sym_RPAREN,
    STATE(10779), 1,
      aux_sym_array_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [342084] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8555), 1,
      sym_keyword_between,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8677), 1,
      sym_keyword_or,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(9484), 1,
      anon_sym_RPAREN,
    STATE(10779), 1,
      aux_sym_array_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [342173] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8555), 1,
      sym_keyword_between,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8677), 1,
      sym_keyword_or,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(9486), 1,
      anon_sym_RPAREN,
    STATE(10779), 1,
      aux_sym_array_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [342262] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8555), 1,
      sym_keyword_between,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8677), 1,
      sym_keyword_or,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(9488), 1,
      anon_sym_RPAREN,
    STATE(10779), 1,
      aux_sym_array_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [342351] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8555), 1,
      sym_keyword_between,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8677), 1,
      sym_keyword_or,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(9490), 1,
      anon_sym_RPAREN,
    STATE(10710), 1,
      aux_sym_array_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [342440] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8555), 1,
      sym_keyword_between,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8677), 1,
      sym_keyword_or,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(9492), 1,
      anon_sym_RPAREN,
    STATE(10779), 1,
      aux_sym_array_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [342529] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8555), 1,
      sym_keyword_between,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8677), 1,
      sym_keyword_or,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(9494), 1,
      anon_sym_RPAREN,
    STATE(10779), 1,
      aux_sym_array_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [342618] = 9,
    ACTIONS(337), 1,
      sym__identifier,
    ACTIONS(7902), 1,
      sym_keyword_as,
    ACTIONS(9500), 1,
      anon_sym_LPAREN,
    STATE(6377), 1,
      sym_identifier,
    STATE(6427), 1,
      sym__alias,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(9496), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(9498), 25,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [342675] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1838), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1836), 34,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [342720] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1834), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1832), 34,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [342765] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1816), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1814), 34,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [342810] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1872), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1870), 34,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [342855] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1802), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1800), 34,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [342900] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2295), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2293), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [342945] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2299), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2297), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [342990] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8555), 1,
      sym_keyword_between,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8677), 1,
      sym_keyword_or,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(9502), 1,
      anon_sym_RPAREN,
    STATE(10710), 1,
      aux_sym_array_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [343079] = 5,
    ACTIONS(9504), 1,
      aux_sym__single_quote_string_token2,
    STATE(5352), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2967), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2965), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [343128] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2311), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2309), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [343173] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9452), 1,
      anon_sym_COMMA,
    ACTIONS(9506), 1,
      anon_sym_RBRACK,
    STATE(10717), 1,
      aux_sym_array_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [343262] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1820), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1818), 34,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [343307] = 6,
    ACTIONS(9508), 1,
      sym_keyword_unsigned,
    ACTIONS(9510), 1,
      sym_keyword_zerofill,
    ACTIONS(9512), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1824), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1822), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [343358] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2046), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2044), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [343403] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2309), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2311), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [343448] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2297), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2299), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [343493] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1862), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1860), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [343538] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2231), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2229), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [343583] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2179), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2177), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [343628] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2293), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2295), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [343673] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2038), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2036), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [343718] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8555), 1,
      sym_keyword_between,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8677), 1,
      sym_keyword_or,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(9514), 1,
      anon_sym_RPAREN,
    STATE(10597), 1,
      aux_sym_array_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [343807] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8555), 1,
      sym_keyword_between,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8677), 1,
      sym_keyword_or,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(9516), 1,
      anon_sym_RPAREN,
    STATE(10597), 1,
      aux_sym_array_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [343896] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2032), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2030), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [343941] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8555), 1,
      sym_keyword_between,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8677), 1,
      sym_keyword_or,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(9518), 1,
      anon_sym_RPAREN,
    STATE(10861), 1,
      sym_not_in,
    STATE(11007), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [344030] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2020), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2018), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [344075] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9452), 1,
      anon_sym_COMMA,
    ACTIONS(9520), 1,
      anon_sym_RBRACK,
    STATE(10604), 1,
      aux_sym_array_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [344164] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2008), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2006), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [344209] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9452), 1,
      anon_sym_COMMA,
    ACTIONS(9522), 1,
      anon_sym_RBRACK,
    STATE(10861), 1,
      sym_not_in,
    STATE(11113), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [344298] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2089), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2087), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [344343] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8555), 1,
      sym_keyword_between,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8677), 1,
      sym_keyword_or,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(9524), 1,
      anon_sym_RPAREN,
    STATE(10484), 1,
      aux_sym_array_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [344432] = 24,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9526), 1,
      sym_keyword_when,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(9480), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [344519] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2095), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2093), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [344564] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1772), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1774), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [344609] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8555), 1,
      sym_keyword_between,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8677), 1,
      sym_keyword_or,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(9528), 1,
      anon_sym_RPAREN,
    STATE(10779), 1,
      aux_sym_array_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [344698] = 6,
    ACTIONS(9530), 1,
      sym_keyword_unsigned,
    ACTIONS(9532), 1,
      sym_keyword_zerofill,
    ACTIONS(9534), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1842), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1840), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [344749] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8555), 1,
      sym_keyword_between,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8677), 1,
      sym_keyword_or,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(9536), 1,
      anon_sym_RPAREN,
    STATE(10484), 1,
      aux_sym_array_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [344838] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9452), 1,
      anon_sym_COMMA,
    ACTIONS(9538), 1,
      anon_sym_RBRACK,
    STATE(10491), 1,
      aux_sym_array_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [344927] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8555), 1,
      sym_keyword_between,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8677), 1,
      sym_keyword_or,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(9540), 1,
      anon_sym_RPAREN,
    STATE(10371), 1,
      aux_sym_array_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [345016] = 6,
    ACTIONS(9542), 1,
      sym_keyword_unsigned,
    ACTIONS(9544), 1,
      sym_keyword_zerofill,
    ACTIONS(9546), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1876), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1874), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [345067] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2359), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2357), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [345112] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1996), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1994), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [345157] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8555), 1,
      sym_keyword_between,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8677), 1,
      sym_keyword_or,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(9548), 1,
      anon_sym_RPAREN,
    STATE(10779), 1,
      aux_sym_array_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [345246] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2263), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2261), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [345291] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8555), 1,
      sym_keyword_between,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8677), 1,
      sym_keyword_or,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(9550), 1,
      anon_sym_RPAREN,
    STATE(10861), 1,
      sym_not_in,
    STATE(11106), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [345380] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2355), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2353), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [345425] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2351), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2349), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [345470] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2343), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2341), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [345515] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2339), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2337), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [345560] = 4,
    STATE(5628), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3404), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3406), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [345607] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2044), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2046), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [345652] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8555), 1,
      sym_keyword_between,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8677), 1,
      sym_keyword_or,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(9552), 1,
      anon_sym_RPAREN,
    STATE(10371), 1,
      aux_sym_array_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [345741] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1860), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1862), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [345786] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2229), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2231), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [345831] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2177), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2179), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [345876] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2036), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2038), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [345921] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2279), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2277), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [345966] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2283), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2281), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [346011] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2287), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2285), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [346056] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2291), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2289), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [346101] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2307), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2305), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [346146] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2315), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2313), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [346191] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2319), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2317), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [346236] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2323), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2321), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [346281] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2327), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2325), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [346326] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2347), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2345), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [346371] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2227), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2225), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [346416] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2219), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2217), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [346461] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8555), 1,
      sym_keyword_between,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8677), 1,
      sym_keyword_or,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(9554), 1,
      anon_sym_RPAREN,
    STATE(10779), 1,
      aux_sym_array_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [346550] = 6,
    ACTIONS(9556), 1,
      sym_keyword_unsigned,
    ACTIONS(9558), 1,
      sym_keyword_zerofill,
    ACTIONS(9560), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1806), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1804), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [346601] = 6,
    ACTIONS(9562), 1,
      sym_keyword_unsigned,
    ACTIONS(9564), 1,
      sym_keyword_zerofill,
    ACTIONS(9566), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1890), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1888), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [346652] = 6,
    ACTIONS(9568), 1,
      sym_keyword_unsigned,
    ACTIONS(9570), 1,
      sym_keyword_zerofill,
    ACTIONS(9572), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1900), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1898), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [346703] = 6,
    ACTIONS(9414), 1,
      sym_keyword_unsigned,
    ACTIONS(9416), 1,
      sym_keyword_zerofill,
    ACTIONS(9420), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1774), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1772), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [346754] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2030), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2032), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [346799] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2275), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2273), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [346844] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9452), 1,
      anon_sym_COMMA,
    ACTIONS(9574), 1,
      anon_sym_RBRACK,
    STATE(10378), 1,
      aux_sym_array_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [346933] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2203), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2201), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [346978] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8555), 1,
      sym_keyword_between,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8677), 1,
      sym_keyword_or,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(9576), 1,
      anon_sym_RPAREN,
    STATE(10779), 1,
      aux_sym_array_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [347067] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2018), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2020), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [347112] = 24,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9578), 1,
      sym_keyword_when,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(8680), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [347199] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8555), 1,
      sym_keyword_between,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8677), 1,
      sym_keyword_or,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(9580), 1,
      anon_sym_RPAREN,
    STATE(10351), 1,
      aux_sym_array_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [347288] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2006), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2008), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [347333] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2087), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2089), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [347378] = 8,
    ACTIONS(9470), 1,
      sym_keyword_array,
    ACTIONS(9472), 1,
      anon_sym_LBRACK,
    STATE(5818), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(6336), 1,
      sym__array_size_definition,
    STATE(6416), 1,
      sym_array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2791), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2789), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [347433] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2321), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2323), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [347478] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2235), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2233), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [347523] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2239), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2237), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [347568] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2243), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2241), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [347613] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8555), 1,
      sym_keyword_between,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8677), 1,
      sym_keyword_or,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(9582), 1,
      anon_sym_RPAREN,
    STATE(10861), 1,
      sym_not_in,
    STATE(11058), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [347702] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2357), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2359), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [347747] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8555), 1,
      sym_keyword_between,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8677), 1,
      sym_keyword_or,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(9584), 1,
      anon_sym_RPAREN,
    STATE(10779), 1,
      aux_sym_array_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [347836] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2247), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2245), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [347881] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2251), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2249), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [347926] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1994), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1996), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [347971] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2255), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2253), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [348016] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2537), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2535), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [348061] = 24,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9578), 1,
      sym_keyword_when,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(8679), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [348148] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2259), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2257), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [348193] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2183), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2181), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [348238] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2303), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2301), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [348283] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2261), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2263), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [348328] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2070), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2068), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [348373] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2353), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2355), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [348418] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2064), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2062), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [348463] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8555), 1,
      sym_keyword_between,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8677), 1,
      sym_keyword_or,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(9586), 1,
      anon_sym_RPAREN,
    STATE(10805), 1,
      aux_sym_array_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [348552] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2127), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2125), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [348597] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9452), 1,
      anon_sym_COMMA,
    ACTIONS(9588), 1,
      anon_sym_RBRACK,
    STATE(10802), 1,
      aux_sym_array_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [348686] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2147), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2145), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [348731] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2349), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2351), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [348776] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2109), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2107), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [348821] = 24,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9578), 1,
      sym_keyword_when,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(8678), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [348908] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2341), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2343), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [348953] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2337), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2339), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [348998] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2277), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2279), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [349043] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1774), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1772), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [349088] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2281), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2283), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [349133] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2285), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2287), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [349178] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2289), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2291), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [349223] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2305), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2307), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [349268] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2313), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2315), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [349313] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2317), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2319), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [349358] = 24,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9590), 1,
      sym_keyword_when,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(8865), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [349445] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2325), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2327), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [349490] = 24,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9590), 1,
      sym_keyword_when,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(8867), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [349577] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2345), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2347), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [349622] = 4,
    ACTIONS(9592), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3372), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3370), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [349669] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2225), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2227), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [349714] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2223), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2221), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [349759] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2215), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2213), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [349804] = 5,
    STATE(658), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(915), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3187), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3185), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [349853] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8555), 1,
      sym_keyword_between,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8677), 1,
      sym_keyword_or,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(9594), 1,
      anon_sym_RPAREN,
    STATE(10779), 1,
      aux_sym_array_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [349942] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2217), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2219), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [349987] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2207), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2205), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [350032] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2191), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2189), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [350077] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2195), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2193), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [350122] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2199), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2197), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [350167] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2187), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2185), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [350212] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2273), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2275), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [350257] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2201), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2203), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [350302] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8555), 1,
      sym_keyword_between,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8677), 1,
      sym_keyword_or,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(9596), 1,
      anon_sym_RPAREN,
    STATE(10779), 1,
      aux_sym_array_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [350391] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2211), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2209), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [350436] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1926), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1924), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [350481] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2233), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2235), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [350526] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2121), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2119), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [350571] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2237), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2239), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [350616] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2241), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2243), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [350661] = 24,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9590), 1,
      sym_keyword_when,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(8908), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [350748] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2245), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2247), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [350793] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2141), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2139), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [350838] = 24,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9590), 1,
      sym_keyword_when,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(8911), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [350925] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2249), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2251), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [350970] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2267), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2265), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [351015] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2271), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2269), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [351060] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2257), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2259), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [351105] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2083), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2081), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [351150] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2181), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2183), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [351195] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2331), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2329), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [351240] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2301), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2303), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [351285] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2068), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2070), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [351330] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2062), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2064), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [351375] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2125), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2127), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [351420] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8555), 1,
      sym_keyword_between,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8677), 1,
      sym_keyword_or,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(9598), 1,
      anon_sym_RPAREN,
    STATE(10861), 1,
      sym_not_in,
    STATE(11106), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [351509] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2335), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2333), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [351554] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2145), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2147), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [351599] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2107), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2109), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [351644] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1838), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1836), 30,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [351689] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1834), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1832), 30,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [351734] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1816), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1814), 30,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [351779] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1872), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1870), 30,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [351824] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1802), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1800), 30,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [351869] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2561), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2559), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [351914] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9452), 1,
      anon_sym_COMMA,
    ACTIONS(9600), 1,
      anon_sym_RBRACK,
    STATE(10861), 1,
      sym_not_in,
    STATE(11210), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [352003] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1820), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1818), 30,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [352048] = 6,
    ACTIONS(9602), 1,
      sym_keyword_unsigned,
    ACTIONS(9604), 1,
      sym_keyword_zerofill,
    ACTIONS(9606), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1824), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1822), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [352099] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2221), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2223), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [352144] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2213), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2215), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [352189] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8555), 1,
      sym_keyword_between,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8677), 1,
      sym_keyword_or,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(9608), 1,
      anon_sym_RPAREN,
    STATE(10257), 1,
      aux_sym_array_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [352278] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2205), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2207), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [352323] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2189), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2191), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [352368] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2193), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2195), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [352413] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8555), 1,
      sym_keyword_between,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8677), 1,
      sym_keyword_or,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(9610), 1,
      anon_sym_RPAREN,
    STATE(10805), 1,
      aux_sym_array_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [352502] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2197), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2199), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [352547] = 24,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9590), 1,
      sym_keyword_when,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(8917), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [352634] = 6,
    ACTIONS(9612), 1,
      sym_keyword_unsigned,
    ACTIONS(9614), 1,
      sym_keyword_zerofill,
    ACTIONS(9616), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1842), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1840), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [352685] = 6,
    ACTIONS(9618), 1,
      sym_keyword_unsigned,
    ACTIONS(9620), 1,
      sym_keyword_zerofill,
    ACTIONS(9622), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1876), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1874), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [352736] = 6,
    ACTIONS(9624), 1,
      sym_keyword_unsigned,
    ACTIONS(9626), 1,
      sym_keyword_zerofill,
    ACTIONS(9628), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1806), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1804), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [352787] = 6,
    ACTIONS(9630), 1,
      sym_keyword_unsigned,
    ACTIONS(9632), 1,
      sym_keyword_zerofill,
    ACTIONS(9634), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1890), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1888), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [352838] = 6,
    ACTIONS(9636), 1,
      sym_keyword_unsigned,
    ACTIONS(9638), 1,
      sym_keyword_zerofill,
    ACTIONS(9640), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1900), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1898), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [352889] = 6,
    ACTIONS(9333), 1,
      sym_keyword_unsigned,
    ACTIONS(9335), 1,
      sym_keyword_zerofill,
    ACTIONS(9339), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1774), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1772), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [352940] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2185), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2187), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [352985] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2209), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2211), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [353030] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1924), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1926), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [353075] = 24,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9590), 1,
      sym_keyword_when,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(8986), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [353162] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2119), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2121), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [353207] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2139), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2141), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [353252] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2265), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2267), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [353297] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2724), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2722), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [353342] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2269), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2271), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [353387] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8555), 1,
      sym_keyword_between,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8677), 1,
      sym_keyword_or,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(9642), 1,
      anon_sym_RPAREN,
    STATE(10779), 1,
      aux_sym_array_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [353476] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2678), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2676), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [353521] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8555), 1,
      sym_keyword_between,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8677), 1,
      sym_keyword_or,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(9644), 1,
      anon_sym_RPAREN,
    STATE(10861), 1,
      sym_not_in,
    STATE(11203), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [353610] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2549), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2547), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [353655] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2668), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2666), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [353700] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2081), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2083), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [353745] = 24,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9526), 1,
      sym_keyword_when,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(9697), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [353832] = 24,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9526), 1,
      sym_keyword_when,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(9614), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [353919] = 24,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9526), 1,
      sym_keyword_when,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(9613), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [354006] = 24,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9526), 1,
      sym_keyword_when,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(9604), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [354093] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2329), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2331), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [354138] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2333), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2335), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [354183] = 5,
    ACTIONS(9646), 1,
      aux_sym__single_quote_string_token2,
    STATE(5128), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3045), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3043), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [354232] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9452), 1,
      anon_sym_COMMA,
    ACTIONS(9648), 1,
      anon_sym_RBRACK,
    STATE(10246), 1,
      aux_sym_array_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [354321] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2253), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2255), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [354366] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9452), 1,
      anon_sym_COMMA,
    ACTIONS(9650), 1,
      anon_sym_RBRACK,
    STATE(10265), 1,
      aux_sym_array_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [354455] = 4,
    ACTIONS(9652), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2133), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2131), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [354502] = 4,
    ACTIONS(9654), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2115), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2113), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [354549] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8555), 1,
      sym_keyword_between,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8677), 1,
      sym_keyword_or,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(9656), 1,
      anon_sym_RPAREN,
    STATE(10257), 1,
      aux_sym_array_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [354638] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2624), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2622), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [354683] = 5,
    ACTIONS(9504), 1,
      aux_sym__single_quote_string_token2,
    STATE(5352), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1353), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1351), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [354732] = 4,
    ACTIONS(9658), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2002), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2000), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [354779] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2610), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2608), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [354824] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1950), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1948), 30,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [354869] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2618), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2616), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [354914] = 6,
    ACTIONS(9660), 1,
      sym_keyword_unsigned,
    ACTIONS(9662), 1,
      sym_keyword_zerofill,
    ACTIONS(9664), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1862), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1860), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [354965] = 4,
    ACTIONS(9666), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2171), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2169), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [355012] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2167), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2165), 30,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [355057] = 4,
    ACTIONS(9668), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2159), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2157), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [355104] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8555), 1,
      sym_keyword_between,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8677), 1,
      sym_keyword_or,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(9670), 1,
      anon_sym_RPAREN,
    STATE(10659), 1,
      aux_sym_array_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [355193] = 4,
    ACTIONS(9672), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2153), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2151), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [355240] = 6,
    ACTIONS(9674), 1,
      sym_keyword_unsigned,
    ACTIONS(9676), 1,
      sym_keyword_zerofill,
    ACTIONS(9678), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1862), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1860), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [355291] = 23,
    ACTIONS(8855), 1,
      sym_keyword_cross,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(8871), 1,
      sym_keyword_window,
    ACTIONS(8873), 1,
      anon_sym_COMMA,
    ACTIONS(9680), 1,
      sym_keyword_left,
    ACTIONS(9684), 1,
      sym_keyword_inner,
    ACTIONS(9686), 1,
      sym_keyword_join,
    ACTIONS(9688), 1,
      sym_keyword_natural,
    ACTIONS(9690), 1,
      sym_keyword_where,
    ACTIONS(9692), 1,
      sym_keyword_order,
    ACTIONS(9694), 1,
      sym_keyword_group,
    STATE(6438), 1,
      sym_index_hint,
    STATE(6487), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(7013), 1,
      sym_where,
    STATE(7214), 1,
      sym_group_by,
    STATE(7338), 1,
      sym_order_by,
    STATE(7453), 1,
      sym_window_clause,
    STATE(7585), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9682), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(8869), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    STATE(6439), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(8847), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [355376] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2533), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2531), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [355421] = 5,
    ACTIONS(9696), 1,
      aux_sym__single_quote_string_token2,
    STATE(5352), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1359), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1357), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [355470] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8555), 1,
      sym_keyword_between,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8677), 1,
      sym_keyword_or,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(9699), 1,
      anon_sym_RPAREN,
    STATE(10861), 1,
      sym_not_in,
    STATE(11106), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [355559] = 4,
    ACTIONS(9701), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2026), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2024), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [355606] = 4,
    ACTIONS(9703), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2014), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2012), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [355653] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9452), 1,
      anon_sym_COMMA,
    ACTIONS(9705), 1,
      anon_sym_RBRACK,
    STATE(10538), 1,
      aux_sym_array_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [355742] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8555), 1,
      sym_keyword_between,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8677), 1,
      sym_keyword_or,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(9707), 1,
      anon_sym_RPAREN,
    STATE(10861), 1,
      sym_not_in,
    STATE(11058), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [355831] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8555), 1,
      sym_keyword_between,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8677), 1,
      sym_keyword_or,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(9709), 1,
      anon_sym_RPAREN,
    STATE(10779), 1,
      aux_sym_array_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [355920] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(9711), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_COMMA,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [356005] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1374), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1376), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [356050] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2052), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2050), 30,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [356095] = 4,
    ACTIONS(9713), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2046), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2044), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [356142] = 4,
    ACTIONS(9715), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2038), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2036), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [356189] = 4,
    ACTIONS(9717), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(109), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(55), 20,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [356236] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(7837), 1,
      anon_sym_LBRACK,
    ACTIONS(8327), 1,
      sym_keyword_is,
    ACTIONS(8331), 1,
      anon_sym_PLUS,
    ACTIONS(8333), 1,
      anon_sym_DASH,
    ACTIONS(8335), 1,
      anon_sym_SLASH,
    ACTIONS(8337), 1,
      anon_sym_CARET,
    ACTIONS(8379), 1,
      sym_keyword_in,
    ACTIONS(8381), 1,
      sym_keyword_not,
    ACTIONS(8387), 1,
      sym_op_other,
    ACTIONS(8508), 1,
      sym_keyword_and,
    ACTIONS(8510), 1,
      sym_keyword_between,
    ACTIONS(8567), 1,
      sym_keyword_or,
    ACTIONS(8569), 1,
      anon_sym_COLON_COLON,
    STATE(10705), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8329), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8385), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(9719), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
    STATE(1689), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1690), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8383), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [356321] = 4,
    ACTIONS(9721), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2032), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2030), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [356368] = 4,
    ACTIONS(9723), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2020), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2018), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [356415] = 4,
    ACTIONS(9725), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2008), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2006), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [356462] = 4,
    ACTIONS(9727), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2089), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2087), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [356509] = 4,
    ACTIONS(9069), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1862), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1860), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [356556] = 4,
    ACTIONS(9729), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2089), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2087), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [356603] = 23,
    ACTIONS(8855), 1,
      sym_keyword_cross,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(8871), 1,
      sym_keyword_window,
    ACTIONS(8873), 1,
      anon_sym_COMMA,
    ACTIONS(9680), 1,
      sym_keyword_left,
    ACTIONS(9684), 1,
      sym_keyword_inner,
    ACTIONS(9686), 1,
      sym_keyword_join,
    ACTIONS(9688), 1,
      sym_keyword_natural,
    ACTIONS(9690), 1,
      sym_keyword_where,
    ACTIONS(9692), 1,
      sym_keyword_order,
    ACTIONS(9694), 1,
      sym_keyword_group,
    STATE(6446), 1,
      sym_index_hint,
    STATE(6487), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(7014), 1,
      sym_where,
    STATE(7210), 1,
      sym_group_by,
    STATE(7391), 1,
      sym_order_by,
    STATE(7451), 1,
      sym_window_clause,
    STATE(7555), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9682), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(8869), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    STATE(6442), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(8883), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [356688] = 4,
    ACTIONS(9731), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2101), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2099), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [356735] = 4,
    ACTIONS(9733), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2046), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2044), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [356782] = 4,
    ACTIONS(9735), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(55), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(109), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [356829] = 4,
    ACTIONS(8933), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1862), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1860), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [356876] = 23,
    ACTIONS(8855), 1,
      sym_keyword_cross,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(8871), 1,
      sym_keyword_window,
    ACTIONS(8873), 1,
      anon_sym_COMMA,
    ACTIONS(9680), 1,
      sym_keyword_left,
    ACTIONS(9684), 1,
      sym_keyword_inner,
    ACTIONS(9686), 1,
      sym_keyword_join,
    ACTIONS(9688), 1,
      sym_keyword_natural,
    ACTIONS(9690), 1,
      sym_keyword_where,
    ACTIONS(9692), 1,
      sym_keyword_order,
    ACTIONS(9694), 1,
      sym_keyword_group,
    STATE(5350), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(6446), 1,
      sym_index_hint,
    STATE(7014), 1,
      sym_where,
    STATE(7210), 1,
      sym_group_by,
    STATE(7391), 1,
      sym_order_by,
    STATE(7451), 1,
      sym_window_clause,
    STATE(7555), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9682), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(8869), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    STATE(6442), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(8883), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [356961] = 4,
    ACTIONS(9737), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2038), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2036), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [357008] = 4,
    ACTIONS(9739), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2032), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2030), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [357055] = 4,
    ACTIONS(9741), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2020), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2018), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [357102] = 5,
    STATE(5388), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(5771), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3187), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3185), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [357151] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2768), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2766), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [357196] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2511), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2509), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [357241] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2754), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2752), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [357286] = 4,
    STATE(5566), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3406), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3404), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [357333] = 24,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9526), 1,
      sym_keyword_when,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(9700), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [357420] = 4,
    ACTIONS(9743), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1996), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1994), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [357467] = 6,
    ACTIONS(9745), 1,
      anon_sym_LBRACK,
    STATE(5388), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(5771), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2076), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2074), 27,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [357518] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2519), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2517), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [357563] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2744), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2742), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [357608] = 4,
    ACTIONS(9748), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1996), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1994), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [357655] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8555), 1,
      sym_keyword_between,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8677), 1,
      sym_keyword_or,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(9750), 1,
      anon_sym_RPAREN,
    STATE(10351), 1,
      aux_sym_array_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [357744] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2732), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2730), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [357789] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8555), 1,
      sym_keyword_between,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8677), 1,
      sym_keyword_or,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(9752), 1,
      anon_sym_RPAREN,
    STATE(10861), 1,
      sym_not_in,
    STATE(11171), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [357878] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9452), 1,
      anon_sym_COMMA,
    ACTIONS(9754), 1,
      anon_sym_RBRACK,
    STATE(10343), 1,
      aux_sym_array_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [357967] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2529), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2527), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [358012] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8555), 1,
      sym_keyword_between,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8677), 1,
      sym_keyword_or,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(9756), 1,
      anon_sym_RPAREN,
    STATE(10351), 1,
      aux_sym_array_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [358101] = 5,
    ACTIONS(9758), 1,
      aux_sym__single_quote_string_token2,
    STATE(5338), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1366), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1364), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [358150] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(7837), 1,
      anon_sym_LBRACK,
    ACTIONS(8327), 1,
      sym_keyword_is,
    ACTIONS(8331), 1,
      anon_sym_PLUS,
    ACTIONS(8333), 1,
      anon_sym_DASH,
    ACTIONS(8335), 1,
      anon_sym_SLASH,
    ACTIONS(8337), 1,
      anon_sym_CARET,
    ACTIONS(8379), 1,
      sym_keyword_in,
    ACTIONS(8381), 1,
      sym_keyword_not,
    ACTIONS(8387), 1,
      sym_op_other,
    ACTIONS(8508), 1,
      sym_keyword_and,
    ACTIONS(8510), 1,
      sym_keyword_between,
    ACTIONS(8567), 1,
      sym_keyword_or,
    ACTIONS(8569), 1,
      anon_sym_COLON_COLON,
    STATE(10705), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8329), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8385), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(9711), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
    STATE(1689), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1690), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8383), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [358235] = 4,
    ACTIONS(9760), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2008), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2006), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [358282] = 4,
    ACTIONS(9762), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2070), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2068), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [358329] = 24,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9578), 1,
      sym_keyword_when,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(9406), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [358416] = 4,
    ACTIONS(9764), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2064), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2062), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [358463] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8555), 1,
      sym_keyword_between,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8677), 1,
      sym_keyword_or,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(9766), 1,
      anon_sym_RPAREN,
    STATE(10779), 1,
      aux_sym_array_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [358552] = 4,
    ACTIONS(9768), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2081), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2083), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [358599] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2553), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2551), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [358644] = 6,
    ACTIONS(9325), 1,
      sym_keyword_with,
    ACTIONS(9327), 1,
      sym_keyword_without,
    STATE(6137), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1886), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1884), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [358695] = 6,
    ACTIONS(9325), 1,
      sym_keyword_with,
    ACTIONS(9327), 1,
      sym_keyword_without,
    STATE(6136), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1858), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1856), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [358746] = 4,
    ACTIONS(9770), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2127), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2125), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [358793] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8555), 1,
      sym_keyword_between,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8677), 1,
      sym_keyword_or,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(9772), 1,
      anon_sym_RPAREN,
    STATE(10779), 1,
      aux_sym_array_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [358882] = 4,
    ACTIONS(9774), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2147), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2145), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [358929] = 4,
    ACTIONS(9776), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2109), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2107), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [358976] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2686), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2684), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [359021] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(9778), 3,
      sym_keyword_when,
      sym_keyword_else,
      sym_keyword_end,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [359106] = 4,
    ACTIONS(9780), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2121), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2119), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [359153] = 4,
    ACTIONS(9782), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2141), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2139), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [359200] = 4,
    ACTIONS(9784), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2139), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2141), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [359247] = 4,
    ACTIONS(9786), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2083), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2081), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [359294] = 6,
    ACTIONS(9788), 1,
      anon_sym_LBRACK,
    STATE(5419), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(5969), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2074), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2076), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [359345] = 4,
    ACTIONS(9791), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2131), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2133), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [359392] = 4,
    ACTIONS(9793), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2119), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2121), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [359439] = 4,
    ACTIONS(9795), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2113), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2115), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [359486] = 4,
    ACTIONS(9797), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(55), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(109), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [359533] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8555), 1,
      sym_keyword_between,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8677), 1,
      sym_keyword_or,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(9799), 1,
      anon_sym_RPAREN,
    STATE(10861), 1,
      sym_not_in,
    STATE(11203), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [359622] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8555), 1,
      sym_keyword_between,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8677), 1,
      sym_keyword_or,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(9801), 1,
      anon_sym_RPAREN,
    STATE(10861), 1,
      sym_not_in,
    STATE(11171), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [359711] = 4,
    ACTIONS(9803), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2000), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2002), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [359758] = 4,
    ACTIONS(9805), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(109), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(55), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [359805] = 4,
    ACTIONS(9807), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2054), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2056), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [359852] = 6,
    ACTIONS(9398), 1,
      sym_keyword_with,
    ACTIONS(9400), 1,
      sym_keyword_without,
    STATE(6263), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1858), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1856), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [359903] = 6,
    ACTIONS(9398), 1,
      sym_keyword_with,
    ACTIONS(9400), 1,
      sym_keyword_without,
    STATE(6264), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1886), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1884), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [359954] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9452), 1,
      anon_sym_COMMA,
    ACTIONS(9809), 1,
      anon_sym_RBRACK,
    STATE(10861), 1,
      sym_not_in,
    STATE(11168), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [360043] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1948), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1950), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [360088] = 4,
    ACTIONS(9811), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2169), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2171), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [360135] = 4,
    ACTIONS(9813), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2157), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2159), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [360182] = 4,
    ACTIONS(9815), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2151), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2153), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [360229] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8555), 1,
      sym_keyword_between,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8677), 1,
      sym_keyword_or,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(9817), 1,
      anon_sym_RPAREN,
    STATE(10532), 1,
      aux_sym_array_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [360318] = 7,
    ACTIONS(109), 1,
      anon_sym_LPAREN,
    ACTIONS(2784), 1,
      anon_sym_DOT,
    ACTIONS(3972), 1,
      aux_sym__single_quote_string_token1,
    STATE(6334), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2782), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2780), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [360371] = 23,
    ACTIONS(8855), 1,
      sym_keyword_cross,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(8871), 1,
      sym_keyword_window,
    ACTIONS(8873), 1,
      anon_sym_COMMA,
    ACTIONS(9680), 1,
      sym_keyword_left,
    ACTIONS(9684), 1,
      sym_keyword_inner,
    ACTIONS(9686), 1,
      sym_keyword_join,
    ACTIONS(9688), 1,
      sym_keyword_natural,
    ACTIONS(9690), 1,
      sym_keyword_where,
    ACTIONS(9692), 1,
      sym_keyword_order,
    ACTIONS(9694), 1,
      sym_keyword_group,
    STATE(5372), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(6455), 1,
      sym_index_hint,
    STATE(7016), 1,
      sym_where,
    STATE(7204), 1,
      sym_group_by,
    STATE(7293), 1,
      sym_order_by,
    STATE(7441), 1,
      sym_window_clause,
    STATE(7556), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9682), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(8869), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    STATE(6453), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(9005), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [360456] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(9719), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_COMMA,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [360541] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9452), 1,
      anon_sym_COMMA,
    ACTIONS(9819), 1,
      anon_sym_RBRACK,
    STATE(10521), 1,
      aux_sym_array_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [360630] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8555), 1,
      sym_keyword_between,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8677), 1,
      sym_keyword_or,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(9821), 1,
      anon_sym_RPAREN,
    STATE(10532), 1,
      aux_sym_array_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [360719] = 4,
    ACTIONS(9823), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2107), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2109), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [360766] = 4,
    ACTIONS(9825), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2024), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2026), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [360813] = 4,
    ACTIONS(9827), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2012), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2014), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [360860] = 4,
    ACTIONS(9829), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2044), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2046), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [360907] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8555), 1,
      sym_keyword_between,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8677), 1,
      sym_keyword_or,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(9831), 1,
      anon_sym_RPAREN,
    STATE(10779), 1,
      aux_sym_array_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [360996] = 4,
    ACTIONS(9833), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2036), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2038), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [361043] = 4,
    ACTIONS(9835), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2145), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2147), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [361090] = 4,
    ACTIONS(9837), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2030), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2032), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [361137] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8555), 1,
      sym_keyword_between,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8677), 1,
      sym_keyword_or,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(9839), 1,
      anon_sym_RPAREN,
    STATE(10779), 1,
      aux_sym_array_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [361226] = 4,
    ACTIONS(9841), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2018), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2020), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [361273] = 24,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9578), 1,
      sym_keyword_when,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(8918), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [361360] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8555), 1,
      sym_keyword_between,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8677), 1,
      sym_keyword_or,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(9843), 1,
      anon_sym_RPAREN,
    STATE(10779), 1,
      aux_sym_array_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [361449] = 4,
    ACTIONS(9845), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2125), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2127), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [361496] = 24,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9578), 1,
      sym_keyword_when,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(8919), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [361583] = 4,
    ACTIONS(9847), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2006), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2008), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [361630] = 4,
    ACTIONS(9849), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2062), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2064), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [361677] = 4,
    ACTIONS(9851), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2087), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2089), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [361724] = 4,
    ACTIONS(9853), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2068), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2070), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [361771] = 4,
    ACTIONS(9210), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1860), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1862), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [361818] = 4,
    ACTIONS(9855), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2099), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2101), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [361865] = 4,
    ACTIONS(9857), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2044), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2046), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [361912] = 7,
    ACTIONS(9859), 1,
      sym_keyword_array,
    STATE(5944), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(6344), 1,
      sym_array_size_definition,
    STATE(6348), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2791), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2789), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [361965] = 4,
    ACTIONS(8887), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1860), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1862), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [362012] = 4,
    ACTIONS(9861), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2036), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2038), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [362059] = 4,
    ACTIONS(9863), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2030), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2032), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [362106] = 4,
    ACTIONS(9865), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2018), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2020), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [362153] = 4,
    ACTIONS(9867), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2006), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2008), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [362200] = 4,
    ACTIONS(9869), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2087), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2089), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [362247] = 4,
    ACTIONS(9871), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1994), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1996), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [362294] = 7,
    ACTIONS(9859), 1,
      sym_keyword_array,
    STATE(5944), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(6348), 1,
      sym__array_size_definition,
    STATE(6353), 1,
      sym_array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2801), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2799), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [362347] = 4,
    ACTIONS(9873), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1994), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1996), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [362394] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2050), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2052), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [362439] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9452), 1,
      anon_sym_COMMA,
    ACTIONS(9875), 1,
      anon_sym_RBRACK,
    STATE(10653), 1,
      aux_sym_array_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [362528] = 25,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8555), 1,
      sym_keyword_between,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8677), 1,
      sym_keyword_or,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(9877), 1,
      anon_sym_RPAREN,
    STATE(10659), 1,
      aux_sym_array_repeat1,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [362617] = 24,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9879), 1,
      anon_sym_RBRACK,
    ACTIONS(9881), 1,
      anon_sym_COLON,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [362703] = 24,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9883), 1,
      anon_sym_RBRACK,
    ACTIONS(9885), 1,
      anon_sym_COLON,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [362789] = 5,
    ACTIONS(9887), 1,
      sym_keyword_unsigned,
    ACTIONS(9889), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1926), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1924), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [362837] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2511), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2509), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [362881] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2561), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2559), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [362925] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2686), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2684), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [362969] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3514), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3512), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [363013] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2273), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2275), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [363057] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2217), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2219), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [363101] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2225), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2227), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [363145] = 5,
    ACTIONS(9891), 1,
      sym_keyword_varying,
    ACTIONS(9893), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1934), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1932), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [363193] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2553), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2551), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [363237] = 24,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9895), 1,
      anon_sym_RBRACK,
    ACTIONS(9897), 1,
      anon_sym_COLON,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [363323] = 24,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9899), 1,
      anon_sym_RBRACK,
    ACTIONS(9901), 1,
      anon_sym_COLON,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [363409] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2345), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2347), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [363453] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2728), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2726), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [363497] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2325), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2327), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [363541] = 24,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9903), 1,
      anon_sym_RBRACK,
    ACTIONS(9905), 1,
      anon_sym_COLON,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [363627] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1374), 3,
      anon_sym_LPAREN,
      anon_sym_DOT,
      aux_sym__single_quote_string_token1,
    ACTIONS(1372), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1370), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [363673] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2529), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2527), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [363717] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2321), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2323), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [363761] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2317), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2319), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [363805] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2313), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2315), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [363849] = 24,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9907), 1,
      anon_sym_RBRACK,
    ACTIONS(9909), 1,
      anon_sym_COLON,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [363935] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2732), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2730), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [363979] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2744), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2742), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [364023] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2519), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2517), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [364067] = 4,
    STATE(6005), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3404), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3406), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [364113] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2754), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2752), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [364157] = 4,
    ACTIONS(9911), 1,
      sym_keyword_varying,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1950), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1948), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [364203] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2768), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2766), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [364247] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2305), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2307), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [364291] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2289), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2291), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [364335] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3506), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3504), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [364379] = 5,
    ACTIONS(9913), 1,
      sym_keyword_filter,
    STATE(6233), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2503), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2501), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [364427] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2285), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2287), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [364471] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2533), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2531), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [364515] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2624), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2622), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [364559] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2281), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2283), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [364603] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2618), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2616), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [364647] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2277), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2279), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [364691] = 4,
    ACTIONS(9915), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3370), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3372), 19,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [364737] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2337), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2339), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [364781] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2341), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2343), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [364825] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2610), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2608), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [364869] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2537), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2535), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [364913] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2349), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2351), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [364957] = 5,
    ACTIONS(9913), 1,
      sym_keyword_filter,
    STATE(6319), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2455), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2453), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [365005] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2353), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2355), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [365049] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2261), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2263), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [365093] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2668), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2666), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [365137] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2394), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [365181] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2201), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2203), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [365225] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2549), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2547), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [365269] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2678), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2676), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [365313] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2724), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2722), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [365357] = 8,
    ACTIONS(337), 1,
      sym__identifier,
    ACTIONS(7902), 1,
      sym_keyword_as,
    STATE(6377), 1,
      sym_identifier,
    STATE(6426), 1,
      sym__alias,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(9496), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(9498), 25,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [365411] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3486), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3484), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [365455] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2382), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2380), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [365499] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2386), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2384), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [365543] = 24,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9917), 1,
      anon_sym_RBRACK,
    ACTIONS(9919), 1,
      anon_sym_COLON,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [365629] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1994), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1996), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [365673] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3458), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3456), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [365717] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2357), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2359), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [365761] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2237), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2239), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [365805] = 24,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9921), 1,
      anon_sym_RBRACK,
    ACTIONS(9923), 1,
      anon_sym_COLON,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [365891] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3478), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3476), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [365935] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2189), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2191), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [365979] = 4,
    STATE(926), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3406), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3404), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [366025] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2375), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2373), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [366069] = 5,
    ACTIONS(9913), 1,
      sym_keyword_filter,
    STATE(6327), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2569), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2567), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [366117] = 5,
    ACTIONS(9913), 1,
      sym_keyword_filter,
    STATE(6220), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2557), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2555), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [366165] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3534), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3532), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [366209] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3526), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3524), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [366253] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2087), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2089), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [366297] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2241), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2243), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [366341] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3518), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3516), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [366385] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2006), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2008), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [366429] = 5,
    ACTIONS(9913), 1,
      sym_keyword_filter,
    STATE(6318), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2561), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2559), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [366477] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3466), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3464), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [366521] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2018), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2020), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [366565] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2245), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2247), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [366609] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2030), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2032), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [366653] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2249), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2251), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [366697] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2036), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2038), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [366741] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2253), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2255), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [366785] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2177), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2179), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [366829] = 4,
    ACTIONS(9925), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3372), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3370), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [366875] = 5,
    ACTIONS(9913), 1,
      sym_keyword_filter,
    STATE(6308), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2515), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2513), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [366923] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2229), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2231), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [366967] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2363), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2361), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [367011] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1860), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1862), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [367055] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3538), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3536), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [367099] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2257), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2259), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [367143] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2044), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2046), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [367187] = 24,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9927), 1,
      anon_sym_RBRACK,
    ACTIONS(9929), 1,
      anon_sym_COLON,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [367273] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2181), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2183), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [367317] = 5,
    ACTIONS(9931), 1,
      sym_keyword_unsigned,
    ACTIONS(9933), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1918), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1916), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [367365] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2367), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2365), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [367409] = 5,
    ACTIONS(9935), 1,
      sym_keyword_unsigned,
    ACTIONS(9937), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1910), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1908), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [367457] = 24,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9939), 1,
      anon_sym_RBRACK,
    ACTIONS(9941), 1,
      anon_sym_COLON,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [367543] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3562), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3560), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [367587] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2301), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2303), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [367631] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2380), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2382), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [367675] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2068), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2070), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [367719] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2062), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2064), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [367763] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2125), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2127), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [367807] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2384), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2386), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [367851] = 24,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9943), 1,
      anon_sym_RBRACK,
    ACTIONS(9945), 1,
      anon_sym_COLON,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [367937] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3522), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3520), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [367981] = 5,
    ACTIONS(9913), 1,
      sym_keyword_filter,
    STATE(6291), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2511), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2509), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [368029] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1772), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1774), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [368073] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2145), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2147), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [368117] = 5,
    ACTIONS(9913), 1,
      sym_keyword_filter,
    STATE(6276), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2541), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2539), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [368165] = 5,
    ACTIONS(9913), 1,
      sym_keyword_filter,
    STATE(6274), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2545), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2543), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [368213] = 5,
    ACTIONS(9913), 1,
      sym_keyword_filter,
    STATE(6273), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2553), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2551), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [368261] = 24,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9947), 1,
      anon_sym_RBRACK,
    ACTIONS(9949), 1,
      anon_sym_COLON,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [368347] = 5,
    ACTIONS(9913), 1,
      sym_keyword_filter,
    STATE(6272), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2565), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2563), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [368395] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3422), 2,
      sym_keyword_on,
      sym_keyword_using,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [368479] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2107), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2109), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [368523] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2221), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2223), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [368567] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2371), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2369), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [368611] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3542), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3540), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [368655] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2255), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2253), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [368699] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2213), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2215), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [368743] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3494), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3492), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [368787] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3470), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3468), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [368831] = 24,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9951), 1,
      anon_sym_RBRACK,
    ACTIONS(9953), 1,
      anon_sym_COLON,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [368917] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3490), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3488), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [368961] = 5,
    ACTIONS(9913), 1,
      sym_keyword_filter,
    STATE(6244), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2507), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2505), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [369009] = 5,
    ACTIONS(9913), 1,
      sym_keyword_filter,
    STATE(6234), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2529), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2527), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [369057] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3558), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3556), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [369101] = 5,
    ACTIONS(9913), 1,
      sym_keyword_filter,
    STATE(6232), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2519), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2517), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [369149] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2205), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2207), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [369193] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3410), 2,
      sym_keyword_on,
      sym_keyword_using,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [369277] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2193), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2195), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [369321] = 5,
    ACTIONS(9955), 1,
      sym_keyword_unsigned,
    ACTIONS(9957), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1942), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1940), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [369369] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2197), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2199), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [369413] = 5,
    ACTIONS(9959), 1,
      sym_keyword_unsigned,
    ACTIONS(9961), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1964), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1962), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [369461] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2185), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2187), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [369505] = 5,
    ACTIONS(9913), 1,
      sym_keyword_filter,
    STATE(6231), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2451), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2449), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [369553] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2209), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2211), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [369597] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2373), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2375), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [369641] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3566), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3564), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [369685] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2293), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2295), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [369729] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2297), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2299), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [369773] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2309), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2311), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [369817] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1924), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1926), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [369861] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2119), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2121), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [369905] = 5,
    ACTIONS(9963), 1,
      sym_keyword_unsigned,
    ACTIONS(9965), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1984), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1982), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [369953] = 5,
    ACTIONS(9967), 1,
      sym_keyword_unsigned,
    ACTIONS(9969), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1956), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1954), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [370001] = 4,
    ACTIONS(9971), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3370), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3372), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [370047] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2361), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2363), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [370091] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2335), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2333), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [370135] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2331), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2329), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [370179] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2083), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2081), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [370223] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(7837), 1,
      anon_sym_LBRACK,
    ACTIONS(8327), 1,
      sym_keyword_is,
    ACTIONS(8331), 1,
      anon_sym_PLUS,
    ACTIONS(8333), 1,
      anon_sym_DASH,
    ACTIONS(8335), 1,
      anon_sym_SLASH,
    ACTIONS(8337), 1,
      anon_sym_CARET,
    ACTIONS(8379), 1,
      sym_keyword_in,
    ACTIONS(8381), 1,
      sym_keyword_not,
    ACTIONS(8387), 1,
      sym_op_other,
    ACTIONS(8508), 1,
      sym_keyword_and,
    ACTIONS(8510), 1,
      sym_keyword_between,
    ACTIONS(8567), 1,
      sym_keyword_or,
    ACTIONS(8569), 1,
      anon_sym_COLON_COLON,
    STATE(10705), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8329), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8385), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(9973), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(1689), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1690), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8383), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [370307] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2271), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2269), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [370351] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2267), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2265), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [370395] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2141), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2139), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [370439] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2365), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2367), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [370483] = 5,
    ACTIONS(9975), 1,
      sym_keyword_unsigned,
    ACTIONS(9977), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1972), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1970), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [370531] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2121), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2119), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [370575] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2139), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2141), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [370619] = 8,
    ACTIONS(337), 1,
      sym__identifier,
    ACTIONS(7902), 1,
      sym_keyword_as,
    STATE(6377), 1,
      sym_identifier,
    STATE(6422), 1,
      sym__alias,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(9979), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(9981), 25,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [370673] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2265), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2267), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [370717] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3482), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3480), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [370761] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1926), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1924), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [370805] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2211), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2209), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [370849] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2187), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2185), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [370893] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2199), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2197), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [370937] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2195), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2193), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [370981] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2191), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2189), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [371025] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2207), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2205), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [371069] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3554), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3552), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [371113] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3530), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3528), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [371157] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3570), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3568), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [371201] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2215), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2213), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [371245] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2223), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2221), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [371289] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2109), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2107), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [371333] = 5,
    ACTIONS(9983), 1,
      sym_keyword_unsigned,
    ACTIONS(9985), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1972), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1970), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [371381] = 5,
    ACTIONS(9987), 1,
      sym_keyword_unsigned,
    ACTIONS(9989), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1956), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1954), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [371429] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2147), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2145), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [371473] = 5,
    ACTIONS(9991), 1,
      sym_keyword_unsigned,
    ACTIONS(9993), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1984), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1982), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [371521] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2127), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2125), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [371565] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8555), 1,
      sym_keyword_between,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8677), 1,
      sym_keyword_or,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(9711), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [371649] = 5,
    ACTIONS(9913), 1,
      sym_keyword_filter,
    STATE(6230), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2533), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2531), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [371697] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2369), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2371), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [371741] = 5,
    ACTIONS(9995), 1,
      sym_keyword_unsigned,
    ACTIONS(9997), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1964), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1962), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [371789] = 5,
    ACTIONS(9999), 1,
      sym_keyword_unsigned,
    ACTIONS(10001), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1942), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1940), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [371837] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2269), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2271), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [371881] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2081), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2083), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [371925] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2064), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2062), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [371969] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2329), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2331), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [372013] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2070), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2068), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [372057] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2333), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2335), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [372101] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3325), 2,
      sym_keyword_on,
      sym_keyword_using,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [372185] = 5,
    ACTIONS(9913), 1,
      sym_keyword_filter,
    STATE(6229), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2445), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2443), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [372233] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3454), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3452), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [372277] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3462), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3460), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [372321] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3474), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3472), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [372365] = 24,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10003), 1,
      anon_sym_RBRACK,
    ACTIONS(10005), 1,
      anon_sym_COLON,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [372451] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2303), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2301), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [372495] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2183), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2181), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [372539] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2259), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2257), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [372583] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2797), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2795), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [372627] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3510), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3508), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [372671] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2251), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2249), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [372715] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2233), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2235), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [372759] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2247), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2245), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [372803] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2243), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2241), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [372847] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2239), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2237), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [372891] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2235), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2233), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [372935] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2203), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2201), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [372979] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2275), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2273), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [373023] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8555), 1,
      sym_keyword_between,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8677), 1,
      sym_keyword_or,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(9719), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [373107] = 5,
    ACTIONS(9913), 1,
      sym_keyword_filter,
    STATE(6227), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2537), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2535), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [373155] = 24,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10007), 1,
      anon_sym_RBRACK,
    ACTIONS(10009), 1,
      anon_sym_COLON,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [373241] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3498), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3496), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [373285] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6767), 2,
      anon_sym_RBRACK,
      anon_sym_COMMA,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [373369] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2219), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2217), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [373413] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2227), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2225), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [373457] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2347), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2345), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [373501] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2327), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2325), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [373545] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2323), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2321), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [373589] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2319), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2317), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [373633] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2315), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2313), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [373677] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2307), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2305), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [373721] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2291), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2289), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [373765] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2287), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2285), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [373809] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2283), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2281), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [373853] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2279), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2277), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [373897] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3366), 2,
      sym_keyword_on,
      sym_keyword_using,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [373981] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2339), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2337), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [374025] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2343), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2341), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [374069] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2351), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2349), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [374113] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2355), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2353), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [374157] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2263), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2261), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [374201] = 5,
    ACTIONS(10011), 1,
      sym_keyword_unsigned,
    ACTIONS(10013), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1926), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1924), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [374249] = 5,
    ACTIONS(9913), 1,
      sym_keyword_filter,
    STATE(6216), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2549), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2547), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [374297] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1996), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1994), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [374341] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2359), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2357), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [374385] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3502), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3500), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [374429] = 5,
    ACTIONS(10015), 1,
      sym_keyword_precision,
    ACTIONS(10017), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1862), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1860), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [374477] = 4,
    ACTIONS(10019), 1,
      sym_keyword_varying,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1950), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1948), 28,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [374523] = 5,
    ACTIONS(10021), 1,
      sym_keyword_varying,
    ACTIONS(10023), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1934), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1932), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [374571] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1372), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1370), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [374615] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2089), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2087), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [374659] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3263), 2,
      sym_keyword_on,
      sym_keyword_using,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [374743] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2095), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2093), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [374787] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2008), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2006), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [374831] = 4,
    ACTIONS(10025), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3372), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3370), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [374877] = 5,
    ACTIONS(10027), 1,
      sym_keyword_unsigned,
    ACTIONS(10029), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1918), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1916), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [374925] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2020), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2018), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [374969] = 4,
    STATE(5823), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3406), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3404), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [375015] = 5,
    ACTIONS(10031), 1,
      sym_keyword_unsigned,
    ACTIONS(10033), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1910), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1908), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [375063] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3550), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3548), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [375107] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2032), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2030), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [375151] = 23,
    ACTIONS(9080), 1,
      sym_keyword_cross,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(9096), 1,
      sym_keyword_window,
    ACTIONS(9098), 1,
      anon_sym_COMMA,
    ACTIONS(10035), 1,
      sym_keyword_left,
    ACTIONS(10039), 1,
      sym_keyword_inner,
    ACTIONS(10041), 1,
      sym_keyword_join,
    ACTIONS(10043), 1,
      sym_keyword_natural,
    ACTIONS(10045), 1,
      sym_keyword_where,
    ACTIONS(10047), 1,
      sym_keyword_order,
    ACTIONS(10049), 1,
      sym_keyword_group,
    STATE(6496), 1,
      sym_index_hint,
    STATE(6588), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(7158), 1,
      sym_where,
    STATE(7328), 1,
      sym_group_by,
    STATE(7442), 1,
      sym_order_by,
    STATE(7520), 1,
      sym_window_clause,
    STATE(7611), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10037), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(9094), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    STATE(6497), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(8847), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [375235] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2038), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2036), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [375279] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2179), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2177), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [375323] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2231), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2229), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [375367] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1862), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1860), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [375411] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8555), 1,
      sym_keyword_between,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8677), 1,
      sym_keyword_or,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6767), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [375495] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2046), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2044), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [375539] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2093), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2095), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [375583] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3574), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3572), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [375627] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3546), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3544), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [375671] = 24,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10051), 1,
      anon_sym_RBRACK,
    ACTIONS(10053), 1,
      anon_sym_COLON,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [375757] = 24,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10055), 1,
      anon_sym_RBRACK,
    ACTIONS(10057), 1,
      anon_sym_COLON,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [375843] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1774), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1772), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [375887] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3402), 2,
      sym_keyword_on,
      sym_keyword_using,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [375971] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2295), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2293), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [376015] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2299), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2297), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [376059] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2311), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2309), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [376103] = 24,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10059), 1,
      anon_sym_RBRACK,
    ACTIONS(10061), 1,
      anon_sym_COLON,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [376189] = 5,
    ACTIONS(10063), 1,
      sym_keyword_precision,
    ACTIONS(10065), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1862), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1860), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [376237] = 23,
    ACTIONS(9080), 1,
      sym_keyword_cross,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(9096), 1,
      sym_keyword_window,
    ACTIONS(9098), 1,
      anon_sym_COMMA,
    ACTIONS(10035), 1,
      sym_keyword_left,
    ACTIONS(10039), 1,
      sym_keyword_inner,
    ACTIONS(10041), 1,
      sym_keyword_join,
    ACTIONS(10043), 1,
      sym_keyword_natural,
    ACTIONS(10045), 1,
      sym_keyword_where,
    ACTIONS(10047), 1,
      sym_keyword_order,
    ACTIONS(10049), 1,
      sym_keyword_group,
    STATE(5755), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(6501), 1,
      sym_index_hint,
    STATE(7118), 1,
      sym_where,
    STATE(7332), 1,
      sym_group_by,
    STATE(7483), 1,
      sym_order_by,
    STATE(7516), 1,
      sym_window_clause,
    STATE(7638), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10037), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(9094), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    STATE(6500), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(9005), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [376321] = 23,
    ACTIONS(9080), 1,
      sym_keyword_cross,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(9096), 1,
      sym_keyword_window,
    ACTIONS(9098), 1,
      anon_sym_COMMA,
    ACTIONS(10035), 1,
      sym_keyword_left,
    ACTIONS(10039), 1,
      sym_keyword_inner,
    ACTIONS(10041), 1,
      sym_keyword_join,
    ACTIONS(10043), 1,
      sym_keyword_natural,
    ACTIONS(10045), 1,
      sym_keyword_where,
    ACTIONS(10047), 1,
      sym_keyword_order,
    ACTIONS(10049), 1,
      sym_keyword_group,
    STATE(5734), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(6499), 1,
      sym_index_hint,
    STATE(7159), 1,
      sym_where,
    STATE(7330), 1,
      sym_group_by,
    STATE(7476), 1,
      sym_order_by,
    STATE(7518), 1,
      sym_window_clause,
    STATE(7707), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10037), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(9094), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    STATE(6498), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(8883), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [376405] = 23,
    ACTIONS(9080), 1,
      sym_keyword_cross,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(9096), 1,
      sym_keyword_window,
    ACTIONS(9098), 1,
      anon_sym_COMMA,
    ACTIONS(10035), 1,
      sym_keyword_left,
    ACTIONS(10039), 1,
      sym_keyword_inner,
    ACTIONS(10041), 1,
      sym_keyword_join,
    ACTIONS(10043), 1,
      sym_keyword_natural,
    ACTIONS(10045), 1,
      sym_keyword_where,
    ACTIONS(10047), 1,
      sym_keyword_order,
    ACTIONS(10049), 1,
      sym_keyword_group,
    STATE(6499), 1,
      sym_index_hint,
    STATE(6588), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(7159), 1,
      sym_where,
    STATE(7330), 1,
      sym_group_by,
    STATE(7476), 1,
      sym_order_by,
    STATE(7518), 1,
      sym_window_clause,
    STATE(7707), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10037), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(9094), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    STATE(6498), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(8883), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [376489] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(13418), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [376536] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10069), 1,
      sym_keyword_end,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [376619] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10071), 1,
      sym_keyword_end,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [376702] = 4,
    ACTIONS(10073), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2032), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2030), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [376747] = 4,
    ACTIONS(10075), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2038), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2036), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [376792] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(13021), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [376839] = 4,
    ACTIONS(10077), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2089), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2087), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [376884] = 4,
    ACTIONS(10079), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1996), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1994), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [376929] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10081), 1,
      sym_keyword_end,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [377012] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10083), 1,
      sym_keyword_end,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [377095] = 4,
    ACTIONS(10085), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2070), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2068), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [377140] = 4,
    ACTIONS(10087), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2008), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2006), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [377185] = 4,
    ACTIONS(10089), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2020), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2018), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [377230] = 4,
    ACTIONS(10091), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2064), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2062), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [377275] = 4,
    ACTIONS(10093), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2089), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2087), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [377320] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2386), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2384), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [377363] = 4,
    ACTIONS(10095), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2032), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2030), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [377408] = 4,
    ACTIONS(10097), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2038), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2036), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [377453] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10099), 1,
      sym_keyword_end,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [377536] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(13071), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [377583] = 4,
    ACTIONS(9662), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1862), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1860), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [377628] = 4,
    ACTIONS(10101), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2121), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2119), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [377673] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10103), 1,
      sym_keyword_end,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [377756] = 4,
    ACTIONS(10105), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2147), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2145), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [377801] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10107), 1,
      sym_keyword_end,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [377884] = 4,
    ACTIONS(10109), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2046), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2044), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [377929] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10111), 1,
      anon_sym_RBRACK,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [378012] = 4,
    ACTIONS(10113), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2109), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2107), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [378057] = 4,
    ACTIONS(10115), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2101), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2099), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [378102] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(12844), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [378149] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(13306), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [378196] = 6,
    ACTIONS(10117), 1,
      anon_sym_LBRACK,
    STATE(5787), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(6348), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2076), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2074), 25,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [378245] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(13665), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [378292] = 4,
    ACTIONS(10120), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2008), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2006), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [378337] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(12835), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [378384] = 4,
    ACTIONS(10122), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2046), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2044), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [378429] = 4,
    ACTIONS(10124), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2121), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2119), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [378474] = 4,
    ACTIONS(10065), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1862), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1860), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [378519] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3558), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3556), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [378562] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10126), 1,
      sym_keyword_then,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [378645] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3534), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3532), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [378688] = 4,
    ACTIONS(10128), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2089), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2087), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [378733] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3518), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3516), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [378776] = 4,
    ACTIONS(10130), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2008), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2006), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [378821] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10132), 1,
      sym_keyword_then,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [378904] = 4,
    ACTIONS(10134), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2020), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2018), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [378949] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10136), 1,
      sym_keyword_then,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [379032] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(10138), 1,
      sym_keyword_as,
    ACTIONS(10140), 1,
      anon_sym_COLON_COLON,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [379115] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3466), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3464), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [379158] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3522), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3520), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [379201] = 4,
    ACTIONS(10142), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2032), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2030), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [379246] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(13417), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [379293] = 4,
    ACTIONS(10144), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2038), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2036), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [379338] = 4,
    ACTIONS(10146), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1996), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1994), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [379383] = 4,
    ACTIONS(10148), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2046), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2044), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [379428] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2052), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2050), 28,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [379471] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9973), 1,
      anon_sym_SEMI,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [379554] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(13319), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [379601] = 4,
    ACTIONS(10150), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2101), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2099), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [379646] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(13335), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [379693] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(13012), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [379740] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(13020), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [379787] = 6,
    ACTIONS(9472), 1,
      anon_sym_LBRACK,
    STATE(5920), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(6336), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3187), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(3185), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [379836] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10152), 1,
      sym_keyword_end,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [379919] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10154), 1,
      anon_sym_RBRACK,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [380002] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10156), 1,
      sym_keyword_end,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [380085] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2382), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2380), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [380128] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2363), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2361), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [380171] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10158), 1,
      sym_keyword_then,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [380254] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(12608), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [380301] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10160), 1,
      sym_keyword_end,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [380384] = 4,
    ACTIONS(10162), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2014), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2012), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [380429] = 4,
    ACTIONS(10164), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2026), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2024), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [380474] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(13616), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [380521] = 4,
    ACTIONS(10166), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2153), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2151), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [380566] = 4,
    ACTIONS(10168), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2159), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2157), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [380611] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2167), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2165), 28,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [380654] = 4,
    ACTIONS(10170), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2127), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2125), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [380699] = 4,
    ACTIONS(10172), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2171), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2169), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [380744] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1950), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1948), 28,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [380787] = 4,
    ACTIONS(10017), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1862), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1860), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [380832] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10174), 1,
      anon_sym_RBRACK,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [380915] = 4,
    ACTIONS(10176), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2056), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2054), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [380960] = 4,
    ACTIONS(10178), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2002), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2000), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [381005] = 4,
    ACTIONS(10180), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2089), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2087), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [381050] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3526), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3524), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [381093] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10182), 1,
      sym_keyword_then,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [381176] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8555), 1,
      sym_keyword_between,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8677), 1,
      sym_keyword_or,
    ACTIONS(10184), 1,
      anon_sym_RPAREN,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [381259] = 4,
    ACTIONS(10186), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2115), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2113), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [381304] = 4,
    ACTIONS(10188), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2133), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2131), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [381349] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10190), 1,
      anon_sym_RBRACK,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [381432] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10192), 1,
      anon_sym_RBRACK,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [381515] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2375), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2373), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [381558] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10194), 1,
      sym_keyword_end,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [381641] = 4,
    ACTIONS(10196), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2008), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2006), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [381686] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10198), 1,
      sym_keyword_end,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [381769] = 4,
    ACTIONS(10200), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2115), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2113), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [381814] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(13318), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [381861] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(13615), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [381908] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10202), 1,
      sym_keyword_end,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [381991] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(10140), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10204), 1,
      sym_keyword_as,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [382074] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10206), 1,
      sym_keyword_then,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [382157] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10208), 1,
      sym_keyword_then,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [382240] = 4,
    ACTIONS(10210), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2020), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2018), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [382285] = 4,
    ACTIONS(10212), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2032), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2030), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [382330] = 4,
    ACTIONS(10214), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2038), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2036), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [382375] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10216), 1,
      sym_keyword_end,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [382458] = 4,
    ACTIONS(10218), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2046), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2044), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [382503] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2367), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2365), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [382546] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(10140), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10220), 1,
      sym_keyword_as,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [382629] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10222), 1,
      sym_keyword_then,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [382712] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10224), 1,
      sym_keyword_then,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [382795] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2052), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2050), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [382838] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(10140), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10226), 1,
      sym_keyword_as,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [382921] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(13581), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [382968] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10228), 1,
      sym_keyword_then,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [383051] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10230), 1,
      anon_sym_RBRACK,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [383134] = 4,
    ACTIONS(10232), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2141), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2139), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [383179] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10234), 1,
      sym_keyword_end,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [383262] = 4,
    ACTIONS(10236), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1996), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1994), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [383307] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2371), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2369), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [383350] = 5,
    ACTIONS(3364), 1,
      aux_sym__single_quote_string_token2,
    STATE(646), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2967), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2965), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [383397] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(12831), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [383444] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10238), 1,
      sym_keyword_then,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [383527] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10240), 1,
      sym_keyword_end,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [383610] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10242), 1,
      sym_keyword_then,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [383693] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10244), 1,
      sym_keyword_end,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [383776] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(10140), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10246), 1,
      sym_keyword_as,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [383859] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10248), 1,
      sym_keyword_then,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [383942] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10250), 1,
      sym_keyword_then,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [384025] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(10140), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10252), 1,
      sym_keyword_as,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [384108] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10254), 1,
      sym_keyword_then,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [384191] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10256), 1,
      sym_keyword_then,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [384274] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(10140), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10258), 1,
      sym_keyword_as,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [384357] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10260), 1,
      sym_keyword_then,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [384440] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10262), 1,
      sym_keyword_then,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [384523] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(10140), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10264), 1,
      sym_keyword_as,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [384606] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10266), 1,
      sym_keyword_end,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [384689] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10268), 1,
      sym_keyword_end,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [384772] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1372), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1370), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [384815] = 23,
    ACTIONS(10272), 1,
      sym__identifier,
    ACTIONS(10275), 1,
      sym_keyword_partition,
    ACTIONS(10280), 1,
      sym_keyword_collate,
    ACTIONS(10283), 1,
      sym_keyword_engine,
    ACTIONS(10286), 1,
      sym_keyword_default,
    ACTIONS(10289), 1,
      sym_keyword_with,
    ACTIONS(10292), 1,
      sym_keyword_without,
    ACTIONS(10295), 1,
      sym_keyword_row,
    ACTIONS(10298), 1,
      sym_keyword_stored,
    ACTIONS(10301), 1,
      sym_keyword_tblproperties,
    ACTIONS(10304), 1,
      sym_keyword_location,
    ACTIONS(10307), 1,
      sym_keyword_partitioned,
    ACTIONS(10310), 1,
      sym_keyword_sort,
    ACTIONS(10313), 1,
      sym__double_quote_string,
    ACTIONS(10316), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10319), 1,
      aux_sym_identifier_token1,
    ACTIONS(10322), 1,
      sym__dollar_quoted_string,
    STATE(129), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10278), 2,
      sym_keyword_create,
      sym_keyword_as,
    STATE(13113), 2,
      sym__literal_string,
      sym_identifier,
    ACTIONS(10270), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
    STATE(5896), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [384898] = 5,
    ACTIONS(10325), 1,
      aux_sym__single_quote_string_token2,
    STATE(5877), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3045), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3043), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [384945] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10327), 1,
      sym_keyword_then,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [385028] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10329), 1,
      sym_keyword_end,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [385111] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10331), 1,
      sym_keyword_end,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [385194] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10333), 1,
      anon_sym_RBRACK,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [385277] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10335), 1,
      sym_keyword_end,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [385360] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10337), 1,
      sym_keyword_then,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [385443] = 4,
    ACTIONS(10339), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(55), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(109), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [385488] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10341), 1,
      anon_sym_RBRACK,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [385571] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10343), 1,
      sym_keyword_then,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [385654] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10345), 1,
      sym_keyword_then,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [385737] = 4,
    ACTIONS(9676), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1862), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1860), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [385782] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(10140), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10347), 1,
      sym_keyword_as,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [385865] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10349), 1,
      sym_keyword_then,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [385948] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10351), 1,
      sym_keyword_end,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [386031] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10353), 1,
      sym_keyword_then,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [386114] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(10140), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10355), 1,
      sym_keyword_as,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [386197] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10357), 1,
      sym_keyword_then,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [386280] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10359), 1,
      sym_keyword_end,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [386363] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(10140), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10361), 1,
      sym_keyword_as,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [386446] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10363), 1,
      sym_keyword_then,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [386529] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10365), 1,
      sym_keyword_then,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [386612] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10367), 1,
      sym_keyword_end,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [386695] = 6,
    ACTIONS(10369), 1,
      anon_sym_LBRACK,
    STATE(5920), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(6336), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2076), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2074), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [386744] = 4,
    ACTIONS(10372), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2083), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2081), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [386789] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(10140), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10374), 1,
      sym_keyword_as,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [386872] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10376), 1,
      sym_keyword_then,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [386955] = 4,
    ACTIONS(10378), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1996), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1994), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [387000] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(10140), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10380), 1,
      sym_keyword_as,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [387083] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10382), 1,
      sym_keyword_then,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [387166] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10384), 1,
      sym_keyword_then,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [387249] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10386), 1,
      sym_keyword_end,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [387332] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(14413), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [387379] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(14419), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [387426] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10388), 1,
      sym_keyword_end,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [387509] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10390), 1,
      anon_sym_RBRACK,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [387592] = 4,
    ACTIONS(10392), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2020), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2018), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [387637] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10394), 1,
      sym_keyword_end,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [387720] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(14514), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [387767] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(12811), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [387814] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10396), 1,
      sym_keyword_end,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [387897] = 4,
    ACTIONS(10398), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2026), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2024), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [387942] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(12350), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [387989] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(14421), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [388036] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(10140), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10400), 1,
      sym_keyword_as,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [388119] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10402), 1,
      sym_keyword_then,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [388202] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10404), 1,
      anon_sym_RBRACK,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [388285] = 5,
    STATE(5787), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(6348), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3187), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3185), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [388332] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10406), 1,
      sym_keyword_then,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [388415] = 4,
    ACTIONS(10408), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2070), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2068), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [388460] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(12649), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [388507] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(10140), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10410), 1,
      sym_keyword_as,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [388590] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10412), 1,
      sym_keyword_then,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [388673] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10414), 1,
      sym_keyword_then,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [388756] = 4,
    ACTIONS(10416), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2064), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2062), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [388801] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(10140), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10418), 1,
      sym_keyword_as,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [388884] = 4,
    ACTIONS(10420), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2127), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2125), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [388929] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10422), 1,
      sym_keyword_then,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [389012] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10424), 1,
      sym_keyword_end,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [389095] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10426), 1,
      sym_keyword_then,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [389178] = 4,
    ACTIONS(10428), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2147), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2145), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [389223] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(10140), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10430), 1,
      sym_keyword_as,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [389306] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10432), 1,
      sym_keyword_then,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [389389] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8532), 1,
      sym_keyword_not,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8555), 1,
      sym_keyword_between,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8677), 1,
      sym_keyword_or,
    ACTIONS(10434), 1,
      anon_sym_RPAREN,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [389472] = 4,
    ACTIONS(10436), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2109), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2107), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [389517] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(12609), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [389564] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10438), 1,
      sym_keyword_end,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [389647] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(14531), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [389694] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10440), 1,
      sym_keyword_end,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [389777] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2380), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2382), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [389820] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10442), 1,
      sym_keyword_end,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [389903] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(13931), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [389950] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2384), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2386), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [389993] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3462), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3460), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [390036] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10444), 1,
      sym_keyword_then,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [390119] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(14537), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [390166] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(14538), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [390213] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(14548), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [390260] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10446), 1,
      sym_keyword_when,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [390343] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(10140), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10448), 1,
      sym_keyword_as,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [390426] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10450), 1,
      sym_keyword_then,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [390509] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10452), 1,
      sym_keyword_end,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [390592] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3550), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3548), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [390635] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(14524), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [390682] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10454), 1,
      anon_sym_RBRACK,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [390765] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3474), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3472), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [390808] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10456), 1,
      sym_keyword_then,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [390891] = 4,
    ACTIONS(10458), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2141), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2139), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [390936] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10460), 1,
      sym_keyword_end,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [391019] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(13410), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [391066] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3454), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3452), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [391109] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10462), 1,
      sym_keyword_end,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [391192] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(14512), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [391239] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10464), 1,
      sym_keyword_end,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [391322] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3554), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3552), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [391365] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10466), 1,
      sym_keyword_end,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [391448] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(14497), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [391495] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(14107), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [391542] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(14085), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [391589] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2797), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2795), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [391632] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(14084), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [391679] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(14061), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [391726] = 4,
    ACTIONS(10468), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2153), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2151), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [391771] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3458), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3456), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [391814] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3486), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3484), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [391857] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2394), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [391900] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2373), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2375), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [391943] = 4,
    ACTIONS(10470), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2159), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2157), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [391988] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2361), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2363), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [392031] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10472), 1,
      sym_keyword_end,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [392114] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10474), 1,
      anon_sym_RBRACK,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [392197] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10476), 1,
      sym_keyword_end,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [392280] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10478), 1,
      sym_keyword_end,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [392363] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2167), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2165), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [392406] = 4,
    ACTIONS(10480), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2171), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2169), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [392451] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10482), 1,
      sym_keyword_then,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [392534] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1950), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1948), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [392577] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2365), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2367), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [392620] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1374), 9,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(1376), 25,
      sym_keyword_set,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_change,
      sym_keyword_modify,
      sym_keyword_drop,
      sym_keyword_add,
      sym_keyword_column,
      sym_keyword_as,
      sym_keyword_if,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_rename,
      sym_keyword_owner,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [392663] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(13956), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [392710] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(13884), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [392757] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10484), 1,
      sym_keyword_end,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [392840] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(14083), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [392887] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10486), 1,
      sym_keyword_when,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [392970] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10488), 1,
      anon_sym_RBRACK,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [393053] = 4,
    ACTIONS(10490), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2056), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2054), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [393098] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(13789), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [393145] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10492), 1,
      sym_keyword_end,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [393228] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10494), 1,
      sym_keyword_end,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [393311] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(13574), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [393358] = 4,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2002), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2000), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [393403] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10498), 1,
      sym_keyword_end,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [393486] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3478), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3476), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [393529] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(13562), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [393576] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10500), 1,
      sym_keyword_end,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [393659] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(13550), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [393706] = 4,
    ACTIONS(10502), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2014), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2012), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [393751] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(13528), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [393798] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10504), 1,
      sym_keyword_end,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [393881] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3538), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3536), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [393924] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(14439), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [393971] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(13366), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [394018] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(13363), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [394065] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10506), 1,
      sym_keyword_end,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [394148] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(13293), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [394195] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2369), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2371), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [394238] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(12700), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [394285] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10508), 1,
      sym_keyword_end,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [394368] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10510), 1,
      sym_keyword_end,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [394451] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(12597), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [394498] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(12596), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [394545] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(12536), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [394592] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10512), 1,
      anon_sym_RBRACK,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [394675] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3482), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3480), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [394718] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10514), 1,
      sym_keyword_end,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [394801] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3498), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3496), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [394844] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(12194), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [394891] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10516), 1,
      sym_keyword_end,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [394974] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(12144), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [395021] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10518), 1,
      sym_keyword_when,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [395104] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(12142), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [395151] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10520), 1,
      anon_sym_RBRACK,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [395234] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10522), 1,
      sym_keyword_when,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [395317] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10524), 1,
      sym_keyword_when,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [395400] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10526), 1,
      sym_keyword_when,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [395483] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(12109), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [395530] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10528), 1,
      sym_keyword_when,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [395613] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(12058), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [395660] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(12067), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [395707] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(12068), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [395754] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10530), 1,
      sym_keyword_when,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [395837] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10532), 1,
      sym_keyword_when,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [395920] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10534), 1,
      sym_keyword_when,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [396003] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10536), 1,
      anon_sym_RBRACK,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [396086] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10538), 1,
      sym_keyword_when,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [396169] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10540), 1,
      sym_keyword_when,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [396252] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(12082), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [396299] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3470), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3468), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [396342] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10542), 1,
      sym_keyword_when,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [396425] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10544), 1,
      sym_keyword_when,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [396508] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(12184), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [396555] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(12204), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [396602] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3530), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3528), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [396645] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3514), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3512), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [396688] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10546), 1,
      sym_keyword_when,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [396771] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3506), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3504), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [396814] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(12205), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [396861] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10548), 1,
      sym_keyword_then,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [396944] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3562), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3560), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [396987] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3566), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3564), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [397030] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10550), 1,
      sym_keyword_then,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [397113] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10552), 1,
      sym_keyword_when,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [397196] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(12242), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [397243] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3542), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3540), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [397286] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10554), 1,
      sym_keyword_when,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [397369] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(12403), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [397416] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(12429), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [397463] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(12430), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [397510] = 4,
    ACTIONS(10556), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2133), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2131), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [397555] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3546), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3544), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [397598] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10558), 1,
      sym_keyword_when,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [397681] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3574), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3572), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [397724] = 4,
    ACTIONS(10560), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2083), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2081), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [397769] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10562), 1,
      anon_sym_RBRACK,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [397852] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(12449), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [397899] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10564), 1,
      sym_keyword_end,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [397982] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10566), 1,
      anon_sym_RBRACK,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [398065] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3502), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3500), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [398108] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3510), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3508), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [398151] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3570), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3568), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [398194] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3490), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3488), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [398237] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3494), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3492), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [398280] = 5,
    ACTIONS(10067), 1,
      sym_keyword_limit,
    STATE(12600), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3522), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [398327] = 23,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10568), 1,
      sym_keyword_end,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [398410] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2247), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2245), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [398452] = 22,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10570), 1,
      sym_keyword_and,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [398532] = 4,
    STATE(6338), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3406), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3404), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [398576] = 24,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(10574), 1,
      sym_keyword_partition,
    ACTIONS(10576), 1,
      sym_keyword_create,
    ACTIONS(10578), 1,
      sym_keyword_as,
    ACTIONS(10580), 1,
      sym_keyword_collate,
    ACTIONS(10582), 1,
      sym_keyword_engine,
    ACTIONS(10584), 1,
      sym_keyword_default,
    ACTIONS(10586), 1,
      sym_keyword_with,
    ACTIONS(10588), 1,
      sym_keyword_without,
    ACTIONS(10590), 1,
      sym_keyword_row,
    ACTIONS(10592), 1,
      sym_keyword_stored,
    ACTIONS(10594), 1,
      sym_keyword_tblproperties,
    ACTIONS(10596), 1,
      sym_keyword_location,
    ACTIONS(10598), 1,
      sym_keyword_partitioned,
    ACTIONS(10600), 1,
      sym_keyword_sort,
    STATE(129), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10572), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(13894), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6167), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [398660] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2335), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2333), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [398702] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2331), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2329), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [398744] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2083), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2081), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [398786] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2271), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2269), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [398828] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2267), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2265), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [398870] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2141), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2139), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [398912] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2121), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2119), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [398954] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1926), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1924), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [398996] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2211), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2209), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [399038] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2187), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2185), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [399080] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2199), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2197), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [399122] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2195), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2193), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [399164] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2191), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2189), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [399206] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2207), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2205), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [399248] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2215), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2213), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [399290] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2223), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2221), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [399332] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2109), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2107), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [399374] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2147), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2145), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [399416] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2127), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2125), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [399458] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2064), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2062), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [399500] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2070), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2068), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [399542] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2303), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2301), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [399584] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2183), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2181), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [399626] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2259), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2257), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [399668] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2255), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2253), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [399710] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2251), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2249), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [399752] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2243), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2241), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [399794] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2239), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2237), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [399836] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2235), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2233), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [399878] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2203), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2201), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [399920] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2275), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2273), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [399962] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2219), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2217), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [400004] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2227), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2225), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [400046] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2347), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2345), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [400088] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2327), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2325), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [400130] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2323), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2321), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [400172] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2319), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2317), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [400214] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2315), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2313), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [400256] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2307), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2305), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [400298] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2291), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2289), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [400340] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2287), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2285), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [400382] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2283), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2281), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [400424] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2279), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2277), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [400466] = 24,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(10574), 1,
      sym_keyword_partition,
    ACTIONS(10576), 1,
      sym_keyword_create,
    ACTIONS(10578), 1,
      sym_keyword_as,
    ACTIONS(10580), 1,
      sym_keyword_collate,
    ACTIONS(10582), 1,
      sym_keyword_engine,
    ACTIONS(10584), 1,
      sym_keyword_default,
    ACTIONS(10586), 1,
      sym_keyword_with,
    ACTIONS(10588), 1,
      sym_keyword_without,
    ACTIONS(10590), 1,
      sym_keyword_row,
    ACTIONS(10592), 1,
      sym_keyword_stored,
    ACTIONS(10594), 1,
      sym_keyword_tblproperties,
    ACTIONS(10596), 1,
      sym_keyword_location,
    ACTIONS(10598), 1,
      sym_keyword_partitioned,
    ACTIONS(10600), 1,
      sym_keyword_sort,
    STATE(129), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10572), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(13894), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6166), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [400550] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2339), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2337), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [400592] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2343), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2341), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [400634] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2351), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2349), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [400676] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2355), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2353), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [400718] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2263), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2261), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [400760] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1996), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1994), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [400802] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2359), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2357), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [400844] = 24,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(10574), 1,
      sym_keyword_partition,
    ACTIONS(10580), 1,
      sym_keyword_collate,
    ACTIONS(10582), 1,
      sym_keyword_engine,
    ACTIONS(10584), 1,
      sym_keyword_default,
    ACTIONS(10586), 1,
      sym_keyword_with,
    ACTIONS(10588), 1,
      sym_keyword_without,
    ACTIONS(10590), 1,
      sym_keyword_row,
    ACTIONS(10592), 1,
      sym_keyword_stored,
    ACTIONS(10594), 1,
      sym_keyword_tblproperties,
    ACTIONS(10596), 1,
      sym_keyword_location,
    ACTIONS(10598), 1,
      sym_keyword_partitioned,
    ACTIONS(10600), 1,
      sym_keyword_sort,
    ACTIONS(10604), 1,
      sym_keyword_create,
    ACTIONS(10606), 1,
      sym_keyword_as,
    STATE(129), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10602), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(13894), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6167), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [400928] = 23,
    ACTIONS(10272), 1,
      sym__identifier,
    ACTIONS(10313), 1,
      sym__double_quote_string,
    ACTIONS(10316), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10319), 1,
      aux_sym_identifier_token1,
    ACTIONS(10322), 1,
      sym__dollar_quoted_string,
    ACTIONS(10608), 1,
      sym_keyword_partition,
    ACTIONS(10611), 1,
      sym_keyword_collate,
    ACTIONS(10614), 1,
      sym_keyword_engine,
    ACTIONS(10617), 1,
      sym_keyword_default,
    ACTIONS(10620), 1,
      sym_keyword_with,
    ACTIONS(10623), 1,
      sym_keyword_without,
    ACTIONS(10626), 1,
      sym_keyword_row,
    ACTIONS(10629), 1,
      sym_keyword_stored,
    ACTIONS(10632), 1,
      sym_keyword_tblproperties,
    ACTIONS(10635), 1,
      sym_keyword_location,
    ACTIONS(10638), 1,
      sym_keyword_partitioned,
    ACTIONS(10641), 1,
      sym_keyword_sort,
    STATE(129), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10270), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(10278), 2,
      sym_keyword_create,
      sym_keyword_as,
    STATE(13894), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6167), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [401010] = 24,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(10574), 1,
      sym_keyword_partition,
    ACTIONS(10580), 1,
      sym_keyword_collate,
    ACTIONS(10582), 1,
      sym_keyword_engine,
    ACTIONS(10584), 1,
      sym_keyword_default,
    ACTIONS(10586), 1,
      sym_keyword_with,
    ACTIONS(10588), 1,
      sym_keyword_without,
    ACTIONS(10590), 1,
      sym_keyword_row,
    ACTIONS(10592), 1,
      sym_keyword_stored,
    ACTIONS(10594), 1,
      sym_keyword_tblproperties,
    ACTIONS(10596), 1,
      sym_keyword_location,
    ACTIONS(10598), 1,
      sym_keyword_partitioned,
    ACTIONS(10600), 1,
      sym_keyword_sort,
    ACTIONS(10646), 1,
      sym_keyword_create,
    ACTIONS(10648), 1,
      sym_keyword_as,
    STATE(129), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10644), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(13894), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6167), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [401094] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2089), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2087), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [401136] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2008), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2006), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [401178] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2020), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2018), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [401220] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2032), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2030), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [401262] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2038), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2036), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [401304] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2179), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2177), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [401346] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2231), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2229), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [401388] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1862), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1860), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [401430] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2046), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2044), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [401472] = 24,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(10574), 1,
      sym_keyword_partition,
    ACTIONS(10580), 1,
      sym_keyword_collate,
    ACTIONS(10582), 1,
      sym_keyword_engine,
    ACTIONS(10584), 1,
      sym_keyword_default,
    ACTIONS(10586), 1,
      sym_keyword_with,
    ACTIONS(10588), 1,
      sym_keyword_without,
    ACTIONS(10590), 1,
      sym_keyword_row,
    ACTIONS(10592), 1,
      sym_keyword_stored,
    ACTIONS(10594), 1,
      sym_keyword_tblproperties,
    ACTIONS(10596), 1,
      sym_keyword_location,
    ACTIONS(10598), 1,
      sym_keyword_partitioned,
    ACTIONS(10600), 1,
      sym_keyword_sort,
    ACTIONS(10652), 1,
      sym_keyword_create,
    ACTIONS(10654), 1,
      sym_keyword_as,
    STATE(129), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10650), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(13894), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6168), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [401556] = 9,
    ACTIONS(277), 1,
      sym__identifier,
    ACTIONS(10656), 1,
      sym_keyword_as,
    ACTIONS(10658), 1,
      anon_sym_LPAREN,
    STATE(6559), 1,
      sym__alias,
    STATE(6560), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(335), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(9496), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(9498), 23,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [401610] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1774), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1772), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [401652] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2295), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2293), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [401694] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2299), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2297), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [401736] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2311), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2309), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [401778] = 22,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10660), 1,
      sym_keyword_and,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [401858] = 22,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10662), 1,
      sym_keyword_and,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [401938] = 22,
    ACTIONS(2396), 1,
      sym_keyword_in,
    ACTIONS(2398), 1,
      sym_keyword_and,
    ACTIONS(2400), 1,
      sym_keyword_is,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(2418), 1,
      sym_op_other,
    ACTIONS(2420), 1,
      anon_sym_PLUS,
    ACTIONS(2422), 1,
      anon_sym_DASH,
    ACTIONS(2424), 1,
      anon_sym_SLASH,
    ACTIONS(2426), 1,
      anon_sym_CARET,
    ACTIONS(3580), 1,
      sym_keyword_or,
    ACTIONS(3582), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(5842), 1,
      sym_keyword_between,
    STATE(10357), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2414), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2416), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1678), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1672), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2412), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [402018] = 22,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10664), 1,
      sym_keyword_and,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [402098] = 22,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10666), 1,
      sym_keyword_and,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [402178] = 22,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(2811), 1,
      sym_keyword_is,
    ACTIONS(2817), 1,
      anon_sym_PLUS,
    ACTIONS(2819), 1,
      anon_sym_DASH,
    ACTIONS(2821), 1,
      anon_sym_SLASH,
    ACTIONS(2823), 1,
      anon_sym_CARET,
    ACTIONS(2825), 1,
      sym_keyword_in,
    ACTIONS(2835), 1,
      sym_op_other,
    ACTIONS(2848), 1,
      sym_keyword_and,
    ACTIONS(3622), 1,
      sym_keyword_or,
    ACTIONS(3624), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(5842), 1,
      sym_keyword_between,
    STATE(11101), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2815), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2833), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1480), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1481), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2831), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [402258] = 22,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10668), 1,
      sym_keyword_and,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [402338] = 22,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10670), 1,
      sym_keyword_and,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [402418] = 24,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(10604), 1,
      sym_keyword_create,
    ACTIONS(10672), 1,
      sym_keyword_partition,
    ACTIONS(10674), 1,
      sym_keyword_as,
    ACTIONS(10676), 1,
      sym_keyword_collate,
    ACTIONS(10678), 1,
      sym_keyword_engine,
    ACTIONS(10680), 1,
      sym_keyword_default,
    ACTIONS(10682), 1,
      sym_keyword_with,
    ACTIONS(10684), 1,
      sym_keyword_without,
    ACTIONS(10686), 1,
      sym_keyword_row,
    ACTIONS(10688), 1,
      sym_keyword_stored,
    ACTIONS(10690), 1,
      sym_keyword_tblproperties,
    ACTIONS(10692), 1,
      sym_keyword_location,
    ACTIONS(10694), 1,
      sym_keyword_partitioned,
    ACTIONS(10696), 1,
      sym_keyword_sort,
    STATE(129), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10602), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(13113), 2,
      sym__literal_string,
      sym_identifier,
    STATE(5896), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [402502] = 22,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10698), 1,
      sym_keyword_and,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [402582] = 22,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10700), 1,
      sym_keyword_and,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [402662] = 22,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10702), 1,
      sym_keyword_and,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [402742] = 22,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10704), 1,
      sym_keyword_and,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [402822] = 22,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10706), 1,
      sym_keyword_and,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [402902] = 22,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10708), 1,
      sym_keyword_and,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [402982] = 22,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10710), 1,
      sym_keyword_and,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [403062] = 22,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10712), 1,
      sym_keyword_and,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [403142] = 22,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10714), 1,
      sym_keyword_and,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [403222] = 24,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(10574), 1,
      sym_keyword_partition,
    ACTIONS(10580), 1,
      sym_keyword_collate,
    ACTIONS(10582), 1,
      sym_keyword_engine,
    ACTIONS(10584), 1,
      sym_keyword_default,
    ACTIONS(10586), 1,
      sym_keyword_with,
    ACTIONS(10588), 1,
      sym_keyword_without,
    ACTIONS(10590), 1,
      sym_keyword_row,
    ACTIONS(10592), 1,
      sym_keyword_stored,
    ACTIONS(10594), 1,
      sym_keyword_tblproperties,
    ACTIONS(10596), 1,
      sym_keyword_location,
    ACTIONS(10598), 1,
      sym_keyword_partitioned,
    ACTIONS(10600), 1,
      sym_keyword_sort,
    ACTIONS(10646), 1,
      sym_keyword_create,
    ACTIONS(10648), 1,
      sym_keyword_as,
    STATE(129), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10644), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(13894), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6114), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [403306] = 22,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10716), 1,
      sym_keyword_and,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [403386] = 22,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10718), 1,
      sym_keyword_and,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [403466] = 22,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10720), 1,
      sym_keyword_and,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [403546] = 22,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10722), 1,
      sym_keyword_and,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [403626] = 22,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10724), 1,
      sym_keyword_and,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [403706] = 22,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10726), 1,
      sym_keyword_and,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [403786] = 22,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10728), 1,
      sym_keyword_and,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [403866] = 22,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10730), 1,
      sym_keyword_and,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [403946] = 24,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(10576), 1,
      sym_keyword_create,
    ACTIONS(10672), 1,
      sym_keyword_partition,
    ACTIONS(10676), 1,
      sym_keyword_collate,
    ACTIONS(10678), 1,
      sym_keyword_engine,
    ACTIONS(10680), 1,
      sym_keyword_default,
    ACTIONS(10682), 1,
      sym_keyword_with,
    ACTIONS(10684), 1,
      sym_keyword_without,
    ACTIONS(10686), 1,
      sym_keyword_row,
    ACTIONS(10688), 1,
      sym_keyword_stored,
    ACTIONS(10690), 1,
      sym_keyword_tblproperties,
    ACTIONS(10692), 1,
      sym_keyword_location,
    ACTIONS(10694), 1,
      sym_keyword_partitioned,
    ACTIONS(10696), 1,
      sym_keyword_sort,
    ACTIONS(10732), 1,
      sym_keyword_as,
    STATE(129), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10572), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(13113), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6192), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [404030] = 22,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10734), 1,
      sym_keyword_and,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [404110] = 22,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10736), 1,
      sym_keyword_and,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [404190] = 22,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10738), 1,
      sym_keyword_and,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [404270] = 22,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10740), 1,
      sym_keyword_and,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [404350] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2724), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2722), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [404392] = 4,
    ACTIONS(10742), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3372), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3370), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [404436] = 22,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10744), 1,
      sym_keyword_and,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [404516] = 24,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(10576), 1,
      sym_keyword_create,
    ACTIONS(10672), 1,
      sym_keyword_partition,
    ACTIONS(10676), 1,
      sym_keyword_collate,
    ACTIONS(10678), 1,
      sym_keyword_engine,
    ACTIONS(10680), 1,
      sym_keyword_default,
    ACTIONS(10682), 1,
      sym_keyword_with,
    ACTIONS(10684), 1,
      sym_keyword_without,
    ACTIONS(10686), 1,
      sym_keyword_row,
    ACTIONS(10688), 1,
      sym_keyword_stored,
    ACTIONS(10690), 1,
      sym_keyword_tblproperties,
    ACTIONS(10692), 1,
      sym_keyword_location,
    ACTIONS(10694), 1,
      sym_keyword_partitioned,
    ACTIONS(10696), 1,
      sym_keyword_sort,
    ACTIONS(10732), 1,
      sym_keyword_as,
    STATE(129), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10572), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(13113), 2,
      sym__literal_string,
      sym_identifier,
    STATE(5896), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [404600] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2511), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2509), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [404642] = 22,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10746), 1,
      sym_keyword_and,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [404722] = 22,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10748), 1,
      sym_keyword_and,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [404802] = 22,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10750), 1,
      sym_keyword_and,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [404882] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2109), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2107), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [404924] = 22,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10752), 1,
      sym_keyword_and,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [405004] = 22,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10754), 1,
      sym_keyword_and,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [405084] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2678), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2676), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [405126] = 22,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10756), 1,
      sym_keyword_and,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [405206] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2549), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2547), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [405248] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2668), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2666), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [405290] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2537), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2535), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [405332] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2610), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2608), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [405374] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2618), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2616), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [405416] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2624), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2622), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [405458] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2335), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2333), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [405500] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2331), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2329), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [405542] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2083), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2081), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [405584] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2271), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2269), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [405626] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2267), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2265), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [405668] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2141), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2139), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [405710] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2121), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2119), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [405752] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1926), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1924), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [405794] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2211), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2209), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [405836] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2533), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2531), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [405878] = 22,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10758), 1,
      sym_keyword_and,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [405958] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2187), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2185), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [406000] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2199), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2197), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [406042] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2195), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2193), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [406084] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2191), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2189), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [406126] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2207), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2205), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [406168] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2215), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2213), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [406210] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2223), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2221), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [406252] = 22,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(5870), 1,
      sym_keyword_and,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [406332] = 23,
    ACTIONS(8855), 1,
      sym_keyword_cross,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(8873), 1,
      anon_sym_COMMA,
    ACTIONS(10760), 1,
      sym_keyword_left,
    ACTIONS(10764), 1,
      sym_keyword_inner,
    ACTIONS(10766), 1,
      sym_keyword_join,
    ACTIONS(10768), 1,
      sym_keyword_natural,
    ACTIONS(10770), 1,
      sym_keyword_where,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(10774), 1,
      sym_keyword_group,
    ACTIONS(10776), 1,
      sym_keyword_window,
    STATE(6257), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(6585), 1,
      sym_index_hint,
    STATE(7293), 1,
      sym_order_by,
    STATE(7352), 1,
      sym_where,
    STATE(7535), 1,
      sym_group_by,
    STATE(7556), 1,
      sym_limit,
    STATE(7797), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10762), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(8869), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(9005), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(6576), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
  [406414] = 22,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10778), 1,
      sym_keyword_and,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [406494] = 23,
    ACTIONS(8855), 1,
      sym_keyword_cross,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(8873), 1,
      anon_sym_COMMA,
    ACTIONS(10760), 1,
      sym_keyword_left,
    ACTIONS(10764), 1,
      sym_keyword_inner,
    ACTIONS(10766), 1,
      sym_keyword_join,
    ACTIONS(10768), 1,
      sym_keyword_natural,
    ACTIONS(10770), 1,
      sym_keyword_where,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(10774), 1,
      sym_keyword_group,
    ACTIONS(10776), 1,
      sym_keyword_window,
    STATE(6293), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(6578), 1,
      sym_index_hint,
    STATE(7387), 1,
      sym_where,
    STATE(7391), 1,
      sym_order_by,
    STATE(7555), 1,
      sym_limit,
    STATE(7578), 1,
      sym_group_by,
    STATE(7849), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10762), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(8869), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(8883), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(6575), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
  [406576] = 23,
    ACTIONS(8855), 1,
      sym_keyword_cross,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(8873), 1,
      anon_sym_COMMA,
    ACTIONS(10760), 1,
      sym_keyword_left,
    ACTIONS(10764), 1,
      sym_keyword_inner,
    ACTIONS(10766), 1,
      sym_keyword_join,
    ACTIONS(10768), 1,
      sym_keyword_natural,
    ACTIONS(10770), 1,
      sym_keyword_where,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(10774), 1,
      sym_keyword_group,
    ACTIONS(10776), 1,
      sym_keyword_window,
    STATE(6487), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(6578), 1,
      sym_index_hint,
    STATE(7387), 1,
      sym_where,
    STATE(7391), 1,
      sym_order_by,
    STATE(7555), 1,
      sym_limit,
    STATE(7578), 1,
      sym_group_by,
    STATE(7849), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10762), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(8869), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(8883), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(6575), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
  [406658] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2046), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2044), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [406700] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2147), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2145), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [406742] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2127), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2125), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [406784] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2064), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2062), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [406826] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2070), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2068), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [406868] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2303), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2301), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [406910] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2183), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2181), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [406952] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2259), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2257), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [406994] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2255), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2253), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [407036] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2251), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2249), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [407078] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2247), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2245), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [407120] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2243), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2241), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [407162] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2239), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2237), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [407204] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2235), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2233), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [407246] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2768), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2766), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [407288] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2754), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2752), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [407330] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2519), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2517), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [407372] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2744), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2742), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [407414] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2732), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2730), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [407456] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2203), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2201), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [407498] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2275), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2273), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [407540] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2219), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2217), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [407582] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2227), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2225), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [407624] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2347), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2345), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [407666] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2327), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2325), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [407708] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2323), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2321), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [407750] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2319), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2317), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [407792] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2315), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2313), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [407834] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2307), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2305), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [407876] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2291), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2289), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [407918] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2287), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2285), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [407960] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2283), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2281), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [408002] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2279), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2277), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [408044] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2529), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2527), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [408086] = 24,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(10652), 1,
      sym_keyword_create,
    ACTIONS(10672), 1,
      sym_keyword_partition,
    ACTIONS(10676), 1,
      sym_keyword_collate,
    ACTIONS(10678), 1,
      sym_keyword_engine,
    ACTIONS(10680), 1,
      sym_keyword_default,
    ACTIONS(10682), 1,
      sym_keyword_with,
    ACTIONS(10684), 1,
      sym_keyword_without,
    ACTIONS(10686), 1,
      sym_keyword_row,
    ACTIONS(10688), 1,
      sym_keyword_stored,
    ACTIONS(10690), 1,
      sym_keyword_tblproperties,
    ACTIONS(10692), 1,
      sym_keyword_location,
    ACTIONS(10694), 1,
      sym_keyword_partitioned,
    ACTIONS(10696), 1,
      sym_keyword_sort,
    ACTIONS(10780), 1,
      sym_keyword_as,
    STATE(129), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10650), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(13113), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6296), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [408170] = 23,
    ACTIONS(8855), 1,
      sym_keyword_cross,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(8873), 1,
      anon_sym_COMMA,
    ACTIONS(10760), 1,
      sym_keyword_left,
    ACTIONS(10764), 1,
      sym_keyword_inner,
    ACTIONS(10766), 1,
      sym_keyword_join,
    ACTIONS(10768), 1,
      sym_keyword_natural,
    ACTIONS(10770), 1,
      sym_keyword_where,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(10774), 1,
      sym_keyword_group,
    ACTIONS(10776), 1,
      sym_keyword_window,
    STATE(6487), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(6587), 1,
      sym_index_hint,
    STATE(7338), 1,
      sym_order_by,
    STATE(7408), 1,
      sym_where,
    STATE(7559), 1,
      sym_group_by,
    STATE(7585), 1,
      sym_limit,
    STATE(7845), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10762), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(8869), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(8847), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(6589), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
  [408252] = 22,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(8530), 1,
      sym_keyword_is,
    ACTIONS(8540), 1,
      sym_op_other,
    ACTIONS(8542), 1,
      anon_sym_PLUS,
    ACTIONS(8544), 1,
      anon_sym_DASH,
    ACTIONS(8546), 1,
      anon_sym_SLASH,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8553), 1,
      sym_keyword_and,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8677), 1,
      sym_keyword_or,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8536), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8538), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1613), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1612), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8534), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [408332] = 22,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10782), 1,
      sym_keyword_and,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [408412] = 24,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(10646), 1,
      sym_keyword_create,
    ACTIONS(10672), 1,
      sym_keyword_partition,
    ACTIONS(10676), 1,
      sym_keyword_collate,
    ACTIONS(10678), 1,
      sym_keyword_engine,
    ACTIONS(10680), 1,
      sym_keyword_default,
    ACTIONS(10682), 1,
      sym_keyword_with,
    ACTIONS(10684), 1,
      sym_keyword_without,
    ACTIONS(10686), 1,
      sym_keyword_row,
    ACTIONS(10688), 1,
      sym_keyword_stored,
    ACTIONS(10690), 1,
      sym_keyword_tblproperties,
    ACTIONS(10692), 1,
      sym_keyword_location,
    ACTIONS(10694), 1,
      sym_keyword_partitioned,
    ACTIONS(10696), 1,
      sym_keyword_sort,
    ACTIONS(10784), 1,
      sym_keyword_as,
    STATE(129), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10644), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(13113), 2,
      sym__literal_string,
      sym_identifier,
    STATE(5896), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [408496] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2339), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2337), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [408538] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2343), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2341), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [408580] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2351), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2349), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [408622] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2355), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2353), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [408664] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2263), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2261), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [408706] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1996), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1994), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [408748] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2359), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2357), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [408790] = 22,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10786), 1,
      sym_keyword_and,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [408870] = 22,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10788), 1,
      sym_keyword_and,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [408950] = 22,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10790), 1,
      sym_keyword_and,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [409030] = 22,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10792), 1,
      sym_keyword_and,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [409110] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2686), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2684), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [409152] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2089), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2087), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [409194] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2008), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2006), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [409236] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2020), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2018), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [409278] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2032), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2030), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [409320] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2038), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2036), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [409362] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2179), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2177), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [409404] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2231), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2229), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [409446] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1862), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1860), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [409488] = 22,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10794), 1,
      sym_keyword_and,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [409568] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2553), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2551), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [409610] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2561), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2559), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [409652] = 5,
    ACTIONS(9472), 1,
      anon_sym_LBRACK,
    STATE(6415), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3406), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(3404), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [409698] = 22,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10796), 1,
      sym_keyword_and,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [409778] = 22,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10798), 1,
      sym_keyword_and,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [409858] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1774), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1772), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [409900] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2295), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2293), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [409942] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2299), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2297), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [409984] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2311), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2309), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [410026] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2728), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2726), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [410068] = 22,
    ACTIONS(2408), 1,
      sym_keyword_similar,
    ACTIONS(4453), 1,
      sym_keyword_is,
    ACTIONS(4455), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_PLUS,
    ACTIONS(4461), 1,
      anon_sym_DASH,
    ACTIONS(4463), 1,
      anon_sym_SLASH,
    ACTIONS(4465), 1,
      anon_sym_CARET,
    ACTIONS(4727), 1,
      sym_keyword_in,
    ACTIONS(4729), 1,
      sym_keyword_not,
    ACTIONS(4735), 1,
      sym_op_other,
    ACTIONS(5842), 1,
      sym_keyword_between,
    ACTIONS(8596), 1,
      sym_keyword_or,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10800), 1,
      sym_keyword_and,
    STATE(10861), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4733), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1369), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1364), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4731), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [410148] = 24,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(10646), 1,
      sym_keyword_create,
    ACTIONS(10672), 1,
      sym_keyword_partition,
    ACTIONS(10676), 1,
      sym_keyword_collate,
    ACTIONS(10678), 1,
      sym_keyword_engine,
    ACTIONS(10680), 1,
      sym_keyword_default,
    ACTIONS(10682), 1,
      sym_keyword_with,
    ACTIONS(10684), 1,
      sym_keyword_without,
    ACTIONS(10686), 1,
      sym_keyword_row,
    ACTIONS(10688), 1,
      sym_keyword_stored,
    ACTIONS(10690), 1,
      sym_keyword_tblproperties,
    ACTIONS(10692), 1,
      sym_keyword_location,
    ACTIONS(10694), 1,
      sym_keyword_partitioned,
    ACTIONS(10696), 1,
      sym_keyword_sort,
    ACTIONS(10784), 1,
      sym_keyword_as,
    STATE(129), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10644), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(13113), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6219), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [410232] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3566), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3564), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [410273] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3470), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3468), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [410314] = 19,
    ACTIONS(8849), 1,
      sym_keyword_left,
    ACTIONS(8853), 1,
      sym_keyword_inner,
    ACTIONS(8855), 1,
      sym_keyword_cross,
    ACTIONS(8857), 1,
      sym_keyword_join,
    ACTIONS(8859), 1,
      sym_keyword_natural,
    ACTIONS(8861), 1,
      sym_keyword_where,
    ACTIONS(8863), 1,
      sym_keyword_order,
    ACTIONS(8865), 1,
      sym_keyword_group,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(8871), 1,
      sym_keyword_window,
    STATE(6921), 1,
      sym_where,
    STATE(7027), 1,
      sym_group_by,
    STATE(7177), 1,
      sym_window_clause,
    STATE(7391), 1,
      sym_order_by,
    STATE(7555), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8851), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6586), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(8883), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [410387] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2367), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2365), 30,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [410428] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3534), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3532), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [410469] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2367), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2365), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [410510] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2386), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2384), 30,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [410551] = 23,
    ACTIONS(117), 1,
      sym__identifier,
    ACTIONS(125), 1,
      aux_sym_identifier_token1,
    ACTIONS(10802), 1,
      sym_keyword_set,
    ACTIONS(10804), 1,
      sym_keyword_alter,
    ACTIONS(10806), 1,
      sym_keyword_change,
    ACTIONS(10808), 1,
      sym_keyword_modify,
    ACTIONS(10810), 1,
      sym_keyword_drop,
    ACTIONS(10812), 1,
      sym_keyword_add,
    ACTIONS(10814), 1,
      sym_keyword_column,
    ACTIONS(10816), 1,
      sym_keyword_if,
    ACTIONS(10818), 1,
      sym_keyword_rename,
    ACTIONS(10820), 1,
      sym_keyword_owner,
    ACTIONS(10822), 1,
      sym__double_quote_string,
    ACTIONS(10824), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10826), 1,
      sym__dollar_quoted_string,
    STATE(83), 1,
      sym__column,
    STATE(87), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(7672), 1,
      sym__if_not_exists,
    STATE(8326), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10238), 11,
      sym__alter_specifications,
      sym_add_column,
      sym_add_constraint,
      sym_alter_column,
      sym_modify_column,
      sym_change_column,
      sym_drop_column,
      sym_rename_column,
      sym_rename_object,
      sym_set_schema,
      sym_change_ownership,
  [410632] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2363), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2361), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [410673] = 23,
    ACTIONS(117), 1,
      sym__identifier,
    ACTIONS(125), 1,
      aux_sym_identifier_token1,
    ACTIONS(10802), 1,
      sym_keyword_set,
    ACTIONS(10804), 1,
      sym_keyword_alter,
    ACTIONS(10806), 1,
      sym_keyword_change,
    ACTIONS(10808), 1,
      sym_keyword_modify,
    ACTIONS(10810), 1,
      sym_keyword_drop,
    ACTIONS(10812), 1,
      sym_keyword_add,
    ACTIONS(10814), 1,
      sym_keyword_column,
    ACTIONS(10816), 1,
      sym_keyword_if,
    ACTIONS(10818), 1,
      sym_keyword_rename,
    ACTIONS(10820), 1,
      sym_keyword_owner,
    ACTIONS(10822), 1,
      sym__double_quote_string,
    ACTIONS(10824), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10826), 1,
      sym__dollar_quoted_string,
    STATE(83), 1,
      sym__column,
    STATE(87), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(7672), 1,
      sym__if_not_exists,
    STATE(8326), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10212), 11,
      sym__alter_specifications,
      sym_add_column,
      sym_add_constraint,
      sym_alter_column,
      sym_modify_column,
      sym_change_column,
      sym_drop_column,
      sym_rename_column,
      sym_rename_object,
      sym_set_schema,
      sym_change_ownership,
  [410754] = 24,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(10672), 1,
      sym_keyword_partition,
    ACTIONS(10676), 1,
      sym_keyword_collate,
    ACTIONS(10678), 1,
      sym_keyword_engine,
    ACTIONS(10680), 1,
      sym_keyword_default,
    ACTIONS(10682), 1,
      sym_keyword_with,
    ACTIONS(10684), 1,
      sym_keyword_without,
    ACTIONS(10686), 1,
      sym_keyword_row,
    ACTIONS(10688), 1,
      sym_keyword_stored,
    ACTIONS(10690), 1,
      sym_keyword_tblproperties,
    ACTIONS(10692), 1,
      sym_keyword_location,
    ACTIONS(10694), 1,
      sym_keyword_partitioned,
    ACTIONS(10696), 1,
      sym_keyword_sort,
    ACTIONS(10828), 1,
      sym_keyword_as,
    ACTIONS(10830), 1,
      anon_sym_LPAREN,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(6211), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(13113), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6433), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [410837] = 23,
    ACTIONS(117), 1,
      sym__identifier,
    ACTIONS(125), 1,
      aux_sym_identifier_token1,
    ACTIONS(10816), 1,
      sym_keyword_if,
    ACTIONS(10822), 1,
      sym__double_quote_string,
    ACTIONS(10824), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10826), 1,
      sym__dollar_quoted_string,
    ACTIONS(10832), 1,
      sym_keyword_set,
    ACTIONS(10834), 1,
      sym_keyword_alter,
    ACTIONS(10836), 1,
      sym_keyword_change,
    ACTIONS(10838), 1,
      sym_keyword_modify,
    ACTIONS(10840), 1,
      sym_keyword_drop,
    ACTIONS(10842), 1,
      sym_keyword_add,
    ACTIONS(10844), 1,
      sym_keyword_column,
    ACTIONS(10846), 1,
      sym_keyword_rename,
    ACTIONS(10848), 1,
      sym_keyword_owner,
    STATE(62), 1,
      sym__column,
    STATE(87), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(7642), 1,
      sym__if_not_exists,
    STATE(8148), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9847), 11,
      sym__alter_specifications,
      sym_add_column,
      sym_add_constraint,
      sym_alter_column,
      sym_modify_column,
      sym_change_column,
      sym_drop_column,
      sym_rename_column,
      sym_rename_object,
      sym_set_schema,
      sym_change_ownership,
  [410918] = 23,
    ACTIONS(9080), 1,
      sym_keyword_cross,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(9096), 1,
      sym_keyword_window,
    ACTIONS(9098), 1,
      anon_sym_COMMA,
    ACTIONS(10850), 1,
      sym_keyword_left,
    ACTIONS(10854), 1,
      sym_keyword_inner,
    ACTIONS(10856), 1,
      sym_keyword_join,
    ACTIONS(10858), 1,
      sym_keyword_natural,
    ACTIONS(10860), 1,
      sym_keyword_where,
    ACTIONS(10862), 1,
      sym_keyword_order,
    ACTIONS(10864), 1,
      sym_keyword_group,
    STATE(6588), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(6618), 1,
      sym_index_hint,
    STATE(7442), 1,
      sym_order_by,
    STATE(7484), 1,
      sym_where,
    STATE(7611), 1,
      sym_limit,
    STATE(7665), 1,
      sym_group_by,
    STATE(8085), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10852), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(9094), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(8847), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
    STATE(6594), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
  [410999] = 23,
    ACTIONS(117), 1,
      sym__identifier,
    ACTIONS(125), 1,
      aux_sym_identifier_token1,
    ACTIONS(10816), 1,
      sym_keyword_if,
    ACTIONS(10822), 1,
      sym__double_quote_string,
    ACTIONS(10824), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10826), 1,
      sym__dollar_quoted_string,
    ACTIONS(10832), 1,
      sym_keyword_set,
    ACTIONS(10834), 1,
      sym_keyword_alter,
    ACTIONS(10836), 1,
      sym_keyword_change,
    ACTIONS(10838), 1,
      sym_keyword_modify,
    ACTIONS(10840), 1,
      sym_keyword_drop,
    ACTIONS(10842), 1,
      sym_keyword_add,
    ACTIONS(10844), 1,
      sym_keyword_column,
    ACTIONS(10846), 1,
      sym_keyword_rename,
    ACTIONS(10848), 1,
      sym_keyword_owner,
    STATE(62), 1,
      sym__column,
    STATE(87), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(7642), 1,
      sym__if_not_exists,
    STATE(8148), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9980), 11,
      sym__alter_specifications,
      sym_add_column,
      sym_add_constraint,
      sym_alter_column,
      sym_modify_column,
      sym_change_column,
      sym_drop_column,
      sym_rename_column,
      sym_rename_object,
      sym_set_schema,
      sym_change_ownership,
  [411080] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2375), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2373), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [411121] = 23,
    ACTIONS(9080), 1,
      sym_keyword_cross,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(9096), 1,
      sym_keyword_window,
    ACTIONS(9098), 1,
      anon_sym_COMMA,
    ACTIONS(10850), 1,
      sym_keyword_left,
    ACTIONS(10854), 1,
      sym_keyword_inner,
    ACTIONS(10856), 1,
      sym_keyword_join,
    ACTIONS(10858), 1,
      sym_keyword_natural,
    ACTIONS(10860), 1,
      sym_keyword_where,
    ACTIONS(10862), 1,
      sym_keyword_order,
    ACTIONS(10864), 1,
      sym_keyword_group,
    STATE(6588), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(6615), 1,
      sym_index_hint,
    STATE(7476), 1,
      sym_order_by,
    STATE(7482), 1,
      sym_where,
    STATE(7664), 1,
      sym_group_by,
    STATE(7707), 1,
      sym_limit,
    STATE(8087), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10852), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(9094), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(8883), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
    STATE(6616), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
  [411202] = 23,
    ACTIONS(9080), 1,
      sym_keyword_cross,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(9096), 1,
      sym_keyword_window,
    ACTIONS(9098), 1,
      anon_sym_COMMA,
    ACTIONS(10850), 1,
      sym_keyword_left,
    ACTIONS(10854), 1,
      sym_keyword_inner,
    ACTIONS(10856), 1,
      sym_keyword_join,
    ACTIONS(10858), 1,
      sym_keyword_natural,
    ACTIONS(10860), 1,
      sym_keyword_where,
    ACTIONS(10862), 1,
      sym_keyword_order,
    ACTIONS(10864), 1,
      sym_keyword_group,
    STATE(6342), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(6615), 1,
      sym_index_hint,
    STATE(7476), 1,
      sym_order_by,
    STATE(7482), 1,
      sym_where,
    STATE(7664), 1,
      sym_group_by,
    STATE(7707), 1,
      sym_limit,
    STATE(8087), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10852), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(9094), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(8883), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
    STATE(6616), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
  [411283] = 23,
    ACTIONS(9080), 1,
      sym_keyword_cross,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(9096), 1,
      sym_keyword_window,
    ACTIONS(9098), 1,
      anon_sym_COMMA,
    ACTIONS(10850), 1,
      sym_keyword_left,
    ACTIONS(10854), 1,
      sym_keyword_inner,
    ACTIONS(10856), 1,
      sym_keyword_join,
    ACTIONS(10858), 1,
      sym_keyword_natural,
    ACTIONS(10860), 1,
      sym_keyword_where,
    ACTIONS(10862), 1,
      sym_keyword_order,
    ACTIONS(10864), 1,
      sym_keyword_group,
    STATE(6345), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(6613), 1,
      sym_index_hint,
    STATE(7470), 1,
      sym_where,
    STATE(7483), 1,
      sym_order_by,
    STATE(7638), 1,
      sym_limit,
    STATE(7658), 1,
      sym_group_by,
    STATE(8096), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10852), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(9094), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(9005), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
    STATE(6614), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
  [411364] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2386), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2384), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [411405] = 24,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(10572), 1,
      anon_sym_RPAREN,
    ACTIONS(10576), 1,
      sym_keyword_create,
    ACTIONS(10672), 1,
      sym_keyword_partition,
    ACTIONS(10676), 1,
      sym_keyword_collate,
    ACTIONS(10678), 1,
      sym_keyword_engine,
    ACTIONS(10680), 1,
      sym_keyword_default,
    ACTIONS(10682), 1,
      sym_keyword_with,
    ACTIONS(10684), 1,
      sym_keyword_without,
    ACTIONS(10686), 1,
      sym_keyword_row,
    ACTIONS(10688), 1,
      sym_keyword_stored,
    ACTIONS(10690), 1,
      sym_keyword_tblproperties,
    ACTIONS(10692), 1,
      sym_keyword_location,
    ACTIONS(10694), 1,
      sym_keyword_partitioned,
    ACTIONS(10696), 1,
      sym_keyword_sort,
    ACTIONS(10866), 1,
      sym_keyword_as,
    STATE(129), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(13113), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6371), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [411488] = 19,
    ACTIONS(8849), 1,
      sym_keyword_left,
    ACTIONS(8853), 1,
      sym_keyword_inner,
    ACTIONS(8855), 1,
      sym_keyword_cross,
    ACTIONS(8857), 1,
      sym_keyword_join,
    ACTIONS(8859), 1,
      sym_keyword_natural,
    ACTIONS(8861), 1,
      sym_keyword_where,
    ACTIONS(8863), 1,
      sym_keyword_order,
    ACTIONS(8865), 1,
      sym_keyword_group,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(8871), 1,
      sym_keyword_window,
    STATE(6919), 1,
      sym_where,
    STATE(7000), 1,
      sym_group_by,
    STATE(7238), 1,
      sym_window_clause,
    STATE(7338), 1,
      sym_order_by,
    STATE(7585), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8851), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6404), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(8847), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [411561] = 19,
    ACTIONS(8849), 1,
      sym_keyword_left,
    ACTIONS(8853), 1,
      sym_keyword_inner,
    ACTIONS(8855), 1,
      sym_keyword_cross,
    ACTIONS(8857), 1,
      sym_keyword_join,
    ACTIONS(8859), 1,
      sym_keyword_natural,
    ACTIONS(8861), 1,
      sym_keyword_where,
    ACTIONS(8863), 1,
      sym_keyword_order,
    ACTIONS(8865), 1,
      sym_keyword_group,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(8871), 1,
      sym_keyword_window,
    STATE(6919), 1,
      sym_where,
    STATE(7000), 1,
      sym_group_by,
    STATE(7238), 1,
      sym_window_clause,
    STATE(7338), 1,
      sym_order_by,
    STATE(7585), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8851), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6586), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(8847), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [411634] = 23,
    ACTIONS(117), 1,
      sym__identifier,
    ACTIONS(125), 1,
      aux_sym_identifier_token1,
    ACTIONS(10816), 1,
      sym_keyword_if,
    ACTIONS(10822), 1,
      sym__double_quote_string,
    ACTIONS(10824), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10826), 1,
      sym__dollar_quoted_string,
    ACTIONS(10832), 1,
      sym_keyword_set,
    ACTIONS(10834), 1,
      sym_keyword_alter,
    ACTIONS(10836), 1,
      sym_keyword_change,
    ACTIONS(10838), 1,
      sym_keyword_modify,
    ACTIONS(10840), 1,
      sym_keyword_drop,
    ACTIONS(10842), 1,
      sym_keyword_add,
    ACTIONS(10844), 1,
      sym_keyword_column,
    ACTIONS(10846), 1,
      sym_keyword_rename,
    ACTIONS(10848), 1,
      sym_keyword_owner,
    STATE(62), 1,
      sym__column,
    STATE(87), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(7642), 1,
      sym__if_not_exists,
    STATE(8148), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9921), 11,
      sym__alter_specifications,
      sym_add_column,
      sym_add_constraint,
      sym_alter_column,
      sym_modify_column,
      sym_change_column,
      sym_drop_column,
      sym_rename_column,
      sym_rename_object,
      sym_set_schema,
      sym_change_ownership,
  [411715] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2382), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2380), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [411756] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2371), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2369), 30,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [411797] = 24,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(10672), 1,
      sym_keyword_partition,
    ACTIONS(10676), 1,
      sym_keyword_collate,
    ACTIONS(10678), 1,
      sym_keyword_engine,
    ACTIONS(10680), 1,
      sym_keyword_default,
    ACTIONS(10682), 1,
      sym_keyword_with,
    ACTIONS(10684), 1,
      sym_keyword_without,
    ACTIONS(10686), 1,
      sym_keyword_row,
    ACTIONS(10688), 1,
      sym_keyword_stored,
    ACTIONS(10690), 1,
      sym_keyword_tblproperties,
    ACTIONS(10692), 1,
      sym_keyword_location,
    ACTIONS(10694), 1,
      sym_keyword_partitioned,
    ACTIONS(10696), 1,
      sym_keyword_sort,
    ACTIONS(10830), 1,
      anon_sym_LPAREN,
    ACTIONS(10868), 1,
      sym_keyword_as,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(6329), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(13113), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6465), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [411880] = 24,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(10650), 1,
      anon_sym_RPAREN,
    ACTIONS(10652), 1,
      sym_keyword_create,
    ACTIONS(10672), 1,
      sym_keyword_partition,
    ACTIONS(10676), 1,
      sym_keyword_collate,
    ACTIONS(10678), 1,
      sym_keyword_engine,
    ACTIONS(10680), 1,
      sym_keyword_default,
    ACTIONS(10682), 1,
      sym_keyword_with,
    ACTIONS(10684), 1,
      sym_keyword_without,
    ACTIONS(10686), 1,
      sym_keyword_row,
    ACTIONS(10688), 1,
      sym_keyword_stored,
    ACTIONS(10690), 1,
      sym_keyword_tblproperties,
    ACTIONS(10692), 1,
      sym_keyword_location,
    ACTIONS(10694), 1,
      sym_keyword_partitioned,
    ACTIONS(10696), 1,
      sym_keyword_sort,
    ACTIONS(10870), 1,
      sym_keyword_as,
    STATE(129), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(13113), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6361), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [411963] = 8,
    ACTIONS(277), 1,
      sym__identifier,
    ACTIONS(10656), 1,
      sym_keyword_as,
    STATE(6531), 1,
      sym__alias,
    STATE(6560), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(335), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(9979), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(9981), 23,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [412014] = 8,
    ACTIONS(277), 1,
      sym__identifier,
    ACTIONS(10656), 1,
      sym_keyword_as,
    STATE(6558), 1,
      sym__alias,
    STATE(6560), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(335), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(9496), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(9498), 23,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [412065] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3570), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3568), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [412106] = 24,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(10644), 1,
      anon_sym_RPAREN,
    ACTIONS(10646), 1,
      sym_keyword_create,
    ACTIONS(10672), 1,
      sym_keyword_partition,
    ACTIONS(10676), 1,
      sym_keyword_collate,
    ACTIONS(10678), 1,
      sym_keyword_engine,
    ACTIONS(10680), 1,
      sym_keyword_default,
    ACTIONS(10682), 1,
      sym_keyword_with,
    ACTIONS(10684), 1,
      sym_keyword_without,
    ACTIONS(10686), 1,
      sym_keyword_row,
    ACTIONS(10688), 1,
      sym_keyword_stored,
    ACTIONS(10690), 1,
      sym_keyword_tblproperties,
    ACTIONS(10692), 1,
      sym_keyword_location,
    ACTIONS(10694), 1,
      sym_keyword_partitioned,
    ACTIONS(10696), 1,
      sym_keyword_sort,
    ACTIONS(10872), 1,
      sym_keyword_as,
    STATE(129), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(13113), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6367), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [412189] = 24,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(10644), 1,
      anon_sym_RPAREN,
    ACTIONS(10646), 1,
      sym_keyword_create,
    ACTIONS(10672), 1,
      sym_keyword_partition,
    ACTIONS(10676), 1,
      sym_keyword_collate,
    ACTIONS(10678), 1,
      sym_keyword_engine,
    ACTIONS(10680), 1,
      sym_keyword_default,
    ACTIONS(10682), 1,
      sym_keyword_with,
    ACTIONS(10684), 1,
      sym_keyword_without,
    ACTIONS(10686), 1,
      sym_keyword_row,
    ACTIONS(10688), 1,
      sym_keyword_stored,
    ACTIONS(10690), 1,
      sym_keyword_tblproperties,
    ACTIONS(10692), 1,
      sym_keyword_location,
    ACTIONS(10694), 1,
      sym_keyword_partitioned,
    ACTIONS(10696), 1,
      sym_keyword_sort,
    ACTIONS(10872), 1,
      sym_keyword_as,
    STATE(129), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(13113), 2,
      sym__literal_string,
      sym_identifier,
    STATE(5896), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [412272] = 24,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(10672), 1,
      sym_keyword_partition,
    ACTIONS(10676), 1,
      sym_keyword_collate,
    ACTIONS(10678), 1,
      sym_keyword_engine,
    ACTIONS(10680), 1,
      sym_keyword_default,
    ACTIONS(10682), 1,
      sym_keyword_with,
    ACTIONS(10684), 1,
      sym_keyword_without,
    ACTIONS(10686), 1,
      sym_keyword_row,
    ACTIONS(10688), 1,
      sym_keyword_stored,
    ACTIONS(10690), 1,
      sym_keyword_tblproperties,
    ACTIONS(10692), 1,
      sym_keyword_location,
    ACTIONS(10694), 1,
      sym_keyword_partitioned,
    ACTIONS(10696), 1,
      sym_keyword_sort,
    ACTIONS(10874), 1,
      sym_keyword_as,
    ACTIONS(10876), 1,
      anon_sym_LPAREN,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(6178), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(13113), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6447), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [412355] = 23,
    ACTIONS(117), 1,
      sym__identifier,
    ACTIONS(125), 1,
      aux_sym_identifier_token1,
    ACTIONS(10802), 1,
      sym_keyword_set,
    ACTIONS(10804), 1,
      sym_keyword_alter,
    ACTIONS(10806), 1,
      sym_keyword_change,
    ACTIONS(10808), 1,
      sym_keyword_modify,
    ACTIONS(10810), 1,
      sym_keyword_drop,
    ACTIONS(10812), 1,
      sym_keyword_add,
    ACTIONS(10814), 1,
      sym_keyword_column,
    ACTIONS(10816), 1,
      sym_keyword_if,
    ACTIONS(10818), 1,
      sym_keyword_rename,
    ACTIONS(10820), 1,
      sym_keyword_owner,
    ACTIONS(10822), 1,
      sym__double_quote_string,
    ACTIONS(10824), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10826), 1,
      sym__dollar_quoted_string,
    STATE(83), 1,
      sym__column,
    STATE(87), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(7672), 1,
      sym__if_not_exists,
    STATE(8326), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9894), 11,
      sym__alter_specifications,
      sym_add_column,
      sym_add_constraint,
      sym_alter_column,
      sym_modify_column,
      sym_change_column,
      sym_drop_column,
      sym_rename_column,
      sym_rename_object,
      sym_set_schema,
      sym_change_ownership,
  [412436] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3526), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3524), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [412477] = 24,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(10672), 1,
      sym_keyword_partition,
    ACTIONS(10676), 1,
      sym_keyword_collate,
    ACTIONS(10678), 1,
      sym_keyword_engine,
    ACTIONS(10680), 1,
      sym_keyword_default,
    ACTIONS(10682), 1,
      sym_keyword_with,
    ACTIONS(10684), 1,
      sym_keyword_without,
    ACTIONS(10686), 1,
      sym_keyword_row,
    ACTIONS(10688), 1,
      sym_keyword_stored,
    ACTIONS(10690), 1,
      sym_keyword_tblproperties,
    ACTIONS(10692), 1,
      sym_keyword_location,
    ACTIONS(10694), 1,
      sym_keyword_partitioned,
    ACTIONS(10696), 1,
      sym_keyword_sort,
    ACTIONS(10876), 1,
      anon_sym_LPAREN,
    ACTIONS(10878), 1,
      sym_keyword_as,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(6202), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(13113), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6430), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [412560] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10880), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_set,
      sym_keyword_from,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_separator,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [412599] = 24,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(10572), 1,
      anon_sym_RPAREN,
    ACTIONS(10576), 1,
      sym_keyword_create,
    ACTIONS(10672), 1,
      sym_keyword_partition,
    ACTIONS(10676), 1,
      sym_keyword_collate,
    ACTIONS(10678), 1,
      sym_keyword_engine,
    ACTIONS(10680), 1,
      sym_keyword_default,
    ACTIONS(10682), 1,
      sym_keyword_with,
    ACTIONS(10684), 1,
      sym_keyword_without,
    ACTIONS(10686), 1,
      sym_keyword_row,
    ACTIONS(10688), 1,
      sym_keyword_stored,
    ACTIONS(10690), 1,
      sym_keyword_tblproperties,
    ACTIONS(10692), 1,
      sym_keyword_location,
    ACTIONS(10694), 1,
      sym_keyword_partitioned,
    ACTIONS(10696), 1,
      sym_keyword_sort,
    ACTIONS(10866), 1,
      sym_keyword_as,
    STATE(129), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(13113), 2,
      sym__literal_string,
      sym_identifier,
    STATE(5896), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [412682] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2371), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2369), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [412723] = 23,
    ACTIONS(117), 1,
      sym__identifier,
    ACTIONS(125), 1,
      aux_sym_identifier_token1,
    ACTIONS(10802), 1,
      sym_keyword_set,
    ACTIONS(10804), 1,
      sym_keyword_alter,
    ACTIONS(10806), 1,
      sym_keyword_change,
    ACTIONS(10808), 1,
      sym_keyword_modify,
    ACTIONS(10810), 1,
      sym_keyword_drop,
    ACTIONS(10812), 1,
      sym_keyword_add,
    ACTIONS(10814), 1,
      sym_keyword_column,
    ACTIONS(10816), 1,
      sym_keyword_if,
    ACTIONS(10818), 1,
      sym_keyword_rename,
    ACTIONS(10820), 1,
      sym_keyword_owner,
    ACTIONS(10822), 1,
      sym__double_quote_string,
    ACTIONS(10824), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10826), 1,
      sym__dollar_quoted_string,
    STATE(83), 1,
      sym__column,
    STATE(87), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(7672), 1,
      sym__if_not_exists,
    STATE(8326), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10071), 11,
      sym__alter_specifications,
      sym_add_column,
      sym_add_constraint,
      sym_alter_column,
      sym_modify_column,
      sym_change_column,
      sym_drop_column,
      sym_rename_column,
      sym_rename_object,
      sym_set_schema,
      sym_change_ownership,
  [412804] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3518), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3516), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [412845] = 24,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(10602), 1,
      anon_sym_RPAREN,
    ACTIONS(10604), 1,
      sym_keyword_create,
    ACTIONS(10672), 1,
      sym_keyword_partition,
    ACTIONS(10676), 1,
      sym_keyword_collate,
    ACTIONS(10678), 1,
      sym_keyword_engine,
    ACTIONS(10680), 1,
      sym_keyword_default,
    ACTIONS(10682), 1,
      sym_keyword_with,
    ACTIONS(10684), 1,
      sym_keyword_without,
    ACTIONS(10686), 1,
      sym_keyword_row,
    ACTIONS(10688), 1,
      sym_keyword_stored,
    ACTIONS(10690), 1,
      sym_keyword_tblproperties,
    ACTIONS(10692), 1,
      sym_keyword_location,
    ACTIONS(10694), 1,
      sym_keyword_partitioned,
    ACTIONS(10696), 1,
      sym_keyword_sort,
    ACTIONS(10882), 1,
      sym_keyword_as,
    STATE(129), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(13113), 2,
      sym__literal_string,
      sym_identifier,
    STATE(5896), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [412928] = 24,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(10672), 1,
      sym_keyword_partition,
    ACTIONS(10676), 1,
      sym_keyword_collate,
    ACTIONS(10678), 1,
      sym_keyword_engine,
    ACTIONS(10680), 1,
      sym_keyword_default,
    ACTIONS(10682), 1,
      sym_keyword_with,
    ACTIONS(10684), 1,
      sym_keyword_without,
    ACTIONS(10686), 1,
      sym_keyword_row,
    ACTIONS(10688), 1,
      sym_keyword_stored,
    ACTIONS(10690), 1,
      sym_keyword_tblproperties,
    ACTIONS(10692), 1,
      sym_keyword_location,
    ACTIONS(10694), 1,
      sym_keyword_partitioned,
    ACTIONS(10696), 1,
      sym_keyword_sort,
    ACTIONS(10876), 1,
      anon_sym_LPAREN,
    ACTIONS(10884), 1,
      sym_keyword_as,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(6158), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(13113), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6463), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [413011] = 23,
    ACTIONS(117), 1,
      sym__identifier,
    ACTIONS(125), 1,
      aux_sym_identifier_token1,
    ACTIONS(10816), 1,
      sym_keyword_if,
    ACTIONS(10822), 1,
      sym__double_quote_string,
    ACTIONS(10824), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10826), 1,
      sym__dollar_quoted_string,
    ACTIONS(10832), 1,
      sym_keyword_set,
    ACTIONS(10834), 1,
      sym_keyword_alter,
    ACTIONS(10836), 1,
      sym_keyword_change,
    ACTIONS(10838), 1,
      sym_keyword_modify,
    ACTIONS(10840), 1,
      sym_keyword_drop,
    ACTIONS(10842), 1,
      sym_keyword_add,
    ACTIONS(10844), 1,
      sym_keyword_column,
    ACTIONS(10846), 1,
      sym_keyword_rename,
    ACTIONS(10848), 1,
      sym_keyword_owner,
    STATE(62), 1,
      sym__column,
    STATE(87), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(7642), 1,
      sym__if_not_exists,
    STATE(8148), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9984), 11,
      sym__alter_specifications,
      sym_add_column,
      sym_add_constraint,
      sym_alter_column,
      sym_modify_column,
      sym_change_column,
      sym_drop_column,
      sym_rename_column,
      sym_rename_object,
      sym_set_schema,
      sym_change_ownership,
  [413092] = 24,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(10672), 1,
      sym_keyword_partition,
    ACTIONS(10676), 1,
      sym_keyword_collate,
    ACTIONS(10678), 1,
      sym_keyword_engine,
    ACTIONS(10680), 1,
      sym_keyword_default,
    ACTIONS(10682), 1,
      sym_keyword_with,
    ACTIONS(10684), 1,
      sym_keyword_without,
    ACTIONS(10686), 1,
      sym_keyword_row,
    ACTIONS(10688), 1,
      sym_keyword_stored,
    ACTIONS(10690), 1,
      sym_keyword_tblproperties,
    ACTIONS(10692), 1,
      sym_keyword_location,
    ACTIONS(10694), 1,
      sym_keyword_partitioned,
    ACTIONS(10696), 1,
      sym_keyword_sort,
    ACTIONS(10830), 1,
      anon_sym_LPAREN,
    ACTIONS(10886), 1,
      sym_keyword_as,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(6292), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(13113), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6456), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [413175] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3466), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3464), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [413216] = 19,
    ACTIONS(8849), 1,
      sym_keyword_left,
    ACTIONS(8853), 1,
      sym_keyword_inner,
    ACTIONS(8855), 1,
      sym_keyword_cross,
    ACTIONS(8857), 1,
      sym_keyword_join,
    ACTIONS(8859), 1,
      sym_keyword_natural,
    ACTIONS(8861), 1,
      sym_keyword_where,
    ACTIONS(8863), 1,
      sym_keyword_order,
    ACTIONS(8865), 1,
      sym_keyword_group,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(8871), 1,
      sym_keyword_window,
    STATE(6945), 1,
      sym_where,
    STATE(6998), 1,
      sym_group_by,
    STATE(7168), 1,
      sym_window_clause,
    STATE(7265), 1,
      sym_order_by,
    STATE(7591), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8851), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6586), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(10888), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [413289] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10890), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_set,
      sym_keyword_from,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_separator,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [413328] = 24,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(10672), 1,
      sym_keyword_partition,
    ACTIONS(10676), 1,
      sym_keyword_collate,
    ACTIONS(10678), 1,
      sym_keyword_engine,
    ACTIONS(10680), 1,
      sym_keyword_default,
    ACTIONS(10682), 1,
      sym_keyword_with,
    ACTIONS(10684), 1,
      sym_keyword_without,
    ACTIONS(10686), 1,
      sym_keyword_row,
    ACTIONS(10688), 1,
      sym_keyword_stored,
    ACTIONS(10690), 1,
      sym_keyword_tblproperties,
    ACTIONS(10692), 1,
      sym_keyword_location,
    ACTIONS(10694), 1,
      sym_keyword_partitioned,
    ACTIONS(10696), 1,
      sym_keyword_sort,
    ACTIONS(10830), 1,
      anon_sym_LPAREN,
    ACTIONS(10886), 1,
      sym_keyword_as,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(6356), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(13113), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6456), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [413411] = 24,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(10672), 1,
      sym_keyword_partition,
    ACTIONS(10676), 1,
      sym_keyword_collate,
    ACTIONS(10678), 1,
      sym_keyword_engine,
    ACTIONS(10680), 1,
      sym_keyword_default,
    ACTIONS(10682), 1,
      sym_keyword_with,
    ACTIONS(10684), 1,
      sym_keyword_without,
    ACTIONS(10686), 1,
      sym_keyword_row,
    ACTIONS(10688), 1,
      sym_keyword_stored,
    ACTIONS(10690), 1,
      sym_keyword_tblproperties,
    ACTIONS(10692), 1,
      sym_keyword_location,
    ACTIONS(10694), 1,
      sym_keyword_partitioned,
    ACTIONS(10696), 1,
      sym_keyword_sort,
    ACTIONS(10830), 1,
      anon_sym_LPAREN,
    ACTIONS(10868), 1,
      sym_keyword_as,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(6360), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(13113), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6465), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [413494] = 24,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(10672), 1,
      sym_keyword_partition,
    ACTIONS(10676), 1,
      sym_keyword_collate,
    ACTIONS(10678), 1,
      sym_keyword_engine,
    ACTIONS(10680), 1,
      sym_keyword_default,
    ACTIONS(10682), 1,
      sym_keyword_with,
    ACTIONS(10684), 1,
      sym_keyword_without,
    ACTIONS(10686), 1,
      sym_keyword_row,
    ACTIONS(10688), 1,
      sym_keyword_stored,
    ACTIONS(10690), 1,
      sym_keyword_tblproperties,
    ACTIONS(10692), 1,
      sym_keyword_location,
    ACTIONS(10694), 1,
      sym_keyword_partitioned,
    ACTIONS(10696), 1,
      sym_keyword_sort,
    ACTIONS(10828), 1,
      sym_keyword_as,
    ACTIONS(10830), 1,
      anon_sym_LPAREN,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(6349), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(13113), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6433), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [413577] = 23,
    ACTIONS(117), 1,
      sym__identifier,
    ACTIONS(125), 1,
      aux_sym_identifier_token1,
    ACTIONS(10816), 1,
      sym_keyword_if,
    ACTIONS(10822), 1,
      sym__double_quote_string,
    ACTIONS(10824), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10826), 1,
      sym__dollar_quoted_string,
    ACTIONS(10832), 1,
      sym_keyword_set,
    ACTIONS(10836), 1,
      sym_keyword_change,
    ACTIONS(10838), 1,
      sym_keyword_modify,
    ACTIONS(10840), 1,
      sym_keyword_drop,
    ACTIONS(10842), 1,
      sym_keyword_add,
    ACTIONS(10844), 1,
      sym_keyword_column,
    ACTIONS(10846), 1,
      sym_keyword_rename,
    ACTIONS(10848), 1,
      sym_keyword_owner,
    ACTIONS(10892), 1,
      sym_keyword_alter,
    STATE(62), 1,
      sym__column,
    STATE(87), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(7642), 1,
      sym__if_not_exists,
    STATE(8148), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10615), 11,
      sym__alter_specifications,
      sym_add_column,
      sym_add_constraint,
      sym_alter_column,
      sym_modify_column,
      sym_change_column,
      sym_drop_column,
      sym_rename_column,
      sym_rename_object,
      sym_set_schema,
      sym_change_ownership,
  [413658] = 23,
    ACTIONS(117), 1,
      sym__identifier,
    ACTIONS(125), 1,
      aux_sym_identifier_token1,
    ACTIONS(10816), 1,
      sym_keyword_if,
    ACTIONS(10822), 1,
      sym__double_quote_string,
    ACTIONS(10824), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10826), 1,
      sym__dollar_quoted_string,
    ACTIONS(10832), 1,
      sym_keyword_set,
    ACTIONS(10836), 1,
      sym_keyword_change,
    ACTIONS(10838), 1,
      sym_keyword_modify,
    ACTIONS(10840), 1,
      sym_keyword_drop,
    ACTIONS(10842), 1,
      sym_keyword_add,
    ACTIONS(10844), 1,
      sym_keyword_column,
    ACTIONS(10846), 1,
      sym_keyword_rename,
    ACTIONS(10848), 1,
      sym_keyword_owner,
    ACTIONS(10892), 1,
      sym_keyword_alter,
    STATE(62), 1,
      sym__column,
    STATE(87), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(7642), 1,
      sym__if_not_exists,
    STATE(8148), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9980), 11,
      sym__alter_specifications,
      sym_add_column,
      sym_add_constraint,
      sym_alter_column,
      sym_modify_column,
      sym_change_column,
      sym_drop_column,
      sym_rename_column,
      sym_rename_object,
      sym_set_schema,
      sym_change_ownership,
  [413739] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2797), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2795), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [413780] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3550), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3548), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [413821] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3474), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3472), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [413862] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3462), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3460), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [413903] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3454), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3452), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [413944] = 23,
    ACTIONS(117), 1,
      sym__identifier,
    ACTIONS(125), 1,
      aux_sym_identifier_token1,
    ACTIONS(10816), 1,
      sym_keyword_if,
    ACTIONS(10822), 1,
      sym__double_quote_string,
    ACTIONS(10824), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10826), 1,
      sym__dollar_quoted_string,
    ACTIONS(10832), 1,
      sym_keyword_set,
    ACTIONS(10836), 1,
      sym_keyword_change,
    ACTIONS(10838), 1,
      sym_keyword_modify,
    ACTIONS(10840), 1,
      sym_keyword_drop,
    ACTIONS(10842), 1,
      sym_keyword_add,
    ACTIONS(10844), 1,
      sym_keyword_column,
    ACTIONS(10846), 1,
      sym_keyword_rename,
    ACTIONS(10848), 1,
      sym_keyword_owner,
    ACTIONS(10892), 1,
      sym_keyword_alter,
    STATE(62), 1,
      sym__column,
    STATE(87), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(7642), 1,
      sym__if_not_exists,
    STATE(8148), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(11057), 11,
      sym__alter_specifications,
      sym_add_column,
      sym_add_constraint,
      sym_alter_column,
      sym_modify_column,
      sym_change_column,
      sym_drop_column,
      sym_rename_column,
      sym_rename_object,
      sym_set_schema,
      sym_change_ownership,
  [414025] = 23,
    ACTIONS(117), 1,
      sym__identifier,
    ACTIONS(125), 1,
      aux_sym_identifier_token1,
    ACTIONS(10816), 1,
      sym_keyword_if,
    ACTIONS(10822), 1,
      sym__double_quote_string,
    ACTIONS(10824), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10826), 1,
      sym__dollar_quoted_string,
    ACTIONS(10832), 1,
      sym_keyword_set,
    ACTIONS(10836), 1,
      sym_keyword_change,
    ACTIONS(10838), 1,
      sym_keyword_modify,
    ACTIONS(10840), 1,
      sym_keyword_drop,
    ACTIONS(10842), 1,
      sym_keyword_add,
    ACTIONS(10844), 1,
      sym_keyword_column,
    ACTIONS(10846), 1,
      sym_keyword_rename,
    ACTIONS(10848), 1,
      sym_keyword_owner,
    ACTIONS(10892), 1,
      sym_keyword_alter,
    STATE(62), 1,
      sym__column,
    STATE(87), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(7642), 1,
      sym__if_not_exists,
    STATE(8148), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(11035), 11,
      sym__alter_specifications,
      sym_add_column,
      sym_add_constraint,
      sym_alter_column,
      sym_modify_column,
      sym_change_column,
      sym_drop_column,
      sym_rename_column,
      sym_rename_object,
      sym_set_schema,
      sym_change_ownership,
  [414106] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3522), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3520), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [414147] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3558), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3556), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [414188] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3478), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3476), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [414229] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3538), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3536), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [414270] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3482), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3480), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [414311] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3458), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3456), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [414352] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3486), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3484), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [414393] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3498), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3496), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [414434] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3530), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3528), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [414475] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3542), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3540), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [414516] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2394), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [414557] = 19,
    ACTIONS(8849), 1,
      sym_keyword_left,
    ACTIONS(8853), 1,
      sym_keyword_inner,
    ACTIONS(8855), 1,
      sym_keyword_cross,
    ACTIONS(8857), 1,
      sym_keyword_join,
    ACTIONS(8859), 1,
      sym_keyword_natural,
    ACTIONS(8861), 1,
      sym_keyword_where,
    ACTIONS(8863), 1,
      sym_keyword_order,
    ACTIONS(8865), 1,
      sym_keyword_group,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(8871), 1,
      sym_keyword_window,
    STATE(6921), 1,
      sym_where,
    STATE(7027), 1,
      sym_group_by,
    STATE(7177), 1,
      sym_window_clause,
    STATE(7391), 1,
      sym_order_by,
    STATE(7555), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8851), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6351), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(8883), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [414630] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3514), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3512), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [414671] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3506), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3504), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [414712] = 19,
    ACTIONS(8849), 1,
      sym_keyword_left,
    ACTIONS(8853), 1,
      sym_keyword_inner,
    ACTIONS(8855), 1,
      sym_keyword_cross,
    ACTIONS(8857), 1,
      sym_keyword_join,
    ACTIONS(8859), 1,
      sym_keyword_natural,
    ACTIONS(8861), 1,
      sym_keyword_where,
    ACTIONS(8863), 1,
      sym_keyword_order,
    ACTIONS(8865), 1,
      sym_keyword_group,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(8871), 1,
      sym_keyword_window,
    STATE(6933), 1,
      sym_where,
    STATE(7054), 1,
      sym_group_by,
    STATE(7213), 1,
      sym_window_clause,
    STATE(7400), 1,
      sym_order_by,
    STATE(7593), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8851), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6586), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(10894), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [414785] = 19,
    ACTIONS(8849), 1,
      sym_keyword_left,
    ACTIONS(8853), 1,
      sym_keyword_inner,
    ACTIONS(8855), 1,
      sym_keyword_cross,
    ACTIONS(8857), 1,
      sym_keyword_join,
    ACTIONS(8859), 1,
      sym_keyword_natural,
    ACTIONS(8861), 1,
      sym_keyword_where,
    ACTIONS(8863), 1,
      sym_keyword_order,
    ACTIONS(8865), 1,
      sym_keyword_group,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(8871), 1,
      sym_keyword_window,
    STATE(6933), 1,
      sym_where,
    STATE(7054), 1,
      sym_group_by,
    STATE(7213), 1,
      sym_window_clause,
    STATE(7400), 1,
      sym_order_by,
    STATE(7593), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8851), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6376), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(10894), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [414858] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3562), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3560), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [414899] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3546), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3544), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [414940] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3574), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3572), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [414981] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3502), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3500), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [415022] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3510), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3508), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [415063] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3490), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3488), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [415104] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3494), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3492), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [415145] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3554), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3552), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [415186] = 4,
    ACTIONS(55), 1,
      sym_keyword_partition,
    ACTIONS(113), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(109), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_select,
      sym_keyword_values,
      sym_keyword_set,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_is,
      sym_keyword_using,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_rename,
      sym_keyword_to,
      sym_keyword_owner,
      sym_keyword_wait,
      sym_keyword_nowait,
      sym_keyword_compute,
      sym_keyword_rewrite,
      sym_keyword_partitioned,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [415228] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2363), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2361), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [415268] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2375), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2373), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [415308] = 19,
    ACTIONS(9074), 1,
      sym_keyword_left,
    ACTIONS(9078), 1,
      sym_keyword_inner,
    ACTIONS(9080), 1,
      sym_keyword_cross,
    ACTIONS(9082), 1,
      sym_keyword_join,
    ACTIONS(9084), 1,
      sym_keyword_natural,
    ACTIONS(9086), 1,
      sym_keyword_where,
    ACTIONS(9088), 1,
      sym_keyword_order,
    ACTIONS(9090), 1,
      sym_keyword_group,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(9096), 1,
      sym_keyword_window,
    STATE(6975), 1,
      sym_where,
    STATE(7153), 1,
      sym_group_by,
    STATE(7273), 1,
      sym_window_clause,
    STATE(7420), 1,
      sym_order_by,
    STATE(7643), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9076), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6610), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(10894), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [415380] = 19,
    ACTIONS(9074), 1,
      sym_keyword_left,
    ACTIONS(9078), 1,
      sym_keyword_inner,
    ACTIONS(9080), 1,
      sym_keyword_cross,
    ACTIONS(9082), 1,
      sym_keyword_join,
    ACTIONS(9084), 1,
      sym_keyword_natural,
    ACTIONS(9086), 1,
      sym_keyword_where,
    ACTIONS(9088), 1,
      sym_keyword_order,
    ACTIONS(9090), 1,
      sym_keyword_group,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(9096), 1,
      sym_keyword_window,
    STATE(6975), 1,
      sym_where,
    STATE(7153), 1,
      sym_group_by,
    STATE(7273), 1,
      sym_window_clause,
    STATE(7420), 1,
      sym_order_by,
    STATE(7643), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9076), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6425), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(10894), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [415452] = 19,
    ACTIONS(9074), 1,
      sym_keyword_left,
    ACTIONS(9078), 1,
      sym_keyword_inner,
    ACTIONS(9080), 1,
      sym_keyword_cross,
    ACTIONS(9082), 1,
      sym_keyword_join,
    ACTIONS(9084), 1,
      sym_keyword_natural,
    ACTIONS(9086), 1,
      sym_keyword_where,
    ACTIONS(9088), 1,
      sym_keyword_order,
    ACTIONS(9090), 1,
      sym_keyword_group,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(9096), 1,
      sym_keyword_window,
    STATE(6952), 1,
      sym_where,
    STATE(7146), 1,
      sym_group_by,
    STATE(7288), 1,
      sym_window_clause,
    STATE(7442), 1,
      sym_order_by,
    STATE(7611), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9076), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6610), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(8847), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [415524] = 19,
    ACTIONS(9074), 1,
      sym_keyword_left,
    ACTIONS(9078), 1,
      sym_keyword_inner,
    ACTIONS(9080), 1,
      sym_keyword_cross,
    ACTIONS(9082), 1,
      sym_keyword_join,
    ACTIONS(9084), 1,
      sym_keyword_natural,
    ACTIONS(9086), 1,
      sym_keyword_where,
    ACTIONS(9088), 1,
      sym_keyword_order,
    ACTIONS(9090), 1,
      sym_keyword_group,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(9096), 1,
      sym_keyword_window,
    STATE(6952), 1,
      sym_where,
    STATE(7146), 1,
      sym_group_by,
    STATE(7288), 1,
      sym_window_clause,
    STATE(7442), 1,
      sym_order_by,
    STATE(7611), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9076), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6417), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(8847), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [415596] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2382), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2380), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [415636] = 4,
    ACTIONS(10898), 1,
      anon_sym_LPAREN,
    STATE(6513), 1,
      sym__column_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10896), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [415678] = 19,
    ACTIONS(9074), 1,
      sym_keyword_left,
    ACTIONS(9078), 1,
      sym_keyword_inner,
    ACTIONS(9080), 1,
      sym_keyword_cross,
    ACTIONS(9082), 1,
      sym_keyword_join,
    ACTIONS(9084), 1,
      sym_keyword_natural,
    ACTIONS(9086), 1,
      sym_keyword_where,
    ACTIONS(9088), 1,
      sym_keyword_order,
    ACTIONS(9090), 1,
      sym_keyword_group,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(9096), 1,
      sym_keyword_window,
    STATE(6955), 1,
      sym_where,
    STATE(7085), 1,
      sym_group_by,
    STATE(7308), 1,
      sym_window_clause,
    STATE(7476), 1,
      sym_order_by,
    STATE(7707), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9076), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6610), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(8883), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [415750] = 19,
    ACTIONS(9074), 1,
      sym_keyword_left,
    ACTIONS(9078), 1,
      sym_keyword_inner,
    ACTIONS(9080), 1,
      sym_keyword_cross,
    ACTIONS(9082), 1,
      sym_keyword_join,
    ACTIONS(9084), 1,
      sym_keyword_natural,
    ACTIONS(9086), 1,
      sym_keyword_where,
    ACTIONS(9088), 1,
      sym_keyword_order,
    ACTIONS(9090), 1,
      sym_keyword_group,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(9096), 1,
      sym_keyword_window,
    STATE(6955), 1,
      sym_where,
    STATE(7085), 1,
      sym_group_by,
    STATE(7308), 1,
      sym_window_clause,
    STATE(7476), 1,
      sym_order_by,
    STATE(7707), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9076), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6419), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(8883), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [415822] = 19,
    ACTIONS(9074), 1,
      sym_keyword_left,
    ACTIONS(9078), 1,
      sym_keyword_inner,
    ACTIONS(9080), 1,
      sym_keyword_cross,
    ACTIONS(9082), 1,
      sym_keyword_join,
    ACTIONS(9084), 1,
      sym_keyword_natural,
    ACTIONS(9086), 1,
      sym_keyword_where,
    ACTIONS(9088), 1,
      sym_keyword_order,
    ACTIONS(9090), 1,
      sym_keyword_group,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(9096), 1,
      sym_keyword_window,
    STATE(6950), 1,
      sym_where,
    STATE(7143), 1,
      sym_group_by,
    STATE(7335), 1,
      sym_window_clause,
    STATE(7511), 1,
      sym_order_by,
    STATE(7686), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9076), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6610), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(10888), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [415894] = 4,
    ACTIONS(10898), 1,
      anon_sym_LPAREN,
    STATE(6503), 1,
      sym__column_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10900), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [415936] = 4,
    ACTIONS(10898), 1,
      anon_sym_LPAREN,
    STATE(6504), 1,
      sym__column_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10900), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [415978] = 9,
    ACTIONS(109), 1,
      anon_sym_LPAREN,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2784), 1,
      anon_sym_DOT,
    ACTIONS(10902), 1,
      sym_keyword_preceding,
    ACTIONS(10904), 1,
      sym_keyword_following,
    STATE(2674), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2782), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2780), 20,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [416030] = 20,
    ACTIONS(10906), 1,
      sym_keyword_as,
    ACTIONS(10908), 1,
      sym_keyword_not,
    ACTIONS(10910), 1,
      sym_keyword_begin,
    ACTIONS(10912), 1,
      sym_keyword_rows,
    ACTIONS(10914), 1,
      sym_keyword_returns,
    ACTIONS(10916), 1,
      sym_keyword_return,
    ACTIONS(10918), 1,
      sym_keyword_language,
    ACTIONS(10922), 1,
      sym_keyword_leakproof,
    ACTIONS(10924), 1,
      sym_keyword_parallel,
    ACTIONS(10926), 1,
      sym_keyword_called,
    ACTIONS(10928), 1,
      sym_keyword_strict,
    ACTIONS(10930), 1,
      sym_keyword_cost,
    ACTIONS(10932), 1,
      sym_keyword_support,
    ACTIONS(10934), 1,
      sym_keyword_security,
    ACTIONS(10936), 1,
      sym_keyword_external,
    STATE(6485), 1,
      sym_function_body,
    STATE(13043), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10920), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6451), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [416103] = 22,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(10672), 1,
      sym_keyword_partition,
    ACTIONS(10676), 1,
      sym_keyword_collate,
    ACTIONS(10678), 1,
      sym_keyword_engine,
    ACTIONS(10680), 1,
      sym_keyword_default,
    ACTIONS(10682), 1,
      sym_keyword_with,
    ACTIONS(10684), 1,
      sym_keyword_without,
    ACTIONS(10686), 1,
      sym_keyword_row,
    ACTIONS(10688), 1,
      sym_keyword_stored,
    ACTIONS(10690), 1,
      sym_keyword_tblproperties,
    ACTIONS(10692), 1,
      sym_keyword_location,
    ACTIONS(10694), 1,
      sym_keyword_partitioned,
    ACTIONS(10696), 1,
      sym_keyword_sort,
    ACTIONS(10884), 1,
      sym_keyword_as,
    STATE(129), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(13113), 2,
      sym__literal_string,
      sym_identifier,
    STATE(5896), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [416180] = 14,
    ACTIONS(10943), 1,
      sym_keyword_primary,
    ACTIONS(10946), 1,
      sym_keyword_as,
    ACTIONS(10949), 1,
      sym_keyword_constraint,
    ACTIONS(10952), 1,
      sym_keyword_not,
    ACTIONS(10958), 1,
      sym_keyword_generated,
    ACTIONS(10961), 1,
      sym_keyword_default,
    ACTIONS(10964), 1,
      sym_keyword_references,
    ACTIONS(10967), 1,
      sym_keyword_check,
    ACTIONS(10970), 1,
      sym_keyword_comment,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10940), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(10955), 5,
      sym_keyword_auto_increment,
      sym_keyword_unique,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_null,
    ACTIONS(10938), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_first,
      sym_keyword_after,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(6431), 8,
      sym__not_null,
      sym__primary_key,
      sym_direction,
      sym__column_comment,
      sym__column_constraint,
      sym__check_constraint,
      sym__default_expression,
      aux_sym_column_definition_repeat1,
  [416241] = 20,
    ACTIONS(10906), 1,
      sym_keyword_as,
    ACTIONS(10908), 1,
      sym_keyword_not,
    ACTIONS(10910), 1,
      sym_keyword_begin,
    ACTIONS(10912), 1,
      sym_keyword_rows,
    ACTIONS(10914), 1,
      sym_keyword_returns,
    ACTIONS(10916), 1,
      sym_keyword_return,
    ACTIONS(10918), 1,
      sym_keyword_language,
    ACTIONS(10922), 1,
      sym_keyword_leakproof,
    ACTIONS(10924), 1,
      sym_keyword_parallel,
    ACTIONS(10926), 1,
      sym_keyword_called,
    ACTIONS(10928), 1,
      sym_keyword_strict,
    ACTIONS(10930), 1,
      sym_keyword_cost,
    ACTIONS(10932), 1,
      sym_keyword_support,
    ACTIONS(10934), 1,
      sym_keyword_security,
    ACTIONS(10936), 1,
      sym_keyword_external,
    STATE(6512), 1,
      sym_function_body,
    STATE(13043), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10920), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6469), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [416314] = 22,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(10672), 1,
      sym_keyword_partition,
    ACTIONS(10676), 1,
      sym_keyword_collate,
    ACTIONS(10678), 1,
      sym_keyword_engine,
    ACTIONS(10680), 1,
      sym_keyword_default,
    ACTIONS(10682), 1,
      sym_keyword_with,
    ACTIONS(10684), 1,
      sym_keyword_without,
    ACTIONS(10686), 1,
      sym_keyword_row,
    ACTIONS(10688), 1,
      sym_keyword_stored,
    ACTIONS(10690), 1,
      sym_keyword_tblproperties,
    ACTIONS(10692), 1,
      sym_keyword_location,
    ACTIONS(10694), 1,
      sym_keyword_partitioned,
    ACTIONS(10696), 1,
      sym_keyword_sort,
    ACTIONS(10973), 1,
      sym_keyword_as,
    STATE(129), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(13113), 2,
      sym__literal_string,
      sym_identifier,
    STATE(5896), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [416391] = 20,
    ACTIONS(10908), 1,
      sym_keyword_not,
    ACTIONS(10912), 1,
      sym_keyword_rows,
    ACTIONS(10914), 1,
      sym_keyword_returns,
    ACTIONS(10916), 1,
      sym_keyword_return,
    ACTIONS(10918), 1,
      sym_keyword_language,
    ACTIONS(10922), 1,
      sym_keyword_leakproof,
    ACTIONS(10924), 1,
      sym_keyword_parallel,
    ACTIONS(10926), 1,
      sym_keyword_called,
    ACTIONS(10928), 1,
      sym_keyword_strict,
    ACTIONS(10930), 1,
      sym_keyword_cost,
    ACTIONS(10932), 1,
      sym_keyword_support,
    ACTIONS(10934), 1,
      sym_keyword_security,
    ACTIONS(10936), 1,
      sym_keyword_external,
    ACTIONS(10975), 1,
      sym_keyword_as,
    ACTIONS(10977), 1,
      sym_keyword_begin,
    STATE(6524), 1,
      sym_function_body,
    STATE(13630), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10920), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6436), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [416464] = 20,
    ACTIONS(10908), 1,
      sym_keyword_not,
    ACTIONS(10912), 1,
      sym_keyword_rows,
    ACTIONS(10914), 1,
      sym_keyword_returns,
    ACTIONS(10916), 1,
      sym_keyword_return,
    ACTIONS(10918), 1,
      sym_keyword_language,
    ACTIONS(10922), 1,
      sym_keyword_leakproof,
    ACTIONS(10924), 1,
      sym_keyword_parallel,
    ACTIONS(10926), 1,
      sym_keyword_called,
    ACTIONS(10928), 1,
      sym_keyword_strict,
    ACTIONS(10930), 1,
      sym_keyword_cost,
    ACTIONS(10932), 1,
      sym_keyword_support,
    ACTIONS(10934), 1,
      sym_keyword_security,
    ACTIONS(10936), 1,
      sym_keyword_external,
    ACTIONS(10975), 1,
      sym_keyword_as,
    ACTIONS(10977), 1,
      sym_keyword_begin,
    STATE(6536), 1,
      sym_function_body,
    STATE(13630), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10920), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6461), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [416537] = 20,
    ACTIONS(10908), 1,
      sym_keyword_not,
    ACTIONS(10912), 1,
      sym_keyword_rows,
    ACTIONS(10914), 1,
      sym_keyword_returns,
    ACTIONS(10916), 1,
      sym_keyword_return,
    ACTIONS(10918), 1,
      sym_keyword_language,
    ACTIONS(10922), 1,
      sym_keyword_leakproof,
    ACTIONS(10924), 1,
      sym_keyword_parallel,
    ACTIONS(10926), 1,
      sym_keyword_called,
    ACTIONS(10928), 1,
      sym_keyword_strict,
    ACTIONS(10930), 1,
      sym_keyword_cost,
    ACTIONS(10932), 1,
      sym_keyword_support,
    ACTIONS(10934), 1,
      sym_keyword_security,
    ACTIONS(10936), 1,
      sym_keyword_external,
    ACTIONS(10975), 1,
      sym_keyword_as,
    ACTIONS(10977), 1,
      sym_keyword_begin,
    STATE(6521), 1,
      sym_function_body,
    STATE(13630), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10920), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6565), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [416610] = 19,
    ACTIONS(8855), 1,
      sym_keyword_cross,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(8871), 1,
      sym_keyword_window,
    ACTIONS(9680), 1,
      sym_keyword_left,
    ACTIONS(9684), 1,
      sym_keyword_inner,
    ACTIONS(9686), 1,
      sym_keyword_join,
    ACTIONS(9688), 1,
      sym_keyword_natural,
    ACTIONS(9690), 1,
      sym_keyword_where,
    ACTIONS(9692), 1,
      sym_keyword_order,
    ACTIONS(9694), 1,
      sym_keyword_group,
    STATE(7011), 1,
      sym_where,
    STATE(7218), 1,
      sym_group_by,
    STATE(7265), 1,
      sym_order_by,
    STATE(7459), 1,
      sym_window_clause,
    STATE(7591), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9682), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6619), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(10888), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [416681] = 19,
    ACTIONS(8855), 1,
      sym_keyword_cross,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(8871), 1,
      sym_keyword_window,
    ACTIONS(9680), 1,
      sym_keyword_left,
    ACTIONS(9684), 1,
      sym_keyword_inner,
    ACTIONS(9686), 1,
      sym_keyword_join,
    ACTIONS(9688), 1,
      sym_keyword_natural,
    ACTIONS(9690), 1,
      sym_keyword_where,
    ACTIONS(9692), 1,
      sym_keyword_order,
    ACTIONS(9694), 1,
      sym_keyword_group,
    STATE(7012), 1,
      sym_where,
    STATE(7216), 1,
      sym_group_by,
    STATE(7400), 1,
      sym_order_by,
    STATE(7454), 1,
      sym_window_clause,
    STATE(7593), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9682), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6437), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(10894), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [416752] = 19,
    ACTIONS(8855), 1,
      sym_keyword_cross,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(8871), 1,
      sym_keyword_window,
    ACTIONS(9680), 1,
      sym_keyword_left,
    ACTIONS(9684), 1,
      sym_keyword_inner,
    ACTIONS(9686), 1,
      sym_keyword_join,
    ACTIONS(9688), 1,
      sym_keyword_natural,
    ACTIONS(9690), 1,
      sym_keyword_where,
    ACTIONS(9692), 1,
      sym_keyword_order,
    ACTIONS(9694), 1,
      sym_keyword_group,
    STATE(7012), 1,
      sym_where,
    STATE(7216), 1,
      sym_group_by,
    STATE(7400), 1,
      sym_order_by,
    STATE(7454), 1,
      sym_window_clause,
    STATE(7593), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9682), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6619), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(10894), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [416823] = 20,
    ACTIONS(10906), 1,
      sym_keyword_as,
    ACTIONS(10908), 1,
      sym_keyword_not,
    ACTIONS(10910), 1,
      sym_keyword_begin,
    ACTIONS(10912), 1,
      sym_keyword_rows,
    ACTIONS(10914), 1,
      sym_keyword_returns,
    ACTIONS(10916), 1,
      sym_keyword_return,
    ACTIONS(10918), 1,
      sym_keyword_language,
    ACTIONS(10922), 1,
      sym_keyword_leakproof,
    ACTIONS(10924), 1,
      sym_keyword_parallel,
    ACTIONS(10926), 1,
      sym_keyword_called,
    ACTIONS(10928), 1,
      sym_keyword_strict,
    ACTIONS(10930), 1,
      sym_keyword_cost,
    ACTIONS(10932), 1,
      sym_keyword_support,
    ACTIONS(10934), 1,
      sym_keyword_security,
    ACTIONS(10936), 1,
      sym_keyword_external,
    STATE(6495), 1,
      sym_function_body,
    STATE(13043), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10920), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6565), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [416896] = 20,
    ACTIONS(10906), 1,
      sym_keyword_as,
    ACTIONS(10908), 1,
      sym_keyword_not,
    ACTIONS(10910), 1,
      sym_keyword_begin,
    ACTIONS(10912), 1,
      sym_keyword_rows,
    ACTIONS(10914), 1,
      sym_keyword_returns,
    ACTIONS(10916), 1,
      sym_keyword_return,
    ACTIONS(10918), 1,
      sym_keyword_language,
    ACTIONS(10922), 1,
      sym_keyword_leakproof,
    ACTIONS(10924), 1,
      sym_keyword_parallel,
    ACTIONS(10926), 1,
      sym_keyword_called,
    ACTIONS(10928), 1,
      sym_keyword_strict,
    ACTIONS(10930), 1,
      sym_keyword_cost,
    ACTIONS(10932), 1,
      sym_keyword_support,
    ACTIONS(10934), 1,
      sym_keyword_security,
    ACTIONS(10936), 1,
      sym_keyword_external,
    STATE(6491), 1,
      sym_function_body,
    STATE(13043), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10920), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6565), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [416969] = 19,
    ACTIONS(8855), 1,
      sym_keyword_cross,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(8871), 1,
      sym_keyword_window,
    ACTIONS(9680), 1,
      sym_keyword_left,
    ACTIONS(9684), 1,
      sym_keyword_inner,
    ACTIONS(9686), 1,
      sym_keyword_join,
    ACTIONS(9688), 1,
      sym_keyword_natural,
    ACTIONS(9690), 1,
      sym_keyword_where,
    ACTIONS(9692), 1,
      sym_keyword_order,
    ACTIONS(9694), 1,
      sym_keyword_group,
    STATE(7013), 1,
      sym_where,
    STATE(7214), 1,
      sym_group_by,
    STATE(7338), 1,
      sym_order_by,
    STATE(7453), 1,
      sym_window_clause,
    STATE(7585), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9682), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6619), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(8847), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [417040] = 20,
    ACTIONS(10906), 1,
      sym_keyword_as,
    ACTIONS(10908), 1,
      sym_keyword_not,
    ACTIONS(10910), 1,
      sym_keyword_begin,
    ACTIONS(10912), 1,
      sym_keyword_rows,
    ACTIONS(10914), 1,
      sym_keyword_returns,
    ACTIONS(10916), 1,
      sym_keyword_return,
    ACTIONS(10918), 1,
      sym_keyword_language,
    ACTIONS(10922), 1,
      sym_keyword_leakproof,
    ACTIONS(10924), 1,
      sym_keyword_parallel,
    ACTIONS(10926), 1,
      sym_keyword_called,
    ACTIONS(10928), 1,
      sym_keyword_strict,
    ACTIONS(10930), 1,
      sym_keyword_cost,
    ACTIONS(10932), 1,
      sym_keyword_support,
    ACTIONS(10934), 1,
      sym_keyword_security,
    ACTIONS(10936), 1,
      sym_keyword_external,
    STATE(6495), 1,
      sym_function_body,
    STATE(13043), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10920), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6450), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [417113] = 20,
    ACTIONS(10908), 1,
      sym_keyword_not,
    ACTIONS(10912), 1,
      sym_keyword_rows,
    ACTIONS(10914), 1,
      sym_keyword_returns,
    ACTIONS(10916), 1,
      sym_keyword_return,
    ACTIONS(10918), 1,
      sym_keyword_language,
    ACTIONS(10922), 1,
      sym_keyword_leakproof,
    ACTIONS(10924), 1,
      sym_keyword_parallel,
    ACTIONS(10926), 1,
      sym_keyword_called,
    ACTIONS(10928), 1,
      sym_keyword_strict,
    ACTIONS(10930), 1,
      sym_keyword_cost,
    ACTIONS(10932), 1,
      sym_keyword_support,
    ACTIONS(10934), 1,
      sym_keyword_security,
    ACTIONS(10936), 1,
      sym_keyword_external,
    ACTIONS(10975), 1,
      sym_keyword_as,
    ACTIONS(10977), 1,
      sym_keyword_begin,
    STATE(6552), 1,
      sym_function_body,
    STATE(13630), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10920), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6565), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [417186] = 20,
    ACTIONS(10906), 1,
      sym_keyword_as,
    ACTIONS(10908), 1,
      sym_keyword_not,
    ACTIONS(10910), 1,
      sym_keyword_begin,
    ACTIONS(10912), 1,
      sym_keyword_rows,
    ACTIONS(10914), 1,
      sym_keyword_returns,
    ACTIONS(10916), 1,
      sym_keyword_return,
    ACTIONS(10918), 1,
      sym_keyword_language,
    ACTIONS(10922), 1,
      sym_keyword_leakproof,
    ACTIONS(10924), 1,
      sym_keyword_parallel,
    ACTIONS(10926), 1,
      sym_keyword_called,
    ACTIONS(10928), 1,
      sym_keyword_strict,
    ACTIONS(10930), 1,
      sym_keyword_cost,
    ACTIONS(10932), 1,
      sym_keyword_support,
    ACTIONS(10934), 1,
      sym_keyword_security,
    ACTIONS(10936), 1,
      sym_keyword_external,
    STATE(6511), 1,
      sym_function_body,
    STATE(13043), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10920), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6565), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [417259] = 19,
    ACTIONS(8855), 1,
      sym_keyword_cross,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(8871), 1,
      sym_keyword_window,
    ACTIONS(9680), 1,
      sym_keyword_left,
    ACTIONS(9684), 1,
      sym_keyword_inner,
    ACTIONS(9686), 1,
      sym_keyword_join,
    ACTIONS(9688), 1,
      sym_keyword_natural,
    ACTIONS(9690), 1,
      sym_keyword_where,
    ACTIONS(9692), 1,
      sym_keyword_order,
    ACTIONS(9694), 1,
      sym_keyword_group,
    STATE(7013), 1,
      sym_where,
    STATE(7214), 1,
      sym_group_by,
    STATE(7338), 1,
      sym_order_by,
    STATE(7453), 1,
      sym_window_clause,
    STATE(7585), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9682), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6439), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(8847), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [417330] = 22,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(10672), 1,
      sym_keyword_partition,
    ACTIONS(10676), 1,
      sym_keyword_collate,
    ACTIONS(10678), 1,
      sym_keyword_engine,
    ACTIONS(10680), 1,
      sym_keyword_default,
    ACTIONS(10682), 1,
      sym_keyword_with,
    ACTIONS(10684), 1,
      sym_keyword_without,
    ACTIONS(10686), 1,
      sym_keyword_row,
    ACTIONS(10688), 1,
      sym_keyword_stored,
    ACTIONS(10690), 1,
      sym_keyword_tblproperties,
    ACTIONS(10692), 1,
      sym_keyword_location,
    ACTIONS(10694), 1,
      sym_keyword_partitioned,
    ACTIONS(10696), 1,
      sym_keyword_sort,
    ACTIONS(10878), 1,
      sym_keyword_as,
    STATE(129), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(13113), 2,
      sym__literal_string,
      sym_identifier,
    STATE(5896), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [417407] = 20,
    ACTIONS(10908), 1,
      sym_keyword_not,
    ACTIONS(10912), 1,
      sym_keyword_rows,
    ACTIONS(10914), 1,
      sym_keyword_returns,
    ACTIONS(10916), 1,
      sym_keyword_return,
    ACTIONS(10918), 1,
      sym_keyword_language,
    ACTIONS(10922), 1,
      sym_keyword_leakproof,
    ACTIONS(10924), 1,
      sym_keyword_parallel,
    ACTIONS(10926), 1,
      sym_keyword_called,
    ACTIONS(10928), 1,
      sym_keyword_strict,
    ACTIONS(10930), 1,
      sym_keyword_cost,
    ACTIONS(10932), 1,
      sym_keyword_support,
    ACTIONS(10934), 1,
      sym_keyword_security,
    ACTIONS(10936), 1,
      sym_keyword_external,
    ACTIONS(10975), 1,
      sym_keyword_as,
    ACTIONS(10977), 1,
      sym_keyword_begin,
    STATE(6515), 1,
      sym_function_body,
    STATE(13630), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10920), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6565), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [417480] = 20,
    ACTIONS(10908), 1,
      sym_keyword_not,
    ACTIONS(10912), 1,
      sym_keyword_rows,
    ACTIONS(10914), 1,
      sym_keyword_returns,
    ACTIONS(10916), 1,
      sym_keyword_return,
    ACTIONS(10918), 1,
      sym_keyword_language,
    ACTIONS(10922), 1,
      sym_keyword_leakproof,
    ACTIONS(10924), 1,
      sym_keyword_parallel,
    ACTIONS(10926), 1,
      sym_keyword_called,
    ACTIONS(10928), 1,
      sym_keyword_strict,
    ACTIONS(10930), 1,
      sym_keyword_cost,
    ACTIONS(10932), 1,
      sym_keyword_support,
    ACTIONS(10934), 1,
      sym_keyword_security,
    ACTIONS(10936), 1,
      sym_keyword_external,
    ACTIONS(10975), 1,
      sym_keyword_as,
    ACTIONS(10977), 1,
      sym_keyword_begin,
    STATE(6538), 1,
      sym_function_body,
    STATE(13630), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10920), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6458), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [417553] = 20,
    ACTIONS(10906), 1,
      sym_keyword_as,
    ACTIONS(10908), 1,
      sym_keyword_not,
    ACTIONS(10910), 1,
      sym_keyword_begin,
    ACTIONS(10912), 1,
      sym_keyword_rows,
    ACTIONS(10914), 1,
      sym_keyword_returns,
    ACTIONS(10916), 1,
      sym_keyword_return,
    ACTIONS(10918), 1,
      sym_keyword_language,
    ACTIONS(10922), 1,
      sym_keyword_leakproof,
    ACTIONS(10924), 1,
      sym_keyword_parallel,
    ACTIONS(10926), 1,
      sym_keyword_called,
    ACTIONS(10928), 1,
      sym_keyword_strict,
    ACTIONS(10930), 1,
      sym_keyword_cost,
    ACTIONS(10932), 1,
      sym_keyword_support,
    ACTIONS(10934), 1,
      sym_keyword_security,
    ACTIONS(10936), 1,
      sym_keyword_external,
    STATE(6479), 1,
      sym_function_body,
    STATE(13043), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10920), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6565), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [417626] = 20,
    ACTIONS(10906), 1,
      sym_keyword_as,
    ACTIONS(10908), 1,
      sym_keyword_not,
    ACTIONS(10910), 1,
      sym_keyword_begin,
    ACTIONS(10912), 1,
      sym_keyword_rows,
    ACTIONS(10914), 1,
      sym_keyword_returns,
    ACTIONS(10916), 1,
      sym_keyword_return,
    ACTIONS(10918), 1,
      sym_keyword_language,
    ACTIONS(10922), 1,
      sym_keyword_leakproof,
    ACTIONS(10924), 1,
      sym_keyword_parallel,
    ACTIONS(10926), 1,
      sym_keyword_called,
    ACTIONS(10928), 1,
      sym_keyword_strict,
    ACTIONS(10930), 1,
      sym_keyword_cost,
    ACTIONS(10932), 1,
      sym_keyword_support,
    ACTIONS(10934), 1,
      sym_keyword_security,
    ACTIONS(10936), 1,
      sym_keyword_external,
    STATE(6481), 1,
      sym_function_body,
    STATE(13043), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10920), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6565), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [417699] = 20,
    ACTIONS(10906), 1,
      sym_keyword_as,
    ACTIONS(10908), 1,
      sym_keyword_not,
    ACTIONS(10910), 1,
      sym_keyword_begin,
    ACTIONS(10912), 1,
      sym_keyword_rows,
    ACTIONS(10914), 1,
      sym_keyword_returns,
    ACTIONS(10916), 1,
      sym_keyword_return,
    ACTIONS(10918), 1,
      sym_keyword_language,
    ACTIONS(10922), 1,
      sym_keyword_leakproof,
    ACTIONS(10924), 1,
      sym_keyword_parallel,
    ACTIONS(10926), 1,
      sym_keyword_called,
    ACTIONS(10928), 1,
      sym_keyword_strict,
    ACTIONS(10930), 1,
      sym_keyword_cost,
    ACTIONS(10932), 1,
      sym_keyword_support,
    ACTIONS(10934), 1,
      sym_keyword_security,
    ACTIONS(10936), 1,
      sym_keyword_external,
    STATE(6509), 1,
      sym_function_body,
    STATE(13043), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10920), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6466), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [417772] = 19,
    ACTIONS(8855), 1,
      sym_keyword_cross,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(8871), 1,
      sym_keyword_window,
    ACTIONS(9680), 1,
      sym_keyword_left,
    ACTIONS(9684), 1,
      sym_keyword_inner,
    ACTIONS(9686), 1,
      sym_keyword_join,
    ACTIONS(9688), 1,
      sym_keyword_natural,
    ACTIONS(9690), 1,
      sym_keyword_where,
    ACTIONS(9692), 1,
      sym_keyword_order,
    ACTIONS(9694), 1,
      sym_keyword_group,
    STATE(7014), 1,
      sym_where,
    STATE(7210), 1,
      sym_group_by,
    STATE(7391), 1,
      sym_order_by,
    STATE(7451), 1,
      sym_window_clause,
    STATE(7555), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9682), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6619), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(8883), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [417843] = 4,
    ACTIONS(10979), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(109), 5,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(55), 24,
      sym_keyword_set,
      sym_keyword_partition,
      sym_keyword_alter,
      sym_keyword_change,
      sym_keyword_modify,
      sym_keyword_drop,
      sym_keyword_add,
      sym_keyword_column,
      sym_keyword_as,
      sym_keyword_if,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_rename,
      sym_keyword_owner,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [417884] = 19,
    ACTIONS(8855), 1,
      sym_keyword_cross,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(8871), 1,
      sym_keyword_window,
    ACTIONS(9680), 1,
      sym_keyword_left,
    ACTIONS(9684), 1,
      sym_keyword_inner,
    ACTIONS(9686), 1,
      sym_keyword_join,
    ACTIONS(9688), 1,
      sym_keyword_natural,
    ACTIONS(9690), 1,
      sym_keyword_where,
    ACTIONS(9692), 1,
      sym_keyword_order,
    ACTIONS(9694), 1,
      sym_keyword_group,
    STATE(7014), 1,
      sym_where,
    STATE(7210), 1,
      sym_group_by,
    STATE(7391), 1,
      sym_order_by,
    STATE(7451), 1,
      sym_window_clause,
    STATE(7555), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9682), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6442), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(8883), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [417955] = 22,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(10672), 1,
      sym_keyword_partition,
    ACTIONS(10676), 1,
      sym_keyword_collate,
    ACTIONS(10678), 1,
      sym_keyword_engine,
    ACTIONS(10680), 1,
      sym_keyword_default,
    ACTIONS(10682), 1,
      sym_keyword_with,
    ACTIONS(10684), 1,
      sym_keyword_without,
    ACTIONS(10686), 1,
      sym_keyword_row,
    ACTIONS(10688), 1,
      sym_keyword_stored,
    ACTIONS(10690), 1,
      sym_keyword_tblproperties,
    ACTIONS(10692), 1,
      sym_keyword_location,
    ACTIONS(10694), 1,
      sym_keyword_partitioned,
    ACTIONS(10696), 1,
      sym_keyword_sort,
    ACTIONS(10868), 1,
      sym_keyword_as,
    STATE(129), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(13113), 2,
      sym__literal_string,
      sym_identifier,
    STATE(5896), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [418032] = 20,
    ACTIONS(10908), 1,
      sym_keyword_not,
    ACTIONS(10912), 1,
      sym_keyword_rows,
    ACTIONS(10914), 1,
      sym_keyword_returns,
    ACTIONS(10916), 1,
      sym_keyword_return,
    ACTIONS(10918), 1,
      sym_keyword_language,
    ACTIONS(10922), 1,
      sym_keyword_leakproof,
    ACTIONS(10924), 1,
      sym_keyword_parallel,
    ACTIONS(10926), 1,
      sym_keyword_called,
    ACTIONS(10928), 1,
      sym_keyword_strict,
    ACTIONS(10930), 1,
      sym_keyword_cost,
    ACTIONS(10932), 1,
      sym_keyword_support,
    ACTIONS(10934), 1,
      sym_keyword_security,
    ACTIONS(10936), 1,
      sym_keyword_external,
    ACTIONS(10975), 1,
      sym_keyword_as,
    ACTIONS(10977), 1,
      sym_keyword_begin,
    STATE(6570), 1,
      sym_function_body,
    STATE(13630), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10920), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6448), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [418105] = 20,
    ACTIONS(10908), 1,
      sym_keyword_not,
    ACTIONS(10912), 1,
      sym_keyword_rows,
    ACTIONS(10914), 1,
      sym_keyword_returns,
    ACTIONS(10916), 1,
      sym_keyword_return,
    ACTIONS(10918), 1,
      sym_keyword_language,
    ACTIONS(10922), 1,
      sym_keyword_leakproof,
    ACTIONS(10924), 1,
      sym_keyword_parallel,
    ACTIONS(10926), 1,
      sym_keyword_called,
    ACTIONS(10928), 1,
      sym_keyword_strict,
    ACTIONS(10930), 1,
      sym_keyword_cost,
    ACTIONS(10932), 1,
      sym_keyword_support,
    ACTIONS(10934), 1,
      sym_keyword_security,
    ACTIONS(10936), 1,
      sym_keyword_external,
    ACTIONS(10975), 1,
      sym_keyword_as,
    ACTIONS(10977), 1,
      sym_keyword_begin,
    STATE(6539), 1,
      sym_function_body,
    STATE(13630), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10920), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6565), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [418178] = 20,
    ACTIONS(10908), 1,
      sym_keyword_not,
    ACTIONS(10912), 1,
      sym_keyword_rows,
    ACTIONS(10914), 1,
      sym_keyword_returns,
    ACTIONS(10916), 1,
      sym_keyword_return,
    ACTIONS(10918), 1,
      sym_keyword_language,
    ACTIONS(10922), 1,
      sym_keyword_leakproof,
    ACTIONS(10924), 1,
      sym_keyword_parallel,
    ACTIONS(10926), 1,
      sym_keyword_called,
    ACTIONS(10928), 1,
      sym_keyword_strict,
    ACTIONS(10930), 1,
      sym_keyword_cost,
    ACTIONS(10932), 1,
      sym_keyword_support,
    ACTIONS(10934), 1,
      sym_keyword_security,
    ACTIONS(10936), 1,
      sym_keyword_external,
    ACTIONS(10975), 1,
      sym_keyword_as,
    ACTIONS(10977), 1,
      sym_keyword_begin,
    STATE(6557), 1,
      sym_function_body,
    STATE(13630), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10920), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6565), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [418251] = 20,
    ACTIONS(10908), 1,
      sym_keyword_not,
    ACTIONS(10912), 1,
      sym_keyword_rows,
    ACTIONS(10914), 1,
      sym_keyword_returns,
    ACTIONS(10916), 1,
      sym_keyword_return,
    ACTIONS(10918), 1,
      sym_keyword_language,
    ACTIONS(10922), 1,
      sym_keyword_leakproof,
    ACTIONS(10924), 1,
      sym_keyword_parallel,
    ACTIONS(10926), 1,
      sym_keyword_called,
    ACTIONS(10928), 1,
      sym_keyword_strict,
    ACTIONS(10930), 1,
      sym_keyword_cost,
    ACTIONS(10932), 1,
      sym_keyword_support,
    ACTIONS(10934), 1,
      sym_keyword_security,
    ACTIONS(10936), 1,
      sym_keyword_external,
    ACTIONS(10975), 1,
      sym_keyword_as,
    ACTIONS(10977), 1,
      sym_keyword_begin,
    STATE(6537), 1,
      sym_function_body,
    STATE(13630), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10920), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6468), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [418324] = 20,
    ACTIONS(10908), 1,
      sym_keyword_not,
    ACTIONS(10912), 1,
      sym_keyword_rows,
    ACTIONS(10914), 1,
      sym_keyword_returns,
    ACTIONS(10916), 1,
      sym_keyword_return,
    ACTIONS(10918), 1,
      sym_keyword_language,
    ACTIONS(10922), 1,
      sym_keyword_leakproof,
    ACTIONS(10924), 1,
      sym_keyword_parallel,
    ACTIONS(10926), 1,
      sym_keyword_called,
    ACTIONS(10928), 1,
      sym_keyword_strict,
    ACTIONS(10930), 1,
      sym_keyword_cost,
    ACTIONS(10932), 1,
      sym_keyword_support,
    ACTIONS(10934), 1,
      sym_keyword_security,
    ACTIONS(10936), 1,
      sym_keyword_external,
    ACTIONS(10975), 1,
      sym_keyword_as,
    ACTIONS(10977), 1,
      sym_keyword_begin,
    STATE(6524), 1,
      sym_function_body,
    STATE(13630), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10920), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6565), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [418397] = 20,
    ACTIONS(10906), 1,
      sym_keyword_as,
    ACTIONS(10908), 1,
      sym_keyword_not,
    ACTIONS(10910), 1,
      sym_keyword_begin,
    ACTIONS(10912), 1,
      sym_keyword_rows,
    ACTIONS(10914), 1,
      sym_keyword_returns,
    ACTIONS(10916), 1,
      sym_keyword_return,
    ACTIONS(10918), 1,
      sym_keyword_language,
    ACTIONS(10922), 1,
      sym_keyword_leakproof,
    ACTIONS(10924), 1,
      sym_keyword_parallel,
    ACTIONS(10926), 1,
      sym_keyword_called,
    ACTIONS(10928), 1,
      sym_keyword_strict,
    ACTIONS(10930), 1,
      sym_keyword_cost,
    ACTIONS(10932), 1,
      sym_keyword_support,
    ACTIONS(10934), 1,
      sym_keyword_security,
    ACTIONS(10936), 1,
      sym_keyword_external,
    STATE(6502), 1,
      sym_function_body,
    STATE(13043), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10920), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6445), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [418470] = 22,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(10672), 1,
      sym_keyword_partition,
    ACTIONS(10676), 1,
      sym_keyword_collate,
    ACTIONS(10678), 1,
      sym_keyword_engine,
    ACTIONS(10680), 1,
      sym_keyword_default,
    ACTIONS(10682), 1,
      sym_keyword_with,
    ACTIONS(10684), 1,
      sym_keyword_without,
    ACTIONS(10686), 1,
      sym_keyword_row,
    ACTIONS(10688), 1,
      sym_keyword_stored,
    ACTIONS(10690), 1,
      sym_keyword_tblproperties,
    ACTIONS(10692), 1,
      sym_keyword_location,
    ACTIONS(10694), 1,
      sym_keyword_partitioned,
    ACTIONS(10696), 1,
      sym_keyword_sort,
    ACTIONS(10981), 1,
      sym_keyword_as,
    STATE(129), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(13113), 2,
      sym__literal_string,
      sym_identifier,
    STATE(5896), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [418547] = 14,
    ACTIONS(10987), 1,
      sym_keyword_primary,
    ACTIONS(10989), 1,
      sym_keyword_as,
    ACTIONS(10991), 1,
      sym_keyword_constraint,
    ACTIONS(10993), 1,
      sym_keyword_not,
    ACTIONS(10997), 1,
      sym_keyword_generated,
    ACTIONS(10999), 1,
      sym_keyword_default,
    ACTIONS(11001), 1,
      sym_keyword_references,
    ACTIONS(11003), 1,
      sym_keyword_check,
    ACTIONS(11005), 1,
      sym_keyword_comment,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10985), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(10995), 5,
      sym_keyword_auto_increment,
      sym_keyword_unique,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_null,
    ACTIONS(10983), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_first,
      sym_keyword_after,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(6473), 8,
      sym__not_null,
      sym__primary_key,
      sym_direction,
      sym__column_comment,
      sym__column_constraint,
      sym__check_constraint,
      sym__default_expression,
      aux_sym_column_definition_repeat1,
  [418608] = 22,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(10672), 1,
      sym_keyword_partition,
    ACTIONS(10676), 1,
      sym_keyword_collate,
    ACTIONS(10678), 1,
      sym_keyword_engine,
    ACTIONS(10680), 1,
      sym_keyword_default,
    ACTIONS(10682), 1,
      sym_keyword_with,
    ACTIONS(10684), 1,
      sym_keyword_without,
    ACTIONS(10686), 1,
      sym_keyword_row,
    ACTIONS(10688), 1,
      sym_keyword_stored,
    ACTIONS(10690), 1,
      sym_keyword_tblproperties,
    ACTIONS(10692), 1,
      sym_keyword_location,
    ACTIONS(10694), 1,
      sym_keyword_partitioned,
    ACTIONS(10696), 1,
      sym_keyword_sort,
    ACTIONS(10828), 1,
      sym_keyword_as,
    STATE(129), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(13113), 2,
      sym__literal_string,
      sym_identifier,
    STATE(5896), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [418685] = 20,
    ACTIONS(10906), 1,
      sym_keyword_as,
    ACTIONS(10908), 1,
      sym_keyword_not,
    ACTIONS(10910), 1,
      sym_keyword_begin,
    ACTIONS(10912), 1,
      sym_keyword_rows,
    ACTIONS(10914), 1,
      sym_keyword_returns,
    ACTIONS(10916), 1,
      sym_keyword_return,
    ACTIONS(10918), 1,
      sym_keyword_language,
    ACTIONS(10922), 1,
      sym_keyword_leakproof,
    ACTIONS(10924), 1,
      sym_keyword_parallel,
    ACTIONS(10926), 1,
      sym_keyword_called,
    ACTIONS(10928), 1,
      sym_keyword_strict,
    ACTIONS(10930), 1,
      sym_keyword_cost,
    ACTIONS(10932), 1,
      sym_keyword_support,
    ACTIONS(10934), 1,
      sym_keyword_security,
    ACTIONS(10936), 1,
      sym_keyword_external,
    STATE(6474), 1,
      sym_function_body,
    STATE(13043), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10920), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6565), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [418758] = 20,
    ACTIONS(10906), 1,
      sym_keyword_as,
    ACTIONS(10908), 1,
      sym_keyword_not,
    ACTIONS(10910), 1,
      sym_keyword_begin,
    ACTIONS(10912), 1,
      sym_keyword_rows,
    ACTIONS(10914), 1,
      sym_keyword_returns,
    ACTIONS(10916), 1,
      sym_keyword_return,
    ACTIONS(10918), 1,
      sym_keyword_language,
    ACTIONS(10922), 1,
      sym_keyword_leakproof,
    ACTIONS(10924), 1,
      sym_keyword_parallel,
    ACTIONS(10926), 1,
      sym_keyword_called,
    ACTIONS(10928), 1,
      sym_keyword_strict,
    ACTIONS(10930), 1,
      sym_keyword_cost,
    ACTIONS(10932), 1,
      sym_keyword_support,
    ACTIONS(10934), 1,
      sym_keyword_security,
    ACTIONS(10936), 1,
      sym_keyword_external,
    STATE(6506), 1,
      sym_function_body,
    STATE(13043), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10920), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6441), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [418831] = 20,
    ACTIONS(10908), 1,
      sym_keyword_not,
    ACTIONS(10912), 1,
      sym_keyword_rows,
    ACTIONS(10914), 1,
      sym_keyword_returns,
    ACTIONS(10916), 1,
      sym_keyword_return,
    ACTIONS(10918), 1,
      sym_keyword_language,
    ACTIONS(10922), 1,
      sym_keyword_leakproof,
    ACTIONS(10924), 1,
      sym_keyword_parallel,
    ACTIONS(10926), 1,
      sym_keyword_called,
    ACTIONS(10928), 1,
      sym_keyword_strict,
    ACTIONS(10930), 1,
      sym_keyword_cost,
    ACTIONS(10932), 1,
      sym_keyword_support,
    ACTIONS(10934), 1,
      sym_keyword_security,
    ACTIONS(10936), 1,
      sym_keyword_external,
    ACTIONS(10975), 1,
      sym_keyword_as,
    ACTIONS(10977), 1,
      sym_keyword_begin,
    STATE(6568), 1,
      sym_function_body,
    STATE(13630), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10920), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6565), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [418904] = 20,
    ACTIONS(10906), 1,
      sym_keyword_as,
    ACTIONS(10908), 1,
      sym_keyword_not,
    ACTIONS(10910), 1,
      sym_keyword_begin,
    ACTIONS(10912), 1,
      sym_keyword_rows,
    ACTIONS(10914), 1,
      sym_keyword_returns,
    ACTIONS(10916), 1,
      sym_keyword_return,
    ACTIONS(10918), 1,
      sym_keyword_language,
    ACTIONS(10922), 1,
      sym_keyword_leakproof,
    ACTIONS(10924), 1,
      sym_keyword_parallel,
    ACTIONS(10926), 1,
      sym_keyword_called,
    ACTIONS(10928), 1,
      sym_keyword_strict,
    ACTIONS(10930), 1,
      sym_keyword_cost,
    ACTIONS(10932), 1,
      sym_keyword_support,
    ACTIONS(10934), 1,
      sym_keyword_security,
    ACTIONS(10936), 1,
      sym_keyword_external,
    STATE(6514), 1,
      sym_function_body,
    STATE(13043), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10920), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6565), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [418977] = 20,
    ACTIONS(10906), 1,
      sym_keyword_as,
    ACTIONS(10908), 1,
      sym_keyword_not,
    ACTIONS(10910), 1,
      sym_keyword_begin,
    ACTIONS(10912), 1,
      sym_keyword_rows,
    ACTIONS(10914), 1,
      sym_keyword_returns,
    ACTIONS(10916), 1,
      sym_keyword_return,
    ACTIONS(10918), 1,
      sym_keyword_language,
    ACTIONS(10922), 1,
      sym_keyword_leakproof,
    ACTIONS(10924), 1,
      sym_keyword_parallel,
    ACTIONS(10926), 1,
      sym_keyword_called,
    ACTIONS(10928), 1,
      sym_keyword_strict,
    ACTIONS(10930), 1,
      sym_keyword_cost,
    ACTIONS(10932), 1,
      sym_keyword_support,
    ACTIONS(10934), 1,
      sym_keyword_security,
    ACTIONS(10936), 1,
      sym_keyword_external,
    STATE(6514), 1,
      sym_function_body,
    STATE(13043), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10920), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6440), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [419050] = 20,
    ACTIONS(10908), 1,
      sym_keyword_not,
    ACTIONS(10912), 1,
      sym_keyword_rows,
    ACTIONS(10914), 1,
      sym_keyword_returns,
    ACTIONS(10916), 1,
      sym_keyword_return,
    ACTIONS(10918), 1,
      sym_keyword_language,
    ACTIONS(10922), 1,
      sym_keyword_leakproof,
    ACTIONS(10924), 1,
      sym_keyword_parallel,
    ACTIONS(10926), 1,
      sym_keyword_called,
    ACTIONS(10928), 1,
      sym_keyword_strict,
    ACTIONS(10930), 1,
      sym_keyword_cost,
    ACTIONS(10932), 1,
      sym_keyword_support,
    ACTIONS(10934), 1,
      sym_keyword_security,
    ACTIONS(10936), 1,
      sym_keyword_external,
    ACTIONS(10975), 1,
      sym_keyword_as,
    ACTIONS(10977), 1,
      sym_keyword_begin,
    STATE(6521), 1,
      sym_function_body,
    STATE(13630), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10920), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6444), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [419123] = 20,
    ACTIONS(10908), 1,
      sym_keyword_not,
    ACTIONS(10912), 1,
      sym_keyword_rows,
    ACTIONS(10914), 1,
      sym_keyword_returns,
    ACTIONS(10916), 1,
      sym_keyword_return,
    ACTIONS(10918), 1,
      sym_keyword_language,
    ACTIONS(10922), 1,
      sym_keyword_leakproof,
    ACTIONS(10924), 1,
      sym_keyword_parallel,
    ACTIONS(10926), 1,
      sym_keyword_called,
    ACTIONS(10928), 1,
      sym_keyword_strict,
    ACTIONS(10930), 1,
      sym_keyword_cost,
    ACTIONS(10932), 1,
      sym_keyword_support,
    ACTIONS(10934), 1,
      sym_keyword_security,
    ACTIONS(10936), 1,
      sym_keyword_external,
    ACTIONS(10975), 1,
      sym_keyword_as,
    ACTIONS(10977), 1,
      sym_keyword_begin,
    STATE(6532), 1,
      sym_function_body,
    STATE(13630), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10920), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6459), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [419196] = 14,
    ACTIONS(10987), 1,
      sym_keyword_primary,
    ACTIONS(10989), 1,
      sym_keyword_as,
    ACTIONS(10991), 1,
      sym_keyword_constraint,
    ACTIONS(10993), 1,
      sym_keyword_not,
    ACTIONS(10997), 1,
      sym_keyword_generated,
    ACTIONS(10999), 1,
      sym_keyword_default,
    ACTIONS(11001), 1,
      sym_keyword_references,
    ACTIONS(11003), 1,
      sym_keyword_check,
    ACTIONS(11005), 1,
      sym_keyword_comment,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10985), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(11009), 5,
      sym_keyword_auto_increment,
      sym_keyword_unique,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_null,
    ACTIONS(11007), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_first,
      sym_keyword_after,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(6431), 8,
      sym__not_null,
      sym__primary_key,
      sym_direction,
      sym__column_comment,
      sym__column_constraint,
      sym__check_constraint,
      sym__default_expression,
      aux_sym_column_definition_repeat1,
  [419257] = 16,
    ACTIONS(10908), 1,
      sym_keyword_not,
    ACTIONS(10912), 1,
      sym_keyword_rows,
    ACTIONS(10914), 1,
      sym_keyword_returns,
    ACTIONS(10922), 1,
      sym_keyword_leakproof,
    ACTIONS(10924), 1,
      sym_keyword_parallel,
    ACTIONS(10926), 1,
      sym_keyword_called,
    ACTIONS(10928), 1,
      sym_keyword_strict,
    ACTIONS(10930), 1,
      sym_keyword_cost,
    ACTIONS(10934), 1,
      sym_keyword_security,
    ACTIONS(10936), 1,
      sym_keyword_external,
    ACTIONS(11013), 1,
      sym_keyword_language,
    ACTIONS(11015), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10920), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11011), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6489), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [419321] = 16,
    ACTIONS(11019), 1,
      sym_keyword_not,
    ACTIONS(11022), 1,
      sym_keyword_rows,
    ACTIONS(11025), 1,
      sym_keyword_returns,
    ACTIONS(11028), 1,
      sym_keyword_language,
    ACTIONS(11034), 1,
      sym_keyword_leakproof,
    ACTIONS(11037), 1,
      sym_keyword_parallel,
    ACTIONS(11040), 1,
      sym_keyword_called,
    ACTIONS(11043), 1,
      sym_keyword_strict,
    ACTIONS(11046), 1,
      sym_keyword_cost,
    ACTIONS(11049), 1,
      sym_keyword_support,
    ACTIONS(11052), 1,
      sym_keyword_security,
    ACTIONS(11055), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11031), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11017), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6475), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [419385] = 16,
    ACTIONS(10908), 1,
      sym_keyword_not,
    ACTIONS(10912), 1,
      sym_keyword_rows,
    ACTIONS(10914), 1,
      sym_keyword_returns,
    ACTIONS(10922), 1,
      sym_keyword_leakproof,
    ACTIONS(10924), 1,
      sym_keyword_parallel,
    ACTIONS(10926), 1,
      sym_keyword_called,
    ACTIONS(10928), 1,
      sym_keyword_strict,
    ACTIONS(10930), 1,
      sym_keyword_cost,
    ACTIONS(10934), 1,
      sym_keyword_security,
    ACTIONS(10936), 1,
      sym_keyword_external,
    ACTIONS(11013), 1,
      sym_keyword_language,
    ACTIONS(11015), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10920), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11058), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6475), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [419449] = 19,
    ACTIONS(9080), 1,
      sym_keyword_cross,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(9096), 1,
      sym_keyword_window,
    ACTIONS(10035), 1,
      sym_keyword_left,
    ACTIONS(10039), 1,
      sym_keyword_inner,
    ACTIONS(10041), 1,
      sym_keyword_join,
    ACTIONS(10043), 1,
      sym_keyword_natural,
    ACTIONS(10045), 1,
      sym_keyword_where,
    ACTIONS(10047), 1,
      sym_keyword_order,
    ACTIONS(10049), 1,
      sym_keyword_group,
    STATE(7155), 1,
      sym_where,
    STATE(7322), 1,
      sym_group_by,
    STATE(7511), 1,
      sym_order_by,
    STATE(7523), 1,
      sym_window_clause,
    STATE(7686), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10037), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6638), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(10888), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [419519] = 16,
    ACTIONS(10908), 1,
      sym_keyword_not,
    ACTIONS(10912), 1,
      sym_keyword_rows,
    ACTIONS(10914), 1,
      sym_keyword_returns,
    ACTIONS(10922), 1,
      sym_keyword_leakproof,
    ACTIONS(10924), 1,
      sym_keyword_parallel,
    ACTIONS(10926), 1,
      sym_keyword_called,
    ACTIONS(10928), 1,
      sym_keyword_strict,
    ACTIONS(10930), 1,
      sym_keyword_cost,
    ACTIONS(10934), 1,
      sym_keyword_security,
    ACTIONS(10936), 1,
      sym_keyword_external,
    ACTIONS(11013), 1,
      sym_keyword_language,
    ACTIONS(11015), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10920), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11060), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6475), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [419583] = 16,
    ACTIONS(10908), 1,
      sym_keyword_not,
    ACTIONS(10912), 1,
      sym_keyword_rows,
    ACTIONS(10914), 1,
      sym_keyword_returns,
    ACTIONS(10922), 1,
      sym_keyword_leakproof,
    ACTIONS(10924), 1,
      sym_keyword_parallel,
    ACTIONS(10926), 1,
      sym_keyword_called,
    ACTIONS(10928), 1,
      sym_keyword_strict,
    ACTIONS(10930), 1,
      sym_keyword_cost,
    ACTIONS(10934), 1,
      sym_keyword_security,
    ACTIONS(10936), 1,
      sym_keyword_external,
    ACTIONS(11013), 1,
      sym_keyword_language,
    ACTIONS(11015), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10920), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11062), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6492), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [419647] = 16,
    ACTIONS(10908), 1,
      sym_keyword_not,
    ACTIONS(10912), 1,
      sym_keyword_rows,
    ACTIONS(10914), 1,
      sym_keyword_returns,
    ACTIONS(10922), 1,
      sym_keyword_leakproof,
    ACTIONS(10924), 1,
      sym_keyword_parallel,
    ACTIONS(10926), 1,
      sym_keyword_called,
    ACTIONS(10928), 1,
      sym_keyword_strict,
    ACTIONS(10930), 1,
      sym_keyword_cost,
    ACTIONS(10934), 1,
      sym_keyword_security,
    ACTIONS(10936), 1,
      sym_keyword_external,
    ACTIONS(11013), 1,
      sym_keyword_language,
    ACTIONS(11015), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10920), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11064), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6475), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [419711] = 16,
    ACTIONS(10908), 1,
      sym_keyword_not,
    ACTIONS(10912), 1,
      sym_keyword_rows,
    ACTIONS(10914), 1,
      sym_keyword_returns,
    ACTIONS(10922), 1,
      sym_keyword_leakproof,
    ACTIONS(10924), 1,
      sym_keyword_parallel,
    ACTIONS(10926), 1,
      sym_keyword_called,
    ACTIONS(10928), 1,
      sym_keyword_strict,
    ACTIONS(10930), 1,
      sym_keyword_cost,
    ACTIONS(10934), 1,
      sym_keyword_security,
    ACTIONS(10936), 1,
      sym_keyword_external,
    ACTIONS(11013), 1,
      sym_keyword_language,
    ACTIONS(11015), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10920), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11064), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6493), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [419775] = 16,
    ACTIONS(10908), 1,
      sym_keyword_not,
    ACTIONS(10912), 1,
      sym_keyword_rows,
    ACTIONS(10914), 1,
      sym_keyword_returns,
    ACTIONS(10922), 1,
      sym_keyword_leakproof,
    ACTIONS(10924), 1,
      sym_keyword_parallel,
    ACTIONS(10926), 1,
      sym_keyword_called,
    ACTIONS(10928), 1,
      sym_keyword_strict,
    ACTIONS(10930), 1,
      sym_keyword_cost,
    ACTIONS(10934), 1,
      sym_keyword_security,
    ACTIONS(10936), 1,
      sym_keyword_external,
    ACTIONS(11013), 1,
      sym_keyword_language,
    ACTIONS(11015), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10920), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11062), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6475), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [419839] = 14,
    ACTIONS(11068), 1,
      sym_keyword_primary,
    ACTIONS(11070), 1,
      sym_keyword_as,
    ACTIONS(11072), 1,
      sym_keyword_constraint,
    ACTIONS(11074), 1,
      sym_keyword_not,
    ACTIONS(11078), 1,
      sym_keyword_generated,
    ACTIONS(11080), 1,
      sym_keyword_default,
    ACTIONS(11082), 1,
      sym_keyword_references,
    ACTIONS(11084), 1,
      sym_keyword_check,
    ACTIONS(11086), 1,
      sym_keyword_comment,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11066), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(11007), 5,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_first,
      sym_keyword_after,
      anon_sym_COMMA,
    ACTIONS(11076), 5,
      sym_keyword_auto_increment,
      sym_keyword_unique,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_null,
    STATE(6488), 8,
      sym__not_null,
      sym__primary_key,
      sym_direction,
      sym__column_comment,
      sym__column_constraint,
      sym__check_constraint,
      sym__default_expression,
      aux_sym_column_definition_repeat1,
  [419899] = 16,
    ACTIONS(10908), 1,
      sym_keyword_not,
    ACTIONS(10912), 1,
      sym_keyword_rows,
    ACTIONS(10914), 1,
      sym_keyword_returns,
    ACTIONS(10922), 1,
      sym_keyword_leakproof,
    ACTIONS(10924), 1,
      sym_keyword_parallel,
    ACTIONS(10926), 1,
      sym_keyword_called,
    ACTIONS(10928), 1,
      sym_keyword_strict,
    ACTIONS(10930), 1,
      sym_keyword_cost,
    ACTIONS(10934), 1,
      sym_keyword_security,
    ACTIONS(10936), 1,
      sym_keyword_external,
    ACTIONS(11013), 1,
      sym_keyword_language,
    ACTIONS(11015), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10920), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11088), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6475), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [419963] = 16,
    ACTIONS(10908), 1,
      sym_keyword_not,
    ACTIONS(10912), 1,
      sym_keyword_rows,
    ACTIONS(10914), 1,
      sym_keyword_returns,
    ACTIONS(10922), 1,
      sym_keyword_leakproof,
    ACTIONS(10924), 1,
      sym_keyword_parallel,
    ACTIONS(10926), 1,
      sym_keyword_called,
    ACTIONS(10928), 1,
      sym_keyword_strict,
    ACTIONS(10930), 1,
      sym_keyword_cost,
    ACTIONS(10934), 1,
      sym_keyword_security,
    ACTIONS(10936), 1,
      sym_keyword_external,
    ACTIONS(11013), 1,
      sym_keyword_language,
    ACTIONS(11015), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10920), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11090), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6480), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [420027] = 7,
    ACTIONS(109), 1,
      anon_sym_LPAREN,
    ACTIONS(2784), 1,
      anon_sym_DOT,
    ACTIONS(3612), 1,
      aux_sym__single_quote_string_token1,
    STATE(2175), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2782), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2780), 20,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [420073] = 4,
    ACTIONS(11094), 1,
      anon_sym_COMMA,
    STATE(6487), 1,
      aux_sym__mysql_update_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11092), 27,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [420113] = 14,
    ACTIONS(11100), 1,
      sym_keyword_primary,
    ACTIONS(11103), 1,
      sym_keyword_as,
    ACTIONS(11106), 1,
      sym_keyword_constraint,
    ACTIONS(11109), 1,
      sym_keyword_not,
    ACTIONS(11115), 1,
      sym_keyword_generated,
    ACTIONS(11118), 1,
      sym_keyword_default,
    ACTIONS(11121), 1,
      sym_keyword_references,
    ACTIONS(11124), 1,
      sym_keyword_check,
    ACTIONS(11127), 1,
      sym_keyword_comment,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11097), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(10938), 5,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_first,
      sym_keyword_after,
      anon_sym_COMMA,
    ACTIONS(11112), 5,
      sym_keyword_auto_increment,
      sym_keyword_unique,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_null,
    STATE(6488), 8,
      sym__not_null,
      sym__primary_key,
      sym_direction,
      sym__column_comment,
      sym__column_constraint,
      sym__check_constraint,
      sym__default_expression,
      aux_sym_column_definition_repeat1,
  [420173] = 16,
    ACTIONS(10908), 1,
      sym_keyword_not,
    ACTIONS(10912), 1,
      sym_keyword_rows,
    ACTIONS(10914), 1,
      sym_keyword_returns,
    ACTIONS(10922), 1,
      sym_keyword_leakproof,
    ACTIONS(10924), 1,
      sym_keyword_parallel,
    ACTIONS(10926), 1,
      sym_keyword_called,
    ACTIONS(10928), 1,
      sym_keyword_strict,
    ACTIONS(10930), 1,
      sym_keyword_cost,
    ACTIONS(10934), 1,
      sym_keyword_security,
    ACTIONS(10936), 1,
      sym_keyword_external,
    ACTIONS(11013), 1,
      sym_keyword_language,
    ACTIONS(11015), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10920), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11130), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6475), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [420237] = 16,
    ACTIONS(10908), 1,
      sym_keyword_not,
    ACTIONS(10912), 1,
      sym_keyword_rows,
    ACTIONS(10914), 1,
      sym_keyword_returns,
    ACTIONS(10922), 1,
      sym_keyword_leakproof,
    ACTIONS(10924), 1,
      sym_keyword_parallel,
    ACTIONS(10926), 1,
      sym_keyword_called,
    ACTIONS(10928), 1,
      sym_keyword_strict,
    ACTIONS(10930), 1,
      sym_keyword_cost,
    ACTIONS(10934), 1,
      sym_keyword_security,
    ACTIONS(10936), 1,
      sym_keyword_external,
    ACTIONS(11013), 1,
      sym_keyword_language,
    ACTIONS(11015), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10920), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11060), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6475), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [420301] = 16,
    ACTIONS(10908), 1,
      sym_keyword_not,
    ACTIONS(10912), 1,
      sym_keyword_rows,
    ACTIONS(10914), 1,
      sym_keyword_returns,
    ACTIONS(10922), 1,
      sym_keyword_leakproof,
    ACTIONS(10924), 1,
      sym_keyword_parallel,
    ACTIONS(10926), 1,
      sym_keyword_called,
    ACTIONS(10928), 1,
      sym_keyword_strict,
    ACTIONS(10930), 1,
      sym_keyword_cost,
    ACTIONS(10934), 1,
      sym_keyword_security,
    ACTIONS(10936), 1,
      sym_keyword_external,
    ACTIONS(11013), 1,
      sym_keyword_language,
    ACTIONS(11015), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10920), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11088), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6478), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [420365] = 16,
    ACTIONS(10908), 1,
      sym_keyword_not,
    ACTIONS(10912), 1,
      sym_keyword_rows,
    ACTIONS(10914), 1,
      sym_keyword_returns,
    ACTIONS(10922), 1,
      sym_keyword_leakproof,
    ACTIONS(10924), 1,
      sym_keyword_parallel,
    ACTIONS(10926), 1,
      sym_keyword_called,
    ACTIONS(10928), 1,
      sym_keyword_strict,
    ACTIONS(10930), 1,
      sym_keyword_cost,
    ACTIONS(10934), 1,
      sym_keyword_security,
    ACTIONS(10936), 1,
      sym_keyword_external,
    ACTIONS(11013), 1,
      sym_keyword_language,
    ACTIONS(11015), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10920), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11132), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6475), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [420429] = 16,
    ACTIONS(10908), 1,
      sym_keyword_not,
    ACTIONS(10912), 1,
      sym_keyword_rows,
    ACTIONS(10914), 1,
      sym_keyword_returns,
    ACTIONS(10922), 1,
      sym_keyword_leakproof,
    ACTIONS(10924), 1,
      sym_keyword_parallel,
    ACTIONS(10926), 1,
      sym_keyword_called,
    ACTIONS(10928), 1,
      sym_keyword_strict,
    ACTIONS(10930), 1,
      sym_keyword_cost,
    ACTIONS(10934), 1,
      sym_keyword_security,
    ACTIONS(10936), 1,
      sym_keyword_external,
    ACTIONS(11013), 1,
      sym_keyword_language,
    ACTIONS(11015), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10920), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11134), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6475), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [420493] = 16,
    ACTIONS(10908), 1,
      sym_keyword_not,
    ACTIONS(10912), 1,
      sym_keyword_rows,
    ACTIONS(10914), 1,
      sym_keyword_returns,
    ACTIONS(10922), 1,
      sym_keyword_leakproof,
    ACTIONS(10924), 1,
      sym_keyword_parallel,
    ACTIONS(10926), 1,
      sym_keyword_called,
    ACTIONS(10928), 1,
      sym_keyword_strict,
    ACTIONS(10930), 1,
      sym_keyword_cost,
    ACTIONS(10934), 1,
      sym_keyword_security,
    ACTIONS(10936), 1,
      sym_keyword_external,
    ACTIONS(11013), 1,
      sym_keyword_language,
    ACTIONS(11015), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10920), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11088), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6475), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [420557] = 16,
    ACTIONS(10908), 1,
      sym_keyword_not,
    ACTIONS(10912), 1,
      sym_keyword_rows,
    ACTIONS(10914), 1,
      sym_keyword_returns,
    ACTIONS(10922), 1,
      sym_keyword_leakproof,
    ACTIONS(10924), 1,
      sym_keyword_parallel,
    ACTIONS(10926), 1,
      sym_keyword_called,
    ACTIONS(10928), 1,
      sym_keyword_strict,
    ACTIONS(10930), 1,
      sym_keyword_cost,
    ACTIONS(10934), 1,
      sym_keyword_security,
    ACTIONS(10936), 1,
      sym_keyword_external,
    ACTIONS(11013), 1,
      sym_keyword_language,
    ACTIONS(11015), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10920), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11058), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6482), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [420621] = 19,
    ACTIONS(9080), 1,
      sym_keyword_cross,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(9096), 1,
      sym_keyword_window,
    ACTIONS(10035), 1,
      sym_keyword_left,
    ACTIONS(10039), 1,
      sym_keyword_inner,
    ACTIONS(10041), 1,
      sym_keyword_join,
    ACTIONS(10043), 1,
      sym_keyword_natural,
    ACTIONS(10045), 1,
      sym_keyword_where,
    ACTIONS(10047), 1,
      sym_keyword_order,
    ACTIONS(10049), 1,
      sym_keyword_group,
    STATE(7157), 1,
      sym_where,
    STATE(7326), 1,
      sym_group_by,
    STATE(7420), 1,
      sym_order_by,
    STATE(7522), 1,
      sym_window_clause,
    STATE(7643), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10037), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6477), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(10894), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [420691] = 19,
    ACTIONS(9080), 1,
      sym_keyword_cross,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(9096), 1,
      sym_keyword_window,
    ACTIONS(10035), 1,
      sym_keyword_left,
    ACTIONS(10039), 1,
      sym_keyword_inner,
    ACTIONS(10041), 1,
      sym_keyword_join,
    ACTIONS(10043), 1,
      sym_keyword_natural,
    ACTIONS(10045), 1,
      sym_keyword_where,
    ACTIONS(10047), 1,
      sym_keyword_order,
    ACTIONS(10049), 1,
      sym_keyword_group,
    STATE(7157), 1,
      sym_where,
    STATE(7326), 1,
      sym_group_by,
    STATE(7420), 1,
      sym_order_by,
    STATE(7522), 1,
      sym_window_clause,
    STATE(7643), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10037), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6638), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(10894), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [420761] = 19,
    ACTIONS(9080), 1,
      sym_keyword_cross,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(9096), 1,
      sym_keyword_window,
    ACTIONS(10035), 1,
      sym_keyword_left,
    ACTIONS(10039), 1,
      sym_keyword_inner,
    ACTIONS(10041), 1,
      sym_keyword_join,
    ACTIONS(10043), 1,
      sym_keyword_natural,
    ACTIONS(10045), 1,
      sym_keyword_where,
    ACTIONS(10047), 1,
      sym_keyword_order,
    ACTIONS(10049), 1,
      sym_keyword_group,
    STATE(7158), 1,
      sym_where,
    STATE(7328), 1,
      sym_group_by,
    STATE(7442), 1,
      sym_order_by,
    STATE(7520), 1,
      sym_window_clause,
    STATE(7611), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10037), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6638), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(8847), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [420831] = 19,
    ACTIONS(9080), 1,
      sym_keyword_cross,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(9096), 1,
      sym_keyword_window,
    ACTIONS(10035), 1,
      sym_keyword_left,
    ACTIONS(10039), 1,
      sym_keyword_inner,
    ACTIONS(10041), 1,
      sym_keyword_join,
    ACTIONS(10043), 1,
      sym_keyword_natural,
    ACTIONS(10045), 1,
      sym_keyword_where,
    ACTIONS(10047), 1,
      sym_keyword_order,
    ACTIONS(10049), 1,
      sym_keyword_group,
    STATE(7158), 1,
      sym_where,
    STATE(7328), 1,
      sym_group_by,
    STATE(7442), 1,
      sym_order_by,
    STATE(7520), 1,
      sym_window_clause,
    STATE(7611), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10037), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6497), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(8847), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [420901] = 19,
    ACTIONS(9080), 1,
      sym_keyword_cross,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(9096), 1,
      sym_keyword_window,
    ACTIONS(10035), 1,
      sym_keyword_left,
    ACTIONS(10039), 1,
      sym_keyword_inner,
    ACTIONS(10041), 1,
      sym_keyword_join,
    ACTIONS(10043), 1,
      sym_keyword_natural,
    ACTIONS(10045), 1,
      sym_keyword_where,
    ACTIONS(10047), 1,
      sym_keyword_order,
    ACTIONS(10049), 1,
      sym_keyword_group,
    STATE(7159), 1,
      sym_where,
    STATE(7330), 1,
      sym_group_by,
    STATE(7476), 1,
      sym_order_by,
    STATE(7518), 1,
      sym_window_clause,
    STATE(7707), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10037), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6638), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(8883), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [420971] = 19,
    ACTIONS(9080), 1,
      sym_keyword_cross,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(9096), 1,
      sym_keyword_window,
    ACTIONS(10035), 1,
      sym_keyword_left,
    ACTIONS(10039), 1,
      sym_keyword_inner,
    ACTIONS(10041), 1,
      sym_keyword_join,
    ACTIONS(10043), 1,
      sym_keyword_natural,
    ACTIONS(10045), 1,
      sym_keyword_where,
    ACTIONS(10047), 1,
      sym_keyword_order,
    ACTIONS(10049), 1,
      sym_keyword_group,
    STATE(7159), 1,
      sym_where,
    STATE(7330), 1,
      sym_group_by,
    STATE(7476), 1,
      sym_order_by,
    STATE(7518), 1,
      sym_window_clause,
    STATE(7707), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10037), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6498), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(8883), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [421041] = 16,
    ACTIONS(10908), 1,
      sym_keyword_not,
    ACTIONS(10912), 1,
      sym_keyword_rows,
    ACTIONS(10914), 1,
      sym_keyword_returns,
    ACTIONS(10922), 1,
      sym_keyword_leakproof,
    ACTIONS(10924), 1,
      sym_keyword_parallel,
    ACTIONS(10926), 1,
      sym_keyword_called,
    ACTIONS(10928), 1,
      sym_keyword_strict,
    ACTIONS(10930), 1,
      sym_keyword_cost,
    ACTIONS(10934), 1,
      sym_keyword_security,
    ACTIONS(10936), 1,
      sym_keyword_external,
    ACTIONS(11013), 1,
      sym_keyword_language,
    ACTIONS(11015), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10920), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11136), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6484), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [421105] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11138), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [421141] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11138), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [421177] = 16,
    ACTIONS(10908), 1,
      sym_keyword_not,
    ACTIONS(10912), 1,
      sym_keyword_rows,
    ACTIONS(10914), 1,
      sym_keyword_returns,
    ACTIONS(10922), 1,
      sym_keyword_leakproof,
    ACTIONS(10924), 1,
      sym_keyword_parallel,
    ACTIONS(10926), 1,
      sym_keyword_called,
    ACTIONS(10928), 1,
      sym_keyword_strict,
    ACTIONS(10930), 1,
      sym_keyword_cost,
    ACTIONS(10934), 1,
      sym_keyword_security,
    ACTIONS(10936), 1,
      sym_keyword_external,
    ACTIONS(11013), 1,
      sym_keyword_language,
    ACTIONS(11015), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10920), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11011), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6475), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [421241] = 16,
    ACTIONS(10908), 1,
      sym_keyword_not,
    ACTIONS(10912), 1,
      sym_keyword_rows,
    ACTIONS(10914), 1,
      sym_keyword_returns,
    ACTIONS(10922), 1,
      sym_keyword_leakproof,
    ACTIONS(10924), 1,
      sym_keyword_parallel,
    ACTIONS(10926), 1,
      sym_keyword_called,
    ACTIONS(10928), 1,
      sym_keyword_strict,
    ACTIONS(10930), 1,
      sym_keyword_cost,
    ACTIONS(10934), 1,
      sym_keyword_security,
    ACTIONS(10936), 1,
      sym_keyword_external,
    ACTIONS(11013), 1,
      sym_keyword_language,
    ACTIONS(11015), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10920), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11136), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6494), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [421305] = 16,
    ACTIONS(10908), 1,
      sym_keyword_not,
    ACTIONS(10912), 1,
      sym_keyword_rows,
    ACTIONS(10914), 1,
      sym_keyword_returns,
    ACTIONS(10922), 1,
      sym_keyword_leakproof,
    ACTIONS(10924), 1,
      sym_keyword_parallel,
    ACTIONS(10926), 1,
      sym_keyword_called,
    ACTIONS(10928), 1,
      sym_keyword_strict,
    ACTIONS(10930), 1,
      sym_keyword_cost,
    ACTIONS(10934), 1,
      sym_keyword_security,
    ACTIONS(10936), 1,
      sym_keyword_external,
    ACTIONS(11013), 1,
      sym_keyword_language,
    ACTIONS(11015), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10920), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11140), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6475), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [421369] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2093), 5,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(2095), 24,
      sym_keyword_set,
      sym_keyword_partition,
      sym_keyword_alter,
      sym_keyword_change,
      sym_keyword_modify,
      sym_keyword_drop,
      sym_keyword_add,
      sym_keyword_column,
      sym_keyword_as,
      sym_keyword_if,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_rename,
      sym_keyword_owner,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [421407] = 16,
    ACTIONS(10908), 1,
      sym_keyword_not,
    ACTIONS(10912), 1,
      sym_keyword_rows,
    ACTIONS(10914), 1,
      sym_keyword_returns,
    ACTIONS(10922), 1,
      sym_keyword_leakproof,
    ACTIONS(10924), 1,
      sym_keyword_parallel,
    ACTIONS(10926), 1,
      sym_keyword_called,
    ACTIONS(10928), 1,
      sym_keyword_strict,
    ACTIONS(10930), 1,
      sym_keyword_cost,
    ACTIONS(10934), 1,
      sym_keyword_security,
    ACTIONS(10936), 1,
      sym_keyword_external,
    ACTIONS(11013), 1,
      sym_keyword_language,
    ACTIONS(11015), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10920), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11142), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6505), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [421471] = 14,
    ACTIONS(11068), 1,
      sym_keyword_primary,
    ACTIONS(11070), 1,
      sym_keyword_as,
    ACTIONS(11072), 1,
      sym_keyword_constraint,
    ACTIONS(11074), 1,
      sym_keyword_not,
    ACTIONS(11078), 1,
      sym_keyword_generated,
    ACTIONS(11080), 1,
      sym_keyword_default,
    ACTIONS(11082), 1,
      sym_keyword_references,
    ACTIONS(11084), 1,
      sym_keyword_check,
    ACTIONS(11086), 1,
      sym_keyword_comment,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11066), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(10983), 5,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_first,
      sym_keyword_after,
      anon_sym_COMMA,
    ACTIONS(11144), 5,
      sym_keyword_auto_increment,
      sym_keyword_unique,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_null,
    STATE(6483), 8,
      sym__not_null,
      sym__primary_key,
      sym_direction,
      sym__column_comment,
      sym__column_constraint,
      sym__check_constraint,
      sym__default_expression,
      aux_sym_column_definition_repeat1,
  [421531] = 16,
    ACTIONS(10908), 1,
      sym_keyword_not,
    ACTIONS(10912), 1,
      sym_keyword_rows,
    ACTIONS(10914), 1,
      sym_keyword_returns,
    ACTIONS(10922), 1,
      sym_keyword_leakproof,
    ACTIONS(10924), 1,
      sym_keyword_parallel,
    ACTIONS(10926), 1,
      sym_keyword_called,
    ACTIONS(10928), 1,
      sym_keyword_strict,
    ACTIONS(10930), 1,
      sym_keyword_cost,
    ACTIONS(10934), 1,
      sym_keyword_security,
    ACTIONS(10936), 1,
      sym_keyword_external,
    ACTIONS(11013), 1,
      sym_keyword_language,
    ACTIONS(11015), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10920), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11088), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6490), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [421595] = 16,
    ACTIONS(10908), 1,
      sym_keyword_not,
    ACTIONS(10912), 1,
      sym_keyword_rows,
    ACTIONS(10914), 1,
      sym_keyword_returns,
    ACTIONS(10922), 1,
      sym_keyword_leakproof,
    ACTIONS(10924), 1,
      sym_keyword_parallel,
    ACTIONS(10926), 1,
      sym_keyword_called,
    ACTIONS(10928), 1,
      sym_keyword_strict,
    ACTIONS(10930), 1,
      sym_keyword_cost,
    ACTIONS(10934), 1,
      sym_keyword_security,
    ACTIONS(10936), 1,
      sym_keyword_external,
    ACTIONS(11013), 1,
      sym_keyword_language,
    ACTIONS(11015), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10920), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11146), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6507), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [421659] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11148), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [421695] = 16,
    ACTIONS(10908), 1,
      sym_keyword_not,
    ACTIONS(10912), 1,
      sym_keyword_rows,
    ACTIONS(10914), 1,
      sym_keyword_returns,
    ACTIONS(10922), 1,
      sym_keyword_leakproof,
    ACTIONS(10924), 1,
      sym_keyword_parallel,
    ACTIONS(10926), 1,
      sym_keyword_called,
    ACTIONS(10928), 1,
      sym_keyword_strict,
    ACTIONS(10930), 1,
      sym_keyword_cost,
    ACTIONS(10934), 1,
      sym_keyword_security,
    ACTIONS(10936), 1,
      sym_keyword_external,
    ACTIONS(11013), 1,
      sym_keyword_language,
    ACTIONS(11015), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10920), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11140), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6476), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [421759] = 16,
    ACTIONS(11150), 1,
      sym_keyword_not,
    ACTIONS(11152), 1,
      sym_keyword_rows,
    ACTIONS(11154), 1,
      sym_keyword_returns,
    ACTIONS(11156), 1,
      sym_keyword_language,
    ACTIONS(11160), 1,
      sym_keyword_leakproof,
    ACTIONS(11162), 1,
      sym_keyword_parallel,
    ACTIONS(11164), 1,
      sym_keyword_called,
    ACTIONS(11166), 1,
      sym_keyword_strict,
    ACTIONS(11168), 1,
      sym_keyword_cost,
    ACTIONS(11170), 1,
      sym_keyword_support,
    ACTIONS(11172), 1,
      sym_keyword_security,
    ACTIONS(11174), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11088), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11158), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6562), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [421822] = 5,
    ACTIONS(11176), 1,
      aux_sym__single_quote_string_token2,
    STATE(6535), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1351), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(1353), 19,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_cached,
      sym_keyword_uncached,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym_keyword_escaped,
      sym_keyword_lines,
      sym__identifier,
  [421863] = 16,
    ACTIONS(11150), 1,
      sym_keyword_not,
    ACTIONS(11152), 1,
      sym_keyword_rows,
    ACTIONS(11154), 1,
      sym_keyword_returns,
    ACTIONS(11156), 1,
      sym_keyword_language,
    ACTIONS(11160), 1,
      sym_keyword_leakproof,
    ACTIONS(11162), 1,
      sym_keyword_parallel,
    ACTIONS(11164), 1,
      sym_keyword_called,
    ACTIONS(11166), 1,
      sym_keyword_strict,
    ACTIONS(11168), 1,
      sym_keyword_cost,
    ACTIONS(11170), 1,
      sym_keyword_support,
    ACTIONS(11172), 1,
      sym_keyword_security,
    ACTIONS(11174), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11088), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11158), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6572), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [421926] = 16,
    ACTIONS(11150), 1,
      sym_keyword_not,
    ACTIONS(11152), 1,
      sym_keyword_rows,
    ACTIONS(11154), 1,
      sym_keyword_returns,
    ACTIONS(11156), 1,
      sym_keyword_language,
    ACTIONS(11160), 1,
      sym_keyword_leakproof,
    ACTIONS(11162), 1,
      sym_keyword_parallel,
    ACTIONS(11164), 1,
      sym_keyword_called,
    ACTIONS(11166), 1,
      sym_keyword_strict,
    ACTIONS(11168), 1,
      sym_keyword_cost,
    ACTIONS(11170), 1,
      sym_keyword_support,
    ACTIONS(11172), 1,
      sym_keyword_security,
    ACTIONS(11174), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11132), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11158), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6572), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [421989] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9104), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    ACTIONS(3558), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3556), 21,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [422028] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9106), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    ACTIONS(3558), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3556), 21,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [422067] = 16,
    ACTIONS(11150), 1,
      sym_keyword_not,
    ACTIONS(11152), 1,
      sym_keyword_rows,
    ACTIONS(11154), 1,
      sym_keyword_returns,
    ACTIONS(11156), 1,
      sym_keyword_language,
    ACTIONS(11160), 1,
      sym_keyword_leakproof,
    ACTIONS(11162), 1,
      sym_keyword_parallel,
    ACTIONS(11164), 1,
      sym_keyword_called,
    ACTIONS(11166), 1,
      sym_keyword_strict,
    ACTIONS(11168), 1,
      sym_keyword_cost,
    ACTIONS(11170), 1,
      sym_keyword_support,
    ACTIONS(11172), 1,
      sym_keyword_security,
    ACTIONS(11174), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11058), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11158), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6542), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [422130] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8810), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    ACTIONS(3558), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3556), 21,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [422169] = 16,
    ACTIONS(11150), 1,
      sym_keyword_not,
    ACTIONS(11152), 1,
      sym_keyword_rows,
    ACTIONS(11154), 1,
      sym_keyword_returns,
    ACTIONS(11156), 1,
      sym_keyword_language,
    ACTIONS(11160), 1,
      sym_keyword_leakproof,
    ACTIONS(11162), 1,
      sym_keyword_parallel,
    ACTIONS(11164), 1,
      sym_keyword_called,
    ACTIONS(11166), 1,
      sym_keyword_strict,
    ACTIONS(11168), 1,
      sym_keyword_cost,
    ACTIONS(11170), 1,
      sym_keyword_support,
    ACTIONS(11172), 1,
      sym_keyword_security,
    ACTIONS(11174), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11058), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11158), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6572), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [422232] = 16,
    ACTIONS(11150), 1,
      sym_keyword_not,
    ACTIONS(11152), 1,
      sym_keyword_rows,
    ACTIONS(11154), 1,
      sym_keyword_returns,
    ACTIONS(11156), 1,
      sym_keyword_language,
    ACTIONS(11160), 1,
      sym_keyword_leakproof,
    ACTIONS(11162), 1,
      sym_keyword_parallel,
    ACTIONS(11164), 1,
      sym_keyword_called,
    ACTIONS(11166), 1,
      sym_keyword_strict,
    ACTIONS(11168), 1,
      sym_keyword_cost,
    ACTIONS(11170), 1,
      sym_keyword_support,
    ACTIONS(11172), 1,
      sym_keyword_security,
    ACTIONS(11174), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11140), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11158), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6523), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [422295] = 16,
    ACTIONS(11150), 1,
      sym_keyword_not,
    ACTIONS(11152), 1,
      sym_keyword_rows,
    ACTIONS(11154), 1,
      sym_keyword_returns,
    ACTIONS(11156), 1,
      sym_keyword_language,
    ACTIONS(11160), 1,
      sym_keyword_leakproof,
    ACTIONS(11162), 1,
      sym_keyword_parallel,
    ACTIONS(11164), 1,
      sym_keyword_called,
    ACTIONS(11166), 1,
      sym_keyword_strict,
    ACTIONS(11168), 1,
      sym_keyword_cost,
    ACTIONS(11170), 1,
      sym_keyword_support,
    ACTIONS(11172), 1,
      sym_keyword_security,
    ACTIONS(11174), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11140), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11158), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6572), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [422358] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9765), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    ACTIONS(3558), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3556), 21,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [422397] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9762), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    ACTIONS(3558), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3556), 21,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [422436] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9107), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    ACTIONS(3558), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3556), 21,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [422475] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9752), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    ACTIONS(3558), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3556), 21,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [422514] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9743), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    ACTIONS(3558), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3556), 21,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [422553] = 4,
    ACTIONS(11178), 1,
      anon_sym_LPAREN,
    STATE(6590), 1,
      sym__column_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10896), 26,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_COMMA,
  [422592] = 16,
    ACTIONS(11150), 1,
      sym_keyword_not,
    ACTIONS(11152), 1,
      sym_keyword_rows,
    ACTIONS(11154), 1,
      sym_keyword_returns,
    ACTIONS(11156), 1,
      sym_keyword_language,
    ACTIONS(11160), 1,
      sym_keyword_leakproof,
    ACTIONS(11162), 1,
      sym_keyword_parallel,
    ACTIONS(11164), 1,
      sym_keyword_called,
    ACTIONS(11166), 1,
      sym_keyword_strict,
    ACTIONS(11168), 1,
      sym_keyword_cost,
    ACTIONS(11170), 1,
      sym_keyword_support,
    ACTIONS(11172), 1,
      sym_keyword_security,
    ACTIONS(11174), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11090), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11158), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6554), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [422655] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9735), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    ACTIONS(3558), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3556), 21,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [422694] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9689), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    ACTIONS(3558), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3556), 21,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [422733] = 5,
    ACTIONS(11180), 1,
      aux_sym__single_quote_string_token2,
    STATE(6535), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1357), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(1359), 19,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_cached,
      sym_keyword_uncached,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym_keyword_escaped,
      sym_keyword_lines,
      sym__identifier,
  [422774] = 16,
    ACTIONS(11150), 1,
      sym_keyword_not,
    ACTIONS(11152), 1,
      sym_keyword_rows,
    ACTIONS(11154), 1,
      sym_keyword_returns,
    ACTIONS(11156), 1,
      sym_keyword_language,
    ACTIONS(11160), 1,
      sym_keyword_leakproof,
    ACTIONS(11162), 1,
      sym_keyword_parallel,
    ACTIONS(11164), 1,
      sym_keyword_called,
    ACTIONS(11166), 1,
      sym_keyword_strict,
    ACTIONS(11168), 1,
      sym_keyword_cost,
    ACTIONS(11170), 1,
      sym_keyword_support,
    ACTIONS(11172), 1,
      sym_keyword_security,
    ACTIONS(11174), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11146), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11158), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6525), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [422837] = 16,
    ACTIONS(11150), 1,
      sym_keyword_not,
    ACTIONS(11152), 1,
      sym_keyword_rows,
    ACTIONS(11154), 1,
      sym_keyword_returns,
    ACTIONS(11156), 1,
      sym_keyword_language,
    ACTIONS(11160), 1,
      sym_keyword_leakproof,
    ACTIONS(11162), 1,
      sym_keyword_parallel,
    ACTIONS(11164), 1,
      sym_keyword_called,
    ACTIONS(11166), 1,
      sym_keyword_strict,
    ACTIONS(11168), 1,
      sym_keyword_cost,
    ACTIONS(11170), 1,
      sym_keyword_support,
    ACTIONS(11172), 1,
      sym_keyword_security,
    ACTIONS(11174), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11136), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11158), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6566), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [422900] = 16,
    ACTIONS(11150), 1,
      sym_keyword_not,
    ACTIONS(11152), 1,
      sym_keyword_rows,
    ACTIONS(11154), 1,
      sym_keyword_returns,
    ACTIONS(11156), 1,
      sym_keyword_language,
    ACTIONS(11160), 1,
      sym_keyword_leakproof,
    ACTIONS(11162), 1,
      sym_keyword_parallel,
    ACTIONS(11164), 1,
      sym_keyword_called,
    ACTIONS(11166), 1,
      sym_keyword_strict,
    ACTIONS(11168), 1,
      sym_keyword_cost,
    ACTIONS(11170), 1,
      sym_keyword_support,
    ACTIONS(11172), 1,
      sym_keyword_security,
    ACTIONS(11174), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11142), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11158), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6556), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [422963] = 16,
    ACTIONS(11150), 1,
      sym_keyword_not,
    ACTIONS(11152), 1,
      sym_keyword_rows,
    ACTIONS(11154), 1,
      sym_keyword_returns,
    ACTIONS(11156), 1,
      sym_keyword_language,
    ACTIONS(11160), 1,
      sym_keyword_leakproof,
    ACTIONS(11162), 1,
      sym_keyword_parallel,
    ACTIONS(11164), 1,
      sym_keyword_called,
    ACTIONS(11166), 1,
      sym_keyword_strict,
    ACTIONS(11168), 1,
      sym_keyword_cost,
    ACTIONS(11170), 1,
      sym_keyword_support,
    ACTIONS(11172), 1,
      sym_keyword_security,
    ACTIONS(11174), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11011), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11158), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6549), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [423026] = 7,
    ACTIONS(337), 1,
      sym__identifier,
    ACTIONS(11187), 1,
      sym_keyword_as,
    STATE(6660), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(11183), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
    ACTIONS(11185), 20,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [423071] = 3,
    ACTIONS(11191), 1,
      sym_keyword_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11189), 27,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_select,
      sym_keyword_values,
      sym_keyword_set,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [423108] = 16,
    ACTIONS(11150), 1,
      sym_keyword_not,
    ACTIONS(11152), 1,
      sym_keyword_rows,
    ACTIONS(11154), 1,
      sym_keyword_returns,
    ACTIONS(11156), 1,
      sym_keyword_language,
    ACTIONS(11160), 1,
      sym_keyword_leakproof,
    ACTIONS(11162), 1,
      sym_keyword_parallel,
    ACTIONS(11164), 1,
      sym_keyword_called,
    ACTIONS(11166), 1,
      sym_keyword_strict,
    ACTIONS(11168), 1,
      sym_keyword_cost,
    ACTIONS(11170), 1,
      sym_keyword_support,
    ACTIONS(11172), 1,
      sym_keyword_security,
    ACTIONS(11174), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11062), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11158), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6572), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [423171] = 3,
    ACTIONS(11195), 1,
      sym_keyword_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11193), 27,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_select,
      sym_keyword_values,
      sym_keyword_set,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [423208] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8783), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    ACTIONS(3558), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3556), 21,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [423247] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9228), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    ACTIONS(3558), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3556), 21,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [423286] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9229), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    ACTIONS(3558), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3556), 21,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [423325] = 16,
    ACTIONS(11150), 1,
      sym_keyword_not,
    ACTIONS(11152), 1,
      sym_keyword_rows,
    ACTIONS(11154), 1,
      sym_keyword_returns,
    ACTIONS(11156), 1,
      sym_keyword_language,
    ACTIONS(11160), 1,
      sym_keyword_leakproof,
    ACTIONS(11162), 1,
      sym_keyword_parallel,
    ACTIONS(11164), 1,
      sym_keyword_called,
    ACTIONS(11166), 1,
      sym_keyword_strict,
    ACTIONS(11168), 1,
      sym_keyword_cost,
    ACTIONS(11170), 1,
      sym_keyword_support,
    ACTIONS(11172), 1,
      sym_keyword_security,
    ACTIONS(11174), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11060), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11158), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6572), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [423388] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8784), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    ACTIONS(3558), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3556), 21,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [423427] = 16,
    ACTIONS(11150), 1,
      sym_keyword_not,
    ACTIONS(11152), 1,
      sym_keyword_rows,
    ACTIONS(11154), 1,
      sym_keyword_returns,
    ACTIONS(11156), 1,
      sym_keyword_language,
    ACTIONS(11160), 1,
      sym_keyword_leakproof,
    ACTIONS(11162), 1,
      sym_keyword_parallel,
    ACTIONS(11164), 1,
      sym_keyword_called,
    ACTIONS(11166), 1,
      sym_keyword_strict,
    ACTIONS(11168), 1,
      sym_keyword_cost,
    ACTIONS(11170), 1,
      sym_keyword_support,
    ACTIONS(11172), 1,
      sym_keyword_security,
    ACTIONS(11174), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11130), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11158), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6572), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [423490] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10880), 28,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_LPAREN,
      anon_sym_COMMA,
  [423525] = 5,
    ACTIONS(11197), 1,
      aux_sym__single_quote_string_token2,
    STATE(6516), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1364), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(1366), 19,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_cached,
      sym_keyword_uncached,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym_keyword_escaped,
      sym_keyword_lines,
      sym__identifier,
  [423566] = 16,
    ACTIONS(11150), 1,
      sym_keyword_not,
    ACTIONS(11152), 1,
      sym_keyword_rows,
    ACTIONS(11154), 1,
      sym_keyword_returns,
    ACTIONS(11156), 1,
      sym_keyword_language,
    ACTIONS(11160), 1,
      sym_keyword_leakproof,
    ACTIONS(11162), 1,
      sym_keyword_parallel,
    ACTIONS(11164), 1,
      sym_keyword_called,
    ACTIONS(11166), 1,
      sym_keyword_strict,
    ACTIONS(11168), 1,
      sym_keyword_cost,
    ACTIONS(11170), 1,
      sym_keyword_support,
    ACTIONS(11172), 1,
      sym_keyword_security,
    ACTIONS(11174), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11062), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11158), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6518), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [423629] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8916), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    ACTIONS(3558), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3556), 21,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [423668] = 16,
    ACTIONS(11150), 1,
      sym_keyword_not,
    ACTIONS(11152), 1,
      sym_keyword_rows,
    ACTIONS(11154), 1,
      sym_keyword_returns,
    ACTIONS(11156), 1,
      sym_keyword_language,
    ACTIONS(11160), 1,
      sym_keyword_leakproof,
    ACTIONS(11162), 1,
      sym_keyword_parallel,
    ACTIONS(11164), 1,
      sym_keyword_called,
    ACTIONS(11166), 1,
      sym_keyword_strict,
    ACTIONS(11168), 1,
      sym_keyword_cost,
    ACTIONS(11170), 1,
      sym_keyword_support,
    ACTIONS(11172), 1,
      sym_keyword_security,
    ACTIONS(11174), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11064), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11158), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6572), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [423731] = 16,
    ACTIONS(11150), 1,
      sym_keyword_not,
    ACTIONS(11152), 1,
      sym_keyword_rows,
    ACTIONS(11154), 1,
      sym_keyword_returns,
    ACTIONS(11156), 1,
      sym_keyword_language,
    ACTIONS(11160), 1,
      sym_keyword_leakproof,
    ACTIONS(11162), 1,
      sym_keyword_parallel,
    ACTIONS(11164), 1,
      sym_keyword_called,
    ACTIONS(11166), 1,
      sym_keyword_strict,
    ACTIONS(11168), 1,
      sym_keyword_cost,
    ACTIONS(11170), 1,
      sym_keyword_support,
    ACTIONS(11172), 1,
      sym_keyword_security,
    ACTIONS(11174), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11134), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11158), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6572), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [423794] = 16,
    ACTIONS(11150), 1,
      sym_keyword_not,
    ACTIONS(11152), 1,
      sym_keyword_rows,
    ACTIONS(11154), 1,
      sym_keyword_returns,
    ACTIONS(11156), 1,
      sym_keyword_language,
    ACTIONS(11160), 1,
      sym_keyword_leakproof,
    ACTIONS(11162), 1,
      sym_keyword_parallel,
    ACTIONS(11164), 1,
      sym_keyword_called,
    ACTIONS(11166), 1,
      sym_keyword_strict,
    ACTIONS(11168), 1,
      sym_keyword_cost,
    ACTIONS(11170), 1,
      sym_keyword_support,
    ACTIONS(11172), 1,
      sym_keyword_security,
    ACTIONS(11174), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11011), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11158), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6572), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [423857] = 16,
    ACTIONS(11150), 1,
      sym_keyword_not,
    ACTIONS(11152), 1,
      sym_keyword_rows,
    ACTIONS(11154), 1,
      sym_keyword_returns,
    ACTIONS(11156), 1,
      sym_keyword_language,
    ACTIONS(11160), 1,
      sym_keyword_leakproof,
    ACTIONS(11162), 1,
      sym_keyword_parallel,
    ACTIONS(11164), 1,
      sym_keyword_called,
    ACTIONS(11166), 1,
      sym_keyword_strict,
    ACTIONS(11168), 1,
      sym_keyword_cost,
    ACTIONS(11170), 1,
      sym_keyword_support,
    ACTIONS(11172), 1,
      sym_keyword_security,
    ACTIONS(11174), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11064), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11158), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6555), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [423920] = 4,
    ACTIONS(11178), 1,
      anon_sym_LPAREN,
    STATE(6598), 1,
      sym__column_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10900), 26,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_COMMA,
  [423959] = 4,
    ACTIONS(11178), 1,
      anon_sym_LPAREN,
    STATE(6597), 1,
      sym__column_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10900), 26,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_COMMA,
  [423998] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10890), 28,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_LPAREN,
      anon_sym_COMMA,
  [424033] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8808), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    ACTIONS(3558), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3556), 21,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [424072] = 16,
    ACTIONS(11150), 1,
      sym_keyword_not,
    ACTIONS(11152), 1,
      sym_keyword_rows,
    ACTIONS(11154), 1,
      sym_keyword_returns,
    ACTIONS(11156), 1,
      sym_keyword_language,
    ACTIONS(11160), 1,
      sym_keyword_leakproof,
    ACTIONS(11162), 1,
      sym_keyword_parallel,
    ACTIONS(11164), 1,
      sym_keyword_called,
    ACTIONS(11166), 1,
      sym_keyword_strict,
    ACTIONS(11168), 1,
      sym_keyword_cost,
    ACTIONS(11170), 1,
      sym_keyword_support,
    ACTIONS(11172), 1,
      sym_keyword_security,
    ACTIONS(11174), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11060), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11158), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6572), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [424135] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8812), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    ACTIONS(3558), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3556), 21,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [424174] = 4,
    ACTIONS(6783), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3372), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3370), 22,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [424213] = 17,
    ACTIONS(11019), 1,
      sym_keyword_not,
    ACTIONS(11022), 1,
      sym_keyword_rows,
    ACTIONS(11025), 1,
      sym_keyword_returns,
    ACTIONS(11034), 1,
      sym_keyword_leakproof,
    ACTIONS(11037), 1,
      sym_keyword_parallel,
    ACTIONS(11040), 1,
      sym_keyword_called,
    ACTIONS(11043), 1,
      sym_keyword_strict,
    ACTIONS(11046), 1,
      sym_keyword_cost,
    ACTIONS(11052), 1,
      sym_keyword_security,
    ACTIONS(11055), 1,
      sym_keyword_external,
    ACTIONS(11199), 1,
      sym_keyword_return,
    ACTIONS(11201), 1,
      sym_keyword_language,
    ACTIONS(11204), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11017), 2,
      sym_keyword_as,
      sym_keyword_begin,
    ACTIONS(11031), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6565), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [424278] = 16,
    ACTIONS(11150), 1,
      sym_keyword_not,
    ACTIONS(11152), 1,
      sym_keyword_rows,
    ACTIONS(11154), 1,
      sym_keyword_returns,
    ACTIONS(11156), 1,
      sym_keyword_language,
    ACTIONS(11160), 1,
      sym_keyword_leakproof,
    ACTIONS(11162), 1,
      sym_keyword_parallel,
    ACTIONS(11164), 1,
      sym_keyword_called,
    ACTIONS(11166), 1,
      sym_keyword_strict,
    ACTIONS(11168), 1,
      sym_keyword_cost,
    ACTIONS(11170), 1,
      sym_keyword_support,
    ACTIONS(11172), 1,
      sym_keyword_security,
    ACTIONS(11174), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11088), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11158), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6572), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [424341] = 3,
    ACTIONS(11209), 1,
      sym_keyword_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11207), 27,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_select,
      sym_keyword_values,
      sym_keyword_set,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [424378] = 16,
    ACTIONS(11150), 1,
      sym_keyword_not,
    ACTIONS(11152), 1,
      sym_keyword_rows,
    ACTIONS(11154), 1,
      sym_keyword_returns,
    ACTIONS(11156), 1,
      sym_keyword_language,
    ACTIONS(11160), 1,
      sym_keyword_leakproof,
    ACTIONS(11162), 1,
      sym_keyword_parallel,
    ACTIONS(11164), 1,
      sym_keyword_called,
    ACTIONS(11166), 1,
      sym_keyword_strict,
    ACTIONS(11168), 1,
      sym_keyword_cost,
    ACTIONS(11170), 1,
      sym_keyword_support,
    ACTIONS(11172), 1,
      sym_keyword_security,
    ACTIONS(11174), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11088), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11158), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6547), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [424441] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11092), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [424476] = 16,
    ACTIONS(11150), 1,
      sym_keyword_not,
    ACTIONS(11152), 1,
      sym_keyword_rows,
    ACTIONS(11154), 1,
      sym_keyword_returns,
    ACTIONS(11156), 1,
      sym_keyword_language,
    ACTIONS(11160), 1,
      sym_keyword_leakproof,
    ACTIONS(11162), 1,
      sym_keyword_parallel,
    ACTIONS(11164), 1,
      sym_keyword_called,
    ACTIONS(11166), 1,
      sym_keyword_strict,
    ACTIONS(11168), 1,
      sym_keyword_cost,
    ACTIONS(11170), 1,
      sym_keyword_support,
    ACTIONS(11172), 1,
      sym_keyword_security,
    ACTIONS(11174), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11136), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11158), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6517), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [424539] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8869), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    ACTIONS(3558), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3556), 21,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [424578] = 16,
    ACTIONS(11211), 1,
      sym_keyword_not,
    ACTIONS(11214), 1,
      sym_keyword_rows,
    ACTIONS(11217), 1,
      sym_keyword_returns,
    ACTIONS(11220), 1,
      sym_keyword_language,
    ACTIONS(11226), 1,
      sym_keyword_leakproof,
    ACTIONS(11229), 1,
      sym_keyword_parallel,
    ACTIONS(11232), 1,
      sym_keyword_called,
    ACTIONS(11235), 1,
      sym_keyword_strict,
    ACTIONS(11238), 1,
      sym_keyword_cost,
    ACTIONS(11241), 1,
      sym_keyword_support,
    ACTIONS(11244), 1,
      sym_keyword_security,
    ACTIONS(11247), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11017), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11223), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6572), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [424641] = 8,
    ACTIONS(2801), 1,
      sym_keyword_as,
    ACTIONS(11250), 1,
      sym_keyword_array,
    ACTIONS(11252), 1,
      anon_sym_LBRACK,
    STATE(289), 1,
      sym_array_size_definition,
    STATE(290), 1,
      sym__array_size_definition,
    STATE(6630), 1,
      aux_sym_array_size_definition_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2799), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [424687] = 5,
    ACTIONS(11254), 1,
      aux_sym__single_quote_string_token2,
    STATE(6574), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1357), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(1359), 19,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_cached,
      sym_keyword_uncached,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym_keyword_escaped,
      sym_keyword_lines,
      sym__identifier,
  [424727] = 19,
    ACTIONS(8855), 1,
      sym_keyword_cross,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(10760), 1,
      sym_keyword_left,
    ACTIONS(10764), 1,
      sym_keyword_inner,
    ACTIONS(10766), 1,
      sym_keyword_join,
    ACTIONS(10768), 1,
      sym_keyword_natural,
    ACTIONS(10770), 1,
      sym_keyword_where,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(10774), 1,
      sym_keyword_group,
    ACTIONS(10776), 1,
      sym_keyword_window,
    STATE(7338), 1,
      sym_order_by,
    STATE(7408), 1,
      sym_where,
    STATE(7559), 1,
      sym_group_by,
    STATE(7585), 1,
      sym_limit,
    STATE(7845), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10762), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(8847), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(6754), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
  [424795] = 19,
    ACTIONS(8855), 1,
      sym_keyword_cross,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(10760), 1,
      sym_keyword_left,
    ACTIONS(10764), 1,
      sym_keyword_inner,
    ACTIONS(10766), 1,
      sym_keyword_join,
    ACTIONS(10768), 1,
      sym_keyword_natural,
    ACTIONS(10770), 1,
      sym_keyword_where,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(10774), 1,
      sym_keyword_group,
    ACTIONS(10776), 1,
      sym_keyword_window,
    STATE(7387), 1,
      sym_where,
    STATE(7391), 1,
      sym_order_by,
    STATE(7555), 1,
      sym_limit,
    STATE(7578), 1,
      sym_group_by,
    STATE(7849), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10762), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(8883), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(6754), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
  [424863] = 5,
    ACTIONS(10902), 1,
      sym_keyword_preceding,
    ACTIONS(10904), 1,
      sym_keyword_following,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3372), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3370), 20,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [424903] = 19,
    ACTIONS(8855), 1,
      sym_keyword_cross,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(10760), 1,
      sym_keyword_left,
    ACTIONS(10764), 1,
      sym_keyword_inner,
    ACTIONS(10766), 1,
      sym_keyword_join,
    ACTIONS(10768), 1,
      sym_keyword_natural,
    ACTIONS(10770), 1,
      sym_keyword_where,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(10774), 1,
      sym_keyword_group,
    ACTIONS(10776), 1,
      sym_keyword_window,
    STATE(7338), 1,
      sym_order_by,
    STATE(7408), 1,
      sym_where,
    STATE(7559), 1,
      sym_group_by,
    STATE(7585), 1,
      sym_limit,
    STATE(7845), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10762), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(8847), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(6589), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
  [424971] = 5,
    ACTIONS(11257), 1,
      sym_keyword_preceding,
    ACTIONS(11259), 1,
      sym_keyword_following,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3522), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3520), 20,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [425011] = 7,
    ACTIONS(277), 1,
      sym__identifier,
    ACTIONS(11261), 1,
      sym_keyword_as,
    STATE(6755), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(335), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(11183), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(11185), 20,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [425055] = 8,
    ACTIONS(2791), 1,
      sym_keyword_as,
    ACTIONS(11250), 1,
      sym_keyword_array,
    ACTIONS(11252), 1,
      anon_sym_LBRACK,
    STATE(287), 1,
      sym_array_size_definition,
    STATE(290), 1,
      sym__array_size_definition,
    STATE(6630), 1,
      aux_sym_array_size_definition_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2789), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [425101] = 5,
    ACTIONS(11263), 1,
      aux_sym__single_quote_string_token2,
    STATE(6584), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1364), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(1366), 19,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_cached,
      sym_keyword_uncached,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym_keyword_escaped,
      sym_keyword_lines,
      sym__identifier,
  [425141] = 19,
    ACTIONS(8855), 1,
      sym_keyword_cross,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(10760), 1,
      sym_keyword_left,
    ACTIONS(10764), 1,
      sym_keyword_inner,
    ACTIONS(10766), 1,
      sym_keyword_join,
    ACTIONS(10768), 1,
      sym_keyword_natural,
    ACTIONS(10770), 1,
      sym_keyword_where,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(10774), 1,
      sym_keyword_group,
    ACTIONS(10776), 1,
      sym_keyword_window,
    STATE(7265), 1,
      sym_order_by,
    STATE(7366), 1,
      sym_where,
    STATE(7545), 1,
      sym_group_by,
    STATE(7591), 1,
      sym_limit,
    STATE(7904), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10762), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(10888), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(6754), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
  [425209] = 5,
    ACTIONS(11265), 1,
      aux_sym__single_quote_string_token2,
    STATE(6574), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1351), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(1353), 19,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_cached,
      sym_keyword_uncached,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym_keyword_escaped,
      sym_keyword_lines,
      sym__identifier,
  [425249] = 19,
    ACTIONS(8855), 1,
      sym_keyword_cross,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(10760), 1,
      sym_keyword_left,
    ACTIONS(10764), 1,
      sym_keyword_inner,
    ACTIONS(10766), 1,
      sym_keyword_join,
    ACTIONS(10768), 1,
      sym_keyword_natural,
    ACTIONS(10770), 1,
      sym_keyword_where,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(10774), 1,
      sym_keyword_group,
    ACTIONS(10776), 1,
      sym_keyword_window,
    STATE(7387), 1,
      sym_where,
    STATE(7391), 1,
      sym_order_by,
    STATE(7555), 1,
      sym_limit,
    STATE(7578), 1,
      sym_group_by,
    STATE(7849), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10762), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(8883), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(6575), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
  [425317] = 9,
    ACTIONS(11269), 1,
      sym_keyword_left,
    ACTIONS(11275), 1,
      sym_keyword_inner,
    ACTIONS(11278), 1,
      sym_keyword_cross,
    ACTIONS(11281), 1,
      sym_keyword_join,
    ACTIONS(11284), 1,
      sym_keyword_natural,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11272), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6586), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(11267), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [425365] = 19,
    ACTIONS(8855), 1,
      sym_keyword_cross,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(10760), 1,
      sym_keyword_left,
    ACTIONS(10764), 1,
      sym_keyword_inner,
    ACTIONS(10766), 1,
      sym_keyword_join,
    ACTIONS(10768), 1,
      sym_keyword_natural,
    ACTIONS(10770), 1,
      sym_keyword_where,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(10774), 1,
      sym_keyword_group,
    ACTIONS(10776), 1,
      sym_keyword_window,
    STATE(7375), 1,
      sym_where,
    STATE(7400), 1,
      sym_order_by,
    STATE(7564), 1,
      sym_group_by,
    STATE(7593), 1,
      sym_limit,
    STATE(7888), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10762), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(10894), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(6583), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
  [425433] = 4,
    ACTIONS(11287), 1,
      anon_sym_COMMA,
    STATE(6588), 1,
      aux_sym__mysql_update_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11092), 25,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [425471] = 19,
    ACTIONS(8855), 1,
      sym_keyword_cross,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(10760), 1,
      sym_keyword_left,
    ACTIONS(10764), 1,
      sym_keyword_inner,
    ACTIONS(10766), 1,
      sym_keyword_join,
    ACTIONS(10768), 1,
      sym_keyword_natural,
    ACTIONS(10770), 1,
      sym_keyword_where,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(10774), 1,
      sym_keyword_group,
    ACTIONS(10776), 1,
      sym_keyword_window,
    STATE(7375), 1,
      sym_where,
    STATE(7400), 1,
      sym_order_by,
    STATE(7564), 1,
      sym_group_by,
    STATE(7593), 1,
      sym_limit,
    STATE(7888), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10762), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(10894), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(6754), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
  [425539] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11148), 26,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_COMMA,
  [425572] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11292), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11290), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [425607] = 8,
    ACTIONS(2801), 1,
      sym_keyword_as,
    ACTIONS(11294), 1,
      sym_keyword_array,
    ACTIONS(11296), 1,
      anon_sym_LBRACK,
    STATE(915), 1,
      sym__array_size_definition,
    STATE(940), 1,
      sym_array_size_definition,
    STATE(6653), 1,
      aux_sym_array_size_definition_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2799), 20,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [425652] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1370), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(1372), 19,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_cached,
      sym_keyword_uncached,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym_keyword_escaped,
      sym_keyword_lines,
      sym__identifier,
  [425687] = 19,
    ACTIONS(9080), 1,
      sym_keyword_cross,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(9096), 1,
      sym_keyword_window,
    ACTIONS(10850), 1,
      sym_keyword_left,
    ACTIONS(10854), 1,
      sym_keyword_inner,
    ACTIONS(10856), 1,
      sym_keyword_join,
    ACTIONS(10858), 1,
      sym_keyword_natural,
    ACTIONS(10860), 1,
      sym_keyword_where,
    ACTIONS(10862), 1,
      sym_keyword_order,
    ACTIONS(10864), 1,
      sym_keyword_group,
    STATE(7420), 1,
      sym_order_by,
    STATE(7486), 1,
      sym_where,
    STATE(7643), 1,
      sym_limit,
    STATE(7667), 1,
      sym_group_by,
    STATE(8081), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10852), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(10894), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
    STATE(6863), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
  [425754] = 4,
    ACTIONS(11298), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3372), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3370), 20,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [425791] = 8,
    ACTIONS(2791), 1,
      sym_keyword_as,
    ACTIONS(11294), 1,
      sym_keyword_array,
    ACTIONS(11296), 1,
      anon_sym_LBRACK,
    STATE(915), 1,
      sym__array_size_definition,
    STATE(927), 1,
      sym_array_size_definition,
    STATE(6653), 1,
      aux_sym_array_size_definition_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2789), 20,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [425836] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11138), 26,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_COMMA,
  [425869] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11138), 26,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_COMMA,
  [425902] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11092), 26,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_COMMA,
  [425935] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11302), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11300), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [425970] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11306), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11304), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [426005] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11310), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11308), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [426040] = 4,
    ACTIONS(11312), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3372), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3370), 20,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [426077] = 4,
    ACTIONS(11314), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3372), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3370), 20,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [426114] = 19,
    ACTIONS(9080), 1,
      sym_keyword_cross,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(9096), 1,
      sym_keyword_window,
    ACTIONS(10850), 1,
      sym_keyword_left,
    ACTIONS(10854), 1,
      sym_keyword_inner,
    ACTIONS(10856), 1,
      sym_keyword_join,
    ACTIONS(10858), 1,
      sym_keyword_natural,
    ACTIONS(10860), 1,
      sym_keyword_where,
    ACTIONS(10862), 1,
      sym_keyword_order,
    ACTIONS(10864), 1,
      sym_keyword_group,
    STATE(7493), 1,
      sym_where,
    STATE(7511), 1,
      sym_order_by,
    STATE(7669), 1,
      sym_group_by,
    STATE(7686), 1,
      sym_limit,
    STATE(8080), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10852), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(10888), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
    STATE(6863), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
  [426181] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3558), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3556), 21,
      sym_keyword_then,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [426216] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7301), 26,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_COMMA,
  [426249] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7338), 26,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_COMMA,
  [426282] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11318), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11316), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [426317] = 9,
    ACTIONS(11320), 1,
      sym_keyword_left,
    ACTIONS(11326), 1,
      sym_keyword_inner,
    ACTIONS(11329), 1,
      sym_keyword_cross,
    ACTIONS(11332), 1,
      sym_keyword_join,
    ACTIONS(11335), 1,
      sym_keyword_natural,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11323), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6610), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(11267), 14,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [426364] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3558), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3556), 21,
      sym_keyword_then,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [426399] = 4,
    ACTIONS(11338), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3372), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3370), 20,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [426436] = 19,
    ACTIONS(9080), 1,
      sym_keyword_cross,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(9096), 1,
      sym_keyword_window,
    ACTIONS(10850), 1,
      sym_keyword_left,
    ACTIONS(10854), 1,
      sym_keyword_inner,
    ACTIONS(10856), 1,
      sym_keyword_join,
    ACTIONS(10858), 1,
      sym_keyword_natural,
    ACTIONS(10860), 1,
      sym_keyword_where,
    ACTIONS(10862), 1,
      sym_keyword_order,
    ACTIONS(10864), 1,
      sym_keyword_group,
    STATE(7476), 1,
      sym_order_by,
    STATE(7482), 1,
      sym_where,
    STATE(7664), 1,
      sym_group_by,
    STATE(7707), 1,
      sym_limit,
    STATE(8087), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10852), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(8883), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
    STATE(6616), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
  [426503] = 19,
    ACTIONS(9080), 1,
      sym_keyword_cross,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(9096), 1,
      sym_keyword_window,
    ACTIONS(10850), 1,
      sym_keyword_left,
    ACTIONS(10854), 1,
      sym_keyword_inner,
    ACTIONS(10856), 1,
      sym_keyword_join,
    ACTIONS(10858), 1,
      sym_keyword_natural,
    ACTIONS(10860), 1,
      sym_keyword_where,
    ACTIONS(10862), 1,
      sym_keyword_order,
    ACTIONS(10864), 1,
      sym_keyword_group,
    STATE(7476), 1,
      sym_order_by,
    STATE(7482), 1,
      sym_where,
    STATE(7664), 1,
      sym_group_by,
    STATE(7707), 1,
      sym_limit,
    STATE(8087), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10852), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(8883), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
    STATE(6863), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
  [426570] = 19,
    ACTIONS(9080), 1,
      sym_keyword_cross,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(9096), 1,
      sym_keyword_window,
    ACTIONS(10850), 1,
      sym_keyword_left,
    ACTIONS(10854), 1,
      sym_keyword_inner,
    ACTIONS(10856), 1,
      sym_keyword_join,
    ACTIONS(10858), 1,
      sym_keyword_natural,
    ACTIONS(10860), 1,
      sym_keyword_where,
    ACTIONS(10862), 1,
      sym_keyword_order,
    ACTIONS(10864), 1,
      sym_keyword_group,
    STATE(7442), 1,
      sym_order_by,
    STATE(7484), 1,
      sym_where,
    STATE(7611), 1,
      sym_limit,
    STATE(7665), 1,
      sym_group_by,
    STATE(8085), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10852), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(8847), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
    STATE(6594), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
  [426637] = 19,
    ACTIONS(9080), 1,
      sym_keyword_cross,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(9096), 1,
      sym_keyword_window,
    ACTIONS(10850), 1,
      sym_keyword_left,
    ACTIONS(10854), 1,
      sym_keyword_inner,
    ACTIONS(10856), 1,
      sym_keyword_join,
    ACTIONS(10858), 1,
      sym_keyword_natural,
    ACTIONS(10860), 1,
      sym_keyword_where,
    ACTIONS(10862), 1,
      sym_keyword_order,
    ACTIONS(10864), 1,
      sym_keyword_group,
    STATE(7442), 1,
      sym_order_by,
    STATE(7484), 1,
      sym_where,
    STATE(7611), 1,
      sym_limit,
    STATE(7665), 1,
      sym_group_by,
    STATE(8085), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10852), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(8847), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
    STATE(6863), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
  [426704] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11342), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11340), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [426739] = 19,
    ACTIONS(9080), 1,
      sym_keyword_cross,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(9096), 1,
      sym_keyword_window,
    ACTIONS(10850), 1,
      sym_keyword_left,
    ACTIONS(10854), 1,
      sym_keyword_inner,
    ACTIONS(10856), 1,
      sym_keyword_join,
    ACTIONS(10858), 1,
      sym_keyword_natural,
    ACTIONS(10860), 1,
      sym_keyword_where,
    ACTIONS(10862), 1,
      sym_keyword_order,
    ACTIONS(10864), 1,
      sym_keyword_group,
    STATE(7420), 1,
      sym_order_by,
    STATE(7486), 1,
      sym_where,
    STATE(7643), 1,
      sym_limit,
    STATE(7667), 1,
      sym_group_by,
    STATE(8081), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10852), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(10894), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
    STATE(6605), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
  [426806] = 9,
    ACTIONS(11278), 1,
      sym_keyword_cross,
    ACTIONS(11344), 1,
      sym_keyword_left,
    ACTIONS(11350), 1,
      sym_keyword_inner,
    ACTIONS(11353), 1,
      sym_keyword_join,
    ACTIONS(11356), 1,
      sym_keyword_natural,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11347), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6619), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(11267), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      anon_sym_RPAREN,
  [426852] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11359), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [426884] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11361), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [426916] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11363), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [426948] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11365), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [426980] = 4,
    ACTIONS(55), 1,
      sym_keyword_as,
    ACTIONS(11367), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(109), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [427016] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1370), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(1372), 19,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_cached,
      sym_keyword_uncached,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym_keyword_escaped,
      sym_keyword_lines,
      sym__identifier,
  [427050] = 24,
    ACTIONS(11371), 1,
      sym_keyword_table,
    ACTIONS(11373), 1,
      sym_keyword_view,
    ACTIONS(11375), 1,
      sym_keyword_materialized,
    ACTIONS(11377), 1,
      sym_keyword_sequence,
    ACTIONS(11379), 1,
      sym_keyword_constraint,
    ACTIONS(11381), 1,
      sym_keyword_or,
    ACTIONS(11383), 1,
      sym_keyword_index,
    ACTIONS(11385), 1,
      sym_keyword_type,
    ACTIONS(11387), 1,
      sym_keyword_database,
    ACTIONS(11389), 1,
      sym_keyword_schema,
    ACTIONS(11391), 1,
      sym_keyword_temp,
    ACTIONS(11393), 1,
      sym_keyword_temporary,
    ACTIONS(11395), 1,
      sym_keyword_unlogged,
    ACTIONS(11397), 1,
      sym_keyword_unique,
    ACTIONS(11399), 1,
      sym_keyword_recursive,
    ACTIONS(11401), 1,
      sym_keyword_extension,
    ACTIONS(11403), 1,
      sym_keyword_trigger,
    ACTIONS(11405), 1,
      sym_keyword_function,
    ACTIONS(11407), 1,
      sym_keyword_definer,
    ACTIONS(11409), 1,
      sym_keyword_external,
    STATE(7603), 1,
      sym__or_replace,
    STATE(9720), 1,
      sym__temporary,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11369), 3,
      sym_keyword_group,
      sym_keyword_user,
      sym_keyword_role,
  [427126] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11411), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [427158] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1630), 25,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_merge,
      sym_keyword_set,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_analyze,
      sym_keyword_explain,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_with,
      sym_keyword_rename,
      sym_keyword_reset,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_vacuum,
      sym_keyword_copy,
      sym_keyword_compute,
      sym_keyword_optimize,
      sym_keyword_comment,
      anon_sym_LPAREN,
  [427190] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11413), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [427222] = 6,
    ACTIONS(3187), 1,
      sym_keyword_as,
    ACTIONS(11252), 1,
      anon_sym_LBRACK,
    STATE(196), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(290), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3185), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [427262] = 24,
    ACTIONS(11381), 1,
      sym_keyword_or,
    ACTIONS(11417), 1,
      sym_keyword_table,
    ACTIONS(11419), 1,
      sym_keyword_view,
    ACTIONS(11421), 1,
      sym_keyword_materialized,
    ACTIONS(11423), 1,
      sym_keyword_sequence,
    ACTIONS(11425), 1,
      sym_keyword_constraint,
    ACTIONS(11427), 1,
      sym_keyword_index,
    ACTIONS(11429), 1,
      sym_keyword_type,
    ACTIONS(11431), 1,
      sym_keyword_database,
    ACTIONS(11433), 1,
      sym_keyword_schema,
    ACTIONS(11435), 1,
      sym_keyword_temp,
    ACTIONS(11437), 1,
      sym_keyword_temporary,
    ACTIONS(11439), 1,
      sym_keyword_unlogged,
    ACTIONS(11441), 1,
      sym_keyword_unique,
    ACTIONS(11443), 1,
      sym_keyword_recursive,
    ACTIONS(11445), 1,
      sym_keyword_extension,
    ACTIONS(11447), 1,
      sym_keyword_trigger,
    ACTIONS(11449), 1,
      sym_keyword_function,
    ACTIONS(11451), 1,
      sym_keyword_definer,
    ACTIONS(11453), 1,
      sym_keyword_external,
    STATE(7675), 1,
      sym__or_replace,
    STATE(9975), 1,
      sym__temporary,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11415), 3,
      sym_keyword_group,
      sym_keyword_user,
      sym_keyword_role,
  [427338] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11455), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [427370] = 24,
    ACTIONS(11381), 1,
      sym_keyword_or,
    ACTIONS(11419), 1,
      sym_keyword_view,
    ACTIONS(11421), 1,
      sym_keyword_materialized,
    ACTIONS(11423), 1,
      sym_keyword_sequence,
    ACTIONS(11425), 1,
      sym_keyword_constraint,
    ACTIONS(11429), 1,
      sym_keyword_type,
    ACTIONS(11431), 1,
      sym_keyword_database,
    ACTIONS(11433), 1,
      sym_keyword_schema,
    ACTIONS(11435), 1,
      sym_keyword_temp,
    ACTIONS(11437), 1,
      sym_keyword_temporary,
    ACTIONS(11443), 1,
      sym_keyword_recursive,
    ACTIONS(11445), 1,
      sym_keyword_extension,
    ACTIONS(11447), 1,
      sym_keyword_trigger,
    ACTIONS(11449), 1,
      sym_keyword_function,
    ACTIONS(11451), 1,
      sym_keyword_definer,
    ACTIONS(11457), 1,
      sym_keyword_table,
    ACTIONS(11459), 1,
      sym_keyword_index,
    ACTIONS(11461), 1,
      sym_keyword_unlogged,
    ACTIONS(11463), 1,
      sym_keyword_unique,
    ACTIONS(11465), 1,
      sym_keyword_external,
    STATE(7675), 1,
      sym__or_replace,
    STATE(9916), 1,
      sym__temporary,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11415), 3,
      sym_keyword_group,
      sym_keyword_user,
      sym_keyword_role,
  [427446] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11467), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [427478] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1560), 24,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_merge,
      sym_keyword_set,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_analyze,
      sym_keyword_explain,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_with,
      sym_keyword_rename,
      sym_keyword_reset,
      sym_keyword_vacuum,
      sym_keyword_copy,
      sym_keyword_return,
      sym_keyword_compute,
      sym_keyword_optimize,
      sym_keyword_comment,
      anon_sym_LPAREN,
  [427509] = 17,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3085), 1,
      anon_sym_PLUS,
    ACTIONS(3087), 1,
      anon_sym_DASH,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3095), 1,
      aux_sym__integer_token1,
    ACTIONS(3097), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3099), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(9300), 1,
      sym_identifier,
    STATE(10775), 1,
      sym_literal,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3075), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(11469), 3,
      sym_keyword_on,
      sym_keyword_off,
      sym_keyword_default,
    STATE(3210), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [427570] = 4,
    ACTIONS(55), 1,
      sym_keyword_as,
    ACTIONS(11471), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(109), 22,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
  [427605] = 9,
    ACTIONS(11329), 1,
      sym_keyword_cross,
    ACTIONS(11473), 1,
      sym_keyword_left,
    ACTIONS(11479), 1,
      sym_keyword_inner,
    ACTIONS(11482), 1,
      sym_keyword_join,
    ACTIONS(11485), 1,
      sym_keyword_natural,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11476), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6638), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(11267), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
  [427650] = 5,
    ACTIONS(11490), 1,
      sym_keyword_on,
    ACTIONS(11492), 1,
      sym_keyword_as,
    STATE(6645), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11488), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [427687] = 5,
    ACTIONS(3406), 1,
      sym_keyword_as,
    ACTIONS(11252), 1,
      anon_sym_LBRACK,
    STATE(284), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3404), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [427724] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1402), 24,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_merge,
      sym_keyword_set,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_analyze,
      sym_keyword_explain,
      sym_keyword_drop,
      sym_keyword_with,
      sym_keyword_rename,
      sym_keyword_reset,
      sym_keyword_begin,
      sym_keyword_vacuum,
      sym_keyword_copy,
      sym_keyword_compute,
      sym_keyword_optimize,
      sym_keyword_comment,
      anon_sym_LPAREN,
  [427755] = 17,
    ACTIONS(211), 1,
      sym__identifier,
    ACTIONS(269), 1,
      aux_sym_identifier_token1,
    ACTIONS(3021), 1,
      anon_sym_PLUS,
    ACTIONS(3023), 1,
      anon_sym_DASH,
    ACTIONS(3027), 1,
      sym__double_quote_string,
    ACTIONS(3029), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3031), 1,
      aux_sym__integer_token1,
    ACTIONS(3033), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3035), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3037), 1,
      sym__dollar_quoted_string,
    STATE(310), 1,
      sym__single_quote_string,
    STATE(9986), 1,
      sym_identifier,
    STATE(11327), 1,
      sym_literal,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(11494), 3,
      sym_keyword_on,
      sym_keyword_off,
      sym_keyword_default,
    STATE(3884), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [427816] = 5,
    ACTIONS(11490), 1,
      sym_keyword_on,
    ACTIONS(11498), 1,
      sym_keyword_as,
    STATE(6652), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11496), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [427853] = 17,
    ACTIONS(211), 1,
      sym__identifier,
    ACTIONS(269), 1,
      aux_sym_identifier_token1,
    ACTIONS(3021), 1,
      anon_sym_PLUS,
    ACTIONS(3023), 1,
      anon_sym_DASH,
    ACTIONS(3027), 1,
      sym__double_quote_string,
    ACTIONS(3029), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3031), 1,
      aux_sym__integer_token1,
    ACTIONS(3033), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3035), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3037), 1,
      sym__dollar_quoted_string,
    STATE(310), 1,
      sym__single_quote_string,
    STATE(9861), 1,
      sym_identifier,
    STATE(11358), 1,
      sym_literal,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(11500), 3,
      sym_keyword_on,
      sym_keyword_off,
      sym_keyword_default,
    STATE(3884), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [427914] = 5,
    ACTIONS(11490), 1,
      sym_keyword_on,
    ACTIONS(11504), 1,
      sym_keyword_as,
    STATE(6652), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11502), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [427951] = 5,
    ACTIONS(11490), 1,
      sym_keyword_on,
    ACTIONS(11504), 1,
      sym_keyword_as,
    STATE(6643), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11502), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [427988] = 5,
    ACTIONS(11510), 1,
      sym_keyword_fields,
    ACTIONS(11512), 1,
      sym_keyword_lines,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11506), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11508), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [428025] = 17,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3085), 1,
      anon_sym_PLUS,
    ACTIONS(3087), 1,
      anon_sym_DASH,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3095), 1,
      aux_sym__integer_token1,
    ACTIONS(3097), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3099), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(8995), 1,
      sym_identifier,
    STATE(10417), 1,
      sym_literal,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3075), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(11514), 3,
      sym_keyword_on,
      sym_keyword_off,
      sym_keyword_default,
    STATE(3210), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [428086] = 5,
    ACTIONS(11520), 1,
      aux_sym_keyword_character_token1,
    STATE(12076), 1,
      sym_keyword_character,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11516), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11518), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [428123] = 5,
    ACTIONS(11526), 1,
      sym_keyword_escaped,
    ACTIONS(11528), 1,
      sym_keyword_lines,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11522), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11524), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [428160] = 4,
    ACTIONS(11532), 1,
      sym_keyword_as,
    ACTIONS(11534), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11530), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [428195] = 5,
    ACTIONS(11538), 1,
      sym_keyword_on,
    ACTIONS(11541), 1,
      sym_keyword_as,
    STATE(6652), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11536), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [428232] = 6,
    ACTIONS(3187), 1,
      sym_keyword_as,
    ACTIONS(11296), 1,
      anon_sym_LBRACK,
    STATE(658), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(915), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3185), 20,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [428271] = 19,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(9), 1,
      sym_keyword_delete,
    ACTIONS(15), 1,
      sym_keyword_truncate,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(1710), 1,
      sym_keyword_update,
    ACTIONS(1720), 1,
      sym_keyword_copy,
    ACTIONS(11543), 1,
      anon_sym_LPAREN,
    STATE(6893), 1,
      sym__cte,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(11074), 1,
      sym_update,
    STATE(11076), 1,
      sym_insert,
    STATE(11802), 1,
      sym_delete,
    STATE(13979), 1,
      sym__dml_read,
    STATE(14044), 1,
      sym__dml_write,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1708), 2,
      sym_keyword_insert,
      sym_keyword_replace,
    STATE(10658), 5,
      sym__truncate_statement,
      sym__delete_statement,
      sym__copy_statement,
      sym__insert_statement,
      sym__update_statement,
  [428335] = 18,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(9), 1,
      sym_keyword_delete,
    ACTIONS(15), 1,
      sym_keyword_truncate,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(1710), 1,
      sym_keyword_update,
    ACTIONS(1720), 1,
      sym_keyword_copy,
    ACTIONS(11543), 1,
      anon_sym_LPAREN,
    STATE(6893), 1,
      sym__cte,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(11074), 1,
      sym_update,
    STATE(11076), 1,
      sym_insert,
    STATE(11802), 1,
      sym_delete,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1708), 2,
      sym_keyword_insert,
      sym_keyword_replace,
    STATE(12050), 2,
      sym__dml_write,
      sym__dml_read,
    STATE(10658), 5,
      sym__truncate_statement,
      sym__delete_statement,
      sym__copy_statement,
      sym__insert_statement,
      sym__update_statement,
  [428397] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11545), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [428427] = 4,
    ACTIONS(11551), 1,
      sym_keyword_cached,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11547), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11549), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [428461] = 5,
    ACTIONS(3406), 1,
      sym_keyword_as,
    ACTIONS(11296), 1,
      anon_sym_LBRACK,
    STATE(926), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3404), 20,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [428497] = 5,
    ACTIONS(11498), 1,
      sym_keyword_as,
    ACTIONS(11553), 1,
      sym_keyword_on,
    STATE(6673), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11496), 20,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [428533] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11555), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [428563] = 5,
    ACTIONS(11504), 1,
      sym_keyword_as,
    ACTIONS(11553), 1,
      sym_keyword_on,
    STATE(6673), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11502), 20,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [428599] = 18,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(9), 1,
      sym_keyword_delete,
    ACTIONS(15), 1,
      sym_keyword_truncate,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(1710), 1,
      sym_keyword_update,
    ACTIONS(1720), 1,
      sym_keyword_copy,
    ACTIONS(11543), 1,
      anon_sym_LPAREN,
    STATE(6893), 1,
      sym__cte,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(11074), 1,
      sym_update,
    STATE(11076), 1,
      sym_insert,
    STATE(11802), 1,
      sym_delete,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1708), 2,
      sym_keyword_insert,
      sym_keyword_replace,
    STATE(13915), 2,
      sym__dml_write,
      sym__dml_read,
    STATE(10658), 5,
      sym__truncate_statement,
      sym__delete_statement,
      sym__copy_statement,
      sym__insert_statement,
      sym__update_statement,
  [428661] = 4,
    ACTIONS(11561), 1,
      sym_keyword_lines,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11557), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11559), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [428695] = 18,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(9), 1,
      sym_keyword_delete,
    ACTIONS(15), 1,
      sym_keyword_truncate,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(1710), 1,
      sym_keyword_update,
    ACTIONS(1720), 1,
      sym_keyword_copy,
    ACTIONS(11543), 1,
      anon_sym_LPAREN,
    STATE(6893), 1,
      sym__cte,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(11074), 1,
      sym_update,
    STATE(11076), 1,
      sym_insert,
    STATE(11802), 1,
      sym_delete,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1708), 2,
      sym_keyword_insert,
      sym_keyword_replace,
    STATE(13917), 2,
      sym__dml_write,
      sym__dml_read,
    STATE(10658), 5,
      sym__truncate_statement,
      sym__delete_statement,
      sym__copy_statement,
      sym__insert_statement,
      sym__update_statement,
  [428757] = 3,
    ACTIONS(11565), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11563), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [428789] = 18,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(9), 1,
      sym_keyword_delete,
    ACTIONS(15), 1,
      sym_keyword_truncate,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(1710), 1,
      sym_keyword_update,
    ACTIONS(1720), 1,
      sym_keyword_copy,
    ACTIONS(11543), 1,
      anon_sym_LPAREN,
    STATE(6893), 1,
      sym__cte,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(11074), 1,
      sym_update,
    STATE(11076), 1,
      sym_insert,
    STATE(11802), 1,
      sym_delete,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1708), 2,
      sym_keyword_insert,
      sym_keyword_replace,
    STATE(14042), 2,
      sym__dml_write,
      sym__dml_read,
    STATE(10658), 5,
      sym__truncate_statement,
      sym__delete_statement,
      sym__copy_statement,
      sym__insert_statement,
      sym__update_statement,
  [428851] = 5,
    ACTIONS(11520), 1,
      aux_sym_keyword_character_token1,
    STATE(13636), 1,
      sym_keyword_character,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11516), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11518), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [428887] = 5,
    ACTIONS(11504), 1,
      sym_keyword_as,
    ACTIONS(11553), 1,
      sym_keyword_on,
    STATE(6659), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11502), 20,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [428923] = 19,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(9), 1,
      sym_keyword_delete,
    ACTIONS(15), 1,
      sym_keyword_truncate,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(1710), 1,
      sym_keyword_update,
    ACTIONS(1720), 1,
      sym_keyword_copy,
    ACTIONS(11543), 1,
      anon_sym_LPAREN,
    STATE(6893), 1,
      sym__cte,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(11074), 1,
      sym_update,
    STATE(11076), 1,
      sym_insert,
    STATE(11802), 1,
      sym_delete,
    STATE(14082), 1,
      sym__dml_read,
    STATE(14140), 1,
      sym__dml_write,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1708), 2,
      sym_keyword_insert,
      sym_keyword_replace,
    STATE(10658), 5,
      sym__truncate_statement,
      sym__delete_statement,
      sym__copy_statement,
      sym__insert_statement,
      sym__update_statement,
  [428987] = 5,
    ACTIONS(11492), 1,
      sym_keyword_as,
    ACTIONS(11553), 1,
      sym_keyword_on,
    STATE(6661), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11488), 20,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [429023] = 18,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(9), 1,
      sym_keyword_delete,
    ACTIONS(15), 1,
      sym_keyword_truncate,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(1710), 1,
      sym_keyword_update,
    ACTIONS(1720), 1,
      sym_keyword_copy,
    ACTIONS(11543), 1,
      anon_sym_LPAREN,
    STATE(6893), 1,
      sym__cte,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(11074), 1,
      sym_update,
    STATE(11076), 1,
      sym_insert,
    STATE(11802), 1,
      sym_delete,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1708), 2,
      sym_keyword_insert,
      sym_keyword_replace,
    STATE(12985), 2,
      sym__dml_write,
      sym__dml_read,
    STATE(10658), 5,
      sym__truncate_statement,
      sym__delete_statement,
      sym__copy_statement,
      sym__insert_statement,
      sym__update_statement,
  [429085] = 3,
    ACTIONS(11532), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11530), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [429117] = 5,
    ACTIONS(11541), 1,
      sym_keyword_as,
    ACTIONS(11567), 1,
      sym_keyword_on,
    STATE(6673), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11536), 20,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [429153] = 18,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(9), 1,
      sym_keyword_delete,
    ACTIONS(15), 1,
      sym_keyword_truncate,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(1710), 1,
      sym_keyword_update,
    ACTIONS(1720), 1,
      sym_keyword_copy,
    ACTIONS(11543), 1,
      anon_sym_LPAREN,
    STATE(6893), 1,
      sym__cte,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(11074), 1,
      sym_update,
    STATE(11076), 1,
      sym_insert,
    STATE(11802), 1,
      sym_delete,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1708), 2,
      sym_keyword_insert,
      sym_keyword_replace,
    STATE(14138), 2,
      sym__dml_write,
      sym__dml_read,
    STATE(10658), 5,
      sym__truncate_statement,
      sym__delete_statement,
      sym__copy_statement,
      sym__insert_statement,
      sym__update_statement,
  [429215] = 17,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3085), 1,
      anon_sym_PLUS,
    ACTIONS(3087), 1,
      anon_sym_DASH,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3095), 1,
      aux_sym__integer_token1,
    ACTIONS(3097), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3099), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10417), 1,
      sym_literal,
    STATE(11603), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11514), 2,
      sym_keyword_default,
      sym_keyword_local,
    ACTIONS(3075), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3210), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [429275] = 3,
    ACTIONS(11572), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11570), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [429307] = 5,
    ACTIONS(11574), 1,
      sym_keyword_fields,
    ACTIONS(11576), 1,
      sym_keyword_lines,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11506), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11508), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [429343] = 19,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(9), 1,
      sym_keyword_delete,
    ACTIONS(15), 1,
      sym_keyword_truncate,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(1710), 1,
      sym_keyword_update,
    ACTIONS(1720), 1,
      sym_keyword_copy,
    ACTIONS(11543), 1,
      anon_sym_LPAREN,
    STATE(6893), 1,
      sym__cte,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(11074), 1,
      sym_update,
    STATE(11076), 1,
      sym_insert,
    STATE(11802), 1,
      sym_delete,
    STATE(14240), 1,
      sym__dml_write,
    STATE(14241), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1708), 2,
      sym_keyword_insert,
      sym_keyword_replace,
    STATE(10658), 5,
      sym__truncate_statement,
      sym__delete_statement,
      sym__copy_statement,
      sym__insert_statement,
      sym__update_statement,
  [429407] = 5,
    ACTIONS(11582), 1,
      sym_keyword_with,
    ACTIONS(11584), 1,
      sym_keyword_uncached,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11578), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11580), 14,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [429443] = 3,
    ACTIONS(11588), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11586), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [429475] = 17,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3085), 1,
      anon_sym_PLUS,
    ACTIONS(3087), 1,
      anon_sym_DASH,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3095), 1,
      aux_sym__integer_token1,
    ACTIONS(3097), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3099), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10775), 1,
      sym_literal,
    STATE(11603), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11469), 2,
      sym_keyword_default,
      sym_keyword_local,
    ACTIONS(3075), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3210), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [429535] = 3,
    ACTIONS(11592), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11590), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [429567] = 4,
    ACTIONS(11532), 1,
      sym_keyword_as,
    ACTIONS(11594), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11530), 21,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [429601] = 18,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(9), 1,
      sym_keyword_delete,
    ACTIONS(15), 1,
      sym_keyword_truncate,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(1710), 1,
      sym_keyword_update,
    ACTIONS(1720), 1,
      sym_keyword_copy,
    ACTIONS(11543), 1,
      anon_sym_LPAREN,
    STATE(6893), 1,
      sym__cte,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(11074), 1,
      sym_update,
    STATE(11076), 1,
      sym_insert,
    STATE(11802), 1,
      sym_delete,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1708), 2,
      sym_keyword_insert,
      sym_keyword_replace,
    STATE(13387), 2,
      sym__dml_write,
      sym__dml_read,
    STATE(10658), 5,
      sym__truncate_statement,
      sym__delete_statement,
      sym__copy_statement,
      sym__insert_statement,
      sym__update_statement,
  [429663] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11596), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [429693] = 5,
    ACTIONS(11598), 1,
      sym_keyword_escaped,
    ACTIONS(11600), 1,
      sym_keyword_lines,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11522), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11524), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [429729] = 23,
    ACTIONS(117), 1,
      sym__identifier,
    ACTIONS(125), 1,
      aux_sym_identifier_token1,
    ACTIONS(1668), 1,
      sym_keyword_primary,
    ACTIONS(1684), 1,
      sym_keyword_key,
    ACTIONS(1686), 1,
      sym_keyword_constraint,
    ACTIONS(1688), 1,
      sym_keyword_index,
    ACTIONS(1690), 1,
      sym_keyword_unique,
    ACTIONS(1692), 1,
      sym_keyword_foreign,
    ACTIONS(1694), 1,
      sym_keyword_check,
    ACTIONS(10822), 1,
      sym__double_quote_string,
    ACTIONS(10824), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10826), 1,
      sym__dollar_quoted_string,
    STATE(62), 1,
      sym__column,
    STATE(87), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(9965), 1,
      sym__constraint_literal,
    STATE(9966), 1,
      sym__key_constraint,
    STATE(10388), 1,
      sym_constraint,
    STATE(11922), 1,
      sym_column_definition,
    STATE(11974), 1,
      sym__primary_key,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9955), 2,
      sym__check_constraint,
      sym__primary_key_constraint,
  [429801] = 18,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(9), 1,
      sym_keyword_delete,
    ACTIONS(15), 1,
      sym_keyword_truncate,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(1710), 1,
      sym_keyword_update,
    ACTIONS(1720), 1,
      sym_keyword_copy,
    ACTIONS(11543), 1,
      anon_sym_LPAREN,
    STATE(6893), 1,
      sym__cte,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(11074), 1,
      sym_update,
    STATE(11076), 1,
      sym_insert,
    STATE(11802), 1,
      sym_delete,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1708), 2,
      sym_keyword_insert,
      sym_keyword_replace,
    STATE(14041), 2,
      sym__dml_write,
      sym__dml_read,
    STATE(10658), 5,
      sym__truncate_statement,
      sym__delete_statement,
      sym__copy_statement,
      sym__insert_statement,
      sym__update_statement,
  [429863] = 17,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3021), 1,
      anon_sym_PLUS,
    ACTIONS(3023), 1,
      anon_sym_DASH,
    ACTIONS(3027), 1,
      sym__double_quote_string,
    ACTIONS(3029), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3031), 1,
      aux_sym__integer_token1,
    ACTIONS(3033), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3035), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3037), 1,
      sym__dollar_quoted_string,
    STATE(310), 1,
      sym__single_quote_string,
    STATE(11327), 1,
      sym_literal,
    STATE(11776), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11494), 2,
      sym_keyword_default,
      sym_keyword_local,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3884), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [429923] = 17,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3021), 1,
      anon_sym_PLUS,
    ACTIONS(3023), 1,
      anon_sym_DASH,
    ACTIONS(3027), 1,
      sym__double_quote_string,
    ACTIONS(3029), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3031), 1,
      aux_sym__integer_token1,
    ACTIONS(3033), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3035), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3037), 1,
      sym__dollar_quoted_string,
    STATE(310), 1,
      sym__single_quote_string,
    STATE(11358), 1,
      sym_literal,
    STATE(11776), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11500), 2,
      sym_keyword_default,
      sym_keyword_local,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3884), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [429983] = 3,
    ACTIONS(11604), 1,
      sym_keyword_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11602), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_RPAREN,
  [430014] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11359), 22,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [430043] = 3,
    ACTIONS(11608), 1,
      sym_keyword_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11606), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_RPAREN,
  [430074] = 3,
    ACTIONS(11612), 1,
      sym_keyword_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11610), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_RPAREN,
  [430105] = 3,
    ACTIONS(11616), 1,
      sym_keyword_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11614), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_RPAREN,
  [430136] = 3,
    ACTIONS(11620), 1,
      sym_keyword_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11618), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_RPAREN,
  [430167] = 3,
    ACTIONS(11624), 1,
      sym_keyword_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11622), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_RPAREN,
  [430198] = 3,
    ACTIONS(11628), 1,
      sym_keyword_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11626), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_RPAREN,
  [430229] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11630), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11632), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [430260] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11634), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11636), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [430291] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11413), 22,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [430320] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11638), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11640), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [430351] = 17,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(11642), 1,
      sym_keyword_no,
    ACTIONS(11646), 1,
      anon_sym_PLUS,
    ACTIONS(11648), 1,
      anon_sym_DASH,
    ACTIONS(11650), 1,
      sym__double_quote_string,
    ACTIONS(11652), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(11654), 1,
      aux_sym__integer_token1,
    ACTIONS(11656), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(11658), 1,
      aux_sym__bit_string_token1,
    ACTIONS(11660), 1,
      sym__dollar_quoted_string,
    STATE(7247), 1,
      sym__single_quote_string,
    STATE(7490), 1,
      sym_literal,
    STATE(11799), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11644), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(7251), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [430410] = 17,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(11646), 1,
      anon_sym_PLUS,
    ACTIONS(11648), 1,
      anon_sym_DASH,
    ACTIONS(11650), 1,
      sym__double_quote_string,
    ACTIONS(11652), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(11654), 1,
      aux_sym__integer_token1,
    ACTIONS(11656), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(11658), 1,
      aux_sym__bit_string_token1,
    ACTIONS(11660), 1,
      sym__dollar_quoted_string,
    ACTIONS(11662), 1,
      sym_keyword_no,
    STATE(7247), 1,
      sym__single_quote_string,
    STATE(7490), 1,
      sym_literal,
    STATE(11799), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11644), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(7251), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [430469] = 4,
    ACTIONS(11664), 1,
      sym_keyword_lines,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11557), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11559), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [430502] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11666), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11668), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [430533] = 17,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(11646), 1,
      anon_sym_PLUS,
    ACTIONS(11648), 1,
      anon_sym_DASH,
    ACTIONS(11650), 1,
      sym__double_quote_string,
    ACTIONS(11652), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(11654), 1,
      aux_sym__integer_token1,
    ACTIONS(11656), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(11658), 1,
      aux_sym__bit_string_token1,
    ACTIONS(11660), 1,
      sym__dollar_quoted_string,
    ACTIONS(11670), 1,
      sym_keyword_by,
    STATE(7247), 1,
      sym__single_quote_string,
    STATE(7505), 1,
      sym_literal,
    STATE(11799), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11644), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(7251), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [430592] = 17,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(11646), 1,
      anon_sym_PLUS,
    ACTIONS(11648), 1,
      anon_sym_DASH,
    ACTIONS(11650), 1,
      sym__double_quote_string,
    ACTIONS(11652), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(11654), 1,
      aux_sym__integer_token1,
    ACTIONS(11656), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(11658), 1,
      aux_sym__bit_string_token1,
    ACTIONS(11660), 1,
      sym__dollar_quoted_string,
    ACTIONS(11672), 1,
      sym_keyword_no,
    STATE(7247), 1,
      sym__single_quote_string,
    STATE(7505), 1,
      sym_literal,
    STATE(11799), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11644), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(7251), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [430651] = 17,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(11646), 1,
      anon_sym_PLUS,
    ACTIONS(11648), 1,
      anon_sym_DASH,
    ACTIONS(11650), 1,
      sym__double_quote_string,
    ACTIONS(11652), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(11654), 1,
      aux_sym__integer_token1,
    ACTIONS(11656), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(11658), 1,
      aux_sym__bit_string_token1,
    ACTIONS(11660), 1,
      sym__dollar_quoted_string,
    ACTIONS(11674), 1,
      sym_keyword_no,
    STATE(7247), 1,
      sym__single_quote_string,
    STATE(7505), 1,
      sym_literal,
    STATE(11799), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11644), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(7251), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [430710] = 3,
    ACTIONS(11678), 1,
      sym_keyword_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11676), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_RPAREN,
  [430741] = 3,
    ACTIONS(11682), 1,
      sym_keyword_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11680), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_RPAREN,
  [430772] = 5,
    ACTIONS(11684), 1,
      sym_keyword_with,
    ACTIONS(11686), 1,
      sym_keyword_uncached,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11578), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11580), 14,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [430807] = 3,
    ACTIONS(11690), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11688), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [430838] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11692), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11694), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [430869] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11696), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11698), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [430900] = 3,
    ACTIONS(11702), 1,
      sym_keyword_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11700), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_RPAREN,
  [430931] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11704), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11706), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [430962] = 4,
    ACTIONS(11708), 1,
      sym_keyword_cached,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11547), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11549), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [430995] = 3,
    ACTIONS(11565), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11563), 21,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [431026] = 3,
    ACTIONS(11712), 1,
      sym_keyword_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11710), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_RPAREN,
  [431057] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11714), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11716), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [431088] = 17,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3085), 1,
      anon_sym_PLUS,
    ACTIONS(3087), 1,
      anon_sym_DASH,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3095), 1,
      aux_sym__integer_token1,
    ACTIONS(3097), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3099), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(11718), 1,
      sym_keyword_default,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(9310), 1,
      sym_identifier,
    STATE(10791), 1,
      sym_literal,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3075), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3210), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [431147] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11411), 22,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [431176] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11720), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11722), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [431207] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11724), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11726), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [431238] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11728), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11730), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [431269] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11732), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11734), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [431300] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11193), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11195), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [431331] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11736), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11738), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [431362] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11740), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11742), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [431393] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11744), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11746), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [431424] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11189), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11191), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [431455] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1370), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(1372), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [431486] = 3,
    ACTIONS(11750), 1,
      sym_keyword_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11748), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_RPAREN,
  [431517] = 17,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3085), 1,
      anon_sym_PLUS,
    ACTIONS(3087), 1,
      anon_sym_DASH,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3095), 1,
      aux_sym__integer_token1,
    ACTIONS(3097), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3099), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(11752), 1,
      anon_sym_LPAREN,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(11603), 1,
      sym_identifier,
    STATE(14351), 1,
      sym_literal,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3075), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3210), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [431576] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11754), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11756), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [431607] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11758), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11760), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [431638] = 3,
    ACTIONS(11764), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11762), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [431669] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11766), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11768), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [431700] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11770), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11772), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [431731] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11774), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11776), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [431762] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11455), 22,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [431791] = 3,
    ACTIONS(11780), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11778), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [431822] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11545), 22,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [431851] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11207), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11209), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [431882] = 17,
    ACTIONS(211), 1,
      sym__identifier,
    ACTIONS(269), 1,
      aux_sym_identifier_token1,
    ACTIONS(3021), 1,
      anon_sym_PLUS,
    ACTIONS(3023), 1,
      anon_sym_DASH,
    ACTIONS(3027), 1,
      sym__double_quote_string,
    ACTIONS(3029), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3031), 1,
      aux_sym__integer_token1,
    ACTIONS(3033), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3035), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3037), 1,
      sym__dollar_quoted_string,
    ACTIONS(11782), 1,
      sym_keyword_default,
    STATE(310), 1,
      sym__single_quote_string,
    STATE(10141), 1,
      sym_identifier,
    STATE(11283), 1,
      sym_literal,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3884), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [431941] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11784), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11786), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [431972] = 17,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(10824), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10826), 1,
      sym__dollar_quoted_string,
    ACTIONS(11788), 1,
      sym_keyword_no,
    ACTIONS(11792), 1,
      anon_sym_PLUS,
    ACTIONS(11794), 1,
      anon_sym_DASH,
    ACTIONS(11796), 1,
      sym__double_quote_string,
    ACTIONS(11798), 1,
      aux_sym__integer_token1,
    ACTIONS(11800), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(11802), 1,
      aux_sym__bit_string_token1,
    STATE(87), 1,
      sym__single_quote_string,
    STATE(7284), 1,
      sym_literal,
    STATE(11372), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11790), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(7176), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [432031] = 3,
    ACTIONS(11806), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11804), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [432062] = 17,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(10824), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10826), 1,
      sym__dollar_quoted_string,
    ACTIONS(11792), 1,
      anon_sym_PLUS,
    ACTIONS(11794), 1,
      anon_sym_DASH,
    ACTIONS(11796), 1,
      sym__double_quote_string,
    ACTIONS(11798), 1,
      aux_sym__integer_token1,
    ACTIONS(11800), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(11802), 1,
      aux_sym__bit_string_token1,
    ACTIONS(11808), 1,
      sym_keyword_no,
    STATE(87), 1,
      sym__single_quote_string,
    STATE(7284), 1,
      sym_literal,
    STATE(11372), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11790), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(7176), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [432121] = 17,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(10824), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10826), 1,
      sym__dollar_quoted_string,
    ACTIONS(11792), 1,
      anon_sym_PLUS,
    ACTIONS(11794), 1,
      anon_sym_DASH,
    ACTIONS(11796), 1,
      sym__double_quote_string,
    ACTIONS(11798), 1,
      aux_sym__integer_token1,
    ACTIONS(11800), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(11802), 1,
      aux_sym__bit_string_token1,
    ACTIONS(11810), 1,
      sym_keyword_by,
    STATE(87), 1,
      sym__single_quote_string,
    STATE(7346), 1,
      sym_literal,
    STATE(11372), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11790), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(7176), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [432180] = 17,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(10824), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10826), 1,
      sym__dollar_quoted_string,
    ACTIONS(11792), 1,
      anon_sym_PLUS,
    ACTIONS(11794), 1,
      anon_sym_DASH,
    ACTIONS(11796), 1,
      sym__double_quote_string,
    ACTIONS(11798), 1,
      aux_sym__integer_token1,
    ACTIONS(11800), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(11802), 1,
      aux_sym__bit_string_token1,
    ACTIONS(11812), 1,
      sym_keyword_no,
    STATE(87), 1,
      sym__single_quote_string,
    STATE(7346), 1,
      sym_literal,
    STATE(11372), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11790), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(7176), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [432239] = 17,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(10824), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10826), 1,
      sym__dollar_quoted_string,
    ACTIONS(11792), 1,
      anon_sym_PLUS,
    ACTIONS(11794), 1,
      anon_sym_DASH,
    ACTIONS(11796), 1,
      sym__double_quote_string,
    ACTIONS(11798), 1,
      aux_sym__integer_token1,
    ACTIONS(11800), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(11802), 1,
      aux_sym__bit_string_token1,
    ACTIONS(11814), 1,
      sym_keyword_no,
    STATE(87), 1,
      sym__single_quote_string,
    STATE(7346), 1,
      sym_literal,
    STATE(11372), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11790), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(7176), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [432298] = 9,
    ACTIONS(11278), 1,
      sym_keyword_cross,
    ACTIONS(11816), 1,
      sym_keyword_left,
    ACTIONS(11822), 1,
      sym_keyword_inner,
    ACTIONS(11825), 1,
      sym_keyword_join,
    ACTIONS(11828), 1,
      sym_keyword_natural,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11819), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6754), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(11267), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [432341] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11555), 22,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [432370] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11831), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11833), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [432401] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11363), 22,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [432430] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11596), 22,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [432459] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11835), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11837), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [432490] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11839), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(11841), 16,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_or,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym_keyword_immediate,
      sym_keyword_deferred,
      sym__identifier,
  [432521] = 3,
    ACTIONS(11845), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11843), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [432552] = 3,
    ACTIONS(11849), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11847), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [432583] = 3,
    ACTIONS(11853), 1,
      sym_keyword_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11851), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_RPAREN,
  [432614] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11855), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11857), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [432645] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11365), 22,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [432674] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11859), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11861), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [432705] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11863), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11865), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [432736] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11867), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11869), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [432767] = 3,
    ACTIONS(11873), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11871), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [432798] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11875), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11877), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [432829] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11879), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11881), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [432860] = 3,
    ACTIONS(11592), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11590), 21,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [432891] = 3,
    ACTIONS(11588), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11586), 21,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [432922] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11467), 22,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [432951] = 3,
    ACTIONS(11532), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11530), 21,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [432982] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11883), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11885), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [433013] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11361), 22,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [433042] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11770), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11772), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [433072] = 16,
    ACTIONS(367), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(11899), 1,
      sym_keyword_float,
    ACTIONS(11901), 1,
      sym_keyword_double,
    STATE(4970), 1,
      sym_keyword_real,
    STATE(4971), 1,
      sym_keyword_bigint,
    STATE(4972), 1,
      sym_keyword_int,
    STATE(4973), 1,
      sym_keyword_mediumint,
    STATE(4974), 1,
      sym_keyword_smallint,
    STATE(4975), 1,
      sym_keyword_tinyint,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11887), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(11889), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(11891), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(11893), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(11895), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(11897), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
  [433128] = 16,
    ACTIONS(303), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(11915), 1,
      sym_keyword_float,
    ACTIONS(11917), 1,
      sym_keyword_double,
    STATE(7042), 1,
      sym_keyword_real,
    STATE(7043), 1,
      sym_keyword_bigint,
    STATE(7044), 1,
      sym_keyword_int,
    STATE(7046), 1,
      sym_keyword_mediumint,
    STATE(7048), 1,
      sym_keyword_smallint,
    STATE(7049), 1,
      sym_keyword_tinyint,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11903), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(11905), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(11907), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(11909), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(11911), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(11913), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
  [433184] = 16,
    ACTIONS(613), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(11931), 1,
      sym_keyword_float,
    ACTIONS(11933), 1,
      sym_keyword_double,
    STATE(3716), 1,
      sym_keyword_tinyint,
    STATE(3720), 1,
      sym_keyword_smallint,
    STATE(3727), 1,
      sym_keyword_mediumint,
    STATE(3729), 1,
      sym_keyword_int,
    STATE(3739), 1,
      sym_keyword_bigint,
    STATE(3743), 1,
      sym_keyword_real,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11919), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(11921), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(11923), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(11925), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(11927), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(11929), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
  [433240] = 16,
    ACTIONS(677), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(11947), 1,
      sym_keyword_float,
    ACTIONS(11949), 1,
      sym_keyword_double,
    STATE(631), 1,
      sym_keyword_tinyint,
    STATE(653), 1,
      sym_keyword_smallint,
    STATE(663), 1,
      sym_keyword_mediumint,
    STATE(665), 1,
      sym_keyword_int,
    STATE(666), 1,
      sym_keyword_bigint,
    STATE(766), 1,
      sym_keyword_real,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11935), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(11937), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(11939), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(11941), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(11943), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(11945), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
  [433296] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11634), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11636), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [433326] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11714), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11716), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [433356] = 16,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3085), 1,
      anon_sym_PLUS,
    ACTIONS(3087), 1,
      anon_sym_DASH,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3095), 1,
      aux_sym__integer_token1,
    ACTIONS(3097), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3099), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(11603), 1,
      sym_identifier,
    STATE(14096), 1,
      sym_literal,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3075), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3210), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [433412] = 16,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3085), 1,
      anon_sym_PLUS,
    ACTIONS(3087), 1,
      anon_sym_DASH,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3095), 1,
      aux_sym__integer_token1,
    ACTIONS(3097), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3099), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(11603), 1,
      sym_identifier,
    STATE(11841), 1,
      sym_literal,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3075), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3210), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [433468] = 16,
    ACTIONS(159), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(11963), 1,
      sym_keyword_float,
    ACTIONS(11965), 1,
      sym_keyword_double,
    STATE(5836), 1,
      sym_keyword_real,
    STATE(5840), 1,
      sym_keyword_bigint,
    STATE(5850), 1,
      sym_keyword_int,
    STATE(5859), 1,
      sym_keyword_mediumint,
    STATE(5860), 1,
      sym_keyword_smallint,
    STATE(5861), 1,
      sym_keyword_tinyint,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11951), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(11953), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(11955), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(11957), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(11959), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(11961), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
  [433524] = 16,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3085), 1,
      anon_sym_PLUS,
    ACTIONS(3087), 1,
      anon_sym_DASH,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3095), 1,
      aux_sym__integer_token1,
    ACTIONS(3097), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3099), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(11603), 1,
      sym_identifier,
    STATE(13296), 1,
      sym_literal,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3075), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3210), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [433580] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11875), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11877), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [433610] = 16,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3085), 1,
      anon_sym_PLUS,
    ACTIONS(3087), 1,
      anon_sym_DASH,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3095), 1,
      aux_sym__integer_token1,
    ACTIONS(3097), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3099), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10850), 1,
      sym_literal,
    STATE(11603), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3075), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3210), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [433666] = 16,
    ACTIONS(869), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(11979), 1,
      sym_keyword_float,
    ACTIONS(11981), 1,
      sym_keyword_double,
    STATE(2052), 1,
      sym_keyword_real,
    STATE(2053), 1,
      sym_keyword_bigint,
    STATE(2054), 1,
      sym_keyword_int,
    STATE(2057), 1,
      sym_keyword_mediumint,
    STATE(2059), 1,
      sym_keyword_smallint,
    STATE(2060), 1,
      sym_keyword_tinyint,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11967), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(11969), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(11971), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(11973), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(11975), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(11977), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
  [433722] = 16,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3085), 1,
      anon_sym_PLUS,
    ACTIONS(3087), 1,
      anon_sym_DASH,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3095), 1,
      aux_sym__integer_token1,
    ACTIONS(3097), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3099), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(11010), 1,
      sym_literal,
    STATE(11603), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3075), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3210), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [433778] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11855), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11857), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [433808] = 16,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3085), 1,
      anon_sym_PLUS,
    ACTIONS(3087), 1,
      anon_sym_DASH,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3095), 1,
      aux_sym__integer_token1,
    ACTIONS(3097), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3099), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(11603), 1,
      sym_identifier,
    STATE(11840), 1,
      sym_literal,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3075), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3210), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [433864] = 3,
    ACTIONS(11780), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11778), 20,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [433894] = 16,
    ACTIONS(237), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(11995), 1,
      sym_keyword_float,
    ACTIONS(11997), 1,
      sym_keyword_double,
    STATE(2790), 1,
      sym_keyword_smallint,
    STATE(2794), 1,
      sym_keyword_mediumint,
    STATE(2795), 1,
      sym_keyword_int,
    STATE(2796), 1,
      sym_keyword_bigint,
    STATE(2816), 1,
      sym_keyword_real,
    STATE(2840), 1,
      sym_keyword_tinyint,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11983), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(11985), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(11987), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(11989), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(11991), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(11993), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
  [433950] = 3,
    ACTIONS(11764), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11762), 20,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [433980] = 3,
    ACTIONS(11806), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11804), 20,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [434010] = 3,
    ACTIONS(11845), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11843), 20,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [434040] = 16,
    ACTIONS(553), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(12011), 1,
      sym_keyword_float,
    ACTIONS(12013), 1,
      sym_keyword_double,
    STATE(3428), 1,
      sym_keyword_real,
    STATE(3429), 1,
      sym_keyword_bigint,
    STATE(3430), 1,
      sym_keyword_int,
    STATE(3436), 1,
      sym_keyword_mediumint,
    STATE(3447), 1,
      sym_keyword_smallint,
    STATE(3455), 1,
      sym_keyword_tinyint,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11999), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(12001), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(12003), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(12005), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(12007), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(12009), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
  [434096] = 16,
    ACTIONS(1049), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(12027), 1,
      sym_keyword_float,
    ACTIONS(12029), 1,
      sym_keyword_double,
    STATE(5363), 1,
      sym_keyword_tinyint,
    STATE(5366), 1,
      sym_keyword_smallint,
    STATE(5367), 1,
      sym_keyword_mediumint,
    STATE(5368), 1,
      sym_keyword_int,
    STATE(5369), 1,
      sym_keyword_bigint,
    STATE(5370), 1,
      sym_keyword_real,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12015), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(12017), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(12019), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(12021), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(12023), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(12025), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
  [434152] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11863), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11865), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [434182] = 16,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3085), 1,
      anon_sym_PLUS,
    ACTIONS(3087), 1,
      anon_sym_DASH,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3095), 1,
      aux_sym__integer_token1,
    ACTIONS(3097), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3099), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(8231), 1,
      sym_identifier,
    STATE(13296), 1,
      sym_literal,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3075), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3210), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [434238] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11774), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11776), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [434268] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11189), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11191), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [434298] = 16,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3085), 1,
      anon_sym_PLUS,
    ACTIONS(3087), 1,
      anon_sym_DASH,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3095), 1,
      aux_sym__integer_token1,
    ACTIONS(3097), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3099), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(7367), 1,
      sym_literal,
    STATE(11603), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3075), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3210), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [434354] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11728), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11730), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [434384] = 16,
    ACTIONS(1315), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(12043), 1,
      sym_keyword_float,
    ACTIONS(12045), 1,
      sym_keyword_double,
    STATE(3171), 1,
      sym_keyword_real,
    STATE(3172), 1,
      sym_keyword_bigint,
    STATE(3190), 1,
      sym_keyword_int,
    STATE(3191), 1,
      sym_keyword_mediumint,
    STATE(3192), 1,
      sym_keyword_smallint,
    STATE(3193), 1,
      sym_keyword_tinyint,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12031), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(12033), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(12035), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(12037), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(12039), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(12041), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
  [434440] = 16,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3021), 1,
      anon_sym_PLUS,
    ACTIONS(3023), 1,
      anon_sym_DASH,
    ACTIONS(3027), 1,
      sym__double_quote_string,
    ACTIONS(3029), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3031), 1,
      aux_sym__integer_token1,
    ACTIONS(3033), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3035), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3037), 1,
      sym__dollar_quoted_string,
    STATE(310), 1,
      sym__single_quote_string,
    STATE(7466), 1,
      sym_literal,
    STATE(11776), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3884), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [434496] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11859), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11861), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [434526] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11692), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11694), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [434556] = 4,
    ACTIONS(55), 1,
      sym_keyword_return,
    ACTIONS(12047), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(109), 19,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_array,
      anon_sym_LBRACK,
  [434588] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11784), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11786), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [434618] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11666), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11668), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [434648] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11736), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11738), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [434678] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11754), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11756), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [434708] = 16,
    ACTIONS(809), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(12061), 1,
      sym_keyword_float,
    ACTIONS(12063), 1,
      sym_keyword_double,
    STATE(5447), 1,
      sym_keyword_tinyint,
    STATE(5449), 1,
      sym_keyword_smallint,
    STATE(5451), 1,
      sym_keyword_mediumint,
    STATE(5456), 1,
      sym_keyword_int,
    STATE(5458), 1,
      sym_keyword_bigint,
    STATE(5460), 1,
      sym_keyword_real,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12049), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(12051), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(12053), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(12055), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(12057), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(12059), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
  [434764] = 3,
    ACTIONS(11572), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11570), 20,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [434794] = 3,
    ACTIONS(11873), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11871), 20,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [434824] = 16,
    ACTIONS(745), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(12077), 1,
      sym_keyword_float,
    ACTIONS(12079), 1,
      sym_keyword_double,
    STATE(5078), 1,
      sym_keyword_real,
    STATE(5079), 1,
      sym_keyword_bigint,
    STATE(5080), 1,
      sym_keyword_int,
    STATE(5081), 1,
      sym_keyword_mediumint,
    STATE(5082), 1,
      sym_keyword_smallint,
    STATE(5083), 1,
      sym_keyword_tinyint,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12065), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(12067), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(12069), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(12071), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(12073), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(12075), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
  [434880] = 16,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3021), 1,
      anon_sym_PLUS,
    ACTIONS(3023), 1,
      anon_sym_DASH,
    ACTIONS(3027), 1,
      sym__double_quote_string,
    ACTIONS(3029), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3031), 1,
      aux_sym__integer_token1,
    ACTIONS(3033), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3035), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3037), 1,
      sym__dollar_quoted_string,
    STATE(310), 1,
      sym__single_quote_string,
    STATE(11358), 1,
      sym_literal,
    STATE(11776), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3884), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [434936] = 16,
    ACTIONS(493), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(12093), 1,
      sym_keyword_float,
    ACTIONS(12095), 1,
      sym_keyword_double,
    STATE(3995), 1,
      sym_keyword_real,
    STATE(3996), 1,
      sym_keyword_bigint,
    STATE(3997), 1,
      sym_keyword_int,
    STATE(3998), 1,
      sym_keyword_mediumint,
    STATE(3999), 1,
      sym_keyword_smallint,
    STATE(4000), 1,
      sym_keyword_tinyint,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12081), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(12083), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(12085), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(12087), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(12089), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(12091), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
  [434992] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11831), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11833), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [435022] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11724), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11726), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [435052] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11758), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11760), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [435082] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11207), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11209), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [435112] = 16,
    ACTIONS(1239), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(12109), 1,
      sym_keyword_float,
    ACTIONS(12111), 1,
      sym_keyword_double,
    STATE(5793), 1,
      sym_keyword_real,
    STATE(5797), 1,
      sym_keyword_bigint,
    STATE(5799), 1,
      sym_keyword_int,
    STATE(5801), 1,
      sym_keyword_mediumint,
    STATE(5806), 1,
      sym_keyword_smallint,
    STATE(5808), 1,
      sym_keyword_tinyint,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12097), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(12099), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(12101), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(12103), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(12105), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(12107), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
  [435168] = 16,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3021), 1,
      anon_sym_PLUS,
    ACTIONS(3023), 1,
      anon_sym_DASH,
    ACTIONS(3027), 1,
      sym__double_quote_string,
    ACTIONS(3029), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3031), 1,
      aux_sym__integer_token1,
    ACTIONS(3033), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3035), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3037), 1,
      sym__dollar_quoted_string,
    STATE(310), 1,
      sym__single_quote_string,
    STATE(11373), 1,
      sym_literal,
    STATE(11776), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3884), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [435224] = 3,
    ACTIONS(11849), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11847), 20,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [435254] = 16,
    ACTIONS(433), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(12125), 1,
      sym_keyword_float,
    ACTIONS(12127), 1,
      sym_keyword_double,
    STATE(2298), 1,
      sym_keyword_smallint,
    STATE(2302), 1,
      sym_keyword_mediumint,
    STATE(2305), 1,
      sym_keyword_int,
    STATE(2306), 1,
      sym_keyword_bigint,
    STATE(2327), 1,
      sym_keyword_real,
    STATE(2328), 1,
      sym_keyword_tinyint,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12113), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(12115), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(12117), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(12119), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(12121), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(12123), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
  [435310] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1370), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(1372), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [435340] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11883), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11885), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [435370] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11732), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11734), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [435400] = 16,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(11646), 1,
      anon_sym_PLUS,
    ACTIONS(11648), 1,
      anon_sym_DASH,
    ACTIONS(11650), 1,
      sym__double_quote_string,
    ACTIONS(11652), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(11654), 1,
      aux_sym__integer_token1,
    ACTIONS(11656), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(11658), 1,
      aux_sym__bit_string_token1,
    ACTIONS(11660), 1,
      sym__dollar_quoted_string,
    STATE(7247), 1,
      sym__single_quote_string,
    STATE(7450), 1,
      sym_literal,
    STATE(11799), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11644), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(7251), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [435456] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11835), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11837), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [435486] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11879), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11881), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [435516] = 16,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(10824), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10826), 1,
      sym__dollar_quoted_string,
    ACTIONS(11792), 1,
      anon_sym_PLUS,
    ACTIONS(11794), 1,
      anon_sym_DASH,
    ACTIONS(11796), 1,
      sym__double_quote_string,
    ACTIONS(11798), 1,
      aux_sym__integer_token1,
    ACTIONS(11800), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(11802), 1,
      aux_sym__bit_string_token1,
    STATE(87), 1,
      sym__single_quote_string,
    STATE(7327), 1,
      sym_literal,
    STATE(11372), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11790), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(7176), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [435572] = 16,
    ACTIONS(79), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(12141), 1,
      sym_keyword_float,
    ACTIONS(12143), 1,
      sym_keyword_double,
    STATE(2087), 1,
      sym_keyword_real,
    STATE(2090), 1,
      sym_keyword_bigint,
    STATE(2091), 1,
      sym_keyword_int,
    STATE(2093), 1,
      sym_keyword_mediumint,
    STATE(2094), 1,
      sym_keyword_smallint,
    STATE(2096), 1,
      sym_keyword_tinyint,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12129), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(12131), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(12133), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(12135), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(12137), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(12139), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
  [435628] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11740), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11742), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [435658] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11766), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11768), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [435688] = 16,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3085), 1,
      anon_sym_PLUS,
    ACTIONS(3087), 1,
      anon_sym_DASH,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3095), 1,
      aux_sym__integer_token1,
    ACTIONS(3097), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3099), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10834), 1,
      sym_literal,
    STATE(11603), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3075), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3210), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [435744] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11744), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11746), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [435774] = 16,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3085), 1,
      anon_sym_PLUS,
    ACTIONS(3087), 1,
      anon_sym_DASH,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3095), 1,
      aux_sym__integer_token1,
    ACTIONS(3097), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3099), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10756), 1,
      sym_literal,
    STATE(11603), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3075), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3210), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [435830] = 16,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3085), 1,
      anon_sym_PLUS,
    ACTIONS(3087), 1,
      anon_sym_DASH,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3095), 1,
      aux_sym__integer_token1,
    ACTIONS(3097), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3099), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10684), 1,
      sym_literal,
    STATE(11603), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3075), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3210), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [435886] = 16,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3085), 1,
      anon_sym_PLUS,
    ACTIONS(3087), 1,
      anon_sym_DASH,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3095), 1,
      aux_sym__integer_token1,
    ACTIONS(3097), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3099), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(11545), 1,
      sym_literal,
    STATE(11603), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3075), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3210), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [435942] = 16,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3085), 1,
      anon_sym_PLUS,
    ACTIONS(3087), 1,
      anon_sym_DASH,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3095), 1,
      aux_sym__integer_token1,
    ACTIONS(3097), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3099), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(11543), 1,
      sym_literal,
    STATE(11603), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3075), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3210), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [435998] = 16,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3085), 1,
      anon_sym_PLUS,
    ACTIONS(3087), 1,
      anon_sym_DASH,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3095), 1,
      aux_sym__integer_token1,
    ACTIONS(3097), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3099), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(8304), 1,
      sym_identifier,
    STATE(14096), 1,
      sym_literal,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3075), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3210), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [436054] = 16,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3085), 1,
      anon_sym_PLUS,
    ACTIONS(3087), 1,
      anon_sym_DASH,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3095), 1,
      aux_sym__integer_token1,
    ACTIONS(3097), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3099), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(7595), 1,
      sym_literal,
    STATE(11603), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3075), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3210), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [436110] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11193), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11195), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [436140] = 16,
    ACTIONS(933), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(12157), 1,
      sym_keyword_float,
    ACTIONS(12159), 1,
      sym_keyword_double,
    STATE(182), 1,
      sym_keyword_int,
    STATE(184), 1,
      sym_keyword_mediumint,
    STATE(186), 1,
      sym_keyword_smallint,
    STATE(187), 1,
      sym_keyword_tinyint,
    STATE(198), 1,
      sym_keyword_real,
    STATE(199), 1,
      sym_keyword_bigint,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12145), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(12147), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(12149), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(12151), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(12153), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(12155), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
  [436196] = 16,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3085), 1,
      anon_sym_PLUS,
    ACTIONS(3087), 1,
      anon_sym_DASH,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3095), 1,
      aux_sym__integer_token1,
    ACTIONS(3097), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3099), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(11603), 1,
      sym_identifier,
    STATE(11615), 1,
      sym_literal,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3075), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3210), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [436252] = 16,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3085), 1,
      anon_sym_PLUS,
    ACTIONS(3087), 1,
      anon_sym_DASH,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3095), 1,
      aux_sym__integer_token1,
    ACTIONS(3097), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3099), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(11603), 1,
      sym_identifier,
    STATE(11616), 1,
      sym_literal,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3075), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3210), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [436308] = 16,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3085), 1,
      anon_sym_PLUS,
    ACTIONS(3087), 1,
      anon_sym_DASH,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3095), 1,
      aux_sym__integer_token1,
    ACTIONS(3097), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3099), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(11603), 1,
      sym_identifier,
    STATE(11617), 1,
      sym_literal,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3075), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3210), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [436364] = 16,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3085), 1,
      anon_sym_PLUS,
    ACTIONS(3087), 1,
      anon_sym_DASH,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3095), 1,
      aux_sym__integer_token1,
    ACTIONS(3097), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3099), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(11603), 1,
      sym_identifier,
    STATE(11618), 1,
      sym_literal,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3075), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3210), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [436420] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11696), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11698), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [436450] = 16,
    ACTIONS(1107), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(12173), 1,
      sym_keyword_float,
    ACTIONS(12175), 1,
      sym_keyword_double,
    STATE(3733), 1,
      sym_keyword_real,
    STATE(3734), 1,
      sym_keyword_bigint,
    STATE(3735), 1,
      sym_keyword_int,
    STATE(3736), 1,
      sym_keyword_mediumint,
    STATE(3737), 1,
      sym_keyword_smallint,
    STATE(3738), 1,
      sym_keyword_tinyint,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12161), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(12163), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(12165), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(12167), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(12169), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(12171), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
  [436506] = 16,
    ACTIONS(991), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(12189), 1,
      sym_keyword_float,
    ACTIONS(12191), 1,
      sym_keyword_double,
    STATE(2969), 1,
      sym_keyword_real,
    STATE(2976), 1,
      sym_keyword_bigint,
    STATE(2977), 1,
      sym_keyword_int,
    STATE(2978), 1,
      sym_keyword_mediumint,
    STATE(2989), 1,
      sym_keyword_smallint,
    STATE(3016), 1,
      sym_keyword_tinyint,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12177), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(12179), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(12181), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(12183), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(12185), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(12187), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
  [436562] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11630), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11632), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [436592] = 16,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3021), 1,
      anon_sym_PLUS,
    ACTIONS(3023), 1,
      anon_sym_DASH,
    ACTIONS(3027), 1,
      sym__double_quote_string,
    ACTIONS(3029), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3031), 1,
      aux_sym__integer_token1,
    ACTIONS(3033), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3035), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3037), 1,
      sym__dollar_quoted_string,
    STATE(310), 1,
      sym__single_quote_string,
    STATE(7640), 1,
      sym_literal,
    STATE(11776), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3884), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [436648] = 16,
    ACTIONS(1167), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(12205), 1,
      sym_keyword_float,
    ACTIONS(12207), 1,
      sym_keyword_double,
    STATE(3418), 1,
      sym_keyword_real,
    STATE(3419), 1,
      sym_keyword_bigint,
    STATE(3420), 1,
      sym_keyword_int,
    STATE(3421), 1,
      sym_keyword_mediumint,
    STATE(3422), 1,
      sym_keyword_smallint,
    STATE(3427), 1,
      sym_keyword_tinyint,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12193), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(12195), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(12197), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(12199), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(12201), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(12203), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
  [436704] = 16,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3085), 1,
      anon_sym_PLUS,
    ACTIONS(3087), 1,
      anon_sym_DASH,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3095), 1,
      aux_sym__integer_token1,
    ACTIONS(3097), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3099), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(11422), 1,
      sym_literal,
    STATE(11603), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3075), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3210), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [436760] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11704), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11706), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [436790] = 9,
    ACTIONS(11329), 1,
      sym_keyword_cross,
    ACTIONS(12209), 1,
      sym_keyword_left,
    ACTIONS(12215), 1,
      sym_keyword_inner,
    ACTIONS(12218), 1,
      sym_keyword_join,
    ACTIONS(12221), 1,
      sym_keyword_natural,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12212), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6863), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(11267), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
  [436832] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11867), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11869), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [436862] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11638), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11640), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [436892] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11720), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11722), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [436922] = 16,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3085), 1,
      anon_sym_PLUS,
    ACTIONS(3087), 1,
      anon_sym_DASH,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3095), 1,
      aux_sym__integer_token1,
    ACTIONS(3097), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3099), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10818), 1,
      sym_literal,
    STATE(11603), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3075), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3210), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [436978] = 16,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3085), 1,
      anon_sym_PLUS,
    ACTIONS(3087), 1,
      anon_sym_DASH,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3095), 1,
      aux_sym__integer_token1,
    ACTIONS(3097), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3099), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10775), 1,
      sym_literal,
    STATE(11603), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3075), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3210), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [437034] = 3,
    ACTIONS(11690), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11688), 20,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [437064] = 16,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3085), 1,
      anon_sym_PLUS,
    ACTIONS(3087), 1,
      anon_sym_DASH,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3095), 1,
      aux_sym__integer_token1,
    ACTIONS(3097), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3099), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(11522), 1,
      sym_literal,
    STATE(11603), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3075), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3210), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [437120] = 16,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3085), 1,
      anon_sym_PLUS,
    ACTIONS(3087), 1,
      anon_sym_DASH,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3095), 1,
      aux_sym__integer_token1,
    ACTIONS(3097), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3099), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10923), 1,
      sym_literal,
    STATE(11603), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3075), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3210), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [437176] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1374), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(1376), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [437206] = 15,
    ACTIONS(127), 1,
      sym__identifier,
    ACTIONS(12226), 1,
      sym_keyword_create,
    ACTIONS(12228), 1,
      sym_keyword_in,
    ACTIONS(12230), 1,
      sym_keyword_with,
    ACTIONS(12234), 1,
      sym_keyword_password,
    ACTIONS(12236), 1,
      sym_keyword_encrypted,
    ACTIONS(12238), 1,
      sym_keyword_valid,
    ACTIONS(12240), 1,
      sym_keyword_connection,
    STATE(7124), 1,
      sym_identifier,
    STATE(7125), 1,
      sym__role_options,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(191), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(6878), 2,
      sym__user_access_role_config,
      aux_sym_create_role_repeat1,
    ACTIONS(12224), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
    ACTIONS(12232), 3,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_role,
  [437259] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12242), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12244), 14,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym__identifier,
  [437288] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12246), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12248), 14,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym__identifier,
  [437317] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12250), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_RPAREN,
  [437343] = 14,
    ACTIONS(127), 1,
      sym__identifier,
    ACTIONS(12228), 1,
      sym_keyword_in,
    ACTIONS(12234), 1,
      sym_keyword_password,
    ACTIONS(12236), 1,
      sym_keyword_encrypted,
    ACTIONS(12238), 1,
      sym_keyword_valid,
    ACTIONS(12240), 1,
      sym_keyword_connection,
    ACTIONS(12254), 1,
      sym_keyword_create,
    STATE(7124), 1,
      sym_identifier,
    STATE(7125), 1,
      sym__role_options,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(191), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(6890), 2,
      sym__user_access_role_config,
      aux_sym_create_role_repeat1,
    ACTIONS(12232), 3,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_role,
    ACTIONS(12252), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [437393] = 14,
    ACTIONS(127), 1,
      sym__identifier,
    ACTIONS(12228), 1,
      sym_keyword_in,
    ACTIONS(12234), 1,
      sym_keyword_password,
    ACTIONS(12236), 1,
      sym_keyword_encrypted,
    ACTIONS(12238), 1,
      sym_keyword_valid,
    ACTIONS(12240), 1,
      sym_keyword_connection,
    ACTIONS(12258), 1,
      sym_keyword_create,
    STATE(7124), 1,
      sym_identifier,
    STATE(7125), 1,
      sym__role_options,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(191), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(6890), 2,
      sym__user_access_role_config,
      aux_sym_create_role_repeat1,
    ACTIONS(12232), 3,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_role,
    ACTIONS(12256), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [437443] = 6,
    ACTIONS(12260), 1,
      sym_keyword_with,
    ACTIONS(12262), 1,
      sym_keyword_without,
    ACTIONS(12264), 1,
      anon_sym_LPAREN,
    STATE(7093), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1784), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [437477] = 6,
    ACTIONS(12260), 1,
      sym_keyword_with,
    ACTIONS(12262), 1,
      sym_keyword_without,
    ACTIONS(12266), 1,
      anon_sym_LPAREN,
    STATE(7092), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1794), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [437511] = 15,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(9), 1,
      sym_keyword_delete,
    ACTIONS(13), 1,
      sym_keyword_update,
    ACTIONS(15), 1,
      sym_keyword_truncate,
    ACTIONS(41), 1,
      sym_keyword_copy,
    ACTIONS(12268), 1,
      anon_sym_LPAREN,
    STATE(7475), 1,
      sym_select,
    STATE(7565), 1,
      sym__select_statement,
    STATE(7988), 1,
      sym_set_operation,
    STATE(9854), 1,
      sym_update,
    STATE(9896), 1,
      sym_insert,
    STATE(11355), 1,
      sym_delete,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11), 2,
      sym_keyword_insert,
      sym_keyword_replace,
    STATE(10845), 5,
      sym__truncate_statement,
      sym__delete_statement,
      sym__copy_statement,
      sym__insert_statement,
      sym__update_statement,
  [437563] = 8,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(4479), 1,
      sym_keyword_as,
    STATE(6377), 1,
      sym_identifier,
    STATE(7018), 1,
      sym__alias,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(4475), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(4477), 9,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [437601] = 17,
    ACTIONS(337), 1,
      sym__identifier,
    ACTIONS(12272), 1,
      sym_keyword_set,
    ACTIONS(12274), 1,
      sym_keyword_in,
    ACTIONS(12276), 1,
      sym_keyword_with,
    ACTIONS(12278), 1,
      sym_keyword_rename,
    ACTIONS(12280), 1,
      sym_keyword_password,
    ACTIONS(12282), 1,
      sym_keyword_encrypted,
    ACTIONS(12284), 1,
      sym_keyword_valid,
    ACTIONS(12286), 1,
      sym_keyword_connection,
    ACTIONS(12288), 1,
      sym_keyword_reset,
    STATE(7124), 1,
      sym_identifier,
    STATE(7358), 1,
      aux_sym_alter_role_repeat1,
    STATE(7623), 1,
      sym__role_options,
    STATE(10593), 1,
      sym_rename_object,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12270), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [437657] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12290), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_RPAREN,
  [437683] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12292), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_RPAREN,
  [437709] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12294), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_RPAREN,
  [437735] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12296), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_RPAREN,
  [437761] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12298), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_RPAREN,
  [437787] = 15,
    ACTIONS(9), 1,
      sym_keyword_delete,
    ACTIONS(1472), 1,
      sym_keyword_select,
    ACTIONS(1476), 1,
      sym_keyword_update,
    ACTIONS(1478), 1,
      sym_keyword_truncate,
    ACTIONS(1502), 1,
      sym_keyword_copy,
    ACTIONS(12300), 1,
      anon_sym_LPAREN,
    STATE(7513), 1,
      sym_select,
    STATE(7616), 1,
      sym__select_statement,
    STATE(8251), 1,
      sym_set_operation,
    STATE(9562), 1,
      sym_insert,
    STATE(9696), 1,
      sym_update,
    STATE(11595), 1,
      sym_delete,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1474), 2,
      sym_keyword_insert,
      sym_keyword_replace,
    STATE(11377), 5,
      sym__truncate_statement,
      sym__delete_statement,
      sym__copy_statement,
      sym__insert_statement,
      sym__update_statement,
  [437839] = 14,
    ACTIONS(12304), 1,
      sym__identifier,
    ACTIONS(12307), 1,
      sym_keyword_create,
    ACTIONS(12309), 1,
      sym_keyword_in,
    ACTIONS(12315), 1,
      sym_keyword_password,
    ACTIONS(12318), 1,
      sym_keyword_encrypted,
    ACTIONS(12321), 1,
      sym_keyword_valid,
    ACTIONS(12324), 1,
      sym_keyword_connection,
    STATE(7124), 1,
      sym_identifier,
    STATE(7125), 1,
      sym__role_options,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12327), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(6890), 2,
      sym__user_access_role_config,
      aux_sym_create_role_repeat1,
    ACTIONS(12302), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
    ACTIONS(12312), 3,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_role,
  [437889] = 6,
    ACTIONS(12330), 1,
      sym_keyword_unsigned,
    ACTIONS(12332), 1,
      sym_keyword_zerofill,
    ACTIONS(12334), 1,
      sym_keyword_precision,
    ACTIONS(12336), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1772), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [437923] = 14,
    ACTIONS(127), 1,
      sym__identifier,
    ACTIONS(12228), 1,
      sym_keyword_in,
    ACTIONS(12234), 1,
      sym_keyword_password,
    ACTIONS(12236), 1,
      sym_keyword_encrypted,
    ACTIONS(12238), 1,
      sym_keyword_valid,
    ACTIONS(12240), 1,
      sym_keyword_connection,
    ACTIONS(12340), 1,
      sym_keyword_create,
    STATE(7124), 1,
      sym_identifier,
    STATE(7125), 1,
      sym__role_options,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(191), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(6877), 2,
      sym__user_access_role_config,
      aux_sym_create_role_repeat1,
    ACTIONS(12232), 3,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_role,
    ACTIONS(12338), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [437973] = 15,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(9), 1,
      sym_keyword_delete,
    ACTIONS(15), 1,
      sym_keyword_truncate,
    ACTIONS(1710), 1,
      sym_keyword_update,
    ACTIONS(1720), 1,
      sym_keyword_copy,
    ACTIONS(12268), 1,
      anon_sym_LPAREN,
    STATE(7475), 1,
      sym_select,
    STATE(7565), 1,
      sym__select_statement,
    STATE(7988), 1,
      sym_set_operation,
    STATE(11074), 1,
      sym_update,
    STATE(11076), 1,
      sym_insert,
    STATE(11802), 1,
      sym_delete,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1708), 2,
      sym_keyword_insert,
      sym_keyword_replace,
    STATE(10845), 5,
      sym__truncate_statement,
      sym__delete_statement,
      sym__copy_statement,
      sym__insert_statement,
      sym__update_statement,
  [438025] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12342), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_RPAREN,
  [438051] = 15,
    ACTIONS(719), 1,
      sym__identifier,
    ACTIONS(12226), 1,
      sym_keyword_create,
    ACTIONS(12344), 1,
      sym_keyword_in,
    ACTIONS(12346), 1,
      sym_keyword_with,
    ACTIONS(12350), 1,
      sym_keyword_password,
    ACTIONS(12352), 1,
      sym_keyword_encrypted,
    ACTIONS(12354), 1,
      sym_keyword_valid,
    ACTIONS(12356), 1,
      sym_keyword_connection,
    STATE(7206), 1,
      sym__role_options,
    STATE(7207), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(777), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12224), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(6908), 2,
      sym__user_access_role_config,
      aux_sym_create_role_repeat1,
    ACTIONS(12348), 3,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_role,
  [438103] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12358), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_RPAREN,
  [438129] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12358), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
  [438154] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12342), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
  [438179] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11748), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
  [438204] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12294), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
  [438229] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12296), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
  [438254] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12250), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
  [438279] = 17,
    ACTIONS(719), 1,
      sym__identifier,
    ACTIONS(12360), 1,
      sym_keyword_set,
    ACTIONS(12362), 1,
      sym_keyword_in,
    ACTIONS(12364), 1,
      sym_keyword_with,
    ACTIONS(12366), 1,
      sym_keyword_rename,
    ACTIONS(12368), 1,
      sym_keyword_password,
    ACTIONS(12370), 1,
      sym_keyword_encrypted,
    ACTIONS(12372), 1,
      sym_keyword_valid,
    ACTIONS(12374), 1,
      sym_keyword_connection,
    ACTIONS(12376), 1,
      sym_keyword_reset,
    STATE(7207), 1,
      sym_identifier,
    STATE(7473), 1,
      aux_sym_alter_role_repeat1,
    STATE(7922), 1,
      sym__role_options,
    STATE(11357), 1,
      sym_rename_object,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(777), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12270), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [438334] = 5,
    ACTIONS(12378), 1,
      sym_keyword_unsigned,
    ACTIONS(12380), 1,
      sym_keyword_zerofill,
    ACTIONS(12382), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1898), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [438365] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12290), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
  [438390] = 5,
    ACTIONS(12384), 1,
      sym_keyword_unsigned,
    ACTIONS(12386), 1,
      sym_keyword_zerofill,
    ACTIONS(12388), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1888), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [438421] = 14,
    ACTIONS(719), 1,
      sym__identifier,
    ACTIONS(12340), 1,
      sym_keyword_create,
    ACTIONS(12344), 1,
      sym_keyword_in,
    ACTIONS(12350), 1,
      sym_keyword_password,
    ACTIONS(12352), 1,
      sym_keyword_encrypted,
    ACTIONS(12354), 1,
      sym_keyword_valid,
    ACTIONS(12356), 1,
      sym_keyword_connection,
    STATE(7206), 1,
      sym__role_options,
    STATE(7207), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(777), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12338), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(6911), 2,
      sym__user_access_role_config,
      aux_sym_create_role_repeat1,
    ACTIONS(12348), 3,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_role,
  [438470] = 14,
    ACTIONS(719), 1,
      sym__identifier,
    ACTIONS(12258), 1,
      sym_keyword_create,
    ACTIONS(12344), 1,
      sym_keyword_in,
    ACTIONS(12350), 1,
      sym_keyword_password,
    ACTIONS(12352), 1,
      sym_keyword_encrypted,
    ACTIONS(12354), 1,
      sym_keyword_valid,
    ACTIONS(12356), 1,
      sym_keyword_connection,
    STATE(7206), 1,
      sym__role_options,
    STATE(7207), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(777), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12256), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(6913), 2,
      sym__user_access_role_config,
      aux_sym_create_role_repeat1,
    ACTIONS(12348), 3,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_role,
  [438519] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11851), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
  [438544] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11680), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
  [438569] = 14,
    ACTIONS(719), 1,
      sym__identifier,
    ACTIONS(12254), 1,
      sym_keyword_create,
    ACTIONS(12344), 1,
      sym_keyword_in,
    ACTIONS(12350), 1,
      sym_keyword_password,
    ACTIONS(12352), 1,
      sym_keyword_encrypted,
    ACTIONS(12354), 1,
      sym_keyword_valid,
    ACTIONS(12356), 1,
      sym_keyword_connection,
    STATE(7206), 1,
      sym__role_options,
    STATE(7207), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(777), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12252), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(6913), 2,
      sym__user_access_role_config,
      aux_sym_create_role_repeat1,
    ACTIONS(12348), 3,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_role,
  [438618] = 7,
    ACTIONS(12390), 1,
      sym_keyword_array,
    ACTIONS(12392), 1,
      anon_sym_LBRACK,
    STATE(7047), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(7223), 1,
      sym__array_size_definition,
    STATE(7248), 1,
      sym_array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2799), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [438653] = 14,
    ACTIONS(12307), 1,
      sym_keyword_create,
    ACTIONS(12394), 1,
      sym__identifier,
    ACTIONS(12397), 1,
      sym_keyword_in,
    ACTIONS(12403), 1,
      sym_keyword_password,
    ACTIONS(12406), 1,
      sym_keyword_encrypted,
    ACTIONS(12409), 1,
      sym_keyword_valid,
    ACTIONS(12412), 1,
      sym_keyword_connection,
    STATE(7206), 1,
      sym__role_options,
    STATE(7207), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12302), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(12415), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(6913), 2,
      sym__user_access_role_config,
      aux_sym_create_role_repeat1,
    ACTIONS(12400), 3,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_role,
  [438702] = 5,
    ACTIONS(12418), 1,
      sym_keyword_unsigned,
    ACTIONS(12420), 1,
      sym_keyword_zerofill,
    ACTIONS(12422), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1804), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [438733] = 5,
    ACTIONS(12424), 1,
      sym_keyword_unsigned,
    ACTIONS(12426), 1,
      sym_keyword_zerofill,
    ACTIONS(12428), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1874), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [438764] = 5,
    ACTIONS(12430), 1,
      sym_keyword_unsigned,
    ACTIONS(12432), 1,
      sym_keyword_zerofill,
    ACTIONS(12434), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1840), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [438795] = 5,
    ACTIONS(12436), 1,
      sym_keyword_unsigned,
    ACTIONS(12438), 1,
      sym_keyword_zerofill,
    ACTIONS(12440), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1860), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [438826] = 10,
    ACTIONS(8863), 1,
      sym_keyword_order,
    ACTIONS(8865), 1,
      sym_keyword_group,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(8871), 1,
      sym_keyword_window,
    STATE(7027), 1,
      sym_group_by,
    STATE(7177), 1,
      sym_window_clause,
    STATE(7391), 1,
      sym_order_by,
    STATE(7555), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8883), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [438867] = 10,
    ACTIONS(8863), 1,
      sym_keyword_order,
    ACTIONS(8865), 1,
      sym_keyword_group,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(8871), 1,
      sym_keyword_window,
    STATE(7054), 1,
      sym_group_by,
    STATE(7213), 1,
      sym_window_clause,
    STATE(7400), 1,
      sym_order_by,
    STATE(7593), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10894), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [438908] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11606), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
  [438933] = 10,
    ACTIONS(8863), 1,
      sym_keyword_order,
    ACTIONS(8865), 1,
      sym_keyword_group,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(8871), 1,
      sym_keyword_window,
    STATE(7000), 1,
      sym_group_by,
    STATE(7238), 1,
      sym_window_clause,
    STATE(7338), 1,
      sym_order_by,
    STATE(7585), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8847), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [438974] = 5,
    ACTIONS(12330), 1,
      sym_keyword_unsigned,
    ACTIONS(12332), 1,
      sym_keyword_zerofill,
    ACTIONS(12336), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1772), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [439005] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11602), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
  [439030] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11676), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
  [439055] = 5,
    ACTIONS(12442), 1,
      sym_keyword_unsigned,
    ACTIONS(12444), 1,
      sym_keyword_zerofill,
    ACTIONS(12446), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1822), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [439086] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11710), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
  [439111] = 5,
    ACTIONS(12260), 1,
      sym_keyword_with,
    ACTIONS(12262), 1,
      sym_keyword_without,
    STATE(7079), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1856), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [439142] = 5,
    ACTIONS(12260), 1,
      sym_keyword_with,
    ACTIONS(12262), 1,
      sym_keyword_without,
    STATE(7081), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1884), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [439173] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1818), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [439198] = 8,
    ACTIONS(211), 1,
      sym__identifier,
    ACTIONS(6256), 1,
      sym_keyword_as,
    STATE(6560), 1,
      sym_identifier,
    STATE(7456), 1,
      sym__alias,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(4475), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(4477), 9,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [439235] = 3,
    ACTIONS(12450), 1,
      sym_keyword_nulls,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12448), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_separator,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [439262] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11700), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
  [439287] = 10,
    ACTIONS(8863), 1,
      sym_keyword_order,
    ACTIONS(8865), 1,
      sym_keyword_group,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(8871), 1,
      sym_keyword_window,
    STATE(6998), 1,
      sym_group_by,
    STATE(7168), 1,
      sym_window_clause,
    STATE(7265), 1,
      sym_order_by,
    STATE(7591), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10888), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [439328] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1800), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [439353] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11610), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
  [439378] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11614), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
  [439403] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11618), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
  [439428] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1870), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [439453] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1814), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [439478] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11622), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
  [439503] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11626), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
  [439528] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1832), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [439553] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12298), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
  [439578] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1836), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [439603] = 10,
    ACTIONS(8863), 1,
      sym_keyword_order,
    ACTIONS(8865), 1,
      sym_keyword_group,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(8871), 1,
      sym_keyword_window,
    STATE(7024), 1,
      sym_group_by,
    STATE(7181), 1,
      sym_window_clause,
    STATE(7294), 1,
      sym_order_by,
    STATE(7562), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12452), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [439644] = 7,
    ACTIONS(12390), 1,
      sym_keyword_array,
    ACTIONS(12392), 1,
      anon_sym_LBRACK,
    STATE(7047), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(7223), 1,
      sym__array_size_definition,
    STATE(7250), 1,
      sym_array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2789), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [439679] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11804), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_separator,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_nulls,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [439704] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12292), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
  [439729] = 3,
    ACTIONS(12456), 1,
      sym_keyword_nulls,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12454), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_separator,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [439756] = 10,
    ACTIONS(9088), 1,
      sym_keyword_order,
    ACTIONS(9090), 1,
      sym_keyword_group,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(9096), 1,
      sym_keyword_window,
    STATE(7136), 1,
      sym_group_by,
    STATE(7373), 1,
      sym_window_clause,
    STATE(7448), 1,
      sym_order_by,
    STATE(7620), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12452), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [439796] = 4,
    ACTIONS(12458), 1,
      sym_keyword_unsigned,
    ACTIONS(12460), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1982), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [439824] = 10,
    ACTIONS(9088), 1,
      sym_keyword_order,
    ACTIONS(9090), 1,
      sym_keyword_group,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(9096), 1,
      sym_keyword_window,
    STATE(7153), 1,
      sym_group_by,
    STATE(7273), 1,
      sym_window_clause,
    STATE(7420), 1,
      sym_order_by,
    STATE(7643), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10894), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [439864] = 4,
    ACTIONS(21), 1,
      sym_keyword_create,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12462), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(6966), 14,
      sym__create_statement,
      sym_create_table,
      sym_create_view,
      sym_create_materialized_view,
      sym_create_function,
      sym_create_index,
      sym_create_schema,
      sym_create_database,
      sym_create_role,
      sym_create_sequence,
      sym_create_extension,
      sym_create_trigger,
      sym_create_type,
      aux_sym__create_statement_repeat1,
  [439892] = 16,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(12464), 1,
      sym_keyword_values,
    ACTIONS(12466), 1,
      sym_keyword_set,
    ACTIONS(12468), 1,
      sym_keyword_partition,
    ACTIONS(12470), 1,
      sym_keyword_as,
    ACTIONS(12472), 1,
      sym_keyword_partitioned,
    ACTIONS(12474), 1,
      anon_sym_LPAREN,
    STATE(7190), 1,
      sym_table_partition,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(7901), 1,
      sym__column_list,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9561), 3,
      sym__dml_read,
      sym__insert_values,
      sym__set_values,
  [439944] = 10,
    ACTIONS(9088), 1,
      sym_keyword_order,
    ACTIONS(9090), 1,
      sym_keyword_group,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(9096), 1,
      sym_keyword_window,
    STATE(7146), 1,
      sym_group_by,
    STATE(7288), 1,
      sym_window_clause,
    STATE(7442), 1,
      sym_order_by,
    STATE(7611), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8847), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [439984] = 5,
    ACTIONS(12476), 1,
      anon_sym_COMMA,
    STATE(6956), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11839), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(11841), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [440014] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11839), 5,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(11841), 12,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [440040] = 4,
    ACTIONS(12479), 1,
      sym_keyword_unsigned,
    ACTIONS(12481), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1908), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [440068] = 4,
    ACTIONS(12483), 1,
      sym_keyword_unsigned,
    ACTIONS(12485), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1916), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [440096] = 10,
    ACTIONS(9088), 1,
      sym_keyword_order,
    ACTIONS(9090), 1,
      sym_keyword_group,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(9096), 1,
      sym_keyword_window,
    STATE(7085), 1,
      sym_group_by,
    STATE(7308), 1,
      sym_window_clause,
    STATE(7476), 1,
      sym_order_by,
    STATE(7707), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8883), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [440136] = 10,
    ACTIONS(12487), 1,
      sym_keyword_table,
    ACTIONS(12491), 1,
      sym_keyword_column,
    ACTIONS(12493), 1,
      sym_keyword_materialized,
    ACTIONS(12497), 1,
      sym_keyword_cast,
    ACTIONS(12499), 1,
      sym_keyword_trigger,
    ACTIONS(12501), 1,
      sym_keyword_function,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(13522), 2,
      sym__comment_target,
      sym_cast,
    ACTIONS(12489), 4,
      sym_keyword_view,
      sym_keyword_sequence,
      sym_keyword_index,
      sym_keyword_extension,
    ACTIONS(12495), 5,
      sym_keyword_tablespace,
      sym_keyword_type,
      sym_keyword_database,
      sym_keyword_schema,
      sym_keyword_role,
  [440176] = 4,
    ACTIONS(12505), 1,
      sym_keyword_create,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12503), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(6962), 14,
      sym__create_statement,
      sym_create_table,
      sym_create_view,
      sym_create_materialized_view,
      sym_create_function,
      sym_create_index,
      sym_create_schema,
      sym_create_database,
      sym_create_role,
      sym_create_sequence,
      sym_create_extension,
      sym_create_trigger,
      sym_create_type,
      aux_sym__create_statement_repeat1,
  [440204] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12508), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
    STATE(6974), 14,
      sym__create_statement,
      sym_create_table,
      sym_create_view,
      sym_create_materialized_view,
      sym_create_function,
      sym_create_index,
      sym_create_schema,
      sym_create_database,
      sym_create_role,
      sym_create_sequence,
      sym_create_extension,
      sym_create_trigger,
      sym_create_type,
      aux_sym__create_statement_repeat1,
  [440230] = 16,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(12464), 1,
      sym_keyword_values,
    ACTIONS(12468), 1,
      sym_keyword_partition,
    ACTIONS(12472), 1,
      sym_keyword_partitioned,
    ACTIONS(12474), 1,
      anon_sym_LPAREN,
    ACTIONS(12510), 1,
      sym_keyword_set,
    ACTIONS(12512), 1,
      sym_keyword_as,
    STATE(7198), 1,
      sym_table_partition,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(7901), 1,
      sym__column_list,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10485), 3,
      sym__dml_read,
      sym__insert_values,
      sym__set_values,
  [440282] = 16,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(12464), 1,
      sym_keyword_values,
    ACTIONS(12468), 1,
      sym_keyword_partition,
    ACTIONS(12472), 1,
      sym_keyword_partitioned,
    ACTIONS(12474), 1,
      anon_sym_LPAREN,
    ACTIONS(12510), 1,
      sym_keyword_set,
    ACTIONS(12514), 1,
      sym_keyword_as,
    STATE(7209), 1,
      sym_table_partition,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(7901), 1,
      sym__column_list,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10583), 3,
      sym__dml_read,
      sym__insert_values,
      sym__set_values,
  [440334] = 4,
    ACTIONS(21), 1,
      sym_keyword_create,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12508), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(6974), 14,
      sym__create_statement,
      sym_create_table,
      sym_create_view,
      sym_create_materialized_view,
      sym_create_function,
      sym_create_index,
      sym_create_schema,
      sym_create_database,
      sym_create_role,
      sym_create_sequence,
      sym_create_extension,
      sym_create_trigger,
      sym_create_type,
      aux_sym__create_statement_repeat1,
  [440362] = 16,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(12464), 1,
      sym_keyword_values,
    ACTIONS(12466), 1,
      sym_keyword_set,
    ACTIONS(12468), 1,
      sym_keyword_partition,
    ACTIONS(12472), 1,
      sym_keyword_partitioned,
    ACTIONS(12474), 1,
      anon_sym_LPAREN,
    ACTIONS(12516), 1,
      sym_keyword_as,
    STATE(7193), 1,
      sym_table_partition,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(7901), 1,
      sym__column_list,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9637), 3,
      sym__dml_read,
      sym__insert_values,
      sym__set_values,
  [440414] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12518), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_separator,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [440438] = 4,
    ACTIONS(12520), 1,
      sym_keyword_unsigned,
    ACTIONS(12522), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1924), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [440466] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12508), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    STATE(6962), 14,
      sym__create_statement,
      sym_create_table,
      sym_create_view,
      sym_create_materialized_view,
      sym_create_function,
      sym_create_index,
      sym_create_schema,
      sym_create_database,
      sym_create_role,
      sym_create_sequence,
      sym_create_extension,
      sym_create_trigger,
      sym_create_type,
      aux_sym__create_statement_repeat1,
  [440492] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12524), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_separator,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [440516] = 16,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(1472), 1,
      sym_keyword_select,
    ACTIONS(12468), 1,
      sym_keyword_partition,
    ACTIONS(12472), 1,
      sym_keyword_partitioned,
    ACTIONS(12526), 1,
      sym_keyword_values,
    ACTIONS(12528), 1,
      sym_keyword_set,
    ACTIONS(12530), 1,
      sym_keyword_as,
    ACTIONS(12532), 1,
      anon_sym_LPAREN,
    STATE(7178), 1,
      sym_table_partition,
    STATE(7513), 1,
      sym_select,
    STATE(7622), 1,
      sym__select_statement,
    STATE(7875), 1,
      sym__column_list,
    STATE(8298), 1,
      sym_set_operation,
    STATE(8813), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9732), 3,
      sym__dml_read,
      sym__insert_values,
      sym__set_values,
  [440568] = 16,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(1472), 1,
      sym_keyword_select,
    ACTIONS(12468), 1,
      sym_keyword_partition,
    ACTIONS(12472), 1,
      sym_keyword_partitioned,
    ACTIONS(12526), 1,
      sym_keyword_values,
    ACTIONS(12528), 1,
      sym_keyword_set,
    ACTIONS(12532), 1,
      anon_sym_LPAREN,
    ACTIONS(12534), 1,
      sym_keyword_as,
    STATE(7183), 1,
      sym_table_partition,
    STATE(7513), 1,
      sym_select,
    STATE(7622), 1,
      sym__select_statement,
    STATE(7875), 1,
      sym__column_list,
    STATE(8298), 1,
      sym_set_operation,
    STATE(8813), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9823), 3,
      sym__dml_read,
      sym__insert_values,
      sym__set_values,
  [440620] = 4,
    ACTIONS(12536), 1,
      sym_keyword_create,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12503), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(6974), 14,
      sym__create_statement,
      sym_create_table,
      sym_create_view,
      sym_create_materialized_view,
      sym_create_function,
      sym_create_index,
      sym_create_schema,
      sym_create_database,
      sym_create_role,
      sym_create_sequence,
      sym_create_extension,
      sym_create_trigger,
      sym_create_type,
      aux_sym__create_statement_repeat1,
  [440648] = 10,
    ACTIONS(9088), 1,
      sym_keyword_order,
    ACTIONS(9090), 1,
      sym_keyword_group,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(9096), 1,
      sym_keyword_window,
    STATE(7143), 1,
      sym_group_by,
    STATE(7335), 1,
      sym_window_clause,
    STATE(7511), 1,
      sym_order_by,
    STATE(7686), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10888), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [440688] = 16,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(1472), 1,
      sym_keyword_select,
    ACTIONS(12468), 1,
      sym_keyword_partition,
    ACTIONS(12472), 1,
      sym_keyword_partitioned,
    ACTIONS(12526), 1,
      sym_keyword_values,
    ACTIONS(12528), 1,
      sym_keyword_set,
    ACTIONS(12532), 1,
      anon_sym_LPAREN,
    ACTIONS(12539), 1,
      sym_keyword_as,
    STATE(7185), 1,
      sym_table_partition,
    STATE(7513), 1,
      sym_select,
    STATE(7622), 1,
      sym__select_statement,
    STATE(7875), 1,
      sym__column_list,
    STATE(8298), 1,
      sym_set_operation,
    STATE(8813), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9973), 3,
      sym__dml_read,
      sym__insert_values,
      sym__set_values,
  [440740] = 16,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(1472), 1,
      sym_keyword_select,
    ACTIONS(12468), 1,
      sym_keyword_partition,
    ACTIONS(12472), 1,
      sym_keyword_partitioned,
    ACTIONS(12526), 1,
      sym_keyword_values,
    ACTIONS(12528), 1,
      sym_keyword_set,
    ACTIONS(12532), 1,
      anon_sym_LPAREN,
    ACTIONS(12541), 1,
      sym_keyword_as,
    STATE(7191), 1,
      sym_table_partition,
    STATE(7513), 1,
      sym_select,
    STATE(7622), 1,
      sym__select_statement,
    STATE(7875), 1,
      sym__column_list,
    STATE(8298), 1,
      sym_set_operation,
    STATE(8813), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10173), 3,
      sym__dml_read,
      sym__insert_values,
      sym__set_values,
  [440792] = 16,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(12464), 1,
      sym_keyword_values,
    ACTIONS(12468), 1,
      sym_keyword_partition,
    ACTIONS(12472), 1,
      sym_keyword_partitioned,
    ACTIONS(12474), 1,
      anon_sym_LPAREN,
    ACTIONS(12510), 1,
      sym_keyword_set,
    ACTIONS(12543), 1,
      sym_keyword_as,
    STATE(7179), 1,
      sym_table_partition,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(7901), 1,
      sym__column_list,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10416), 3,
      sym__dml_read,
      sym__insert_values,
      sym__set_values,
  [440844] = 16,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(12464), 1,
      sym_keyword_values,
    ACTIONS(12466), 1,
      sym_keyword_set,
    ACTIONS(12468), 1,
      sym_keyword_partition,
    ACTIONS(12472), 1,
      sym_keyword_partitioned,
    ACTIONS(12474), 1,
      anon_sym_LPAREN,
    ACTIONS(12545), 1,
      sym_keyword_as,
    STATE(7217), 1,
      sym_table_partition,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(7901), 1,
      sym__column_list,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10129), 3,
      sym__dml_read,
      sym__insert_values,
      sym__set_values,
  [440896] = 16,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(12464), 1,
      sym_keyword_values,
    ACTIONS(12468), 1,
      sym_keyword_partition,
    ACTIONS(12472), 1,
      sym_keyword_partitioned,
    ACTIONS(12474), 1,
      anon_sym_LPAREN,
    ACTIONS(12510), 1,
      sym_keyword_set,
    ACTIONS(12547), 1,
      sym_keyword_as,
    STATE(7194), 1,
      sym_table_partition,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(7901), 1,
      sym__column_list,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10449), 3,
      sym__dml_read,
      sym__insert_values,
      sym__set_values,
  [440948] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12549), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_separator,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [440972] = 6,
    ACTIONS(6235), 1,
      sym_keyword_having,
    ACTIONS(6243), 1,
      anon_sym_COMMA,
    STATE(7063), 1,
      aux_sym_array_repeat1,
    STATE(7171), 1,
      sym__having,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12551), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [441004] = 3,
    ACTIONS(12553), 1,
      sym_keyword_varying,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1948), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [441030] = 4,
    ACTIONS(12555), 1,
      sym_keyword_varying,
    ACTIONS(12557), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1932), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [441058] = 16,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(12464), 1,
      sym_keyword_values,
    ACTIONS(12466), 1,
      sym_keyword_set,
    ACTIONS(12468), 1,
      sym_keyword_partition,
    ACTIONS(12472), 1,
      sym_keyword_partitioned,
    ACTIONS(12474), 1,
      anon_sym_LPAREN,
    ACTIONS(12559), 1,
      sym_keyword_as,
    STATE(7235), 1,
      sym_table_partition,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(7901), 1,
      sym__column_list,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9465), 3,
      sym__dml_read,
      sym__insert_values,
      sym__set_values,
  [441110] = 4,
    ACTIONS(1484), 1,
      sym_keyword_create,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12462), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(6989), 14,
      sym__create_statement,
      sym_create_table,
      sym_create_view,
      sym_create_materialized_view,
      sym_create_function,
      sym_create_index,
      sym_create_schema,
      sym_create_database,
      sym_create_role,
      sym_create_sequence,
      sym_create_extension,
      sym_create_trigger,
      sym_create_type,
      aux_sym__create_statement_repeat1,
  [441138] = 5,
    ACTIONS(12565), 1,
      anon_sym_COMMA,
    STATE(6956), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12561), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12563), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [441168] = 5,
    ACTIONS(12565), 1,
      anon_sym_COMMA,
    STATE(6993), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12561), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12563), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [441198] = 4,
    ACTIONS(1484), 1,
      sym_keyword_create,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12508), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(6962), 14,
      sym__create_statement,
      sym_create_table,
      sym_create_view,
      sym_create_materialized_view,
      sym_create_function,
      sym_create_index,
      sym_create_schema,
      sym_create_database,
      sym_create_role,
      sym_create_sequence,
      sym_create_extension,
      sym_create_trigger,
      sym_create_type,
      aux_sym__create_statement_repeat1,
  [441226] = 5,
    ACTIONS(12565), 1,
      anon_sym_COMMA,
    STATE(6987), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12567), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12569), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [441256] = 4,
    ACTIONS(12571), 1,
      sym_keyword_precision,
    ACTIONS(12573), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1860), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [441284] = 10,
    ACTIONS(12487), 1,
      sym_keyword_table,
    ACTIONS(12491), 1,
      sym_keyword_column,
    ACTIONS(12493), 1,
      sym_keyword_materialized,
    ACTIONS(12497), 1,
      sym_keyword_cast,
    ACTIONS(12499), 1,
      sym_keyword_trigger,
    ACTIONS(12501), 1,
      sym_keyword_function,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(13771), 2,
      sym__comment_target,
      sym_cast,
    ACTIONS(12489), 4,
      sym_keyword_view,
      sym_keyword_sequence,
      sym_keyword_index,
      sym_keyword_extension,
    ACTIONS(12495), 5,
      sym_keyword_tablespace,
      sym_keyword_type,
      sym_keyword_database,
      sym_keyword_schema,
      sym_keyword_role,
  [441324] = 5,
    ACTIONS(12565), 1,
      anon_sym_COMMA,
    STATE(6956), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12575), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12577), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [441354] = 4,
    ACTIONS(12579), 1,
      sym_keyword_unsigned,
    ACTIONS(12581), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1962), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [441382] = 4,
    ACTIONS(12583), 1,
      sym_keyword_unsigned,
    ACTIONS(12585), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1940), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [441410] = 4,
    ACTIONS(12587), 1,
      sym_keyword_unsigned,
    ACTIONS(12589), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1970), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [441438] = 4,
    ACTIONS(12591), 1,
      sym_keyword_unsigned,
    ACTIONS(12593), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1954), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [441466] = 8,
    ACTIONS(8863), 1,
      sym_keyword_order,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(8871), 1,
      sym_keyword_window,
    STATE(7181), 1,
      sym_window_clause,
    STATE(7294), 1,
      sym_order_by,
    STATE(7562), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12452), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [441501] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2165), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [441524] = 8,
    ACTIONS(8863), 1,
      sym_keyword_order,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(8871), 1,
      sym_keyword_window,
    STATE(7213), 1,
      sym_window_clause,
    STATE(7400), 1,
      sym_order_by,
    STATE(7593), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10894), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [441559] = 3,
    ACTIONS(12595), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2062), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [441584] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12508), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(7005), 14,
      sym__create_statement,
      sym_create_table,
      sym_create_view,
      sym_create_materialized_view,
      sym_create_function,
      sym_create_index,
      sym_create_schema,
      sym_create_database,
      sym_create_role,
      sym_create_sequence,
      sym_create_extension,
      sym_create_trigger,
      sym_create_type,
      aux_sym__create_statement_repeat1,
  [441609] = 3,
    ACTIONS(12597), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2068), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [441634] = 5,
    ACTIONS(12599), 1,
      anon_sym_COMMA,
    STATE(7066), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12561), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12563), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [441663] = 4,
    ACTIONS(12503), 1,
      anon_sym_RPAREN,
    ACTIONS(12601), 1,
      sym_keyword_create,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(7005), 14,
      sym__create_statement,
      sym_create_table,
      sym_create_view,
      sym_create_materialized_view,
      sym_create_function,
      sym_create_index,
      sym_create_schema,
      sym_create_database,
      sym_create_role,
      sym_create_sequence,
      sym_create_extension,
      sym_create_trigger,
      sym_create_type,
      aux_sym__create_statement_repeat1,
  [441690] = 5,
    ACTIONS(12599), 1,
      anon_sym_COMMA,
    STATE(7009), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12561), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12563), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [441719] = 4,
    ACTIONS(1714), 1,
      sym_keyword_create,
    ACTIONS(12508), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(7005), 14,
      sym__create_statement,
      sym_create_table,
      sym_create_view,
      sym_create_materialized_view,
      sym_create_function,
      sym_create_index,
      sym_create_schema,
      sym_create_database,
      sym_create_role,
      sym_create_sequence,
      sym_create_extension,
      sym_create_trigger,
      sym_create_type,
      aux_sym__create_statement_repeat1,
  [441746] = 4,
    ACTIONS(1714), 1,
      sym_keyword_create,
    ACTIONS(12462), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(7007), 14,
      sym__create_statement,
      sym_create_table,
      sym_create_view,
      sym_create_materialized_view,
      sym_create_function,
      sym_create_index,
      sym_create_schema,
      sym_create_database,
      sym_create_role,
      sym_create_sequence,
      sym_create_extension,
      sym_create_trigger,
      sym_create_type,
      aux_sym__create_statement_repeat1,
  [441773] = 5,
    ACTIONS(12599), 1,
      anon_sym_COMMA,
    STATE(7066), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12575), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12577), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [441802] = 5,
    ACTIONS(12599), 1,
      anon_sym_COMMA,
    STATE(7004), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12567), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12569), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [441831] = 10,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(8871), 1,
      sym_keyword_window,
    ACTIONS(9692), 1,
      sym_keyword_order,
    ACTIONS(9694), 1,
      sym_keyword_group,
    STATE(7221), 1,
      sym_group_by,
    STATE(7294), 1,
      sym_order_by,
    STATE(7479), 1,
      sym_window_clause,
    STATE(7562), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12452), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [441870] = 10,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(8871), 1,
      sym_keyword_window,
    ACTIONS(9692), 1,
      sym_keyword_order,
    ACTIONS(9694), 1,
      sym_keyword_group,
    STATE(7218), 1,
      sym_group_by,
    STATE(7265), 1,
      sym_order_by,
    STATE(7459), 1,
      sym_window_clause,
    STATE(7591), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10888), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [441909] = 10,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(8871), 1,
      sym_keyword_window,
    ACTIONS(9692), 1,
      sym_keyword_order,
    ACTIONS(9694), 1,
      sym_keyword_group,
    STATE(7216), 1,
      sym_group_by,
    STATE(7400), 1,
      sym_order_by,
    STATE(7454), 1,
      sym_window_clause,
    STATE(7593), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10894), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [441948] = 10,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(8871), 1,
      sym_keyword_window,
    ACTIONS(9692), 1,
      sym_keyword_order,
    ACTIONS(9694), 1,
      sym_keyword_group,
    STATE(7214), 1,
      sym_group_by,
    STATE(7338), 1,
      sym_order_by,
    STATE(7453), 1,
      sym_window_clause,
    STATE(7585), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8847), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [441987] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12242), 5,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12244), 11,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym__identifier,
  [442012] = 10,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(8871), 1,
      sym_keyword_window,
    ACTIONS(9692), 1,
      sym_keyword_order,
    ACTIONS(9694), 1,
      sym_keyword_group,
    STATE(7210), 1,
      sym_group_by,
    STATE(7391), 1,
      sym_order_by,
    STATE(7451), 1,
      sym_window_clause,
    STATE(7555), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8883), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [442051] = 3,
    ACTIONS(12604), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2119), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [442076] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12606), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_separator,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [442099] = 4,
    ACTIONS(1355), 1,
      aux_sym__single_quote_string_token2,
    STATE(85), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2965), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [442126] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12246), 5,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12248), 11,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym__identifier,
  [442151] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12606), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_separator,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [442174] = 17,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(2457), 1,
      sym_keyword_select,
    ACTIONS(2467), 1,
      sym_keyword_with,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(12608), 1,
      anon_sym_LPAREN,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(8534), 1,
      sym_select,
    STATE(9387), 1,
      sym__select_statement,
    STATE(10890), 1,
      sym__column,
    STATE(13514), 1,
      sym_set_operation,
    STATE(13516), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [442227] = 3,
    ACTIONS(12610), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2139), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [442252] = 8,
    ACTIONS(8863), 1,
      sym_keyword_order,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(8871), 1,
      sym_keyword_window,
    STATE(7186), 1,
      sym_window_clause,
    STATE(7316), 1,
      sym_order_by,
    STATE(7531), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12612), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [442287] = 4,
    ACTIONS(12614), 1,
      aux_sym__single_quote_string_token2,
    STATE(7019), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3043), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [442314] = 16,
    ACTIONS(12616), 1,
      sym_keyword_set,
    ACTIONS(12618), 1,
      sym_keyword_increment,
    ACTIONS(12620), 1,
      sym_keyword_minvalue,
    ACTIONS(12622), 1,
      sym_keyword_maxvalue,
    ACTIONS(12624), 1,
      sym_keyword_owned,
    ACTIONS(12626), 1,
      sym_keyword_start,
    ACTIONS(12628), 1,
      sym_keyword_restart,
    ACTIONS(12630), 1,
      sym_keyword_as,
    ACTIONS(12632), 1,
      sym_keyword_no,
    ACTIONS(12634), 1,
      sym_keyword_rename,
    ACTIONS(12636), 1,
      sym_keyword_owner,
    ACTIONS(12638), 1,
      sym_keyword_cycle,
    ACTIONS(12640), 1,
      sym_keyword_cache,
    STATE(7165), 1,
      aux_sym_alter_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10545), 2,
      sym_rename_object,
      sym_change_ownership,
  [442365] = 8,
    ACTIONS(8863), 1,
      sym_keyword_order,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(8871), 1,
      sym_keyword_window,
    STATE(7238), 1,
      sym_window_clause,
    STATE(7338), 1,
      sym_order_by,
    STATE(7585), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8847), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [442400] = 3,
    ACTIONS(12642), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2081), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [442425] = 17,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(2457), 1,
      sym_keyword_select,
    ACTIONS(2467), 1,
      sym_keyword_with,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(12608), 1,
      anon_sym_LPAREN,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(8587), 1,
      sym_select,
    STATE(8856), 1,
      sym__select_statement,
    STATE(10890), 1,
      sym__column,
    STATE(13820), 1,
      sym_set_operation,
    STATE(13985), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [442478] = 16,
    ACTIONS(12644), 1,
      sym_keyword_set,
    ACTIONS(12646), 1,
      sym_keyword_increment,
    ACTIONS(12648), 1,
      sym_keyword_minvalue,
    ACTIONS(12650), 1,
      sym_keyword_maxvalue,
    ACTIONS(12652), 1,
      sym_keyword_owned,
    ACTIONS(12654), 1,
      sym_keyword_start,
    ACTIONS(12656), 1,
      sym_keyword_restart,
    ACTIONS(12658), 1,
      sym_keyword_as,
    ACTIONS(12660), 1,
      sym_keyword_no,
    ACTIONS(12662), 1,
      sym_keyword_rename,
    ACTIONS(12664), 1,
      sym_keyword_owner,
    ACTIONS(12666), 1,
      sym_keyword_cycle,
    ACTIONS(12668), 1,
      sym_keyword_cache,
    STATE(7362), 1,
      aux_sym_alter_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(11354), 2,
      sym_rename_object,
      sym_change_ownership,
  [442529] = 6,
    ACTIONS(6587), 1,
      sym_keyword_having,
    ACTIONS(6591), 1,
      anon_sym_COMMA,
    STATE(7099), 1,
      aux_sym_array_repeat1,
    STATE(7341), 1,
      sym__having,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12551), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [442560] = 16,
    ACTIONS(12646), 1,
      sym_keyword_increment,
    ACTIONS(12648), 1,
      sym_keyword_minvalue,
    ACTIONS(12650), 1,
      sym_keyword_maxvalue,
    ACTIONS(12652), 1,
      sym_keyword_owned,
    ACTIONS(12654), 1,
      sym_keyword_start,
    ACTIONS(12656), 1,
      sym_keyword_restart,
    ACTIONS(12658), 1,
      sym_keyword_as,
    ACTIONS(12660), 1,
      sym_keyword_no,
    ACTIONS(12662), 1,
      sym_keyword_rename,
    ACTIONS(12664), 1,
      sym_keyword_owner,
    ACTIONS(12668), 1,
      sym_keyword_cache,
    ACTIONS(12670), 1,
      sym_keyword_set,
    ACTIONS(12672), 1,
      sym_keyword_cycle,
    STATE(7342), 1,
      aux_sym_alter_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(11322), 2,
      sym_rename_object,
      sym_change_ownership,
  [442611] = 3,
    ACTIONS(12674), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2107), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [442636] = 3,
    ACTIONS(12676), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2131), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [442661] = 3,
    ACTIONS(12678), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2044), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [442686] = 3,
    ACTIONS(12680), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2169), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [442711] = 3,
    ACTIONS(12682), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2012), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [442736] = 3,
    ACTIONS(12684), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2024), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [442761] = 3,
    ACTIONS(12686), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2099), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [442786] = 3,
    ACTIONS(12688), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1994), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [442811] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1948), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [442834] = 3,
    ACTIONS(12573), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1860), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [442859] = 3,
    ACTIONS(12690), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2087), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [442884] = 3,
    ACTIONS(12692), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2006), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [442909] = 16,
    ACTIONS(12618), 1,
      sym_keyword_increment,
    ACTIONS(12620), 1,
      sym_keyword_minvalue,
    ACTIONS(12622), 1,
      sym_keyword_maxvalue,
    ACTIONS(12624), 1,
      sym_keyword_owned,
    ACTIONS(12626), 1,
      sym_keyword_start,
    ACTIONS(12628), 1,
      sym_keyword_restart,
    ACTIONS(12630), 1,
      sym_keyword_as,
    ACTIONS(12632), 1,
      sym_keyword_no,
    ACTIONS(12634), 1,
      sym_keyword_rename,
    ACTIONS(12636), 1,
      sym_keyword_owner,
    ACTIONS(12640), 1,
      sym_keyword_cache,
    ACTIONS(12694), 1,
      sym_keyword_set,
    ACTIONS(12696), 1,
      sym_keyword_cycle,
    STATE(7231), 1,
      aux_sym_alter_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10627), 2,
      sym_rename_object,
      sym_change_ownership,
  [442960] = 3,
    ACTIONS(12698), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2018), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [442985] = 5,
    ACTIONS(12392), 1,
      anon_sym_LBRACK,
    STATE(7050), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(7223), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3185), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [443014] = 3,
    ACTIONS(12700), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2030), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [443039] = 3,
    ACTIONS(12702), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2036), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [443064] = 5,
    ACTIONS(12704), 1,
      anon_sym_LBRACK,
    STATE(7050), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(7223), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2074), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [443093] = 8,
    ACTIONS(8863), 1,
      sym_keyword_order,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(8871), 1,
      sym_keyword_window,
    STATE(7177), 1,
      sym_window_clause,
    STATE(7391), 1,
      sym_order_by,
    STATE(7555), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8883), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [443128] = 3,
    ACTIONS(12707), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2054), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [443153] = 3,
    ACTIONS(12709), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1994), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [443178] = 8,
    ACTIONS(8863), 1,
      sym_keyword_order,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(8871), 1,
      sym_keyword_window,
    STATE(7168), 1,
      sym_window_clause,
    STATE(7265), 1,
      sym_order_by,
    STATE(7591), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10888), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [443213] = 3,
    ACTIONS(12711), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2000), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [443238] = 3,
    ACTIONS(12713), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2087), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [443263] = 3,
    ACTIONS(12715), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2044), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [443288] = 3,
    ACTIONS(12717), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2006), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [443313] = 3,
    ACTIONS(12719), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2125), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [443338] = 3,
    ACTIONS(12721), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2018), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [443363] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2050), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [443386] = 3,
    ACTIONS(12723), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2030), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [443411] = 4,
    ACTIONS(12725), 1,
      anon_sym_COMMA,
    STATE(7063), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6767), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [443438] = 3,
    ACTIONS(12728), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2036), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [443463] = 3,
    ACTIONS(12730), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2145), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [443488] = 5,
    ACTIONS(12732), 1,
      anon_sym_COMMA,
    STATE(7066), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11839), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(11841), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [443517] = 3,
    ACTIONS(12735), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2151), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [443542] = 3,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2157), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [443567] = 3,
    ACTIONS(12739), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2113), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [443592] = 3,
    ACTIONS(12438), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1860), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [443617] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2018), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [443639] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2197), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [443661] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2353), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [443683] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2261), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [443705] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2107), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [443727] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2068), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [443749] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1994), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [443771] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2357), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [443793] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2301), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [443815] = 4,
    ACTIONS(12392), 1,
      anon_sym_LBRACK,
    STATE(7249), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3404), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [443841] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2181), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [443863] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2257), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [443885] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2253), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [443907] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2249), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [443929] = 8,
    ACTIONS(9088), 1,
      sym_keyword_order,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(9096), 1,
      sym_keyword_window,
    STATE(7288), 1,
      sym_window_clause,
    STATE(7442), 1,
      sym_order_by,
    STATE(7611), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8847), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [443963] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2221), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [443985] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2245), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [444007] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2087), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [444029] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2006), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [444051] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2030), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [444073] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2036), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [444095] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2177), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [444117] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2229), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [444139] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2241), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [444161] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1860), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [444183] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2044), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [444205] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2213), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [444227] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2205), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [444249] = 4,
    ACTIONS(12741), 1,
      anon_sym_COMMA,
    STATE(7099), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6767), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [444275] = 8,
    ACTIONS(9088), 1,
      sym_keyword_order,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(9096), 1,
      sym_keyword_window,
    STATE(7308), 1,
      sym_window_clause,
    STATE(7476), 1,
      sym_order_by,
    STATE(7707), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8883), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [444309] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2189), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [444331] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12744), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12746), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [444355] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12748), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12750), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [444379] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12752), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12754), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [444403] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2125), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [444425] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2237), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [444447] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2233), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [444469] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2277), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [444491] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12756), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12758), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [444515] = 3,
    ACTIONS(1374), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1370), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [444539] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2193), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [444561] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1772), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [444583] = 4,
    ACTIONS(12760), 1,
      aux_sym__single_quote_string_token2,
    STATE(7119), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2965), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [444609] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2201), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [444631] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2349), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [444653] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2273), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [444675] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2293), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [444697] = 10,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(9096), 1,
      sym_keyword_window,
    ACTIONS(10047), 1,
      sym_keyword_order,
    ACTIONS(10049), 1,
      sym_keyword_group,
    STATE(7330), 1,
      sym_group_by,
    STATE(7476), 1,
      sym_order_by,
    STATE(7518), 1,
      sym_window_clause,
    STATE(7707), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8883), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [444735] = 4,
    ACTIONS(12762), 1,
      aux_sym__single_quote_string_token2,
    STATE(7119), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1357), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [444761] = 7,
    ACTIONS(12765), 1,
      sym_keyword_array,
    ACTIONS(12767), 1,
      anon_sym_LBRACK,
    STATE(2637), 1,
      sym__array_size_definition,
    STATE(2639), 1,
      sym_array_size_definition,
    STATE(7407), 1,
      aux_sym_array_size_definition_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2799), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [444793] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2309), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [444815] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2062), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [444837] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2341), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [444859] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12769), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12771), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [444883] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12773), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12775), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [444907] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12777), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12779), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [444931] = 7,
    ACTIONS(12765), 1,
      sym_keyword_array,
    ACTIONS(12767), 1,
      anon_sym_LBRACK,
    STATE(2631), 1,
      sym_array_size_definition,
    STATE(2637), 1,
      sym__array_size_definition,
    STATE(7407), 1,
      aux_sym_array_size_definition_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2789), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [444963] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2217), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [444985] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12781), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12783), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [445009] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2185), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [445031] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2209), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [445053] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1924), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [445075] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2225), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [445097] = 6,
    ACTIONS(6699), 1,
      sym_keyword_having,
    ACTIONS(6701), 1,
      anon_sym_COMMA,
    STATE(7171), 1,
      sym__having,
    STATE(7222), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12551), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      anon_sym_RPAREN,
  [445127] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2345), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [445149] = 8,
    ACTIONS(9088), 1,
      sym_keyword_order,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(9096), 1,
      sym_keyword_window,
    STATE(7401), 1,
      sym_window_clause,
    STATE(7414), 1,
      sym_order_by,
    STATE(7645), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12612), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [445183] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2325), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [445205] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2321), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [445227] = 4,
    ACTIONS(12785), 1,
      aux_sym__single_quote_string_token2,
    STATE(7113), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3043), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [445253] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2317), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [445275] = 4,
    ACTIONS(12760), 1,
      aux_sym__single_quote_string_token2,
    STATE(7119), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1351), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [445301] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2119), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [445323] = 8,
    ACTIONS(9088), 1,
      sym_keyword_order,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(9096), 1,
      sym_keyword_window,
    STATE(7373), 1,
      sym_window_clause,
    STATE(7448), 1,
      sym_order_by,
    STATE(7620), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12452), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [445357] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2313), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [445379] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2305), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [445401] = 8,
    ACTIONS(9088), 1,
      sym_keyword_order,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(9096), 1,
      sym_keyword_window,
    STATE(7273), 1,
      sym_window_clause,
    STATE(7420), 1,
      sym_order_by,
    STATE(7643), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10894), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [445435] = 4,
    ACTIONS(12787), 1,
      aux_sym__single_quote_string_token2,
    STATE(7141), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1364), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [445461] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2289), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [445483] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2337), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [445505] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2139), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [445527] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2333), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [445549] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2285), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [445571] = 8,
    ACTIONS(9088), 1,
      sym_keyword_order,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(9096), 1,
      sym_keyword_window,
    STATE(7335), 1,
      sym_window_clause,
    STATE(7511), 1,
      sym_order_by,
    STATE(7686), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10888), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [445605] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2281), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [445627] = 10,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(9096), 1,
      sym_keyword_window,
    ACTIONS(10047), 1,
      sym_keyword_order,
    ACTIONS(10049), 1,
      sym_keyword_group,
    STATE(7317), 1,
      sym_group_by,
    STATE(7448), 1,
      sym_order_by,
    STATE(7529), 1,
      sym_window_clause,
    STATE(7620), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12452), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [445665] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2329), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [445687] = 10,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(9096), 1,
      sym_keyword_window,
    ACTIONS(10047), 1,
      sym_keyword_order,
    ACTIONS(10049), 1,
      sym_keyword_group,
    STATE(7322), 1,
      sym_group_by,
    STATE(7511), 1,
      sym_order_by,
    STATE(7523), 1,
      sym_window_clause,
    STATE(7686), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10888), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [445725] = 10,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(9096), 1,
      sym_keyword_window,
    ACTIONS(10047), 1,
      sym_keyword_order,
    ACTIONS(10049), 1,
      sym_keyword_group,
    STATE(7326), 1,
      sym_group_by,
    STATE(7420), 1,
      sym_order_by,
    STATE(7522), 1,
      sym_window_clause,
    STATE(7643), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10894), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [445763] = 10,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(9096), 1,
      sym_keyword_window,
    ACTIONS(10047), 1,
      sym_keyword_order,
    ACTIONS(10049), 1,
      sym_keyword_group,
    STATE(7328), 1,
      sym_group_by,
    STATE(7442), 1,
      sym_order_by,
    STATE(7520), 1,
      sym_window_clause,
    STATE(7611), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8847), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [445801] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2081), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [445823] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2297), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [445845] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2269), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [445867] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2145), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [445889] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2265), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [445911] = 13,
    ACTIONS(12618), 1,
      sym_keyword_increment,
    ACTIONS(12620), 1,
      sym_keyword_minvalue,
    ACTIONS(12622), 1,
      sym_keyword_maxvalue,
    ACTIONS(12624), 1,
      sym_keyword_owned,
    ACTIONS(12626), 1,
      sym_keyword_start,
    ACTIONS(12628), 1,
      sym_keyword_restart,
    ACTIONS(12630), 1,
      sym_keyword_as,
    ACTIONS(12632), 1,
      sym_keyword_no,
    ACTIONS(12640), 1,
      sym_keyword_cache,
    ACTIONS(12791), 1,
      sym_keyword_cycle,
    STATE(7233), 1,
      aux_sym_alter_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12789), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [445954] = 8,
    ACTIONS(12795), 1,
      sym_keyword_freeze,
    ACTIONS(12799), 1,
      sym_keyword_header,
    ACTIONS(12801), 1,
      sym_keyword_format,
    ACTIONS(12803), 1,
      anon_sym_RPAREN,
    STATE(7174), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12797), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12793), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [445987] = 8,
    ACTIONS(12795), 1,
      sym_keyword_freeze,
    ACTIONS(12799), 1,
      sym_keyword_header,
    ACTIONS(12801), 1,
      sym_keyword_format,
    ACTIONS(12805), 1,
      anon_sym_RPAREN,
    STATE(7174), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12797), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12793), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [446020] = 6,
    ACTIONS(8863), 1,
      sym_keyword_order,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    STATE(7294), 1,
      sym_order_by,
    STATE(7562), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12452), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [446049] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3464), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [446070] = 8,
    ACTIONS(12795), 1,
      sym_keyword_freeze,
    ACTIONS(12799), 1,
      sym_keyword_header,
    ACTIONS(12801), 1,
      sym_keyword_format,
    ACTIONS(12807), 1,
      anon_sym_RPAREN,
    STATE(7174), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12797), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12793), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [446103] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12809), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [446124] = 6,
    ACTIONS(6835), 1,
      sym_keyword_having,
    ACTIONS(6837), 1,
      anon_sym_COMMA,
    STATE(7341), 1,
      sym__having,
    STATE(7360), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12551), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
  [446153] = 8,
    ACTIONS(12795), 1,
      sym_keyword_freeze,
    ACTIONS(12799), 1,
      sym_keyword_header,
    ACTIONS(12801), 1,
      sym_keyword_format,
    ACTIONS(12811), 1,
      anon_sym_RPAREN,
    STATE(7174), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12797), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12793), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [446186] = 8,
    ACTIONS(12816), 1,
      sym_keyword_freeze,
    ACTIONS(12822), 1,
      sym_keyword_header,
    ACTIONS(12825), 1,
      sym_keyword_format,
    ACTIONS(12828), 1,
      anon_sym_RPAREN,
    STATE(7174), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12819), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12813), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [446219] = 8,
    ACTIONS(12795), 1,
      sym_keyword_freeze,
    ACTIONS(12799), 1,
      sym_keyword_header,
    ACTIONS(12801), 1,
      sym_keyword_format,
    ACTIONS(12830), 1,
      anon_sym_RPAREN,
    STATE(7174), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12797), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12793), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [446252] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [446273] = 6,
    ACTIONS(8863), 1,
      sym_keyword_order,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    STATE(7338), 1,
      sym_order_by,
    STATE(7585), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8847), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [446302] = 13,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(1472), 1,
      sym_keyword_select,
    ACTIONS(12526), 1,
      sym_keyword_values,
    ACTIONS(12528), 1,
      sym_keyword_set,
    ACTIONS(12532), 1,
      anon_sym_LPAREN,
    ACTIONS(12534), 1,
      sym_keyword_as,
    STATE(7513), 1,
      sym_select,
    STATE(7622), 1,
      sym__select_statement,
    STATE(7875), 1,
      sym__column_list,
    STATE(8298), 1,
      sym_set_operation,
    STATE(8813), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9823), 3,
      sym__dml_read,
      sym__insert_values,
      sym__set_values,
  [446345] = 13,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(12464), 1,
      sym_keyword_values,
    ACTIONS(12474), 1,
      anon_sym_LPAREN,
    ACTIONS(12510), 1,
      sym_keyword_set,
    ACTIONS(12832), 1,
      sym_keyword_as,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(7901), 1,
      sym__column_list,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10377), 3,
      sym__dml_read,
      sym__insert_values,
      sym__set_values,
  [446388] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2369), 14,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_LBRACK,
  [446409] = 6,
    ACTIONS(8863), 1,
      sym_keyword_order,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    STATE(7316), 1,
      sym_order_by,
    STATE(7531), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12612), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [446438] = 12,
    ACTIONS(12836), 1,
      sym_keyword_increment,
    ACTIONS(12838), 1,
      sym_keyword_minvalue,
    ACTIONS(12840), 1,
      sym_keyword_maxvalue,
    ACTIONS(12842), 1,
      sym_keyword_owned,
    ACTIONS(12844), 1,
      sym_keyword_start,
    ACTIONS(12846), 1,
      sym_keyword_as,
    ACTIONS(12848), 1,
      sym_keyword_no,
    ACTIONS(12850), 1,
      sym_keyword_cycle,
    ACTIONS(12852), 1,
      sym_keyword_cache,
    STATE(7211), 1,
      aux_sym_create_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12834), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [446479] = 13,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(1472), 1,
      sym_keyword_select,
    ACTIONS(12526), 1,
      sym_keyword_values,
    ACTIONS(12528), 1,
      sym_keyword_set,
    ACTIONS(12532), 1,
      anon_sym_LPAREN,
    ACTIONS(12539), 1,
      sym_keyword_as,
    STATE(7513), 1,
      sym_select,
    STATE(7622), 1,
      sym__select_statement,
    STATE(7875), 1,
      sym__column_list,
    STATE(8298), 1,
      sym_set_operation,
    STATE(8813), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9973), 3,
      sym__dml_read,
      sym__insert_values,
      sym__set_values,
  [446522] = 15,
    ACTIONS(117), 1,
      sym__identifier,
    ACTIONS(125), 1,
      aux_sym_identifier_token1,
    ACTIONS(10816), 1,
      sym_keyword_if,
    ACTIONS(10822), 1,
      sym__double_quote_string,
    ACTIONS(10824), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10826), 1,
      sym__dollar_quoted_string,
    ACTIONS(12854), 1,
      sym_keyword_column,
    ACTIONS(12856), 1,
      sym_keyword_constraint,
    STATE(83), 1,
      sym__column,
    STATE(87), 1,
      sym__single_quote_string,
    STATE(119), 1,
      sym_identifier,
    STATE(136), 1,
      sym__literal_string,
    STATE(7703), 1,
      sym__if_not_exists,
    STATE(8610), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [446569] = 13,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(1472), 1,
      sym_keyword_select,
    ACTIONS(12526), 1,
      sym_keyword_values,
    ACTIONS(12528), 1,
      sym_keyword_set,
    ACTIONS(12532), 1,
      anon_sym_LPAREN,
    ACTIONS(12541), 1,
      sym_keyword_as,
    STATE(7513), 1,
      sym_select,
    STATE(7622), 1,
      sym__select_statement,
    STATE(7875), 1,
      sym__column_list,
    STATE(8298), 1,
      sym_set_operation,
    STATE(8813), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10173), 3,
      sym__dml_read,
      sym__insert_values,
      sym__set_values,
  [446612] = 6,
    ACTIONS(8863), 1,
      sym_keyword_order,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    STATE(7340), 1,
      sym_order_by,
    STATE(7553), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12858), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [446641] = 15,
    ACTIONS(117), 1,
      sym__identifier,
    ACTIONS(125), 1,
      aux_sym_identifier_token1,
    ACTIONS(4376), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4384), 1,
      sym__dollar_quoted_string,
    ACTIONS(12860), 1,
      anon_sym_LPAREN,
    ACTIONS(12862), 1,
      anon_sym_RPAREN,
    ACTIONS(12864), 1,
      sym__double_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(2235), 1,
      sym__single_quote_string,
    STATE(7433), 1,
      sym_invocation,
    STATE(7461), 1,
      sym__column,
    STATE(7566), 1,
      sym_identifier,
    STATE(10317), 1,
      sym__index_field,
    STATE(13604), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [446688] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3516), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [446709] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3524), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [446730] = 13,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(12464), 1,
      sym_keyword_values,
    ACTIONS(12466), 1,
      sym_keyword_set,
    ACTIONS(12474), 1,
      anon_sym_LPAREN,
    ACTIONS(12516), 1,
      sym_keyword_as,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(7901), 1,
      sym__column_list,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9637), 3,
      sym__dml_read,
      sym__insert_values,
      sym__set_values,
  [446773] = 13,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(1472), 1,
      sym_keyword_select,
    ACTIONS(12526), 1,
      sym_keyword_values,
    ACTIONS(12528), 1,
      sym_keyword_set,
    ACTIONS(12532), 1,
      anon_sym_LPAREN,
    ACTIONS(12866), 1,
      sym_keyword_as,
    STATE(7513), 1,
      sym_select,
    STATE(7622), 1,
      sym__select_statement,
    STATE(7875), 1,
      sym__column_list,
    STATE(8298), 1,
      sym_set_operation,
    STATE(8813), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10168), 3,
      sym__dml_read,
      sym__insert_values,
      sym__set_values,
  [446816] = 8,
    ACTIONS(12795), 1,
      sym_keyword_freeze,
    ACTIONS(12799), 1,
      sym_keyword_header,
    ACTIONS(12801), 1,
      sym_keyword_format,
    ACTIONS(12868), 1,
      anon_sym_RPAREN,
    STATE(7174), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12797), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12793), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [446849] = 13,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(12464), 1,
      sym_keyword_values,
    ACTIONS(12466), 1,
      sym_keyword_set,
    ACTIONS(12474), 1,
      anon_sym_LPAREN,
    ACTIONS(12545), 1,
      sym_keyword_as,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(7901), 1,
      sym__column_list,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10129), 3,
      sym__dml_read,
      sym__insert_values,
      sym__set_values,
  [446892] = 13,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(12464), 1,
      sym_keyword_values,
    ACTIONS(12474), 1,
      anon_sym_LPAREN,
    ACTIONS(12510), 1,
      sym_keyword_set,
    ACTIONS(12543), 1,
      sym_keyword_as,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(7901), 1,
      sym__column_list,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10416), 3,
      sym__dml_read,
      sym__insert_values,
      sym__set_values,
  [446935] = 3,
    ACTIONS(1374), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1370), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [446958] = 8,
    ACTIONS(12795), 1,
      sym_keyword_freeze,
    ACTIONS(12799), 1,
      sym_keyword_header,
    ACTIONS(12801), 1,
      sym_keyword_format,
    ACTIONS(12870), 1,
      anon_sym_RPAREN,
    STATE(7174), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12797), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12793), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [446991] = 8,
    ACTIONS(12795), 1,
      sym_keyword_freeze,
    ACTIONS(12799), 1,
      sym_keyword_header,
    ACTIONS(12801), 1,
      sym_keyword_format,
    ACTIONS(12872), 1,
      anon_sym_RPAREN,
    STATE(7174), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12797), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12793), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [447024] = 13,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(12464), 1,
      sym_keyword_values,
    ACTIONS(12474), 1,
      anon_sym_LPAREN,
    ACTIONS(12510), 1,
      sym_keyword_set,
    ACTIONS(12547), 1,
      sym_keyword_as,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(7901), 1,
      sym__column_list,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10449), 3,
      sym__dml_read,
      sym__insert_values,
      sym__set_values,
  [447067] = 8,
    ACTIONS(12795), 1,
      sym_keyword_freeze,
    ACTIONS(12799), 1,
      sym_keyword_header,
    ACTIONS(12801), 1,
      sym_keyword_format,
    ACTIONS(12874), 1,
      anon_sym_RPAREN,
    STATE(7174), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12797), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12793), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [447100] = 8,
    ACTIONS(12795), 1,
      sym_keyword_freeze,
    ACTIONS(12799), 1,
      sym_keyword_header,
    ACTIONS(12801), 1,
      sym_keyword_format,
    ACTIONS(12876), 1,
      anon_sym_RPAREN,
    STATE(7174), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12797), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12793), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [447133] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3532), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [447154] = 8,
    ACTIONS(12795), 1,
      sym_keyword_freeze,
    ACTIONS(12799), 1,
      sym_keyword_header,
    ACTIONS(12801), 1,
      sym_keyword_format,
    ACTIONS(12878), 1,
      anon_sym_RPAREN,
    STATE(7174), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12797), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12793), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [447187] = 12,
    ACTIONS(12836), 1,
      sym_keyword_increment,
    ACTIONS(12838), 1,
      sym_keyword_minvalue,
    ACTIONS(12840), 1,
      sym_keyword_maxvalue,
    ACTIONS(12842), 1,
      sym_keyword_owned,
    ACTIONS(12844), 1,
      sym_keyword_start,
    ACTIONS(12846), 1,
      sym_keyword_as,
    ACTIONS(12848), 1,
      sym_keyword_no,
    ACTIONS(12852), 1,
      sym_keyword_cache,
    ACTIONS(12882), 1,
      sym_keyword_cycle,
    STATE(7225), 1,
      aux_sym_create_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12880), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [447228] = 8,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(8871), 1,
      sym_keyword_window,
    ACTIONS(9692), 1,
      sym_keyword_order,
    STATE(7391), 1,
      sym_order_by,
    STATE(7451), 1,
      sym_window_clause,
    STATE(7555), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8883), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [447261] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12551), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [447282] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12773), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12775), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [447305] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12769), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12771), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [447328] = 12,
    ACTIONS(12836), 1,
      sym_keyword_increment,
    ACTIONS(12838), 1,
      sym_keyword_minvalue,
    ACTIONS(12840), 1,
      sym_keyword_maxvalue,
    ACTIONS(12842), 1,
      sym_keyword_owned,
    ACTIONS(12844), 1,
      sym_keyword_start,
    ACTIONS(12846), 1,
      sym_keyword_as,
    ACTIONS(12848), 1,
      sym_keyword_no,
    ACTIONS(12852), 1,
      sym_keyword_cache,
    ACTIONS(12886), 1,
      sym_keyword_cycle,
    STATE(7224), 1,
      aux_sym_create_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12884), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [447369] = 13,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(12464), 1,
      sym_keyword_values,
    ACTIONS(12474), 1,
      anon_sym_LPAREN,
    ACTIONS(12510), 1,
      sym_keyword_set,
    ACTIONS(12512), 1,
      sym_keyword_as,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(7901), 1,
      sym__column_list,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10485), 3,
      sym__dml_read,
      sym__insert_values,
      sym__set_values,
  [447412] = 8,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(8871), 1,
      sym_keyword_window,
    ACTIONS(9692), 1,
      sym_keyword_order,
    STATE(7338), 1,
      sym_order_by,
    STATE(7453), 1,
      sym_window_clause,
    STATE(7585), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8847), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [447445] = 12,
    ACTIONS(12836), 1,
      sym_keyword_increment,
    ACTIONS(12838), 1,
      sym_keyword_minvalue,
    ACTIONS(12840), 1,
      sym_keyword_maxvalue,
    ACTIONS(12842), 1,
      sym_keyword_owned,
    ACTIONS(12844), 1,
      sym_keyword_start,
    ACTIONS(12846), 1,
      sym_keyword_as,
    ACTIONS(12848), 1,
      sym_keyword_no,
    ACTIONS(12852), 1,
      sym_keyword_cache,
    ACTIONS(12882), 1,
      sym_keyword_cycle,
    STATE(7225), 1,
      aux_sym_create_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12888), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [447486] = 6,
    ACTIONS(8863), 1,
      sym_keyword_order,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    STATE(7391), 1,
      sym_order_by,
    STATE(7555), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8883), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [447515] = 6,
    ACTIONS(8863), 1,
      sym_keyword_order,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    STATE(7265), 1,
      sym_order_by,
    STATE(7591), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10888), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [447544] = 8,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(8871), 1,
      sym_keyword_window,
    ACTIONS(9692), 1,
      sym_keyword_order,
    STATE(7400), 1,
      sym_order_by,
    STATE(7454), 1,
      sym_window_clause,
    STATE(7593), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10894), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [447577] = 15,
    ACTIONS(117), 1,
      sym__identifier,
    ACTIONS(125), 1,
      aux_sym_identifier_token1,
    ACTIONS(10816), 1,
      sym_keyword_if,
    ACTIONS(10822), 1,
      sym__double_quote_string,
    ACTIONS(10824), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10826), 1,
      sym__dollar_quoted_string,
    ACTIONS(12890), 1,
      sym_keyword_column,
    ACTIONS(12892), 1,
      sym_keyword_constraint,
    STATE(62), 1,
      sym__column,
    STATE(87), 1,
      sym__single_quote_string,
    STATE(120), 1,
      sym_identifier,
    STATE(136), 1,
      sym__literal_string,
    STATE(7676), 1,
      sym__if_not_exists,
    STATE(8299), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [447624] = 8,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(8871), 1,
      sym_keyword_window,
    ACTIONS(9692), 1,
      sym_keyword_order,
    STATE(7265), 1,
      sym_order_by,
    STATE(7459), 1,
      sym_window_clause,
    STATE(7591), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10888), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [447657] = 13,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(12464), 1,
      sym_keyword_values,
    ACTIONS(12466), 1,
      sym_keyword_set,
    ACTIONS(12474), 1,
      anon_sym_LPAREN,
    ACTIONS(12559), 1,
      sym_keyword_as,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(7901), 1,
      sym__column_list,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9465), 3,
      sym__dml_read,
      sym__insert_values,
      sym__set_values,
  [447700] = 8,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(8871), 1,
      sym_keyword_window,
    ACTIONS(9692), 1,
      sym_keyword_order,
    STATE(7294), 1,
      sym_order_by,
    STATE(7479), 1,
      sym_window_clause,
    STATE(7562), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12452), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [447733] = 8,
    ACTIONS(12795), 1,
      sym_keyword_freeze,
    ACTIONS(12799), 1,
      sym_keyword_header,
    ACTIONS(12801), 1,
      sym_keyword_format,
    ACTIONS(12894), 1,
      anon_sym_RPAREN,
    STATE(7174), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12797), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12793), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [447766] = 8,
    ACTIONS(12795), 1,
      sym_keyword_freeze,
    ACTIONS(12799), 1,
      sym_keyword_header,
    ACTIONS(12801), 1,
      sym_keyword_format,
    ACTIONS(12896), 1,
      anon_sym_RPAREN,
    STATE(7174), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12797), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12793), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [447799] = 8,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(8871), 1,
      sym_keyword_window,
    ACTIONS(9692), 1,
      sym_keyword_order,
    STATE(7316), 1,
      sym_order_by,
    STATE(7480), 1,
      sym_window_clause,
    STATE(7531), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12612), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [447832] = 4,
    ACTIONS(12898), 1,
      anon_sym_COMMA,
    STATE(7222), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6767), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      anon_sym_RPAREN,
  [447857] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2384), 14,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_LBRACK,
  [447878] = 12,
    ACTIONS(12836), 1,
      sym_keyword_increment,
    ACTIONS(12838), 1,
      sym_keyword_minvalue,
    ACTIONS(12840), 1,
      sym_keyword_maxvalue,
    ACTIONS(12842), 1,
      sym_keyword_owned,
    ACTIONS(12844), 1,
      sym_keyword_start,
    ACTIONS(12846), 1,
      sym_keyword_as,
    ACTIONS(12848), 1,
      sym_keyword_no,
    ACTIONS(12852), 1,
      sym_keyword_cache,
    ACTIONS(12882), 1,
      sym_keyword_cycle,
    STATE(7225), 1,
      aux_sym_create_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12901), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [447919] = 12,
    ACTIONS(12905), 1,
      sym_keyword_increment,
    ACTIONS(12908), 1,
      sym_keyword_minvalue,
    ACTIONS(12911), 1,
      sym_keyword_maxvalue,
    ACTIONS(12914), 1,
      sym_keyword_owned,
    ACTIONS(12917), 1,
      sym_keyword_start,
    ACTIONS(12920), 1,
      sym_keyword_as,
    ACTIONS(12923), 1,
      sym_keyword_no,
    ACTIONS(12926), 1,
      sym_keyword_cycle,
    ACTIONS(12929), 1,
      sym_keyword_cache,
    STATE(7225), 1,
      aux_sym_create_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12903), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [447960] = 15,
    ACTIONS(117), 1,
      sym__identifier,
    ACTIONS(125), 1,
      aux_sym_identifier_token1,
    ACTIONS(4376), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4384), 1,
      sym__dollar_quoted_string,
    ACTIONS(12860), 1,
      anon_sym_LPAREN,
    ACTIONS(12864), 1,
      sym__double_quote_string,
    ACTIONS(12932), 1,
      anon_sym_RPAREN,
    STATE(136), 1,
      sym__literal_string,
    STATE(2235), 1,
      sym__single_quote_string,
    STATE(7433), 1,
      sym_invocation,
    STATE(7461), 1,
      sym__column,
    STATE(7566), 1,
      sym_identifier,
    STATE(10937), 1,
      sym__index_field,
    STATE(13604), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [448007] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12752), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12754), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [448030] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12748), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12750), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [448053] = 12,
    ACTIONS(12836), 1,
      sym_keyword_increment,
    ACTIONS(12838), 1,
      sym_keyword_minvalue,
    ACTIONS(12840), 1,
      sym_keyword_maxvalue,
    ACTIONS(12842), 1,
      sym_keyword_owned,
    ACTIONS(12844), 1,
      sym_keyword_start,
    ACTIONS(12846), 1,
      sym_keyword_as,
    ACTIONS(12848), 1,
      sym_keyword_no,
    ACTIONS(12852), 1,
      sym_keyword_cache,
    ACTIONS(12936), 1,
      sym_keyword_cycle,
    STATE(7203), 1,
      aux_sym_create_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [448094] = 4,
    ACTIONS(12938), 1,
      anon_sym_COMMA,
    STATE(7230), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6767), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      anon_sym_RPAREN,
  [448119] = 13,
    ACTIONS(12618), 1,
      sym_keyword_increment,
    ACTIONS(12620), 1,
      sym_keyword_minvalue,
    ACTIONS(12622), 1,
      sym_keyword_maxvalue,
    ACTIONS(12624), 1,
      sym_keyword_owned,
    ACTIONS(12626), 1,
      sym_keyword_start,
    ACTIONS(12628), 1,
      sym_keyword_restart,
    ACTIONS(12630), 1,
      sym_keyword_as,
    ACTIONS(12632), 1,
      sym_keyword_no,
    ACTIONS(12640), 1,
      sym_keyword_cache,
    ACTIONS(12791), 1,
      sym_keyword_cycle,
    STATE(7233), 1,
      aux_sym_alter_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12941), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [448162] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2365), 14,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_LBRACK,
  [448183] = 13,
    ACTIONS(12945), 1,
      sym_keyword_increment,
    ACTIONS(12948), 1,
      sym_keyword_minvalue,
    ACTIONS(12951), 1,
      sym_keyword_maxvalue,
    ACTIONS(12954), 1,
      sym_keyword_owned,
    ACTIONS(12957), 1,
      sym_keyword_start,
    ACTIONS(12960), 1,
      sym_keyword_restart,
    ACTIONS(12963), 1,
      sym_keyword_as,
    ACTIONS(12966), 1,
      sym_keyword_no,
    ACTIONS(12969), 1,
      sym_keyword_cycle,
    ACTIONS(12972), 1,
      sym_keyword_cache,
    STATE(7233), 1,
      aux_sym_alter_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12943), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [448226] = 8,
    ACTIONS(12795), 1,
      sym_keyword_freeze,
    ACTIONS(12799), 1,
      sym_keyword_header,
    ACTIONS(12801), 1,
      sym_keyword_format,
    ACTIONS(12975), 1,
      anon_sym_RPAREN,
    STATE(7174), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12797), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12793), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [448259] = 13,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(12464), 1,
      sym_keyword_values,
    ACTIONS(12466), 1,
      sym_keyword_set,
    ACTIONS(12474), 1,
      anon_sym_LPAREN,
    ACTIONS(12977), 1,
      sym_keyword_as,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(7901), 1,
      sym__column_list,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10136), 3,
      sym__dml_read,
      sym__insert_values,
      sym__set_values,
  [448302] = 8,
    ACTIONS(12795), 1,
      sym_keyword_freeze,
    ACTIONS(12799), 1,
      sym_keyword_header,
    ACTIONS(12801), 1,
      sym_keyword_format,
    ACTIONS(12979), 1,
      anon_sym_RPAREN,
    STATE(7174), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12797), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12793), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [448335] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12756), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12758), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [448358] = 6,
    ACTIONS(8863), 1,
      sym_keyword_order,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    STATE(7400), 1,
      sym_order_by,
    STATE(7593), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10894), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [448387] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12744), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12746), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [448410] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12777), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12779), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [448433] = 8,
    ACTIONS(12795), 1,
      sym_keyword_freeze,
    ACTIONS(12799), 1,
      sym_keyword_header,
    ACTIONS(12801), 1,
      sym_keyword_format,
    ACTIONS(12981), 1,
      anon_sym_RPAREN,
    STATE(7174), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12797), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12793), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [448466] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12781), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12783), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [448489] = 8,
    ACTIONS(12795), 1,
      sym_keyword_freeze,
    ACTIONS(12799), 1,
      sym_keyword_header,
    ACTIONS(12801), 1,
      sym_keyword_format,
    ACTIONS(12983), 1,
      anon_sym_RPAREN,
    STATE(7174), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12797), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12793), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [448522] = 8,
    ACTIONS(12795), 1,
      sym_keyword_freeze,
    ACTIONS(12799), 1,
      sym_keyword_header,
    ACTIONS(12801), 1,
      sym_keyword_format,
    ACTIONS(12985), 1,
      anon_sym_RPAREN,
    STATE(7174), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12797), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12793), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [448555] = 12,
    ACTIONS(12987), 1,
      sym_keyword_increment,
    ACTIONS(12989), 1,
      sym_keyword_minvalue,
    ACTIONS(12991), 1,
      sym_keyword_maxvalue,
    ACTIONS(12993), 1,
      sym_keyword_owned,
    ACTIONS(12995), 1,
      sym_keyword_start,
    ACTIONS(12997), 1,
      sym_keyword_as,
    ACTIONS(12999), 1,
      sym_keyword_no,
    ACTIONS(13001), 1,
      sym_keyword_cycle,
    ACTIONS(13003), 1,
      sym_keyword_cache,
    STATE(7345), 1,
      aux_sym_create_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12880), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [448595] = 3,
    ACTIONS(13005), 1,
      sym_keyword_nulls,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12448), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_COMMA,
  [448617] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1370), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [448637] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2380), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [448657] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2361), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [448677] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2373), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [448697] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3520), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [448717] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3532), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [448737] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3524), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [448757] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3516), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [448777] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3464), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [448797] = 7,
    ACTIONS(12795), 1,
      sym_keyword_freeze,
    ACTIONS(12799), 1,
      sym_keyword_header,
    ACTIONS(12801), 1,
      sym_keyword_format,
    STATE(7219), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12797), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12793), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [448827] = 4,
    ACTIONS(13009), 1,
      anon_sym_COMMA,
    STATE(7388), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13007), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [448851] = 10,
    ACTIONS(13013), 1,
      sym_keyword_inner,
    ACTIONS(13015), 1,
      sym_keyword_join,
    ACTIONS(13017), 1,
      sym_keyword_natural,
    ACTIONS(13019), 1,
      sym_keyword_on,
    ACTIONS(13021), 1,
      sym_keyword_using,
    STATE(7873), 1,
      sym_index_hint,
    STATE(11436), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8869), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13011), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [448887] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11804), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_nulls,
      anon_sym_COMMA,
  [448907] = 4,
    ACTIONS(13023), 1,
      anon_sym_COMMA,
    STATE(7260), 1,
      aux_sym_order_by_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12524), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [448931] = 12,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(12464), 1,
      sym_keyword_values,
    ACTIONS(12466), 1,
      sym_keyword_set,
    ACTIONS(12474), 1,
      anon_sym_LPAREN,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(7901), 1,
      sym__column_list,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9468), 3,
      sym__dml_read,
      sym__insert_values,
      sym__set_values,
  [448971] = 3,
    ACTIONS(13026), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(109), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
  [448993] = 10,
    ACTIONS(13013), 1,
      sym_keyword_inner,
    ACTIONS(13015), 1,
      sym_keyword_join,
    ACTIONS(13017), 1,
      sym_keyword_natural,
    ACTIONS(13028), 1,
      sym_keyword_on,
    ACTIONS(13030), 1,
      sym_keyword_using,
    STATE(7862), 1,
      sym_index_hint,
    STATE(11987), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8869), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13011), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [449029] = 14,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(10816), 1,
      sym_keyword_if,
    ACTIONS(13032), 1,
      sym_keyword_on,
    ACTIONS(13034), 1,
      sym_keyword_concurrently,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(7835), 1,
      sym__if_not_exists,
    STATE(14010), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [449073] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    STATE(7562), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12452), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [449097] = 10,
    ACTIONS(13013), 1,
      sym_keyword_inner,
    ACTIONS(13015), 1,
      sym_keyword_join,
    ACTIONS(13017), 1,
      sym_keyword_natural,
    ACTIONS(13021), 1,
      sym_keyword_using,
    ACTIONS(13036), 1,
      sym_keyword_on,
    STATE(7870), 1,
      sym_index_hint,
    STATE(11988), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8869), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13011), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [449133] = 7,
    ACTIONS(12795), 1,
      sym_keyword_freeze,
    ACTIONS(12799), 1,
      sym_keyword_header,
    ACTIONS(12801), 1,
      sym_keyword_format,
    STATE(7173), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12797), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12793), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [449163] = 7,
    ACTIONS(12795), 1,
      sym_keyword_freeze,
    ACTIONS(12799), 1,
      sym_keyword_header,
    ACTIONS(12801), 1,
      sym_keyword_format,
    STATE(7220), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12797), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12793), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [449193] = 4,
    ACTIONS(13040), 1,
      anon_sym_COMMA,
    STATE(7403), 1,
      aux_sym_order_by_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13038), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [449217] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12828), 13,
      sym_keyword_default,
      sym_keyword_freeze,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_force_quote,
      sym_keyword_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
      sym_keyword_header,
      sym_keyword_format,
      sym_keyword_delimiter,
      sym_keyword_null,
      anon_sym_RPAREN,
  [449237] = 10,
    ACTIONS(13013), 1,
      sym_keyword_inner,
    ACTIONS(13015), 1,
      sym_keyword_join,
    ACTIONS(13017), 1,
      sym_keyword_natural,
    ACTIONS(13042), 1,
      sym_keyword_on,
    ACTIONS(13044), 1,
      sym_keyword_using,
    STATE(7871), 1,
      sym_index_hint,
    STATE(11990), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8869), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13011), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [449273] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13046), 13,
      sym_keyword_default,
      sym_keyword_freeze,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_force_quote,
      sym_keyword_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
      sym_keyword_header,
      sym_keyword_format,
      sym_keyword_delimiter,
      sym_keyword_null,
      anon_sym_RPAREN,
  [449293] = 6,
    ACTIONS(9088), 1,
      sym_keyword_order,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    STATE(7511), 1,
      sym_order_by,
    STATE(7686), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10888), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [449321] = 3,
    ACTIONS(13048), 1,
      sym_keyword_nulls,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12454), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_COMMA,
  [449343] = 12,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(13052), 1,
      sym_keyword_role,
    ACTIONS(13054), 1,
      sym_keyword_transaction,
    ACTIONS(13056), 1,
      sym_keyword_local,
    ACTIONS(13058), 1,
      sym_keyword_session,
    ACTIONS(13060), 1,
      sym_keyword_constraints,
    ACTIONS(13062), 1,
      sym_keyword_time,
    STATE(6414), 1,
      sym_identifier,
    STATE(11599), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13050), 2,
      sym_keyword_schema,
      sym_keyword_names,
  [449383] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12551), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [449403] = 12,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(12464), 1,
      sym_keyword_values,
    ACTIONS(12466), 1,
      sym_keyword_set,
    ACTIONS(12474), 1,
      anon_sym_LPAREN,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(7901), 1,
      sym__column_list,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10148), 3,
      sym__dml_read,
      sym__insert_values,
      sym__set_values,
  [449443] = 10,
    ACTIONS(13013), 1,
      sym_keyword_inner,
    ACTIONS(13015), 1,
      sym_keyword_join,
    ACTIONS(13017), 1,
      sym_keyword_natural,
    ACTIONS(13064), 1,
      sym_keyword_on,
    ACTIONS(13066), 1,
      sym_keyword_using,
    STATE(7851), 1,
      sym_index_hint,
    STATE(11986), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8869), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13011), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [449479] = 14,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(10816), 1,
      sym_keyword_if,
    ACTIONS(13068), 1,
      sym_keyword_on,
    ACTIONS(13070), 1,
      sym_keyword_concurrently,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(7838), 1,
      sym__if_not_exists,
    STATE(14031), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [449523] = 10,
    ACTIONS(13013), 1,
      sym_keyword_inner,
    ACTIONS(13015), 1,
      sym_keyword_join,
    ACTIONS(13017), 1,
      sym_keyword_natural,
    ACTIONS(13044), 1,
      sym_keyword_using,
    ACTIONS(13072), 1,
      sym_keyword_on,
    STATE(7836), 1,
      sym_index_hint,
    STATE(11980), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8869), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13011), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [449559] = 10,
    ACTIONS(13013), 1,
      sym_keyword_inner,
    ACTIONS(13015), 1,
      sym_keyword_join,
    ACTIONS(13017), 1,
      sym_keyword_natural,
    ACTIONS(13021), 1,
      sym_keyword_using,
    ACTIONS(13074), 1,
      sym_keyword_on,
    STATE(7823), 1,
      sym_index_hint,
    STATE(11976), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8869), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13011), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [449595] = 10,
    ACTIONS(13013), 1,
      sym_keyword_inner,
    ACTIONS(13015), 1,
      sym_keyword_join,
    ACTIONS(13017), 1,
      sym_keyword_natural,
    ACTIONS(13030), 1,
      sym_keyword_using,
    ACTIONS(13076), 1,
      sym_keyword_on,
    STATE(7834), 1,
      sym_index_hint,
    STATE(11975), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8869), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13011), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [449631] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13078), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [449651] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13080), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [449671] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13082), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [449691] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13084), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [449711] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13086), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [449731] = 6,
    ACTIONS(9088), 1,
      sym_keyword_order,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    STATE(7420), 1,
      sym_order_by,
    STATE(7643), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10894), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [449759] = 10,
    ACTIONS(13013), 1,
      sym_keyword_inner,
    ACTIONS(13015), 1,
      sym_keyword_join,
    ACTIONS(13017), 1,
      sym_keyword_natural,
    ACTIONS(13066), 1,
      sym_keyword_using,
    ACTIONS(13088), 1,
      sym_keyword_on,
    STATE(7808), 1,
      sym_index_hint,
    STATE(11973), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8869), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13011), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [449795] = 10,
    ACTIONS(13013), 1,
      sym_keyword_inner,
    ACTIONS(13015), 1,
      sym_keyword_join,
    ACTIONS(13017), 1,
      sym_keyword_natural,
    ACTIONS(13044), 1,
      sym_keyword_using,
    ACTIONS(13090), 1,
      sym_keyword_on,
    STATE(7790), 1,
      sym_index_hint,
    STATE(11965), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8869), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13011), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [449831] = 10,
    ACTIONS(13013), 1,
      sym_keyword_inner,
    ACTIONS(13015), 1,
      sym_keyword_join,
    ACTIONS(13017), 1,
      sym_keyword_natural,
    ACTIONS(13021), 1,
      sym_keyword_using,
    ACTIONS(13092), 1,
      sym_keyword_on,
    STATE(7779), 1,
      sym_index_hint,
    STATE(11963), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8869), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13011), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [449867] = 12,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(1472), 1,
      sym_keyword_select,
    ACTIONS(12526), 1,
      sym_keyword_values,
    ACTIONS(12528), 1,
      sym_keyword_set,
    ACTIONS(12532), 1,
      anon_sym_LPAREN,
    STATE(7513), 1,
      sym_select,
    STATE(7622), 1,
      sym__select_statement,
    STATE(7875), 1,
      sym__column_list,
    STATE(8298), 1,
      sym_set_operation,
    STATE(8813), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9977), 3,
      sym__dml_read,
      sym__insert_values,
      sym__set_values,
  [449907] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    STATE(7555), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8883), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [449931] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    STATE(7531), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12612), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [449955] = 10,
    ACTIONS(13013), 1,
      sym_keyword_inner,
    ACTIONS(13015), 1,
      sym_keyword_join,
    ACTIONS(13017), 1,
      sym_keyword_natural,
    ACTIONS(13030), 1,
      sym_keyword_using,
    ACTIONS(13094), 1,
      sym_keyword_on,
    STATE(7771), 1,
      sym_index_hint,
    STATE(11959), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8869), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13011), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [449991] = 10,
    ACTIONS(13013), 1,
      sym_keyword_inner,
    ACTIONS(13015), 1,
      sym_keyword_join,
    ACTIONS(13017), 1,
      sym_keyword_natural,
    ACTIONS(13066), 1,
      sym_keyword_using,
    ACTIONS(13096), 1,
      sym_keyword_on,
    STATE(7763), 1,
      sym_index_hint,
    STATE(11958), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8869), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13011), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [450027] = 14,
    ACTIONS(117), 1,
      sym__identifier,
    ACTIONS(125), 1,
      aux_sym_identifier_token1,
    ACTIONS(10822), 1,
      sym__double_quote_string,
    ACTIONS(10824), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10826), 1,
      sym__dollar_quoted_string,
    ACTIONS(13098), 1,
      sym_keyword_column,
    ACTIONS(13100), 1,
      sym_keyword_if,
    STATE(83), 1,
      sym__column,
    STATE(87), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(7702), 1,
      sym__if_exists,
    STATE(8380), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [450071] = 10,
    ACTIONS(13013), 1,
      sym_keyword_inner,
    ACTIONS(13015), 1,
      sym_keyword_join,
    ACTIONS(13017), 1,
      sym_keyword_natural,
    ACTIONS(13102), 1,
      sym_keyword_on,
    ACTIONS(13104), 1,
      sym_keyword_using,
    STATE(7751), 1,
      sym_index_hint,
    STATE(11951), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8869), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13011), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [450107] = 14,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(10816), 1,
      sym_keyword_if,
    ACTIONS(13106), 1,
      sym_keyword_on,
    ACTIONS(13108), 1,
      sym_keyword_concurrently,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(7926), 1,
      sym__if_not_exists,
    STATE(13004), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [450151] = 10,
    ACTIONS(13013), 1,
      sym_keyword_inner,
    ACTIONS(13015), 1,
      sym_keyword_join,
    ACTIONS(13017), 1,
      sym_keyword_natural,
    ACTIONS(13110), 1,
      sym_keyword_on,
    ACTIONS(13112), 1,
      sym_keyword_using,
    STATE(7750), 1,
      sym_index_hint,
    STATE(11946), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8869), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13011), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [450187] = 10,
    ACTIONS(13013), 1,
      sym_keyword_inner,
    ACTIONS(13015), 1,
      sym_keyword_join,
    ACTIONS(13017), 1,
      sym_keyword_natural,
    ACTIONS(13114), 1,
      sym_keyword_on,
    ACTIONS(13116), 1,
      sym_keyword_using,
    STATE(7744), 1,
      sym_index_hint,
    STATE(11945), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8869), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13011), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [450223] = 10,
    ACTIONS(13013), 1,
      sym_keyword_inner,
    ACTIONS(13015), 1,
      sym_keyword_join,
    ACTIONS(13017), 1,
      sym_keyword_natural,
    ACTIONS(13118), 1,
      sym_keyword_on,
    ACTIONS(13120), 1,
      sym_keyword_using,
    STATE(7731), 1,
      sym_index_hint,
    STATE(11944), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8869), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13011), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [450259] = 10,
    ACTIONS(13013), 1,
      sym_keyword_inner,
    ACTIONS(13015), 1,
      sym_keyword_join,
    ACTIONS(13017), 1,
      sym_keyword_natural,
    ACTIONS(13104), 1,
      sym_keyword_using,
    ACTIONS(13122), 1,
      sym_keyword_on,
    STATE(7734), 1,
      sym_index_hint,
    STATE(11940), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8869), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13011), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [450295] = 12,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(1472), 1,
      sym_keyword_select,
    ACTIONS(12526), 1,
      sym_keyword_values,
    ACTIONS(12528), 1,
      sym_keyword_set,
    ACTIONS(12532), 1,
      anon_sym_LPAREN,
    STATE(7513), 1,
      sym_select,
    STATE(7622), 1,
      sym__select_statement,
    STATE(7875), 1,
      sym__column_list,
    STATE(8298), 1,
      sym_set_operation,
    STATE(8813), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10205), 3,
      sym__dml_read,
      sym__insert_values,
      sym__set_values,
  [450335] = 10,
    ACTIONS(13013), 1,
      sym_keyword_inner,
    ACTIONS(13015), 1,
      sym_keyword_join,
    ACTIONS(13017), 1,
      sym_keyword_natural,
    ACTIONS(13112), 1,
      sym_keyword_using,
    ACTIONS(13124), 1,
      sym_keyword_on,
    STATE(7737), 1,
      sym_index_hint,
    STATE(11937), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8869), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13011), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [450371] = 10,
    ACTIONS(13013), 1,
      sym_keyword_inner,
    ACTIONS(13015), 1,
      sym_keyword_join,
    ACTIONS(13017), 1,
      sym_keyword_natural,
    ACTIONS(13116), 1,
      sym_keyword_using,
    ACTIONS(13126), 1,
      sym_keyword_on,
    STATE(7740), 1,
      sym_index_hint,
    STATE(11933), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8869), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13011), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [450407] = 10,
    ACTIONS(13013), 1,
      sym_keyword_inner,
    ACTIONS(13015), 1,
      sym_keyword_join,
    ACTIONS(13017), 1,
      sym_keyword_natural,
    ACTIONS(13120), 1,
      sym_keyword_using,
    ACTIONS(13128), 1,
      sym_keyword_on,
    STATE(7748), 1,
      sym_index_hint,
    STATE(11932), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8869), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13011), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [450443] = 6,
    ACTIONS(9088), 1,
      sym_keyword_order,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    STATE(7442), 1,
      sym_order_by,
    STATE(7611), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8847), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [450471] = 13,
    ACTIONS(10987), 1,
      sym_keyword_primary,
    ACTIONS(11003), 1,
      sym_keyword_check,
    ACTIONS(13130), 1,
      sym_keyword_key,
    ACTIONS(13132), 1,
      sym_keyword_constraint,
    ACTIONS(13134), 1,
      sym_keyword_index,
    ACTIONS(13136), 1,
      sym_keyword_unique,
    ACTIONS(13138), 1,
      sym_keyword_foreign,
    STATE(9738), 1,
      sym_constraint,
    STATE(9965), 1,
      sym__constraint_literal,
    STATE(9966), 1,
      sym__key_constraint,
    STATE(11974), 1,
      sym__primary_key,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9955), 2,
      sym__check_constraint,
      sym__primary_key_constraint,
  [450513] = 10,
    ACTIONS(13013), 1,
      sym_keyword_inner,
    ACTIONS(13015), 1,
      sym_keyword_join,
    ACTIONS(13017), 1,
      sym_keyword_natural,
    ACTIONS(13030), 1,
      sym_keyword_using,
    ACTIONS(13140), 1,
      sym_keyword_on,
    STATE(7781), 1,
      sym_index_hint,
    STATE(11915), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8869), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13011), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [450549] = 11,
    ACTIONS(337), 1,
      sym__identifier,
    ACTIONS(12280), 1,
      sym_keyword_password,
    ACTIONS(12282), 1,
      sym_keyword_encrypted,
    ACTIONS(12284), 1,
      sym_keyword_valid,
    ACTIONS(12286), 1,
      sym_keyword_connection,
    STATE(7124), 1,
      sym_identifier,
    STATE(7313), 1,
      aux_sym_alter_role_repeat1,
    STATE(7623), 1,
      sym__role_options,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13142), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [450587] = 12,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(1472), 1,
      sym_keyword_select,
    ACTIONS(12526), 1,
      sym_keyword_values,
    ACTIONS(12528), 1,
      sym_keyword_set,
    ACTIONS(12532), 1,
      anon_sym_LPAREN,
    STATE(7513), 1,
      sym_select,
    STATE(7622), 1,
      sym__select_statement,
    STATE(7875), 1,
      sym__column_list,
    STATE(8298), 1,
      sym_set_operation,
    STATE(8813), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10169), 3,
      sym__dml_read,
      sym__insert_values,
      sym__set_values,
  [450627] = 11,
    ACTIONS(13146), 1,
      sym__identifier,
    ACTIONS(13149), 1,
      sym_keyword_password,
    ACTIONS(13152), 1,
      sym_keyword_encrypted,
    ACTIONS(13155), 1,
      sym_keyword_valid,
    ACTIONS(13158), 1,
      sym_keyword_connection,
    STATE(7124), 1,
      sym_identifier,
    STATE(7313), 1,
      aux_sym_alter_role_repeat1,
    STATE(7623), 1,
      sym__role_options,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13161), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13144), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [450665] = 10,
    ACTIONS(13013), 1,
      sym_keyword_inner,
    ACTIONS(13015), 1,
      sym_keyword_join,
    ACTIONS(13017), 1,
      sym_keyword_natural,
    ACTIONS(13104), 1,
      sym_keyword_using,
    ACTIONS(13164), 1,
      sym_keyword_on,
    STATE(7772), 1,
      sym_index_hint,
    STATE(11926), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8869), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13011), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [450701] = 12,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(12464), 1,
      sym_keyword_values,
    ACTIONS(12466), 1,
      sym_keyword_set,
    ACTIONS(12474), 1,
      anon_sym_LPAREN,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(7901), 1,
      sym__column_list,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9510), 3,
      sym__dml_read,
      sym__insert_values,
      sym__set_values,
  [450741] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    STATE(7553), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12858), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [450765] = 8,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(9096), 1,
      sym_keyword_window,
    ACTIONS(10047), 1,
      sym_keyword_order,
    STATE(7414), 1,
      sym_order_by,
    STATE(7552), 1,
      sym_window_clause,
    STATE(7645), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12612), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [450797] = 10,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(13168), 1,
      sym_keyword_table,
    ACTIONS(13172), 1,
      sym_keyword_only,
    STATE(6414), 1,
      sym_identifier,
    STATE(8099), 1,
      sym_object_reference,
    STATE(10769), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13170), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(13166), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [450833] = 12,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(13176), 1,
      sym_keyword_role,
    ACTIONS(13178), 1,
      sym_keyword_transaction,
    ACTIONS(13180), 1,
      sym_keyword_local,
    ACTIONS(13182), 1,
      sym_keyword_session,
    ACTIONS(13184), 1,
      sym_keyword_constraints,
    ACTIONS(13186), 1,
      sym_keyword_time,
    STATE(6414), 1,
      sym_identifier,
    STATE(11424), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13174), 2,
      sym_keyword_schema,
      sym_keyword_names,
  [450873] = 10,
    ACTIONS(13013), 1,
      sym_keyword_inner,
    ACTIONS(13015), 1,
      sym_keyword_join,
    ACTIONS(13017), 1,
      sym_keyword_natural,
    ACTIONS(13112), 1,
      sym_keyword_using,
    ACTIONS(13188), 1,
      sym_keyword_on,
    STATE(7777), 1,
      sym_index_hint,
    STATE(11920), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8869), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13011), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [450909] = 10,
    ACTIONS(13013), 1,
      sym_keyword_inner,
    ACTIONS(13015), 1,
      sym_keyword_join,
    ACTIONS(13017), 1,
      sym_keyword_natural,
    ACTIONS(13116), 1,
      sym_keyword_using,
    ACTIONS(13190), 1,
      sym_keyword_on,
    STATE(7780), 1,
      sym_index_hint,
    STATE(11917), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8869), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13011), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [450945] = 8,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(9096), 1,
      sym_keyword_window,
    ACTIONS(10047), 1,
      sym_keyword_order,
    STATE(7448), 1,
      sym_order_by,
    STATE(7529), 1,
      sym_window_clause,
    STATE(7620), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12452), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [450977] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13192), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [450997] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13194), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [451017] = 13,
    ACTIONS(10987), 1,
      sym_keyword_primary,
    ACTIONS(11084), 1,
      sym_keyword_check,
    ACTIONS(13196), 1,
      sym_keyword_key,
    ACTIONS(13198), 1,
      sym_keyword_constraint,
    ACTIONS(13200), 1,
      sym_keyword_index,
    ACTIONS(13202), 1,
      sym_keyword_unique,
    ACTIONS(13204), 1,
      sym_keyword_foreign,
    STATE(10234), 1,
      sym__constraint_literal,
    STATE(10235), 1,
      sym__key_constraint,
    STATE(10374), 1,
      sym_constraint,
    STATE(11640), 1,
      sym__primary_key,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10232), 2,
      sym__check_constraint,
      sym__primary_key_constraint,
  [451059] = 8,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(9096), 1,
      sym_keyword_window,
    ACTIONS(10047), 1,
      sym_keyword_order,
    STATE(7511), 1,
      sym_order_by,
    STATE(7523), 1,
      sym_window_clause,
    STATE(7686), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10888), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [451091] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13206), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [451111] = 8,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(9096), 1,
      sym_keyword_window,
    ACTIONS(10047), 1,
      sym_keyword_order,
    STATE(7420), 1,
      sym_order_by,
    STATE(7522), 1,
      sym_window_clause,
    STATE(7643), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10894), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [451143] = 10,
    ACTIONS(13013), 1,
      sym_keyword_inner,
    ACTIONS(13015), 1,
      sym_keyword_join,
    ACTIONS(13017), 1,
      sym_keyword_natural,
    ACTIONS(13120), 1,
      sym_keyword_using,
    ACTIONS(13208), 1,
      sym_keyword_on,
    STATE(7785), 1,
      sym_index_hint,
    STATE(11914), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8869), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13011), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [451179] = 8,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(9096), 1,
      sym_keyword_window,
    ACTIONS(10047), 1,
      sym_keyword_order,
    STATE(7442), 1,
      sym_order_by,
    STATE(7520), 1,
      sym_window_clause,
    STATE(7611), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8847), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [451211] = 10,
    ACTIONS(13013), 1,
      sym_keyword_inner,
    ACTIONS(13015), 1,
      sym_keyword_join,
    ACTIONS(13017), 1,
      sym_keyword_natural,
    ACTIONS(13066), 1,
      sym_keyword_using,
    ACTIONS(13210), 1,
      sym_keyword_on,
    STATE(7825), 1,
      sym_index_hint,
    STATE(11746), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8869), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13011), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [451247] = 8,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(9096), 1,
      sym_keyword_window,
    ACTIONS(10047), 1,
      sym_keyword_order,
    STATE(7476), 1,
      sym_order_by,
    STATE(7518), 1,
      sym_window_clause,
    STATE(7707), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8883), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [451279] = 13,
    ACTIONS(13212), 1,
      sym_keyword_increment,
    ACTIONS(13215), 1,
      sym_keyword_minvalue,
    ACTIONS(13218), 1,
      sym_keyword_maxvalue,
    ACTIONS(13221), 1,
      sym_keyword_owned,
    ACTIONS(13224), 1,
      sym_keyword_start,
    ACTIONS(13227), 1,
      sym_keyword_restart,
    ACTIONS(13230), 1,
      sym_keyword_as,
    ACTIONS(13233), 1,
      sym_keyword_no,
    ACTIONS(13236), 1,
      sym_keyword_cycle,
    ACTIONS(13239), 1,
      sym_keyword_cache,
    STATE(7333), 1,
      aux_sym_alter_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12943), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [451321] = 12,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(1472), 1,
      sym_keyword_select,
    ACTIONS(12526), 1,
      sym_keyword_values,
    ACTIONS(12528), 1,
      sym_keyword_set,
    ACTIONS(12532), 1,
      anon_sym_LPAREN,
    STATE(7513), 1,
      sym_select,
    STATE(7622), 1,
      sym__select_statement,
    STATE(7875), 1,
      sym__column_list,
    STATE(8298), 1,
      sym_set_operation,
    STATE(8813), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10081), 3,
      sym__dml_read,
      sym__insert_values,
      sym__set_values,
  [451361] = 6,
    ACTIONS(9088), 1,
      sym_keyword_order,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    STATE(7448), 1,
      sym_order_by,
    STATE(7620), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12452), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [451389] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13242), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [451409] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13244), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [451429] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    STATE(7593), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10894), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [451453] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13246), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [451473] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    STATE(7536), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13248), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [451497] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12809), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [451517] = 13,
    ACTIONS(12646), 1,
      sym_keyword_increment,
    ACTIONS(12648), 1,
      sym_keyword_minvalue,
    ACTIONS(12650), 1,
      sym_keyword_maxvalue,
    ACTIONS(12652), 1,
      sym_keyword_owned,
    ACTIONS(12654), 1,
      sym_keyword_start,
    ACTIONS(12656), 1,
      sym_keyword_restart,
    ACTIONS(12658), 1,
      sym_keyword_as,
    ACTIONS(12660), 1,
      sym_keyword_no,
    ACTIONS(12668), 1,
      sym_keyword_cache,
    ACTIONS(13250), 1,
      sym_keyword_cycle,
    STATE(7333), 1,
      aux_sym_alter_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12941), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [451559] = 12,
    ACTIONS(12987), 1,
      sym_keyword_increment,
    ACTIONS(12989), 1,
      sym_keyword_minvalue,
    ACTIONS(12991), 1,
      sym_keyword_maxvalue,
    ACTIONS(12993), 1,
      sym_keyword_owned,
    ACTIONS(12995), 1,
      sym_keyword_start,
    ACTIONS(12997), 1,
      sym_keyword_as,
    ACTIONS(12999), 1,
      sym_keyword_no,
    ACTIONS(13003), 1,
      sym_keyword_cache,
    ACTIONS(13252), 1,
      sym_keyword_cycle,
    STATE(7245), 1,
      aux_sym_create_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [451599] = 10,
    ACTIONS(13013), 1,
      sym_keyword_inner,
    ACTIONS(13015), 1,
      sym_keyword_join,
    ACTIONS(13017), 1,
      sym_keyword_natural,
    ACTIONS(13044), 1,
      sym_keyword_using,
    ACTIONS(13254), 1,
      sym_keyword_on,
    STATE(7809), 1,
      sym_index_hint,
    STATE(11652), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8869), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13011), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [451635] = 12,
    ACTIONS(13256), 1,
      sym_keyword_increment,
    ACTIONS(13259), 1,
      sym_keyword_minvalue,
    ACTIONS(13262), 1,
      sym_keyword_maxvalue,
    ACTIONS(13265), 1,
      sym_keyword_owned,
    ACTIONS(13268), 1,
      sym_keyword_start,
    ACTIONS(13271), 1,
      sym_keyword_as,
    ACTIONS(13274), 1,
      sym_keyword_no,
    ACTIONS(13277), 1,
      sym_keyword_cycle,
    ACTIONS(13280), 1,
      sym_keyword_cache,
    STATE(7345), 1,
      aux_sym_create_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12903), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [451675] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13283), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [451695] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13285), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [451715] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13287), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [451735] = 14,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(10816), 1,
      sym_keyword_if,
    ACTIONS(13289), 1,
      sym_keyword_on,
    ACTIONS(13291), 1,
      sym_keyword_concurrently,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(7818), 1,
      sym__if_not_exists,
    STATE(13798), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [451779] = 12,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(1472), 1,
      sym_keyword_select,
    ACTIONS(12526), 1,
      sym_keyword_values,
    ACTIONS(12528), 1,
      sym_keyword_set,
    ACTIONS(12532), 1,
      anon_sym_LPAREN,
    STATE(7513), 1,
      sym_select,
    STATE(7622), 1,
      sym__select_statement,
    STATE(7875), 1,
      sym__column_list,
    STATE(8298), 1,
      sym_set_operation,
    STATE(8813), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9942), 3,
      sym__dml_read,
      sym__insert_values,
      sym__set_values,
  [451819] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13293), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [451839] = 10,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(10774), 1,
      sym_keyword_group,
    ACTIONS(10776), 1,
      sym_keyword_window,
    STATE(7391), 1,
      sym_order_by,
    STATE(7555), 1,
      sym_limit,
    STATE(7578), 1,
      sym_group_by,
    STATE(7849), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8883), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [451875] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13295), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [451895] = 12,
    ACTIONS(12987), 1,
      sym_keyword_increment,
    ACTIONS(12989), 1,
      sym_keyword_minvalue,
    ACTIONS(12991), 1,
      sym_keyword_maxvalue,
    ACTIONS(12993), 1,
      sym_keyword_owned,
    ACTIONS(12995), 1,
      sym_keyword_start,
    ACTIONS(12997), 1,
      sym_keyword_as,
    ACTIONS(12999), 1,
      sym_keyword_no,
    ACTIONS(13001), 1,
      sym_keyword_cycle,
    ACTIONS(13003), 1,
      sym_keyword_cache,
    STATE(7345), 1,
      aux_sym_create_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12901), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [451935] = 14,
    ACTIONS(117), 1,
      sym__identifier,
    ACTIONS(125), 1,
      aux_sym_identifier_token1,
    ACTIONS(4376), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4384), 1,
      sym__dollar_quoted_string,
    ACTIONS(12860), 1,
      anon_sym_LPAREN,
    ACTIONS(12864), 1,
      sym__double_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(2235), 1,
      sym__single_quote_string,
    STATE(7433), 1,
      sym_invocation,
    STATE(7461), 1,
      sym__column,
    STATE(7566), 1,
      sym_identifier,
    STATE(11665), 1,
      sym__index_field,
    STATE(13604), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [451979] = 14,
    ACTIONS(117), 1,
      sym__identifier,
    ACTIONS(125), 1,
      aux_sym_identifier_token1,
    ACTIONS(10822), 1,
      sym__double_quote_string,
    ACTIONS(10824), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10826), 1,
      sym__dollar_quoted_string,
    ACTIONS(13100), 1,
      sym_keyword_if,
    ACTIONS(13297), 1,
      sym_keyword_column,
    STATE(62), 1,
      sym__column,
    STATE(87), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(7694), 1,
      sym__if_exists,
    STATE(8188), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [452023] = 6,
    ACTIONS(9088), 1,
      sym_keyword_order,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    STATE(7476), 1,
      sym_order_by,
    STATE(7707), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8883), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [452051] = 11,
    ACTIONS(337), 1,
      sym__identifier,
    ACTIONS(12280), 1,
      sym_keyword_password,
    ACTIONS(12282), 1,
      sym_keyword_encrypted,
    ACTIONS(12284), 1,
      sym_keyword_valid,
    ACTIONS(12286), 1,
      sym_keyword_connection,
    STATE(7124), 1,
      sym_identifier,
    STATE(7313), 1,
      aux_sym_alter_role_repeat1,
    STATE(7623), 1,
      sym__role_options,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13299), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [452089] = 10,
    ACTIONS(13013), 1,
      sym_keyword_inner,
    ACTIONS(13015), 1,
      sym_keyword_join,
    ACTIONS(13017), 1,
      sym_keyword_natural,
    ACTIONS(13021), 1,
      sym_keyword_using,
    ACTIONS(13301), 1,
      sym_keyword_on,
    STATE(7840), 1,
      sym_index_hint,
    STATE(11711), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8869), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13011), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [452125] = 4,
    ACTIONS(13303), 1,
      anon_sym_COMMA,
    STATE(7360), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6767), 11,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
  [452149] = 11,
    ACTIONS(337), 1,
      sym__identifier,
    ACTIONS(12280), 1,
      sym_keyword_password,
    ACTIONS(12282), 1,
      sym_keyword_encrypted,
    ACTIONS(12284), 1,
      sym_keyword_valid,
    ACTIONS(12286), 1,
      sym_keyword_connection,
    STATE(7124), 1,
      sym_identifier,
    STATE(7311), 1,
      aux_sym_alter_role_repeat1,
    STATE(7623), 1,
      sym__role_options,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13306), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [452187] = 13,
    ACTIONS(12646), 1,
      sym_keyword_increment,
    ACTIONS(12648), 1,
      sym_keyword_minvalue,
    ACTIONS(12650), 1,
      sym_keyword_maxvalue,
    ACTIONS(12652), 1,
      sym_keyword_owned,
    ACTIONS(12654), 1,
      sym_keyword_start,
    ACTIONS(12656), 1,
      sym_keyword_restart,
    ACTIONS(12658), 1,
      sym_keyword_as,
    ACTIONS(12660), 1,
      sym_keyword_no,
    ACTIONS(12668), 1,
      sym_keyword_cache,
    ACTIONS(13250), 1,
      sym_keyword_cycle,
    STATE(7333), 1,
      aux_sym_alter_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12789), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [452229] = 12,
    ACTIONS(12987), 1,
      sym_keyword_increment,
    ACTIONS(12989), 1,
      sym_keyword_minvalue,
    ACTIONS(12991), 1,
      sym_keyword_maxvalue,
    ACTIONS(12993), 1,
      sym_keyword_owned,
    ACTIONS(12995), 1,
      sym_keyword_start,
    ACTIONS(12997), 1,
      sym_keyword_as,
    ACTIONS(12999), 1,
      sym_keyword_no,
    ACTIONS(13001), 1,
      sym_keyword_cycle,
    ACTIONS(13003), 1,
      sym_keyword_cache,
    STATE(7345), 1,
      aux_sym_create_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12888), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [452269] = 12,
    ACTIONS(12987), 1,
      sym_keyword_increment,
    ACTIONS(12989), 1,
      sym_keyword_minvalue,
    ACTIONS(12991), 1,
      sym_keyword_maxvalue,
    ACTIONS(12993), 1,
      sym_keyword_owned,
    ACTIONS(12995), 1,
      sym_keyword_start,
    ACTIONS(12997), 1,
      sym_keyword_as,
    ACTIONS(12999), 1,
      sym_keyword_no,
    ACTIONS(13003), 1,
      sym_keyword_cache,
    ACTIONS(13308), 1,
      sym_keyword_cycle,
    STATE(7354), 1,
      aux_sym_create_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12884), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [452309] = 4,
    ACTIONS(13009), 1,
      anon_sym_COMMA,
    STATE(7257), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13310), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [452333] = 10,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(10774), 1,
      sym_keyword_group,
    ACTIONS(10776), 1,
      sym_keyword_window,
    STATE(7294), 1,
      sym_order_by,
    STATE(7539), 1,
      sym_group_by,
    STATE(7562), 1,
      sym_limit,
    STATE(7794), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12452), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [452369] = 4,
    ACTIONS(13314), 1,
      sym_keyword_offset,
    STATE(7584), 1,
      sym_offset,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13312), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [452393] = 7,
    ACTIONS(12795), 1,
      sym_keyword_freeze,
    ACTIONS(12799), 1,
      sym_keyword_header,
    ACTIONS(12801), 1,
      sym_keyword_format,
    STATE(7234), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12797), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12793), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [452423] = 10,
    ACTIONS(13013), 1,
      sym_keyword_inner,
    ACTIONS(13015), 1,
      sym_keyword_join,
    ACTIONS(13017), 1,
      sym_keyword_natural,
    ACTIONS(13044), 1,
      sym_keyword_using,
    ACTIONS(13316), 1,
      sym_keyword_on,
    STATE(7932), 1,
      sym_index_hint,
    STATE(12005), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8869), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13011), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [452459] = 12,
    ACTIONS(12987), 1,
      sym_keyword_increment,
    ACTIONS(12989), 1,
      sym_keyword_minvalue,
    ACTIONS(12991), 1,
      sym_keyword_maxvalue,
    ACTIONS(12993), 1,
      sym_keyword_owned,
    ACTIONS(12995), 1,
      sym_keyword_start,
    ACTIONS(12997), 1,
      sym_keyword_as,
    ACTIONS(12999), 1,
      sym_keyword_no,
    ACTIONS(13003), 1,
      sym_keyword_cache,
    ACTIONS(13318), 1,
      sym_keyword_cycle,
    STATE(7363), 1,
      aux_sym_create_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12834), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [452499] = 7,
    ACTIONS(12795), 1,
      sym_keyword_freeze,
    ACTIONS(12799), 1,
      sym_keyword_header,
    ACTIONS(12801), 1,
      sym_keyword_format,
    STATE(7202), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12797), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12793), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [452529] = 14,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(10816), 1,
      sym_keyword_if,
    ACTIONS(13320), 1,
      sym_keyword_on,
    ACTIONS(13322), 1,
      sym_keyword_concurrently,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(7890), 1,
      sym__if_not_exists,
    STATE(13320), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [452573] = 6,
    ACTIONS(9088), 1,
      sym_keyword_order,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    STATE(7414), 1,
      sym_order_by,
    STATE(7645), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12612), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [452601] = 12,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(12464), 1,
      sym_keyword_values,
    ACTIONS(12474), 1,
      anon_sym_LPAREN,
    ACTIONS(12510), 1,
      sym_keyword_set,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(7901), 1,
      sym__column_list,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10341), 3,
      sym__dml_read,
      sym__insert_values,
      sym__set_values,
  [452641] = 10,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(10774), 1,
      sym_keyword_group,
    ACTIONS(10776), 1,
      sym_keyword_window,
    STATE(7265), 1,
      sym_order_by,
    STATE(7545), 1,
      sym_group_by,
    STATE(7591), 1,
      sym_limit,
    STATE(7904), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10888), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [452677] = 7,
    ACTIONS(12795), 1,
      sym_keyword_freeze,
    ACTIONS(12799), 1,
      sym_keyword_header,
    ACTIONS(12801), 1,
      sym_keyword_format,
    STATE(7200), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12797), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12793), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [452707] = 7,
    ACTIONS(12795), 1,
      sym_keyword_freeze,
    ACTIONS(12799), 1,
      sym_keyword_header,
    ACTIONS(12801), 1,
      sym_keyword_format,
    STATE(7199), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12797), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12793), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [452737] = 14,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(10816), 1,
      sym_keyword_if,
    ACTIONS(13324), 1,
      sym_keyword_on,
    ACTIONS(13326), 1,
      sym_keyword_concurrently,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(7872), 1,
      sym__if_not_exists,
    STATE(13345), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [452781] = 7,
    ACTIONS(12795), 1,
      sym_keyword_freeze,
    ACTIONS(12799), 1,
      sym_keyword_header,
    ACTIONS(12801), 1,
      sym_keyword_format,
    STATE(7197), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12797), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12793), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [452811] = 7,
    ACTIONS(12795), 1,
      sym_keyword_freeze,
    ACTIONS(12799), 1,
      sym_keyword_header,
    ACTIONS(12801), 1,
      sym_keyword_format,
    STATE(7236), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12797), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12793), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [452841] = 12,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(12464), 1,
      sym_keyword_values,
    ACTIONS(12466), 1,
      sym_keyword_set,
    ACTIONS(12474), 1,
      anon_sym_LPAREN,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(7901), 1,
      sym__column_list,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10120), 3,
      sym__dml_read,
      sym__insert_values,
      sym__set_values,
  [452881] = 7,
    ACTIONS(12795), 1,
      sym_keyword_freeze,
    ACTIONS(12799), 1,
      sym_keyword_header,
    ACTIONS(12801), 1,
      sym_keyword_format,
    STATE(7241), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12797), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12793), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [452911] = 7,
    ACTIONS(12795), 1,
      sym_keyword_freeze,
    ACTIONS(12799), 1,
      sym_keyword_header,
    ACTIONS(12801), 1,
      sym_keyword_format,
    STATE(7243), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12797), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12793), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [452941] = 12,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(12464), 1,
      sym_keyword_values,
    ACTIONS(12474), 1,
      anon_sym_LPAREN,
    ACTIONS(12510), 1,
      sym_keyword_set,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(7901), 1,
      sym__column_list,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10422), 3,
      sym__dml_read,
      sym__insert_values,
      sym__set_values,
  [452981] = 12,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(12464), 1,
      sym_keyword_values,
    ACTIONS(12474), 1,
      anon_sym_LPAREN,
    ACTIONS(12510), 1,
      sym_keyword_set,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(7901), 1,
      sym__column_list,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10419), 3,
      sym__dml_read,
      sym__insert_values,
      sym__set_values,
  [453021] = 12,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(12464), 1,
      sym_keyword_values,
    ACTIONS(12474), 1,
      anon_sym_LPAREN,
    ACTIONS(12510), 1,
      sym_keyword_set,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(7901), 1,
      sym__column_list,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10391), 3,
      sym__dml_read,
      sym__insert_values,
      sym__set_values,
  [453061] = 10,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(10774), 1,
      sym_keyword_group,
    ACTIONS(10776), 1,
      sym_keyword_window,
    STATE(7338), 1,
      sym_order_by,
    STATE(7559), 1,
      sym_group_by,
    STATE(7585), 1,
      sym_limit,
    STATE(7845), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8847), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [453097] = 4,
    ACTIONS(13330), 1,
      anon_sym_COMMA,
    STATE(7388), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13328), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [453121] = 10,
    ACTIONS(13013), 1,
      sym_keyword_inner,
    ACTIONS(13015), 1,
      sym_keyword_join,
    ACTIONS(13017), 1,
      sym_keyword_natural,
    ACTIONS(13066), 1,
      sym_keyword_using,
    ACTIONS(13333), 1,
      sym_keyword_on,
    STATE(7909), 1,
      sym_index_hint,
    STATE(11813), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8869), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13011), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [453157] = 7,
    ACTIONS(12795), 1,
      sym_keyword_freeze,
    ACTIONS(12799), 1,
      sym_keyword_header,
    ACTIONS(12801), 1,
      sym_keyword_format,
    STATE(7170), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12797), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12793), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [453187] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    STATE(7585), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8847), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [453211] = 7,
    ACTIONS(12795), 1,
      sym_keyword_freeze,
    ACTIONS(12799), 1,
      sym_keyword_header,
    ACTIONS(12801), 1,
      sym_keyword_format,
    STATE(7166), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12797), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12793), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [453241] = 13,
    ACTIONS(10987), 1,
      sym_keyword_primary,
    ACTIONS(11003), 1,
      sym_keyword_check,
    ACTIONS(13130), 1,
      sym_keyword_key,
    ACTIONS(13132), 1,
      sym_keyword_constraint,
    ACTIONS(13134), 1,
      sym_keyword_index,
    ACTIONS(13136), 1,
      sym_keyword_unique,
    ACTIONS(13138), 1,
      sym_keyword_foreign,
    STATE(9965), 1,
      sym__constraint_literal,
    STATE(9966), 1,
      sym__key_constraint,
    STATE(11579), 1,
      sym_constraint,
    STATE(11974), 1,
      sym__primary_key,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9955), 2,
      sym__check_constraint,
      sym__primary_key_constraint,
  [453283] = 10,
    ACTIONS(13013), 1,
      sym_keyword_inner,
    ACTIONS(13015), 1,
      sym_keyword_join,
    ACTIONS(13017), 1,
      sym_keyword_natural,
    ACTIONS(13030), 1,
      sym_keyword_using,
    ACTIONS(13335), 1,
      sym_keyword_on,
    STATE(7852), 1,
      sym_index_hint,
    STATE(11762), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8869), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13011), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [453319] = 12,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(12464), 1,
      sym_keyword_values,
    ACTIONS(12466), 1,
      sym_keyword_set,
    ACTIONS(12474), 1,
      anon_sym_LPAREN,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(7901), 1,
      sym__column_list,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9483), 3,
      sym__dml_read,
      sym__insert_values,
      sym__set_values,
  [453359] = 12,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(12464), 1,
      sym_keyword_values,
    ACTIONS(12474), 1,
      anon_sym_LPAREN,
    ACTIONS(12510), 1,
      sym_keyword_set,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(7901), 1,
      sym__column_list,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10455), 3,
      sym__dml_read,
      sym__insert_values,
      sym__set_values,
  [453399] = 7,
    ACTIONS(12795), 1,
      sym_keyword_freeze,
    ACTIONS(12799), 1,
      sym_keyword_header,
    ACTIONS(12801), 1,
      sym_keyword_format,
    STATE(7167), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12797), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12793), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [453429] = 7,
    ACTIONS(12795), 1,
      sym_keyword_freeze,
    ACTIONS(12799), 1,
      sym_keyword_header,
    ACTIONS(12801), 1,
      sym_keyword_format,
    STATE(7244), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12797), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12793), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [453459] = 7,
    ACTIONS(12795), 1,
      sym_keyword_freeze,
    ACTIONS(12799), 1,
      sym_keyword_header,
    ACTIONS(12801), 1,
      sym_keyword_format,
    STATE(7175), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12797), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12793), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [453489] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    STATE(7591), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10888), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [453513] = 6,
    ACTIONS(9088), 1,
      sym_keyword_order,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    STATE(7457), 1,
      sym_order_by,
    STATE(7655), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12858), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [453541] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13328), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [453561] = 4,
    ACTIONS(13040), 1,
      anon_sym_COMMA,
    STATE(7260), 1,
      aux_sym_order_by_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13337), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [453585] = 7,
    ACTIONS(12795), 1,
      sym_keyword_freeze,
    ACTIONS(12799), 1,
      sym_keyword_header,
    ACTIONS(12801), 1,
      sym_keyword_format,
    STATE(7192), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12797), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12793), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [453615] = 7,
    ACTIONS(12795), 1,
      sym_keyword_freeze,
    ACTIONS(12799), 1,
      sym_keyword_header,
    ACTIONS(12801), 1,
      sym_keyword_format,
    STATE(7196), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12797), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12793), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [453645] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13339), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [453665] = 5,
    ACTIONS(12767), 1,
      anon_sym_LBRACK,
    STATE(2281), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(2637), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3185), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [453691] = 10,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(10774), 1,
      sym_keyword_group,
    ACTIONS(10776), 1,
      sym_keyword_window,
    STATE(7400), 1,
      sym_order_by,
    STATE(7564), 1,
      sym_group_by,
    STATE(7593), 1,
      sym_limit,
    STATE(7888), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10894), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [453727] = 11,
    ACTIONS(719), 1,
      sym__identifier,
    ACTIONS(12368), 1,
      sym_keyword_password,
    ACTIONS(12370), 1,
      sym_keyword_encrypted,
    ACTIONS(12372), 1,
      sym_keyword_valid,
    ACTIONS(12374), 1,
      sym_keyword_connection,
    STATE(7207), 1,
      sym_identifier,
    STATE(7509), 1,
      aux_sym_alter_role_repeat1,
    STATE(7922), 1,
      sym__role_options,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(777), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13142), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [453764] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12524), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_COMMA,
  [453783] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13341), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [453802] = 4,
    ACTIONS(13343), 1,
      anon_sym_COMMA,
    STATE(7498), 1,
      aux_sym_order_by_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13038), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_separator,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      anon_sym_RPAREN,
  [453825] = 13,
    ACTIONS(117), 1,
      sym__identifier,
    ACTIONS(125), 1,
      aux_sym_identifier_token1,
    ACTIONS(1750), 1,
      anon_sym_RPAREN,
    ACTIONS(10822), 1,
      sym__double_quote_string,
    ACTIONS(10824), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10826), 1,
      sym__dollar_quoted_string,
    STATE(62), 1,
      sym__column,
    STATE(87), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(140), 1,
      sym_identifier,
    STATE(10121), 1,
      sym_column_definition,
    STATE(10359), 1,
      sym__key_value_pair,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [453866] = 4,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    STATE(7655), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12858), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [453889] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12518), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_COMMA,
  [453908] = 10,
    ACTIONS(337), 1,
      sym__identifier,
    ACTIONS(13345), 1,
      sym_keyword_only,
    ACTIONS(13347), 1,
      anon_sym_LPAREN,
    STATE(1360), 1,
      sym_identifier,
    STATE(5119), 1,
      sym_object_reference,
    STATE(7455), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5532), 2,
      sym_invocation,
      sym_subquery,
    STATE(9505), 2,
      sym__mysql_update_statement,
      sym__postgres_update_statement,
  [453943] = 4,
    ACTIONS(13349), 1,
      anon_sym_COMMA,
    STATE(7417), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13328), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [453966] = 4,
    ACTIONS(13352), 1,
      anon_sym_COMMA,
    STATE(7417), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13007), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [453989] = 13,
    ACTIONS(117), 1,
      sym__identifier,
    ACTIONS(125), 1,
      aux_sym_identifier_token1,
    ACTIONS(1762), 1,
      anon_sym_RPAREN,
    ACTIONS(10822), 1,
      sym__double_quote_string,
    ACTIONS(10824), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10826), 1,
      sym__dollar_quoted_string,
    STATE(62), 1,
      sym__column,
    STATE(87), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(138), 1,
      sym_identifier,
    STATE(10121), 1,
      sym_column_definition,
    STATE(11195), 1,
      sym__key_value_pair,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [454030] = 4,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    STATE(7686), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10888), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [454053] = 4,
    ACTIONS(13354), 1,
      anon_sym_COMMA,
    STATE(7508), 1,
      aux_sym_order_by_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13337), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [454076] = 10,
    ACTIONS(337), 1,
      sym__identifier,
    ACTIONS(13347), 1,
      anon_sym_LPAREN,
    ACTIONS(13356), 1,
      sym_keyword_only,
    STATE(1360), 1,
      sym_identifier,
    STATE(5119), 1,
      sym_object_reference,
    STATE(7429), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5532), 2,
      sym_invocation,
      sym_subquery,
    STATE(10876), 2,
      sym__mysql_update_statement,
      sym__postgres_update_statement,
  [454111] = 10,
    ACTIONS(8873), 1,
      anon_sym_COMMA,
    ACTIONS(12466), 1,
      sym_keyword_set,
    ACTIONS(13360), 1,
      sym_keyword_inner,
    ACTIONS(13362), 1,
      sym_keyword_join,
    ACTIONS(13364), 1,
      sym_keyword_natural,
    STATE(7436), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(8165), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(7627), 2,
      sym_join,
      aux_sym__mysql_update_statement_repeat2,
    ACTIONS(13358), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [454146] = 13,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(10816), 1,
      sym_keyword_if,
    ACTIONS(13068), 1,
      sym_keyword_on,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(7838), 1,
      sym__if_not_exists,
    STATE(14031), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [454187] = 9,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(13370), 1,
      sym_keyword_only,
    STATE(6414), 1,
      sym_identifier,
    STATE(7970), 1,
      sym_object_reference,
    STATE(10450), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13368), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(13366), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [454220] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13339), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [454239] = 13,
    ACTIONS(117), 1,
      sym__identifier,
    ACTIONS(125), 1,
      aux_sym_identifier_token1,
    ACTIONS(10822), 1,
      sym__double_quote_string,
    ACTIONS(10824), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10826), 1,
      sym__dollar_quoted_string,
    ACTIONS(13372), 1,
      anon_sym_RPAREN,
    STATE(62), 1,
      sym__column,
    STATE(87), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(141), 1,
      sym_identifier,
    STATE(9621), 1,
      sym_column_definition,
    STATE(10950), 1,
      sym__key_value_pair,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [454280] = 13,
    ACTIONS(117), 1,
      sym__identifier,
    ACTIONS(125), 1,
      aux_sym_identifier_token1,
    ACTIONS(1760), 1,
      anon_sym_RPAREN,
    ACTIONS(10822), 1,
      sym__double_quote_string,
    ACTIONS(10824), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10826), 1,
      sym__dollar_quoted_string,
    STATE(62), 1,
      sym__column,
    STATE(87), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(146), 1,
      sym_identifier,
    STATE(9621), 1,
      sym_column_definition,
    STATE(10905), 1,
      sym__key_value_pair,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [454321] = 10,
    ACTIONS(8873), 1,
      anon_sym_COMMA,
    ACTIONS(12528), 1,
      sym_keyword_set,
    ACTIONS(13360), 1,
      sym_keyword_inner,
    ACTIONS(13362), 1,
      sym_keyword_join,
    ACTIONS(13364), 1,
      sym_keyword_natural,
    STATE(7439), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(8227), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(7636), 2,
      sym_join,
      aux_sym__mysql_update_statement_repeat2,
    ACTIONS(13358), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [454356] = 11,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(13376), 1,
      sym_keyword_role,
    ACTIONS(13378), 1,
      sym_keyword_authorization,
    ACTIONS(13380), 1,
      sym_keyword_session,
    ACTIONS(13382), 1,
      sym_keyword_characteristics,
    ACTIONS(13384), 1,
      sym_keyword_time,
    STATE(6414), 1,
      sym_identifier,
    STATE(11607), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13374), 2,
      sym_keyword_schema,
      sym_keyword_names,
  [454393] = 13,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(10816), 1,
      sym_keyword_if,
    ACTIONS(13386), 1,
      sym_keyword_on,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(7811), 1,
      sym__if_not_exists,
    STATE(13382), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [454434] = 13,
    ACTIONS(117), 1,
      sym__identifier,
    ACTIONS(125), 1,
      aux_sym_identifier_token1,
    ACTIONS(1770), 1,
      anon_sym_RPAREN,
    ACTIONS(10822), 1,
      sym__double_quote_string,
    ACTIONS(10824), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10826), 1,
      sym__dollar_quoted_string,
    STATE(62), 1,
      sym__column,
    STATE(87), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(144), 1,
      sym_identifier,
    STATE(9621), 1,
      sym_column_definition,
    STATE(10884), 1,
      sym__key_value_pair,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [454475] = 10,
    ACTIONS(1213), 1,
      sym__identifier,
    ACTIONS(13390), 1,
      sym_keyword_collate,
    ACTIONS(13392), 1,
      sym_keyword_nulls,
    STATE(8611), 1,
      sym__operator_class,
    STATE(8633), 1,
      sym_identifier,
    STATE(10582), 1,
      sym_direction,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1271), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13388), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(13394), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [454510] = 13,
    ACTIONS(117), 1,
      sym__identifier,
    ACTIONS(125), 1,
      aux_sym_identifier_token1,
    ACTIONS(10822), 1,
      sym__double_quote_string,
    ACTIONS(10824), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10826), 1,
      sym__dollar_quoted_string,
    ACTIONS(13396), 1,
      anon_sym_RPAREN,
    STATE(62), 1,
      sym__column,
    STATE(87), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(142), 1,
      sym_identifier,
    STATE(10121), 1,
      sym_column_definition,
    STATE(10396), 1,
      sym__key_value_pair,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [454551] = 12,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(13398), 1,
      sym_keyword_collate,
    ACTIONS(13400), 1,
      sym_keyword_engine,
    ACTIONS(13402), 1,
      sym_keyword_default,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10432), 1,
      sym_table_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(13792), 2,
      sym__literal_string,
      sym_identifier,
  [454590] = 10,
    ACTIONS(8873), 1,
      anon_sym_COMMA,
    ACTIONS(12466), 1,
      sym_keyword_set,
    ACTIONS(13360), 1,
      sym_keyword_inner,
    ACTIONS(13362), 1,
      sym_keyword_join,
    ACTIONS(13364), 1,
      sym_keyword_natural,
    STATE(6487), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(9339), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(7605), 2,
      sym_join,
      aux_sym__mysql_update_statement_repeat2,
    ACTIONS(13358), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [454625] = 10,
    ACTIONS(211), 1,
      sym__identifier,
    ACTIONS(13404), 1,
      sym_keyword_table,
    ACTIONS(13408), 1,
      sym_keyword_only,
    STATE(7262), 1,
      sym_identifier,
    STATE(8321), 1,
      sym_object_reference,
    STATE(11385), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13166), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(13406), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [454660] = 4,
    ACTIONS(13354), 1,
      anon_sym_COMMA,
    STATE(7421), 1,
      aux_sym_order_by_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13038), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [454683] = 10,
    ACTIONS(8873), 1,
      anon_sym_COMMA,
    ACTIONS(12528), 1,
      sym_keyword_set,
    ACTIONS(13360), 1,
      sym_keyword_inner,
    ACTIONS(13362), 1,
      sym_keyword_join,
    ACTIONS(13364), 1,
      sym_keyword_natural,
    STATE(6487), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(9269), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(7659), 2,
      sym_join,
      aux_sym__mysql_update_statement_repeat2,
    ACTIONS(13358), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [454718] = 13,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(10816), 1,
      sym_keyword_if,
    ACTIONS(13410), 1,
      sym_keyword_on,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(7846), 1,
      sym__if_not_exists,
    STATE(14052), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [454759] = 6,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(9692), 1,
      sym_keyword_order,
    STATE(7391), 1,
      sym_order_by,
    STATE(7555), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8883), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [454786] = 4,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    STATE(7643), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10894), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [454809] = 13,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(10816), 1,
      sym_keyword_if,
    ACTIONS(13324), 1,
      sym_keyword_on,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(7872), 1,
      sym__if_not_exists,
    STATE(13345), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [454850] = 13,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(10816), 1,
      sym_keyword_if,
    ACTIONS(13106), 1,
      sym_keyword_on,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(7926), 1,
      sym__if_not_exists,
    STATE(13004), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [454891] = 13,
    ACTIONS(117), 1,
      sym__identifier,
    ACTIONS(125), 1,
      aux_sym_identifier_token1,
    ACTIONS(10822), 1,
      sym__double_quote_string,
    ACTIONS(10824), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10826), 1,
      sym__dollar_quoted_string,
    ACTIONS(13412), 1,
      anon_sym_RPAREN,
    STATE(62), 1,
      sym__column,
    STATE(87), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(143), 1,
      sym_identifier,
    STATE(10052), 1,
      sym_column_definition,
    STATE(10486), 1,
      sym__key_value_pair,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [454932] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12549), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_COMMA,
  [454951] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13192), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [454970] = 4,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    STATE(7645), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12612), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [454993] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13194), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [455012] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13206), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [455031] = 6,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(9692), 1,
      sym_keyword_order,
    STATE(7338), 1,
      sym_order_by,
    STATE(7585), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8847), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [455058] = 13,
    ACTIONS(117), 1,
      sym__identifier,
    ACTIONS(125), 1,
      aux_sym_identifier_token1,
    ACTIONS(10816), 1,
      sym_keyword_if,
    ACTIONS(10822), 1,
      sym__double_quote_string,
    ACTIONS(10824), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10826), 1,
      sym__dollar_quoted_string,
    STATE(83), 1,
      sym__column,
    STATE(87), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(7703), 1,
      sym__if_not_exists,
    STATE(8610), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [455099] = 6,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(9692), 1,
      sym_keyword_order,
    STATE(7400), 1,
      sym_order_by,
    STATE(7593), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10894), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [455126] = 6,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(9692), 1,
      sym_keyword_order,
    STATE(7265), 1,
      sym_order_by,
    STATE(7591), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10888), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [455153] = 10,
    ACTIONS(8873), 1,
      anon_sym_COMMA,
    ACTIONS(12510), 1,
      sym_keyword_set,
    ACTIONS(13360), 1,
      sym_keyword_inner,
    ACTIONS(13362), 1,
      sym_keyword_join,
    ACTIONS(13364), 1,
      sym_keyword_natural,
    STATE(7501), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(8397), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(7715), 2,
      sym_join,
      aux_sym__mysql_update_statement_repeat2,
    ACTIONS(13358), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [455188] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12606), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_COMMA,
  [455207] = 4,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    STATE(7670), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13248), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [455230] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12606), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_COMMA,
  [455249] = 6,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(9692), 1,
      sym_keyword_order,
    STATE(7294), 1,
      sym_order_by,
    STATE(7562), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12452), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [455276] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13246), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [455295] = 10,
    ACTIONS(1213), 1,
      sym__identifier,
    ACTIONS(13414), 1,
      sym_keyword_collate,
    ACTIONS(13416), 1,
      sym_keyword_nulls,
    STATE(8609), 1,
      sym__operator_class,
    STATE(8633), 1,
      sym_identifier,
    STATE(10577), 1,
      sym_direction,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1271), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13388), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(13418), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [455330] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13244), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [455349] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13242), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [455368] = 13,
    ACTIONS(117), 1,
      sym__identifier,
    ACTIONS(125), 1,
      aux_sym_identifier_token1,
    ACTIONS(1764), 1,
      anon_sym_RPAREN,
    ACTIONS(10822), 1,
      sym__double_quote_string,
    ACTIONS(10824), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10826), 1,
      sym__dollar_quoted_string,
    STATE(62), 1,
      sym__column,
    STATE(87), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(10052), 1,
      sym_column_definition,
    STATE(10278), 1,
      sym__key_value_pair,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [455409] = 13,
    ACTIONS(117), 1,
      sym__identifier,
    ACTIONS(125), 1,
      aux_sym_identifier_token1,
    ACTIONS(10822), 1,
      sym__double_quote_string,
    ACTIONS(10824), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10826), 1,
      sym__dollar_quoted_string,
    ACTIONS(13100), 1,
      sym_keyword_if,
    STATE(83), 1,
      sym__column,
    STATE(87), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(7711), 1,
      sym__if_exists,
    STATE(8452), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [455450] = 4,
    ACTIONS(13420), 1,
      sym_keyword_offset,
    STATE(7656), 1,
      sym_offset,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13312), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [455473] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13328), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_COMMA,
  [455492] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13422), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [455511] = 12,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(13398), 1,
      sym_keyword_collate,
    ACTIONS(13400), 1,
      sym_keyword_engine,
    ACTIONS(13402), 1,
      sym_keyword_default,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(11708), 1,
      sym_table_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(13792), 2,
      sym__literal_string,
      sym_identifier,
  [455550] = 10,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(9096), 1,
      sym_keyword_window,
    ACTIONS(10862), 1,
      sym_keyword_order,
    ACTIONS(10864), 1,
      sym_keyword_group,
    STATE(7476), 1,
      sym_order_by,
    STATE(7664), 1,
      sym_group_by,
    STATE(7707), 1,
      sym_limit,
    STATE(8087), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8883), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
  [455585] = 4,
    ACTIONS(13424), 1,
      anon_sym_COMMA,
    STATE(7471), 1,
      aux_sym_order_by_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12524), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_separator,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      anon_sym_RPAREN,
  [455608] = 11,
    ACTIONS(719), 1,
      sym__identifier,
    ACTIONS(12368), 1,
      sym_keyword_password,
    ACTIONS(12370), 1,
      sym_keyword_encrypted,
    ACTIONS(12372), 1,
      sym_keyword_valid,
    ACTIONS(12374), 1,
      sym_keyword_connection,
    STATE(7207), 1,
      sym_identifier,
    STATE(7409), 1,
      aux_sym_alter_role_repeat1,
    STATE(7922), 1,
      sym__role_options,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(777), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13306), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [455645] = 11,
    ACTIONS(719), 1,
      sym__identifier,
    ACTIONS(12368), 1,
      sym_keyword_password,
    ACTIONS(12370), 1,
      sym_keyword_encrypted,
    ACTIONS(12372), 1,
      sym_keyword_valid,
    ACTIONS(12374), 1,
      sym_keyword_connection,
    STATE(7207), 1,
      sym_identifier,
    STATE(7509), 1,
      aux_sym_alter_role_repeat1,
    STATE(7922), 1,
      sym__role_options,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(777), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13299), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [455682] = 12,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(13398), 1,
      sym_keyword_collate,
    ACTIONS(13400), 1,
      sym_keyword_engine,
    ACTIONS(13402), 1,
      sym_keyword_default,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10300), 1,
      sym_table_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(13792), 2,
      sym__literal_string,
      sym_identifier,
  [455721] = 4,
    ACTIONS(13429), 1,
      sym_keyword_from,
    STATE(7576), 1,
      sym_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13427), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [455744] = 4,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    STATE(7611), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8847), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [455767] = 13,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(10816), 1,
      sym_keyword_if,
    ACTIONS(13431), 1,
      sym_keyword_on,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(7736), 1,
      sym__if_not_exists,
    STATE(12043), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [455808] = 13,
    ACTIONS(117), 1,
      sym__identifier,
    ACTIONS(125), 1,
      aux_sym_identifier_token1,
    ACTIONS(10816), 1,
      sym_keyword_if,
    ACTIONS(10822), 1,
      sym__double_quote_string,
    ACTIONS(10824), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10826), 1,
      sym__dollar_quoted_string,
    STATE(83), 1,
      sym__column,
    STATE(87), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(7708), 1,
      sym__if_not_exists,
    STATE(8468), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [455849] = 6,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(9692), 1,
      sym_keyword_order,
    STATE(7316), 1,
      sym_order_by,
    STATE(7531), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12612), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [455876] = 6,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(9692), 1,
      sym_keyword_order,
    STATE(7340), 1,
      sym_order_by,
    STATE(7553), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12858), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [455903] = 11,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(13435), 1,
      sym_keyword_role,
    ACTIONS(13437), 1,
      sym_keyword_authorization,
    ACTIONS(13439), 1,
      sym_keyword_session,
    ACTIONS(13441), 1,
      sym_keyword_characteristics,
    ACTIONS(13443), 1,
      sym_keyword_time,
    STATE(6414), 1,
      sym_identifier,
    STATE(11606), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13433), 2,
      sym_keyword_schema,
      sym_keyword_names,
  [455940] = 10,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(9096), 1,
      sym_keyword_window,
    ACTIONS(10862), 1,
      sym_keyword_order,
    ACTIONS(10864), 1,
      sym_keyword_group,
    STATE(7442), 1,
      sym_order_by,
    STATE(7611), 1,
      sym_limit,
    STATE(7665), 1,
      sym_group_by,
    STATE(8085), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8847), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
  [455975] = 4,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    STATE(7707), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8883), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [455998] = 10,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(9096), 1,
      sym_keyword_window,
    ACTIONS(10862), 1,
      sym_keyword_order,
    ACTIONS(10864), 1,
      sym_keyword_group,
    STATE(7420), 1,
      sym_order_by,
    STATE(7643), 1,
      sym_limit,
    STATE(7667), 1,
      sym_group_by,
    STATE(8081), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10894), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
  [456033] = 13,
    ACTIONS(117), 1,
      sym__identifier,
    ACTIONS(125), 1,
      aux_sym_identifier_token1,
    ACTIONS(10816), 1,
      sym_keyword_if,
    ACTIONS(10822), 1,
      sym__double_quote_string,
    ACTIONS(10824), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10826), 1,
      sym__dollar_quoted_string,
    STATE(62), 1,
      sym__column,
    STATE(87), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(7676), 1,
      sym__if_not_exists,
    STATE(8299), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [456074] = 10,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(9096), 1,
      sym_keyword_window,
    ACTIONS(10862), 1,
      sym_keyword_order,
    ACTIONS(10864), 1,
      sym_keyword_group,
    STATE(7511), 1,
      sym_order_by,
    STATE(7669), 1,
      sym_group_by,
    STATE(7686), 1,
      sym_limit,
    STATE(8080), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10888), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
  [456109] = 13,
    ACTIONS(117), 1,
      sym__identifier,
    ACTIONS(125), 1,
      aux_sym_identifier_token1,
    ACTIONS(1756), 1,
      anon_sym_RPAREN,
    ACTIONS(10822), 1,
      sym__double_quote_string,
    ACTIONS(10824), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10826), 1,
      sym__dollar_quoted_string,
    STATE(62), 1,
      sym__column,
    STATE(87), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(145), 1,
      sym_identifier,
    STATE(10052), 1,
      sym_column_definition,
    STATE(10534), 1,
      sym__key_value_pair,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [456150] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13078), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [456169] = 12,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(13398), 1,
      sym_keyword_collate,
    ACTIONS(13400), 1,
      sym_keyword_engine,
    ACTIONS(13402), 1,
      sym_keyword_default,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10472), 1,
      sym_table_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(13792), 2,
      sym__literal_string,
      sym_identifier,
  [456208] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13080), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [456227] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13082), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [456246] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13084), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [456265] = 10,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(9096), 1,
      sym_keyword_window,
    ACTIONS(10862), 1,
      sym_keyword_order,
    ACTIONS(10864), 1,
      sym_keyword_group,
    STATE(7448), 1,
      sym_order_by,
    STATE(7620), 1,
      sym_limit,
    STATE(7673), 1,
      sym_group_by,
    STATE(8076), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12452), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
  [456300] = 10,
    ACTIONS(1213), 1,
      sym__identifier,
    ACTIONS(13445), 1,
      sym_keyword_collate,
    ACTIONS(13447), 1,
      sym_keyword_nulls,
    STATE(8633), 1,
      sym_identifier,
    STATE(8654), 1,
      sym__operator_class,
    STATE(11071), 1,
      sym_direction,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1271), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13388), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(13449), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [456335] = 12,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    ACTIONS(13398), 1,
      sym_keyword_collate,
    ACTIONS(13400), 1,
      sym_keyword_engine,
    ACTIONS(13402), 1,
      sym_keyword_default,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(11083), 1,
      sym_table_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(13792), 2,
      sym__literal_string,
      sym_identifier,
  [456374] = 6,
    ACTIONS(7426), 1,
      sym_keyword_having,
    ACTIONS(7428), 1,
      anon_sym_COMMA,
    STATE(7171), 1,
      sym__having,
    STATE(7230), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12551), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [456401] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13086), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [456420] = 4,
    ACTIONS(13343), 1,
      anon_sym_COMMA,
    STATE(7471), 1,
      aux_sym_order_by_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13337), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_separator,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      anon_sym_RPAREN,
  [456443] = 10,
    ACTIONS(337), 1,
      sym__identifier,
    ACTIONS(13347), 1,
      anon_sym_LPAREN,
    ACTIONS(13451), 1,
      sym_keyword_only,
    STATE(1360), 1,
      sym_identifier,
    STATE(5119), 1,
      sym_object_reference,
    STATE(7423), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5532), 2,
      sym_invocation,
      sym_subquery,
    STATE(9505), 2,
      sym__mysql_update_statement,
      sym__postgres_update_statement,
  [456478] = 13,
    ACTIONS(117), 1,
      sym__identifier,
    ACTIONS(125), 1,
      aux_sym_identifier_token1,
    ACTIONS(10822), 1,
      sym__double_quote_string,
    ACTIONS(10824), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10826), 1,
      sym__dollar_quoted_string,
    ACTIONS(13100), 1,
      sym_keyword_if,
    STATE(62), 1,
      sym__column,
    STATE(87), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(7625), 1,
      sym__if_exists,
    STATE(8265), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [456519] = 10,
    ACTIONS(8873), 1,
      anon_sym_COMMA,
    ACTIONS(12510), 1,
      sym_keyword_set,
    ACTIONS(13360), 1,
      sym_keyword_inner,
    ACTIONS(13362), 1,
      sym_keyword_join,
    ACTIONS(13364), 1,
      sym_keyword_natural,
    STATE(6487), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(9816), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(7681), 2,
      sym_join,
      aux_sym__mysql_update_statement_repeat2,
    ACTIONS(13358), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [456554] = 4,
    ACTIONS(13352), 1,
      anon_sym_COMMA,
    STATE(7418), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13310), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [456577] = 4,
    ACTIONS(12767), 1,
      anon_sym_LBRACK,
    STATE(2609), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3404), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [456600] = 13,
    ACTIONS(117), 1,
      sym__identifier,
    ACTIONS(125), 1,
      aux_sym_identifier_token1,
    ACTIONS(10816), 1,
      sym_keyword_if,
    ACTIONS(10822), 1,
      sym__double_quote_string,
    ACTIONS(10824), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10826), 1,
      sym__dollar_quoted_string,
    STATE(62), 1,
      sym__column,
    STATE(87), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(7637), 1,
      sym__if_not_exists,
    STATE(8194), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [456641] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13283), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [456660] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13295), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [456679] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13293), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [456698] = 4,
    ACTIONS(13453), 1,
      anon_sym_COMMA,
    STATE(7508), 1,
      aux_sym_order_by_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12524), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [456721] = 11,
    ACTIONS(13456), 1,
      sym__identifier,
    ACTIONS(13459), 1,
      sym_keyword_password,
    ACTIONS(13462), 1,
      sym_keyword_encrypted,
    ACTIONS(13465), 1,
      sym_keyword_valid,
    ACTIONS(13468), 1,
      sym_keyword_connection,
    STATE(7207), 1,
      sym_identifier,
    STATE(7509), 1,
      aux_sym_alter_role_repeat1,
    STATE(7922), 1,
      sym__role_options,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13144), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(13471), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [456758] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13287), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [456777] = 4,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    STATE(7620), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12452), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [456800] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13285), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [456819] = 4,
    ACTIONS(13474), 1,
      sym_keyword_from,
    STATE(7614), 1,
      sym_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13427), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [456841] = 4,
    ACTIONS(13476), 1,
      anon_sym_COMMA,
    STATE(7542), 1,
      aux_sym_order_by_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13337), 9,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [456863] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(12464), 1,
      sym_keyword_values,
    ACTIONS(12474), 1,
      anon_sym_LPAREN,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(7901), 1,
      sym__column_list,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9771), 2,
      sym__dml_read,
      sym__insert_values,
  [456899] = 6,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(10047), 1,
      sym_keyword_order,
    STATE(7476), 1,
      sym_order_by,
    STATE(7707), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8883), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [456925] = 4,
    ACTIONS(13480), 1,
      anon_sym_COMMA,
    STATE(7521), 1,
      aux_sym__cte_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13478), 9,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [456947] = 6,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(10047), 1,
      sym_keyword_order,
    STATE(7442), 1,
      sym_order_by,
    STATE(7611), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8847), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [456973] = 4,
    ACTIONS(13480), 1,
      anon_sym_COMMA,
    STATE(7517), 1,
      aux_sym__cte_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13482), 9,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [456995] = 6,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(10047), 1,
      sym_keyword_order,
    STATE(7420), 1,
      sym_order_by,
    STATE(7643), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10894), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [457021] = 4,
    ACTIONS(13486), 1,
      anon_sym_COMMA,
    STATE(7521), 1,
      aux_sym__cte_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13484), 9,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [457043] = 6,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(10047), 1,
      sym_keyword_order,
    STATE(7511), 1,
      sym_order_by,
    STATE(7686), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10888), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [457069] = 6,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(10047), 1,
      sym_keyword_order,
    STATE(7448), 1,
      sym_order_by,
    STATE(7620), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12452), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [457095] = 9,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(13491), 1,
      sym_keyword_create,
    ACTIONS(13493), 1,
      sym_keyword_with,
    STATE(7716), 1,
      aux_sym_create_database_repeat1,
    STATE(8139), 1,
      sym_identifier,
    STATE(8286), 1,
      sym__with_settings,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13489), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [457127] = 4,
    ACTIONS(13480), 1,
      anon_sym_COMMA,
    STATE(7534), 1,
      aux_sym__cte_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13495), 9,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [457149] = 4,
    ACTIONS(13497), 1,
      anon_sym_COMMA,
    STATE(7530), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13007), 9,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [457171] = 6,
    ACTIONS(7601), 1,
      sym_keyword_having,
    ACTIONS(7617), 1,
      anon_sym_COMMA,
    STATE(7341), 1,
      sym__having,
    STATE(7654), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12551), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
  [457197] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(12464), 1,
      sym_keyword_values,
    ACTIONS(12474), 1,
      anon_sym_LPAREN,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(7901), 1,
      sym__column_list,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9922), 2,
      sym__dml_read,
      sym__insert_values,
  [457233] = 6,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(10047), 1,
      sym_keyword_order,
    STATE(7414), 1,
      sym_order_by,
    STATE(7645), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12612), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [457259] = 4,
    ACTIONS(13499), 1,
      anon_sym_COMMA,
    STATE(7530), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13328), 9,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [457281] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12858), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [457299] = 8,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(13504), 1,
      sym_keyword_ignore,
    STATE(6414), 1,
      sym_identifier,
    STATE(6972), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13502), 2,
      sym_keyword_into,
      sym_keyword_overwrite,
    ACTIONS(13506), 3,
      sym_keyword_high_priority,
      sym_keyword_low_priority,
      sym_keyword_delayed,
  [457329] = 9,
    ACTIONS(1213), 1,
      sym__identifier,
    ACTIONS(13508), 1,
      sym_keyword_nulls,
    STATE(8633), 1,
      sym_identifier,
    STATE(8651), 1,
      sym__operator_class,
    STATE(11070), 1,
      sym_direction,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1271), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13388), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(13510), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [457361] = 4,
    ACTIONS(13480), 1,
      anon_sym_COMMA,
    STATE(7521), 1,
      aux_sym__cte_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13482), 9,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [457383] = 8,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(10776), 1,
      sym_keyword_window,
    STATE(7391), 1,
      sym_order_by,
    STATE(7555), 1,
      sym_limit,
    STATE(7849), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8883), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [457413] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13512), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [457431] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13514), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [457449] = 10,
    ACTIONS(13518), 1,
      sym_keyword_table,
    ACTIONS(13520), 1,
      sym_keyword_view,
    ACTIONS(13522), 1,
      sym_keyword_sequence,
    ACTIONS(13524), 1,
      sym_keyword_index,
    ACTIONS(13526), 1,
      sym_keyword_type,
    ACTIONS(13528), 1,
      sym_keyword_database,
    ACTIONS(13530), 1,
      sym_keyword_schema,
    ACTIONS(13532), 1,
      sym_keyword_extension,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13516), 3,
      sym_keyword_group,
      sym_keyword_user,
      sym_keyword_role,
  [457483] = 8,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(10776), 1,
      sym_keyword_window,
    STATE(7316), 1,
      sym_order_by,
    STATE(7531), 1,
      sym_limit,
    STATE(7857), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12612), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [457513] = 5,
    ACTIONS(13536), 1,
      sym_keyword_union,
    STATE(7588), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13538), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    ACTIONS(13534), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [457537] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(12464), 1,
      sym_keyword_values,
    ACTIONS(12474), 1,
      anon_sym_LPAREN,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(7901), 1,
      sym__column_list,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9454), 2,
      sym__dml_read,
      sym__insert_values,
  [457573] = 4,
    ACTIONS(13540), 1,
      anon_sym_COMMA,
    STATE(7542), 1,
      aux_sym_order_by_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12524), 9,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [457595] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13422), 11,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [457613] = 8,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(13545), 1,
      sym_keyword_ignore,
    STATE(6414), 1,
      sym_identifier,
    STATE(6965), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13543), 2,
      sym_keyword_into,
      sym_keyword_overwrite,
    ACTIONS(13547), 3,
      sym_keyword_high_priority,
      sym_keyword_low_priority,
      sym_keyword_delayed,
  [457643] = 8,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(10776), 1,
      sym_keyword_window,
    STATE(7294), 1,
      sym_order_by,
    STATE(7562), 1,
      sym_limit,
    STATE(7794), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12452), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [457673] = 11,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(1472), 1,
      sym_keyword_select,
    ACTIONS(12526), 1,
      sym_keyword_values,
    ACTIONS(12532), 1,
      anon_sym_LPAREN,
    STATE(7513), 1,
      sym_select,
    STATE(7622), 1,
      sym__select_statement,
    STATE(7875), 1,
      sym__column_list,
    STATE(8298), 1,
      sym_set_operation,
    STATE(8813), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10941), 2,
      sym__dml_read,
      sym__insert_values,
  [457709] = 4,
    ACTIONS(13497), 1,
      anon_sym_COMMA,
    STATE(7526), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13310), 9,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [457731] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13341), 11,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [457749] = 9,
    ACTIONS(1213), 1,
      sym__identifier,
    ACTIONS(13549), 1,
      sym_keyword_nulls,
    STATE(8360), 1,
      sym__operator_class,
    STATE(8633), 1,
      sym_identifier,
    STATE(10368), 1,
      sym_direction,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1271), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13388), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(13551), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [457781] = 5,
    ACTIONS(13536), 1,
      sym_keyword_union,
    STATE(7588), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13538), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    ACTIONS(13553), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [457805] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13555), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [457823] = 6,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(10047), 1,
      sym_keyword_order,
    STATE(7457), 1,
      sym_order_by,
    STATE(7655), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12858), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [457849] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13248), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [457867] = 9,
    ACTIONS(1213), 1,
      sym__identifier,
    ACTIONS(13557), 1,
      sym_keyword_nulls,
    STATE(8633), 1,
      sym_identifier,
    STATE(8642), 1,
      sym__operator_class,
    STATE(11056), 1,
      sym_direction,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1271), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13388), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(13559), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [457899] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8847), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [457917] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8883), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [457935] = 9,
    ACTIONS(211), 1,
      sym__identifier,
    ACTIONS(13563), 1,
      sym_keyword_only,
    STATE(7262), 1,
      sym_identifier,
    STATE(8225), 1,
      sym_object_reference,
    STATE(11374), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13366), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(13561), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [457967] = 8,
    ACTIONS(337), 1,
      sym__identifier,
    ACTIONS(7902), 1,
      sym_keyword_as,
    STATE(6377), 1,
      sym_identifier,
    STATE(7018), 1,
      sym__alias,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(4475), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(4477), 3,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_separator,
  [457997] = 8,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(10776), 1,
      sym_keyword_window,
    STATE(7400), 1,
      sym_order_by,
    STATE(7593), 1,
      sym_limit,
    STATE(7888), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10894), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [458027] = 11,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(1472), 1,
      sym_keyword_select,
    ACTIONS(12526), 1,
      sym_keyword_values,
    ACTIONS(12532), 1,
      anon_sym_LPAREN,
    STATE(7513), 1,
      sym_select,
    STATE(7622), 1,
      sym__select_statement,
    STATE(7875), 1,
      sym__column_list,
    STATE(8298), 1,
      sym_set_operation,
    STATE(8813), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10980), 2,
      sym__dml_read,
      sym__insert_values,
  [458063] = 9,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(13567), 1,
      sym_keyword_create,
    ACTIONS(13569), 1,
      sym_keyword_with,
    STATE(7604), 1,
      aux_sym_create_database_repeat1,
    STATE(8139), 1,
      sym_identifier,
    STATE(8286), 1,
      sym__with_settings,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13565), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [458095] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12612), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [458113] = 5,
    ACTIONS(13573), 1,
      sym_keyword_union,
    STATE(7563), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13576), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    ACTIONS(13571), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [458137] = 8,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(10776), 1,
      sym_keyword_window,
    STATE(7265), 1,
      sym_order_by,
    STATE(7591), 1,
      sym_limit,
    STATE(7904), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10888), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [458167] = 5,
    ACTIONS(13536), 1,
      sym_keyword_union,
    STATE(7588), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13538), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    ACTIONS(13579), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [458191] = 5,
    ACTIONS(109), 1,
      anon_sym_LPAREN,
    ACTIONS(113), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1682), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1666), 5,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_collate,
      sym_keyword_nulls,
      sym__identifier,
  [458215] = 8,
    ACTIONS(51), 1,
      sym__identifier,
    STATE(6414), 1,
      sym_identifier,
    STATE(7970), 1,
      sym_object_reference,
    STATE(10450), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13368), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(13366), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [458245] = 11,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(1472), 1,
      sym_keyword_select,
    ACTIONS(12526), 1,
      sym_keyword_values,
    ACTIONS(12532), 1,
      anon_sym_LPAREN,
    STATE(7513), 1,
      sym_select,
    STATE(7622), 1,
      sym__select_statement,
    STATE(7875), 1,
      sym__column_list,
    STATE(8298), 1,
      sym_set_operation,
    STATE(8813), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(11011), 2,
      sym__dml_read,
      sym__insert_values,
  [458281] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(12464), 1,
      sym_keyword_values,
    ACTIONS(12474), 1,
      anon_sym_LPAREN,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(7901), 1,
      sym__column_list,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9531), 2,
      sym__dml_read,
      sym__insert_values,
  [458317] = 8,
    ACTIONS(51), 1,
      sym__identifier,
    STATE(6414), 1,
      sym_identifier,
    STATE(7981), 1,
      sym_object_reference,
    STATE(10751), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13583), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(13581), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [458347] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13585), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [458365] = 11,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(1472), 1,
      sym_keyword_select,
    ACTIONS(12526), 1,
      sym_keyword_values,
    ACTIONS(12532), 1,
      anon_sym_LPAREN,
    STATE(7513), 1,
      sym_select,
    STATE(7622), 1,
      sym__select_statement,
    STATE(7875), 1,
      sym__column_list,
    STATE(8298), 1,
      sym_set_operation,
    STATE(8813), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(11040), 2,
      sym__dml_read,
      sym__insert_values,
  [458401] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13587), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [458419] = 11,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(1472), 1,
      sym_keyword_select,
    ACTIONS(12526), 1,
      sym_keyword_values,
    ACTIONS(12532), 1,
      anon_sym_LPAREN,
    STATE(7513), 1,
      sym_select,
    STATE(7622), 1,
      sym__select_statement,
    STATE(7875), 1,
      sym__column_list,
    STATE(8298), 1,
      sym_set_operation,
    STATE(8813), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(11059), 2,
      sym__dml_read,
      sym__insert_values,
  [458455] = 8,
    ACTIONS(13347), 1,
      anon_sym_LPAREN,
    STATE(1360), 1,
      sym_identifier,
    STATE(5119), 1,
      sym_object_reference,
    STATE(7429), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5532), 2,
      sym_invocation,
      sym_subquery,
    STATE(10830), 2,
      sym__mysql_update_statement,
      sym__postgres_update_statement,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [458485] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13589), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [458503] = 8,
    ACTIONS(13347), 1,
      anon_sym_LPAREN,
    STATE(1360), 1,
      sym_identifier,
    STATE(5119), 1,
      sym_object_reference,
    STATE(7423), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5532), 2,
      sym_invocation,
      sym_subquery,
    STATE(9592), 2,
      sym__mysql_update_statement,
      sym__postgres_update_statement,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [458533] = 8,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(10776), 1,
      sym_keyword_window,
    STATE(7338), 1,
      sym_order_by,
    STATE(7585), 1,
      sym_limit,
    STATE(7845), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8847), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [458563] = 10,
    ACTIONS(13593), 1,
      sym_keyword_table,
    ACTIONS(13595), 1,
      sym_keyword_view,
    ACTIONS(13597), 1,
      sym_keyword_sequence,
    ACTIONS(13599), 1,
      sym_keyword_index,
    ACTIONS(13601), 1,
      sym_keyword_type,
    ACTIONS(13603), 1,
      sym_keyword_database,
    ACTIONS(13605), 1,
      sym_keyword_schema,
    ACTIONS(13607), 1,
      sym_keyword_extension,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13591), 3,
      sym_keyword_group,
      sym_keyword_user,
      sym_keyword_role,
  [458597] = 8,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(13611), 1,
      sym_keyword_ignore,
    STATE(6414), 1,
      sym_identifier,
    STATE(6954), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13609), 2,
      sym_keyword_into,
      sym_keyword_overwrite,
    ACTIONS(13613), 3,
      sym_keyword_high_priority,
      sym_keyword_low_priority,
      sym_keyword_delayed,
  [458627] = 7,
    ACTIONS(13615), 1,
      sym_keyword_array,
    ACTIONS(13617), 1,
      anon_sym_LBRACK,
    STATE(3368), 1,
      sym_array_size_definition,
    STATE(3380), 1,
      sym__array_size_definition,
    STATE(7855), 1,
      aux_sym_array_size_definition_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2789), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      anon_sym_COMMA,
  [458655] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1374), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(1370), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1372), 5,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_collate,
      sym_keyword_nulls,
      sym__identifier,
  [458677] = 7,
    ACTIONS(13615), 1,
      sym_keyword_array,
    ACTIONS(13617), 1,
      anon_sym_LBRACK,
    STATE(3380), 1,
      sym__array_size_definition,
    STATE(3386), 1,
      sym_array_size_definition,
    STATE(7855), 1,
      aux_sym_array_size_definition_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2799), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      anon_sym_COMMA,
  [458705] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13619), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [458723] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10894), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [458741] = 11,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(1472), 1,
      sym_keyword_select,
    ACTIONS(12526), 1,
      sym_keyword_values,
    ACTIONS(12532), 1,
      anon_sym_LPAREN,
    STATE(7513), 1,
      sym_select,
    STATE(7622), 1,
      sym__select_statement,
    STATE(7875), 1,
      sym__column_list,
    STATE(8298), 1,
      sym_set_operation,
    STATE(8813), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(11102), 2,
      sym__dml_read,
      sym__insert_values,
  [458777] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(12464), 1,
      sym_keyword_values,
    ACTIONS(12474), 1,
      anon_sym_LPAREN,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(7901), 1,
      sym__column_list,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9585), 2,
      sym__dml_read,
      sym__insert_values,
  [458813] = 5,
    ACTIONS(13536), 1,
      sym_keyword_union,
    STATE(7563), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13538), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    ACTIONS(13621), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [458837] = 4,
    ACTIONS(13623), 1,
      anon_sym_COMMA,
    STATE(7589), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11839), 9,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_or,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_immediate,
      sym_keyword_deferred,
      anon_sym_RPAREN,
  [458859] = 4,
    ACTIONS(13476), 1,
      anon_sym_COMMA,
    STATE(7514), 1,
      aux_sym_order_by_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13038), 9,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [458881] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12452), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [458899] = 8,
    ACTIONS(13347), 1,
      anon_sym_LPAREN,
    STATE(1360), 1,
      sym_identifier,
    STATE(5119), 1,
      sym_object_reference,
    STATE(7455), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5532), 2,
      sym_invocation,
      sym_subquery,
    STATE(9592), 2,
      sym__mysql_update_statement,
      sym__postgres_update_statement,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [458929] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10888), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [458947] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(12464), 1,
      sym_keyword_values,
    ACTIONS(12474), 1,
      anon_sym_LPAREN,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(7901), 1,
      sym__column_list,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9563), 2,
      sym__dml_read,
      sym__insert_values,
  [458983] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13626), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [459001] = 11,
    ACTIONS(117), 1,
      sym__identifier,
    ACTIONS(125), 1,
      aux_sym_identifier_token1,
    ACTIONS(10822), 1,
      sym__double_quote_string,
    ACTIONS(10824), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10826), 1,
      sym__dollar_quoted_string,
    STATE(62), 1,
      sym__column,
    STATE(87), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(10052), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [459036] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13628), 10,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [459053] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13514), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [459070] = 9,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(13491), 1,
      sym_keyword_create,
    ACTIONS(13630), 1,
      sym_keyword_with,
    STATE(7831), 1,
      aux_sym_create_database_repeat1,
    STATE(8142), 1,
      sym_identifier,
    STATE(8643), 1,
      sym__with_settings,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13489), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [459101] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13587), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [459118] = 5,
    ACTIONS(13632), 1,
      sym_keyword_union,
    STATE(7601), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13635), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    ACTIONS(13571), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_returning,
  [459141] = 8,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(13491), 1,
      sym_keyword_create,
    STATE(7720), 1,
      aux_sym_create_database_repeat1,
    STATE(8139), 1,
      sym_identifier,
    STATE(8286), 1,
      sym__with_settings,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13489), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [459170] = 11,
    ACTIONS(13638), 1,
      sym_keyword_view,
    ACTIONS(13640), 1,
      sym_keyword_materialized,
    ACTIONS(13642), 1,
      sym_keyword_constraint,
    ACTIONS(13644), 1,
      sym_keyword_temp,
    ACTIONS(13646), 1,
      sym_keyword_temporary,
    ACTIONS(13648), 1,
      sym_keyword_recursive,
    ACTIONS(13650), 1,
      sym_keyword_trigger,
    ACTIONS(13652), 1,
      sym_keyword_function,
    ACTIONS(13654), 1,
      sym_keyword_definer,
    STATE(10944), 1,
      sym__temporary,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [459205] = 8,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(13658), 1,
      sym_keyword_create,
    STATE(7722), 1,
      aux_sym_create_database_repeat1,
    STATE(8139), 1,
      sym_identifier,
    STATE(8286), 1,
      sym__with_settings,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13656), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [459234] = 8,
    ACTIONS(12466), 1,
      sym_keyword_set,
    ACTIONS(13360), 1,
      sym_keyword_inner,
    ACTIONS(13362), 1,
      sym_keyword_join,
    ACTIONS(13364), 1,
      sym_keyword_natural,
    STATE(8998), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(7925), 2,
      sym_join,
      aux_sym__mysql_update_statement_repeat2,
    ACTIONS(13358), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [459263] = 11,
    ACTIONS(117), 1,
      sym__identifier,
    ACTIONS(125), 1,
      aux_sym_identifier_token1,
    ACTIONS(10822), 1,
      sym__double_quote_string,
    ACTIONS(10824), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10826), 1,
      sym__dollar_quoted_string,
    STATE(62), 1,
      sym__column,
    STATE(87), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(8156), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [459298] = 9,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(13567), 1,
      sym_keyword_create,
    ACTIONS(13660), 1,
      sym_keyword_with,
    STATE(7933), 1,
      aux_sym_create_database_repeat1,
    STATE(8142), 1,
      sym_identifier,
    STATE(8643), 1,
      sym__with_settings,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13565), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [459329] = 9,
    ACTIONS(337), 1,
      sym__identifier,
    ACTIONS(13347), 1,
      anon_sym_LPAREN,
    ACTIONS(13662), 1,
      sym_keyword_only,
    STATE(1360), 1,
      sym_identifier,
    STATE(5119), 1,
      sym_object_reference,
    STATE(5438), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5532), 2,
      sym_invocation,
      sym_subquery,
  [459360] = 9,
    ACTIONS(337), 1,
      sym__identifier,
    ACTIONS(13347), 1,
      anon_sym_LPAREN,
    ACTIONS(13664), 1,
      sym_keyword_only,
    STATE(1360), 1,
      sym_identifier,
    STATE(4914), 1,
      sym_relation,
    STATE(5119), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5532), 2,
      sym_invocation,
      sym_subquery,
  [459391] = 11,
    ACTIONS(1141), 1,
      sym__identifier,
    ACTIONS(1199), 1,
      aux_sym_identifier_token1,
    ACTIONS(4374), 1,
      sym__double_quote_string,
    ACTIONS(4376), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4384), 1,
      sym__dollar_quoted_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(2235), 1,
      sym__single_quote_string,
    STATE(8767), 1,
      sym__column,
    STATE(10971), 1,
      sym_ordered_column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [459426] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10894), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [459443] = 8,
    ACTIONS(211), 1,
      sym__identifier,
    STATE(7262), 1,
      sym_identifier,
    STATE(8159), 1,
      sym_object_reference,
    STATE(11359), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13581), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(13666), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [459472] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13668), 10,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [459489] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13589), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [459506] = 5,
    ACTIONS(13670), 1,
      sym_keyword_union,
    STATE(7601), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13672), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    ACTIONS(13621), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_returning,
  [459529] = 5,
    ACTIONS(13670), 1,
      sym_keyword_union,
    STATE(7615), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13672), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    ACTIONS(13579), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_returning,
  [459552] = 9,
    ACTIONS(337), 1,
      sym__identifier,
    ACTIONS(13347), 1,
      anon_sym_LPAREN,
    ACTIONS(13674), 1,
      sym_keyword_only,
    STATE(1360), 1,
      sym_identifier,
    STATE(5119), 1,
      sym_object_reference,
    STATE(6254), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5532), 2,
      sym_invocation,
      sym_subquery,
  [459583] = 8,
    ACTIONS(211), 1,
      sym__identifier,
    STATE(7262), 1,
      sym_identifier,
    STATE(8225), 1,
      sym_object_reference,
    STATE(11374), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13366), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(13561), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [459612] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13678), 2,
      sym_keyword_follows,
      sym_keyword_precedes,
    ACTIONS(13676), 8,
      sym_keyword_from,
      sym_keyword_when,
      sym_keyword_not,
      sym_keyword_for,
      sym_keyword_deferrable,
      sym_keyword_initially,
      sym_keyword_referencing,
      sym_keyword_execute,
  [459631] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12612), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [459648] = 11,
    ACTIONS(117), 1,
      sym__identifier,
    ACTIONS(125), 1,
      aux_sym_identifier_token1,
    ACTIONS(10822), 1,
      sym__double_quote_string,
    ACTIONS(10824), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10826), 1,
      sym__dollar_quoted_string,
    STATE(62), 1,
      sym__column,
    STATE(87), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(8210), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [459683] = 5,
    ACTIONS(13670), 1,
      sym_keyword_union,
    STATE(7615), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13672), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    ACTIONS(13534), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_returning,
  [459706] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13680), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13682), 5,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym__identifier,
  [459725] = 11,
    ACTIONS(1141), 1,
      sym__identifier,
    ACTIONS(1199), 1,
      aux_sym_identifier_token1,
    ACTIONS(4374), 1,
      sym__double_quote_string,
    ACTIONS(4376), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4384), 1,
      sym__dollar_quoted_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(2235), 1,
      sym__single_quote_string,
    STATE(8767), 1,
      sym__column,
    STATE(10715), 1,
      sym_ordered_column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [459760] = 11,
    ACTIONS(117), 1,
      sym__identifier,
    ACTIONS(125), 1,
      aux_sym_identifier_token1,
    ACTIONS(10822), 1,
      sym__double_quote_string,
    ACTIONS(10824), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10826), 1,
      sym__dollar_quoted_string,
    STATE(62), 1,
      sym__column,
    STATE(87), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(8212), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [459795] = 9,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(13376), 1,
      sym_keyword_role,
    ACTIONS(13380), 1,
      sym_keyword_session,
    ACTIONS(13384), 1,
      sym_keyword_time,
    STATE(6414), 1,
      sym_identifier,
    STATE(11607), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13374), 2,
      sym_keyword_schema,
      sym_keyword_names,
  [459826] = 8,
    ACTIONS(12466), 1,
      sym_keyword_set,
    ACTIONS(13360), 1,
      sym_keyword_inner,
    ACTIONS(13362), 1,
      sym_keyword_join,
    ACTIONS(13364), 1,
      sym_keyword_natural,
    STATE(9339), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(7925), 2,
      sym_join,
      aux_sym__mysql_update_statement_repeat2,
    ACTIONS(13358), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [459855] = 11,
    ACTIONS(117), 1,
      sym__identifier,
    ACTIONS(125), 1,
      aux_sym_identifier_token1,
    ACTIONS(10822), 1,
      sym__double_quote_string,
    ACTIONS(10824), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10826), 1,
      sym__dollar_quoted_string,
    STATE(62), 1,
      sym__column,
    STATE(87), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(9621), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [459890] = 9,
    ACTIONS(277), 1,
      sym__identifier,
    ACTIONS(13684), 1,
      sym_keyword_only,
    ACTIONS(13686), 1,
      anon_sym_LPAREN,
    STATE(3575), 1,
      sym_identifier,
    STATE(5047), 1,
      sym_relation,
    STATE(6179), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(335), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(6358), 2,
      sym_invocation,
      sym_subquery,
  [459921] = 11,
    ACTIONS(1141), 1,
      sym__identifier,
    ACTIONS(1199), 1,
      aux_sym_identifier_token1,
    ACTIONS(4374), 1,
      sym__double_quote_string,
    ACTIONS(4376), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4384), 1,
      sym__dollar_quoted_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(2235), 1,
      sym__single_quote_string,
    STATE(8767), 1,
      sym__column,
    STATE(11498), 1,
      sym_ordered_column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [459956] = 5,
    ACTIONS(13670), 1,
      sym_keyword_union,
    STATE(7615), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13672), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    ACTIONS(13553), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_returning,
  [459979] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13555), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [459996] = 9,
    ACTIONS(337), 1,
      sym__identifier,
    ACTIONS(13347), 1,
      anon_sym_LPAREN,
    ACTIONS(13688), 1,
      sym_keyword_lateral,
    STATE(1360), 1,
      sym_identifier,
    STATE(5119), 1,
      sym_object_reference,
    STATE(7394), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5532), 2,
      sym_invocation,
      sym_subquery,
  [460027] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13585), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [460044] = 9,
    ACTIONS(337), 1,
      sym__identifier,
    ACTIONS(13347), 1,
      anon_sym_LPAREN,
    ACTIONS(13690), 1,
      sym_keyword_lateral,
    STATE(1360), 1,
      sym_identifier,
    STATE(5119), 1,
      sym_object_reference,
    STATE(7280), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5532), 2,
      sym_invocation,
      sym_subquery,
  [460075] = 8,
    ACTIONS(12528), 1,
      sym_keyword_set,
    ACTIONS(13360), 1,
      sym_keyword_inner,
    ACTIONS(13362), 1,
      sym_keyword_join,
    ACTIONS(13364), 1,
      sym_keyword_natural,
    STATE(9269), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(7925), 2,
      sym_join,
      aux_sym__mysql_update_statement_repeat2,
    ACTIONS(13358), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [460104] = 11,
    ACTIONS(117), 1,
      sym__identifier,
    ACTIONS(125), 1,
      aux_sym_identifier_token1,
    ACTIONS(10822), 1,
      sym__double_quote_string,
    ACTIONS(10824), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10826), 1,
      sym__dollar_quoted_string,
    STATE(62), 1,
      sym__column,
    STATE(87), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(8214), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [460139] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8883), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [460156] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13692), 10,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [460173] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13626), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [460190] = 9,
    ACTIONS(337), 1,
      sym__identifier,
    ACTIONS(13347), 1,
      anon_sym_LPAREN,
    ACTIONS(13694), 1,
      sym_keyword_lateral,
    STATE(1360), 1,
      sym_identifier,
    STATE(5119), 1,
      sym_object_reference,
    STATE(7281), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5532), 2,
      sym_invocation,
      sym_subquery,
  [460221] = 11,
    ACTIONS(117), 1,
      sym__identifier,
    ACTIONS(125), 1,
      aux_sym_identifier_token1,
    ACTIONS(10822), 1,
      sym__double_quote_string,
    ACTIONS(10824), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10826), 1,
      sym__dollar_quoted_string,
    STATE(62), 1,
      sym__column,
    STATE(87), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(8299), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [460256] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10888), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [460273] = 8,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(13698), 1,
      sym_keyword_create,
    STATE(7722), 1,
      aux_sym_create_database_repeat1,
    STATE(8139), 1,
      sym_identifier,
    STATE(8286), 1,
      sym__with_settings,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13696), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [460302] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12858), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [460319] = 9,
    ACTIONS(337), 1,
      sym__identifier,
    ACTIONS(13347), 1,
      anon_sym_LPAREN,
    ACTIONS(13700), 1,
      sym_keyword_lateral,
    STATE(1360), 1,
      sym_identifier,
    STATE(5119), 1,
      sym_object_reference,
    STATE(7282), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5532), 2,
      sym_invocation,
      sym_subquery,
  [460350] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13702), 10,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [460367] = 11,
    ACTIONS(117), 1,
      sym__identifier,
    ACTIONS(125), 1,
      aux_sym_identifier_token1,
    ACTIONS(10822), 1,
      sym__double_quote_string,
    ACTIONS(10824), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10826), 1,
      sym__dollar_quoted_string,
    STATE(62), 1,
      sym__column,
    STATE(87), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(11922), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [460402] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13704), 10,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [460419] = 9,
    ACTIONS(337), 1,
      sym__identifier,
    ACTIONS(13347), 1,
      anon_sym_LPAREN,
    ACTIONS(13706), 1,
      sym_keyword_lateral,
    STATE(1360), 1,
      sym_identifier,
    STATE(5119), 1,
      sym_object_reference,
    STATE(7359), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5532), 2,
      sym_invocation,
      sym_subquery,
  [460450] = 11,
    ACTIONS(117), 1,
      sym__identifier,
    ACTIONS(125), 1,
      aux_sym_identifier_token1,
    ACTIONS(10822), 1,
      sym__double_quote_string,
    ACTIONS(10824), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10826), 1,
      sym__dollar_quoted_string,
    STATE(62), 1,
      sym__column,
    STATE(87), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(9782), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [460485] = 9,
    ACTIONS(337), 1,
      sym__identifier,
    ACTIONS(13347), 1,
      anon_sym_LPAREN,
    ACTIONS(13708), 1,
      sym_keyword_lateral,
    STATE(1360), 1,
      sym_identifier,
    STATE(5119), 1,
      sym_object_reference,
    STATE(6685), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5532), 2,
      sym_invocation,
      sym_subquery,
  [460516] = 8,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(13712), 1,
      sym_keyword_where,
    STATE(8012), 1,
      sym_where,
    STATE(8480), 1,
      sym_order_by,
    STATE(10217), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13710), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [460545] = 4,
    ACTIONS(13714), 1,
      anon_sym_COMMA,
    STATE(7654), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6767), 8,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
  [460566] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13248), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [460583] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13619), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [460600] = 4,
    ACTIONS(13717), 1,
      sym_keyword_from,
    STATE(7576), 1,
      sym_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13427), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [460621] = 8,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(9096), 1,
      sym_keyword_window,
    ACTIONS(10862), 1,
      sym_keyword_order,
    STATE(7476), 1,
      sym_order_by,
    STATE(7707), 1,
      sym_limit,
    STATE(8087), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8883), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
  [460650] = 8,
    ACTIONS(12528), 1,
      sym_keyword_set,
    ACTIONS(13360), 1,
      sym_keyword_inner,
    ACTIONS(13362), 1,
      sym_keyword_join,
    ACTIONS(13364), 1,
      sym_keyword_natural,
    STATE(9187), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(7925), 2,
      sym_join,
      aux_sym__mysql_update_statement_repeat2,
    ACTIONS(13358), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [460679] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13719), 10,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [460696] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13721), 10,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [460713] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13721), 10,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [460730] = 9,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(13435), 1,
      sym_keyword_role,
    ACTIONS(13439), 1,
      sym_keyword_session,
    ACTIONS(13443), 1,
      sym_keyword_time,
    STATE(6414), 1,
      sym_identifier,
    STATE(11606), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13433), 2,
      sym_keyword_schema,
      sym_keyword_names,
  [460761] = 8,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(9096), 1,
      sym_keyword_window,
    ACTIONS(10862), 1,
      sym_keyword_order,
    STATE(7442), 1,
      sym_order_by,
    STATE(7611), 1,
      sym_limit,
    STATE(8085), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8847), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
  [460790] = 8,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(9096), 1,
      sym_keyword_window,
    ACTIONS(10862), 1,
      sym_keyword_order,
    STATE(7420), 1,
      sym_order_by,
    STATE(7643), 1,
      sym_limit,
    STATE(8081), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10894), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
  [460819] = 4,
    ACTIONS(13723), 1,
      anon_sym_COMMA,
    STATE(7668), 1,
      aux_sym_order_by_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13038), 8,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [460840] = 8,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(9096), 1,
      sym_keyword_window,
    ACTIONS(10862), 1,
      sym_keyword_order,
    STATE(7511), 1,
      sym_order_by,
    STATE(7686), 1,
      sym_limit,
    STATE(8080), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10888), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
  [460869] = 4,
    ACTIONS(13723), 1,
      anon_sym_COMMA,
    STATE(7671), 1,
      aux_sym_order_by_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13337), 8,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [460890] = 8,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(9096), 1,
      sym_keyword_window,
    ACTIONS(10862), 1,
      sym_keyword_order,
    STATE(7448), 1,
      sym_order_by,
    STATE(7620), 1,
      sym_limit,
    STATE(8076), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12452), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
  [460919] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13512), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [460936] = 4,
    ACTIONS(13725), 1,
      anon_sym_COMMA,
    STATE(7671), 1,
      aux_sym_order_by_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12524), 8,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [460957] = 11,
    ACTIONS(117), 1,
      sym__identifier,
    ACTIONS(125), 1,
      aux_sym_identifier_token1,
    ACTIONS(10822), 1,
      sym__double_quote_string,
    ACTIONS(10824), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10826), 1,
      sym__dollar_quoted_string,
    STATE(83), 1,
      sym__column,
    STATE(87), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(8610), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [460992] = 8,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(9096), 1,
      sym_keyword_window,
    ACTIONS(10862), 1,
      sym_keyword_order,
    STATE(7414), 1,
      sym_order_by,
    STATE(7645), 1,
      sym_limit,
    STATE(8075), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12612), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
  [461021] = 11,
    ACTIONS(117), 1,
      sym__identifier,
    ACTIONS(125), 1,
      aux_sym_identifier_token1,
    ACTIONS(10822), 1,
      sym__double_quote_string,
    ACTIONS(10824), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10826), 1,
      sym__dollar_quoted_string,
    STATE(62), 1,
      sym__column,
    STATE(87), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(10121), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [461056] = 11,
    ACTIONS(13728), 1,
      sym_keyword_view,
    ACTIONS(13730), 1,
      sym_keyword_materialized,
    ACTIONS(13732), 1,
      sym_keyword_constraint,
    ACTIONS(13734), 1,
      sym_keyword_temp,
    ACTIONS(13736), 1,
      sym_keyword_temporary,
    ACTIONS(13738), 1,
      sym_keyword_recursive,
    ACTIONS(13740), 1,
      sym_keyword_trigger,
    ACTIONS(13742), 1,
      sym_keyword_function,
    ACTIONS(13744), 1,
      sym_keyword_definer,
    STATE(10315), 1,
      sym__temporary,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [461091] = 11,
    ACTIONS(117), 1,
      sym__identifier,
    ACTIONS(125), 1,
      aux_sym_identifier_token1,
    ACTIONS(10822), 1,
      sym__double_quote_string,
    ACTIONS(10824), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10826), 1,
      sym__dollar_quoted_string,
    STATE(62), 1,
      sym__column,
    STATE(87), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(8194), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [461126] = 9,
    ACTIONS(13748), 1,
      sym_keyword_table,
    ACTIONS(13750), 1,
      sym_keyword_view,
    ACTIONS(13752), 1,
      sym_keyword_sequence,
    ACTIONS(13754), 1,
      sym_keyword_index,
    ACTIONS(13756), 1,
      sym_keyword_type,
    ACTIONS(13758), 1,
      sym_keyword_database,
    ACTIONS(13760), 1,
      sym_keyword_schema,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13746), 3,
      sym_keyword_group,
      sym_keyword_user,
      sym_keyword_role,
  [461157] = 4,
    ACTIONS(13762), 1,
      anon_sym_COMMA,
    STATE(7679), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13007), 8,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [461178] = 4,
    ACTIONS(13764), 1,
      anon_sym_COMMA,
    STATE(7679), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13328), 8,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [461199] = 9,
    ACTIONS(337), 1,
      sym__identifier,
    ACTIONS(13347), 1,
      anon_sym_LPAREN,
    ACTIONS(13767), 1,
      sym_keyword_lateral,
    STATE(1360), 1,
      sym_identifier,
    STATE(5119), 1,
      sym_object_reference,
    STATE(7321), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5532), 2,
      sym_invocation,
      sym_subquery,
  [461230] = 8,
    ACTIONS(12510), 1,
      sym_keyword_set,
    ACTIONS(13360), 1,
      sym_keyword_inner,
    ACTIONS(13362), 1,
      sym_keyword_join,
    ACTIONS(13364), 1,
      sym_keyword_natural,
    STATE(10064), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(7925), 2,
      sym_join,
      aux_sym__mysql_update_statement_repeat2,
    ACTIONS(13358), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [461259] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(11543), 1,
      anon_sym_LPAREN,
    ACTIONS(13769), 1,
      sym_keyword_values,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(13862), 1,
      sym__dml_read,
    STATE(13890), 1,
      sym_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [461294] = 9,
    ACTIONS(13773), 1,
      sym_keyword_table,
    ACTIONS(13775), 1,
      sym_keyword_view,
    ACTIONS(13777), 1,
      sym_keyword_sequence,
    ACTIONS(13779), 1,
      sym_keyword_index,
    ACTIONS(13781), 1,
      sym_keyword_type,
    ACTIONS(13783), 1,
      sym_keyword_database,
    ACTIONS(13785), 1,
      sym_keyword_schema,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13771), 3,
      sym_keyword_group,
      sym_keyword_user,
      sym_keyword_role,
  [461325] = 9,
    ACTIONS(337), 1,
      sym__identifier,
    ACTIONS(13347), 1,
      anon_sym_LPAREN,
    ACTIONS(13787), 1,
      sym_keyword_lateral,
    STATE(1360), 1,
      sym_identifier,
    STATE(5119), 1,
      sym_object_reference,
    STATE(7320), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5532), 2,
      sym_invocation,
      sym_subquery,
  [461356] = 11,
    ACTIONS(117), 1,
      sym__identifier,
    ACTIONS(125), 1,
      aux_sym_identifier_token1,
    ACTIONS(10822), 1,
      sym__double_quote_string,
    ACTIONS(10824), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10826), 1,
      sym__dollar_quoted_string,
    STATE(83), 1,
      sym__column,
    STATE(87), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(8374), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [461391] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12452), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [461408] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13789), 10,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [461425] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(11543), 1,
      anon_sym_LPAREN,
    ACTIONS(13769), 1,
      sym_keyword_values,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(13455), 1,
      sym__dml_read,
    STATE(13852), 1,
      sym_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [461460] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13789), 10,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [461477] = 9,
    ACTIONS(277), 1,
      sym__identifier,
    ACTIONS(13686), 1,
      anon_sym_LPAREN,
    ACTIONS(13791), 1,
      sym_keyword_only,
    STATE(3575), 1,
      sym_identifier,
    STATE(6179), 1,
      sym_object_reference,
    STATE(6347), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(335), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(6358), 2,
      sym_invocation,
      sym_subquery,
  [461508] = 9,
    ACTIONS(337), 1,
      sym__identifier,
    ACTIONS(13347), 1,
      anon_sym_LPAREN,
    ACTIONS(13793), 1,
      sym_keyword_lateral,
    STATE(1360), 1,
      sym_identifier,
    STATE(5119), 1,
      sym_object_reference,
    STATE(7314), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5532), 2,
      sym_invocation,
      sym_subquery,
  [461539] = 9,
    ACTIONS(13775), 1,
      sym_keyword_view,
    ACTIONS(13777), 1,
      sym_keyword_sequence,
    ACTIONS(13779), 1,
      sym_keyword_index,
    ACTIONS(13781), 1,
      sym_keyword_type,
    ACTIONS(13783), 1,
      sym_keyword_database,
    ACTIONS(13785), 1,
      sym_keyword_schema,
    ACTIONS(13795), 1,
      sym_keyword_table,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13771), 3,
      sym_keyword_group,
      sym_keyword_user,
      sym_keyword_role,
  [461570] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13797), 10,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [461587] = 11,
    ACTIONS(117), 1,
      sym__identifier,
    ACTIONS(125), 1,
      aux_sym_identifier_token1,
    ACTIONS(10822), 1,
      sym__double_quote_string,
    ACTIONS(10824), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10826), 1,
      sym__dollar_quoted_string,
    STATE(62), 1,
      sym__column,
    STATE(87), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(8265), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [461622] = 9,
    ACTIONS(277), 1,
      sym__identifier,
    ACTIONS(13686), 1,
      anon_sym_LPAREN,
    ACTIONS(13799), 1,
      sym_keyword_only,
    STATE(3575), 1,
      sym_identifier,
    STATE(5753), 1,
      sym_relation,
    STATE(6179), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(335), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(6358), 2,
      sym_invocation,
      sym_subquery,
  [461653] = 9,
    ACTIONS(337), 1,
      sym__identifier,
    ACTIONS(13347), 1,
      anon_sym_LPAREN,
    ACTIONS(13801), 1,
      sym_keyword_lateral,
    STATE(1360), 1,
      sym_identifier,
    STATE(5119), 1,
      sym_object_reference,
    STATE(7290), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5532), 2,
      sym_invocation,
      sym_subquery,
  [461684] = 11,
    ACTIONS(117), 1,
      sym__identifier,
    ACTIONS(125), 1,
      aux_sym_identifier_token1,
    ACTIONS(10822), 1,
      sym__double_quote_string,
    ACTIONS(10824), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10826), 1,
      sym__dollar_quoted_string,
    STATE(62), 1,
      sym__column,
    STATE(87), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(8295), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [461719] = 11,
    ACTIONS(117), 1,
      sym__identifier,
    ACTIONS(125), 1,
      aux_sym_identifier_token1,
    ACTIONS(10822), 1,
      sym__double_quote_string,
    ACTIONS(10824), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10826), 1,
      sym__dollar_quoted_string,
    STATE(83), 1,
      sym__column,
    STATE(87), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(8451), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [461754] = 8,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(13712), 1,
      sym_keyword_where,
    STATE(8088), 1,
      sym_where,
    STATE(8350), 1,
      sym_order_by,
    STATE(9611), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13803), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [461783] = 9,
    ACTIONS(337), 1,
      sym__identifier,
    ACTIONS(13347), 1,
      anon_sym_LPAREN,
    ACTIONS(13805), 1,
      sym_keyword_lateral,
    STATE(1360), 1,
      sym_identifier,
    STATE(5119), 1,
      sym_object_reference,
    STATE(7291), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5532), 2,
      sym_invocation,
      sym_subquery,
  [461814] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13809), 2,
      sym_keyword_follows,
      sym_keyword_precedes,
    ACTIONS(13807), 8,
      sym_keyword_from,
      sym_keyword_when,
      sym_keyword_not,
      sym_keyword_for,
      sym_keyword_deferrable,
      sym_keyword_initially,
      sym_keyword_referencing,
      sym_keyword_execute,
  [461833] = 11,
    ACTIONS(117), 1,
      sym__identifier,
    ACTIONS(125), 1,
      aux_sym_identifier_token1,
    ACTIONS(10822), 1,
      sym__double_quote_string,
    ACTIONS(10824), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10826), 1,
      sym__dollar_quoted_string,
    STATE(83), 1,
      sym__column,
    STATE(87), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(8452), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [461868] = 11,
    ACTIONS(117), 1,
      sym__identifier,
    ACTIONS(125), 1,
      aux_sym_identifier_token1,
    ACTIONS(10822), 1,
      sym__double_quote_string,
    ACTIONS(10824), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10826), 1,
      sym__dollar_quoted_string,
    STATE(83), 1,
      sym__column,
    STATE(87), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(8468), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [461903] = 9,
    ACTIONS(337), 1,
      sym__identifier,
    ACTIONS(13347), 1,
      anon_sym_LPAREN,
    ACTIONS(13811), 1,
      sym_keyword_lateral,
    STATE(1360), 1,
      sym_identifier,
    STATE(5119), 1,
      sym_object_reference,
    STATE(7306), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5532), 2,
      sym_invocation,
      sym_subquery,
  [461934] = 9,
    ACTIONS(337), 1,
      sym__identifier,
    ACTIONS(13347), 1,
      anon_sym_LPAREN,
    ACTIONS(13813), 1,
      sym_keyword_lateral,
    STATE(1360), 1,
      sym_identifier,
    STATE(5119), 1,
      sym_object_reference,
    STATE(7295), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5532), 2,
      sym_invocation,
      sym_subquery,
  [461965] = 9,
    ACTIONS(337), 1,
      sym__identifier,
    ACTIONS(13347), 1,
      anon_sym_LPAREN,
    ACTIONS(13815), 1,
      sym_keyword_lateral,
    STATE(1360), 1,
      sym_identifier,
    STATE(5119), 1,
      sym_object_reference,
    STATE(7305), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5532), 2,
      sym_invocation,
      sym_subquery,
  [461996] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8847), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [462013] = 11,
    ACTIONS(117), 1,
      sym__identifier,
    ACTIONS(125), 1,
      aux_sym_identifier_token1,
    ACTIONS(10822), 1,
      sym__double_quote_string,
    ACTIONS(10824), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10826), 1,
      sym__dollar_quoted_string,
    STATE(83), 1,
      sym__column,
    STATE(87), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(8606), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [462048] = 9,
    ACTIONS(337), 1,
      sym__identifier,
    ACTIONS(13347), 1,
      anon_sym_LPAREN,
    ACTIONS(13817), 1,
      sym_keyword_lateral,
    STATE(1360), 1,
      sym_identifier,
    STATE(5119), 1,
      sym_object_reference,
    STATE(7344), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5532), 2,
      sym_invocation,
      sym_subquery,
  [462079] = 9,
    ACTIONS(277), 1,
      sym__identifier,
    ACTIONS(13686), 1,
      anon_sym_LPAREN,
    ACTIONS(13819), 1,
      sym_keyword_lateral,
    STATE(3575), 1,
      sym_identifier,
    STATE(6179), 1,
      sym_object_reference,
    STATE(6758), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(335), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(6358), 2,
      sym_invocation,
      sym_subquery,
  [462110] = 11,
    ACTIONS(117), 1,
      sym__identifier,
    ACTIONS(125), 1,
      aux_sym_identifier_token1,
    ACTIONS(10822), 1,
      sym__double_quote_string,
    ACTIONS(10824), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10826), 1,
      sym__dollar_quoted_string,
    STATE(83), 1,
      sym__column,
    STATE(87), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(8603), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [462145] = 9,
    ACTIONS(337), 1,
      sym__identifier,
    ACTIONS(13347), 1,
      anon_sym_LPAREN,
    ACTIONS(13821), 1,
      sym_keyword_lateral,
    STATE(1360), 1,
      sym_identifier,
    STATE(5119), 1,
      sym_object_reference,
    STATE(7303), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5532), 2,
      sym_invocation,
      sym_subquery,
  [462176] = 8,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(13825), 1,
      sym_keyword_create,
    STATE(7644), 1,
      aux_sym_create_database_repeat1,
    STATE(8139), 1,
      sym_identifier,
    STATE(8286), 1,
      sym__with_settings,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13823), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [462205] = 11,
    ACTIONS(117), 1,
      sym__identifier,
    ACTIONS(125), 1,
      aux_sym_identifier_token1,
    ACTIONS(10822), 1,
      sym__double_quote_string,
    ACTIONS(10824), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10826), 1,
      sym__dollar_quoted_string,
    STATE(83), 1,
      sym__column,
    STATE(87), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(8598), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [462240] = 8,
    ACTIONS(12510), 1,
      sym_keyword_set,
    ACTIONS(13360), 1,
      sym_keyword_inner,
    ACTIONS(13362), 1,
      sym_keyword_join,
    ACTIONS(13364), 1,
      sym_keyword_natural,
    STATE(9816), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(7925), 2,
      sym_join,
      aux_sym__mysql_update_statement_repeat2,
    ACTIONS(13358), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [462269] = 8,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(13829), 1,
      sym_keyword_create,
    STATE(7722), 1,
      aux_sym_create_database_repeat1,
    STATE(8139), 1,
      sym_identifier,
    STATE(8286), 1,
      sym__with_settings,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13827), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [462298] = 9,
    ACTIONS(337), 1,
      sym__identifier,
    ACTIONS(13347), 1,
      anon_sym_LPAREN,
    ACTIONS(13831), 1,
      sym_keyword_lateral,
    STATE(1360), 1,
      sym_identifier,
    STATE(5119), 1,
      sym_object_reference,
    STATE(7301), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5532), 2,
      sym_invocation,
      sym_subquery,
  [462329] = 4,
    ACTIONS(13762), 1,
      anon_sym_COMMA,
    STATE(7678), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13310), 8,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [462350] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13833), 10,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [462367] = 8,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(13829), 1,
      sym_keyword_create,
    STATE(7722), 1,
      aux_sym_create_database_repeat1,
    STATE(8139), 1,
      sym_identifier,
    STATE(8286), 1,
      sym__with_settings,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13827), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [462396] = 9,
    ACTIONS(337), 1,
      sym__identifier,
    ACTIONS(13347), 1,
      anon_sym_LPAREN,
    ACTIONS(13835), 1,
      sym_keyword_lateral,
    STATE(1360), 1,
      sym_identifier,
    STATE(5119), 1,
      sym_object_reference,
    STATE(7300), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5532), 2,
      sym_invocation,
      sym_subquery,
  [462427] = 8,
    ACTIONS(13839), 1,
      sym__identifier,
    ACTIONS(13842), 1,
      sym_keyword_create,
    STATE(7722), 1,
      aux_sym_create_database_repeat1,
    STATE(8139), 1,
      sym_identifier,
    STATE(8286), 1,
      sym__with_settings,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13844), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13837), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [462456] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13833), 10,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [462473] = 9,
    ACTIONS(337), 1,
      sym__identifier,
    ACTIONS(13347), 1,
      anon_sym_LPAREN,
    ACTIONS(13847), 1,
      sym_keyword_lateral,
    STATE(1360), 1,
      sym_identifier,
    STATE(5119), 1,
      sym_object_reference,
    STATE(7298), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5532), 2,
      sym_invocation,
      sym_subquery,
  [462504] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13484), 10,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [462521] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13849), 10,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [462538] = 7,
    ACTIONS(13686), 1,
      anon_sym_LPAREN,
    STATE(3575), 1,
      sym_identifier,
    STATE(5754), 1,
      sym_relation,
    STATE(6179), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(6358), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(335), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [462564] = 10,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(13851), 1,
      sym_keyword_select,
    ACTIONS(13853), 1,
      anon_sym_LPAREN,
    STATE(7657), 1,
      sym_select,
    STATE(7934), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8736), 1,
      sym_create_query,
    STATE(8993), 1,
      sym__dml_read,
    STATE(9356), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [462596] = 8,
    ACTIONS(12636), 1,
      sym_keyword_owner,
    ACTIONS(13855), 1,
      sym_keyword_set,
    ACTIONS(13857), 1,
      sym_keyword_alter,
    ACTIONS(13859), 1,
      sym_keyword_drop,
    ACTIONS(13861), 1,
      sym_keyword_add,
    ACTIONS(13863), 1,
      sym_keyword_rename,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10493), 3,
      sym_rename_object,
      sym_set_schema,
      sym_change_ownership,
  [462624] = 7,
    ACTIONS(13347), 1,
      anon_sym_LPAREN,
    STATE(1360), 1,
      sym_identifier,
    STATE(5119), 1,
      sym_object_reference,
    STATE(7281), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5532), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [462650] = 8,
    ACTIONS(13013), 1,
      sym_keyword_inner,
    ACTIONS(13015), 1,
      sym_keyword_join,
    ACTIONS(13017), 1,
      sym_keyword_natural,
    ACTIONS(13865), 1,
      sym_keyword_on,
    ACTIONS(13867), 1,
      sym_keyword_using,
    STATE(11943), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13011), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [462678] = 8,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(13698), 1,
      sym_keyword_create,
    STATE(7826), 1,
      aux_sym_create_database_repeat1,
    STATE(8142), 1,
      sym_identifier,
    STATE(8643), 1,
      sym__with_settings,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13696), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [462706] = 7,
    ACTIONS(13347), 1,
      anon_sym_LPAREN,
    STATE(1360), 1,
      sym_identifier,
    STATE(5119), 1,
      sym_object_reference,
    STATE(7282), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5532), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [462732] = 8,
    ACTIONS(13013), 1,
      sym_keyword_inner,
    ACTIONS(13015), 1,
      sym_keyword_join,
    ACTIONS(13017), 1,
      sym_keyword_natural,
    ACTIONS(13112), 1,
      sym_keyword_using,
    ACTIONS(13124), 1,
      sym_keyword_on,
    STATE(11937), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13011), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [462760] = 3,
    ACTIONS(13869), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(109), 8,
      sym_keyword_from,
      sym_keyword_when,
      sym_keyword_not,
      sym_keyword_for,
      sym_keyword_deferrable,
      sym_keyword_initially,
      sym_keyword_referencing,
      sym_keyword_execute,
  [462778] = 10,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(13460), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [462810] = 8,
    ACTIONS(13013), 1,
      sym_keyword_inner,
    ACTIONS(13015), 1,
      sym_keyword_join,
    ACTIONS(13017), 1,
      sym_keyword_natural,
    ACTIONS(13116), 1,
      sym_keyword_using,
    ACTIONS(13126), 1,
      sym_keyword_on,
    STATE(11933), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13011), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [462838] = 10,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(1472), 1,
      sym_keyword_select,
    ACTIONS(13871), 1,
      anon_sym_LPAREN,
    STATE(7513), 1,
      sym_select,
    STATE(7622), 1,
      sym__select_statement,
    STATE(8298), 1,
      sym_set_operation,
    STATE(8813), 1,
      sym__cte,
    STATE(10171), 1,
      sym__dml_read,
    STATE(10320), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [462870] = 4,
    ACTIONS(13873), 1,
      sym_keyword_from,
    STATE(7614), 1,
      sym_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13427), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [462890] = 8,
    ACTIONS(13013), 1,
      sym_keyword_inner,
    ACTIONS(13015), 1,
      sym_keyword_join,
    ACTIONS(13017), 1,
      sym_keyword_natural,
    ACTIONS(13120), 1,
      sym_keyword_using,
    ACTIONS(13128), 1,
      sym_keyword_on,
    STATE(11932), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13011), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [462918] = 10,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(13875), 1,
      sym_keyword_select,
    ACTIONS(13877), 1,
      anon_sym_LPAREN,
    STATE(7739), 1,
      sym_select,
    STATE(8036), 1,
      sym__select_statement,
    STATE(8298), 1,
      sym_set_operation,
    STATE(9194), 1,
      sym__cte,
    STATE(10166), 1,
      sym_create_query,
    STATE(10171), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [462950] = 10,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(13875), 1,
      sym_keyword_select,
    ACTIONS(13877), 1,
      anon_sym_LPAREN,
    STATE(7739), 1,
      sym_select,
    STATE(8036), 1,
      sym__select_statement,
    STATE(8298), 1,
      sym_set_operation,
    STATE(9194), 1,
      sym__cte,
    STATE(10163), 1,
      sym_create_query,
    STATE(10171), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [462982] = 4,
    ACTIONS(13881), 1,
      anon_sym_COMMA,
    STATE(7743), 1,
      aux_sym__set_values_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13879), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_when,
      sym_keyword_returning,
  [463002] = 8,
    ACTIONS(13013), 1,
      sym_keyword_inner,
    ACTIONS(13015), 1,
      sym_keyword_join,
    ACTIONS(13017), 1,
      sym_keyword_natural,
    ACTIONS(13118), 1,
      sym_keyword_on,
    ACTIONS(13120), 1,
      sym_keyword_using,
    STATE(11944), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13011), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [463030] = 7,
    ACTIONS(13347), 1,
      anon_sym_LPAREN,
    STATE(1360), 1,
      sym_identifier,
    STATE(5119), 1,
      sym_object_reference,
    STATE(7289), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5532), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [463056] = 7,
    ACTIONS(13347), 1,
      anon_sym_LPAREN,
    STATE(1360), 1,
      sym_identifier,
    STATE(5119), 1,
      sym_object_reference,
    STATE(7291), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5532), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [463082] = 10,
    ACTIONS(13884), 1,
      sym_keyword_from,
    ACTIONS(13886), 1,
      sym_keyword_when,
    ACTIONS(13888), 1,
      sym_keyword_not,
    ACTIONS(13890), 1,
      sym_keyword_for,
    ACTIONS(13892), 1,
      sym_keyword_deferrable,
    ACTIONS(13894), 1,
      sym_keyword_initially,
    ACTIONS(13896), 1,
      sym_keyword_referencing,
    ACTIONS(13898), 1,
      sym_keyword_execute,
    STATE(7889), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [463114] = 8,
    ACTIONS(13013), 1,
      sym_keyword_inner,
    ACTIONS(13015), 1,
      sym_keyword_join,
    ACTIONS(13017), 1,
      sym_keyword_natural,
    ACTIONS(13867), 1,
      sym_keyword_using,
    ACTIONS(13900), 1,
      sym_keyword_on,
    STATE(11931), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13011), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [463142] = 10,
    ACTIONS(13884), 1,
      sym_keyword_from,
    ACTIONS(13886), 1,
      sym_keyword_when,
    ACTIONS(13888), 1,
      sym_keyword_not,
    ACTIONS(13890), 1,
      sym_keyword_for,
    ACTIONS(13894), 1,
      sym_keyword_initially,
    ACTIONS(13896), 1,
      sym_keyword_referencing,
    ACTIONS(13898), 1,
      sym_keyword_execute,
    ACTIONS(13902), 1,
      sym_keyword_deferrable,
    STATE(7793), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [463174] = 8,
    ACTIONS(13013), 1,
      sym_keyword_inner,
    ACTIONS(13015), 1,
      sym_keyword_join,
    ACTIONS(13017), 1,
      sym_keyword_natural,
    ACTIONS(13114), 1,
      sym_keyword_on,
    ACTIONS(13116), 1,
      sym_keyword_using,
    STATE(11945), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13011), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [463202] = 8,
    ACTIONS(13013), 1,
      sym_keyword_inner,
    ACTIONS(13015), 1,
      sym_keyword_join,
    ACTIONS(13017), 1,
      sym_keyword_natural,
    ACTIONS(13110), 1,
      sym_keyword_on,
    ACTIONS(13112), 1,
      sym_keyword_using,
    STATE(11946), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13011), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [463230] = 8,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(13906), 1,
      sym_keyword_nulls,
    ACTIONS(13908), 1,
      anon_sym_LPAREN,
    STATE(10127), 1,
      sym_ordered_columns,
    STATE(11660), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13904), 2,
      sym_keyword_key,
      sym_keyword_index,
  [463258] = 7,
    ACTIONS(13910), 1,
      anon_sym_RPAREN,
    ACTIONS(13912), 1,
      anon_sym_COMMA,
    STATE(9094), 1,
      sym_identifier,
    STATE(10444), 1,
      aux_sym__compute_stats_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(7971), 2,
      sym_field,
      aux_sym__compute_stats_repeat1,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [463284] = 10,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(13851), 1,
      sym_keyword_select,
    ACTIONS(13853), 1,
      anon_sym_LPAREN,
    STATE(7657), 1,
      sym_select,
    STATE(7934), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8993), 1,
      sym__dml_read,
    STATE(9166), 1,
      sym_create_query,
    STATE(9356), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [463316] = 10,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(13851), 1,
      sym_keyword_select,
    ACTIONS(13853), 1,
      anon_sym_LPAREN,
    STATE(7657), 1,
      sym_select,
    STATE(7934), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8993), 1,
      sym__dml_read,
    STATE(9167), 1,
      sym_create_query,
    STATE(9356), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [463348] = 7,
    ACTIONS(13912), 1,
      anon_sym_COMMA,
    ACTIONS(13914), 1,
      anon_sym_RPAREN,
    STATE(9094), 1,
      sym_identifier,
    STATE(10643), 1,
      aux_sym__compute_stats_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(7971), 2,
      sym_field,
      aux_sym__compute_stats_repeat1,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [463374] = 8,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(13916), 1,
      sym_keyword_partition,
    ACTIONS(13920), 1,
      anon_sym_RPAREN,
    STATE(8131), 1,
      sym_partition_by,
    STATE(8747), 1,
      sym_order_by,
    STATE(13994), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [463402] = 7,
    ACTIONS(13347), 1,
      anon_sym_LPAREN,
    STATE(1360), 1,
      sym_identifier,
    STATE(5119), 1,
      sym_object_reference,
    STATE(7295), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5532), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [463428] = 7,
    ACTIONS(13347), 1,
      anon_sym_LPAREN,
    STATE(1360), 1,
      sym_identifier,
    STATE(5119), 1,
      sym_object_reference,
    STATE(7278), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5532), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [463454] = 10,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(13851), 1,
      sym_keyword_select,
    ACTIONS(13853), 1,
      anon_sym_LPAREN,
    STATE(7657), 1,
      sym_select,
    STATE(7934), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8993), 1,
      sym__dml_read,
    STATE(9279), 1,
      sym_create_query,
    STATE(9356), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [463486] = 7,
    ACTIONS(13347), 1,
      anon_sym_LPAREN,
    STATE(1360), 1,
      sym_identifier,
    STATE(5119), 1,
      sym_object_reference,
    STATE(7296), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5532), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [463512] = 7,
    ACTIONS(13347), 1,
      anon_sym_LPAREN,
    STATE(1360), 1,
      sym_identifier,
    STATE(5119), 1,
      sym_object_reference,
    STATE(7263), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5532), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [463538] = 8,
    ACTIONS(13013), 1,
      sym_keyword_inner,
    ACTIONS(13015), 1,
      sym_keyword_join,
    ACTIONS(13017), 1,
      sym_keyword_natural,
    ACTIONS(13922), 1,
      sym_keyword_on,
    ACTIONS(13924), 1,
      sym_keyword_using,
    STATE(11954), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13011), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [463566] = 10,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(13851), 1,
      sym_keyword_select,
    ACTIONS(13853), 1,
      anon_sym_LPAREN,
    STATE(7657), 1,
      sym_select,
    STATE(7934), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8993), 1,
      sym__dml_read,
    STATE(9142), 1,
      sym_create_query,
    STATE(9356), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [463598] = 8,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(13916), 1,
      sym_keyword_partition,
    ACTIONS(13926), 1,
      anon_sym_RPAREN,
    STATE(8322), 1,
      sym_partition_by,
    STATE(9098), 1,
      sym_order_by,
    STATE(12528), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [463626] = 7,
    ACTIONS(13347), 1,
      anon_sym_LPAREN,
    STATE(1360), 1,
      sym_identifier,
    STATE(5119), 1,
      sym_object_reference,
    STATE(7266), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5532), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [463652] = 10,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(13875), 1,
      sym_keyword_select,
    ACTIONS(13877), 1,
      anon_sym_LPAREN,
    STATE(7739), 1,
      sym_select,
    STATE(8036), 1,
      sym__select_statement,
    STATE(8298), 1,
      sym_set_operation,
    STATE(9194), 1,
      sym__cte,
    STATE(10069), 1,
      sym_create_query,
    STATE(10171), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [463684] = 10,
    ACTIONS(13884), 1,
      sym_keyword_from,
    ACTIONS(13886), 1,
      sym_keyword_when,
    ACTIONS(13888), 1,
      sym_keyword_not,
    ACTIONS(13890), 1,
      sym_keyword_for,
    ACTIONS(13894), 1,
      sym_keyword_initially,
    ACTIONS(13896), 1,
      sym_keyword_referencing,
    ACTIONS(13928), 1,
      sym_keyword_deferrable,
    ACTIONS(13930), 1,
      sym_keyword_execute,
    STATE(7927), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [463716] = 10,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(1472), 1,
      sym_keyword_select,
    ACTIONS(13871), 1,
      anon_sym_LPAREN,
    STATE(7513), 1,
      sym_select,
    STATE(7622), 1,
      sym__select_statement,
    STATE(8298), 1,
      sym_set_operation,
    STATE(8813), 1,
      sym__cte,
    STATE(10171), 1,
      sym__dml_read,
    STATE(10451), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [463748] = 10,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(13875), 1,
      sym_keyword_select,
    ACTIONS(13877), 1,
      anon_sym_LPAREN,
    STATE(7739), 1,
      sym_select,
    STATE(8036), 1,
      sym__select_statement,
    STATE(8298), 1,
      sym_set_operation,
    STATE(9194), 1,
      sym__cte,
    STATE(10171), 1,
      sym__dml_read,
    STATE(10187), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [463780] = 8,
    ACTIONS(13013), 1,
      sym_keyword_inner,
    ACTIONS(13015), 1,
      sym_keyword_join,
    ACTIONS(13017), 1,
      sym_keyword_natural,
    ACTIONS(13066), 1,
      sym_keyword_using,
    ACTIONS(13096), 1,
      sym_keyword_on,
    STATE(11958), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13011), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [463808] = 8,
    ACTIONS(13013), 1,
      sym_keyword_inner,
    ACTIONS(13015), 1,
      sym_keyword_join,
    ACTIONS(13017), 1,
      sym_keyword_natural,
    ACTIONS(13112), 1,
      sym_keyword_using,
    ACTIONS(13188), 1,
      sym_keyword_on,
    STATE(11920), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13011), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [463836] = 10,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(13875), 1,
      sym_keyword_select,
    ACTIONS(13877), 1,
      anon_sym_LPAREN,
    STATE(7739), 1,
      sym_select,
    STATE(8036), 1,
      sym__select_statement,
    STATE(8298), 1,
      sym_set_operation,
    STATE(9194), 1,
      sym__cte,
    STATE(10039), 1,
      sym_create_query,
    STATE(10171), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [463868] = 10,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(13875), 1,
      sym_keyword_select,
    ACTIONS(13877), 1,
      anon_sym_LPAREN,
    STATE(7739), 1,
      sym_select,
    STATE(8036), 1,
      sym__select_statement,
    STATE(8298), 1,
      sym_set_operation,
    STATE(9194), 1,
      sym__cte,
    STATE(10171), 1,
      sym__dml_read,
    STATE(10186), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [463900] = 10,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(1472), 1,
      sym_keyword_select,
    ACTIONS(13871), 1,
      anon_sym_LPAREN,
    STATE(7513), 1,
      sym_select,
    STATE(7622), 1,
      sym__select_statement,
    STATE(8298), 1,
      sym_set_operation,
    STATE(8813), 1,
      sym__cte,
    STATE(10171), 1,
      sym__dml_read,
    STATE(10304), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [463932] = 7,
    ACTIONS(13347), 1,
      anon_sym_LPAREN,
    STATE(1360), 1,
      sym_identifier,
    STATE(5119), 1,
      sym_object_reference,
    STATE(7300), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5532), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [463958] = 8,
    ACTIONS(13013), 1,
      sym_keyword_inner,
    ACTIONS(13015), 1,
      sym_keyword_join,
    ACTIONS(13017), 1,
      sym_keyword_natural,
    ACTIONS(13116), 1,
      sym_keyword_using,
    ACTIONS(13190), 1,
      sym_keyword_on,
    STATE(11917), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13011), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [463986] = 8,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(13916), 1,
      sym_keyword_partition,
    ACTIONS(13932), 1,
      anon_sym_RPAREN,
    STATE(8236), 1,
      sym_partition_by,
    STATE(8964), 1,
      sym_order_by,
    STATE(12035), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [464014] = 8,
    ACTIONS(13013), 1,
      sym_keyword_inner,
    ACTIONS(13015), 1,
      sym_keyword_join,
    ACTIONS(13017), 1,
      sym_keyword_natural,
    ACTIONS(13030), 1,
      sym_keyword_using,
    ACTIONS(13094), 1,
      sym_keyword_on,
    STATE(11959), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13011), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [464042] = 8,
    ACTIONS(13013), 1,
      sym_keyword_inner,
    ACTIONS(13015), 1,
      sym_keyword_join,
    ACTIONS(13017), 1,
      sym_keyword_natural,
    ACTIONS(13120), 1,
      sym_keyword_using,
    ACTIONS(13208), 1,
      sym_keyword_on,
    STATE(11914), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13011), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [464070] = 8,
    ACTIONS(13013), 1,
      sym_keyword_inner,
    ACTIONS(13015), 1,
      sym_keyword_join,
    ACTIONS(13017), 1,
      sym_keyword_natural,
    ACTIONS(13066), 1,
      sym_keyword_using,
    ACTIONS(13210), 1,
      sym_keyword_on,
    STATE(11746), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13011), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [464098] = 10,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(10753), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [464130] = 7,
    ACTIONS(13686), 1,
      anon_sym_LPAREN,
    STATE(3575), 1,
      sym_identifier,
    STATE(6179), 1,
      sym_object_reference,
    STATE(6346), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(6358), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(335), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [464156] = 7,
    ACTIONS(13347), 1,
      anon_sym_LPAREN,
    STATE(1360), 1,
      sym_identifier,
    STATE(5119), 1,
      sym_object_reference,
    STATE(7301), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5532), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [464182] = 8,
    ACTIONS(13013), 1,
      sym_keyword_inner,
    ACTIONS(13015), 1,
      sym_keyword_join,
    ACTIONS(13017), 1,
      sym_keyword_natural,
    ACTIONS(13867), 1,
      sym_keyword_using,
    ACTIONS(13934), 1,
      sym_keyword_on,
    STATE(11912), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13011), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [464210] = 8,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(13916), 1,
      sym_keyword_partition,
    ACTIONS(13936), 1,
      anon_sym_RPAREN,
    STATE(8201), 1,
      sym_partition_by,
    STATE(9058), 1,
      sym_order_by,
    STATE(12339), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [464238] = 7,
    ACTIONS(13347), 1,
      anon_sym_LPAREN,
    STATE(1360), 1,
      sym_identifier,
    STATE(5119), 1,
      sym_object_reference,
    STATE(7302), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5532), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [464264] = 10,
    ACTIONS(13884), 1,
      sym_keyword_from,
    ACTIONS(13886), 1,
      sym_keyword_when,
    ACTIONS(13888), 1,
      sym_keyword_not,
    ACTIONS(13890), 1,
      sym_keyword_for,
    ACTIONS(13894), 1,
      sym_keyword_initially,
    ACTIONS(13896), 1,
      sym_keyword_referencing,
    ACTIONS(13938), 1,
      sym_keyword_deferrable,
    ACTIONS(13940), 1,
      sym_keyword_execute,
    STATE(7747), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [464296] = 10,
    ACTIONS(13884), 1,
      sym_keyword_from,
    ACTIONS(13886), 1,
      sym_keyword_when,
    ACTIONS(13888), 1,
      sym_keyword_not,
    ACTIONS(13890), 1,
      sym_keyword_for,
    ACTIONS(13892), 1,
      sym_keyword_deferrable,
    ACTIONS(13894), 1,
      sym_keyword_initially,
    ACTIONS(13896), 1,
      sym_keyword_referencing,
    ACTIONS(13940), 1,
      sym_keyword_execute,
    STATE(7889), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [464328] = 8,
    ACTIONS(13013), 1,
      sym_keyword_inner,
    ACTIONS(13015), 1,
      sym_keyword_join,
    ACTIONS(13017), 1,
      sym_keyword_natural,
    ACTIONS(13021), 1,
      sym_keyword_using,
    ACTIONS(13092), 1,
      sym_keyword_on,
    STATE(11963), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13011), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [464356] = 8,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(13916), 1,
      sym_keyword_partition,
    ACTIONS(13942), 1,
      anon_sym_RPAREN,
    STATE(8270), 1,
      sym_partition_by,
    STATE(8922), 1,
      sym_order_by,
    STATE(12302), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [464384] = 7,
    ACTIONS(13347), 1,
      anon_sym_LPAREN,
    STATE(1360), 1,
      sym_identifier,
    STATE(5119), 1,
      sym_object_reference,
    STATE(7305), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5532), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [464410] = 10,
    ACTIONS(13884), 1,
      sym_keyword_from,
    ACTIONS(13886), 1,
      sym_keyword_when,
    ACTIONS(13888), 1,
      sym_keyword_not,
    ACTIONS(13890), 1,
      sym_keyword_for,
    ACTIONS(13892), 1,
      sym_keyword_deferrable,
    ACTIONS(13894), 1,
      sym_keyword_initially,
    ACTIONS(13896), 1,
      sym_keyword_referencing,
    ACTIONS(13944), 1,
      sym_keyword_execute,
    STATE(7889), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [464442] = 6,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(10772), 1,
      sym_keyword_order,
    STATE(7316), 1,
      sym_order_by,
    STATE(7531), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12612), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [464466] = 10,
    ACTIONS(13884), 1,
      sym_keyword_from,
    ACTIONS(13886), 1,
      sym_keyword_when,
    ACTIONS(13888), 1,
      sym_keyword_not,
    ACTIONS(13890), 1,
      sym_keyword_for,
    ACTIONS(13894), 1,
      sym_keyword_initially,
    ACTIONS(13896), 1,
      sym_keyword_referencing,
    ACTIONS(13944), 1,
      sym_keyword_execute,
    ACTIONS(13946), 1,
      sym_keyword_deferrable,
    STATE(7819), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [464498] = 7,
    ACTIONS(13347), 1,
      anon_sym_LPAREN,
    STATE(1360), 1,
      sym_identifier,
    STATE(5119), 1,
      sym_object_reference,
    STATE(7306), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5532), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [464524] = 6,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(10772), 1,
      sym_keyword_order,
    STATE(7391), 1,
      sym_order_by,
    STATE(7555), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8883), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [464548] = 10,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(11543), 1,
      anon_sym_LPAREN,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(8993), 1,
      sym__dml_read,
    STATE(10078), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [464580] = 7,
    ACTIONS(13347), 1,
      anon_sym_LPAREN,
    STATE(1360), 1,
      sym_identifier,
    STATE(5119), 1,
      sym_object_reference,
    STATE(7307), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5532), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [464606] = 10,
    ACTIONS(13884), 1,
      sym_keyword_from,
    ACTIONS(13886), 1,
      sym_keyword_when,
    ACTIONS(13888), 1,
      sym_keyword_not,
    ACTIONS(13890), 1,
      sym_keyword_for,
    ACTIONS(13892), 1,
      sym_keyword_deferrable,
    ACTIONS(13894), 1,
      sym_keyword_initially,
    ACTIONS(13896), 1,
      sym_keyword_referencing,
    ACTIONS(13948), 1,
      sym_keyword_execute,
    STATE(7889), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [464638] = 10,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(13875), 1,
      sym_keyword_select,
    ACTIONS(13877), 1,
      anon_sym_LPAREN,
    STATE(7739), 1,
      sym_select,
    STATE(8036), 1,
      sym__select_statement,
    STATE(8298), 1,
      sym_set_operation,
    STATE(9194), 1,
      sym__cte,
    STATE(9928), 1,
      sym_create_query,
    STATE(10171), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [464670] = 10,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(13875), 1,
      sym_keyword_select,
    ACTIONS(13877), 1,
      anon_sym_LPAREN,
    STATE(7739), 1,
      sym_select,
    STATE(8036), 1,
      sym__select_statement,
    STATE(8298), 1,
      sym_set_operation,
    STATE(9194), 1,
      sym__cte,
    STATE(10016), 1,
      sym_create_query,
    STATE(10171), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [464702] = 7,
    ACTIONS(13347), 1,
      anon_sym_LPAREN,
    STATE(1360), 1,
      sym_identifier,
    STATE(5119), 1,
      sym_object_reference,
    STATE(7320), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5532), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [464728] = 10,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(1472), 1,
      sym_keyword_select,
    ACTIONS(13871), 1,
      anon_sym_LPAREN,
    STATE(7513), 1,
      sym_select,
    STATE(7622), 1,
      sym__select_statement,
    STATE(8298), 1,
      sym_set_operation,
    STATE(8813), 1,
      sym__cte,
    STATE(10171), 1,
      sym__dml_read,
    STATE(10555), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [464760] = 8,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(13916), 1,
      sym_keyword_partition,
    ACTIONS(13950), 1,
      anon_sym_RPAREN,
    STATE(8254), 1,
      sym_partition_by,
    STATE(8697), 1,
      sym_order_by,
    STATE(14266), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [464788] = 10,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(13851), 1,
      sym_keyword_select,
    ACTIONS(13853), 1,
      anon_sym_LPAREN,
    STATE(7657), 1,
      sym_select,
    STATE(7934), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8993), 1,
      sym__dml_read,
    STATE(9356), 1,
      sym__cte,
    STATE(9414), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [464820] = 10,
    ACTIONS(13884), 1,
      sym_keyword_from,
    ACTIONS(13886), 1,
      sym_keyword_when,
    ACTIONS(13888), 1,
      sym_keyword_not,
    ACTIONS(13890), 1,
      sym_keyword_for,
    ACTIONS(13894), 1,
      sym_keyword_initially,
    ACTIONS(13896), 1,
      sym_keyword_referencing,
    ACTIONS(13948), 1,
      sym_keyword_execute,
    ACTIONS(13952), 1,
      sym_keyword_deferrable,
    STATE(7935), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [464852] = 8,
    ACTIONS(13013), 1,
      sym_keyword_inner,
    ACTIONS(13015), 1,
      sym_keyword_join,
    ACTIONS(13017), 1,
      sym_keyword_natural,
    ACTIONS(13924), 1,
      sym_keyword_using,
    ACTIONS(13954), 1,
      sym_keyword_on,
    STATE(11972), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13011), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [464880] = 8,
    ACTIONS(13013), 1,
      sym_keyword_inner,
    ACTIONS(13015), 1,
      sym_keyword_join,
    ACTIONS(13017), 1,
      sym_keyword_natural,
    ACTIONS(13021), 1,
      sym_keyword_using,
    ACTIONS(13301), 1,
      sym_keyword_on,
    STATE(11711), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13011), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [464908] = 7,
    ACTIONS(13347), 1,
      anon_sym_LPAREN,
    STATE(1360), 1,
      sym_identifier,
    STATE(5119), 1,
      sym_object_reference,
    STATE(7321), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5532), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [464934] = 10,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(13424), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [464966] = 10,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(13851), 1,
      sym_keyword_select,
    ACTIONS(13853), 1,
      anon_sym_LPAREN,
    STATE(7657), 1,
      sym_select,
    STATE(7934), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8934), 1,
      sym_create_query,
    STATE(8993), 1,
      sym__dml_read,
    STATE(9356), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [464998] = 10,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(10890), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [465030] = 8,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(13958), 1,
      sym_keyword_nulls,
    ACTIONS(13960), 1,
      anon_sym_LPAREN,
    STATE(9348), 1,
      sym_ordered_columns,
    STATE(11801), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13956), 2,
      sym_keyword_key,
      sym_keyword_index,
  [465058] = 7,
    ACTIONS(13347), 1,
      anon_sym_LPAREN,
    STATE(1360), 1,
      sym_identifier,
    STATE(5119), 1,
      sym_object_reference,
    STATE(7329), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5532), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [465084] = 10,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(13851), 1,
      sym_keyword_select,
    ACTIONS(13853), 1,
      anon_sym_LPAREN,
    STATE(7657), 1,
      sym_select,
    STATE(7934), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8993), 1,
      sym__dml_read,
    STATE(9202), 1,
      sym_create_query,
    STATE(9356), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [465116] = 10,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(13875), 1,
      sym_keyword_select,
    ACTIONS(13877), 1,
      anon_sym_LPAREN,
    STATE(7739), 1,
      sym_select,
    STATE(8036), 1,
      sym__select_statement,
    STATE(8298), 1,
      sym_set_operation,
    STATE(9194), 1,
      sym__cte,
    STATE(9783), 1,
      sym_create_query,
    STATE(10171), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [465148] = 10,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(13004), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [465180] = 10,
    ACTIONS(13884), 1,
      sym_keyword_from,
    ACTIONS(13886), 1,
      sym_keyword_when,
    ACTIONS(13888), 1,
      sym_keyword_not,
    ACTIONS(13890), 1,
      sym_keyword_for,
    ACTIONS(13892), 1,
      sym_keyword_deferrable,
    ACTIONS(13894), 1,
      sym_keyword_initially,
    ACTIONS(13896), 1,
      sym_keyword_referencing,
    ACTIONS(13962), 1,
      sym_keyword_execute,
    STATE(7889), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [465212] = 10,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(13875), 1,
      sym_keyword_select,
    ACTIONS(13877), 1,
      anon_sym_LPAREN,
    STATE(7739), 1,
      sym_select,
    STATE(8036), 1,
      sym__select_statement,
    STATE(8298), 1,
      sym_set_operation,
    STATE(9194), 1,
      sym__cte,
    STATE(9669), 1,
      sym_create_query,
    STATE(10171), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [465244] = 10,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(13851), 1,
      sym_keyword_select,
    ACTIONS(13853), 1,
      anon_sym_LPAREN,
    STATE(7657), 1,
      sym_select,
    STATE(7934), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8749), 1,
      sym_create_query,
    STATE(8993), 1,
      sym__dml_read,
    STATE(9356), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [465276] = 10,
    ACTIONS(13884), 1,
      sym_keyword_from,
    ACTIONS(13886), 1,
      sym_keyword_when,
    ACTIONS(13888), 1,
      sym_keyword_not,
    ACTIONS(13890), 1,
      sym_keyword_for,
    ACTIONS(13894), 1,
      sym_keyword_initially,
    ACTIONS(13896), 1,
      sym_keyword_referencing,
    ACTIONS(13962), 1,
      sym_keyword_execute,
    ACTIONS(13964), 1,
      sym_keyword_deferrable,
    STATE(7841), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [465308] = 8,
    ACTIONS(13013), 1,
      sym_keyword_inner,
    ACTIONS(13015), 1,
      sym_keyword_join,
    ACTIONS(13017), 1,
      sym_keyword_natural,
    ACTIONS(13030), 1,
      sym_keyword_using,
    ACTIONS(13076), 1,
      sym_keyword_on,
    STATE(11975), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13011), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [465336] = 10,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(13875), 1,
      sym_keyword_select,
    ACTIONS(13877), 1,
      anon_sym_LPAREN,
    STATE(7739), 1,
      sym_select,
    STATE(8036), 1,
      sym__select_statement,
    STATE(8298), 1,
      sym_set_operation,
    STATE(9194), 1,
      sym__cte,
    STATE(9607), 1,
      sym_create_query,
    STATE(10171), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [465368] = 8,
    ACTIONS(13013), 1,
      sym_keyword_inner,
    ACTIONS(13015), 1,
      sym_keyword_join,
    ACTIONS(13017), 1,
      sym_keyword_natural,
    ACTIONS(13924), 1,
      sym_keyword_using,
    ACTIONS(13966), 1,
      sym_keyword_on,
    STATE(11576), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13011), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [465396] = 8,
    ACTIONS(13839), 1,
      sym__identifier,
    ACTIONS(13842), 1,
      sym_keyword_create,
    STATE(7826), 1,
      aux_sym_create_database_repeat1,
    STATE(8142), 1,
      sym_identifier,
    STATE(8643), 1,
      sym__with_settings,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13837), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(13844), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [465424] = 10,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(13875), 1,
      sym_keyword_select,
    ACTIONS(13877), 1,
      anon_sym_LPAREN,
    STATE(7739), 1,
      sym_select,
    STATE(8036), 1,
      sym__select_statement,
    STATE(8298), 1,
      sym_set_operation,
    STATE(9194), 1,
      sym__cte,
    STATE(9574), 1,
      sym_create_query,
    STATE(10171), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [465456] = 8,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(13916), 1,
      sym_keyword_partition,
    ACTIONS(13968), 1,
      anon_sym_RPAREN,
    STATE(8229), 1,
      sym_partition_by,
    STATE(8795), 1,
      sym_order_by,
    STATE(13600), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [465484] = 7,
    ACTIONS(13347), 1,
      anon_sym_LPAREN,
    STATE(1360), 1,
      sym_identifier,
    STATE(4853), 1,
      sym_relation,
    STATE(5119), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5532), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [465510] = 8,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(13829), 1,
      sym_keyword_create,
    STATE(7826), 1,
      aux_sym_create_database_repeat1,
    STATE(8142), 1,
      sym_identifier,
    STATE(8643), 1,
      sym__with_settings,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13827), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [465538] = 8,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(13829), 1,
      sym_keyword_create,
    STATE(7826), 1,
      aux_sym_create_database_repeat1,
    STATE(8142), 1,
      sym_identifier,
    STATE(8643), 1,
      sym__with_settings,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13827), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [465566] = 8,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(13825), 1,
      sym_keyword_create,
    STATE(7732), 1,
      aux_sym_create_database_repeat1,
    STATE(8142), 1,
      sym_identifier,
    STATE(8643), 1,
      sym__with_settings,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13823), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [465594] = 8,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(13916), 1,
      sym_keyword_partition,
    ACTIONS(13970), 1,
      anon_sym_RPAREN,
    STATE(8240), 1,
      sym_partition_by,
    STATE(9158), 1,
      sym_order_by,
    STATE(12752), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [465622] = 8,
    ACTIONS(13013), 1,
      sym_keyword_inner,
    ACTIONS(13015), 1,
      sym_keyword_join,
    ACTIONS(13017), 1,
      sym_keyword_natural,
    ACTIONS(13066), 1,
      sym_keyword_using,
    ACTIONS(13088), 1,
      sym_keyword_on,
    STATE(11973), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13011), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [465650] = 10,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(14031), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [465682] = 8,
    ACTIONS(13013), 1,
      sym_keyword_inner,
    ACTIONS(13015), 1,
      sym_keyword_join,
    ACTIONS(13017), 1,
      sym_keyword_natural,
    ACTIONS(13021), 1,
      sym_keyword_using,
    ACTIONS(13074), 1,
      sym_keyword_on,
    STATE(11976), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13011), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [465710] = 4,
    ACTIONS(13972), 1,
      anon_sym_COMMA,
    STATE(7837), 1,
      aux_sym__set_values_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13879), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_when,
      sym_keyword_returning,
  [465730] = 10,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(14052), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [465762] = 7,
    ACTIONS(13347), 1,
      anon_sym_LPAREN,
    STATE(1360), 1,
      sym_identifier,
    STATE(5119), 1,
      sym_object_reference,
    STATE(7331), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5532), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [465788] = 8,
    ACTIONS(13013), 1,
      sym_keyword_inner,
    ACTIONS(13015), 1,
      sym_keyword_join,
    ACTIONS(13017), 1,
      sym_keyword_natural,
    ACTIONS(13030), 1,
      sym_keyword_using,
    ACTIONS(13335), 1,
      sym_keyword_on,
    STATE(11762), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13011), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [465816] = 10,
    ACTIONS(13884), 1,
      sym_keyword_from,
    ACTIONS(13886), 1,
      sym_keyword_when,
    ACTIONS(13888), 1,
      sym_keyword_not,
    ACTIONS(13890), 1,
      sym_keyword_for,
    ACTIONS(13892), 1,
      sym_keyword_deferrable,
    ACTIONS(13894), 1,
      sym_keyword_initially,
    ACTIONS(13896), 1,
      sym_keyword_referencing,
    ACTIONS(13975), 1,
      sym_keyword_execute,
    STATE(7889), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [465848] = 10,
    ACTIONS(13884), 1,
      sym_keyword_from,
    ACTIONS(13886), 1,
      sym_keyword_when,
    ACTIONS(13888), 1,
      sym_keyword_not,
    ACTIONS(13890), 1,
      sym_keyword_for,
    ACTIONS(13894), 1,
      sym_keyword_initially,
    ACTIONS(13896), 1,
      sym_keyword_referencing,
    ACTIONS(13975), 1,
      sym_keyword_execute,
    ACTIONS(13977), 1,
      sym_keyword_deferrable,
    STATE(7847), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [465880] = 8,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(13916), 1,
      sym_keyword_partition,
    ACTIONS(13979), 1,
      anon_sym_RPAREN,
    STATE(8211), 1,
      sym_partition_by,
    STATE(8959), 1,
      sym_order_by,
    STATE(13755), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [465908] = 3,
    ACTIONS(13983), 1,
      sym_keyword_temp,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13981), 8,
      sym_keyword_view,
      sym_keyword_materialized,
      sym_keyword_constraint,
      sym_keyword_temporary,
      sym_keyword_recursive,
      sym_keyword_trigger,
      sym_keyword_function,
      sym_keyword_definer,
  [465926] = 6,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(10772), 1,
      sym_keyword_order,
    STATE(7400), 1,
      sym_order_by,
    STATE(7593), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10894), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [465950] = 10,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(14073), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [465982] = 10,
    ACTIONS(13884), 1,
      sym_keyword_from,
    ACTIONS(13886), 1,
      sym_keyword_when,
    ACTIONS(13888), 1,
      sym_keyword_not,
    ACTIONS(13890), 1,
      sym_keyword_for,
    ACTIONS(13892), 1,
      sym_keyword_deferrable,
    ACTIONS(13894), 1,
      sym_keyword_initially,
    ACTIONS(13896), 1,
      sym_keyword_referencing,
    ACTIONS(13985), 1,
      sym_keyword_execute,
    STATE(7889), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [466014] = 10,
    ACTIONS(13884), 1,
      sym_keyword_from,
    ACTIONS(13886), 1,
      sym_keyword_when,
    ACTIONS(13888), 1,
      sym_keyword_not,
    ACTIONS(13890), 1,
      sym_keyword_for,
    ACTIONS(13894), 1,
      sym_keyword_initially,
    ACTIONS(13896), 1,
      sym_keyword_referencing,
    ACTIONS(13985), 1,
      sym_keyword_execute,
    ACTIONS(13987), 1,
      sym_keyword_deferrable,
    STATE(7856), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [466046] = 6,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(10772), 1,
      sym_keyword_order,
    STATE(7338), 1,
      sym_order_by,
    STATE(7585), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8847), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [466070] = 7,
    ACTIONS(13912), 1,
      anon_sym_COMMA,
    ACTIONS(13989), 1,
      anon_sym_RPAREN,
    STATE(9094), 1,
      sym_identifier,
    STATE(10353), 1,
      aux_sym__compute_stats_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(7971), 2,
      sym_field,
      aux_sym__compute_stats_repeat1,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [466096] = 8,
    ACTIONS(13013), 1,
      sym_keyword_inner,
    ACTIONS(13015), 1,
      sym_keyword_join,
    ACTIONS(13017), 1,
      sym_keyword_natural,
    ACTIONS(13924), 1,
      sym_keyword_using,
    ACTIONS(13991), 1,
      sym_keyword_on,
    STATE(11984), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13011), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [466124] = 8,
    ACTIONS(13013), 1,
      sym_keyword_inner,
    ACTIONS(13015), 1,
      sym_keyword_join,
    ACTIONS(13017), 1,
      sym_keyword_natural,
    ACTIONS(13066), 1,
      sym_keyword_using,
    ACTIONS(13333), 1,
      sym_keyword_on,
    STATE(11813), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13011), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [466152] = 7,
    ACTIONS(13686), 1,
      anon_sym_LPAREN,
    STATE(3575), 1,
      sym_identifier,
    STATE(4951), 1,
      sym_relation,
    STATE(6179), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(6358), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(335), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [466178] = 7,
    ACTIONS(13347), 1,
      anon_sym_LPAREN,
    STATE(1360), 1,
      sym_identifier,
    STATE(5119), 1,
      sym_object_reference,
    STATE(7389), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5532), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [466204] = 5,
    ACTIONS(13617), 1,
      anon_sym_LBRACK,
    STATE(2847), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(3380), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3185), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      anon_sym_COMMA,
  [466226] = 10,
    ACTIONS(13884), 1,
      sym_keyword_from,
    ACTIONS(13886), 1,
      sym_keyword_when,
    ACTIONS(13888), 1,
      sym_keyword_not,
    ACTIONS(13890), 1,
      sym_keyword_for,
    ACTIONS(13892), 1,
      sym_keyword_deferrable,
    ACTIONS(13894), 1,
      sym_keyword_initially,
    ACTIONS(13896), 1,
      sym_keyword_referencing,
    ACTIONS(13993), 1,
      sym_keyword_execute,
    STATE(7889), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [466258] = 6,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(10772), 1,
      sym_keyword_order,
    STATE(7340), 1,
      sym_order_by,
    STATE(7553), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12858), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [466282] = 10,
    ACTIONS(13884), 1,
      sym_keyword_from,
    ACTIONS(13886), 1,
      sym_keyword_when,
    ACTIONS(13888), 1,
      sym_keyword_not,
    ACTIONS(13890), 1,
      sym_keyword_for,
    ACTIONS(13894), 1,
      sym_keyword_initially,
    ACTIONS(13896), 1,
      sym_keyword_referencing,
    ACTIONS(13993), 1,
      sym_keyword_execute,
    ACTIONS(13995), 1,
      sym_keyword_deferrable,
    STATE(7864), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [466314] = 8,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(13916), 1,
      sym_keyword_partition,
    ACTIONS(13997), 1,
      anon_sym_RPAREN,
    STATE(8196), 1,
      sym_partition_by,
    STATE(9040), 1,
      sym_order_by,
    STATE(12286), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [466342] = 8,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(13916), 1,
      sym_keyword_partition,
    ACTIONS(13999), 1,
      anon_sym_RPAREN,
    STATE(8219), 1,
      sym_partition_by,
    STATE(9386), 1,
      sym_order_by,
    STATE(13385), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [466370] = 4,
    ACTIONS(14003), 1,
      anon_sym_COMMA,
    STATE(7743), 1,
      aux_sym__set_values_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14001), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_when,
      sym_keyword_returning,
  [466390] = 8,
    ACTIONS(13013), 1,
      sym_keyword_inner,
    ACTIONS(13015), 1,
      sym_keyword_join,
    ACTIONS(13017), 1,
      sym_keyword_natural,
    ACTIONS(13064), 1,
      sym_keyword_on,
    ACTIONS(13066), 1,
      sym_keyword_using,
    STATE(11986), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13011), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [466418] = 8,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(13916), 1,
      sym_keyword_partition,
    ACTIONS(14005), 1,
      anon_sym_RPAREN,
    STATE(8138), 1,
      sym_partition_by,
    STATE(8841), 1,
      sym_order_by,
    STATE(13462), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [466446] = 10,
    ACTIONS(13884), 1,
      sym_keyword_from,
    ACTIONS(13886), 1,
      sym_keyword_when,
    ACTIONS(13888), 1,
      sym_keyword_not,
    ACTIONS(13890), 1,
      sym_keyword_for,
    ACTIONS(13892), 1,
      sym_keyword_deferrable,
    ACTIONS(13894), 1,
      sym_keyword_initially,
    ACTIONS(13896), 1,
      sym_keyword_referencing,
    ACTIONS(14007), 1,
      sym_keyword_execute,
    STATE(7889), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [466478] = 10,
    ACTIONS(13884), 1,
      sym_keyword_from,
    ACTIONS(13886), 1,
      sym_keyword_when,
    ACTIONS(13888), 1,
      sym_keyword_not,
    ACTIONS(13890), 1,
      sym_keyword_for,
    ACTIONS(13894), 1,
      sym_keyword_initially,
    ACTIONS(13896), 1,
      sym_keyword_referencing,
    ACTIONS(14009), 1,
      sym_keyword_deferrable,
    ACTIONS(14011), 1,
      sym_keyword_execute,
    STATE(7882), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [466510] = 8,
    ACTIONS(12664), 1,
      sym_keyword_owner,
    ACTIONS(14013), 1,
      sym_keyword_set,
    ACTIONS(14015), 1,
      sym_keyword_alter,
    ACTIONS(14017), 1,
      sym_keyword_drop,
    ACTIONS(14019), 1,
      sym_keyword_add,
    ACTIONS(14021), 1,
      sym_keyword_rename,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(11352), 3,
      sym_rename_object,
      sym_set_schema,
      sym_change_ownership,
  [466538] = 7,
    ACTIONS(13347), 1,
      anon_sym_LPAREN,
    STATE(1360), 1,
      sym_identifier,
    STATE(5119), 1,
      sym_object_reference,
    STATE(7394), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5532), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [466564] = 4,
    ACTIONS(14025), 1,
      anon_sym_COMMA,
    STATE(7911), 1,
      aux_sym__set_values_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14023), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_when,
      sym_keyword_returning,
  [466584] = 8,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(10860), 1,
      sym_keyword_where,
    ACTIONS(10862), 1,
      sym_keyword_order,
    STATE(8273), 1,
      sym_where,
    STATE(9095), 1,
      sym_order_by,
    STATE(10326), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13803), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [466612] = 8,
    ACTIONS(13013), 1,
      sym_keyword_inner,
    ACTIONS(13015), 1,
      sym_keyword_join,
    ACTIONS(13017), 1,
      sym_keyword_natural,
    ACTIONS(13028), 1,
      sym_keyword_on,
    ACTIONS(13030), 1,
      sym_keyword_using,
    STATE(11987), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13011), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [466640] = 8,
    ACTIONS(13013), 1,
      sym_keyword_inner,
    ACTIONS(13015), 1,
      sym_keyword_join,
    ACTIONS(13017), 1,
      sym_keyword_natural,
    ACTIONS(13021), 1,
      sym_keyword_using,
    ACTIONS(13036), 1,
      sym_keyword_on,
    STATE(11988), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13011), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [466668] = 10,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(13382), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [466700] = 8,
    ACTIONS(13013), 1,
      sym_keyword_inner,
    ACTIONS(13015), 1,
      sym_keyword_join,
    ACTIONS(13017), 1,
      sym_keyword_natural,
    ACTIONS(13030), 1,
      sym_keyword_using,
    ACTIONS(13140), 1,
      sym_keyword_on,
    STATE(11915), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13011), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [466728] = 7,
    ACTIONS(13686), 1,
      anon_sym_LPAREN,
    STATE(3575), 1,
      sym_identifier,
    STATE(6179), 1,
      sym_object_reference,
    STATE(6599), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(6358), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(335), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [466754] = 10,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(1472), 1,
      sym_keyword_select,
    ACTIONS(13871), 1,
      anon_sym_LPAREN,
    ACTIONS(14027), 1,
      sym_keyword_values,
    STATE(7513), 1,
      sym_select,
    STATE(7622), 1,
      sym__select_statement,
    STATE(8298), 1,
      sym_set_operation,
    STATE(8813), 1,
      sym__cte,
    STATE(9285), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [466786] = 5,
    ACTIONS(14029), 1,
      sym_keyword_union,
    STATE(7897), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14031), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    ACTIONS(13553), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      anon_sym_RPAREN,
  [466808] = 7,
    ACTIONS(13912), 1,
      anon_sym_COMMA,
    ACTIONS(14033), 1,
      anon_sym_RPAREN,
    STATE(9094), 1,
      sym_identifier,
    STATE(11022), 1,
      aux_sym__compute_stats_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(7971), 2,
      sym_field,
      aux_sym__compute_stats_repeat1,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [466834] = 7,
    ACTIONS(13347), 1,
      anon_sym_LPAREN,
    STATE(1360), 1,
      sym_identifier,
    STATE(5119), 1,
      sym_object_reference,
    STATE(7359), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5532), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [466860] = 7,
    ACTIONS(13347), 1,
      anon_sym_LPAREN,
    STATE(1360), 1,
      sym_identifier,
    STATE(5119), 1,
      sym_object_reference,
    STATE(5377), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5532), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [466886] = 7,
    ACTIONS(13347), 1,
      anon_sym_LPAREN,
    STATE(1360), 1,
      sym_identifier,
    STATE(5119), 1,
      sym_object_reference,
    STATE(6569), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5532), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [466912] = 10,
    ACTIONS(13884), 1,
      sym_keyword_from,
    ACTIONS(13886), 1,
      sym_keyword_when,
    ACTIONS(13888), 1,
      sym_keyword_not,
    ACTIONS(13890), 1,
      sym_keyword_for,
    ACTIONS(13894), 1,
      sym_keyword_initially,
    ACTIONS(13896), 1,
      sym_keyword_referencing,
    ACTIONS(14035), 1,
      sym_keyword_deferrable,
    ACTIONS(14037), 1,
      sym_keyword_execute,
    STATE(7891), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [466944] = 10,
    ACTIONS(13884), 1,
      sym_keyword_from,
    ACTIONS(13886), 1,
      sym_keyword_when,
    ACTIONS(13888), 1,
      sym_keyword_not,
    ACTIONS(13890), 1,
      sym_keyword_for,
    ACTIONS(13892), 1,
      sym_keyword_deferrable,
    ACTIONS(13894), 1,
      sym_keyword_initially,
    ACTIONS(13896), 1,
      sym_keyword_referencing,
    ACTIONS(14037), 1,
      sym_keyword_execute,
    STATE(7889), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [466976] = 7,
    ACTIONS(13347), 1,
      anon_sym_LPAREN,
    STATE(1360), 1,
      sym_identifier,
    STATE(5119), 1,
      sym_object_reference,
    STATE(6256), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5532), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [467002] = 8,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(13916), 1,
      sym_keyword_partition,
    ACTIONS(14039), 1,
      anon_sym_RPAREN,
    STATE(8166), 1,
      sym_partition_by,
    STATE(8688), 1,
      sym_order_by,
    STATE(14496), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [467030] = 5,
    ACTIONS(14041), 1,
      sym_keyword_union,
    STATE(7885), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14044), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    ACTIONS(13571), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      anon_sym_RPAREN,
  [467052] = 8,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(13916), 1,
      sym_keyword_partition,
    ACTIONS(14047), 1,
      anon_sym_RPAREN,
    STATE(8155), 1,
      sym_partition_by,
    STATE(9004), 1,
      sym_order_by,
    STATE(12124), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [467080] = 10,
    ACTIONS(13884), 1,
      sym_keyword_from,
    ACTIONS(13886), 1,
      sym_keyword_when,
    ACTIONS(13888), 1,
      sym_keyword_not,
    ACTIONS(13890), 1,
      sym_keyword_for,
    ACTIONS(13894), 1,
      sym_keyword_initially,
    ACTIONS(13896), 1,
      sym_keyword_referencing,
    ACTIONS(14049), 1,
      sym_keyword_deferrable,
    ACTIONS(14051), 1,
      sym_keyword_execute,
    STATE(7894), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [467112] = 6,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(10772), 1,
      sym_keyword_order,
    STATE(7265), 1,
      sym_order_by,
    STATE(7591), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10888), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [467136] = 10,
    ACTIONS(13676), 1,
      sym_keyword_execute,
    ACTIONS(14053), 1,
      sym_keyword_from,
    ACTIONS(14056), 1,
      sym_keyword_when,
    ACTIONS(14059), 1,
      sym_keyword_not,
    ACTIONS(14062), 1,
      sym_keyword_for,
    ACTIONS(14065), 1,
      sym_keyword_deferrable,
    ACTIONS(14068), 1,
      sym_keyword_initially,
    ACTIONS(14071), 1,
      sym_keyword_referencing,
    STATE(7889), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [467168] = 10,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(13345), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [467200] = 10,
    ACTIONS(13884), 1,
      sym_keyword_from,
    ACTIONS(13886), 1,
      sym_keyword_when,
    ACTIONS(13888), 1,
      sym_keyword_not,
    ACTIONS(13890), 1,
      sym_keyword_for,
    ACTIONS(13892), 1,
      sym_keyword_deferrable,
    ACTIONS(13894), 1,
      sym_keyword_initially,
    ACTIONS(13896), 1,
      sym_keyword_referencing,
    ACTIONS(14051), 1,
      sym_keyword_execute,
    STATE(7889), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [467232] = 7,
    ACTIONS(13347), 1,
      anon_sym_LPAREN,
    STATE(1360), 1,
      sym_identifier,
    STATE(5119), 1,
      sym_object_reference,
    STATE(7271), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5532), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [467258] = 7,
    ACTIONS(51), 1,
      sym__identifier,
    STATE(6414), 1,
      sym_identifier,
    STATE(8963), 1,
      sym__vacuum_option,
    STATE(10045), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(14074), 3,
      sym_keyword_full,
      sym_keyword_analyze,
      sym_keyword_parallel,
  [467284] = 10,
    ACTIONS(13884), 1,
      sym_keyword_from,
    ACTIONS(13886), 1,
      sym_keyword_when,
    ACTIONS(13888), 1,
      sym_keyword_not,
    ACTIONS(13890), 1,
      sym_keyword_for,
    ACTIONS(13892), 1,
      sym_keyword_deferrable,
    ACTIONS(13894), 1,
      sym_keyword_initially,
    ACTIONS(13896), 1,
      sym_keyword_referencing,
    ACTIONS(14076), 1,
      sym_keyword_execute,
    STATE(7889), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [467316] = 10,
    ACTIONS(13884), 1,
      sym_keyword_from,
    ACTIONS(13886), 1,
      sym_keyword_when,
    ACTIONS(13888), 1,
      sym_keyword_not,
    ACTIONS(13890), 1,
      sym_keyword_for,
    ACTIONS(13894), 1,
      sym_keyword_initially,
    ACTIONS(13896), 1,
      sym_keyword_referencing,
    ACTIONS(14076), 1,
      sym_keyword_execute,
    ACTIONS(14078), 1,
      sym_keyword_deferrable,
    STATE(7899), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [467348] = 7,
    ACTIONS(211), 1,
      sym__identifier,
    STATE(7262), 1,
      sym_identifier,
    STATE(9355), 1,
      sym__vacuum_option,
    STATE(10852), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(14074), 3,
      sym_keyword_full,
      sym_keyword_analyze,
      sym_keyword_parallel,
  [467374] = 5,
    ACTIONS(14029), 1,
      sym_keyword_union,
    STATE(7885), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14031), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    ACTIONS(13621), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      anon_sym_RPAREN,
  [467396] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1374), 9,
      sym_keyword_from,
      sym_keyword_when,
      sym_keyword_not,
      sym_keyword_for,
      sym_keyword_deferrable,
      sym_keyword_initially,
      sym_keyword_referencing,
      sym_keyword_execute,
      anon_sym_DOT,
  [467412] = 10,
    ACTIONS(13884), 1,
      sym_keyword_from,
    ACTIONS(13886), 1,
      sym_keyword_when,
    ACTIONS(13888), 1,
      sym_keyword_not,
    ACTIONS(13890), 1,
      sym_keyword_for,
    ACTIONS(13892), 1,
      sym_keyword_deferrable,
    ACTIONS(13894), 1,
      sym_keyword_initially,
    ACTIONS(13896), 1,
      sym_keyword_referencing,
    ACTIONS(14080), 1,
      sym_keyword_execute,
    STATE(7889), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [467444] = 7,
    ACTIONS(13347), 1,
      anon_sym_LPAREN,
    STATE(1360), 1,
      sym_identifier,
    STATE(5119), 1,
      sym_object_reference,
    STATE(7369), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5532), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [467470] = 10,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(11543), 1,
      anon_sym_LPAREN,
    ACTIONS(14082), 1,
      sym_keyword_values,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8473), 1,
      sym__dml_read,
    STATE(8700), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [467502] = 10,
    ACTIONS(13884), 1,
      sym_keyword_from,
    ACTIONS(13886), 1,
      sym_keyword_when,
    ACTIONS(13888), 1,
      sym_keyword_not,
    ACTIONS(13890), 1,
      sym_keyword_for,
    ACTIONS(13894), 1,
      sym_keyword_initially,
    ACTIONS(13896), 1,
      sym_keyword_referencing,
    ACTIONS(14080), 1,
      sym_keyword_execute,
    ACTIONS(14084), 1,
      sym_keyword_deferrable,
    STATE(7903), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [467534] = 10,
    ACTIONS(13884), 1,
      sym_keyword_from,
    ACTIONS(13886), 1,
      sym_keyword_when,
    ACTIONS(13888), 1,
      sym_keyword_not,
    ACTIONS(13890), 1,
      sym_keyword_for,
    ACTIONS(13892), 1,
      sym_keyword_deferrable,
    ACTIONS(13894), 1,
      sym_keyword_initially,
    ACTIONS(13896), 1,
      sym_keyword_referencing,
    ACTIONS(14086), 1,
      sym_keyword_execute,
    STATE(7889), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [467566] = 6,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(10772), 1,
      sym_keyword_order,
    STATE(7294), 1,
      sym_order_by,
    STATE(7562), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12452), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [467590] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13879), 9,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [467606] = 10,
    ACTIONS(13884), 1,
      sym_keyword_from,
    ACTIONS(13886), 1,
      sym_keyword_when,
    ACTIONS(13888), 1,
      sym_keyword_not,
    ACTIONS(13890), 1,
      sym_keyword_for,
    ACTIONS(13894), 1,
      sym_keyword_initially,
    ACTIONS(13896), 1,
      sym_keyword_referencing,
    ACTIONS(14086), 1,
      sym_keyword_execute,
    ACTIONS(14088), 1,
      sym_keyword_deferrable,
    STATE(7908), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [467638] = 8,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(13916), 1,
      sym_keyword_partition,
    ACTIONS(14090), 1,
      anon_sym_RPAREN,
    STATE(8246), 1,
      sym_partition_by,
    STATE(9235), 1,
      sym_order_by,
    STATE(12949), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [467666] = 10,
    ACTIONS(13884), 1,
      sym_keyword_from,
    ACTIONS(13886), 1,
      sym_keyword_when,
    ACTIONS(13888), 1,
      sym_keyword_not,
    ACTIONS(13890), 1,
      sym_keyword_for,
    ACTIONS(13892), 1,
      sym_keyword_deferrable,
    ACTIONS(13894), 1,
      sym_keyword_initially,
    ACTIONS(13896), 1,
      sym_keyword_referencing,
    ACTIONS(14092), 1,
      sym_keyword_execute,
    STATE(7889), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [467698] = 8,
    ACTIONS(13013), 1,
      sym_keyword_inner,
    ACTIONS(13015), 1,
      sym_keyword_join,
    ACTIONS(13017), 1,
      sym_keyword_natural,
    ACTIONS(13924), 1,
      sym_keyword_using,
    ACTIONS(14094), 1,
      sym_keyword_on,
    STATE(11859), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13011), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [467726] = 10,
    ACTIONS(13884), 1,
      sym_keyword_from,
    ACTIONS(13886), 1,
      sym_keyword_when,
    ACTIONS(13888), 1,
      sym_keyword_not,
    ACTIONS(13890), 1,
      sym_keyword_for,
    ACTIONS(13894), 1,
      sym_keyword_initially,
    ACTIONS(13896), 1,
      sym_keyword_referencing,
    ACTIONS(14092), 1,
      sym_keyword_execute,
    ACTIONS(14096), 1,
      sym_keyword_deferrable,
    STATE(7916), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [467758] = 4,
    ACTIONS(14025), 1,
      anon_sym_COMMA,
    STATE(7837), 1,
      aux_sym__set_values_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14001), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_when,
      sym_keyword_returning,
  [467778] = 8,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(13916), 1,
      sym_keyword_partition,
    ACTIONS(14098), 1,
      anon_sym_RPAREN,
    STATE(8141), 1,
      sym_partition_by,
    STATE(8683), 1,
      sym_order_by,
    STATE(14463), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [467806] = 7,
    ACTIONS(13347), 1,
      anon_sym_LPAREN,
    STATE(1360), 1,
      sym_identifier,
    STATE(5119), 1,
      sym_object_reference,
    STATE(7258), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5532), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [467832] = 10,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(13851), 1,
      sym_keyword_select,
    ACTIONS(13853), 1,
      anon_sym_LPAREN,
    STATE(7657), 1,
      sym_select,
    STATE(7934), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8993), 1,
      sym__dml_read,
    STATE(9322), 1,
      sym_create_query,
    STATE(9356), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [467864] = 10,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(11261), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [467896] = 10,
    ACTIONS(13884), 1,
      sym_keyword_from,
    ACTIONS(13886), 1,
      sym_keyword_when,
    ACTIONS(13888), 1,
      sym_keyword_not,
    ACTIONS(13890), 1,
      sym_keyword_for,
    ACTIONS(13892), 1,
      sym_keyword_deferrable,
    ACTIONS(13894), 1,
      sym_keyword_initially,
    ACTIONS(13896), 1,
      sym_keyword_referencing,
    ACTIONS(14100), 1,
      sym_keyword_execute,
    STATE(7889), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [467928] = 10,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(11543), 1,
      anon_sym_LPAREN,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(8993), 1,
      sym__dml_read,
    STATE(9873), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [467960] = 10,
    ACTIONS(13884), 1,
      sym_keyword_from,
    ACTIONS(13886), 1,
      sym_keyword_when,
    ACTIONS(13888), 1,
      sym_keyword_not,
    ACTIONS(13890), 1,
      sym_keyword_for,
    ACTIONS(13894), 1,
      sym_keyword_initially,
    ACTIONS(13896), 1,
      sym_keyword_referencing,
    ACTIONS(14100), 1,
      sym_keyword_execute,
    ACTIONS(14102), 1,
      sym_keyword_deferrable,
    STATE(7919), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [467992] = 10,
    ACTIONS(13884), 1,
      sym_keyword_from,
    ACTIONS(13886), 1,
      sym_keyword_when,
    ACTIONS(13888), 1,
      sym_keyword_not,
    ACTIONS(13890), 1,
      sym_keyword_for,
    ACTIONS(13892), 1,
      sym_keyword_deferrable,
    ACTIONS(13894), 1,
      sym_keyword_initially,
    ACTIONS(13896), 1,
      sym_keyword_referencing,
    ACTIONS(14104), 1,
      sym_keyword_execute,
    STATE(7889), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [468024] = 10,
    ACTIONS(13884), 1,
      sym_keyword_from,
    ACTIONS(13886), 1,
      sym_keyword_when,
    ACTIONS(13888), 1,
      sym_keyword_not,
    ACTIONS(13890), 1,
      sym_keyword_for,
    ACTIONS(13894), 1,
      sym_keyword_initially,
    ACTIONS(13896), 1,
      sym_keyword_referencing,
    ACTIONS(14104), 1,
      sym_keyword_execute,
    ACTIONS(14106), 1,
      sym_keyword_deferrable,
    STATE(7921), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [468056] = 10,
    ACTIONS(13884), 1,
      sym_keyword_from,
    ACTIONS(13886), 1,
      sym_keyword_when,
    ACTIONS(13888), 1,
      sym_keyword_not,
    ACTIONS(13890), 1,
      sym_keyword_for,
    ACTIONS(13892), 1,
      sym_keyword_deferrable,
    ACTIONS(13894), 1,
      sym_keyword_initially,
    ACTIONS(13896), 1,
      sym_keyword_referencing,
    ACTIONS(13930), 1,
      sym_keyword_execute,
    STATE(7889), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [468088] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13680), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13682), 5,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym__identifier,
  [468106] = 8,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(13916), 1,
      sym_keyword_partition,
    ACTIONS(14108), 1,
      anon_sym_RPAREN,
    STATE(8182), 1,
      sym_partition_by,
    STATE(9314), 1,
      sym_order_by,
    STATE(13199), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [468134] = 5,
    ACTIONS(14029), 1,
      sym_keyword_union,
    STATE(7897), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14031), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    ACTIONS(13579), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      anon_sym_RPAREN,
  [468156] = 7,
    ACTIONS(14110), 1,
      sym_keyword_set,
    ACTIONS(14115), 1,
      sym_keyword_inner,
    ACTIONS(14118), 1,
      sym_keyword_join,
    ACTIONS(14121), 1,
      sym_keyword_natural,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(7925), 2,
      sym_join,
      aux_sym__mysql_update_statement_repeat2,
    ACTIONS(14112), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [468182] = 10,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(136), 1,
      sym__literal_string,
    STATE(137), 1,
      sym_identifier,
    STATE(12043), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [468214] = 10,
    ACTIONS(13884), 1,
      sym_keyword_from,
    ACTIONS(13886), 1,
      sym_keyword_when,
    ACTIONS(13888), 1,
      sym_keyword_not,
    ACTIONS(13890), 1,
      sym_keyword_for,
    ACTIONS(13892), 1,
      sym_keyword_deferrable,
    ACTIONS(13894), 1,
      sym_keyword_initially,
    ACTIONS(13896), 1,
      sym_keyword_referencing,
    ACTIONS(14124), 1,
      sym_keyword_execute,
    STATE(7889), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [468246] = 10,
    ACTIONS(13884), 1,
      sym_keyword_from,
    ACTIONS(13886), 1,
      sym_keyword_when,
    ACTIONS(13888), 1,
      sym_keyword_not,
    ACTIONS(13890), 1,
      sym_keyword_for,
    ACTIONS(13894), 1,
      sym_keyword_initially,
    ACTIONS(13896), 1,
      sym_keyword_referencing,
    ACTIONS(14126), 1,
      sym_keyword_deferrable,
    ACTIONS(14128), 1,
      sym_keyword_execute,
    STATE(7800), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [468278] = 8,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(10860), 1,
      sym_keyword_where,
    ACTIONS(10862), 1,
      sym_keyword_order,
    STATE(8263), 1,
      sym_where,
    STATE(9188), 1,
      sym_order_by,
    STATE(10588), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13710), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [468306] = 7,
    ACTIONS(13347), 1,
      anon_sym_LPAREN,
    STATE(1360), 1,
      sym_identifier,
    STATE(5119), 1,
      sym_object_reference,
    STATE(7310), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5532), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [468332] = 4,
    ACTIONS(14003), 1,
      anon_sym_COMMA,
    STATE(7861), 1,
      aux_sym__set_values_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14023), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_when,
      sym_keyword_returning,
  [468352] = 8,
    ACTIONS(13013), 1,
      sym_keyword_inner,
    ACTIONS(13015), 1,
      sym_keyword_join,
    ACTIONS(13017), 1,
      sym_keyword_natural,
    ACTIONS(13019), 1,
      sym_keyword_on,
    ACTIONS(13021), 1,
      sym_keyword_using,
    STATE(11436), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13011), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [468380] = 8,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(13658), 1,
      sym_keyword_create,
    STATE(7826), 1,
      aux_sym_create_database_repeat1,
    STATE(8142), 1,
      sym_identifier,
    STATE(8643), 1,
      sym__with_settings,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13656), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [468408] = 5,
    ACTIONS(14029), 1,
      sym_keyword_union,
    STATE(7897), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14031), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    ACTIONS(13534), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      anon_sym_RPAREN,
  [468430] = 10,
    ACTIONS(13884), 1,
      sym_keyword_from,
    ACTIONS(13886), 1,
      sym_keyword_when,
    ACTIONS(13888), 1,
      sym_keyword_not,
    ACTIONS(13890), 1,
      sym_keyword_for,
    ACTIONS(13892), 1,
      sym_keyword_deferrable,
    ACTIONS(13894), 1,
      sym_keyword_initially,
    ACTIONS(13896), 1,
      sym_keyword_referencing,
    ACTIONS(14130), 1,
      sym_keyword_execute,
    STATE(7889), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [468462] = 8,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(13491), 1,
      sym_keyword_create,
    STATE(7830), 1,
      aux_sym_create_database_repeat1,
    STATE(8142), 1,
      sym_identifier,
    STATE(8643), 1,
      sym__with_settings,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13489), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [468490] = 10,
    ACTIONS(13884), 1,
      sym_keyword_from,
    ACTIONS(13886), 1,
      sym_keyword_when,
    ACTIONS(13888), 1,
      sym_keyword_not,
    ACTIONS(13890), 1,
      sym_keyword_for,
    ACTIONS(13894), 1,
      sym_keyword_initially,
    ACTIONS(13896), 1,
      sym_keyword_referencing,
    ACTIONS(14130), 1,
      sym_keyword_execute,
    ACTIONS(14132), 1,
      sym_keyword_deferrable,
    STATE(7789), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [468522] = 8,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(13916), 1,
      sym_keyword_partition,
    ACTIONS(14134), 1,
      anon_sym_RPAREN,
    STATE(8171), 1,
      sym_partition_by,
    STATE(8887), 1,
      sym_order_by,
    STATE(12892), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [468550] = 10,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(11543), 1,
      anon_sym_LPAREN,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(8993), 1,
      sym__dml_read,
    STATE(9496), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [468582] = 10,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(13851), 1,
      sym_keyword_select,
    ACTIONS(13853), 1,
      anon_sym_LPAREN,
    STATE(7657), 1,
      sym_select,
    STATE(7934), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8868), 1,
      sym_create_query,
    STATE(8993), 1,
      sym__dml_read,
    STATE(9356), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [468614] = 10,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(13851), 1,
      sym_keyword_select,
    ACTIONS(13853), 1,
      anon_sym_LPAREN,
    STATE(7657), 1,
      sym_select,
    STATE(7934), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8990), 1,
      sym_create_query,
    STATE(8993), 1,
      sym__dml_read,
    STATE(9356), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [468646] = 10,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(11543), 1,
      anon_sym_LPAREN,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(8993), 1,
      sym__dml_read,
    STATE(10096), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [468678] = 9,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(11543), 1,
      anon_sym_LPAREN,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(13456), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [468707] = 9,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(14136), 1,
      sym_keyword_separator,
    ACTIONS(14138), 1,
      anon_sym_RPAREN,
    ACTIONS(14140), 1,
      anon_sym_COMMA,
    STATE(8508), 1,
      sym_order_by,
    STATE(10270), 1,
      aux_sym_invocation_repeat1,
    STATE(12340), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [468736] = 9,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(11543), 1,
      anon_sym_LPAREN,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(13939), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [468765] = 9,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(11543), 1,
      anon_sym_LPAREN,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(13438), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [468794] = 6,
    ACTIONS(14146), 1,
      anon_sym_COMMA,
    STATE(8177), 1,
      aux_sym__truncate_statement_repeat1,
    STATE(11112), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14144), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(14142), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [468817] = 4,
    ACTIONS(14150), 1,
      anon_sym_COMMA,
    STATE(7961), 1,
      aux_sym__insert_values_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14148), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [468836] = 9,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(14152), 1,
      sym_keyword_separator,
    ACTIONS(14154), 1,
      anon_sym_RPAREN,
    ACTIONS(14156), 1,
      anon_sym_COMMA,
    STATE(8673), 1,
      sym_order_by,
    STATE(10646), 1,
      aux_sym_invocation_repeat1,
    STATE(14589), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [468865] = 7,
    ACTIONS(14158), 1,
      anon_sym_LPAREN,
    STATE(7905), 1,
      sym_assignment,
    STATE(10916), 1,
      sym_identifier,
    STATE(13362), 1,
      sym__qualified_field,
    STATE(13364), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [468890] = 9,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(14160), 1,
      sym_keyword_separator,
    ACTIONS(14162), 1,
      anon_sym_RPAREN,
    ACTIONS(14164), 1,
      anon_sym_COMMA,
    STATE(8646), 1,
      sym_order_by,
    STATE(11215), 1,
      aux_sym_invocation_repeat1,
    STATE(12909), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [468919] = 4,
    ACTIONS(14150), 1,
      anon_sym_COMMA,
    STATE(7957), 1,
      aux_sym__insert_values_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14166), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [468938] = 7,
    ACTIONS(14158), 1,
      anon_sym_LPAREN,
    STATE(7868), 1,
      sym_assignment,
    STATE(10916), 1,
      sym_identifier,
    STATE(13362), 1,
      sym__qualified_field,
    STATE(13364), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [468963] = 9,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(11543), 1,
      anon_sym_LPAREN,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(13276), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [468992] = 9,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(11543), 1,
      anon_sym_LPAREN,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(14159), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [469021] = 9,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(11543), 1,
      anon_sym_LPAREN,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(14400), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [469050] = 4,
    ACTIONS(14170), 1,
      anon_sym_COMMA,
    STATE(7957), 1,
      aux_sym__insert_values_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14168), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [469069] = 7,
    ACTIONS(211), 1,
      sym__identifier,
    ACTIONS(14175), 1,
      sym_keyword_session,
    STATE(7262), 1,
      sym_identifier,
    STATE(11403), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(14173), 2,
      sym_keyword_role,
      sym_keyword_all,
  [469094] = 9,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(14177), 1,
      sym_keyword_separator,
    ACTIONS(14179), 1,
      anon_sym_RPAREN,
    ACTIONS(14181), 1,
      anon_sym_COMMA,
    STATE(8640), 1,
      sym_order_by,
    STATE(10394), 1,
      aux_sym_invocation_repeat1,
    STATE(12117), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [469123] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13676), 8,
      sym_keyword_from,
      sym_keyword_when,
      sym_keyword_not,
      sym_keyword_for,
      sym_keyword_deferrable,
      sym_keyword_initially,
      sym_keyword_referencing,
      sym_keyword_execute,
  [469138] = 4,
    ACTIONS(14150), 1,
      anon_sym_COMMA,
    STATE(7957), 1,
      aux_sym__insert_values_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14183), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [469157] = 9,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(11543), 1,
      anon_sym_LPAREN,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(14553), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [469186] = 9,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(11543), 1,
      anon_sym_LPAREN,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(14559), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [469215] = 9,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(11543), 1,
      anon_sym_LPAREN,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(13402), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [469244] = 9,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(14185), 1,
      sym_keyword_separator,
    ACTIONS(14187), 1,
      anon_sym_RPAREN,
    ACTIONS(14189), 1,
      anon_sym_COMMA,
    STATE(8577), 1,
      sym_order_by,
    STATE(10733), 1,
      aux_sym_invocation_repeat1,
    STATE(12834), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [469273] = 9,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(14191), 1,
      sym_keyword_separator,
    ACTIONS(14193), 1,
      anon_sym_RPAREN,
    ACTIONS(14195), 1,
      anon_sym_COMMA,
    STATE(8621), 1,
      sym_order_by,
    STATE(10383), 1,
      aux_sym_invocation_repeat1,
    STATE(12125), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [469302] = 9,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(14197), 1,
      sym_keyword_separator,
    ACTIONS(14199), 1,
      anon_sym_RPAREN,
    ACTIONS(14201), 1,
      anon_sym_COMMA,
    STATE(8599), 1,
      sym_order_by,
    STATE(11163), 1,
      aux_sym_invocation_repeat1,
    STATE(14500), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [469331] = 9,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(14203), 1,
      sym_keyword_separator,
    ACTIONS(14205), 1,
      anon_sym_RPAREN,
    ACTIONS(14207), 1,
      anon_sym_COMMA,
    STATE(8594), 1,
      sym_order_by,
    STATE(11155), 1,
      aux_sym_invocation_repeat1,
    STATE(14489), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [469360] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2093), 8,
      sym_keyword_from,
      sym_keyword_when,
      sym_keyword_not,
      sym_keyword_for,
      sym_keyword_deferrable,
      sym_keyword_initially,
      sym_keyword_referencing,
      sym_keyword_execute,
  [469375] = 6,
    ACTIONS(14146), 1,
      anon_sym_COMMA,
    STATE(7980), 1,
      aux_sym__truncate_statement_repeat1,
    STATE(10751), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14209), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(13581), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [469398] = 5,
    STATE(9094), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14214), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(7971), 2,
      sym_field,
      aux_sym__compute_stats_repeat1,
    ACTIONS(14211), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [469419] = 9,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(11543), 1,
      anon_sym_LPAREN,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(14522), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [469448] = 9,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(11543), 1,
      anon_sym_LPAREN,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(14513), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [469477] = 6,
    ACTIONS(14146), 1,
      anon_sym_COMMA,
    STATE(8177), 1,
      aux_sym__truncate_statement_repeat1,
    STATE(10751), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14209), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(13581), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [469500] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14216), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [469515] = 7,
    ACTIONS(14158), 1,
      anon_sym_LPAREN,
    STATE(7931), 1,
      sym_assignment,
    STATE(10916), 1,
      sym_identifier,
    STATE(12133), 1,
      sym__qualified_field,
    STATE(13364), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [469540] = 9,
    ACTIONS(211), 1,
      sym__identifier,
    ACTIONS(269), 1,
      aux_sym_identifier_token1,
    ACTIONS(3027), 1,
      sym__double_quote_string,
    ACTIONS(3029), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3037), 1,
      sym__dollar_quoted_string,
    STATE(310), 1,
      sym__single_quote_string,
    STATE(10040), 1,
      sym_identifier,
    STATE(10041), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [469569] = 6,
    ACTIONS(14218), 1,
      anon_sym_LPAREN,
    STATE(6414), 1,
      sym_identifier,
    STATE(13685), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8632), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [469592] = 6,
    ACTIONS(14220), 1,
      anon_sym_LPAREN,
    STATE(6414), 1,
      sym_identifier,
    STATE(13526), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(6540), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [469615] = 6,
    ACTIONS(14146), 1,
      anon_sym_COMMA,
    STATE(8177), 1,
      aux_sym__truncate_statement_repeat1,
    STATE(10413), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14224), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(14222), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [469638] = 6,
    ACTIONS(14146), 1,
      anon_sym_COMMA,
    STATE(7947), 1,
      aux_sym__truncate_statement_repeat1,
    STATE(10413), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14224), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(14222), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [469661] = 9,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(11543), 1,
      anon_sym_LPAREN,
    STATE(8416), 1,
      sym__cte,
    STATE(8587), 1,
      sym_select,
    STATE(8804), 1,
      sym__select_statement,
    STATE(13760), 1,
      sym__dml_read,
    STATE(13867), 1,
      sym_set_operation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [469690] = 9,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(14226), 1,
      sym_keyword_separator,
    ACTIONS(14228), 1,
      anon_sym_RPAREN,
    ACTIONS(14230), 1,
      anon_sym_COMMA,
    STATE(8493), 1,
      sym_order_by,
    STATE(10513), 1,
      aux_sym_invocation_repeat1,
    STATE(13758), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [469719] = 9,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(11543), 1,
      anon_sym_LPAREN,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(12958), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [469748] = 9,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(14232), 1,
      sym_keyword_separator,
    ACTIONS(14234), 1,
      anon_sym_RPAREN,
    ACTIONS(14236), 1,
      anon_sym_COMMA,
    STATE(8582), 1,
      sym_order_by,
    STATE(10783), 1,
      aux_sym_invocation_repeat1,
    STATE(13174), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [469777] = 9,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(11543), 1,
      anon_sym_LPAREN,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(13270), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [469806] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14238), 8,
      sym_keyword_parquet,
      sym_keyword_rcfile,
      sym_keyword_csv,
      sym_keyword_textfile,
      sym_keyword_avro,
      sym_keyword_sequencefile,
      sym_keyword_orc,
      sym_keyword_jsonfile,
  [469821] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13579), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [469836] = 9,
    ACTIONS(211), 1,
      sym__identifier,
    ACTIONS(269), 1,
      aux_sym_identifier_token1,
    ACTIONS(3027), 1,
      sym__double_quote_string,
    ACTIONS(3029), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3037), 1,
      sym__dollar_quoted_string,
    STATE(310), 1,
      sym__single_quote_string,
    STATE(10054), 1,
      sym__literal_string,
    STATE(10056), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [469865] = 9,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(14240), 1,
      sym_keyword_separator,
    ACTIONS(14242), 1,
      anon_sym_RPAREN,
    ACTIONS(14244), 1,
      anon_sym_COMMA,
    STATE(8597), 1,
      sym_order_by,
    STATE(10722), 1,
      aux_sym_invocation_repeat1,
    STATE(13448), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [469894] = 9,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(14246), 1,
      sym_keyword_separator,
    ACTIONS(14248), 1,
      anon_sym_RPAREN,
    ACTIONS(14250), 1,
      anon_sym_COMMA,
    STATE(8556), 1,
      sym_order_by,
    STATE(10795), 1,
      aux_sym_invocation_repeat1,
    STATE(13228), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [469923] = 9,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(14252), 1,
      sym_keyword_separator,
    ACTIONS(14254), 1,
      anon_sym_RPAREN,
    ACTIONS(14256), 1,
      anon_sym_COMMA,
    STATE(8570), 1,
      sym_order_by,
    STATE(11129), 1,
      aux_sym_invocation_repeat1,
    STATE(14283), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [469952] = 9,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(11543), 1,
      anon_sym_LPAREN,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(12777), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [469981] = 9,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(11543), 1,
      anon_sym_LPAREN,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(12955), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [470010] = 9,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(14258), 1,
      sym_keyword_separator,
    ACTIONS(14260), 1,
      anon_sym_RPAREN,
    ACTIONS(14262), 1,
      anon_sym_COMMA,
    STATE(8545), 1,
      sym_order_by,
    STATE(11118), 1,
      aux_sym_invocation_repeat1,
    STATE(14230), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [470039] = 7,
    ACTIONS(14266), 1,
      sym_keyword_delete,
    ACTIONS(14268), 1,
      sym_keyword_insert,
    ACTIONS(14270), 1,
      sym_keyword_update,
    ACTIONS(14272), 1,
      sym_keyword_where,
    STATE(10149), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14264), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_when,
  [470064] = 9,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(14274), 1,
      sym_keyword_separator,
    ACTIONS(14276), 1,
      anon_sym_RPAREN,
    ACTIONS(14278), 1,
      anon_sym_COMMA,
    STATE(8504), 1,
      sym_order_by,
    STATE(10965), 1,
      aux_sym_invocation_repeat1,
    STATE(13786), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [470093] = 6,
    ACTIONS(14282), 1,
      sym_keyword_cascade,
    ACTIONS(14284), 1,
      sym_keyword_with,
    ACTIONS(14286), 1,
      sym_keyword_schema,
    ACTIONS(14288), 1,
      sym_keyword_version,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14280), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [470116] = 9,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(11543), 1,
      anon_sym_LPAREN,
    STATE(8416), 1,
      sym__cte,
    STATE(8587), 1,
      sym_select,
    STATE(8804), 1,
      sym__select_statement,
    STATE(13867), 1,
      sym_set_operation,
    STATE(13868), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [470145] = 9,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(11543), 1,
      anon_sym_LPAREN,
    STATE(8416), 1,
      sym__cte,
    STATE(8587), 1,
      sym_select,
    STATE(8804), 1,
      sym__select_statement,
    STATE(13729), 1,
      sym__dml_read,
    STATE(13867), 1,
      sym_set_operation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [470174] = 9,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(14290), 1,
      sym_keyword_separator,
    ACTIONS(14292), 1,
      anon_sym_RPAREN,
    ACTIONS(14294), 1,
      anon_sym_COMMA,
    STATE(8516), 1,
      sym_order_by,
    STATE(10281), 1,
      aux_sym_invocation_repeat1,
    STATE(12336), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [470203] = 9,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(14296), 1,
      sym_keyword_separator,
    ACTIONS(14298), 1,
      anon_sym_RPAREN,
    ACTIONS(14300), 1,
      anon_sym_COMMA,
    STATE(8444), 1,
      sym_order_by,
    STATE(10296), 1,
      aux_sym_invocation_repeat1,
    STATE(13721), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [470232] = 9,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(8961), 1,
      sym_identifier,
    STATE(8965), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [470261] = 9,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(14302), 1,
      sym_keyword_separator,
    ACTIONS(14304), 1,
      anon_sym_RPAREN,
    ACTIONS(14306), 1,
      anon_sym_COMMA,
    STATE(8455), 1,
      sym_order_by,
    STATE(10496), 1,
      aux_sym_invocation_repeat1,
    STATE(12038), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [470290] = 7,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(14310), 1,
      sym_keyword_ignore,
    STATE(6414), 1,
      sym_identifier,
    STATE(6973), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(14308), 2,
      sym_keyword_into,
      sym_keyword_overwrite,
  [470315] = 7,
    ACTIONS(14158), 1,
      anon_sym_LPAREN,
    STATE(8038), 1,
      sym_assignment,
    STATE(10916), 1,
      sym_identifier,
    STATE(12133), 1,
      sym__qualified_field,
    STATE(13364), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [470340] = 9,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(11543), 1,
      anon_sym_LPAREN,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(13989), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [470369] = 9,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(8776), 1,
      sym__literal_string,
    STATE(8854), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [470398] = 8,
    ACTIONS(14312), 1,
      sym__identifier,
    ACTIONS(14314), 1,
      sym__double_quote_string,
    ACTIONS(14316), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(14318), 1,
      aux_sym_identifier_token1,
    ACTIONS(14320), 1,
      sym__dollar_quoted_string,
    STATE(6625), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(6804), 2,
      sym__literal_string,
      sym_identifier,
  [470425] = 9,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(14322), 1,
      sym_keyword_separator,
    ACTIONS(14324), 1,
      anon_sym_RPAREN,
    ACTIONS(14326), 1,
      anon_sym_COMMA,
    STATE(8443), 1,
      sym_order_by,
    STATE(10647), 1,
      aux_sym_invocation_repeat1,
    STATE(12953), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [470454] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14328), 8,
      sym_keyword_parquet,
      sym_keyword_rcfile,
      sym_keyword_csv,
      sym_keyword_textfile,
      sym_keyword_avro,
      sym_keyword_sequencefile,
      sym_keyword_orc,
      sym_keyword_jsonfile,
  [470469] = 6,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(10772), 1,
      sym_keyword_order,
    STATE(8350), 1,
      sym_order_by,
    STATE(9611), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13803), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [470492] = 8,
    ACTIONS(14330), 1,
      sym__identifier,
    ACTIONS(14332), 1,
      sym_keyword_if,
    ACTIONS(14334), 1,
      sym_keyword_only,
    STATE(6363), 1,
      sym_object_reference,
    STATE(6454), 1,
      sym_identifier,
    STATE(8373), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14336), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [470519] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13534), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [470534] = 9,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(11543), 1,
      anon_sym_LPAREN,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(13455), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [470563] = 9,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(14338), 1,
      sym_keyword_separator,
    ACTIONS(14340), 1,
      anon_sym_RPAREN,
    ACTIONS(14342), 1,
      anon_sym_COMMA,
    STATE(8445), 1,
      sym_order_by,
    STATE(10507), 1,
      aux_sym_invocation_repeat1,
    STATE(12032), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [470592] = 9,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(11543), 1,
      anon_sym_LPAREN,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(13862), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [470621] = 6,
    ACTIONS(14218), 1,
      anon_sym_LPAREN,
    STATE(6414), 1,
      sym_identifier,
    STATE(13685), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8471), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [470644] = 8,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(13960), 1,
      anon_sym_LPAREN,
    ACTIONS(14344), 1,
      sym_keyword_if,
    STATE(8624), 1,
      sym__if_not_exists,
    STATE(8765), 1,
      sym_ordered_columns,
    STATE(11593), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [470671] = 9,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(14346), 1,
      sym_keyword_separator,
    ACTIONS(14348), 1,
      anon_sym_RPAREN,
    ACTIONS(14350), 1,
      anon_sym_COMMA,
    STATE(8389), 1,
      sym_order_by,
    STATE(10640), 1,
      aux_sym_invocation_repeat1,
    STATE(12939), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [470700] = 6,
    ACTIONS(14218), 1,
      anon_sym_LPAREN,
    STATE(6414), 1,
      sym_identifier,
    STATE(13685), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8474), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [470723] = 9,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(11543), 1,
      anon_sym_LPAREN,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(12768), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [470752] = 6,
    ACTIONS(14218), 1,
      anon_sym_LPAREN,
    STATE(6414), 1,
      sym_identifier,
    STATE(13685), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8482), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [470775] = 9,
    ACTIONS(211), 1,
      sym__identifier,
    ACTIONS(269), 1,
      aux_sym_identifier_token1,
    ACTIONS(3027), 1,
      sym__double_quote_string,
    ACTIONS(3029), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3037), 1,
      sym__dollar_quoted_string,
    STATE(310), 1,
      sym__single_quote_string,
    STATE(9850), 1,
      sym_identifier,
    STATE(9855), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [470804] = 9,
    ACTIONS(211), 1,
      sym__identifier,
    ACTIONS(269), 1,
      aux_sym_identifier_token1,
    ACTIONS(3027), 1,
      sym__double_quote_string,
    ACTIONS(3029), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3037), 1,
      sym__dollar_quoted_string,
    STATE(310), 1,
      sym__single_quote_string,
    STATE(10145), 1,
      sym_identifier,
    STATE(10147), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [470833] = 9,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(11543), 1,
      anon_sym_LPAREN,
    STATE(8503), 1,
      sym__cte,
    STATE(8534), 1,
      sym_select,
    STATE(8903), 1,
      sym__select_statement,
    STATE(14065), 1,
      sym_set_operation,
    STATE(14066), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [470862] = 6,
    ACTIONS(14218), 1,
      anon_sym_LPAREN,
    STATE(6414), 1,
      sym_identifier,
    STATE(13685), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8533), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [470885] = 6,
    ACTIONS(14218), 1,
      anon_sym_LPAREN,
    STATE(6414), 1,
      sym_identifier,
    STATE(13685), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8535), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [470908] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13553), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [470923] = 6,
    ACTIONS(14218), 1,
      anon_sym_LPAREN,
    STATE(6414), 1,
      sym_identifier,
    STATE(13685), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8546), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [470946] = 9,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(11543), 1,
      anon_sym_LPAREN,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(12538), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [470975] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14354), 2,
      sym_keyword_create,
      sym__identifier,
    ACTIONS(14352), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [470992] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14358), 2,
      sym_keyword_create,
      sym__identifier,
    ACTIONS(14356), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [471009] = 6,
    ACTIONS(14362), 1,
      sym_keyword_cascade,
    ACTIONS(14364), 1,
      sym_keyword_with,
    ACTIONS(14366), 1,
      sym_keyword_schema,
    ACTIONS(14368), 1,
      sym_keyword_version,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14360), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [471032] = 9,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(11543), 1,
      anon_sym_LPAREN,
    STATE(8416), 1,
      sym__cte,
    STATE(8587), 1,
      sym_select,
    STATE(8804), 1,
      sym__select_statement,
    STATE(13826), 1,
      sym__dml_read,
    STATE(13867), 1,
      sym_set_operation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [471061] = 5,
    ACTIONS(14370), 1,
      sym_keyword_union,
    STATE(8041), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14372), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    ACTIONS(13534), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
  [471082] = 9,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(11543), 1,
      anon_sym_LPAREN,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(12559), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [471111] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13879), 8,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_COMMA,
  [471126] = 9,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(11543), 1,
      anon_sym_LPAREN,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(13405), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [471155] = 5,
    ACTIONS(14370), 1,
      sym_keyword_union,
    STATE(8041), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14372), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    ACTIONS(13579), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
  [471176] = 5,
    ACTIONS(14370), 1,
      sym_keyword_union,
    STATE(8043), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14372), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    ACTIONS(13621), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
  [471197] = 9,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(11543), 1,
      anon_sym_LPAREN,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(13814), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [471226] = 5,
    ACTIONS(14374), 1,
      sym_keyword_union,
    STATE(8043), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14377), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    ACTIONS(13571), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
  [471247] = 7,
    ACTIONS(14272), 1,
      sym_keyword_where,
    ACTIONS(14382), 1,
      sym_keyword_delete,
    ACTIONS(14384), 1,
      sym_keyword_insert,
    ACTIONS(14386), 1,
      sym_keyword_update,
    STATE(9922), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14380), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_when,
  [471272] = 9,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(11543), 1,
      anon_sym_LPAREN,
    STATE(8503), 1,
      sym__cte,
    STATE(8534), 1,
      sym_select,
    STATE(8903), 1,
      sym__select_statement,
    STATE(12666), 1,
      sym__dml_read,
    STATE(14065), 1,
      sym_set_operation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [471301] = 5,
    ACTIONS(14370), 1,
      sym_keyword_union,
    STATE(8041), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14372), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    ACTIONS(13553), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
  [471322] = 9,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(11543), 1,
      anon_sym_LPAREN,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(12354), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [471351] = 7,
    ACTIONS(14158), 1,
      anon_sym_LPAREN,
    STATE(8077), 1,
      sym_assignment,
    STATE(10916), 1,
      sym_identifier,
    STATE(13364), 1,
      sym_object_reference,
    STATE(13950), 1,
      sym__qualified_field,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [471376] = 9,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(8853), 1,
      sym__literal_string,
    STATE(8858), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [471405] = 8,
    ACTIONS(14330), 1,
      sym__identifier,
    ACTIONS(14332), 1,
      sym_keyword_if,
    ACTIONS(14388), 1,
      sym_keyword_only,
    STATE(6373), 1,
      sym_object_reference,
    STATE(6454), 1,
      sym_identifier,
    STATE(8448), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14336), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [471432] = 8,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(13908), 1,
      anon_sym_LPAREN,
    ACTIONS(14344), 1,
      sym_keyword_if,
    STATE(8371), 1,
      sym__if_not_exists,
    STATE(10127), 1,
      sym_ordered_columns,
    STATE(11660), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [471459] = 9,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(11543), 1,
      anon_sym_LPAREN,
    STATE(8503), 1,
      sym__cte,
    STATE(8534), 1,
      sym_select,
    STATE(8903), 1,
      sym__select_statement,
    STATE(13660), 1,
      sym__dml_read,
    STATE(14065), 1,
      sym_set_operation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [471488] = 9,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(14390), 1,
      sym_keyword_separator,
    ACTIONS(14392), 1,
      anon_sym_RPAREN,
    ACTIONS(14394), 1,
      anon_sym_COMMA,
    STATE(8384), 1,
      sym_order_by,
    STATE(11030), 1,
      aux_sym_invocation_repeat1,
    STATE(13998), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [471517] = 9,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(11543), 1,
      anon_sym_LPAREN,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(12351), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [471546] = 9,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(8952), 1,
      sym_identifier,
    STATE(8953), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [471575] = 7,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(14398), 1,
      sym_keyword_session,
    STATE(6414), 1,
      sym_identifier,
    STATE(10612), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(14396), 2,
      sym_keyword_role,
      sym_keyword_all,
  [471600] = 6,
    ACTIONS(14400), 1,
      anon_sym_LPAREN,
    STATE(6414), 1,
      sym_identifier,
    STATE(12183), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(6580), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [471623] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14402), 8,
      sym_keyword_from,
      sym_keyword_when,
      sym_keyword_not,
      sym_keyword_for,
      sym_keyword_deferrable,
      sym_keyword_initially,
      sym_keyword_referencing,
      sym_keyword_execute,
  [471638] = 6,
    ACTIONS(14218), 1,
      anon_sym_LPAREN,
    STATE(6414), 1,
      sym_identifier,
    STATE(13685), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8561), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [471661] = 6,
    ACTIONS(14218), 1,
      anon_sym_LPAREN,
    STATE(6414), 1,
      sym_identifier,
    STATE(13685), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8568), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [471684] = 9,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(14404), 1,
      sym_keyword_separator,
    ACTIONS(14406), 1,
      anon_sym_RPAREN,
    ACTIONS(14408), 1,
      anon_sym_COMMA,
    STATE(8390), 1,
      sym_order_by,
    STATE(10325), 1,
      aux_sym_invocation_repeat1,
    STATE(12522), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [471713] = 6,
    ACTIONS(14218), 1,
      anon_sym_LPAREN,
    STATE(6414), 1,
      sym_identifier,
    STATE(13685), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8574), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [471736] = 9,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(14410), 1,
      sym_keyword_separator,
    ACTIONS(14412), 1,
      anon_sym_RPAREN,
    ACTIONS(14414), 1,
      anon_sym_COMMA,
    STATE(8369), 1,
      sym_order_by,
    STATE(11019), 1,
      aux_sym_invocation_repeat1,
    STATE(13991), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [471765] = 9,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(14416), 1,
      sym_keyword_separator,
    ACTIONS(14418), 1,
      anon_sym_RPAREN,
    ACTIONS(14420), 1,
      anon_sym_COMMA,
    STATE(8356), 1,
      sym_order_by,
    STATE(10337), 1,
      aux_sym_invocation_repeat1,
    STATE(12529), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [471794] = 6,
    ACTIONS(14218), 1,
      anon_sym_LPAREN,
    STATE(6414), 1,
      sym_identifier,
    STATE(13685), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8575), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [471817] = 8,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(13908), 1,
      anon_sym_LPAREN,
    ACTIONS(14344), 1,
      sym_keyword_if,
    STATE(8383), 1,
      sym__if_not_exists,
    STATE(10013), 1,
      sym_ordered_columns,
    STATE(11678), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [471844] = 7,
    ACTIONS(14272), 1,
      sym_keyword_where,
    ACTIONS(14424), 1,
      sym_keyword_delete,
    ACTIONS(14426), 1,
      sym_keyword_insert,
    ACTIONS(14428), 1,
      sym_keyword_update,
    STATE(9777), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14422), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_when,
  [471869] = 7,
    ACTIONS(14430), 1,
      sym_keyword_delete,
    ACTIONS(14432), 1,
      sym_keyword_insert,
    ACTIONS(14434), 1,
      sym_keyword_update,
    ACTIONS(14436), 1,
      sym_keyword_where,
    STATE(10872), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14264), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_when,
  [471894] = 9,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(14438), 1,
      sym_keyword_separator,
    ACTIONS(14440), 1,
      anon_sym_RPAREN,
    ACTIONS(14442), 1,
      anon_sym_COMMA,
    STATE(8328), 1,
      sym_order_by,
    STATE(10609), 1,
      aux_sym_invocation_repeat1,
    STATE(12301), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [471923] = 7,
    ACTIONS(14436), 1,
      sym_keyword_where,
    ACTIONS(14446), 1,
      sym_keyword_delete,
    ACTIONS(14448), 1,
      sym_keyword_insert,
    ACTIONS(14450), 1,
      sym_keyword_update,
    STATE(11013), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14444), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_when,
  [471948] = 9,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(11543), 1,
      anon_sym_LPAREN,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(13598), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [471977] = 9,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(14452), 1,
      sym_keyword_separator,
    ACTIONS(14454), 1,
      anon_sym_RPAREN,
    ACTIONS(14456), 1,
      anon_sym_COMMA,
    STATE(8509), 1,
      sym_order_by,
    STATE(10620), 1,
      aux_sym_invocation_repeat1,
    STATE(12305), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [472006] = 9,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(11543), 1,
      anon_sym_LPAREN,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(13988), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [472035] = 9,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(11543), 1,
      anon_sym_LPAREN,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(12139), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [472064] = 6,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(10862), 1,
      sym_keyword_order,
    STATE(7457), 1,
      sym_order_by,
    STATE(7655), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12858), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
  [472087] = 6,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(10862), 1,
      sym_keyword_order,
    STATE(7414), 1,
      sym_order_by,
    STATE(7645), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12612), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
  [472110] = 4,
    ACTIONS(14458), 1,
      anon_sym_COMMA,
    STATE(8086), 1,
      aux_sym__set_values_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14023), 6,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [472129] = 9,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(11543), 1,
      anon_sym_LPAREN,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(12131), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [472158] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14460), 8,
      sym_keyword_from,
      sym_keyword_when,
      sym_keyword_not,
      sym_keyword_for,
      sym_keyword_deferrable,
      sym_keyword_initially,
      sym_keyword_referencing,
      sym_keyword_execute,
  [472173] = 6,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(10862), 1,
      sym_keyword_order,
    STATE(7448), 1,
      sym_order_by,
    STATE(7620), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12452), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
  [472196] = 6,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(10862), 1,
      sym_keyword_order,
    STATE(7511), 1,
      sym_order_by,
    STATE(7686), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10888), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
  [472219] = 9,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(11543), 1,
      anon_sym_LPAREN,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(12044), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [472248] = 9,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(11543), 1,
      anon_sym_LPAREN,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(12041), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [472277] = 7,
    ACTIONS(14158), 1,
      anon_sym_LPAREN,
    STATE(7905), 1,
      sym_assignment,
    STATE(10916), 1,
      sym_identifier,
    STATE(13364), 1,
      sym_object_reference,
    STATE(13950), 1,
      sym__qualified_field,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [472302] = 6,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(10862), 1,
      sym_keyword_order,
    STATE(7420), 1,
      sym_order_by,
    STATE(7643), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10894), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
  [472325] = 4,
    ACTIONS(14458), 1,
      anon_sym_COMMA,
    STATE(8111), 1,
      aux_sym__set_values_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14001), 6,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [472344] = 6,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(10862), 1,
      sym_keyword_order,
    STATE(7442), 1,
      sym_order_by,
    STATE(7611), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8847), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
  [472367] = 6,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(10772), 1,
      sym_keyword_order,
    STATE(8521), 1,
      sym_order_by,
    STATE(10160), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14462), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [472390] = 7,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(14466), 1,
      sym_keyword_ignore,
    STATE(6414), 1,
      sym_identifier,
    STATE(6967), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(14464), 2,
      sym_keyword_into,
      sym_keyword_overwrite,
  [472415] = 9,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(11543), 1,
      anon_sym_LPAREN,
    STATE(8503), 1,
      sym__cte,
    STATE(8534), 1,
      sym_select,
    STATE(8903), 1,
      sym__select_statement,
    STATE(12775), 1,
      sym__dml_read,
    STATE(14065), 1,
      sym_set_operation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [472444] = 9,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(11543), 1,
      anon_sym_LPAREN,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(12270), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [472473] = 9,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(11543), 1,
      anon_sym_LPAREN,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(12560), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [472502] = 9,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(9253), 1,
      sym__literal_string,
    STATE(9255), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [472531] = 4,
    ACTIONS(14150), 1,
      anon_sym_COMMA,
    STATE(7952), 1,
      aux_sym__insert_values_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14468), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [472550] = 7,
    ACTIONS(14436), 1,
      sym_keyword_where,
    ACTIONS(14470), 1,
      sym_keyword_delete,
    ACTIONS(14472), 1,
      sym_keyword_insert,
    ACTIONS(14474), 1,
      sym_keyword_update,
    STATE(10979), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14422), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_when,
  [472575] = 6,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(10862), 1,
      sym_keyword_order,
    STATE(7476), 1,
      sym_order_by,
    STATE(7707), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8883), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
  [472598] = 7,
    ACTIONS(14272), 1,
      sym_keyword_where,
    ACTIONS(14476), 1,
      sym_keyword_delete,
    ACTIONS(14478), 1,
      sym_keyword_insert,
    ACTIONS(14480), 1,
      sym_keyword_update,
    STATE(9455), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14444), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_when,
  [472623] = 9,
    ACTIONS(211), 1,
      sym__identifier,
    ACTIONS(269), 1,
      aux_sym_identifier_token1,
    ACTIONS(3027), 1,
      sym__double_quote_string,
    ACTIONS(3029), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3037), 1,
      sym__dollar_quoted_string,
    STATE(310), 1,
      sym__single_quote_string,
    STATE(10207), 1,
      sym__literal_string,
    STATE(10209), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [472652] = 6,
    ACTIONS(14146), 1,
      anon_sym_COMMA,
    STATE(7974), 1,
      aux_sym__truncate_statement_repeat1,
    STATE(10450), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14482), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(13366), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [472675] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14484), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [472690] = 7,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(14488), 1,
      sym_keyword_ignore,
    STATE(6414), 1,
      sym_identifier,
    STATE(6964), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(14486), 2,
      sym_keyword_into,
      sym_keyword_overwrite,
  [472715] = 9,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(14490), 1,
      sym_keyword_separator,
    ACTIONS(14492), 1,
      anon_sym_RPAREN,
    ACTIONS(14494), 1,
      anon_sym_COMMA,
    STATE(8418), 1,
      sym_order_by,
    STATE(10498), 1,
      aux_sym_invocation_repeat1,
    STATE(12726), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [472744] = 6,
    ACTIONS(14218), 1,
      anon_sym_LPAREN,
    STATE(6414), 1,
      sym_identifier,
    STATE(13685), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8467), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [472767] = 9,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(14496), 1,
      sym_keyword_separator,
    ACTIONS(14498), 1,
      anon_sym_RPAREN,
    ACTIONS(14500), 1,
      anon_sym_COMMA,
    STATE(8412), 1,
      sym_order_by,
    STATE(10931), 1,
      aux_sym_invocation_repeat1,
    STATE(13605), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [472796] = 8,
    ACTIONS(14330), 1,
      sym__identifier,
    ACTIONS(14336), 1,
      aux_sym_identifier_token1,
    ACTIONS(14502), 1,
      sym__double_quote_string,
    ACTIONS(14504), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(14506), 1,
      sym__dollar_quoted_string,
    STATE(6593), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(6741), 2,
      sym__literal_string,
      sym_identifier,
  [472823] = 9,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(14508), 1,
      sym_keyword_separator,
    ACTIONS(14510), 1,
      anon_sym_RPAREN,
    ACTIONS(14512), 1,
      anon_sym_COMMA,
    STATE(8450), 1,
      sym_order_by,
    STATE(10517), 1,
      aux_sym_invocation_repeat1,
    STATE(12761), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [472852] = 9,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(14514), 1,
      sym_keyword_separator,
    ACTIONS(14516), 1,
      anon_sym_RPAREN,
    ACTIONS(14518), 1,
      anon_sym_COMMA,
    STATE(8475), 1,
      sym_order_by,
    STATE(10920), 1,
      aux_sym_invocation_repeat1,
    STATE(13599), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [472881] = 6,
    ACTIONS(14218), 1,
      anon_sym_LPAREN,
    STATE(6414), 1,
      sym_identifier,
    STATE(13685), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8530), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [472904] = 9,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(14520), 1,
      sym_keyword_separator,
    ACTIONS(14522), 1,
      anon_sym_RPAREN,
    ACTIONS(14524), 1,
      anon_sym_COMMA,
    STATE(8417), 1,
      sym_order_by,
    STATE(10939), 1,
      aux_sym_invocation_repeat1,
    STATE(13378), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [472933] = 8,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(13960), 1,
      anon_sym_LPAREN,
    ACTIONS(14344), 1,
      sym_keyword_if,
    STATE(8485), 1,
      sym__if_not_exists,
    STATE(9348), 1,
      sym_ordered_columns,
    STATE(11801), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [472960] = 4,
    ACTIONS(14526), 1,
      anon_sym_COMMA,
    STATE(8111), 1,
      aux_sym__set_values_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13879), 6,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [472979] = 7,
    ACTIONS(14436), 1,
      sym_keyword_where,
    ACTIONS(14529), 1,
      sym_keyword_delete,
    ACTIONS(14531), 1,
      sym_keyword_insert,
    ACTIONS(14533), 1,
      sym_keyword_update,
    STATE(10941), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14380), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_when,
  [473004] = 6,
    ACTIONS(14218), 1,
      anon_sym_LPAREN,
    STATE(6414), 1,
      sym_identifier,
    STATE(13685), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8359), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [473027] = 9,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(11543), 1,
      anon_sym_LPAREN,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(12785), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [473056] = 8,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(115), 1,
      aux_sym_identifier_token1,
    ACTIONS(3091), 1,
      sym__double_quote_string,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3101), 1,
      sym__dollar_quoted_string,
    STATE(129), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(11301), 2,
      sym__literal_string,
      sym_identifier,
  [473083] = 9,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(11543), 1,
      anon_sym_LPAREN,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(13590), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [473112] = 6,
    ACTIONS(14218), 1,
      anon_sym_LPAREN,
    STATE(6414), 1,
      sym_identifier,
    STATE(13685), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8491), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [473135] = 9,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(14535), 1,
      sym_keyword_separator,
    ACTIONS(14537), 1,
      anon_sym_RPAREN,
    ACTIONS(14539), 1,
      anon_sym_COMMA,
    STATE(8664), 1,
      sym_order_by,
    STATE(10821), 1,
      aux_sym_invocation_repeat1,
    STATE(13461), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [473164] = 9,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(11543), 1,
      anon_sym_LPAREN,
    STATE(7475), 1,
      sym_select,
    STATE(7540), 1,
      sym__select_statement,
    STATE(8014), 1,
      sym_set_operation,
    STATE(8700), 1,
      sym__cte,
    STATE(12691), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [473193] = 6,
    ACTIONS(14218), 1,
      anon_sym_LPAREN,
    STATE(6414), 1,
      sym_identifier,
    STATE(13685), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8501), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [473216] = 6,
    ACTIONS(14218), 1,
      anon_sym_LPAREN,
    STATE(6414), 1,
      sym_identifier,
    STATE(13685), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8652), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [473239] = 9,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(14541), 1,
      sym_keyword_separator,
    ACTIONS(14543), 1,
      anon_sym_RPAREN,
    ACTIONS(14545), 1,
      anon_sym_COMMA,
    STATE(8487), 1,
      sym_order_by,
    STATE(10957), 1,
      aux_sym_invocation_repeat1,
    STATE(13386), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [473268] = 6,
    ACTIONS(14218), 1,
      anon_sym_LPAREN,
    STATE(6414), 1,
      sym_identifier,
    STATE(13685), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8596), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [473291] = 5,
    STATE(9094), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14547), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(7971), 2,
      sym_field,
      aux_sym__compute_stats_repeat1,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [473312] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14551), 2,
      sym_keyword_create,
      sym__identifier,
    ACTIONS(14549), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [473329] = 9,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(14553), 1,
      sym_keyword_separator,
    ACTIONS(14555), 1,
      anon_sym_RPAREN,
    ACTIONS(14557), 1,
      anon_sym_COMMA,
    STATE(8529), 1,
      sym_order_by,
    STATE(10291), 1,
      aux_sym_invocation_repeat1,
    STATE(12307), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [473358] = 9,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(14559), 1,
      sym_keyword_separator,
    ACTIONS(14561), 1,
      anon_sym_RPAREN,
    ACTIONS(14563), 1,
      anon_sym_COMMA,
    STATE(8644), 1,
      sym_order_by,
    STATE(10832), 1,
      aux_sym_invocation_repeat1,
    STATE(13469), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [473387] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14567), 2,
      sym_keyword_create,
      sym__identifier,
    ACTIONS(14565), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [473404] = 4,
    ACTIONS(13617), 1,
      anon_sym_LBRACK,
    STATE(3351), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3404), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      anon_sym_COMMA,
  [473423] = 8,
    ACTIONS(14330), 1,
      sym__identifier,
    ACTIONS(14332), 1,
      sym_keyword_if,
    ACTIONS(14569), 1,
      sym_keyword_only,
    STATE(6388), 1,
      sym_object_reference,
    STATE(6454), 1,
      sym_identifier,
    STATE(8410), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14336), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [473450] = 6,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(14571), 1,
      anon_sym_RPAREN,
    STATE(8738), 1,
      sym_order_by,
    STATE(14000), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [473472] = 6,
    ACTIONS(14573), 1,
      sym_keyword_cascade,
    ACTIONS(14575), 1,
      sym_keyword_with,
    ACTIONS(14577), 1,
      sym_keyword_schema,
    ACTIONS(14579), 1,
      sym_keyword_version,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14360), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [473494] = 6,
    ACTIONS(14218), 1,
      anon_sym_LPAREN,
    STATE(1360), 1,
      sym_identifier,
    STATE(8192), 1,
      sym_object_reference,
    STATE(8193), 1,
      sym_subquery,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [473516] = 7,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(4479), 1,
      sym_keyword_as,
    ACTIONS(14581), 1,
      sym_keyword_on,
    STATE(6377), 1,
      sym_identifier,
    STATE(14182), 1,
      sym__alias,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [473540] = 4,
    ACTIONS(14583), 1,
      anon_sym_COMMA,
    STATE(8257), 1,
      aux_sym__insert_values_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14148), 5,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_when,
      sym_keyword_returning,
  [473558] = 7,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(14332), 1,
      sym_keyword_if,
    ACTIONS(14585), 1,
      sym_keyword_column,
    STATE(9971), 1,
      sym_identifier,
    STATE(9982), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [473582] = 7,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(4479), 1,
      sym_keyword_as,
    ACTIONS(14587), 1,
      sym_keyword_on,
    STATE(6377), 1,
      sym_identifier,
    STATE(14388), 1,
      sym__alias,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [473606] = 6,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(14589), 1,
      anon_sym_RPAREN,
    STATE(8837), 1,
      sym_order_by,
    STATE(13484), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [473628] = 7,
    ACTIONS(337), 1,
      sym__identifier,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(14591), 1,
      anon_sym_EQ,
    STATE(8032), 1,
      sym__single_quote_string,
    STATE(8033), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [473652] = 7,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(4479), 1,
      sym_keyword_as,
    ACTIONS(14593), 1,
      sym_keyword_on,
    STATE(6377), 1,
      sym_identifier,
    STATE(14387), 1,
      sym__alias,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [473676] = 6,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(14595), 1,
      anon_sym_RPAREN,
    STATE(8684), 1,
      sym_order_by,
    STATE(14585), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [473698] = 7,
    ACTIONS(719), 1,
      sym__identifier,
    ACTIONS(3029), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(14597), 1,
      anon_sym_EQ,
    STATE(8466), 1,
      sym_identifier,
    STATE(8479), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(777), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [473722] = 7,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(14599), 1,
      anon_sym_EQ,
    STATE(8032), 1,
      sym__single_quote_string,
    STATE(8033), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [473746] = 6,
    ACTIONS(14603), 1,
      anon_sym_COMMA,
    STATE(8618), 1,
      aux_sym__truncate_statement_repeat1,
    STATE(11303), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14142), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(14601), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [473768] = 7,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(4479), 1,
      sym_keyword_as,
    ACTIONS(14605), 1,
      sym_keyword_on,
    STATE(6377), 1,
      sym_identifier,
    STATE(13451), 1,
      sym__alias,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [473792] = 7,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(4479), 1,
      sym_keyword_as,
    ACTIONS(14607), 1,
      sym_keyword_on,
    STATE(6377), 1,
      sym_identifier,
    STATE(13452), 1,
      sym__alias,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [473816] = 5,
    ACTIONS(12636), 1,
      sym_keyword_owner,
    ACTIONS(13855), 1,
      sym_keyword_set,
    ACTIONS(14609), 1,
      sym_keyword_rename,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10624), 4,
      sym_rename_column,
      sym_rename_object,
      sym_set_schema,
      sym_change_ownership,
  [473836] = 5,
    ACTIONS(14613), 1,
      sym_keyword_first,
    ACTIONS(14615), 1,
      sym_keyword_after,
    STATE(9934), 1,
      sym_column_position,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14611), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [473856] = 7,
    ACTIONS(337), 1,
      sym__identifier,
    ACTIONS(14344), 1,
      sym_keyword_if,
    STATE(1360), 1,
      sym_identifier,
    STATE(9273), 1,
      sym__if_not_exists,
    STATE(10707), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [473880] = 6,
    ACTIONS(51), 1,
      sym__identifier,
    STATE(6414), 1,
      sym_identifier,
    STATE(6979), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(14617), 2,
      sym_keyword_into,
      sym_keyword_overwrite,
  [473902] = 6,
    ACTIONS(51), 1,
      sym__identifier,
    STATE(6414), 1,
      sym_identifier,
    STATE(6980), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(14619), 2,
      sym_keyword_into,
      sym_keyword_overwrite,
  [473924] = 7,
    ACTIONS(337), 1,
      sym__identifier,
    ACTIONS(14344), 1,
      sym_keyword_if,
    STATE(1360), 1,
      sym_identifier,
    STATE(8835), 1,
      sym__if_not_exists,
    STATE(10632), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [473948] = 4,
    ACTIONS(14583), 1,
      anon_sym_COMMA,
    STATE(8258), 1,
      aux_sym__insert_values_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14166), 5,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_when,
      sym_keyword_returning,
  [473966] = 5,
    ACTIONS(14623), 1,
      sym_keyword_collate,
    STATE(10787), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14625), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(14621), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [473986] = 6,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(14627), 1,
      anon_sym_RPAREN,
    STATE(9000), 1,
      sym_order_by,
    STATE(12114), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [474008] = 5,
    ACTIONS(14613), 1,
      sym_keyword_first,
    ACTIONS(14615), 1,
      sym_keyword_after,
    STATE(9705), 1,
      sym_column_position,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14629), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [474028] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14168), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [474042] = 6,
    ACTIONS(14603), 1,
      anon_sym_COMMA,
    STATE(8618), 1,
      aux_sym__truncate_statement_repeat1,
    STATE(11328), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14222), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(14631), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [474064] = 6,
    ACTIONS(14603), 1,
      anon_sym_COMMA,
    STATE(8144), 1,
      aux_sym__truncate_statement_repeat1,
    STATE(11328), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14222), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(14631), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [474086] = 7,
    ACTIONS(337), 1,
      sym__identifier,
    ACTIONS(14344), 1,
      sym_keyword_if,
    STATE(1360), 1,
      sym_identifier,
    STATE(8979), 1,
      sym__if_not_exists,
    STATE(10453), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [474110] = 7,
    ACTIONS(337), 1,
      sym__identifier,
    ACTIONS(14344), 1,
      sym_keyword_if,
    STATE(1360), 1,
      sym_identifier,
    STATE(8873), 1,
      sym__if_not_exists,
    STATE(10774), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [474134] = 7,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(14633), 1,
      sym_keyword_table,
    ACTIONS(14635), 1,
      sym_keyword_local,
    STATE(6414), 1,
      sym_identifier,
    STATE(13995), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [474158] = 5,
    ACTIONS(13989), 1,
      anon_sym_RPAREN,
    STATE(9094), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(7877), 2,
      sym_field,
      aux_sym__compute_stats_repeat1,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [474178] = 4,
    ACTIONS(14583), 1,
      anon_sym_COMMA,
    STATE(8153), 1,
      aux_sym__insert_values_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14468), 5,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_when,
      sym_keyword_returning,
  [474196] = 6,
    ACTIONS(14272), 1,
      sym_keyword_where,
    ACTIONS(14639), 1,
      sym_keyword_from,
    STATE(9750), 1,
      sym_from,
    STATE(9758), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14637), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [474218] = 6,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(14641), 1,
      anon_sym_RPAREN,
    STATE(8690), 1,
      sym_order_by,
    STATE(14482), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [474240] = 5,
    ACTIONS(14218), 1,
      anon_sym_LPAREN,
    STATE(1360), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8261), 2,
      sym_object_reference,
      sym_subquery,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [474260] = 7,
    ACTIONS(337), 1,
      sym__identifier,
    ACTIONS(14344), 1,
      sym_keyword_if,
    STATE(1360), 1,
      sym_identifier,
    STATE(8828), 1,
      sym__if_not_exists,
    STATE(10735), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [474284] = 7,
    ACTIONS(337), 1,
      sym__identifier,
    ACTIONS(14344), 1,
      sym_keyword_if,
    STATE(1360), 1,
      sym_identifier,
    STATE(8825), 1,
      sym__if_not_exists,
    STATE(10741), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [474308] = 7,
    ACTIONS(277), 1,
      sym__identifier,
    ACTIONS(14344), 1,
      sym_keyword_if,
    STATE(3575), 1,
      sym_identifier,
    STATE(7370), 1,
      sym_object_reference,
    STATE(8839), 1,
      sym__if_not_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(335), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [474332] = 6,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(14643), 1,
      anon_sym_RPAREN,
    STATE(8885), 1,
      sym_order_by,
    STATE(12952), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [474354] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14484), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
  [474368] = 4,
    ACTIONS(7428), 1,
      anon_sym_COMMA,
    STATE(7230), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14645), 5,
      sym_keyword_order,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      anon_sym_RPAREN,
  [474386] = 7,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(4479), 1,
      sym_keyword_as,
    ACTIONS(14647), 1,
      sym_keyword_using,
    STATE(6377), 1,
      sym_identifier,
    STATE(13175), 1,
      sym__alias,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [474410] = 7,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(14649), 1,
      sym_keyword_stdin,
    ACTIONS(14651), 1,
      sym_keyword_program,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(11526), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [474434] = 5,
    ACTIONS(14218), 1,
      anon_sym_LPAREN,
    STATE(1360), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8134), 2,
      sym_object_reference,
      sym_subquery,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [474454] = 4,
    ACTIONS(14655), 1,
      anon_sym_COMMA,
    STATE(8177), 1,
      aux_sym__truncate_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14653), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_cascade,
      sym_keyword_restrict,
      anon_sym_RPAREN,
  [474472] = 7,
    ACTIONS(277), 1,
      sym__identifier,
    ACTIONS(14344), 1,
      sym_keyword_if,
    STATE(3575), 1,
      sym_identifier,
    STATE(7364), 1,
      sym_object_reference,
    STATE(8909), 1,
      sym__if_not_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(335), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [474496] = 5,
    ACTIONS(12664), 1,
      sym_keyword_owner,
    ACTIONS(14013), 1,
      sym_keyword_set,
    ACTIONS(14658), 1,
      sym_keyword_rename,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(11356), 4,
      sym_rename_column,
      sym_rename_object,
      sym_set_schema,
      sym_change_ownership,
  [474516] = 8,
    ACTIONS(14660), 1,
      sym_keyword_not,
    ACTIONS(14662), 1,
      sym_keyword_default,
    ACTIONS(14664), 1,
      sym_keyword_data,
    ACTIONS(14666), 1,
      sym_keyword_storage,
    ACTIONS(14668), 1,
      sym_keyword_compression,
    ACTIONS(14670), 1,
      sym_keyword_statistics,
    ACTIONS(14672), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [474542] = 7,
    ACTIONS(12662), 1,
      sym_keyword_rename,
    ACTIONS(12664), 1,
      sym_keyword_owner,
    ACTIONS(14674), 1,
      sym_keyword_set,
    ACTIONS(14676), 1,
      sym_keyword_with,
    ACTIONS(14678), 1,
      sym_keyword_reset,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(11351), 2,
      sym_rename_object,
      sym_change_ownership,
  [474566] = 6,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(14680), 1,
      anon_sym_RPAREN,
    STATE(9305), 1,
      sym_order_by,
    STATE(13172), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [474588] = 7,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(14344), 1,
      sym_keyword_if,
    STATE(6414), 1,
      sym_identifier,
    STATE(9282), 1,
      sym__if_not_exists,
    STATE(13057), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [474612] = 7,
    ACTIONS(337), 1,
      sym__identifier,
    ACTIONS(14344), 1,
      sym_keyword_if,
    STATE(1360), 1,
      sym_identifier,
    STATE(8702), 1,
      sym__if_not_exists,
    STATE(10929), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [474636] = 7,
    ACTIONS(337), 1,
      sym__identifier,
    ACTIONS(14344), 1,
      sym_keyword_if,
    STATE(1360), 1,
      sym_identifier,
    STATE(9270), 1,
      sym__if_not_exists,
    STATE(10695), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [474660] = 3,
    ACTIONS(14682), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(109), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_returning,
  [474676] = 7,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(14684), 1,
      sym_keyword_stdin,
    ACTIONS(14686), 1,
      sym_keyword_program,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(11787), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [474700] = 5,
    ACTIONS(14613), 1,
      sym_keyword_first,
    ACTIONS(14615), 1,
      sym_keyword_after,
    STATE(9863), 1,
      sym_column_position,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14688), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [474720] = 8,
    ACTIONS(14690), 1,
      sym_keyword_not,
    ACTIONS(14692), 1,
      sym_keyword_default,
    ACTIONS(14694), 1,
      sym_keyword_data,
    ACTIONS(14696), 1,
      sym_keyword_storage,
    ACTIONS(14698), 1,
      sym_keyword_compression,
    ACTIONS(14700), 1,
      sym_keyword_statistics,
    ACTIONS(14702), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [474746] = 7,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(14704), 1,
      sym_keyword_table,
    ACTIONS(14706), 1,
      sym_keyword_local,
    STATE(6414), 1,
      sym_identifier,
    STATE(14090), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [474770] = 7,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(4479), 1,
      sym_keyword_as,
    ACTIONS(14708), 1,
      sym_keyword_using,
    STATE(6377), 1,
      sym_identifier,
    STATE(14516), 1,
      sym__alias,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [474794] = 7,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(4479), 1,
      sym_keyword_as,
    ACTIONS(14710), 1,
      sym_keyword_on,
    STATE(6377), 1,
      sym_identifier,
    STATE(12601), 1,
      sym__alias,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [474818] = 7,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(4479), 1,
      sym_keyword_as,
    ACTIONS(14712), 1,
      sym_keyword_on,
    STATE(6377), 1,
      sym_identifier,
    STATE(12602), 1,
      sym__alias,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [474842] = 5,
    ACTIONS(14613), 1,
      sym_keyword_first,
    ACTIONS(14615), 1,
      sym_keyword_after,
    STATE(9739), 1,
      sym_column_position,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14714), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [474862] = 6,
    ACTIONS(14218), 1,
      anon_sym_LPAREN,
    STATE(1360), 1,
      sym_identifier,
    STATE(8145), 1,
      sym_object_reference,
    STATE(8146), 1,
      sym_subquery,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [474884] = 6,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(14716), 1,
      anon_sym_RPAREN,
    STATE(8713), 1,
      sym_order_by,
    STATE(14046), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [474906] = 7,
    ACTIONS(337), 1,
      sym__identifier,
    ACTIONS(14344), 1,
      sym_keyword_if,
    STATE(1360), 1,
      sym_identifier,
    STATE(7208), 1,
      sym_object_reference,
    STATE(9251), 1,
      sym__if_not_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [474930] = 7,
    ACTIONS(14330), 1,
      sym__identifier,
    ACTIONS(14344), 1,
      sym_keyword_if,
    STATE(6355), 1,
      sym_object_reference,
    STATE(6454), 1,
      sym_identifier,
    STATE(9247), 1,
      sym__if_not_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14336), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [474954] = 5,
    ACTIONS(12664), 1,
      sym_keyword_owner,
    ACTIONS(14013), 1,
      sym_keyword_set,
    ACTIONS(14658), 1,
      sym_keyword_rename,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(11323), 4,
      sym_rename_column,
      sym_rename_object,
      sym_set_schema,
      sym_change_ownership,
  [474974] = 7,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(14344), 1,
      sym_keyword_if,
    STATE(6414), 1,
      sym_identifier,
    STATE(9236), 1,
      sym__if_not_exists,
    STATE(11830), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [474998] = 6,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(14718), 1,
      anon_sym_RPAREN,
    STATE(9047), 1,
      sym_order_by,
    STATE(12315), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [475020] = 7,
    ACTIONS(211), 1,
      sym__identifier,
    ACTIONS(14332), 1,
      sym_keyword_if,
    ACTIONS(14720), 1,
      sym_keyword_column,
    STATE(9949), 1,
      sym__if_exists,
    STATE(10454), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [475044] = 7,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(14344), 1,
      sym_keyword_if,
    STATE(6414), 1,
      sym_identifier,
    STATE(9418), 1,
      sym__if_not_exists,
    STATE(11730), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [475068] = 5,
    ACTIONS(14218), 1,
      anon_sym_LPAREN,
    STATE(1360), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8292), 2,
      sym_object_reference,
      sym_subquery,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [475088] = 7,
    ACTIONS(14330), 1,
      sym__identifier,
    ACTIONS(14344), 1,
      sym_keyword_if,
    STATE(6379), 1,
      sym_object_reference,
    STATE(6454), 1,
      sym_identifier,
    STATE(9425), 1,
      sym__if_not_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14336), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [475112] = 6,
    ACTIONS(14722), 1,
      sym_keyword_cascade,
    ACTIONS(14724), 1,
      sym_keyword_with,
    ACTIONS(14726), 1,
      sym_keyword_schema,
    ACTIONS(14728), 1,
      sym_keyword_version,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14280), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [475134] = 8,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(12608), 1,
      anon_sym_LPAREN,
    STATE(8534), 1,
      sym_select,
    STATE(9387), 1,
      sym__select_statement,
    STATE(13514), 1,
      sym_set_operation,
    STATE(13516), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [475160] = 5,
    ACTIONS(14730), 1,
      anon_sym_RPAREN,
    STATE(9094), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(7753), 2,
      sym_field,
      aux_sym__compute_stats_repeat1,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [475180] = 6,
    ACTIONS(51), 1,
      sym__identifier,
    STATE(6414), 1,
      sym_identifier,
    STATE(6973), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(14308), 2,
      sym_keyword_into,
      sym_keyword_overwrite,
  [475202] = 5,
    ACTIONS(14613), 1,
      sym_keyword_first,
    ACTIONS(14615), 1,
      sym_keyword_after,
    STATE(9601), 1,
      sym_column_position,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14732), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [475222] = 6,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(14734), 1,
      anon_sym_RPAREN,
    STATE(9049), 1,
      sym_order_by,
    STATE(13718), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [475244] = 5,
    ACTIONS(14613), 1,
      sym_keyword_first,
    ACTIONS(14615), 1,
      sym_keyword_after,
    STATE(9600), 1,
      sym_column_position,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14736), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [475264] = 7,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(4479), 1,
      sym_keyword_as,
    ACTIONS(14738), 1,
      sym_keyword_using,
    STATE(6377), 1,
      sym_identifier,
    STATE(14365), 1,
      sym__alias,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [475288] = 5,
    ACTIONS(14613), 1,
      sym_keyword_first,
    ACTIONS(14615), 1,
      sym_keyword_after,
    STATE(9597), 1,
      sym_column_position,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14740), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [475308] = 7,
    ACTIONS(337), 1,
      sym__identifier,
    ACTIONS(14344), 1,
      sym_keyword_if,
    STATE(1360), 1,
      sym_identifier,
    STATE(8880), 1,
      sym__if_not_exists,
    STATE(10574), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [475332] = 5,
    ACTIONS(14742), 1,
      sym_keyword_and,
    ACTIONS(14744), 1,
      sym_keyword_exclude,
    ACTIONS(14746), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(13419), 4,
      sym__exclude_current_row,
      sym__exclude_group,
      sym__exclude_no_others,
      sym__exclude_ties,
  [475352] = 7,
    ACTIONS(14476), 1,
      sym_keyword_delete,
    ACTIONS(14478), 1,
      sym_keyword_insert,
    ACTIONS(14748), 1,
      sym_keyword_update,
    ACTIONS(14750), 1,
      sym_keyword_where,
    STATE(9455), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14444), 2,
      sym_keyword_when,
      anon_sym_RPAREN,
  [475376] = 7,
    ACTIONS(14330), 1,
      sym__identifier,
    ACTIONS(14344), 1,
      sym_keyword_if,
    STATE(6362), 1,
      sym_object_reference,
    STATE(6454), 1,
      sym_identifier,
    STATE(8740), 1,
      sym__if_not_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14336), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [475400] = 6,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(14752), 1,
      anon_sym_RPAREN,
    STATE(9378), 1,
      sym_order_by,
    STATE(13375), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [475422] = 5,
    ACTIONS(14756), 1,
      sym_keyword_on,
    STATE(10066), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14758), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(14754), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [475442] = 6,
    ACTIONS(14603), 1,
      anon_sym_COMMA,
    STATE(8618), 1,
      aux_sym__truncate_statement_repeat1,
    STATE(11359), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13581), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(14760), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [475464] = 8,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(12608), 1,
      anon_sym_LPAREN,
    STATE(8534), 1,
      sym_select,
    STATE(9387), 1,
      sym__select_statement,
    STATE(13514), 1,
      sym_set_operation,
    STATE(14018), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [475490] = 5,
    ACTIONS(14764), 1,
      sym_keyword_collate,
    STATE(10880), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14766), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(14762), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [475510] = 7,
    ACTIONS(14330), 1,
      sym__identifier,
    ACTIONS(14332), 1,
      sym_keyword_if,
    ACTIONS(14768), 1,
      sym_keyword_column,
    STATE(7697), 1,
      sym_identifier,
    STATE(10007), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14336), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [475534] = 6,
    ACTIONS(14603), 1,
      anon_sym_COMMA,
    STATE(8158), 1,
      aux_sym__truncate_statement_repeat1,
    STATE(11359), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13581), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(14760), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [475556] = 7,
    ACTIONS(14424), 1,
      sym_keyword_delete,
    ACTIONS(14426), 1,
      sym_keyword_insert,
    ACTIONS(14750), 1,
      sym_keyword_where,
    ACTIONS(14770), 1,
      sym_keyword_update,
    STATE(9777), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14422), 2,
      sym_keyword_when,
      anon_sym_RPAREN,
  [475580] = 6,
    ACTIONS(14436), 1,
      sym_keyword_where,
    ACTIONS(14772), 1,
      sym_keyword_from,
    STATE(10724), 1,
      sym_where,
    STATE(10726), 1,
      sym_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14637), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [475602] = 6,
    ACTIONS(117), 1,
      sym__identifier,
    ACTIONS(14774), 1,
      sym_keyword_begin,
    STATE(37), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(125), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(8318), 2,
      sym_function_declaration,
      aux_sym_function_body_repeat2,
  [475624] = 6,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(14776), 1,
      anon_sym_RPAREN,
    STATE(8790), 1,
      sym_order_by,
    STATE(13609), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [475646] = 7,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(14332), 1,
      sym_keyword_if,
    STATE(6414), 1,
      sym_identifier,
    STATE(8179), 1,
      sym_object_reference,
    STATE(8748), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [475670] = 8,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10987), 1,
      sym_keyword_primary,
    ACTIONS(10991), 1,
      sym_keyword_constraint,
    ACTIONS(11003), 1,
      sym_keyword_check,
    STATE(3367), 1,
      sym__single_quote_string,
    STATE(9586), 1,
      sym__check_constraint,
    STATE(11590), 1,
      sym__primary_key,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [475696] = 7,
    ACTIONS(337), 1,
      sym__identifier,
    ACTIONS(14344), 1,
      sym_keyword_if,
    STATE(1360), 1,
      sym_identifier,
    STATE(8878), 1,
      sym__if_not_exists,
    STATE(10580), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [475720] = 7,
    ACTIONS(337), 1,
      sym__identifier,
    ACTIONS(14332), 1,
      sym_keyword_if,
    STATE(1360), 1,
      sym_identifier,
    STATE(7030), 1,
      sym_object_reference,
    STATE(8752), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [475744] = 6,
    ACTIONS(117), 1,
      sym__identifier,
    ACTIONS(14778), 1,
      sym_keyword_begin,
    STATE(37), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(125), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(8318), 2,
      sym_function_declaration,
      aux_sym_function_body_repeat2,
  [475766] = 5,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    STATE(7589), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14782), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(14780), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [475786] = 6,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(14784), 1,
      anon_sym_RPAREN,
    STATE(8958), 1,
      sym_order_by,
    STATE(12030), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [475808] = 5,
    ACTIONS(13910), 1,
      anon_sym_RPAREN,
    STATE(9094), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(7756), 2,
      sym_field,
      aux_sym__compute_stats_repeat1,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [475828] = 7,
    ACTIONS(14382), 1,
      sym_keyword_delete,
    ACTIONS(14384), 1,
      sym_keyword_insert,
    ACTIONS(14750), 1,
      sym_keyword_where,
    ACTIONS(14786), 1,
      sym_keyword_update,
    STATE(9922), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14380), 2,
      sym_keyword_when,
      anon_sym_RPAREN,
  [475852] = 7,
    ACTIONS(14330), 1,
      sym__identifier,
    ACTIONS(14344), 1,
      sym_keyword_if,
    STATE(6378), 1,
      sym_object_reference,
    STATE(6454), 1,
      sym_identifier,
    STATE(9430), 1,
      sym__if_not_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14336), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [475876] = 6,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(14788), 1,
      anon_sym_RPAREN,
    STATE(9149), 1,
      sym_order_by,
    STATE(12723), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [475898] = 5,
    ACTIONS(12636), 1,
      sym_keyword_owner,
    ACTIONS(13855), 1,
      sym_keyword_set,
    ACTIONS(14609), 1,
      sym_keyword_rename,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10570), 4,
      sym_rename_column,
      sym_rename_object,
      sym_set_schema,
      sym_change_ownership,
  [475918] = 7,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(14344), 1,
      sym_keyword_if,
    STATE(6414), 1,
      sym_identifier,
    STATE(9359), 1,
      sym__if_not_exists,
    STATE(11560), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [475942] = 8,
    ACTIONS(14660), 1,
      sym_keyword_not,
    ACTIONS(14664), 1,
      sym_keyword_data,
    ACTIONS(14666), 1,
      sym_keyword_storage,
    ACTIONS(14668), 1,
      sym_keyword_compression,
    ACTIONS(14670), 1,
      sym_keyword_statistics,
    ACTIONS(14672), 1,
      anon_sym_LPAREN,
    ACTIONS(14790), 1,
      sym_keyword_default,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [475968] = 6,
    ACTIONS(51), 1,
      sym__identifier,
    STATE(6414), 1,
      sym_identifier,
    STATE(6964), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(14486), 2,
      sym_keyword_into,
      sym_keyword_overwrite,
  [475990] = 7,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(14332), 1,
      sym_keyword_if,
    STATE(6414), 1,
      sym_identifier,
    STATE(9243), 1,
      sym__if_exists,
    STATE(10793), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [476014] = 6,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(14792), 1,
      anon_sym_RPAREN,
    STATE(9223), 1,
      sym_order_by,
    STATE(12937), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [476036] = 5,
    ACTIONS(14796), 1,
      sym_keyword_collate,
    STATE(10586), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14798), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(14794), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [476056] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14216), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
  [476070] = 7,
    ACTIONS(12634), 1,
      sym_keyword_rename,
    ACTIONS(12636), 1,
      sym_keyword_owner,
    ACTIONS(14800), 1,
      sym_keyword_set,
    ACTIONS(14802), 1,
      sym_keyword_with,
    ACTIONS(14804), 1,
      sym_keyword_reset,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10420), 2,
      sym_rename_object,
      sym_change_ownership,
  [476094] = 7,
    ACTIONS(14266), 1,
      sym_keyword_delete,
    ACTIONS(14268), 1,
      sym_keyword_insert,
    ACTIONS(14750), 1,
      sym_keyword_where,
    ACTIONS(14806), 1,
      sym_keyword_update,
    STATE(10149), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14264), 2,
      sym_keyword_when,
      anon_sym_RPAREN,
  [476118] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13579), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
  [476132] = 5,
    ACTIONS(14808), 1,
      anon_sym_RPAREN,
    STATE(9094), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(7850), 2,
      sym_field,
      aux_sym__compute_stats_repeat1,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [476152] = 6,
    ACTIONS(14158), 1,
      anon_sym_LPAREN,
    STATE(10916), 1,
      sym_identifier,
    STATE(12461), 1,
      sym__qualified_field,
    STATE(13364), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [476174] = 6,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(14810), 1,
      anon_sym_RPAREN,
    STATE(8695), 1,
      sym_order_by,
    STATE(14290), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [476196] = 8,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(12608), 1,
      anon_sym_LPAREN,
    STATE(8587), 1,
      sym_select,
    STATE(8856), 1,
      sym__select_statement,
    STATE(13820), 1,
      sym_set_operation,
    STATE(13985), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [476222] = 7,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(14812), 1,
      sym_keyword_stdin,
    ACTIONS(14814), 1,
      sym_keyword_program,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(11765), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [476246] = 4,
    ACTIONS(14583), 1,
      anon_sym_COMMA,
    STATE(8258), 1,
      aux_sym__insert_values_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14183), 5,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_when,
      sym_keyword_returning,
  [476264] = 4,
    ACTIONS(14816), 1,
      anon_sym_COMMA,
    STATE(8258), 1,
      aux_sym__insert_values_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14168), 5,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_when,
      sym_keyword_returning,
  [476282] = 7,
    ACTIONS(211), 1,
      sym__identifier,
    ACTIONS(14332), 1,
      sym_keyword_if,
    STATE(7262), 1,
      sym_identifier,
    STATE(9320), 1,
      sym_object_reference,
    STATE(9323), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [476306] = 7,
    ACTIONS(211), 1,
      sym__identifier,
    ACTIONS(14332), 1,
      sym_keyword_if,
    ACTIONS(14819), 1,
      sym_keyword_concurrently,
    STATE(8555), 1,
      sym_identifier,
    STATE(9773), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [476330] = 7,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(4479), 1,
      sym_keyword_as,
    ACTIONS(14821), 1,
      sym_keyword_on,
    STATE(6377), 1,
      sym_identifier,
    STATE(13411), 1,
      sym__alias,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [476354] = 6,
    ACTIONS(51), 1,
      sym__identifier,
    STATE(6414), 1,
      sym_identifier,
    STATE(6976), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(14823), 2,
      sym_keyword_into,
      sym_keyword_overwrite,
  [476376] = 6,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(10862), 1,
      sym_keyword_order,
    STATE(9095), 1,
      sym_order_by,
    STATE(10326), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13803), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [476398] = 7,
    ACTIONS(211), 1,
      sym__identifier,
    ACTIONS(14332), 1,
      sym_keyword_if,
    STATE(7262), 1,
      sym_identifier,
    STATE(9328), 1,
      sym_object_reference,
    STATE(9332), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [476422] = 5,
    ACTIONS(14613), 1,
      sym_keyword_first,
    ACTIONS(14615), 1,
      sym_keyword_after,
    STATE(9742), 1,
      sym_column_position,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14825), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [476442] = 7,
    ACTIONS(211), 1,
      sym__identifier,
    ACTIONS(14332), 1,
      sym_keyword_if,
    STATE(7262), 1,
      sym_identifier,
    STATE(9333), 1,
      sym_object_reference,
    STATE(9336), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [476466] = 7,
    ACTIONS(211), 1,
      sym__identifier,
    ACTIONS(14332), 1,
      sym_keyword_if,
    STATE(7262), 1,
      sym_identifier,
    STATE(9337), 1,
      sym_object_reference,
    STATE(9338), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [476490] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13553), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
  [476504] = 8,
    ACTIONS(14827), 1,
      sym_keyword_not,
    ACTIONS(14829), 1,
      sym_keyword_default,
    ACTIONS(14831), 1,
      sym_keyword_data,
    ACTIONS(14833), 1,
      sym_keyword_storage,
    ACTIONS(14835), 1,
      sym_keyword_compression,
    ACTIONS(14837), 1,
      sym_keyword_statistics,
    ACTIONS(14839), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [476530] = 6,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(14841), 1,
      anon_sym_RPAREN,
    STATE(8915), 1,
      sym_order_by,
    STATE(12341), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [476552] = 8,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(31), 1,
      sym_keyword_with,
    ACTIONS(12608), 1,
      anon_sym_LPAREN,
    STATE(8587), 1,
      sym_select,
    STATE(8856), 1,
      sym__select_statement,
    STATE(13639), 1,
      sym__cte,
    STATE(13820), 1,
      sym_set_operation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [476578] = 7,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(14344), 1,
      sym_keyword_if,
    STATE(6414), 1,
      sym_identifier,
    STATE(9390), 1,
      sym__if_not_exists,
    STATE(13628), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [476602] = 6,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    ACTIONS(10862), 1,
      sym_keyword_order,
    STATE(9030), 1,
      sym_order_by,
    STATE(10310), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14462), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [476624] = 7,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(14332), 1,
      sym_keyword_if,
    STATE(6414), 1,
      sym_identifier,
    STATE(8327), 1,
      sym_object_reference,
    STATE(9209), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [476648] = 7,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(14332), 1,
      sym_keyword_if,
    ACTIONS(14843), 1,
      sym_keyword_concurrently,
    STATE(8311), 1,
      sym_identifier,
    STATE(9950), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [476672] = 7,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(14344), 1,
      sym_keyword_if,
    STATE(6414), 1,
      sym_identifier,
    STATE(9389), 1,
      sym__if_not_exists,
    STATE(11669), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [476696] = 7,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(14332), 1,
      sym_keyword_if,
    STATE(6414), 1,
      sym_identifier,
    STATE(8339), 1,
      sym_object_reference,
    STATE(9171), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [476720] = 7,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(14332), 1,
      sym_keyword_if,
    STATE(6414), 1,
      sym_identifier,
    STATE(8346), 1,
      sym_object_reference,
    STATE(9164), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [476744] = 7,
    ACTIONS(14330), 1,
      sym__identifier,
    ACTIONS(14344), 1,
      sym_keyword_if,
    STATE(6365), 1,
      sym_object_reference,
    STATE(6454), 1,
      sym_identifier,
    STATE(8768), 1,
      sym__if_not_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14336), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [476768] = 7,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(14332), 1,
      sym_keyword_if,
    STATE(6414), 1,
      sym_identifier,
    STATE(8349), 1,
      sym_object_reference,
    STATE(9156), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [476792] = 7,
    ACTIONS(211), 1,
      sym__identifier,
    ACTIONS(14344), 1,
      sym_keyword_if,
    ACTIONS(14845), 1,
      sym_keyword_authorization,
    STATE(9746), 1,
      sym__if_not_exists,
    STATE(9747), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [476816] = 5,
    ACTIONS(14849), 1,
      sym_keyword_cascade,
    ACTIONS(14851), 1,
      sym_keyword_schema,
    ACTIONS(14853), 1,
      sym_keyword_version,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14847), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [476836] = 7,
    ACTIONS(14330), 1,
      sym__identifier,
    ACTIONS(14344), 1,
      sym_keyword_if,
    STATE(6374), 1,
      sym_object_reference,
    STATE(6454), 1,
      sym_identifier,
    STATE(8842), 1,
      sym__if_not_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14336), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [476860] = 5,
    ACTIONS(14857), 1,
      sym_keyword_on,
    STATE(9837), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14859), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(14855), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [476880] = 5,
    ACTIONS(14863), 1,
      sym_keyword_collate,
    STATE(11034), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14865), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(14861), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [476900] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14869), 2,
      sym_keyword_create,
      sym__identifier,
    ACTIONS(14867), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [476916] = 7,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(14332), 1,
      sym_keyword_if,
    STATE(6414), 1,
      sym_identifier,
    STATE(8757), 1,
      sym__if_exists,
    STATE(10803), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [476940] = 5,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    STATE(8235), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14873), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(14871), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [476960] = 7,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(14344), 1,
      sym_keyword_if,
    STATE(6414), 1,
      sym_identifier,
    STATE(8850), 1,
      sym__if_not_exists,
    STATE(11610), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [476984] = 7,
    ACTIONS(337), 1,
      sym__identifier,
    ACTIONS(14344), 1,
      sym_keyword_if,
    STATE(1360), 1,
      sym_identifier,
    STATE(7182), 1,
      sym_object_reference,
    STATE(8859), 1,
      sym__if_not_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [477008] = 7,
    ACTIONS(14330), 1,
      sym__identifier,
    ACTIONS(14332), 1,
      sym_keyword_if,
    ACTIONS(14875), 1,
      sym_keyword_column,
    STATE(7698), 1,
      sym_identifier,
    STATE(9645), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14336), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [477032] = 7,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(4479), 1,
      sym_keyword_as,
    ACTIONS(14877), 1,
      sym_keyword_on,
    STATE(6377), 1,
      sym_identifier,
    STATE(14380), 1,
      sym__alias,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [477056] = 7,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(14344), 1,
      sym_keyword_if,
    ACTIONS(14879), 1,
      sym_keyword_authorization,
    STATE(8901), 1,
      sym_identifier,
    STATE(9893), 1,
      sym__if_not_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [477080] = 8,
    ACTIONS(14690), 1,
      sym_keyword_not,
    ACTIONS(14694), 1,
      sym_keyword_data,
    ACTIONS(14696), 1,
      sym_keyword_storage,
    ACTIONS(14698), 1,
      sym_keyword_compression,
    ACTIONS(14700), 1,
      sym_keyword_statistics,
    ACTIONS(14702), 1,
      anon_sym_LPAREN,
    ACTIONS(14881), 1,
      sym_keyword_default,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [477106] = 5,
    ACTIONS(14613), 1,
      sym_keyword_first,
    ACTIONS(14615), 1,
      sym_keyword_after,
    STATE(9744), 1,
      sym_column_position,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14883), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [477126] = 7,
    ACTIONS(337), 1,
      sym__identifier,
    ACTIONS(14344), 1,
      sym_keyword_if,
    STATE(1360), 1,
      sym_identifier,
    STATE(8935), 1,
      sym__if_not_exists,
    STATE(10565), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [477150] = 7,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(14704), 1,
      sym_keyword_table,
    ACTIONS(14706), 1,
      sym_keyword_local,
    STATE(6414), 1,
      sym_identifier,
    STATE(14352), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [477174] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13534), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
  [477188] = 5,
    ACTIONS(14613), 1,
      sym_keyword_first,
    ACTIONS(14615), 1,
      sym_keyword_after,
    STATE(9911), 1,
      sym_column_position,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14885), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [477208] = 6,
    ACTIONS(14218), 1,
      anon_sym_LPAREN,
    STATE(1360), 1,
      sym_identifier,
    STATE(8137), 1,
      sym_subquery,
    STATE(8140), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [477230] = 5,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    STATE(7589), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14873), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(14871), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [477250] = 5,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    STATE(8301), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14889), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(14887), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [477270] = 6,
    ACTIONS(51), 1,
      sym__identifier,
    STATE(6414), 1,
      sym_identifier,
    STATE(6967), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(14464), 2,
      sym_keyword_into,
      sym_keyword_overwrite,
  [477292] = 8,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10987), 1,
      sym_keyword_primary,
    ACTIONS(11072), 1,
      sym_keyword_constraint,
    ACTIONS(11084), 1,
      sym_keyword_check,
    STATE(3367), 1,
      sym__single_quote_string,
    STATE(10553), 1,
      sym__check_constraint,
    STATE(11679), 1,
      sym__primary_key,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [477318] = 7,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(14332), 1,
      sym_keyword_if,
    STATE(6414), 1,
      sym_identifier,
    STATE(8241), 1,
      sym_object_reference,
    STATE(9045), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [477342] = 4,
    ACTIONS(14891), 1,
      anon_sym_COMMA,
    STATE(8310), 1,
      aux_sym_order_by_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13038), 5,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
  [477360] = 7,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(14344), 1,
      sym_keyword_if,
    STATE(6414), 1,
      sym_identifier,
    STATE(9371), 1,
      sym__if_not_exists,
    STATE(11596), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [477384] = 8,
    ACTIONS(14893), 1,
      sym_keyword_not,
    ACTIONS(14895), 1,
      sym_keyword_default,
    ACTIONS(14897), 1,
      sym_keyword_data,
    ACTIONS(14899), 1,
      sym_keyword_storage,
    ACTIONS(14901), 1,
      sym_keyword_compression,
    ACTIONS(14903), 1,
      sym_keyword_statistics,
    ACTIONS(14905), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [477410] = 7,
    ACTIONS(337), 1,
      sym__identifier,
    ACTIONS(14332), 1,
      sym_keyword_if,
    STATE(1360), 1,
      sym_identifier,
    STATE(7026), 1,
      sym_object_reference,
    STATE(9057), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [477434] = 4,
    ACTIONS(14891), 1,
      anon_sym_COMMA,
    STATE(8312), 1,
      aux_sym_order_by_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13337), 5,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
  [477452] = 5,
    ACTIONS(14909), 1,
      sym_keyword_on,
    STATE(10087), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14911), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(14907), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [477472] = 4,
    ACTIONS(14913), 1,
      anon_sym_COMMA,
    STATE(8312), 1,
      aux_sym_order_by_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12524), 5,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
  [477490] = 7,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(14344), 1,
      sym_keyword_if,
    STATE(6414), 1,
      sym_identifier,
    STATE(8950), 1,
      sym__if_not_exists,
    STATE(12064), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [477514] = 5,
    ACTIONS(14918), 1,
      sym_keyword_collate,
    STATE(11152), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14920), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(14916), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [477534] = 7,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(14344), 1,
      sym_keyword_if,
    STATE(6414), 1,
      sym_identifier,
    STATE(8951), 1,
      sym__if_not_exists,
    STATE(12017), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [477558] = 7,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(14344), 1,
      sym_keyword_if,
    STATE(6414), 1,
      sym_identifier,
    STATE(8892), 1,
      sym__if_not_exists,
    STATE(11874), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [477582] = 7,
    ACTIONS(337), 1,
      sym__identifier,
    ACTIONS(14344), 1,
      sym_keyword_if,
    STATE(1360), 1,
      sym_identifier,
    STATE(8862), 1,
      sym__if_not_exists,
    STATE(10591), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [477606] = 6,
    ACTIONS(14922), 1,
      sym__identifier,
    ACTIONS(14925), 1,
      sym_keyword_begin,
    STATE(37), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14927), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(8318), 2,
      sym_function_declaration,
      aux_sym_function_body_repeat2,
  [477628] = 7,
    ACTIONS(337), 1,
      sym__identifier,
    ACTIONS(14344), 1,
      sym_keyword_if,
    STATE(1360), 1,
      sym_identifier,
    STATE(8890), 1,
      sym__if_not_exists,
    STATE(10992), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [477652] = 7,
    ACTIONS(337), 1,
      sym__identifier,
    ACTIONS(14344), 1,
      sym_keyword_if,
    STATE(1360), 1,
      sym_identifier,
    STATE(8829), 1,
      sym__if_not_exists,
    STATE(10731), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [477676] = 6,
    ACTIONS(14603), 1,
      anon_sym_COMMA,
    STATE(8221), 1,
      aux_sym__truncate_statement_repeat1,
    STATE(11374), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13366), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(14930), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [477698] = 6,
    ACTIONS(10772), 1,
      sym_keyword_order,
    ACTIONS(14932), 1,
      anon_sym_RPAREN,
    STATE(9093), 1,
      sym_order_by,
    STATE(12516), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [477720] = 7,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(14344), 1,
      sym_keyword_if,
    STATE(6414), 1,
      sym_identifier,
    STATE(9368), 1,
      sym__if_not_exists,
    STATE(13883), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [477744] = 5,
    ACTIONS(14362), 1,
      sym_keyword_cascade,
    ACTIONS(14366), 1,
      sym_keyword_schema,
    ACTIONS(14368), 1,
      sym_keyword_version,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14360), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [477764] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14934), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [477777] = 5,
    ACTIONS(14936), 1,
      sym_keyword_first,
    ACTIONS(14938), 1,
      sym_keyword_after,
    STATE(10423), 1,
      sym_column_position,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14611), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [477796] = 4,
    STATE(10435), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14942), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(14940), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [477813] = 7,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(14944), 1,
      sym_keyword_separator,
    ACTIONS(14946), 1,
      anon_sym_RPAREN,
    ACTIONS(14948), 1,
      anon_sym_COMMA,
    STATE(10623), 1,
      aux_sym_invocation_repeat1,
    STATE(12338), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [477836] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14950), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [477849] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14952), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [477862] = 4,
    ACTIONS(14954), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4799), 2,
      sym_window_specification,
      sym_identifier,
    ACTIONS(841), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [477879] = 6,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(14956), 1,
      sym_keyword_only,
    STATE(6414), 1,
      sym_identifier,
    STATE(10399), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [477900] = 6,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(14332), 1,
      sym_keyword_if,
    STATE(9865), 1,
      sym__if_exists,
    STATE(9871), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [477921] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11883), 6,
      sym_keyword_select,
      sym_keyword_values,
      sym_keyword_set,
      sym_keyword_as,
      sym_keyword_with,
      anon_sym_LPAREN,
  [477934] = 6,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(14958), 1,
      sym_keyword_only,
    STATE(6414), 1,
      sym_identifier,
    STATE(10415), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [477955] = 6,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(14960), 1,
      sym_keyword_only,
    STATE(6414), 1,
      sym_identifier,
    STATE(10942), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [477976] = 5,
    ACTIONS(14962), 1,
      sym_keyword_on,
    STATE(10287), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14754), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(14964), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [477995] = 6,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(14332), 1,
      sym_keyword_if,
    STATE(8284), 1,
      sym_identifier,
    STATE(10082), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [478016] = 4,
    STATE(10448), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14968), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(14966), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [478033] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11758), 6,
      sym_keyword_select,
      sym_keyword_values,
      sym_keyword_set,
      sym_keyword_as,
      sym_keyword_with,
      anon_sym_LPAREN,
  [478046] = 6,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(14332), 1,
      sym_keyword_if,
    STATE(9063), 1,
      sym_identifier,
    STATE(10223), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [478067] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11724), 6,
      sym_keyword_select,
      sym_keyword_values,
      sym_keyword_set,
      sym_keyword_as,
      sym_keyword_with,
      anon_sym_LPAREN,
  [478080] = 4,
    ACTIONS(14970), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(6396), 2,
      sym_window_specification,
      sym_identifier,
    ACTIONS(1271), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [478097] = 6,
    ACTIONS(14972), 1,
      sym_keyword_in,
    ACTIONS(14974), 1,
      sym_keyword_between,
    ACTIONS(14976), 1,
      sym_keyword_similar,
    STATE(6600), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [478118] = 6,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(14978), 1,
      sym_keyword_only,
    STATE(6414), 1,
      sym_identifier,
    STATE(10718), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [478139] = 4,
    STATE(10456), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14982), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(14980), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [478156] = 6,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(14984), 1,
      sym_keyword_recursive,
    STATE(7525), 1,
      sym_cte,
    STATE(11481), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [478177] = 5,
    ACTIONS(14986), 1,
      sym_keyword_collate,
    STATE(11252), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14621), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(14988), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [478196] = 4,
    STATE(10457), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14992), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(14990), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [478213] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    STATE(10160), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14462), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [478230] = 5,
    ACTIONS(14996), 1,
      anon_sym_COMMA,
    STATE(8656), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14780), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(14994), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [478249] = 6,
    ACTIONS(14330), 1,
      sym__identifier,
    ACTIONS(14332), 1,
      sym_keyword_if,
    STATE(7621), 1,
      sym_identifier,
    STATE(9898), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14336), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [478270] = 5,
    ACTIONS(14996), 1,
      anon_sym_COMMA,
    STATE(8656), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14871), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(14998), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [478289] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11634), 6,
      sym_keyword_select,
      sym_keyword_values,
      sym_keyword_set,
      sym_keyword_as,
      sym_keyword_with,
      anon_sym_LPAREN,
  [478302] = 6,
    ACTIONS(337), 1,
      sym__identifier,
    ACTIONS(14344), 1,
      sym_keyword_if,
    STATE(7561), 1,
      sym_identifier,
    STATE(9835), 1,
      sym__if_not_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [478323] = 7,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(15000), 1,
      sym_keyword_separator,
    ACTIONS(15002), 1,
      anon_sym_RPAREN,
    ACTIONS(15004), 1,
      anon_sym_COMMA,
    STATE(10312), 1,
      aux_sym_invocation_repeat1,
    STATE(12521), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [478346] = 4,
    STATE(10729), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15008), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(15006), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [478363] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15010), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [478376] = 6,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(15012), 1,
      sym_keyword_on,
    ACTIONS(15014), 1,
      sym_keyword_as,
    STATE(12956), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [478397] = 5,
    ACTIONS(15016), 1,
      sym_keyword_nulls,
    STATE(10665), 1,
      sym_direction,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6483), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(15018), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [478416] = 4,
    STATE(10698), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15022), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(15020), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [478433] = 6,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(15024), 1,
      sym_keyword_only,
    STATE(6414), 1,
      sym_identifier,
    STATE(10973), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [478454] = 4,
    STATE(10427), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15028), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(15026), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [478471] = 5,
    ACTIONS(14996), 1,
      anon_sym_COMMA,
    STATE(8351), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14871), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(14998), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [478490] = 5,
    STATE(6414), 1,
      sym_identifier,
    STATE(10421), 1,
      sym__rename_table_names,
    STATE(13620), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [478509] = 6,
    ACTIONS(211), 1,
      sym__identifier,
    ACTIONS(14332), 1,
      sym_keyword_if,
    STATE(8498), 1,
      sym_identifier,
    STATE(9435), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [478530] = 4,
    ACTIONS(14849), 1,
      sym_keyword_cascade,
    ACTIONS(14853), 1,
      sym_keyword_version,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14847), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [478547] = 4,
    STATE(10737), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15032), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(15030), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [478564] = 7,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(15034), 1,
      sym_keyword_separator,
    ACTIONS(15036), 1,
      anon_sym_RPAREN,
    ACTIONS(15038), 1,
      anon_sym_COMMA,
    STATE(11033), 1,
      aux_sym_invocation_repeat1,
    STATE(13999), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [478587] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15040), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [478600] = 5,
    ACTIONS(13908), 1,
      anon_sym_LPAREN,
    STATE(10013), 1,
      sym_ordered_columns,
    STATE(11678), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [478619] = 6,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(14344), 1,
      sym_keyword_if,
    STATE(7998), 1,
      sym_identifier,
    STATE(9985), 1,
      sym__if_not_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [478640] = 6,
    ACTIONS(14330), 1,
      sym__identifier,
    ACTIONS(15042), 1,
      sym_keyword_only,
    STATE(6369), 1,
      sym_object_reference,
    STATE(6454), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14336), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [478661] = 5,
    ACTIONS(14936), 1,
      sym_keyword_first,
    ACTIONS(14938), 1,
      sym_keyword_after,
    STATE(10607), 1,
      sym_column_position,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14629), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [478680] = 5,
    ACTIONS(13908), 1,
      anon_sym_LPAREN,
    STATE(10127), 1,
      sym_ordered_columns,
    STATE(11660), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [478699] = 5,
    ACTIONS(15046), 1,
      sym_keyword_partition,
    ACTIONS(15048), 1,
      anon_sym_LPAREN,
    STATE(10308), 1,
      sym__partition_spec,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15044), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [478718] = 6,
    ACTIONS(211), 1,
      sym__identifier,
    ACTIONS(14344), 1,
      sym_keyword_if,
    STATE(8206), 1,
      sym_identifier,
    STATE(9748), 1,
      sym__if_not_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [478739] = 6,
    ACTIONS(211), 1,
      sym__identifier,
    ACTIONS(14332), 1,
      sym_keyword_if,
    STATE(10215), 1,
      sym__if_exists,
    STATE(10230), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [478760] = 6,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(15050), 1,
      sym_keyword_only,
    STATE(6414), 1,
      sym_identifier,
    STATE(10935), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [478781] = 5,
    ACTIONS(14936), 1,
      sym_keyword_first,
    ACTIONS(14938), 1,
      sym_keyword_after,
    STATE(10226), 1,
      sym_column_position,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14688), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [478800] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15052), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [478813] = 4,
    STATE(10697), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15056), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(15054), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [478830] = 5,
    ACTIONS(13908), 1,
      anon_sym_LPAREN,
    STATE(9828), 1,
      sym_ordered_columns,
    STATE(11705), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [478849] = 7,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(15058), 1,
      sym_keyword_separator,
    ACTIONS(15060), 1,
      anon_sym_RPAREN,
    ACTIONS(15062), 1,
      anon_sym_COMMA,
    STATE(11062), 1,
      aux_sym_invocation_repeat1,
    STATE(14057), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [478872] = 4,
    STATE(37), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8234), 2,
      sym_function_declaration,
      aux_sym_function_body_repeat2,
    ACTIONS(125), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [478889] = 6,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(14332), 1,
      sym_keyword_if,
    STATE(9214), 1,
      sym_identifier,
    STATE(9939), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [478910] = 5,
    ACTIONS(15064), 1,
      anon_sym_RPAREN,
    STATE(9094), 1,
      sym_identifier,
    STATE(10260), 1,
      sym_field,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [478929] = 6,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(14332), 1,
      sym_keyword_if,
    STATE(8363), 1,
      sym_identifier,
    STATE(9937), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [478950] = 7,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(15066), 1,
      sym_keyword_separator,
    ACTIONS(15068), 1,
      anon_sym_RPAREN,
    ACTIONS(15070), 1,
      anon_sym_COMMA,
    STATE(10598), 1,
      aux_sym_invocation_repeat1,
    STATE(12854), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [478973] = 7,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(15072), 1,
      sym_keyword_separator,
    ACTIONS(15074), 1,
      anon_sym_RPAREN,
    ACTIONS(15076), 1,
      anon_sym_COMMA,
    STATE(10269), 1,
      aux_sym_invocation_repeat1,
    STATE(12455), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [478996] = 4,
    STATE(10690), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15080), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(15078), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [479013] = 5,
    ACTIONS(15082), 1,
      anon_sym_RPAREN,
    STATE(9094), 1,
      sym_identifier,
    STATE(10782), 1,
      sym_field,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [479032] = 6,
    ACTIONS(3029), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(15084), 1,
      sym_keyword_null,
    STATE(310), 1,
      sym__single_quote_string,
    STATE(11305), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3037), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [479053] = 6,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(14332), 1,
      sym_keyword_if,
    STATE(8302), 1,
      sym_identifier,
    STATE(9925), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [479074] = 6,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(15086), 1,
      sym_keyword_only,
    STATE(6414), 1,
      sym_identifier,
    STATE(10642), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [479095] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14168), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_COMMA,
  [479108] = 6,
    ACTIONS(14639), 1,
      sym_keyword_from,
    ACTIONS(14750), 1,
      sym_keyword_where,
    STATE(9750), 1,
      sym_from,
    STATE(9758), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14637), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [479129] = 6,
    ACTIONS(211), 1,
      sym__identifier,
    ACTIONS(14332), 1,
      sym_keyword_if,
    STATE(9754), 1,
      sym__if_exists,
    STATE(11367), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [479150] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15088), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [479163] = 4,
    STATE(11224), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15092), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(15090), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [479180] = 6,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(15094), 1,
      anon_sym_RPAREN,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10594), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [479201] = 4,
    ACTIONS(15098), 1,
      sym_keyword_cascade,
    ACTIONS(15100), 1,
      sym_keyword_version,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15096), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [479218] = 4,
    ACTIONS(11490), 1,
      sym_keyword_on,
    STATE(6652), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15102), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [479235] = 6,
    ACTIONS(12634), 1,
      sym_keyword_rename,
    ACTIONS(12636), 1,
      sym_keyword_owner,
    ACTIONS(15104), 1,
      sym_keyword_set,
    ACTIONS(15106), 1,
      sym_keyword_reset,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10661), 2,
      sym_rename_object,
      sym_change_ownership,
  [479256] = 5,
    ACTIONS(15108), 1,
      anon_sym_RPAREN,
    STATE(8143), 1,
      sym_identifier,
    STATE(10590), 1,
      sym__with_settings,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [479275] = 6,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(15110), 1,
      sym_keyword_only,
    STATE(6414), 1,
      sym_identifier,
    STATE(10332), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [479296] = 6,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(15112), 1,
      sym_keyword_only,
    STATE(6414), 1,
      sym_identifier,
    STATE(10327), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [479317] = 6,
    ACTIONS(211), 1,
      sym__identifier,
    ACTIONS(14332), 1,
      sym_keyword_if,
    STATE(9784), 1,
      sym__if_exists,
    STATE(9785), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [479338] = 6,
    ACTIONS(211), 1,
      sym__identifier,
    ACTIONS(14332), 1,
      sym_keyword_if,
    STATE(9307), 1,
      sym_identifier,
    STATE(9786), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [479359] = 6,
    ACTIONS(14330), 1,
      sym__identifier,
    ACTIONS(15114), 1,
      sym_keyword_only,
    STATE(6389), 1,
      sym_object_reference,
    STATE(6454), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14336), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [479380] = 6,
    ACTIONS(211), 1,
      sym__identifier,
    ACTIONS(14332), 1,
      sym_keyword_if,
    STATE(8531), 1,
      sym_identifier,
    STATE(9787), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [479401] = 7,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(15116), 1,
      sym_keyword_separator,
    ACTIONS(15118), 1,
      anon_sym_RPAREN,
    ACTIONS(15120), 1,
      anon_sym_COMMA,
    STATE(10963), 1,
      aux_sym_invocation_repeat1,
    STATE(13779), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [479424] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15122), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [479437] = 6,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(15124), 1,
      sym_keyword_tablespace,
    STATE(10544), 1,
      sym_identifier,
    STATE(10661), 1,
      sym_set_configuration,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [479458] = 6,
    ACTIONS(14972), 1,
      sym_keyword_in,
    ACTIONS(14976), 1,
      sym_keyword_similar,
    ACTIONS(15126), 1,
      sym_keyword_between,
    STATE(6600), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [479479] = 7,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(12268), 1,
      anon_sym_LPAREN,
    ACTIONS(15128), 1,
      anon_sym_RPAREN,
    STATE(7475), 1,
      sym_select,
    STATE(7565), 1,
      sym__select_statement,
    STATE(7988), 1,
      sym_set_operation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [479502] = 7,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(15130), 1,
      sym_keyword_separator,
    ACTIONS(15132), 1,
      anon_sym_RPAREN,
    ACTIONS(15134), 1,
      anon_sym_COMMA,
    STATE(10897), 1,
      aux_sym_invocation_repeat1,
    STATE(13340), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [479525] = 7,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(15136), 1,
      sym_keyword_separator,
    ACTIONS(15138), 1,
      anon_sym_RPAREN,
    ACTIONS(15140), 1,
      anon_sym_COMMA,
    STATE(10446), 1,
      aux_sym_invocation_repeat1,
    STATE(12654), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [479548] = 5,
    ACTIONS(13908), 1,
      anon_sym_LPAREN,
    STATE(9716), 1,
      sym_ordered_columns,
    STATE(11725), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [479567] = 6,
    ACTIONS(14972), 1,
      sym_keyword_in,
    ACTIONS(14976), 1,
      sym_keyword_similar,
    ACTIONS(15142), 1,
      sym_keyword_between,
    STATE(6600), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [479588] = 5,
    ACTIONS(15144), 1,
      sym_keyword_on,
    STATE(10363), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14855), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(15146), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [479607] = 5,
    ACTIONS(15046), 1,
      sym_keyword_partition,
    ACTIONS(15150), 1,
      anon_sym_LPAREN,
    STATE(10820), 1,
      sym__partition_spec,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15148), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [479626] = 6,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(15152), 1,
      sym_keyword_only,
    STATE(6414), 1,
      sym_identifier,
    STATE(10912), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [479647] = 4,
    ACTIONS(14744), 1,
      sym_keyword_exclude,
    ACTIONS(15154), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(12357), 4,
      sym__exclude_current_row,
      sym__exclude_group,
      sym__exclude_no_others,
      sym__exclude_ties,
  [479664] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15156), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [479677] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15158), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [479690] = 6,
    ACTIONS(337), 1,
      sym__identifier,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(8125), 1,
      sym__single_quote_string,
    STATE(8128), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [479711] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15160), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [479724] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15162), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [479737] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15164), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [479750] = 6,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(15166), 1,
      sym_keyword_null,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10851), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [479771] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14551), 2,
      sym_keyword_create,
      sym__identifier,
    ACTIONS(14549), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [479786] = 4,
    STATE(10606), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15170), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(15168), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [479803] = 5,
    ACTIONS(13960), 1,
      anon_sym_LPAREN,
    STATE(9348), 1,
      sym_ordered_columns,
    STATE(11801), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [479822] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15172), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [479835] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14567), 2,
      sym_keyword_create,
      sym__identifier,
    ACTIONS(14565), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [479850] = 6,
    ACTIONS(3029), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(15174), 1,
      sym_keyword_null,
    STATE(310), 1,
      sym__single_quote_string,
    STATE(7239), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3037), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [479871] = 6,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(15176), 1,
      sym_keyword_column,
    ACTIONS(15178), 1,
      sym_keyword_to,
    STATE(12300), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [479892] = 5,
    ACTIONS(15180), 1,
      sym_keyword_cascade,
    ACTIONS(15182), 1,
      sym_keyword_schema,
    ACTIONS(15184), 1,
      sym_keyword_version,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14847), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [479911] = 4,
    ACTIONS(15186), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4652), 2,
      sym_window_specification,
      sym_identifier,
    ACTIONS(275), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [479928] = 6,
    ACTIONS(14972), 1,
      sym_keyword_in,
    ACTIONS(14976), 1,
      sym_keyword_similar,
    ACTIONS(15188), 1,
      sym_keyword_between,
    STATE(6600), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [479949] = 6,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(15190), 1,
      sym_keyword_only,
    STATE(6414), 1,
      sym_identifier,
    STATE(10857), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [479970] = 7,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(15192), 1,
      sym_keyword_separator,
    ACTIONS(15194), 1,
      anon_sym_RPAREN,
    ACTIONS(15196), 1,
      anon_sym_COMMA,
    STATE(10633), 1,
      aux_sym_invocation_repeat1,
    STATE(12938), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [479993] = 7,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(15198), 1,
      sym_keyword_separator,
    ACTIONS(15200), 1,
      anon_sym_RPAREN,
    ACTIONS(15202), 1,
      anon_sym_COMMA,
    STATE(10483), 1,
      aux_sym_invocation_repeat1,
    STATE(13668), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [480016] = 7,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(15204), 1,
      sym_keyword_separator,
    ACTIONS(15206), 1,
      anon_sym_RPAREN,
    ACTIONS(15208), 1,
      anon_sym_COMMA,
    STATE(10539), 1,
      aux_sym_invocation_repeat1,
    STATE(12103), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [480039] = 6,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(14332), 1,
      sym_keyword_if,
    STATE(8846), 1,
      sym_identifier,
    STATE(9572), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [480060] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15210), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [480073] = 6,
    ACTIONS(14330), 1,
      sym__identifier,
    ACTIONS(15212), 1,
      sym_keyword_only,
    STATE(6352), 1,
      sym_object_reference,
    STATE(6454), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14336), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [480094] = 6,
    ACTIONS(14330), 1,
      sym__identifier,
    ACTIONS(14332), 1,
      sym_keyword_if,
    STATE(7714), 1,
      sym_identifier,
    STATE(9711), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14336), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [480115] = 7,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(15214), 1,
      sym_keyword_separator,
    ACTIONS(15216), 1,
      anon_sym_RPAREN,
    ACTIONS(15218), 1,
      anon_sym_COMMA,
    STATE(10492), 1,
      aux_sym_invocation_repeat1,
    STATE(12724), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [480138] = 5,
    ACTIONS(14936), 1,
      sym_keyword_first,
    ACTIONS(14938), 1,
      sym_keyword_after,
    STATE(10362), 1,
      sym_column_position,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14883), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [480157] = 5,
    ACTIONS(14936), 1,
      sym_keyword_first,
    ACTIONS(14938), 1,
      sym_keyword_after,
    STATE(10365), 1,
      sym_column_position,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14825), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [480176] = 4,
    ACTIONS(15220), 1,
      anon_sym_COMMA,
    STATE(8600), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13007), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_create,
  [480193] = 6,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(15222), 1,
      sym_keyword_tablespace,
    STATE(10386), 1,
      sym_identifier,
    STATE(11296), 1,
      sym_set_configuration,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [480214] = 7,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(15224), 1,
      sym_keyword_separator,
    ACTIONS(15226), 1,
      anon_sym_RPAREN,
    ACTIONS(15228), 1,
      anon_sym_COMMA,
    STATE(10510), 1,
      aux_sym_invocation_repeat1,
    STATE(12168), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [480237] = 6,
    ACTIONS(277), 1,
      sym__identifier,
    ACTIONS(15230), 1,
      sym_keyword_none,
    STATE(3575), 1,
      sym_identifier,
    STATE(7450), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(335), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [480258] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15232), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [480271] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15234), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [480284] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15236), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [480297] = 6,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(14332), 1,
      sym_keyword_if,
    STATE(10042), 1,
      sym__if_exists,
    STATE(10509), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [480318] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15238), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [480331] = 4,
    ACTIONS(11490), 1,
      sym_keyword_on,
    STATE(6652), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15240), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [480348] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15242), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [480361] = 4,
    ACTIONS(11490), 1,
      sym_keyword_on,
    STATE(8469), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15244), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [480378] = 4,
    ACTIONS(11490), 1,
      sym_keyword_on,
    STATE(8552), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15246), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [480395] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14358), 2,
      sym_keyword_create,
      sym__identifier,
    ACTIONS(14356), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [480410] = 6,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(15248), 1,
      sym_keyword_on,
    ACTIONS(15250), 1,
      sym_keyword_as,
    STATE(14122), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [480431] = 5,
    ACTIONS(14936), 1,
      sym_keyword_first,
    ACTIONS(14938), 1,
      sym_keyword_after,
    STATE(10373), 1,
      sym_column_position,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14714), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [480450] = 4,
    ACTIONS(11490), 1,
      sym_keyword_on,
    STATE(6652), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15246), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [480467] = 4,
    ACTIONS(11490), 1,
      sym_keyword_on,
    STATE(8560), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15252), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [480484] = 6,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(15254), 1,
      sym_keyword_on,
    ACTIONS(15256), 1,
      sym_keyword_as,
    STATE(12379), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [480505] = 6,
    ACTIONS(277), 1,
      sym__identifier,
    ACTIONS(15258), 1,
      sym_keyword_none,
    STATE(3575), 1,
      sym_identifier,
    STATE(7462), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(335), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [480526] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15260), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [480539] = 6,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(15262), 1,
      sym_keyword_on,
    ACTIONS(15264), 1,
      sym_keyword_as,
    STATE(12375), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [480560] = 7,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(15266), 1,
      sym_keyword_separator,
    ACTIONS(15268), 1,
      anon_sym_RPAREN,
    ACTIONS(15270), 1,
      anon_sym_COMMA,
    STATE(10934), 1,
      aux_sym_invocation_repeat1,
    STATE(13608), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [480583] = 6,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(15272), 1,
      sym_keyword_only,
    STATE(6414), 1,
      sym_identifier,
    STATE(10601), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [480604] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15274), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [480617] = 6,
    ACTIONS(14972), 1,
      sym_keyword_in,
    ACTIONS(14976), 1,
      sym_keyword_similar,
    ACTIONS(15276), 1,
      sym_keyword_between,
    STATE(6600), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [480638] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14354), 2,
      sym_keyword_create,
      sym__identifier,
    ACTIONS(14352), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [480653] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    STATE(9611), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13803), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [480670] = 6,
    ACTIONS(3217), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(15174), 1,
      sym_keyword_null,
    STATE(2953), 1,
      sym__single_quote_string,
    STATE(7239), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3225), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [480691] = 6,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(15278), 1,
      sym_keyword_on,
    ACTIONS(15280), 1,
      sym_keyword_as,
    STATE(12366), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [480712] = 6,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(8125), 1,
      sym__single_quote_string,
    STATE(8128), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [480733] = 6,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(15282), 1,
      sym_keyword_only,
    STATE(6414), 1,
      sym_identifier,
    STATE(10863), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [480754] = 5,
    ACTIONS(13960), 1,
      anon_sym_LPAREN,
    STATE(8765), 1,
      sym_ordered_columns,
    STATE(11593), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [480773] = 4,
    ACTIONS(15284), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4423), 2,
      sym_window_specification,
      sym_identifier,
    ACTIONS(1139), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [480790] = 7,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(15286), 1,
      sym_keyword_separator,
    ACTIONS(15288), 1,
      anon_sym_RPAREN,
    ACTIONS(15290), 1,
      anon_sym_COMMA,
    STATE(10928), 1,
      aux_sym_invocation_repeat1,
    STATE(13377), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [480813] = 4,
    ACTIONS(15292), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(3450), 2,
      sym_window_specification,
      sym_identifier,
    ACTIONS(1203), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [480830] = 4,
    ACTIONS(15294), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4345), 2,
      sym_window_specification,
      sym_identifier,
    ACTIONS(1347), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [480847] = 4,
    ACTIONS(14954), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4799), 2,
      sym_window_specification,
      sym_identifier,
    ACTIONS(907), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [480864] = 6,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(15296), 1,
      sym_keyword_on,
    ACTIONS(15298), 1,
      sym_keyword_as,
    STATE(14113), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [480885] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15300), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [480898] = 7,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(15302), 1,
      sym_keyword_separator,
    ACTIONS(15304), 1,
      anon_sym_RPAREN,
    ACTIONS(15306), 1,
      anon_sym_COMMA,
    STATE(10288), 1,
      aux_sym_invocation_repeat1,
    STATE(13720), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [480921] = 5,
    ACTIONS(15308), 1,
      anon_sym_RPAREN,
    STATE(8143), 1,
      sym_identifier,
    STATE(10656), 1,
      sym__with_settings,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [480940] = 6,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(15310), 1,
      anon_sym_RPAREN,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10660), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [480961] = 6,
    ACTIONS(3029), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(15312), 1,
      sym_keyword_null,
    STATE(310), 1,
      sym__single_quote_string,
    STATE(7228), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3037), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [480982] = 5,
    ACTIONS(15314), 1,
      anon_sym_RPAREN,
    STATE(9094), 1,
      sym_identifier,
    STATE(10306), 1,
      sym_field,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [481001] = 5,
    ACTIONS(15316), 1,
      sym_keyword_collate,
    STATE(11280), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14762), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(15318), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [481020] = 4,
    ACTIONS(15320), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4078), 2,
      sym_window_specification,
      sym_identifier,
    ACTIONS(1199), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [481037] = 4,
    ACTIONS(15322), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(2420), 2,
      sym_window_specification,
      sym_identifier,
    ACTIONS(901), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [481054] = 6,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(15324), 1,
      sym_keyword_on,
    ACTIONS(15326), 1,
      sym_keyword_as,
    STATE(14102), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [481075] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11630), 6,
      sym_keyword_select,
      sym_keyword_values,
      sym_keyword_set,
      sym_keyword_as,
      sym_keyword_with,
      anon_sym_LPAREN,
  [481088] = 7,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(12268), 1,
      anon_sym_LPAREN,
    ACTIONS(15328), 1,
      anon_sym_RPAREN,
    STATE(7475), 1,
      sym_select,
    STATE(7565), 1,
      sym__select_statement,
    STATE(7988), 1,
      sym_set_operation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [481111] = 7,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(15330), 1,
      sym_keyword_separator,
    ACTIONS(15332), 1,
      anon_sym_RPAREN,
    ACTIONS(15334), 1,
      anon_sym_COMMA,
    STATE(10263), 1,
      aux_sym_invocation_repeat1,
    STATE(12342), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [481134] = 6,
    ACTIONS(12662), 1,
      sym_keyword_rename,
    ACTIONS(12664), 1,
      sym_keyword_owner,
    ACTIONS(15336), 1,
      sym_keyword_set,
    ACTIONS(15338), 1,
      sym_keyword_reset,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(11319), 2,
      sym_rename_object,
      sym_change_ownership,
  [481155] = 6,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(15340), 1,
      sym_keyword_tablespace,
    STATE(10386), 1,
      sym_identifier,
    STATE(11319), 1,
      sym_set_configuration,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [481176] = 6,
    ACTIONS(14972), 1,
      sym_keyword_in,
    ACTIONS(14976), 1,
      sym_keyword_similar,
    ACTIONS(15342), 1,
      sym_keyword_between,
    STATE(6600), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [481197] = 7,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(15344), 1,
      sym_keyword_separator,
    ACTIONS(15346), 1,
      anon_sym_RPAREN,
    ACTIONS(15348), 1,
      anon_sym_COMMA,
    STATE(10284), 1,
      aux_sym_invocation_repeat1,
    STATE(12324), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [481220] = 7,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(15350), 1,
      sym_keyword_separator,
    ACTIONS(15352), 1,
      anon_sym_RPAREN,
    ACTIONS(15354), 1,
      anon_sym_COMMA,
    STATE(10652), 1,
      aux_sym_invocation_repeat1,
    STATE(12504), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [481243] = 4,
    ACTIONS(15356), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(6001), 2,
      sym_window_specification,
      sym_identifier,
    ACTIONS(1023), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [481260] = 6,
    ACTIONS(337), 1,
      sym__identifier,
    ACTIONS(15358), 1,
      sym_keyword_none,
    STATE(1360), 1,
      sym_identifier,
    STATE(7327), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [481281] = 6,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(15360), 1,
      sym_keyword_only,
    STATE(6414), 1,
      sym_identifier,
    STATE(10752), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [481302] = 6,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(14332), 1,
      sym_keyword_if,
    STATE(8223), 1,
      sym_identifier,
    STATE(10044), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [481323] = 6,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(15362), 1,
      sym_keyword_only,
    STATE(6414), 1,
      sym_identifier,
    STATE(10904), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [481344] = 4,
    ACTIONS(11490), 1,
      sym_keyword_on,
    STATE(8462), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15364), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [481361] = 7,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(15366), 1,
      sym_keyword_separator,
    ACTIONS(15368), 1,
      anon_sym_RPAREN,
    ACTIONS(15370), 1,
      anon_sym_COMMA,
    STATE(10313), 1,
      aux_sym_invocation_repeat1,
    STATE(12255), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [481384] = 6,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(15372), 1,
      sym_keyword_only,
    STATE(6414), 1,
      sym_identifier,
    STATE(10412), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [481405] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15374), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [481418] = 6,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(15376), 1,
      sym_keyword_column,
    ACTIONS(15378), 1,
      sym_keyword_to,
    STATE(13739), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [481439] = 4,
    ACTIONS(15380), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4392), 2,
      sym_window_specification,
      sym_identifier,
    ACTIONS(585), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [481456] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    STATE(9541), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15382), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [481473] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15384), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [481486] = 4,
    ACTIONS(15386), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4454), 2,
      sym_window_specification,
      sym_identifier,
    ACTIONS(645), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [481503] = 4,
    ACTIONS(15388), 1,
      anon_sym_COMMA,
    STATE(8588), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13310), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_create,
  [481520] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15390), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [481533] = 4,
    ACTIONS(15394), 1,
      sym_keyword_cascade,
    ACTIONS(15396), 1,
      sym_keyword_version,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15392), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [481550] = 5,
    ACTIONS(15398), 1,
      anon_sym_RPAREN,
    STATE(8143), 1,
      sym_identifier,
    STATE(10389), 1,
      sym__with_settings,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [481569] = 6,
    ACTIONS(14972), 1,
      sym_keyword_in,
    ACTIONS(14976), 1,
      sym_keyword_similar,
    ACTIONS(15400), 1,
      sym_keyword_between,
    STATE(6600), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [481590] = 7,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(15402), 1,
      sym_keyword_separator,
    ACTIONS(15404), 1,
      anon_sym_RPAREN,
    ACTIONS(15406), 1,
      anon_sym_COMMA,
    STATE(11128), 1,
      aux_sym_invocation_repeat1,
    STATE(13983), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [481613] = 6,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(15408), 1,
      sym_keyword_on,
    ACTIONS(15410), 1,
      sym_keyword_as,
    STATE(12781), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [481634] = 5,
    ACTIONS(14996), 1,
      anon_sym_COMMA,
    STATE(8353), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14887), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(15412), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [481653] = 6,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(15414), 1,
      sym_keyword_tablespace,
    STATE(10480), 1,
      sym_set_configuration,
    STATE(10544), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [481674] = 6,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(15416), 1,
      sym_keyword_on,
    ACTIONS(15418), 1,
      sym_keyword_as,
    STATE(12297), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [481695] = 5,
    ACTIONS(13429), 1,
      sym_keyword_from,
    ACTIONS(15420), 1,
      anon_sym_RPAREN,
    STATE(9509), 1,
      sym_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13427), 3,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [481714] = 6,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(15422), 1,
      sym_keyword_on,
    ACTIONS(15424), 1,
      sym_keyword_as,
    STATE(12293), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [481735] = 4,
    ACTIONS(15428), 1,
      sym_keyword_as,
    ACTIONS(15430), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15426), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [481752] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11766), 6,
      sym_keyword_select,
      sym_keyword_values,
      sym_keyword_set,
      sym_keyword_as,
      sym_keyword_with,
      anon_sym_LPAREN,
  [481765] = 5,
    ACTIONS(14033), 1,
      sym_keyword_noscan,
    ACTIONS(15434), 1,
      sym_keyword_for,
    ACTIONS(15436), 1,
      sym_keyword_cache,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15432), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [481784] = 6,
    ACTIONS(3217), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(15312), 1,
      sym_keyword_null,
    STATE(2953), 1,
      sym__single_quote_string,
    STATE(7228), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3225), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [481805] = 4,
    ACTIONS(11490), 1,
      sym_keyword_on,
    STATE(6652), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15438), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [481822] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11770), 6,
      sym_keyword_select,
      sym_keyword_values,
      sym_keyword_set,
      sym_keyword_as,
      sym_keyword_with,
      anon_sym_LPAREN,
  [481835] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15440), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [481848] = 6,
    ACTIONS(14972), 1,
      sym_keyword_in,
    ACTIONS(14976), 1,
      sym_keyword_similar,
    ACTIONS(15442), 1,
      sym_keyword_between,
    STATE(6600), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [481869] = 4,
    ACTIONS(15292), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(3450), 2,
      sym_window_specification,
      sym_identifier,
    ACTIONS(1023), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [481886] = 7,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(15444), 1,
      sym_keyword_separator,
    ACTIONS(15446), 1,
      anon_sym_RPAREN,
    ACTIONS(15448), 1,
      anon_sym_COMMA,
    STATE(11132), 1,
      aux_sym_invocation_repeat1,
    STATE(14284), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [481909] = 6,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(15450), 1,
      sym_keyword_on,
    ACTIONS(15452), 1,
      sym_keyword_as,
    STATE(12284), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [481930] = 6,
    ACTIONS(337), 1,
      sym__identifier,
    ACTIONS(15454), 1,
      sym_keyword_none,
    STATE(1360), 1,
      sym_identifier,
    STATE(7337), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [481951] = 6,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(15456), 1,
      sym_keyword_only,
    STATE(6414), 1,
      sym_identifier,
    STATE(10693), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [481972] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15458), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [481985] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15460), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [481998] = 4,
    ACTIONS(15462), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(2691), 2,
      sym_window_specification,
      sym_identifier,
    ACTIONS(465), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [482015] = 4,
    ACTIONS(11490), 1,
      sym_keyword_on,
    STATE(6652), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15464), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [482032] = 6,
    ACTIONS(211), 1,
      sym__identifier,
    ACTIONS(14332), 1,
      sym_keyword_if,
    STATE(8421), 1,
      sym_identifier,
    STATE(9924), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [482053] = 4,
    ACTIONS(11490), 1,
      sym_keyword_on,
    STATE(8613), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15464), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [482070] = 5,
    ACTIONS(15466), 1,
      sym_keyword_on,
    STATE(10635), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14907), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(15468), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [482089] = 7,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(15470), 1,
      sym_keyword_separator,
    ACTIONS(15472), 1,
      anon_sym_RPAREN,
    ACTIONS(15474), 1,
      anon_sym_COMMA,
    STATE(10773), 1,
      aux_sym_invocation_repeat1,
    STATE(13173), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [482112] = 4,
    ACTIONS(11490), 1,
      sym_keyword_on,
    STATE(8614), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15476), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [482129] = 6,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(15478), 1,
      sym_keyword_only,
    STATE(6414), 1,
      sym_identifier,
    STATE(10581), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [482150] = 4,
    STATE(10254), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15482), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(15480), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [482167] = 4,
    ACTIONS(11490), 1,
      sym_keyword_on,
    STATE(6652), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15484), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [482184] = 6,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(15486), 1,
      sym_keyword_on,
    ACTIONS(15488), 1,
      sym_keyword_as,
    STATE(12210), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [482205] = 4,
    STATE(10229), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15492), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(15490), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [482222] = 6,
    ACTIONS(14972), 1,
      sym_keyword_in,
    ACTIONS(14976), 1,
      sym_keyword_similar,
    ACTIONS(15494), 1,
      sym_keyword_between,
    STATE(6600), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [482243] = 4,
    ACTIONS(11490), 1,
      sym_keyword_on,
    STATE(8619), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15484), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [482260] = 5,
    ACTIONS(15496), 1,
      anon_sym_RPAREN,
    STATE(9094), 1,
      sym_identifier,
    STATE(10547), 1,
      sym_field,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [482279] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15498), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [482292] = 4,
    ACTIONS(11490), 1,
      sym_keyword_on,
    STATE(6652), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15364), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [482309] = 6,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(15500), 1,
      sym_keyword_on,
    ACTIONS(15502), 1,
      sym_keyword_as,
    STATE(12206), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [482330] = 4,
    ACTIONS(11490), 1,
      sym_keyword_on,
    STATE(6652), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15504), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [482347] = 7,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(15506), 1,
      sym_keyword_separator,
    ACTIONS(15508), 1,
      anon_sym_RPAREN,
    ACTIONS(15510), 1,
      anon_sym_COMMA,
    STATE(11161), 1,
      aux_sym_invocation_repeat1,
    STATE(14492), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [482370] = 4,
    ACTIONS(11490), 1,
      sym_keyword_on,
    STATE(6652), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15512), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [482387] = 6,
    ACTIONS(14972), 1,
      sym_keyword_in,
    ACTIONS(14976), 1,
      sym_keyword_similar,
    ACTIONS(15514), 1,
      sym_keyword_between,
    STATE(6600), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [482408] = 5,
    ACTIONS(13960), 1,
      anon_sym_LPAREN,
    STATE(9048), 1,
      sym_ordered_columns,
    STATE(11497), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [482427] = 6,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(15516), 1,
      sym_keyword_on,
    ACTIONS(15518), 1,
      sym_keyword_as,
    STATE(12197), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [482448] = 6,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(15520), 1,
      sym_keyword_on,
    ACTIONS(15522), 1,
      sym_keyword_as,
    STATE(13416), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [482469] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14653), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_cascade,
      sym_keyword_restrict,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [482482] = 7,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(15524), 1,
      sym_keyword_separator,
    ACTIONS(15526), 1,
      anon_sym_RPAREN,
    ACTIONS(15528), 1,
      anon_sym_COMMA,
    STATE(10765), 1,
      aux_sym_invocation_repeat1,
    STATE(13226), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [482505] = 6,
    ACTIONS(14972), 1,
      sym_keyword_in,
    ACTIONS(14976), 1,
      sym_keyword_similar,
    ACTIONS(15530), 1,
      sym_keyword_between,
    STATE(6600), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [482526] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15532), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [482539] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15534), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [482552] = 6,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(15536), 1,
      sym_keyword_only,
    STATE(6414), 1,
      sym_identifier,
    STATE(10796), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [482573] = 7,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(15538), 1,
      sym_keyword_separator,
    ACTIONS(15540), 1,
      anon_sym_RPAREN,
    ACTIONS(15542), 1,
      anon_sym_COMMA,
    STATE(10728), 1,
      aux_sym_invocation_repeat1,
    STATE(13055), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [482596] = 6,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(15544), 1,
      sym_keyword_null,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(7103), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2499), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [482617] = 4,
    ACTIONS(15546), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(2669), 2,
      sym_window_specification,
      sym_identifier,
    ACTIONS(399), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [482634] = 6,
    ACTIONS(719), 1,
      sym__identifier,
    ACTIONS(15548), 1,
      sym_keyword_only,
    STATE(7929), 1,
      sym_object_reference,
    STATE(8186), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(777), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [482655] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15550), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [482668] = 5,
    ACTIONS(13429), 1,
      sym_keyword_from,
    ACTIONS(15552), 1,
      anon_sym_RPAREN,
    STATE(9769), 1,
      sym_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13427), 3,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [482687] = 4,
    ACTIONS(15388), 1,
      anon_sym_COMMA,
    STATE(8592), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13007), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_create,
  [482704] = 6,
    ACTIONS(14972), 1,
      sym_keyword_in,
    ACTIONS(14976), 1,
      sym_keyword_similar,
    ACTIONS(15554), 1,
      sym_keyword_between,
    STATE(6600), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [482725] = 4,
    ACTIONS(15556), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(2234), 2,
      sym_window_specification,
      sym_identifier,
    ACTIONS(709), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [482742] = 6,
    ACTIONS(719), 1,
      sym__identifier,
    ACTIONS(14344), 1,
      sym_keyword_if,
    STATE(7607), 1,
      sym_identifier,
    STATE(9733), 1,
      sym__if_not_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(777), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [482763] = 4,
    ACTIONS(15558), 1,
      anon_sym_COMMA,
    STATE(8592), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13328), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_create,
  [482780] = 4,
    STATE(9094), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8124), 2,
      sym_field,
      aux_sym__compute_stats_repeat1,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [482797] = 7,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(15561), 1,
      sym_keyword_separator,
    ACTIONS(15563), 1,
      anon_sym_RPAREN,
    ACTIONS(15565), 1,
      anon_sym_COMMA,
    STATE(11148), 1,
      aux_sym_invocation_repeat1,
    STATE(14444), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [482820] = 5,
    ACTIONS(13989), 1,
      sym_keyword_noscan,
    ACTIONS(15569), 1,
      sym_keyword_for,
    ACTIONS(15571), 1,
      sym_keyword_cache,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15567), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [482839] = 6,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(15573), 1,
      sym_keyword_on,
    ACTIONS(15575), 1,
      sym_keyword_as,
    STATE(13295), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [482860] = 7,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(15577), 1,
      sym_keyword_separator,
    ACTIONS(15579), 1,
      anon_sym_RPAREN,
    ACTIONS(15581), 1,
      anon_sym_COMMA,
    STATE(10736), 1,
      aux_sym_invocation_repeat1,
    STATE(12951), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [482883] = 5,
    ACTIONS(14936), 1,
      sym_keyword_first,
    ACTIONS(14938), 1,
      sym_keyword_after,
    STATE(10533), 1,
      sym_column_position,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14732), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [482902] = 7,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(15583), 1,
      sym_keyword_separator,
    ACTIONS(15585), 1,
      anon_sym_RPAREN,
    ACTIONS(15587), 1,
      anon_sym_COMMA,
    STATE(11153), 1,
      aux_sym_invocation_repeat1,
    STATE(14486), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [482925] = 4,
    ACTIONS(15589), 1,
      anon_sym_COMMA,
    STATE(8600), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13328), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_create,
  [482942] = 4,
    ACTIONS(15220), 1,
      anon_sym_COMMA,
    STATE(8453), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13310), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_create,
  [482959] = 5,
    ACTIONS(15592), 1,
      sym_keyword_collate,
    STATE(11232), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14794), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(15594), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [482978] = 5,
    ACTIONS(14936), 1,
      sym_keyword_first,
    ACTIONS(14938), 1,
      sym_keyword_after,
    STATE(10536), 1,
      sym_column_position,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14736), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [482997] = 4,
    ACTIONS(15596), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(795), 2,
      sym_window_specification,
      sym_identifier,
    ACTIONS(1209), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [483014] = 4,
    STATE(37), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8228), 2,
      sym_function_declaration,
      aux_sym_function_body_repeat2,
    ACTIONS(125), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [483031] = 5,
    ACTIONS(14936), 1,
      sym_keyword_first,
    ACTIONS(14938), 1,
      sym_keyword_after,
    STATE(10541), 1,
      sym_column_position,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14740), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [483050] = 6,
    ACTIONS(14972), 1,
      sym_keyword_in,
    ACTIONS(14976), 1,
      sym_keyword_similar,
    ACTIONS(15598), 1,
      sym_keyword_between,
    STATE(6600), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [483071] = 6,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(15600), 1,
      sym_keyword_null,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(7102), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [483092] = 5,
    ACTIONS(15602), 1,
      sym_keyword_nulls,
    STATE(10622), 1,
      sym_direction,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6483), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(15604), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [483111] = 5,
    ACTIONS(14936), 1,
      sym_keyword_first,
    ACTIONS(14938), 1,
      sym_keyword_after,
    STATE(10231), 1,
      sym_column_position,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14885), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [483130] = 5,
    ACTIONS(15606), 1,
      sym_keyword_nulls,
    STATE(10556), 1,
      sym_direction,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6483), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(15608), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [483149] = 5,
    STATE(6414), 1,
      sym_identifier,
    STATE(9587), 1,
      sym__rename_table_names,
    STATE(13403), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [483168] = 4,
    ACTIONS(11490), 1,
      sym_keyword_on,
    STATE(6652), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15610), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [483185] = 4,
    ACTIONS(11490), 1,
      sym_keyword_on,
    STATE(6652), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15612), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [483202] = 6,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(15614), 1,
      sym_keyword_only,
    STATE(6414), 1,
      sym_identifier,
    STATE(10469), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [483223] = 4,
    ACTIONS(15616), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4733), 2,
      sym_window_specification,
      sym_identifier,
    ACTIONS(525), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [483240] = 4,
    ACTIONS(11490), 1,
      sym_keyword_on,
    STATE(8665), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15612), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [483257] = 4,
    ACTIONS(15618), 1,
      anon_sym_COMMA,
    STATE(8618), 1,
      aux_sym__truncate_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14653), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [483274] = 4,
    ACTIONS(11490), 1,
      sym_keyword_on,
    STATE(6652), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15621), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [483291] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15623), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [483304] = 7,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(15625), 1,
      sym_keyword_separator,
    ACTIONS(15627), 1,
      anon_sym_RPAREN,
    ACTIONS(15629), 1,
      anon_sym_COMMA,
    STATE(10397), 1,
      aux_sym_invocation_repeat1,
    STATE(12115), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [483327] = 6,
    ACTIONS(14972), 1,
      sym_keyword_in,
    ACTIONS(14976), 1,
      sym_keyword_similar,
    ACTIONS(15631), 1,
      sym_keyword_between,
    STATE(6600), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [483348] = 6,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(15633), 1,
      sym_keyword_only,
    STATE(6414), 1,
      sym_identifier,
    STATE(10489), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [483369] = 5,
    ACTIONS(13960), 1,
      anon_sym_LPAREN,
    STATE(8834), 1,
      sym_ordered_columns,
    STATE(11538), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [483388] = 4,
    ACTIONS(11490), 1,
      sym_keyword_on,
    STATE(8540), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15610), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [483405] = 6,
    ACTIONS(14972), 1,
      sym_keyword_in,
    ACTIONS(14976), 1,
      sym_keyword_similar,
    ACTIONS(15635), 1,
      sym_keyword_between,
    STATE(6600), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [483426] = 4,
    ACTIONS(11490), 1,
      sym_keyword_on,
    STATE(8403), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15637), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [483443] = 4,
    STATE(10785), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15641), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(15639), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [483460] = 5,
    ACTIONS(15643), 1,
      sym_keyword_collate,
    STATE(11264), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14916), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(15645), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [483479] = 6,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(15544), 1,
      sym_keyword_null,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(7103), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [483500] = 5,
    ACTIONS(15647), 1,
      anon_sym_RPAREN,
    STATE(8143), 1,
      sym_identifier,
    STATE(10501), 1,
      sym__with_settings,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [483519] = 6,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(15649), 1,
      sym_keyword_on,
    ACTIONS(15651), 1,
      sym_keyword_as,
    STATE(13924), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [483540] = 3,
    ACTIONS(15655), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15653), 5,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_nulls,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [483555] = 6,
    ACTIONS(14972), 1,
      sym_keyword_in,
    ACTIONS(14976), 1,
      sym_keyword_similar,
    ACTIONS(15657), 1,
      sym_keyword_between,
    STATE(6600), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [483576] = 4,
    ACTIONS(15659), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5533), 2,
      sym_window_specification,
      sym_identifier,
    ACTIONS(777), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [483593] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15661), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [483606] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15663), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [483619] = 4,
    ACTIONS(15546), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(2669), 2,
      sym_window_specification,
      sym_identifier,
    ACTIONS(191), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [483636] = 5,
    ACTIONS(15665), 1,
      sym_keyword_collate,
    STATE(11260), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14861), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(15667), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [483655] = 7,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(15669), 1,
      sym_keyword_separator,
    ACTIONS(15671), 1,
      anon_sym_RPAREN,
    ACTIONS(15673), 1,
      anon_sym_COMMA,
    STATE(10426), 1,
      aux_sym_invocation_repeat1,
    STATE(12084), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [483678] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11692), 6,
      sym_keyword_select,
      sym_keyword_values,
      sym_keyword_set,
      sym_keyword_as,
      sym_keyword_with,
      anon_sym_LPAREN,
  [483691] = 5,
    ACTIONS(15675), 1,
      sym_keyword_nulls,
    STATE(10440), 1,
      sym_direction,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6483), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(15677), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [483710] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14869), 2,
      sym_keyword_create,
      sym__identifier,
    ACTIONS(14867), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [483725] = 7,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(15679), 1,
      sym_keyword_separator,
    ACTIONS(15681), 1,
      anon_sym_RPAREN,
    ACTIONS(15683), 1,
      anon_sym_COMMA,
    STATE(10864), 1,
      aux_sym_invocation_repeat1,
    STATE(13523), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [483748] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15685), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [483761] = 7,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(15687), 1,
      sym_keyword_separator,
    ACTIONS(15689), 1,
      anon_sym_RPAREN,
    ACTIONS(15691), 1,
      anon_sym_COMMA,
    STATE(11222), 1,
      aux_sym_invocation_repeat1,
    STATE(14587), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [483784] = 4,
    ACTIONS(11490), 1,
      sym_keyword_on,
    STATE(8567), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15693), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [483801] = 6,
    ACTIONS(719), 1,
      sym__identifier,
    ACTIONS(3029), 1,
      aux_sym__single_quote_string_token1,
    STATE(8432), 1,
      sym__single_quote_string,
    STATE(8436), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(777), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [483822] = 6,
    ACTIONS(337), 1,
      sym__identifier,
    ACTIONS(15695), 1,
      sym_keyword_only,
    STATE(1360), 1,
      sym_identifier,
    STATE(7653), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [483843] = 4,
    ACTIONS(14639), 1,
      sym_keyword_from,
    STATE(7576), 1,
      sym_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13427), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [483860] = 5,
    ACTIONS(15697), 1,
      sym_keyword_nulls,
    STATE(10526), 1,
      sym_direction,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6483), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(15699), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [483879] = 6,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(15701), 1,
      sym_keyword_on,
    ACTIONS(15703), 1,
      sym_keyword_as,
    STATE(14049), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [483900] = 4,
    ACTIONS(11490), 1,
      sym_keyword_on,
    STATE(8569), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15438), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [483917] = 5,
    ACTIONS(15705), 1,
      sym_keyword_nulls,
    STATE(10562), 1,
      sym_direction,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6483), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(15707), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [483936] = 6,
    ACTIONS(14972), 1,
      sym_keyword_in,
    ACTIONS(14976), 1,
      sym_keyword_similar,
    ACTIONS(15709), 1,
      sym_keyword_between,
    STATE(6600), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [483957] = 4,
    ACTIONS(15711), 1,
      anon_sym_COMMA,
    STATE(8656), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11839), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [483974] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11736), 6,
      sym_keyword_select,
      sym_keyword_values,
      sym_keyword_set,
      sym_keyword_as,
      sym_keyword_with,
      anon_sym_LPAREN,
  [483987] = 4,
    ACTIONS(15714), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4338), 2,
      sym_window_specification,
      sym_identifier,
    ACTIONS(405), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [484004] = 4,
    ACTIONS(14744), 1,
      sym_keyword_exclude,
    ACTIONS(15716), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(14054), 4,
      sym__exclude_current_row,
      sym__exclude_group,
      sym__exclude_no_others,
      sym__exclude_ties,
  [484021] = 4,
    ACTIONS(11490), 1,
      sym_keyword_on,
    STATE(8571), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15102), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [484038] = 6,
    ACTIONS(14972), 1,
      sym_keyword_in,
    ACTIONS(14976), 1,
      sym_keyword_similar,
    ACTIONS(15718), 1,
      sym_keyword_between,
    STATE(6600), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [484059] = 6,
    ACTIONS(14972), 1,
      sym_keyword_in,
    ACTIONS(14976), 1,
      sym_keyword_similar,
    ACTIONS(15720), 1,
      sym_keyword_between,
    STATE(6600), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [484080] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11728), 6,
      sym_keyword_select,
      sym_keyword_values,
      sym_keyword_set,
      sym_keyword_as,
      sym_keyword_with,
      anon_sym_LPAREN,
  [484093] = 7,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(15722), 1,
      sym_keyword_separator,
    ACTIONS(15724), 1,
      anon_sym_RPAREN,
    ACTIONS(15726), 1,
      anon_sym_COMMA,
    STATE(10835), 1,
      aux_sym_invocation_repeat1,
    STATE(13474), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [484116] = 4,
    ACTIONS(11490), 1,
      sym_keyword_on,
    STATE(6652), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15728), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [484133] = 6,
    ACTIONS(14972), 1,
      sym_keyword_in,
    ACTIONS(14976), 1,
      sym_keyword_similar,
    ACTIONS(15730), 1,
      sym_keyword_between,
    STATE(6600), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [484154] = 6,
    ACTIONS(14972), 1,
      sym_keyword_in,
    ACTIONS(14976), 1,
      sym_keyword_similar,
    ACTIONS(15732), 1,
      sym_keyword_between,
    STATE(6600), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [484175] = 6,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(15600), 1,
      sym_keyword_null,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(7102), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2499), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [484196] = 6,
    ACTIONS(14972), 1,
      sym_keyword_in,
    ACTIONS(14976), 1,
      sym_keyword_similar,
    ACTIONS(15734), 1,
      sym_keyword_between,
    STATE(6600), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [484217] = 6,
    ACTIONS(14972), 1,
      sym_keyword_in,
    ACTIONS(14976), 1,
      sym_keyword_similar,
    ACTIONS(15736), 1,
      sym_keyword_between,
    STATE(6600), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [484238] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11720), 6,
      sym_keyword_select,
      sym_keyword_values,
      sym_keyword_set,
      sym_keyword_as,
      sym_keyword_with,
      anon_sym_LPAREN,
  [484251] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11638), 6,
      sym_keyword_select,
      sym_keyword_values,
      sym_keyword_set,
      sym_keyword_as,
      sym_keyword_with,
      anon_sym_LPAREN,
  [484264] = 7,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(15738), 1,
      sym_keyword_separator,
    ACTIONS(15740), 1,
      anon_sym_RPAREN,
    ACTIONS(15742), 1,
      anon_sym_COMMA,
    STATE(11193), 1,
      aux_sym_invocation_repeat1,
    STATE(14555), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [484287] = 5,
    ACTIONS(14573), 1,
      sym_keyword_cascade,
    ACTIONS(14577), 1,
      sym_keyword_schema,
    ACTIONS(14579), 1,
      sym_keyword_version,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14360), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [484306] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15744), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_where,
      sym_keyword_create,
      anon_sym_RPAREN,
  [484318] = 5,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(15746), 1,
      sym_keyword_all,
    STATE(10548), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [484336] = 5,
    ACTIONS(4376), 1,
      aux_sym__single_quote_string_token1,
    STATE(2235), 1,
      sym__single_quote_string,
    STATE(3988), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4384), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [484354] = 4,
    ACTIONS(9578), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15748), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(8681), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [484370] = 4,
    ACTIONS(9578), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15748), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(8681), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [484386] = 4,
    ACTIONS(9578), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15750), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(8681), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [484402] = 4,
    ACTIONS(15754), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15752), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(8681), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [484418] = 6,
    ACTIONS(15757), 1,
      anon_sym_RBRACK,
    ACTIONS(15759), 1,
      anon_sym_PLUS,
    ACTIONS(15761), 1,
      anon_sym_DASH,
    ACTIONS(15763), 1,
      aux_sym__integer_token1,
    STATE(14583), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [484438] = 4,
    ACTIONS(14595), 1,
      anon_sym_RPAREN,
    STATE(14585), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [484454] = 4,
    ACTIONS(15765), 1,
      anon_sym_RPAREN,
    STATE(14547), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [484470] = 4,
    STATE(11925), 1,
      sym__key_value_pair,
    STATE(12566), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [484486] = 5,
    ACTIONS(2947), 1,
      aux_sym__single_quote_string_token1,
    STATE(3470), 1,
      sym__literal_string,
    STATE(3487), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2955), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [484504] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(11919), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [484522] = 4,
    ACTIONS(14641), 1,
      anon_sym_RPAREN,
    STATE(14482), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [484538] = 6,
    ACTIONS(15759), 1,
      anon_sym_PLUS,
    ACTIONS(15761), 1,
      anon_sym_DASH,
    ACTIONS(15763), 1,
      aux_sym__integer_token1,
    ACTIONS(15767), 1,
      anon_sym_RBRACK,
    STATE(14479), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [484558] = 4,
    ACTIONS(15769), 1,
      anon_sym_RPAREN,
    STATE(14436), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [484574] = 6,
    ACTIONS(15759), 1,
      anon_sym_PLUS,
    ACTIONS(15761), 1,
      anon_sym_DASH,
    ACTIONS(15763), 1,
      aux_sym__integer_token1,
    ACTIONS(15771), 1,
      anon_sym_RBRACK,
    STATE(14397), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [484594] = 5,
    ACTIONS(14504), 1,
      aux_sym__single_quote_string_token1,
    STATE(6593), 1,
      sym__single_quote_string,
    STATE(6736), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14506), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [484612] = 4,
    ACTIONS(11553), 1,
      sym_keyword_on,
    STATE(6673), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15240), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [484628] = 5,
    ACTIONS(14504), 1,
      aux_sym__single_quote_string_token1,
    STATE(6593), 1,
      sym__single_quote_string,
    STATE(6650), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14506), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [484646] = 4,
    ACTIONS(15773), 1,
      anon_sym_RPAREN,
    STATE(14499), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [484662] = 6,
    ACTIONS(15759), 1,
      anon_sym_PLUS,
    ACTIONS(15761), 1,
      anon_sym_DASH,
    ACTIONS(15763), 1,
      aux_sym__integer_token1,
    ACTIONS(15775), 1,
      anon_sym_RBRACK,
    STATE(14208), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [484682] = 4,
    ACTIONS(14810), 1,
      anon_sym_RPAREN,
    STATE(14290), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [484698] = 4,
    ACTIONS(11553), 1,
      sym_keyword_on,
    STATE(8693), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15364), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [484714] = 4,
    ACTIONS(14272), 1,
      sym_keyword_where,
    STATE(9859), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15777), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [484730] = 6,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(12268), 1,
      anon_sym_LPAREN,
    STATE(7475), 1,
      sym_select,
    STATE(7565), 1,
      sym__select_statement,
    STATE(7988), 1,
      sym_set_operation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [484750] = 6,
    ACTIONS(15759), 1,
      anon_sym_PLUS,
    ACTIONS(15761), 1,
      anon_sym_DASH,
    ACTIONS(15763), 1,
      aux_sym__integer_token1,
    ACTIONS(15779), 1,
      anon_sym_RBRACK,
    STATE(14252), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [484770] = 4,
    STATE(1360), 1,
      sym_identifier,
    STATE(10342), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [484786] = 4,
    ACTIONS(15781), 1,
      anon_sym_STAR,
    STATE(4356), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(405), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [484802] = 4,
    ACTIONS(11553), 1,
      sym_keyword_on,
    STATE(6673), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15364), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [484818] = 4,
    STATE(7735), 1,
      sym_identifier,
    STATE(7788), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15783), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [484834] = 4,
    ACTIONS(11553), 1,
      sym_keyword_on,
    STATE(6673), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15504), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [484850] = 4,
    ACTIONS(11553), 1,
      sym_keyword_on,
    STATE(6673), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15512), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [484866] = 4,
    ACTIONS(11553), 1,
      sym_keyword_on,
    STATE(8706), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15438), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [484882] = 5,
    ACTIONS(4276), 1,
      aux_sym__single_quote_string_token1,
    STATE(4381), 1,
      sym__single_quote_string,
    STATE(4444), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4284), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [484900] = 4,
    ACTIONS(11553), 1,
      sym_keyword_on,
    STATE(8707), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15102), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [484916] = 4,
    ACTIONS(11553), 1,
      sym_keyword_on,
    STATE(6673), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15102), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [484932] = 4,
    ACTIONS(11553), 1,
      sym_keyword_on,
    STATE(6673), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15438), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [484948] = 4,
    ACTIONS(15785), 1,
      anon_sym_RPAREN,
    STATE(12362), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [484964] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(6973), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [484980] = 4,
    ACTIONS(11553), 1,
      sym_keyword_on,
    STATE(6673), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15728), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [484996] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15787), 5,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_nulls,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [485008] = 5,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(15789), 1,
      sym_keyword_all,
    STATE(9718), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [485026] = 3,
    ACTIONS(15793), 1,
      sym_keyword_sequence,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15791), 4,
      sym_keyword_table,
      sym_keyword_view,
      sym_keyword_recursive,
      sym_keyword_trigger,
  [485040] = 4,
    ACTIONS(11553), 1,
      sym_keyword_on,
    STATE(8711), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15637), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [485056] = 4,
    ACTIONS(11553), 1,
      sym_keyword_on,
    STATE(8712), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15610), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [485072] = 4,
    ACTIONS(14272), 1,
      sym_keyword_where,
    STATE(10051), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15795), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
  [485088] = 4,
    ACTIONS(15799), 1,
      anon_sym_COMMA,
    STATE(9397), 1,
      aux_sym__rename_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15797), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [485104] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(9793), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [485120] = 4,
    ACTIONS(15799), 1,
      anon_sym_COMMA,
    STATE(9397), 1,
      aux_sym__rename_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15801), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [485136] = 4,
    ACTIONS(15799), 1,
      anon_sym_COMMA,
    STATE(8876), 1,
      aux_sym__rename_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15803), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [485152] = 4,
    ACTIONS(11553), 1,
      sym_keyword_on,
    STATE(6673), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15621), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [485168] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(6979), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [485184] = 4,
    ACTIONS(14272), 1,
      sym_keyword_where,
    STATE(10063), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15805), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
  [485200] = 4,
    ACTIONS(11553), 1,
      sym_keyword_on,
    STATE(8715), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15612), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [485216] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(6980), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [485232] = 4,
    ACTIONS(11553), 1,
      sym_keyword_on,
    STATE(6673), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15612), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [485248] = 4,
    ACTIONS(11553), 1,
      sym_keyword_on,
    STATE(6673), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15610), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [485264] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(6976), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [485280] = 4,
    ACTIONS(15809), 1,
      sym_keyword_cache,
    ACTIONS(15811), 1,
      sym_keyword_noscan,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15807), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [485296] = 4,
    ACTIONS(11553), 1,
      sym_keyword_on,
    STATE(8726), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15484), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [485312] = 3,
    ACTIONS(15815), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15813), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [485326] = 4,
    ACTIONS(14272), 1,
      sym_keyword_where,
    STATE(10072), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15817), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
  [485342] = 4,
    ACTIONS(15819), 1,
      anon_sym_RPAREN,
    STATE(14062), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [485358] = 4,
    ACTIONS(11553), 1,
      sym_keyword_on,
    STATE(6673), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15484), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [485374] = 4,
    STATE(6365), 1,
      sym_object_reference,
    STATE(6454), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14336), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [485390] = 4,
    ACTIONS(11553), 1,
      sym_keyword_on,
    STATE(8731), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15476), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [485406] = 4,
    ACTIONS(11553), 1,
      sym_keyword_on,
    STATE(8732), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15464), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [485422] = 4,
    ACTIONS(14272), 1,
      sym_keyword_where,
    STATE(10079), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15821), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
  [485438] = 4,
    ACTIONS(11553), 1,
      sym_keyword_on,
    STATE(6673), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15464), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [485454] = 4,
    STATE(6369), 1,
      sym_object_reference,
    STATE(6454), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14336), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [485470] = 6,
    ACTIONS(15759), 1,
      anon_sym_PLUS,
    ACTIONS(15761), 1,
      anon_sym_DASH,
    ACTIONS(15763), 1,
      aux_sym__integer_token1,
    ACTIONS(15823), 1,
      anon_sym_RBRACK,
    STATE(14002), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [485490] = 4,
    ACTIONS(14571), 1,
      anon_sym_RPAREN,
    STATE(14000), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [485506] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(8199), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [485522] = 3,
    ACTIONS(15827), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15825), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [485536] = 4,
    ACTIONS(14436), 1,
      sym_keyword_where,
    STATE(11038), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15829), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [485552] = 4,
    ACTIONS(14436), 1,
      sym_keyword_where,
    STATE(10951), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15831), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [485568] = 4,
    STATE(1360), 1,
      sym_identifier,
    STATE(7032), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [485584] = 4,
    ACTIONS(11553), 1,
      sym_keyword_on,
    STATE(8739), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15252), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [485600] = 4,
    ACTIONS(11553), 1,
      sym_keyword_on,
    STATE(6673), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15246), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [485616] = 4,
    ACTIONS(11553), 1,
      sym_keyword_on,
    STATE(8744), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15246), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [485632] = 4,
    ACTIONS(15835), 1,
      sym_keyword_update,
    STATE(10560), 1,
      sym__create_trigger_event,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15833), 3,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_truncate,
  [485648] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(10561), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [485664] = 5,
    ACTIONS(4338), 1,
      aux_sym__single_quote_string_token1,
    STATE(2651), 1,
      sym__single_quote_string,
    STATE(2680), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4346), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [485682] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10253), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [485700] = 4,
    ACTIONS(14272), 1,
      sym_keyword_where,
    STATE(10001), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15837), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
  [485716] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(6977), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [485732] = 3,
    ACTIONS(15841), 1,
      sym_keyword_references,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15839), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [485746] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(14030), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [485762] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(10415), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [485778] = 3,
    ACTIONS(15845), 1,
      sym_keyword_references,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15843), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [485792] = 4,
    ACTIONS(11553), 1,
      sym_keyword_on,
    STATE(8704), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15693), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [485808] = 4,
    STATE(11539), 1,
      sym_direction,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10985), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(15847), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [485824] = 4,
    STATE(6372), 1,
      sym_object_reference,
    STATE(6454), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14336), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [485840] = 5,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(15849), 1,
      sym_keyword_column,
    STATE(10376), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [485858] = 4,
    ACTIONS(14436), 1,
      sym_keyword_where,
    STATE(11169), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15851), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [485874] = 4,
    ACTIONS(15855), 1,
      sym_keyword_inner,
    ACTIONS(15857), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15853), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [485890] = 4,
    STATE(11228), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15090), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(15859), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [485906] = 4,
    ACTIONS(14272), 1,
      sym_keyword_where,
    STATE(10111), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15861), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
  [485922] = 4,
    ACTIONS(11553), 1,
      sym_keyword_on,
    STATE(8754), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15244), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [485938] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15863), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_where,
      sym_keyword_create,
      anon_sym_RPAREN,
  [485950] = 3,
    ACTIONS(15867), 1,
      sym_keyword_cascade,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15865), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [485964] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10275), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [485982] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10290), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [486000] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10264), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [486018] = 4,
    ACTIONS(14436), 1,
      sym_keyword_where,
    STATE(10989), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15869), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [486034] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(14118), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [486050] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(11793), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [486066] = 4,
    ACTIONS(9590), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15871), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(8920), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [486082] = 4,
    ACTIONS(9590), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15871), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(8920), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [486098] = 6,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(12608), 1,
      anon_sym_LPAREN,
    ACTIONS(15873), 1,
      sym_keyword_all,
    STATE(7475), 1,
      sym_select,
    STATE(7573), 1,
      sym__select_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [486118] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(10327), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [486134] = 4,
    ACTIONS(14436), 1,
      sym_keyword_where,
    STATE(10972), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15875), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [486150] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(10334), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [486166] = 4,
    ACTIONS(15835), 1,
      sym_keyword_update,
    STATE(10355), 1,
      sym__create_trigger_event,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15877), 3,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_truncate,
  [486182] = 4,
    ACTIONS(15879), 1,
      anon_sym_RPAREN,
    STATE(13793), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [486198] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(6978), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [486214] = 4,
    ACTIONS(14436), 1,
      sym_keyword_where,
    STATE(10967), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15881), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [486230] = 6,
    ACTIONS(15759), 1,
      anon_sym_PLUS,
    ACTIONS(15761), 1,
      anon_sym_DASH,
    ACTIONS(15763), 1,
      aux_sym__integer_token1,
    ACTIONS(15883), 1,
      anon_sym_RBRACK,
    STATE(13617), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [486250] = 6,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(12608), 1,
      anon_sym_LPAREN,
    STATE(8534), 1,
      sym_select,
    STATE(9424), 1,
      sym__select_statement,
    STATE(13490), 1,
      sym_set_operation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [486270] = 4,
    ACTIONS(14776), 1,
      anon_sym_RPAREN,
    STATE(13609), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [486286] = 6,
    ACTIONS(15885), 1,
      sym_keyword_constraint,
    ACTIONS(15887), 1,
      sym_keyword_temp,
    ACTIONS(15889), 1,
      sym_keyword_temporary,
    ACTIONS(15891), 1,
      sym_keyword_trigger,
    STATE(14586), 1,
      sym__temporary,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [486306] = 6,
    ACTIONS(15893), 1,
      sym_keyword_constraint,
    ACTIONS(15895), 1,
      sym_keyword_temp,
    ACTIONS(15897), 1,
      sym_keyword_temporary,
    ACTIONS(15899), 1,
      sym_keyword_trigger,
    STATE(14584), 1,
      sym__temporary,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [486326] = 5,
    ACTIONS(719), 1,
      sym__identifier,
    ACTIONS(15901), 1,
      sym_keyword_all,
    STATE(6903), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(777), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [486344] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(10628), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [486360] = 4,
    ACTIONS(15905), 1,
      sym_keyword_inner,
    ACTIONS(15907), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15903), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [486376] = 4,
    ACTIONS(14272), 1,
      sym_keyword_where,
    STATE(9907), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15909), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
  [486392] = 5,
    ACTIONS(3612), 1,
      aux_sym__single_quote_string_token1,
    STATE(2079), 1,
      sym__literal_string,
    STATE(2205), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3620), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [486410] = 4,
    ACTIONS(14436), 1,
      sym_keyword_where,
    STATE(10949), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15911), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [486426] = 5,
    ACTIONS(13536), 1,
      sym_keyword_union,
    ACTIONS(15913), 1,
      anon_sym_RPAREN,
    STATE(7588), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13538), 2,
      sym_keyword_except,
      sym_keyword_intersect,
  [486444] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(9001), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [486460] = 6,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(12608), 1,
      anon_sym_LPAREN,
    STATE(8587), 1,
      sym_select,
    STATE(8860), 1,
      sym__select_statement,
    STATE(13819), 1,
      sym_set_operation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [486480] = 6,
    ACTIONS(1472), 1,
      sym_keyword_select,
    ACTIONS(15915), 1,
      sym_keyword_all,
    ACTIONS(15917), 1,
      anon_sym_LPAREN,
    STATE(7513), 1,
      sym_select,
    STATE(7600), 1,
      sym__select_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [486500] = 4,
    ACTIONS(9590), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15919), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(8920), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [486516] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10482), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [486534] = 4,
    ACTIONS(9590), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15919), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(8920), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [486550] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10488), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [486568] = 4,
    ACTIONS(9590), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15921), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(8920), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [486584] = 6,
    ACTIONS(1472), 1,
      sym_keyword_select,
    ACTIONS(12300), 1,
      anon_sym_LPAREN,
    STATE(7513), 1,
      sym_select,
    STATE(7616), 1,
      sym__select_statement,
    STATE(8251), 1,
      sym_set_operation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [486604] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(8576), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [486620] = 4,
    STATE(10887), 1,
      sym__key_value_pair,
    STATE(12566), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [486636] = 5,
    ACTIONS(13536), 1,
      sym_keyword_union,
    ACTIONS(15923), 1,
      anon_sym_RPAREN,
    STATE(7588), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13538), 2,
      sym_keyword_except,
      sym_keyword_intersect,
  [486654] = 4,
    ACTIONS(15781), 1,
      anon_sym_STAR,
    STATE(2670), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(191), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [486670] = 4,
    ACTIONS(14436), 1,
      sym_keyword_where,
    STATE(10933), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15925), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [486686] = 4,
    STATE(8143), 1,
      sym_identifier,
    STATE(11848), 1,
      sym__with_settings,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [486702] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(10584), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [486718] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15927), 5,
      sym_keyword_default,
      sym_keyword_plain,
      sym_keyword_extended,
      sym_keyword_main,
      sym_keyword_external,
  [486730] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15929), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_references,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [486742] = 4,
    ACTIONS(14436), 1,
      sym_keyword_where,
    STATE(10925), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15931), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [486758] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(10596), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [486774] = 4,
    STATE(1360), 1,
      sym_identifier,
    STATE(10742), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [486790] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(14131), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [486806] = 3,
    ACTIONS(15935), 1,
      sym_keyword_references,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15933), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [486820] = 4,
    STATE(1360), 1,
      sym_identifier,
    STATE(10741), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [486836] = 4,
    STATE(1360), 1,
      sym_identifier,
    STATE(10735), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [486852] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(14134), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [486868] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(12167), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [486884] = 5,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(11469), 1,
      sym_keyword_none,
    STATE(10775), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [486902] = 5,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(11469), 1,
      sym_keyword_default,
    STATE(10775), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [486920] = 3,
    ACTIONS(15939), 1,
      sym_keyword_references,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15937), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [486934] = 4,
    STATE(1360), 1,
      sym_identifier,
    STATE(10731), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [486950] = 4,
    ACTIONS(14146), 1,
      anon_sym_COMMA,
    STATE(8177), 1,
      aux_sym__truncate_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15941), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [486966] = 4,
    ACTIONS(15943), 1,
      anon_sym_RPAREN,
    STATE(13531), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [486982] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10648), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [487000] = 4,
    STATE(3575), 1,
      sym_identifier,
    STATE(7364), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(335), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [487016] = 6,
    ACTIONS(15759), 1,
      anon_sym_PLUS,
    ACTIONS(15761), 1,
      anon_sym_DASH,
    ACTIONS(15763), 1,
      aux_sym__integer_token1,
    ACTIONS(15945), 1,
      anon_sym_RBRACK,
    STATE(13485), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [487036] = 4,
    ACTIONS(14589), 1,
      anon_sym_RPAREN,
    STATE(13484), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [487052] = 4,
    STATE(6355), 1,
      sym_object_reference,
    STATE(6454), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14336), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [487068] = 4,
    ACTIONS(14436), 1,
      sym_keyword_where,
    STATE(10842), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15947), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [487084] = 4,
    ACTIONS(14436), 1,
      sym_keyword_where,
    STATE(10891), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15949), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [487100] = 4,
    ACTIONS(15951), 1,
      anon_sym_RPAREN,
    STATE(10921), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [487116] = 6,
    ACTIONS(12662), 1,
      sym_keyword_rename,
    ACTIONS(15953), 1,
      sym_keyword_set,
    ACTIONS(15955), 1,
      sym_keyword_alter,
    ACTIONS(15957), 1,
      sym_keyword_reset,
    STATE(11353), 1,
      sym_rename_object,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [487136] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(10674), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [487152] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(11992), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [487170] = 4,
    ACTIONS(15959), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [487186] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(11830), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [487202] = 4,
    ACTIONS(14436), 1,
      sym_keyword_where,
    STATE(10889), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15961), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [487218] = 4,
    ACTIONS(14436), 1,
      sym_keyword_where,
    STATE(10888), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15963), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [487234] = 3,
    ACTIONS(15967), 1,
      sym_keyword_cascade,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15965), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [487248] = 3,
    ACTIONS(15971), 1,
      sym_keyword_cascade,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15969), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [487262] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(10694), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [487278] = 5,
    ACTIONS(13536), 1,
      sym_keyword_union,
    ACTIONS(15913), 1,
      anon_sym_RPAREN,
    STATE(7588), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13538), 2,
      sym_keyword_except,
      sym_keyword_intersect,
  [487296] = 6,
    ACTIONS(1472), 1,
      sym_keyword_select,
    ACTIONS(15973), 1,
      anon_sym_LPAREN,
    STATE(7513), 1,
      sym_select,
    STATE(7631), 1,
      sym__select_statement,
    STATE(8268), 1,
      sym_set_operation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [487316] = 3,
    ACTIONS(15098), 1,
      sym_keyword_cascade,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15096), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [487330] = 4,
    STATE(1360), 1,
      sym_identifier,
    STATE(7208), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [487346] = 5,
    ACTIONS(13536), 1,
      sym_keyword_union,
    ACTIONS(15975), 1,
      anon_sym_RPAREN,
    STATE(7588), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13538), 2,
      sym_keyword_except,
      sym_keyword_intersect,
  [487364] = 5,
    ACTIONS(3704), 1,
      aux_sym__single_quote_string_token1,
    STATE(4687), 1,
      sym__single_quote_string,
    STATE(4697), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3712), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [487382] = 4,
    STATE(1360), 1,
      sym_identifier,
    STATE(10632), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [487398] = 4,
    STATE(7869), 1,
      sym_object_reference,
    STATE(8186), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(777), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [487414] = 4,
    STATE(7735), 1,
      sym_identifier,
    STATE(7928), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15783), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [487430] = 4,
    ACTIONS(9590), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15977), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(8920), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [487446] = 4,
    STATE(10732), 1,
      sym__key_value_pair,
    STATE(12566), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [487462] = 4,
    ACTIONS(9590), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15977), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(8920), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [487478] = 3,
    ACTIONS(15981), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15979), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [487492] = 4,
    ACTIONS(9590), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15983), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(8920), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [487508] = 5,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(15985), 1,
      sym_keyword_column,
    STATE(10969), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [487526] = 4,
    ACTIONS(15835), 1,
      sym_keyword_update,
    STATE(11842), 1,
      sym__create_trigger_event,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15987), 3,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_truncate,
  [487542] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(10964), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [487558] = 4,
    STATE(1360), 1,
      sym_identifier,
    STATE(10929), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [487574] = 4,
    STATE(9094), 1,
      sym_identifier,
    STATE(11995), 1,
      sym_field,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [487590] = 4,
    ACTIONS(14436), 1,
      sym_keyword_where,
    STATE(10870), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15989), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [487606] = 4,
    ACTIONS(15799), 1,
      anon_sym_COMMA,
    STATE(9397), 1,
      aux_sym__rename_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15991), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [487622] = 4,
    ACTIONS(14436), 1,
      sym_keyword_where,
    STATE(10865), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15993), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [487638] = 4,
    STATE(1360), 1,
      sym_identifier,
    STATE(10591), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [487654] = 4,
    ACTIONS(15799), 1,
      anon_sym_COMMA,
    STATE(9005), 1,
      aux_sym__rename_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15995), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [487670] = 4,
    STATE(1360), 1,
      sym_identifier,
    STATE(10580), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [487686] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(10806), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [487702] = 4,
    STATE(10808), 1,
      sym__key_value_pair,
    STATE(12566), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [487718] = 4,
    STATE(11240), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15480), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(15997), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [487734] = 4,
    STATE(11241), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15490), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(15999), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [487750] = 4,
    ACTIONS(16001), 1,
      anon_sym_RPAREN,
    STATE(13297), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [487766] = 6,
    ACTIONS(15759), 1,
      anon_sym_PLUS,
    ACTIONS(15761), 1,
      anon_sym_DASH,
    ACTIONS(15763), 1,
      aux_sym__integer_token1,
    ACTIONS(16003), 1,
      anon_sym_RBRACK,
    STATE(12954), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [487786] = 4,
    ACTIONS(14643), 1,
      anon_sym_RPAREN,
    STATE(12952), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [487802] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(10461), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [487818] = 4,
    STATE(11231), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15168), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(16005), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [487834] = 4,
    STATE(1360), 1,
      sym_identifier,
    STATE(10707), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [487850] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(10463), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [487866] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(11815), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [487882] = 4,
    ACTIONS(14436), 1,
      sym_keyword_where,
    STATE(10822), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15861), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [487898] = 5,
    ACTIONS(4172), 1,
      aux_sym__single_quote_string_token1,
    STATE(5675), 1,
      sym__literal_string,
    STATE(5722), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4182), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [487916] = 4,
    ACTIONS(14436), 1,
      sym_keyword_where,
    STATE(10811), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15821), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [487932] = 4,
    ACTIONS(14436), 1,
      sym_keyword_where,
    STATE(10810), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15817), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [487948] = 5,
    ACTIONS(14316), 1,
      aux_sym__single_quote_string_token1,
    STATE(6625), 1,
      sym__single_quote_string,
    STATE(6718), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14320), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [487966] = 4,
    ACTIONS(14272), 1,
      sym_keyword_where,
    STATE(10172), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15993), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [487982] = 6,
    ACTIONS(16007), 1,
      sym_keyword_by,
    ACTIONS(16009), 1,
      anon_sym_PLUS,
    ACTIONS(16011), 1,
      anon_sym_DASH,
    ACTIONS(16013), 1,
      aux_sym__integer_token1,
    STATE(7488), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [488002] = 5,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(16015), 1,
      sym_keyword_all,
    STATE(10476), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [488020] = 3,
    ACTIONS(16019), 1,
      sym_keyword_authorization,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16017), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [488034] = 6,
    ACTIONS(16009), 1,
      anon_sym_PLUS,
    ACTIONS(16011), 1,
      anon_sym_DASH,
    ACTIONS(16013), 1,
      aux_sym__integer_token1,
    ACTIONS(16021), 1,
      sym_keyword_with,
    STATE(7491), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [488054] = 5,
    ACTIONS(13536), 1,
      sym_keyword_union,
    ACTIONS(16023), 1,
      anon_sym_RPAREN,
    STATE(7588), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13538), 2,
      sym_keyword_except,
      sym_keyword_intersect,
  [488072] = 4,
    ACTIONS(14436), 1,
      sym_keyword_where,
    STATE(10801), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15805), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [488088] = 4,
    ACTIONS(14436), 1,
      sym_keyword_where,
    STATE(10800), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15795), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [488104] = 4,
    ACTIONS(16025), 1,
      anon_sym_RPAREN,
    STATE(10504), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [488120] = 4,
    ACTIONS(16025), 1,
      anon_sym_RPAREN,
    STATE(12085), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [488136] = 4,
    ACTIONS(9590), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15748), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(8920), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [488152] = 4,
    STATE(3575), 1,
      sym_identifier,
    STATE(7343), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(335), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [488168] = 4,
    STATE(10386), 1,
      sym_identifier,
    STATE(11325), 1,
      sym_set_configuration,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [488184] = 4,
    ACTIONS(9590), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15748), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(8920), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [488200] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(11779), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [488218] = 4,
    STATE(6339), 1,
      sym_object_reference,
    STATE(6454), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14336), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [488234] = 4,
    ACTIONS(14272), 1,
      sym_keyword_where,
    STATE(10157), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15989), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [488250] = 4,
    ACTIONS(16027), 1,
      anon_sym_RPAREN,
    STATE(12562), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [488266] = 4,
    ACTIONS(9578), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15983), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(8681), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [488282] = 4,
    ACTIONS(9590), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15750), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(8920), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [488298] = 4,
    ACTIONS(9578), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15977), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(8681), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [488314] = 4,
    ACTIONS(9578), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15977), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(8681), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [488330] = 4,
    ACTIONS(16029), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15752), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(8920), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [488346] = 6,
    ACTIONS(15759), 1,
      anon_sym_PLUS,
    ACTIONS(15761), 1,
      anon_sym_DASH,
    ACTIONS(15763), 1,
      aux_sym__integer_token1,
    ACTIONS(16032), 1,
      anon_sym_RBRACK,
    STATE(12353), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [488366] = 4,
    ACTIONS(14841), 1,
      anon_sym_RPAREN,
    STATE(12341), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [488382] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(13466), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [488398] = 4,
    ACTIONS(14436), 1,
      sym_keyword_where,
    STATE(10771), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15777), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [488414] = 4,
    STATE(7262), 1,
      sym_identifier,
    STATE(10757), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [488430] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(13302), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [488446] = 5,
    ACTIONS(3972), 1,
      aux_sym__single_quote_string_token1,
    STATE(934), 1,
      sym__single_quote_string,
    STATE(6761), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3980), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [488464] = 6,
    ACTIONS(16009), 1,
      anon_sym_PLUS,
    ACTIONS(16011), 1,
      anon_sym_DASH,
    ACTIONS(16013), 1,
      aux_sym__integer_token1,
    ACTIONS(16034), 1,
      sym_keyword_with,
    STATE(7512), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [488484] = 6,
    ACTIONS(16009), 1,
      anon_sym_PLUS,
    ACTIONS(16011), 1,
      anon_sym_DASH,
    ACTIONS(16013), 1,
      aux_sym__integer_token1,
    ACTIONS(16036), 1,
      sym_keyword_with,
    STATE(7510), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [488504] = 4,
    STATE(7735), 1,
      sym_identifier,
    STATE(7960), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15783), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [488520] = 4,
    STATE(1360), 1,
      sym_identifier,
    STATE(8191), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [488536] = 4,
    ACTIONS(16038), 1,
      anon_sym_RPAREN,
    STATE(13307), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [488552] = 6,
    ACTIONS(12662), 1,
      sym_keyword_rename,
    ACTIONS(16040), 1,
      sym_keyword_set,
    ACTIONS(16042), 1,
      sym_keyword_alter,
    ACTIONS(16044), 1,
      sym_keyword_reset,
    STATE(11320), 1,
      sym_rename_object,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [488572] = 3,
    ACTIONS(16048), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16046), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [488586] = 4,
    STATE(1360), 1,
      sym_identifier,
    STATE(10695), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [488602] = 5,
    ACTIONS(3934), 1,
      aux_sym__single_quote_string_token1,
    STATE(416), 1,
      sym__single_quote_string,
    STATE(4406), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3942), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [488620] = 4,
    ACTIONS(15835), 1,
      sym_keyword_update,
    STATE(10408), 1,
      sym__create_trigger_event,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16050), 3,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_truncate,
  [488636] = 4,
    STATE(7735), 1,
      sym_identifier,
    STATE(7749), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15783), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [488652] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(14160), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [488668] = 4,
    ACTIONS(15835), 1,
      sym_keyword_update,
    STATE(10402), 1,
      sym__create_trigger_event,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16052), 3,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_truncate,
  [488684] = 4,
    STATE(11251), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15639), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(16054), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [488700] = 4,
    ACTIONS(15835), 1,
      sym_keyword_update,
    STATE(10390), 1,
      sym__create_trigger_event,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16056), 3,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_truncate,
  [488716] = 4,
    ACTIONS(15835), 1,
      sym_keyword_update,
    STATE(10384), 1,
      sym__create_trigger_event,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16058), 3,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_truncate,
  [488732] = 4,
    ACTIONS(15835), 1,
      sym_keyword_update,
    STATE(10321), 1,
      sym__create_trigger_event,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16060), 3,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_truncate,
  [488748] = 4,
    ACTIONS(16038), 1,
      anon_sym_RPAREN,
    STATE(10860), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [488764] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(9841), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [488780] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(9313), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [488796] = 6,
    ACTIONS(16062), 1,
      sym_keyword_constraint,
    ACTIONS(16064), 1,
      sym_keyword_temp,
    ACTIONS(16066), 1,
      sym_keyword_temporary,
    ACTIONS(16068), 1,
      sym_keyword_trigger,
    STATE(12809), 1,
      sym__temporary,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [488816] = 6,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(12608), 1,
      anon_sym_LPAREN,
    STATE(8587), 1,
      sym_select,
    STATE(9035), 1,
      sym__select_statement,
    STATE(13724), 1,
      sym_set_operation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [488836] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(12786), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [488852] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(11874), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [488868] = 3,
    ACTIONS(14849), 1,
      sym_keyword_cascade,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14847), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [488882] = 3,
    ACTIONS(16072), 1,
      sym_keyword_cascade,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16070), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [488896] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(8376), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [488912] = 4,
    ACTIONS(15835), 1,
      sym_keyword_update,
    STATE(10294), 1,
      sym__create_trigger_event,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16074), 3,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_truncate,
  [488928] = 4,
    ACTIONS(15835), 1,
      sym_keyword_update,
    STATE(10289), 1,
      sym__create_trigger_event,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16076), 3,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_truncate,
  [488944] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16078), 5,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_nulls,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [488956] = 4,
    ACTIONS(16080), 1,
      anon_sym_RPAREN,
    STATE(12116), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [488972] = 4,
    ACTIONS(14734), 1,
      anon_sym_RPAREN,
    STATE(13718), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [488988] = 6,
    ACTIONS(15759), 1,
      anon_sym_PLUS,
    ACTIONS(15761), 1,
      anon_sym_DASH,
    ACTIONS(15763), 1,
      aux_sym__integer_token1,
    ACTIONS(16082), 1,
      anon_sym_RBRACK,
    STATE(12028), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [489008] = 3,
    ACTIONS(16086), 1,
      sym_keyword_cascade,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16084), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [489022] = 6,
    ACTIONS(15759), 1,
      anon_sym_PLUS,
    ACTIONS(15761), 1,
      anon_sym_DASH,
    ACTIONS(15763), 1,
      aux_sym__integer_token1,
    ACTIONS(16088), 1,
      anon_sym_RBRACK,
    STATE(13717), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [489042] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(9808), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [489058] = 4,
    ACTIONS(14784), 1,
      anon_sym_RPAREN,
    STATE(12030), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [489074] = 3,
    ACTIONS(16092), 1,
      sym_keyword_cascade,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16090), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [489088] = 3,
    ACTIONS(16096), 1,
      sym_keyword_collate,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16094), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [489102] = 4,
    ACTIONS(14436), 1,
      sym_keyword_where,
    STATE(10677), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16098), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [489118] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(13525), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [489134] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16102), 2,
      sym_keyword_after,
      sym_keyword_before,
    ACTIONS(16100), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [489148] = 4,
    ACTIONS(14436), 1,
      sym_keyword_where,
    STATE(10673), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16104), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [489164] = 4,
    ACTIONS(14436), 1,
      sym_keyword_where,
    STATE(10672), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16106), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [489180] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(10901), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [489196] = 4,
    ACTIONS(16108), 1,
      sym__identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16110), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(16112), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [489212] = 4,
    ACTIONS(14436), 1,
      sym_keyword_where,
    STATE(10644), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16114), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [489228] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(10912), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [489244] = 4,
    ACTIONS(14272), 1,
      sym_keyword_where,
    STATE(9654), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16116), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
  [489260] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(10946), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [489276] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(10955), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [489292] = 4,
    STATE(1360), 1,
      sym_identifier,
    STATE(10992), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [489308] = 4,
    ACTIONS(14272), 1,
      sym_keyword_where,
    STATE(10115), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15963), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
  [489324] = 5,
    ACTIONS(3217), 1,
      aux_sym__single_quote_string_token1,
    STATE(2953), 1,
      sym__single_quote_string,
    STATE(7240), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3225), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [489342] = 5,
    ACTIONS(3217), 1,
      aux_sym__single_quote_string_token1,
    STATE(2953), 1,
      sym__single_quote_string,
    STATE(4911), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3225), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [489360] = 4,
    ACTIONS(14272), 1,
      sym_keyword_where,
    STATE(10094), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15961), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
  [489376] = 4,
    ACTIONS(15835), 1,
      sym_keyword_update,
    STATE(10995), 1,
      sym__create_trigger_event,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16118), 3,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_truncate,
  [489392] = 4,
    ACTIONS(15835), 1,
      sym_keyword_update,
    STATE(10272), 1,
      sym__create_trigger_event,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16120), 3,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_truncate,
  [489408] = 4,
    ACTIONS(9590), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16122), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(8920), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [489424] = 4,
    ACTIONS(14272), 1,
      sym_keyword_where,
    STATE(10093), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15949), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
  [489440] = 4,
    ACTIONS(14436), 1,
      sym_keyword_where,
    STATE(10613), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16124), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [489456] = 4,
    ACTIONS(14272), 1,
      sym_keyword_where,
    STATE(10085), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15947), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
  [489472] = 3,
    ACTIONS(16128), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16126), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [489486] = 4,
    ACTIONS(16130), 1,
      anon_sym_RPAREN,
    STATE(11024), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [489502] = 4,
    ACTIONS(15835), 1,
      sym_keyword_update,
    STATE(10271), 1,
      sym__create_trigger_event,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16132), 3,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_truncate,
  [489518] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16134), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      anon_sym_RPAREN,
  [489530] = 5,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(7126), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2499), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [489548] = 4,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(3367), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16136), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [489564] = 4,
    STATE(7262), 1,
      sym_identifier,
    STATE(9960), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [489580] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(11297), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [489596] = 4,
    ACTIONS(14272), 1,
      sym_keyword_where,
    STATE(9487), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16138), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [489612] = 4,
    STATE(7262), 1,
      sym_identifier,
    STATE(11257), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [489628] = 4,
    ACTIONS(16140), 1,
      anon_sym_RPAREN,
    STATE(12081), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [489644] = 4,
    ACTIONS(15799), 1,
      anon_sym_COMMA,
    STATE(9392), 1,
      aux_sym__rename_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16142), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [489660] = 6,
    ACTIONS(15759), 1,
      anon_sym_PLUS,
    ACTIONS(15761), 1,
      anon_sym_DASH,
    ACTIONS(15763), 1,
      aux_sym__integer_token1,
    ACTIONS(16144), 1,
      anon_sym_RBRACK,
    STATE(12113), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [489680] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(9394), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [489696] = 4,
    ACTIONS(14627), 1,
      anon_sym_RPAREN,
    STATE(12114), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [489712] = 4,
    ACTIONS(15799), 1,
      anon_sym_COMMA,
    STATE(9397), 1,
      aux_sym__rename_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16142), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [489728] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(9399), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [489744] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10938), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [489762] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10917), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [489780] = 5,
    ACTIONS(16146), 1,
      sym__identifier,
    ACTIONS(16148), 1,
      sym_keyword_as,
    STATE(8058), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15783), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [489798] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(13539), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [489814] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(13540), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [489830] = 5,
    ACTIONS(211), 1,
      sym__identifier,
    ACTIONS(16150), 1,
      sym_keyword_all,
    STATE(11267), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [489848] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(6693), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [489866] = 5,
    ACTIONS(3029), 1,
      aux_sym__single_quote_string_token1,
    STATE(310), 1,
      sym__single_quote_string,
    STATE(4628), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3037), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [489884] = 4,
    ACTIONS(15835), 1,
      sym_keyword_update,
    STATE(10506), 1,
      sym__create_trigger_event,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16152), 3,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_truncate,
  [489900] = 4,
    ACTIONS(16154), 1,
      sym_keyword_cascade,
    ACTIONS(16156), 1,
      sym_keyword_version,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15392), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [489916] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10898), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [489934] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10895), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [489952] = 4,
    ACTIONS(14436), 1,
      sym_keyword_where,
    STATE(10490), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16158), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [489968] = 4,
    ACTIONS(14436), 1,
      sym_keyword_where,
    STATE(10487), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16160), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [489984] = 4,
    ACTIONS(16162), 1,
      anon_sym_RPAREN,
    STATE(13431), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [490000] = 4,
    ACTIONS(16162), 1,
      anon_sym_RPAREN,
    STATE(10403), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [490016] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10877), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [490034] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(11142), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [490052] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10778), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [490070] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10760), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [490088] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10738), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [490106] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(13551), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [490122] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10723), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [490140] = 4,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    STATE(10436), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15382), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [490156] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16164), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_references,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [490168] = 6,
    ACTIONS(15759), 1,
      anon_sym_PLUS,
    ACTIONS(15761), 1,
      anon_sym_DASH,
    ACTIONS(15763), 1,
      aux_sym__integer_token1,
    ACTIONS(16166), 1,
      anon_sym_RBRACK,
    STATE(14149), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [490188] = 4,
    STATE(6352), 1,
      sym_object_reference,
    STATE(6454), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14336), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [490204] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(13552), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [490220] = 5,
    ACTIONS(13536), 1,
      sym_keyword_union,
    ACTIONS(16168), 1,
      anon_sym_RPAREN,
    STATE(7588), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13538), 2,
      sym_keyword_except,
      sym_keyword_intersect,
  [490238] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(14228), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [490254] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10696), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [490272] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(11553), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [490290] = 4,
    STATE(7262), 1,
      sym_identifier,
    STATE(10092), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [490306] = 4,
    ACTIONS(14716), 1,
      anon_sym_RPAREN,
    STATE(14046), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [490322] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(14237), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [490338] = 3,
    ACTIONS(16172), 1,
      sym_keyword_references,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16170), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [490352] = 4,
    STATE(7262), 1,
      sym_identifier,
    STATE(10110), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [490368] = 4,
    STATE(7262), 1,
      sym_identifier,
    STATE(11275), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [490384] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(8147), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [490400] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10977), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [490418] = 4,
    ACTIONS(16174), 1,
      anon_sym_RPAREN,
    STATE(12232), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [490434] = 3,
    ACTIONS(16178), 1,
      sym_keyword_references,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16176), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [490448] = 4,
    ACTIONS(16180), 1,
      anon_sym_RPAREN,
    STATE(13664), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [490464] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10639), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [490482] = 4,
    ACTIONS(14272), 1,
      sym_keyword_where,
    STATE(9935), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15925), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [490498] = 4,
    STATE(7262), 1,
      sym_identifier,
    STATE(11276), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [490514] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10614), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [490532] = 5,
    ACTIONS(13914), 1,
      sym_keyword_noscan,
    ACTIONS(16182), 1,
      sym_keyword_for,
    ACTIONS(16184), 1,
      sym_keyword_cache,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15432), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [490550] = 6,
    ACTIONS(15759), 1,
      anon_sym_PLUS,
    ACTIONS(15761), 1,
      anon_sym_DASH,
    ACTIONS(15763), 1,
      aux_sym__integer_token1,
    ACTIONS(16186), 1,
      anon_sym_RBRACK,
    STATE(12314), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [490570] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(11053), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [490588] = 4,
    STATE(1360), 1,
      sym_identifier,
    STATE(7045), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [490604] = 4,
    ACTIONS(14718), 1,
      anon_sym_RPAREN,
    STATE(12315), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [490620] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(11329), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [490636] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10600), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [490654] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10595), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [490672] = 4,
    STATE(7735), 1,
      sym_identifier,
    STATE(7768), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15783), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [490688] = 6,
    ACTIONS(12634), 1,
      sym_keyword_rename,
    ACTIONS(16188), 1,
      sym_keyword_set,
    ACTIONS(16190), 1,
      sym_keyword_alter,
    ACTIONS(16192), 1,
      sym_keyword_reset,
    STATE(10515), 1,
      sym_rename_object,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [490708] = 4,
    STATE(7735), 1,
      sym_identifier,
    STATE(7920), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15783), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [490724] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10458), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [490742] = 5,
    ACTIONS(4040), 1,
      aux_sym__single_quote_string_token1,
    STATE(3885), 1,
      sym__single_quote_string,
    STATE(4315), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4048), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [490760] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10495), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [490778] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10471), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [490796] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10331), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [490814] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(13559), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [490830] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10445), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [490848] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(13560), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [490864] = 4,
    ACTIONS(14272), 1,
      sym_keyword_where,
    STATE(9555), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16098), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
  [490880] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(13563), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [490896] = 4,
    ACTIONS(16194), 1,
      sym_keyword_cascade,
    ACTIONS(16196), 1,
      sym_keyword_version,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15096), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [490912] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10431), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [490930] = 4,
    ACTIONS(14436), 1,
      sym_keyword_where,
    STATE(10478), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16198), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [490946] = 6,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(12608), 1,
      anon_sym_LPAREN,
    STATE(8534), 1,
      sym_select,
    STATE(8816), 1,
      sym__select_statement,
    STATE(13534), 1,
      sym_set_operation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [490966] = 4,
    ACTIONS(14436), 1,
      sym_keyword_where,
    STATE(10330), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15909), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [490982] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(13491), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [490998] = 4,
    ACTIONS(14436), 1,
      sym_keyword_where,
    STATE(10224), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15837), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [491014] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10319), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [491032] = 4,
    ACTIONS(14146), 1,
      anon_sym_COMMA,
    STATE(8836), 1,
      aux_sym__truncate_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16200), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [491048] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10299), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [491066] = 4,
    ACTIONS(14146), 1,
      anon_sym_COMMA,
    STATE(8177), 1,
      aux_sym__truncate_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16200), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [491082] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10277), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [491100] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10266), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [491118] = 4,
    STATE(7735), 1,
      sym_identifier,
    STATE(7918), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15783), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [491134] = 4,
    STATE(7735), 1,
      sym_identifier,
    STATE(7910), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15783), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [491150] = 4,
    ACTIONS(14272), 1,
      sym_keyword_where,
    STATE(9938), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15931), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [491166] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10227), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [491184] = 4,
    STATE(7735), 1,
      sym_identifier,
    STATE(7906), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15783), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [491200] = 4,
    ACTIONS(16202), 1,
      anon_sym_RPAREN,
    STATE(12444), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [491216] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16204), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [491228] = 4,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    STATE(10310), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14462), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [491244] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(11773), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [491262] = 6,
    ACTIONS(15759), 1,
      anon_sym_PLUS,
    ACTIONS(15761), 1,
      anon_sym_DASH,
    ACTIONS(15763), 1,
      aux_sym__integer_token1,
    ACTIONS(16206), 1,
      anon_sym_RBRACK,
    STATE(12514), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [491282] = 4,
    ACTIONS(14932), 1,
      anon_sym_RPAREN,
    STATE(12516), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [491298] = 4,
    STATE(7735), 1,
      sym_identifier,
    STATE(7902), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15783), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [491314] = 4,
    STATE(7735), 1,
      sym_identifier,
    STATE(7895), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15783), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [491330] = 4,
    STATE(7262), 1,
      sym_identifier,
    STATE(10185), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [491346] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(8879), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [491362] = 4,
    STATE(7735), 1,
      sym_identifier,
    STATE(7887), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15783), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [491378] = 4,
    ACTIONS(9578), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15921), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(8681), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [491394] = 4,
    ACTIONS(14272), 1,
      sym_keyword_where,
    STATE(9546), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16104), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
  [491410] = 4,
    ACTIONS(9578), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15919), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(8681), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [491426] = 4,
    ACTIONS(9578), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15919), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(8681), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [491442] = 4,
    STATE(7519), 1,
      sym_cte,
    STATE(11481), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [491458] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10282), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [491476] = 4,
    STATE(7262), 1,
      sym_identifier,
    STATE(11290), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [491492] = 4,
    STATE(7735), 1,
      sym_identifier,
    STATE(7881), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15783), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [491508] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10297), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [491526] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(14267), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [491542] = 4,
    STATE(7735), 1,
      sym_identifier,
    STATE(7795), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15783), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [491558] = 4,
    STATE(7262), 1,
      sym_identifier,
    STATE(11291), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [491574] = 4,
    ACTIONS(16210), 1,
      sym_keyword_inner,
    ACTIONS(16212), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16208), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [491590] = 4,
    ACTIONS(16216), 1,
      sym_keyword_inner,
    ACTIONS(16218), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16214), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [491606] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10311), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [491624] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16220), 5,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_nulls,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [491636] = 4,
    ACTIONS(16224), 1,
      sym_keyword_inner,
    ACTIONS(16226), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16222), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [491652] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10316), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [491670] = 4,
    ACTIONS(14272), 1,
      sym_keyword_where,
    STATE(9537), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16106), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
  [491686] = 4,
    STATE(7735), 1,
      sym_identifier,
    STATE(7865), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15783), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [491702] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10328), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [491720] = 5,
    ACTIONS(3934), 1,
      aux_sym__single_quote_string_token1,
    STATE(416), 1,
      sym__single_quote_string,
    STATE(6799), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3942), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [491738] = 4,
    ACTIONS(16228), 1,
      anon_sym_RPAREN,
    STATE(13467), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [491754] = 4,
    ACTIONS(16228), 1,
      anon_sym_RPAREN,
    STATE(10625), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [491770] = 5,
    ACTIONS(13910), 1,
      sym_keyword_noscan,
    ACTIONS(16230), 1,
      sym_keyword_for,
    ACTIONS(16232), 1,
      sym_keyword_cache,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15567), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [491788] = 4,
    ACTIONS(14272), 1,
      sym_keyword_where,
    STATE(9883), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15911), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
  [491804] = 5,
    ACTIONS(4122), 1,
      aux_sym__single_quote_string_token1,
    STATE(2355), 1,
      sym__single_quote_string,
    STATE(2435), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4246), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [491822] = 5,
    ACTIONS(211), 1,
      sym__identifier,
    ACTIONS(16234), 1,
      sym_keyword_all,
    STATE(11295), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [491840] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10395), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [491858] = 4,
    ACTIONS(16238), 1,
      sym_keyword_force,
    ACTIONS(16240), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16236), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [491874] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10410), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [491892] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10424), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [491910] = 4,
    ACTIONS(16244), 1,
      sym_keyword_inner,
    ACTIONS(16246), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16242), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [491926] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10429), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [491944] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(10721), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [491960] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10441), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [491978] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10508), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [491996] = 4,
    ACTIONS(14272), 1,
      sym_keyword_where,
    STATE(9870), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15831), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
  [492012] = 3,
    ACTIONS(16250), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16248), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [492026] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10523), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [492044] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10537), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [492062] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10542), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [492080] = 4,
    STATE(7262), 1,
      sym_identifier,
    STATE(10245), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [492096] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10554), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [492114] = 5,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(16252), 1,
      sym_keyword_all,
    STATE(10670), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [492132] = 4,
    ACTIONS(16254), 1,
      anon_sym_RPAREN,
    STATE(12644), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [492148] = 4,
    ACTIONS(15180), 1,
      sym_keyword_cascade,
    ACTIONS(15184), 1,
      sym_keyword_version,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14847), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [492164] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(10228), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [492180] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10621), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [492198] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10636), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [492216] = 6,
    ACTIONS(15759), 1,
      anon_sym_PLUS,
    ACTIONS(15761), 1,
      anon_sym_DASH,
    ACTIONS(15763), 1,
      aux_sym__integer_token1,
    ACTIONS(16256), 1,
      anon_sym_RBRACK,
    STATE(12720), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [492236] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10650), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [492254] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(8391), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [492270] = 4,
    ACTIONS(15835), 1,
      sym_keyword_update,
    STATE(10703), 1,
      sym__create_trigger_event,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16258), 3,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_truncate,
  [492286] = 4,
    ACTIONS(14788), 1,
      anon_sym_RPAREN,
    STATE(12723), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [492302] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10655), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [492320] = 5,
    ACTIONS(14504), 1,
      aux_sym__single_quote_string_token1,
    STATE(6593), 1,
      sym__single_quote_string,
    STATE(6679), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14506), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [492338] = 4,
    ACTIONS(14436), 1,
      sym_keyword_where,
    STATE(10280), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16116), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [492354] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10667), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [492372] = 6,
    ACTIONS(12634), 1,
      sym_keyword_rename,
    ACTIONS(16260), 1,
      sym_keyword_set,
    ACTIONS(16262), 1,
      sym_keyword_alter,
    ACTIONS(16264), 1,
      sym_keyword_reset,
    STATE(10638), 1,
      sym_rename_object,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [492392] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(8382), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [492408] = 4,
    STATE(6389), 1,
      sym_object_reference,
    STATE(6454), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14336), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [492424] = 3,
    ACTIONS(16268), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16266), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [492438] = 3,
    ACTIONS(16272), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16270), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [492452] = 6,
    ACTIONS(16274), 1,
      sym_keyword_with,
    ACTIONS(16276), 1,
      anon_sym_PLUS,
    ACTIONS(16278), 1,
      anon_sym_DASH,
    ACTIONS(16280), 1,
      aux_sym__integer_token1,
    STATE(7348), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [492472] = 4,
    ACTIONS(16284), 1,
      sym_keyword_inner,
    ACTIONS(16286), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16282), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [492488] = 6,
    ACTIONS(16276), 1,
      anon_sym_PLUS,
    ACTIONS(16278), 1,
      anon_sym_DASH,
    ACTIONS(16280), 1,
      aux_sym__integer_token1,
    ACTIONS(16288), 1,
      sym_keyword_with,
    STATE(7347), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [492508] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(8361), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [492524] = 4,
    ACTIONS(15835), 1,
      sym_keyword_update,
    STATE(10747), 1,
      sym__create_trigger_event,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16290), 3,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_truncate,
  [492540] = 4,
    STATE(7735), 1,
      sym_identifier,
    STATE(7807), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15783), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [492556] = 4,
    ACTIONS(14272), 1,
      sym_keyword_where,
    STATE(9882), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16198), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
  [492572] = 5,
    ACTIONS(14316), 1,
      aux_sym__single_quote_string_token1,
    STATE(6625), 1,
      sym__single_quote_string,
    STATE(6712), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14320), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [492590] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16292), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_where,
      sym_keyword_create,
      anon_sym_RPAREN,
  [492602] = 3,
    ACTIONS(16294), 1,
      sym__identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16296), 4,
      sym__dollar_quoted_string,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
  [492616] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10734), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [492634] = 5,
    ACTIONS(4092), 1,
      aux_sym__single_quote_string_token1,
    STATE(5895), 1,
      sym__single_quote_string,
    STATE(5970), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4102), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [492652] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(7126), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [492670] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(14322), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [492686] = 5,
    ACTIONS(211), 1,
      sym__identifier,
    ACTIONS(16298), 1,
      sym_keyword_all,
    STATE(11324), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [492704] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10749), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [492722] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10763), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [492740] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10768), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [492758] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10780), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [492776] = 4,
    ACTIONS(14436), 1,
      sym_keyword_where,
    STATE(10309), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16138), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [492792] = 4,
    ACTIONS(9092), 1,
      sym_keyword_limit,
    STATE(10326), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13803), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [492808] = 6,
    ACTIONS(13875), 1,
      sym_keyword_select,
    ACTIONS(15973), 1,
      anon_sym_LPAREN,
    STATE(7739), 1,
      sym_select,
    STATE(8046), 1,
      sym__select_statement,
    STATE(8268), 1,
      sym_set_operation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [492828] = 5,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(16300), 1,
      sym_keyword_column,
    STATE(10557), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [492846] = 4,
    STATE(6341), 1,
      sym_object_reference,
    STATE(6454), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14336), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [492862] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(14323), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [492878] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10833), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [492896] = 6,
    ACTIONS(12300), 1,
      anon_sym_LPAREN,
    ACTIONS(13875), 1,
      sym_keyword_select,
    STATE(7739), 1,
      sym_select,
    STATE(8040), 1,
      sym__select_statement,
    STATE(8251), 1,
      sym_set_operation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [492916] = 3,
    ACTIONS(16304), 1,
      sym_keyword_references,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16302), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [492930] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(10387), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [492946] = 6,
    ACTIONS(13875), 1,
      sym_keyword_select,
    ACTIONS(15917), 1,
      anon_sym_LPAREN,
    ACTIONS(16306), 1,
      sym_keyword_all,
    STATE(7600), 1,
      sym__select_statement,
    STATE(7739), 1,
      sym_select,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [492966] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10848), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [492984] = 5,
    ACTIONS(16308), 1,
      sym_keyword_partition,
    ACTIONS(16310), 1,
      anon_sym_LPAREN,
    STATE(11307), 1,
      sym__partition_spec,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15148), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [493002] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10862), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [493020] = 5,
    ACTIONS(3029), 1,
      aux_sym__single_quote_string_token1,
    STATE(310), 1,
      sym__single_quote_string,
    STATE(6920), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3037), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [493038] = 3,
    ACTIONS(16314), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16312), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [493052] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10867), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [493070] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10879), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [493088] = 4,
    STATE(10543), 1,
      sym_set_configuration,
    STATE(10544), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [493104] = 4,
    STATE(7262), 1,
      sym_identifier,
    STATE(10153), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [493120] = 4,
    STATE(10386), 1,
      sym_identifier,
    STATE(11268), 1,
      sym_set_configuration,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [493136] = 4,
    ACTIONS(16318), 1,
      sym_keyword_inner,
    ACTIONS(16320), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16316), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [493152] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(8357), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [493168] = 4,
    STATE(11310), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15030), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(16322), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [493184] = 6,
    ACTIONS(16324), 1,
      sym_keyword_constraint,
    ACTIONS(16326), 1,
      sym_keyword_temp,
    ACTIONS(16328), 1,
      sym_keyword_temporary,
    ACTIONS(16330), 1,
      sym_keyword_trigger,
    STATE(12101), 1,
      sym__temporary,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [493204] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10932), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [493222] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16332), 5,
      sym_keyword_default,
      sym_keyword_plain,
      sym_keyword_extended,
      sym_keyword_main,
      sym_keyword_external,
  [493234] = 4,
    ACTIONS(16336), 1,
      sym_keyword_force,
    ACTIONS(16338), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16334), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [493250] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10947), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [493268] = 4,
    ACTIONS(14272), 1,
      sym_keyword_where,
    STATE(9799), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15881), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [493284] = 4,
    ACTIONS(15835), 1,
      sym_keyword_update,
    STATE(10529), 1,
      sym__create_trigger_event,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16340), 3,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_truncate,
  [493300] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10961), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [493318] = 4,
    STATE(11312), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15006), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(16342), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [493334] = 4,
    ACTIONS(14272), 1,
      sym_keyword_where,
    STATE(9519), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16114), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
  [493350] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10966), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [493368] = 4,
    ACTIONS(14272), 1,
      sym_keyword_where,
    STATE(9779), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15875), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [493384] = 4,
    ACTIONS(16344), 1,
      anon_sym_RPAREN,
    STATE(12843), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [493400] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(10978), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [493418] = 4,
    STATE(1360), 1,
      sym_identifier,
    STATE(8213), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [493434] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(11510), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [493450] = 5,
    ACTIONS(127), 1,
      sym__identifier,
    ACTIONS(16346), 1,
      sym_keyword_all,
    STATE(6883), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(191), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [493468] = 4,
    ACTIONS(9578), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15871), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(8681), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [493484] = 4,
    ACTIONS(9578), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15871), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(8681), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [493500] = 4,
    ACTIONS(14272), 1,
      sym_keyword_where,
    STATE(10146), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16160), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
  [493516] = 5,
    ACTIONS(14504), 1,
      aux_sym__single_quote_string_token1,
    STATE(6593), 1,
      sym__single_quote_string,
    STATE(6663), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14506), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [493534] = 6,
    ACTIONS(15759), 1,
      anon_sym_PLUS,
    ACTIONS(15761), 1,
      anon_sym_DASH,
    ACTIONS(15763), 1,
      aux_sym__integer_token1,
    ACTIONS(16348), 1,
      anon_sym_RBRACK,
    STATE(12936), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [493554] = 4,
    STATE(11314), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15020), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(16350), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [493570] = 4,
    ACTIONS(14272), 1,
      sym_keyword_where,
    STATE(10192), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16158), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
  [493586] = 4,
    ACTIONS(14792), 1,
      anon_sym_RPAREN,
    STATE(12937), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [493602] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(12017), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [493618] = 4,
    STATE(7725), 1,
      sym_cte,
    STATE(11481), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [493634] = 4,
    STATE(11315), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15054), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(16352), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [493650] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(11624), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [493666] = 4,
    STATE(11343), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15078), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(16354), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [493682] = 5,
    ACTIONS(211), 1,
      sym__identifier,
    ACTIONS(16356), 1,
      sym_keyword_all,
    STATE(11318), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [493700] = 4,
    ACTIONS(16358), 1,
      anon_sym_RPAREN,
    STATE(10370), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [493716] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(10356), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [493732] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(11857), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [493748] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(14342), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [493764] = 3,
    ACTIONS(16360), 1,
      sym_keyword_sequence,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15791), 4,
      sym_keyword_table,
      sym_keyword_view,
      sym_keyword_recursive,
      sym_keyword_trigger,
  [493778] = 4,
    STATE(6340), 1,
      sym_object_reference,
    STATE(6454), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14336), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [493794] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(8536), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [493810] = 4,
    ACTIONS(16362), 1,
      anon_sym_STAR,
    STATE(4893), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(841), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [493826] = 3,
    ACTIONS(16364), 1,
      sym__identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16366), 4,
      sym__dollar_quoted_string,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
  [493840] = 4,
    STATE(1360), 1,
      sym_identifier,
    STATE(7229), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [493856] = 3,
    ACTIONS(16370), 1,
      sym_keyword_authorization,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16368), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [493870] = 3,
    ACTIONS(16374), 1,
      sym_keyword_cascade,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16372), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [493884] = 4,
    ACTIONS(14272), 1,
      sym_keyword_where,
    STATE(9579), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15869), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
  [493900] = 3,
    ACTIONS(15394), 1,
      sym_keyword_cascade,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15392), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [493914] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(11031), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [493932] = 4,
    ACTIONS(15835), 1,
      sym_keyword_update,
    STATE(11094), 1,
      sym__create_trigger_event,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16376), 3,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_truncate,
  [493948] = 5,
    ACTIONS(2787), 1,
      aux_sym__single_quote_string_token1,
    STATE(784), 1,
      sym__literal_string,
    STATE(796), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3664), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [493966] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(11046), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [493984] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(11060), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [494002] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(11065), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [494020] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(11077), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [494038] = 5,
    ACTIONS(211), 1,
      sym__identifier,
    ACTIONS(11494), 1,
      sym_keyword_default,
    STATE(11327), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [494056] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14653), 5,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_cascade,
      sym_keyword_restrict,
      anon_sym_COMMA,
  [494068] = 5,
    ACTIONS(10824), 1,
      aux_sym__single_quote_string_token1,
    STATE(87), 1,
      sym__single_quote_string,
    STATE(6693), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10826), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [494086] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(3977), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [494104] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(10469), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [494120] = 4,
    STATE(7735), 1,
      sym_identifier,
    STATE(7822), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15783), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [494136] = 4,
    ACTIONS(14436), 1,
      sym_keyword_where,
    STATE(10585), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16378), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [494152] = 4,
    STATE(1360), 1,
      sym_identifier,
    STATE(10453), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [494168] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(11130), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [494186] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(11145), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [494204] = 4,
    STATE(1360), 1,
      sym_identifier,
    STATE(10774), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [494220] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(11159), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [494238] = 6,
    ACTIONS(16276), 1,
      anon_sym_PLUS,
    ACTIONS(16278), 1,
      anon_sym_DASH,
    ACTIONS(16280), 1,
      aux_sym__integer_token1,
    ACTIONS(16380), 1,
      sym_keyword_with,
    STATE(7285), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [494258] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(11164), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [494276] = 6,
    ACTIONS(16276), 1,
      anon_sym_PLUS,
    ACTIONS(16278), 1,
      anon_sym_DASH,
    ACTIONS(16280), 1,
      aux_sym__integer_token1,
    ACTIONS(16382), 1,
      sym_keyword_by,
    STATE(7283), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [494296] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(11176), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [494314] = 3,
    ACTIONS(16386), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16384), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [494328] = 4,
    ACTIONS(15835), 1,
      sym_keyword_update,
    STATE(11072), 1,
      sym__create_trigger_event,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16388), 3,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_truncate,
  [494344] = 4,
    ACTIONS(14272), 1,
      sym_keyword_where,
    STATE(9442), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15851), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [494360] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(12064), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [494376] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16390), 5,
      sym_keyword_default,
      sym_keyword_plain,
      sym_keyword_extended,
      sym_keyword_main,
      sym_keyword_external,
  [494388] = 4,
    ACTIONS(16392), 1,
      anon_sym_RPAREN,
    STATE(10442), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [494404] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15260), 5,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_when,
      sym_keyword_returning,
  [494416] = 4,
    ACTIONS(16394), 1,
      anon_sym_RPAREN,
    STATE(11025), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [494432] = 4,
    STATE(7262), 1,
      sym_identifier,
    STATE(11313), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [494448] = 5,
    ACTIONS(14504), 1,
      aux_sym__single_quote_string_token1,
    STATE(6593), 1,
      sym__single_quote_string,
    STATE(6657), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14506), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [494466] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(11214), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [494484] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(11207), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [494502] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(11194), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [494520] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(11192), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [494538] = 5,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(16396), 1,
      sym_keyword_all,
    STATE(9715), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [494556] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(11186), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [494574] = 4,
    STATE(7262), 1,
      sym_identifier,
    STATE(9962), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [494590] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(14354), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [494606] = 4,
    STATE(7262), 1,
      sym_identifier,
    STATE(9199), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [494622] = 4,
    STATE(7735), 1,
      sym_identifier,
    STATE(7937), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15783), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [494638] = 5,
    ACTIONS(16308), 1,
      sym_keyword_partition,
    ACTIONS(16398), 1,
      anon_sym_LPAREN,
    STATE(11331), 1,
      sym__partition_spec,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15044), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [494656] = 4,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(3367), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16400), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [494672] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(11154), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [494690] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(11151), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [494708] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(11149), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [494726] = 5,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(11514), 1,
      sym_keyword_default,
    STATE(10417), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [494744] = 4,
    ACTIONS(16402), 1,
      anon_sym_RPAREN,
    STATE(13067), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [494760] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(11147), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [494778] = 4,
    STATE(11338), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15026), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(16404), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [494794] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(11143), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [494812] = 6,
    ACTIONS(15759), 1,
      anon_sym_PLUS,
    ACTIONS(15761), 1,
      anon_sym_DASH,
    ACTIONS(15763), 1,
      aux_sym__integer_token1,
    ACTIONS(16406), 1,
      anon_sym_RBRACK,
    STATE(13165), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [494832] = 4,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(3367), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16408), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [494848] = 4,
    STATE(10544), 1,
      sym_identifier,
    STATE(10819), 1,
      sym_set_configuration,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [494864] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(8422), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [494880] = 4,
    ACTIONS(14146), 1,
      anon_sym_COMMA,
    STATE(9085), 1,
      aux_sym__truncate_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16410), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [494896] = 4,
    ACTIONS(14680), 1,
      anon_sym_RPAREN,
    STATE(13172), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [494912] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(9083), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [494928] = 4,
    ACTIONS(14772), 1,
      sym_keyword_from,
    STATE(7614), 1,
      sym_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13427), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [494944] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(12513), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [494960] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(12520), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [494976] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(12524), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [494992] = 4,
    STATE(11341), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14940), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(16412), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [495008] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(12525), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [495024] = 3,
    ACTIONS(16416), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16414), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [495038] = 4,
    STATE(7262), 1,
      sym_identifier,
    STATE(9219), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [495054] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(12526), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [495070] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(11136), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [495088] = 5,
    ACTIONS(14316), 1,
      aux_sym__single_quote_string_token1,
    STATE(6625), 1,
      sym__single_quote_string,
    STATE(6686), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14320), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [495106] = 5,
    ACTIONS(14316), 1,
      aux_sym__single_quote_string_token1,
    STATE(6625), 1,
      sym__single_quote_string,
    STATE(6816), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14320), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [495124] = 4,
    STATE(11342), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14966), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(16418), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [495140] = 5,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(16420), 1,
      sym_keyword_all,
    STATE(10836), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [495158] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(12417), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [495174] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(12563), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [495190] = 4,
    STATE(7262), 1,
      sym_identifier,
    STATE(9233), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [495206] = 4,
    STATE(11346), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14980), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(16422), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [495222] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(12575), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [495238] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(11111), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [495256] = 4,
    STATE(7262), 1,
      sym_identifier,
    STATE(9238), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [495272] = 4,
    STATE(11345), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14990), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(16424), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [495288] = 4,
    STATE(7262), 1,
      sym_identifier,
    STATE(9240), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [495304] = 4,
    ACTIONS(14272), 1,
      sym_keyword_where,
    STATE(10114), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16378), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [495320] = 4,
    ACTIONS(16362), 1,
      anon_sym_STAR,
    STATE(4645), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(275), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [495336] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(12463), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [495352] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(12588), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [495368] = 4,
    STATE(10960), 1,
      sym__key_value_pair,
    STATE(12566), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [495384] = 4,
    ACTIONS(16426), 1,
      sym_keyword_as,
    ACTIONS(16428), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15426), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [495400] = 5,
    ACTIONS(211), 1,
      sym__identifier,
    ACTIONS(11500), 1,
      sym_keyword_default,
    STATE(11358), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [495418] = 5,
    ACTIONS(211), 1,
      sym__identifier,
    ACTIONS(11500), 1,
      sym_keyword_none,
    STATE(11358), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [495436] = 4,
    STATE(7262), 1,
      sym_identifier,
    STATE(9264), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [495452] = 3,
    ACTIONS(16432), 1,
      sym_keyword_references,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16430), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [495466] = 5,
    ACTIONS(14504), 1,
      aux_sym__single_quote_string_token1,
    STATE(6593), 1,
      sym__single_quote_string,
    STATE(6756), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14506), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [495484] = 5,
    ACTIONS(3764), 1,
      aux_sym__single_quote_string_token1,
    STATE(4367), 1,
      sym__single_quote_string,
    STATE(4410), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3772), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [495502] = 4,
    STATE(7262), 1,
      sym_identifier,
    STATE(9809), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [495518] = 4,
    STATE(7262), 1,
      sym_identifier,
    STATE(9299), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [495534] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(10997), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [495550] = 6,
    ACTIONS(12608), 1,
      anon_sym_LPAREN,
    ACTIONS(13851), 1,
      sym_keyword_select,
    ACTIONS(16434), 1,
      sym_keyword_all,
    STATE(7573), 1,
      sym__select_statement,
    STATE(7657), 1,
      sym_select,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [495570] = 4,
    STATE(7262), 1,
      sym_identifier,
    STATE(10767), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [495586] = 6,
    ACTIONS(12268), 1,
      anon_sym_LPAREN,
    ACTIONS(13851), 1,
      sym_keyword_select,
    STATE(7657), 1,
      sym_select,
    STATE(7924), 1,
      sym__select_statement,
    STATE(7988), 1,
      sym_set_operation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [495606] = 4,
    STATE(7262), 1,
      sym_identifier,
    STATE(9344), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [495622] = 5,
    ACTIONS(211), 1,
      sym__identifier,
    ACTIONS(16436), 1,
      sym_keyword_none,
    STATE(11373), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [495640] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(11596), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [495656] = 5,
    ACTIONS(51), 1,
      sym__identifier,
    ACTIONS(16438), 1,
      sym_keyword_none,
    STATE(10850), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [495674] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(12632), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [495690] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(14394), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [495706] = 5,
    ACTIONS(2491), 1,
      aux_sym__single_quote_string_token1,
    STATE(781), 1,
      sym__single_quote_string,
    STATE(2703), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2499), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [495724] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16442), 2,
      sym_keyword_after,
      sym_keyword_before,
    ACTIONS(16440), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [495738] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(6967), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [495754] = 6,
    ACTIONS(13851), 1,
      sym_keyword_select,
    ACTIONS(16444), 1,
      anon_sym_LPAREN,
    STATE(7657), 1,
      sym_select,
    STATE(7876), 1,
      sym__select_statement,
    STATE(8029), 1,
      sym_set_operation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [495774] = 4,
    ACTIONS(16446), 1,
      anon_sym_RPAREN,
    STATE(10940), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [495790] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(13628), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [495806] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(10942), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [495822] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(10725), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [495838] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(11669), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [495854] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(14360), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [495870] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(12119), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [495886] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(14395), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [495902] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(6985), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [495918] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16448), 5,
      sym_keyword_default,
      sym_keyword_plain,
      sym_keyword_extended,
      sym_keyword_main,
      sym_keyword_external,
  [495930] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(12762), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [495946] = 4,
    ACTIONS(16450), 1,
      anon_sym_RPAREN,
    STATE(13334), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [495962] = 4,
    ACTIONS(16454), 1,
      sym_keyword_cache,
    ACTIONS(16456), 1,
      sym_keyword_noscan,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16452), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [495978] = 4,
    ACTIONS(16458), 1,
      anon_sym_RPAREN,
    STATE(11051), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [495994] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(10863), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [496010] = 5,
    ACTIONS(3029), 1,
      aux_sym__single_quote_string_token1,
    STATE(310), 1,
      sym__single_quote_string,
    STATE(7240), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3037), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [496028] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(11049), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [496044] = 6,
    ACTIONS(15759), 1,
      anon_sym_PLUS,
    ACTIONS(15761), 1,
      anon_sym_DASH,
    ACTIONS(15763), 1,
      aux_sym__integer_token1,
    ACTIONS(16460), 1,
      anon_sym_RBRACK,
    STATE(13373), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [496064] = 4,
    STATE(1360), 1,
      sym_identifier,
    STATE(8174), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [496080] = 4,
    ACTIONS(14752), 1,
      anon_sym_RPAREN,
    STATE(13375), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13918), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [496096] = 5,
    ACTIONS(13536), 1,
      sym_keyword_union,
    ACTIONS(16023), 1,
      anon_sym_RPAREN,
    STATE(7588), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13538), 2,
      sym_keyword_except,
      sym_keyword_intersect,
  [496114] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(10856), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [496130] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(11730), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [496146] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(13506), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [496162] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(14390), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [496178] = 4,
    ACTIONS(15799), 1,
      anon_sym_COMMA,
    STATE(9397), 1,
      aux_sym__rename_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16462), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [496194] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(8725), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [496210] = 4,
    ACTIONS(15799), 1,
      anon_sym_COMMA,
    STATE(8724), 1,
      aux_sym__rename_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16462), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [496226] = 6,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(16444), 1,
      anon_sym_LPAREN,
    STATE(7475), 1,
      sym_select,
    STATE(7550), 1,
      sym__select_statement,
    STATE(8029), 1,
      sym_set_operation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [496246] = 4,
    ACTIONS(15781), 1,
      anon_sym_STAR,
    STATE(3451), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1023), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [496262] = 4,
    ACTIONS(16466), 1,
      anon_sym_COMMA,
    STATE(9397), 1,
      aux_sym__rename_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16464), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [496278] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(6964), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [496294] = 4,
    ACTIONS(15799), 1,
      anon_sym_COMMA,
    STATE(8722), 1,
      aux_sym__rename_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16469), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [496310] = 4,
    ACTIONS(16471), 1,
      anon_sym_COMMA,
    STATE(9420), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13310), 3,
      sym_keyword_from,
      sym_keyword_create,
      anon_sym_RPAREN,
  [496326] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(14384), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [496342] = 4,
    ACTIONS(16473), 1,
      anon_sym_RPAREN,
    STATE(10913), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [496358] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(7272), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [496376] = 5,
    ACTIONS(14504), 1,
      aux_sym__single_quote_string_token1,
    STATE(6593), 1,
      sym__single_quote_string,
    STATE(6747), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14506), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [496394] = 4,
    ACTIONS(16475), 1,
      sym_keyword_from,
    STATE(14401), 1,
      sym_index_hint,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8869), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
  [496410] = 4,
    ACTIONS(9578), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16122), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(8681), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [496426] = 4,
    STATE(7735), 1,
      sym_identifier,
    STATE(7858), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15783), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [496442] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(10714), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [496458] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(129), 1,
      sym__single_quote_string,
    STATE(11521), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3101), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [496476] = 5,
    ACTIONS(3972), 1,
      aux_sym__single_quote_string_token1,
    STATE(934), 1,
      sym__single_quote_string,
    STATE(6386), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3980), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [496494] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(11546), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [496510] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(14382), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [496526] = 4,
    STATE(7735), 1,
      sym_identifier,
    STATE(7842), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15783), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [496542] = 3,
    ACTIONS(16479), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16477), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [496556] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(10792), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [496572] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(10788), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [496588] = 4,
    ACTIONS(16481), 1,
      anon_sym_RPAREN,
    STATE(11178), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [496604] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(11782), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [496620] = 4,
    ACTIONS(16483), 1,
      anon_sym_COMMA,
    STATE(9419), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13328), 3,
      sym_keyword_from,
      sym_keyword_create,
      anon_sym_RPAREN,
  [496636] = 4,
    ACTIONS(16471), 1,
      anon_sym_COMMA,
    STATE(9419), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13007), 3,
      sym_keyword_from,
      sym_keyword_create,
      anon_sym_RPAREN,
  [496652] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(10758), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [496668] = 4,
    STATE(6381), 1,
      sym_object_reference,
    STATE(6454), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14336), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [496684] = 4,
    STATE(7735), 1,
      sym_identifier,
    STATE(7848), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15783), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [496700] = 5,
    ACTIONS(13536), 1,
      sym_keyword_union,
    ACTIONS(16486), 1,
      anon_sym_RPAREN,
    STATE(7588), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13538), 2,
      sym_keyword_except,
      sym_keyword_intersect,
  [496718] = 4,
    STATE(6380), 1,
      sym_object_reference,
    STATE(6454), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14336), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [496734] = 5,
    ACTIONS(14316), 1,
      aux_sym__single_quote_string_token1,
    STATE(6625), 1,
      sym__single_quote_string,
    STATE(6705), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14320), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [496752] = 5,
    ACTIONS(14316), 1,
      aux_sym__single_quote_string_token1,
    STATE(6625), 1,
      sym__single_quote_string,
    STATE(6813), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14320), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [496770] = 4,
    ACTIONS(16488), 1,
      anon_sym_RPAREN,
    STATE(10970), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [496786] = 4,
    STATE(6414), 1,
      sym_identifier,
    STATE(14374), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [496802] = 4,
    STATE(6379), 1,
      sym_object_reference,
    STATE(6454), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14336), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [496818] = 4,
    ACTIONS(14272), 1,
      sym_keyword_where,
    STATE(9529), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15829), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [496834] = 4,
    STATE(1360), 1,
      sym_identifier,
    STATE(7699), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [496850] = 4,
    ACTIONS(14272), 1,
      sym_keyword_where,
    STATE(9486), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16124), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [496866] = 5,
    ACTIONS(14316), 1,
      aux_sym__single_quote_string_token1,
    STATE(6625), 1,
      sym__single_quote_string,
    STATE(6823), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14320), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [496884] = 3,
    STATE(8629), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [496897] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11193), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_collate,
  [496908] = 4,
    ACTIONS(16490), 1,
      sym_keyword_set,
    ACTIONS(16494), 1,
      sym_keyword_no,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16492), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [496923] = 4,
    ACTIONS(14750), 1,
      sym_keyword_where,
    STATE(9442), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15851), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [496938] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11189), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_collate,
  [496949] = 3,
    STATE(2464), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(399), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [496962] = 3,
    STATE(12956), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [496975] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16496), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [496986] = 3,
    STATE(8796), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [496999] = 3,
    STATE(11078), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497012] = 4,
    ACTIONS(16500), 1,
      sym_keyword_check,
    STATE(9983), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16498), 2,
      sym_keyword_cascaded,
      sym_keyword_local,
  [497027] = 3,
    STATE(11080), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497040] = 3,
    STATE(6508), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14336), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497053] = 3,
    STATE(6550), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497066] = 4,
    ACTIONS(16504), 1,
      sym_keyword_check,
    STATE(11020), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16502), 2,
      sym_keyword_cascaded,
      sym_keyword_local,
  [497081] = 3,
    STATE(5742), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(777), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497094] = 4,
    ACTIONS(16508), 1,
      sym_keyword_returning,
    STATE(11167), 1,
      sym_returning,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16506), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [497109] = 5,
    ACTIONS(16510), 1,
      anon_sym_RPAREN,
    ACTIONS(16512), 1,
      anon_sym_COMMA,
    STATE(10392), 1,
      aux_sym_column_definitions_repeat1,
    STATE(12574), 1,
      sym_constraints,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [497126] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16514), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [497137] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16516), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_when,
      anon_sym_RPAREN,
  [497148] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16518), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_when,
      anon_sym_RPAREN,
  [497159] = 4,
    ACTIONS(14750), 1,
      sym_keyword_where,
    STATE(9529), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15829), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [497174] = 4,
    ACTIONS(16504), 1,
      sym_keyword_check,
    STATE(10981), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16520), 2,
      sym_keyword_cascaded,
      sym_keyword_local,
  [497189] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16522), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [497200] = 5,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(9039), 1,
      sym_keyword_else,
    ACTIONS(9041), 1,
      sym_keyword_end,
    STATE(9540), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [497217] = 3,
    STATE(5538), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(777), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497230] = 3,
    STATE(3527), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1347), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497243] = 4,
    ACTIONS(14750), 1,
      sym_keyword_where,
    STATE(9579), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15869), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
  [497258] = 5,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(10103), 1,
      sym_keyword_end,
    ACTIONS(16524), 1,
      sym_keyword_else,
    STATE(9540), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [497275] = 4,
    ACTIONS(16504), 1,
      sym_keyword_check,
    STATE(11048), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16526), 2,
      sym_keyword_cascaded,
      sym_keyword_local,
  [497290] = 3,
    ACTIONS(16530), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16528), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [497303] = 3,
    STATE(2774), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(335), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497316] = 3,
    STATE(7315), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497329] = 3,
    ACTIONS(16534), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16532), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [497342] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16536), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [497353] = 3,
    STATE(4727), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(525), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497366] = 3,
    STATE(12722), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497379] = 5,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(10069), 1,
      sym_keyword_end,
    ACTIONS(16538), 1,
      sym_keyword_else,
    STATE(9540), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [497396] = 3,
    STATE(4725), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(525), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497409] = 5,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(9136), 1,
      sym_keyword_else,
    ACTIONS(9138), 1,
      sym_keyword_end,
    STATE(9540), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [497426] = 5,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(9150), 1,
      sym_keyword_else,
    ACTIONS(9152), 1,
      sym_keyword_end,
    STATE(9540), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [497443] = 5,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(10359), 1,
      sym_keyword_end,
    ACTIONS(16540), 1,
      sym_keyword_else,
    STATE(9540), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [497460] = 3,
    STATE(2774), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(777), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497473] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16542), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [497484] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16544), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [497495] = 4,
    ACTIONS(9526), 1,
      sym_keyword_when,
    ACTIONS(16122), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9602), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [497510] = 3,
    STATE(2231), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(709), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497523] = 3,
    STATE(2269), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(709), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497536] = 3,
    ACTIONS(16548), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16546), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [497549] = 3,
    STATE(4198), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(275), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497562] = 3,
    STATE(2689), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(465), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497575] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15777), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [497586] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16550), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [497597] = 3,
    STATE(2599), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(465), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497610] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16552), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [497621] = 3,
    STATE(6366), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497634] = 3,
    STATE(4436), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(585), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497647] = 5,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(12608), 1,
      anon_sym_LPAREN,
    STATE(7475), 1,
      sym_select,
    STATE(7571), 1,
      sym__select_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [497664] = 3,
    STATE(913), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(907), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497677] = 3,
    STATE(4395), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(585), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497690] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11207), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_collate,
  [497701] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10572), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [497712] = 3,
    STATE(4453), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(645), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497725] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16554), 2,
      sym_keyword_begin,
      sym__identifier,
    ACTIONS(16556), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [497738] = 5,
    ACTIONS(12608), 1,
      anon_sym_LPAREN,
    ACTIONS(16558), 1,
      sym_keyword_select,
    STATE(8650), 1,
      sym_select,
    STATE(10078), 1,
      sym__select_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [497755] = 3,
    STATE(4550), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(645), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497768] = 3,
    STATE(913), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(777), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497781] = 3,
    STATE(6759), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14336), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497794] = 3,
    STATE(2774), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497807] = 3,
    STATE(5741), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(841), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497820] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16560), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [497831] = 5,
    ACTIONS(16562), 1,
      anon_sym_RPAREN,
    ACTIONS(16564), 1,
      anon_sym_COMMA,
    ACTIONS(16566), 1,
      anon_sym_EQ,
    STATE(10500), 1,
      aux_sym_storage_parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [497848] = 3,
    STATE(4039), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(585), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497861] = 4,
    ACTIONS(14750), 1,
      sym_keyword_where,
    STATE(9779), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15875), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [497876] = 3,
    ACTIONS(16568), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13589), 3,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [497889] = 3,
    ACTIONS(16572), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16570), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [497902] = 3,
    STATE(5152), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(777), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497915] = 3,
    STATE(4404), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(525), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497928] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16124), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [497939] = 3,
    STATE(913), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(709), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497952] = 4,
    ACTIONS(16500), 1,
      sym_keyword_check,
    STATE(9553), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16574), 2,
      sym_keyword_cascaded,
      sym_keyword_local,
  [497967] = 3,
    STATE(2517), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(465), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497980] = 3,
    STATE(2670), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(399), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497993] = 3,
    STATE(4192), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(645), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [498006] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15795), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [498017] = 3,
    STATE(6656), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [498030] = 3,
    STATE(7549), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(125), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [498043] = 5,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(10510), 1,
      sym_keyword_end,
    ACTIONS(16576), 1,
      sym_keyword_else,
    STATE(9540), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [498060] = 3,
    STATE(11225), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [498073] = 3,
    STATE(14049), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [498086] = 4,
    ACTIONS(14750), 1,
      sym_keyword_where,
    STATE(9799), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15881), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [498101] = 4,
    ACTIONS(14272), 1,
      sym_keyword_where,
    STATE(10225), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16578), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [498116] = 5,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(9345), 1,
      sym_keyword_else,
    ACTIONS(9347), 1,
      sym_keyword_end,
    STATE(9540), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [498133] = 4,
    ACTIONS(14272), 1,
      sym_keyword_where,
    STATE(10764), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16580), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [498148] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16582), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [498159] = 4,
    ACTIONS(16500), 1,
      sym_keyword_check,
    STATE(9478), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16584), 2,
      sym_keyword_cascaded,
      sym_keyword_local,
  [498174] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16586), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_when,
      anon_sym_RPAREN,
  [498185] = 3,
    STATE(7866), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [498198] = 3,
    STATE(6957), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [498211] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16588), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [498222] = 3,
    STATE(8181), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [498235] = 3,
    STATE(200), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [498248] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15805), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [498259] = 3,
    ACTIONS(15811), 1,
      sym_keyword_noscan,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15807), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [498272] = 5,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(10472), 1,
      sym_keyword_end,
    ACTIONS(16590), 1,
      sym_keyword_else,
    STATE(9540), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [498289] = 4,
    ACTIONS(16592), 1,
      sym_keyword_when,
    STATE(9540), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16595), 2,
      sym_keyword_else,
      sym_keyword_end,
  [498304] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16597), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [498315] = 3,
    STATE(7292), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [498328] = 3,
    STATE(6550), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(335), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [498341] = 3,
    STATE(3431), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(405), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [498354] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16599), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [498365] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15817), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [498376] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16601), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_compute,
      anon_sym_RPAREN,
  [498387] = 4,
    ACTIONS(14750), 1,
      sym_keyword_where,
    STATE(9870), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15831), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
  [498402] = 3,
    STATE(8559), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [498415] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16603), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(16605), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [498428] = 4,
    ACTIONS(14750), 1,
      sym_keyword_where,
    STATE(9883), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15911), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
  [498443] = 4,
    ACTIONS(16504), 1,
      sym_keyword_check,
    STATE(10948), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16607), 2,
      sym_keyword_cascaded,
      sym_keyword_local,
  [498458] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16609), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [498469] = 3,
    STATE(13924), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [498482] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15821), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [498493] = 3,
    STATE(8562), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [498506] = 4,
    ACTIONS(16500), 1,
      sym_keyword_check,
    STATE(10014), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16611), 2,
      sym_keyword_cascaded,
      sym_keyword_local,
  [498521] = 3,
    STATE(10993), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [498534] = 3,
    STATE(7381), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [498547] = 3,
    STATE(4813), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(841), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [498560] = 3,
    ACTIONS(16615), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16613), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [498573] = 4,
    ACTIONS(16619), 1,
      sym_keyword_returning,
    STATE(11376), 1,
      sym_returning,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16617), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [498588] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16621), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_when,
      anon_sym_RPAREN,
  [498599] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16623), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_when,
      anon_sym_RPAREN,
  [498610] = 3,
    STATE(8797), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [498623] = 3,
    STATE(4893), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(841), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [498636] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16625), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [498647] = 3,
    STATE(10824), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [498660] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16627), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [498671] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16629), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [498682] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16631), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [498693] = 3,
    STATE(8933), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [498706] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16633), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [498717] = 3,
    ACTIONS(16635), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16477), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [498730] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16637), 2,
      sym_keyword_begin,
      sym__identifier,
    ACTIONS(16639), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [498743] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16641), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [498754] = 3,
    STATE(7384), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [498767] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16643), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [498778] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16645), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [498789] = 4,
    ACTIONS(14750), 1,
      sym_keyword_where,
    STATE(9935), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15925), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [498804] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16647), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [498815] = 3,
    STATE(12781), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [498828] = 3,
    STATE(2322), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(901), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [498841] = 4,
    ACTIONS(14750), 1,
      sym_keyword_where,
    STATE(9938), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15931), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [498856] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16649), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_when,
      anon_sym_RPAREN,
  [498867] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16651), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [498878] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16464), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [498889] = 4,
    ACTIONS(10772), 1,
      sym_keyword_order,
    STATE(11962), 1,
      sym_order_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16653), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [498904] = 3,
    STATE(2670), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(191), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [498917] = 3,
    STATE(13754), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [498930] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16655), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [498941] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16657), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [498952] = 3,
    STATE(7304), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [498965] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16659), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [498976] = 5,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(10516), 1,
      sym_keyword_end,
    ACTIONS(16661), 1,
      sym_keyword_else,
    STATE(9540), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [498993] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16663), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [499004] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16665), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [499015] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16667), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [499026] = 3,
    STATE(12143), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [499039] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16669), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [499050] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16671), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [499061] = 4,
    ACTIONS(15752), 1,
      anon_sym_RPAREN,
    ACTIONS(16673), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9602), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [499076] = 5,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(12608), 1,
      anon_sym_LPAREN,
    STATE(7475), 1,
      sym_select,
    STATE(7573), 1,
      sym__select_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [499093] = 4,
    ACTIONS(9526), 1,
      sym_keyword_when,
    ACTIONS(15750), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9602), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [499108] = 5,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(9365), 1,
      sym_keyword_else,
    ACTIONS(9367), 1,
      sym_keyword_end,
    STATE(9540), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [499125] = 3,
    STATE(2594), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(191), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [499138] = 3,
    ACTIONS(16676), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16384), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [499151] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16678), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [499162] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16680), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [499173] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16312), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [499184] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14462), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [499195] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16682), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [499206] = 4,
    ACTIONS(9526), 1,
      sym_keyword_when,
    ACTIONS(15748), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9602), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [499221] = 4,
    ACTIONS(9526), 1,
      sym_keyword_when,
    ACTIONS(15748), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9602), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [499236] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16684), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [499247] = 3,
    STATE(7312), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [499260] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15969), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [499271] = 4,
    ACTIONS(14750), 1,
      sym_keyword_where,
    STATE(10085), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15947), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
  [499286] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16686), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [499297] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16688), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [499308] = 5,
    ACTIONS(16512), 1,
      anon_sym_COMMA,
    ACTIONS(16690), 1,
      anon_sym_RPAREN,
    STATE(9667), 1,
      aux_sym_column_definitions_repeat1,
    STATE(13341), 1,
      sym_constraints,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [499325] = 3,
    STATE(10181), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [499338] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16692), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [499349] = 5,
    ACTIONS(12608), 1,
      anon_sym_LPAREN,
    ACTIONS(16694), 1,
      sym_keyword_select,
    STATE(8650), 1,
      sym_select,
    STATE(9496), 1,
      sym__select_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [499366] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16696), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [499377] = 4,
    ACTIONS(14750), 1,
      sym_keyword_where,
    STATE(10093), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15949), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
  [499392] = 5,
    ACTIONS(16698), 1,
      anon_sym_PLUS,
    ACTIONS(16700), 1,
      anon_sym_DASH,
    ACTIONS(16702), 1,
      aux_sym__integer_token1,
    STATE(7242), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [499409] = 4,
    ACTIONS(14750), 1,
      sym_keyword_where,
    STATE(10094), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15961), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
  [499424] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16704), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [499435] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9711), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [499446] = 4,
    ACTIONS(14750), 1,
      sym_keyword_where,
    STATE(10115), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15963), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
  [499461] = 3,
    ACTIONS(16456), 1,
      sym_keyword_noscan,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16452), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [499474] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16706), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [499485] = 3,
    STATE(7261), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [499498] = 3,
    STATE(7385), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [499511] = 3,
    STATE(11638), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [499524] = 3,
    ACTIONS(16710), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16708), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [499537] = 3,
    STATE(10354), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [499550] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16712), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [499561] = 3,
    STATE(10530), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [499574] = 4,
    ACTIONS(16504), 1,
      sym_keyword_check,
    STATE(10886), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16714), 2,
      sym_keyword_cascaded,
      sym_keyword_local,
  [499589] = 3,
    STATE(6895), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(777), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [499602] = 3,
    STATE(14113), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [499615] = 5,
    ACTIONS(16716), 1,
      sym_keyword_temp,
    ACTIONS(16718), 1,
      sym_keyword_temporary,
    ACTIONS(16720), 1,
      sym_keyword_trigger,
    STATE(14588), 1,
      sym__temporary,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [499632] = 3,
    STATE(7714), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14336), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [499645] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16722), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [499656] = 5,
    ACTIONS(15887), 1,
      sym_keyword_temp,
    ACTIONS(15889), 1,
      sym_keyword_temporary,
    ACTIONS(15891), 1,
      sym_keyword_trigger,
    STATE(14586), 1,
      sym__temporary,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [499673] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16724), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [499684] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9719), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [499695] = 3,
    STATE(13571), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [499708] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16726), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [499719] = 3,
    STATE(4813), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(907), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [499732] = 3,
    STATE(8772), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [499745] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15837), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [499756] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16728), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [499767] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16730), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [499778] = 5,
    ACTIONS(16732), 1,
      sym_keyword_temp,
    ACTIONS(16734), 1,
      sym_keyword_temporary,
    ACTIONS(16736), 1,
      sym_keyword_trigger,
    STATE(14582), 1,
      sym__temporary,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [499795] = 3,
    ACTIONS(16738), 1,
      sym_keyword_references,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16302), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [499808] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16740), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [499819] = 3,
    STATE(7325), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [499832] = 4,
    ACTIONS(14750), 1,
      sym_keyword_where,
    STATE(10157), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15989), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [499847] = 3,
    STATE(12702), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [499860] = 3,
    STATE(12458), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [499873] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16742), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [499884] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16744), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [499895] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16746), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [499906] = 5,
    ACTIONS(16512), 1,
      anon_sym_COMMA,
    ACTIONS(16748), 1,
      anon_sym_RPAREN,
    STATE(10392), 1,
      aux_sym_column_definitions_repeat1,
    STATE(13322), 1,
      sym_constraints,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [499923] = 3,
    STATE(4645), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(275), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [499936] = 3,
    ACTIONS(16750), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16248), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [499949] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16752), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_compute,
      anon_sym_RPAREN,
  [499960] = 3,
    STATE(13678), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [499973] = 5,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(9436), 1,
      sym_keyword_else,
    ACTIONS(9438), 1,
      sym_keyword_end,
    STATE(9540), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [499990] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16754), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [500001] = 3,
    STATE(11641), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500014] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16756), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [500025] = 3,
    STATE(8889), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500038] = 3,
    STATE(13674), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500051] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16758), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [500062] = 3,
    STATE(5725), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1023), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500075] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16760), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [500086] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16762), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [500097] = 3,
    STATE(9906), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500110] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16764), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [500121] = 3,
    STATE(14122), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500134] = 5,
    ACTIONS(12608), 1,
      anon_sym_LPAREN,
    ACTIONS(13851), 1,
      sym_keyword_select,
    STATE(7571), 1,
      sym__select_statement,
    STATE(7657), 1,
      sym_select,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [500151] = 4,
    ACTIONS(14750), 1,
      sym_keyword_where,
    STATE(10172), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15993), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [500166] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16766), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [500177] = 5,
    ACTIONS(1472), 1,
      sym_keyword_select,
    ACTIONS(15917), 1,
      anon_sym_LPAREN,
    STATE(7513), 1,
      sym_select,
    STATE(7600), 1,
      sym__select_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [500194] = 4,
    ACTIONS(9526), 1,
      sym_keyword_when,
    ACTIONS(15983), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9602), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [500209] = 4,
    ACTIONS(16619), 1,
      sym_keyword_returning,
    STATE(11365), 1,
      sym_returning,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16506), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [500224] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16768), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [500235] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16770), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [500246] = 3,
    STATE(12463), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500259] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16772), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [500270] = 3,
    STATE(8628), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500283] = 4,
    ACTIONS(16619), 1,
      sym_keyword_returning,
    STATE(11375), 1,
      sym_returning,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16774), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [500298] = 4,
    ACTIONS(9526), 1,
      sym_keyword_when,
    ACTIONS(15977), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9602), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [500313] = 5,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(10460), 1,
      sym_keyword_end,
    ACTIONS(16776), 1,
      sym_keyword_else,
    STATE(9540), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [500330] = 5,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(10506), 1,
      sym_keyword_end,
    ACTIONS(16778), 1,
      sym_keyword_else,
    STATE(9540), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [500347] = 4,
    ACTIONS(9526), 1,
      sym_keyword_when,
    ACTIONS(15977), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9602), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [500362] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16780), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [500373] = 3,
    STATE(13652), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500386] = 3,
    STATE(7334), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500399] = 5,
    ACTIONS(15759), 1,
      anon_sym_PLUS,
    ACTIONS(15761), 1,
      anon_sym_DASH,
    ACTIONS(15763), 1,
      aux_sym__integer_token1,
    STATE(9673), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [500416] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16782), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [500427] = 3,
    STATE(14132), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500440] = 5,
    ACTIONS(12608), 1,
      anon_sym_LPAREN,
    ACTIONS(16694), 1,
      sym_keyword_select,
    STATE(8650), 1,
      sym_select,
    STATE(10078), 1,
      sym__select_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [500457] = 3,
    STATE(10572), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500470] = 5,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(9355), 1,
      sym_keyword_else,
    ACTIONS(9357), 1,
      sym_keyword_end,
    STATE(9540), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [500487] = 5,
    ACTIONS(13650), 1,
      sym_keyword_trigger,
    ACTIONS(16784), 1,
      sym_keyword_temp,
    ACTIONS(16786), 1,
      sym_keyword_temporary,
    STATE(14579), 1,
      sym__temporary,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [500504] = 3,
    STATE(7685), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14336), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500517] = 4,
    ACTIONS(14436), 1,
      sym_keyword_where,
    STATE(11229), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16788), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [500532] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16790), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [500543] = 5,
    ACTIONS(12608), 1,
      anon_sym_LPAREN,
    ACTIONS(13851), 1,
      sym_keyword_select,
    STATE(7573), 1,
      sym__select_statement,
    STATE(7657), 1,
      sym_select,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [500560] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    STATE(9803), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16792), 2,
      sym_keyword_immediate,
      sym_keyword_deferred,
  [500575] = 3,
    ACTIONS(16794), 1,
      sym_keyword_references,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16176), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [500588] = 3,
    STATE(11568), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500601] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    STATE(9821), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16796), 2,
      sym_keyword_immediate,
      sym_keyword_deferred,
  [500616] = 3,
    ACTIONS(16798), 1,
      sym_keyword_references,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16170), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [500629] = 5,
    ACTIONS(13638), 1,
      sym_keyword_view,
    ACTIONS(13648), 1,
      sym_keyword_recursive,
    ACTIONS(13650), 1,
      sym_keyword_trigger,
    ACTIONS(16800), 1,
      sym_keyword_table,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [500646] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16477), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [500657] = 3,
    STATE(7350), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500670] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16802), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [500681] = 3,
    STATE(9570), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500694] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16804), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [500705] = 3,
    STATE(4356), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500718] = 3,
    STATE(6957), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(777), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500731] = 3,
    STATE(454), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1199), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500744] = 3,
    STATE(6366), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500757] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16164), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_references,
      anon_sym_COMMA,
  [500768] = 3,
    STATE(200), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500781] = 3,
    ACTIONS(16806), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16613), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [500794] = 3,
    STATE(7599), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(777), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500807] = 3,
    STATE(4365), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(275), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500820] = 4,
    ACTIONS(9526), 1,
      sym_keyword_when,
    ACTIONS(15921), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9602), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [500835] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16808), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [500846] = 5,
    ACTIONS(12608), 1,
      anon_sym_LPAREN,
    ACTIONS(16694), 1,
      sym_keyword_select,
    STATE(8650), 1,
      sym_select,
    STATE(9873), 1,
      sym__select_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [500863] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16810), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [500874] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14740), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [500885] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15096), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [500896] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16812), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [500907] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14736), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [500918] = 4,
    ACTIONS(9526), 1,
      sym_keyword_when,
    ACTIONS(15919), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9602), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [500933] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16814), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [500944] = 3,
    STATE(10682), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500957] = 3,
    STATE(9874), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500970] = 3,
    ACTIONS(16816), 1,
      sym_keyword_authorization,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16017), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [500983] = 3,
    STATE(8132), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500996] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16818), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [501007] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16820), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [501018] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16822), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [501029] = 4,
    ACTIONS(9526), 1,
      sym_keyword_when,
    ACTIONS(15919), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9602), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [501044] = 4,
    ACTIONS(14750), 1,
      sym_keyword_where,
    STATE(10111), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15861), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
  [501059] = 3,
    STATE(11378), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501072] = 3,
    STATE(4893), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(907), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501085] = 5,
    ACTIONS(15759), 1,
      anon_sym_PLUS,
    ACTIONS(15761), 1,
      anon_sym_DASH,
    ACTIONS(15763), 1,
      aux_sym__integer_token1,
    STATE(9620), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [501102] = 3,
    STATE(3451), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1023), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501115] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16378), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [501126] = 3,
    STATE(8526), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501139] = 4,
    ACTIONS(16826), 1,
      anon_sym_COMMA,
    STATE(9981), 1,
      aux_sym_alter_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16824), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [501154] = 3,
    STATE(14137), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501167] = 4,
    ACTIONS(9526), 1,
      sym_keyword_when,
    ACTIONS(15871), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9602), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [501182] = 4,
    ACTIONS(14750), 1,
      sym_keyword_where,
    STATE(10079), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15821), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
  [501197] = 4,
    ACTIONS(14750), 1,
      sym_keyword_where,
    STATE(10072), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15817), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
  [501212] = 4,
    ACTIONS(9526), 1,
      sym_keyword_when,
    ACTIONS(15871), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9602), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [501227] = 4,
    ACTIONS(14750), 1,
      sym_keyword_where,
    STATE(10063), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15805), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
  [501242] = 4,
    ACTIONS(14750), 1,
      sym_keyword_where,
    STATE(10051), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15795), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
  [501257] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16828), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [501268] = 3,
    ACTIONS(16830), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13589), 3,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [501281] = 3,
    STATE(3502), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1023), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501294] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16832), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_when,
      anon_sym_RPAREN,
  [501305] = 4,
    ACTIONS(16504), 1,
      sym_keyword_check,
    STATE(10789), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16834), 2,
      sym_keyword_cascaded,
      sym_keyword_local,
  [501320] = 3,
    STATE(8421), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501333] = 5,
    ACTIONS(1472), 1,
      sym_keyword_select,
    ACTIONS(15917), 1,
      anon_sym_LPAREN,
    STATE(7513), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [501350] = 3,
    STATE(698), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1209), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501363] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16414), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [501374] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16836), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_when,
      anon_sym_RPAREN,
  [501385] = 4,
    ACTIONS(14750), 1,
      sym_keyword_where,
    STATE(9859), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15777), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [501400] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16838), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [501411] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16840), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [501422] = 3,
    STATE(9878), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501435] = 5,
    ACTIONS(16512), 1,
      anon_sym_COMMA,
    ACTIONS(16842), 1,
      anon_sym_RPAREN,
    STATE(9820), 1,
      aux_sym_column_definitions_repeat1,
    STATE(13077), 1,
      sym_constraints,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [501452] = 3,
    ACTIONS(16844), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16046), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [501465] = 3,
    STATE(9941), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501478] = 4,
    ACTIONS(16846), 1,
      sym_keyword_force,
    ACTIONS(16848), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16334), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [501493] = 3,
    STATE(9210), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501506] = 3,
    STATE(8364), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501519] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16850), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [501530] = 3,
    STATE(4356), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(405), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501543] = 3,
    ACTIONS(16854), 1,
      sym_keyword_noscan,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16852), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [501556] = 5,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(10508), 1,
      sym_keyword_end,
    ACTIONS(16856), 1,
      sym_keyword_else,
    STATE(9540), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [501573] = 3,
    STATE(13400), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501586] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16858), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [501597] = 4,
    ACTIONS(14436), 1,
      sym_keyword_where,
    STATE(11258), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16860), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [501612] = 4,
    ACTIONS(14436), 1,
      sym_keyword_where,
    STATE(11234), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16862), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [501627] = 4,
    ACTIONS(16500), 1,
      sym_keyword_check,
    STATE(9610), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16864), 2,
      sym_keyword_cascaded,
      sym_keyword_local,
  [501642] = 4,
    ACTIONS(14272), 1,
      sym_keyword_where,
    STATE(10248), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16866), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [501657] = 3,
    STATE(6744), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(335), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501670] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16868), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [501681] = 5,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(9309), 1,
      sym_keyword_else,
    ACTIONS(9311), 1,
      sym_keyword_end,
    STATE(9540), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [501698] = 3,
    STATE(6760), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501711] = 4,
    ACTIONS(16870), 1,
      sym_keyword_set,
    ACTIONS(16874), 1,
      sym_keyword_no,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16872), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [501726] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    STATE(7589), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16876), 2,
      sym_keyword_immediate,
      sym_keyword_deferred,
  [501741] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15979), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [501752] = 3,
    STATE(6990), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(191), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501765] = 4,
    ACTIONS(14436), 1,
      sym_keyword_where,
    STATE(11235), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16866), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [501780] = 4,
    ACTIONS(16878), 1,
      anon_sym_COMMA,
    STATE(10098), 1,
      aux_sym__rename_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15991), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [501795] = 3,
    ACTIONS(16882), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16880), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [501808] = 4,
    ACTIONS(14603), 1,
      anon_sym_COMMA,
    STATE(9959), 1,
      aux_sym__truncate_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16410), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [501823] = 5,
    ACTIONS(12608), 1,
      anon_sym_LPAREN,
    ACTIONS(16694), 1,
      sym_keyword_select,
    STATE(8650), 1,
      sym_select,
    STATE(9596), 1,
      sym__select_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [501840] = 4,
    ACTIONS(14272), 1,
      sym_keyword_where,
    STATE(10295), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16862), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [501855] = 3,
    STATE(6766), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14336), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501868] = 3,
    STATE(11189), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501881] = 3,
    STATE(12008), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501894] = 3,
    STATE(10831), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501907] = 4,
    ACTIONS(14750), 1,
      sym_keyword_where,
    STATE(10114), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16378), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [501922] = 4,
    ACTIONS(14272), 1,
      sym_keyword_where,
    STATE(10298), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16860), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [501937] = 4,
    ACTIONS(16884), 1,
      sym_keyword_default,
    ACTIONS(16888), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16886), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [501952] = 3,
    STATE(6873), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(191), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501965] = 5,
    ACTIONS(16512), 1,
      anon_sym_COMMA,
    ACTIONS(16890), 1,
      anon_sym_RPAREN,
    STATE(10392), 1,
      aux_sym_column_definitions_repeat1,
    STATE(13044), 1,
      sym_constraints,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [501982] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    STATE(7589), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16892), 2,
      sym_keyword_immediate,
      sym_keyword_deferred,
  [501997] = 5,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(9281), 1,
      sym_keyword_else,
    ACTIONS(9283), 1,
      sym_keyword_end,
    STATE(9540), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [502014] = 3,
    ACTIONS(16894), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16708), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [502027] = 3,
    ACTIONS(16898), 1,
      sym_keyword_force,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16896), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [502040] = 3,
    STATE(7010), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(777), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502053] = 4,
    ACTIONS(16900), 1,
      sym_keyword_default,
    ACTIONS(16902), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16886), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [502068] = 3,
    STATE(14148), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502081] = 3,
    ACTIONS(16904), 1,
      sym_keyword_references,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15937), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [502094] = 3,
    ACTIONS(16906), 1,
      sym_keyword_references,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15933), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [502107] = 3,
    STATE(4104), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1347), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502120] = 3,
    STATE(11088), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502133] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15929), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_references,
      anon_sym_COMMA,
  [502144] = 5,
    ACTIONS(15917), 1,
      anon_sym_LPAREN,
    ACTIONS(16908), 1,
      sym_keyword_select,
    STATE(9316), 1,
      sym_select,
    STATE(10686), 1,
      sym__select_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [502161] = 3,
    STATE(7386), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502174] = 3,
    STATE(7524), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502187] = 4,
    ACTIONS(14750), 1,
      sym_keyword_where,
    STATE(9555), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16098), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
  [502202] = 3,
    ACTIONS(16912), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16910), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [502215] = 3,
    STATE(4343), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1347), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502228] = 5,
    ACTIONS(16914), 1,
      sym_keyword_temp,
    ACTIONS(16916), 1,
      sym_keyword_temporary,
    ACTIONS(16918), 1,
      sym_keyword_trigger,
    STATE(13074), 1,
      sym__temporary,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [502245] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16920), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [502256] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16922), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [502267] = 5,
    ACTIONS(16276), 1,
      anon_sym_PLUS,
    ACTIONS(16278), 1,
      anon_sym_DASH,
    ACTIONS(16280), 1,
      aux_sym__integer_token1,
    STATE(7287), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [502284] = 4,
    ACTIONS(14750), 1,
      sym_keyword_where,
    STATE(9546), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16104), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
  [502299] = 5,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(10244), 1,
      sym_keyword_end,
    ACTIONS(16924), 1,
      sym_keyword_else,
    STATE(9540), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [502316] = 4,
    ACTIONS(14750), 1,
      sym_keyword_where,
    STATE(9537), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16106), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
  [502331] = 4,
    ACTIONS(16826), 1,
      anon_sym_COMMA,
    STATE(9981), 1,
      aux_sym_alter_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16926), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [502346] = 4,
    ACTIONS(16826), 1,
      anon_sym_COMMA,
    STATE(9760), 1,
      aux_sym_alter_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16926), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [502361] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16928), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [502372] = 4,
    ACTIONS(14750), 1,
      sym_keyword_where,
    STATE(9519), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16114), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
  [502387] = 3,
    ACTIONS(16930), 1,
      sym_keyword_cascade,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15969), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [502400] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16932), 2,
      sym_keyword_begin,
      sym__identifier,
    ACTIONS(16934), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [502413] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16936), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [502424] = 4,
    ACTIONS(16504), 1,
      sym_keyword_check,
    STATE(10634), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16938), 2,
      sym_keyword_cascaded,
      sym_keyword_local,
  [502439] = 4,
    ACTIONS(16508), 1,
      sym_keyword_returning,
    STATE(11158), 1,
      sym_returning,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16774), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [502454] = 3,
    ACTIONS(16940), 1,
      sym_keyword_cascade,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15865), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [502467] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16942), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [502478] = 3,
    STATE(6760), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(191), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502491] = 5,
    ACTIONS(16944), 1,
      sym_keyword_range,
    ACTIONS(16946), 1,
      sym_keyword_enum,
    ACTIONS(16948), 1,
      anon_sym_LPAREN,
    STATE(8966), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [502508] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15993), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [502519] = 3,
    STATE(6696), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(191), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502532] = 4,
    ACTIONS(3029), 1,
      aux_sym__single_quote_string_token1,
    STATE(3876), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16400), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [502547] = 3,
    STATE(11326), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502560] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14825), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [502571] = 4,
    ACTIONS(16950), 1,
      aux_sym_keyword_character_token1,
    STATE(13746), 1,
      sym_keyword_character,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11516), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [502586] = 3,
    STATE(9741), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502599] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(16952), 1,
      sym__double_quote_string,
    ACTIONS(16954), 1,
      sym__dollar_quoted_string_start_tag,
    STATE(6896), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [502616] = 3,
    STATE(6810), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14318), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502629] = 3,
    STATE(2464), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(191), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502642] = 4,
    ACTIONS(16500), 1,
      sym_keyword_check,
    STATE(9721), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16956), 2,
      sym_keyword_cascaded,
      sym_keyword_local,
  [502657] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15869), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [502668] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16958), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [502679] = 4,
    ACTIONS(16960), 1,
      sym_keyword_default,
    ACTIONS(16964), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16962), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [502694] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16966), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [502705] = 3,
    ACTIONS(16968), 1,
      sym_keyword_authorization,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16368), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [502718] = 3,
    STATE(454), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1139), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502731] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16368), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [502742] = 3,
    STATE(10516), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502755] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    STATE(10043), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16970), 2,
      sym_keyword_on,
      sym_keyword_or,
  [502770] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16972), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [502781] = 3,
    STATE(11067), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502794] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15392), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [502805] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16114), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [502816] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16974), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [502827] = 3,
    STATE(9150), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502840] = 3,
    STATE(9876), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502853] = 4,
    ACTIONS(14750), 1,
      sym_keyword_where,
    STATE(9486), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16124), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [502868] = 3,
    STATE(11075), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502881] = 3,
    STATE(10033), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502894] = 3,
    STATE(10474), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502907] = 5,
    ACTIONS(13740), 1,
      sym_keyword_trigger,
    ACTIONS(16976), 1,
      sym_keyword_temp,
    ACTIONS(16978), 1,
      sym_keyword_temporary,
    STATE(13811), 1,
      sym__temporary,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [502924] = 3,
    STATE(11220), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502937] = 3,
    STATE(11098), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502950] = 3,
    STATE(9252), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502963] = 4,
    ACTIONS(16982), 1,
      anon_sym_COMMA,
    STATE(10089), 1,
      aux_sym_alter_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16980), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [502978] = 5,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(10476), 1,
      sym_keyword_end,
    ACTIONS(16984), 1,
      sym_keyword_else,
    STATE(9540), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [502995] = 4,
    ACTIONS(16508), 1,
      sym_keyword_returning,
    STATE(11201), 1,
      sym_returning,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16617), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [503010] = 3,
    STATE(4077), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1199), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [503023] = 3,
    STATE(7606), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14336), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [503036] = 3,
    STATE(11211), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [503049] = 3,
    STATE(11206), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [503062] = 3,
    STATE(10480), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [503075] = 3,
    STATE(11183), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [503088] = 3,
    STATE(11182), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [503101] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16986), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [503112] = 3,
    STATE(11144), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [503125] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16988), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [503136] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16158), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [503147] = 3,
    STATE(11131), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [503160] = 3,
    STATE(12042), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [503173] = 3,
    STATE(3937), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1199), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [503186] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14714), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [503197] = 5,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(9277), 1,
      sym_keyword_else,
    ACTIONS(9279), 1,
      sym_keyword_end,
    STATE(9540), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [503214] = 5,
    ACTIONS(16009), 1,
      anon_sym_PLUS,
    ACTIONS(16011), 1,
      anon_sym_DASH,
    ACTIONS(16013), 1,
      aux_sym__integer_token1,
    STATE(7497), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [503231] = 3,
    STATE(75), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(125), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [503244] = 5,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(10160), 1,
      sym_keyword_end,
    ACTIONS(16990), 1,
      sym_keyword_else,
    STATE(9540), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [503261] = 5,
    ACTIONS(13728), 1,
      sym_keyword_view,
    ACTIONS(13738), 1,
      sym_keyword_recursive,
    ACTIONS(13740), 1,
      sym_keyword_trigger,
    ACTIONS(16992), 1,
      sym_keyword_table,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [503278] = 5,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(16994), 1,
      sym_keyword_if,
    STATE(8969), 1,
      sym__single_quote_string,
    STATE(12012), 1,
      sym__if_not_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [503295] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16996), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(16998), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [503308] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16384), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [503319] = 3,
    STATE(12014), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [503332] = 4,
    ACTIONS(16826), 1,
      anon_sym_COMMA,
    STATE(9846), 1,
      aux_sym_alter_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17000), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [503347] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17002), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_when,
      anon_sym_RPAREN,
  [503358] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14360), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [503369] = 3,
    STATE(8337), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [503382] = 3,
    STATE(8288), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [503395] = 5,
    ACTIONS(17004), 1,
      sym_keyword_range,
    ACTIONS(17006), 1,
      sym_keyword_enum,
    ACTIONS(17008), 1,
      anon_sym_LPAREN,
    STATE(10025), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [503412] = 3,
    STATE(10551), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [503425] = 3,
    ACTIONS(17010), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16312), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [503438] = 5,
    ACTIONS(16276), 1,
      anon_sym_PLUS,
    ACTIONS(16278), 1,
      anon_sym_DASH,
    ACTIONS(16280), 1,
      aux_sym__integer_token1,
    STATE(7323), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [503455] = 5,
    ACTIONS(16276), 1,
      anon_sym_PLUS,
    ACTIONS(16278), 1,
      anon_sym_DASH,
    ACTIONS(16280), 1,
      aux_sym__integer_token1,
    STATE(7324), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [503472] = 3,
    STATE(8367), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [503485] = 3,
    STATE(10575), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [503498] = 3,
    STATE(7396), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [503511] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14885), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [503522] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15875), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [503533] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17012), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [503544] = 3,
    STATE(8368), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [503557] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17014), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [503568] = 3,
    STATE(9133), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [503581] = 3,
    STATE(9990), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [503594] = 4,
    ACTIONS(17016), 1,
      sym_keyword_force,
    ACTIONS(17018), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16236), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [503609] = 3,
    ACTIONS(17020), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16546), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [503622] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17022), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [503633] = 4,
    ACTIONS(16826), 1,
      anon_sym_COMMA,
    STATE(9981), 1,
      aux_sym_alter_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17000), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [503648] = 4,
    ACTIONS(14436), 1,
      sym_keyword_where,
    STATE(11248), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16580), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [503663] = 3,
    STATE(8948), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [503676] = 3,
    STATE(2407), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(901), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [503689] = 3,
    STATE(9976), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [503702] = 3,
    STATE(10230), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [503715] = 3,
    STATE(8284), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [503728] = 3,
    STATE(8400), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [503741] = 3,
    STATE(12281), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [503754] = 4,
    ACTIONS(16878), 1,
      anon_sym_COMMA,
    STATE(10098), 1,
      aux_sym__rename_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15797), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [503769] = 3,
    STATE(6937), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [503782] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17024), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [503793] = 5,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(9222), 1,
      sym_keyword_else,
    ACTIONS(9224), 1,
      sym_keyword_end,
    STATE(9540), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [503810] = 5,
    ACTIONS(13875), 1,
      sym_keyword_select,
    ACTIONS(15917), 1,
      anon_sym_LPAREN,
    STATE(7600), 1,
      sym__select_statement,
    STATE(7739), 1,
      sym_select,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [503827] = 4,
    ACTIONS(16878), 1,
      anon_sym_COMMA,
    STATE(10098), 1,
      aux_sym__rename_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15801), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [503842] = 4,
    ACTIONS(14603), 1,
      anon_sym_COMMA,
    STATE(8618), 1,
      aux_sym__truncate_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16200), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [503857] = 4,
    ACTIONS(16878), 1,
      anon_sym_COMMA,
    STATE(9807), 1,
      aux_sym__rename_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15803), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [503872] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17026), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [503883] = 4,
    ACTIONS(14603), 1,
      anon_sym_COMMA,
    STATE(10155), 1,
      aux_sym__truncate_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16200), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [503898] = 3,
    STATE(2421), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(901), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [503911] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16364), 2,
      sym_keyword_only,
      sym__identifier,
    ACTIONS(16366), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [503924] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17028), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [503935] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17028), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [503946] = 3,
    STATE(7309), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(339), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [503959] = 4,
    ACTIONS(14436), 1,
      sym_keyword_where,
    STATE(11247), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16578), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [503974] = 4,
    ACTIONS(14750), 1,
      sym_keyword_where,
    STATE(10192), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16158), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
  [503989] = 3,
    STATE(9723), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504002] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17030), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [504013] = 3,
    STATE(4006), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504026] = 3,
    ACTIONS(17034), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17032), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [504039] = 5,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(10504), 1,
      sym_keyword_end,
    ACTIONS(17036), 1,
      sym_keyword_else,
    STATE(9540), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [504056] = 5,
    ACTIONS(13728), 1,
      sym_keyword_view,
    ACTIONS(13738), 1,
      sym_keyword_recursive,
    ACTIONS(13740), 1,
      sym_keyword_trigger,
    ACTIONS(17038), 1,
      sym_keyword_table,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [504073] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17040), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [504084] = 3,
    ACTIONS(17044), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17042), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [504097] = 4,
    ACTIONS(17046), 1,
      sym_keyword_cache,
    ACTIONS(17048), 1,
      sym_keyword_noscan,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15807), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [504112] = 4,
    ACTIONS(14750), 1,
      sym_keyword_where,
    STATE(10146), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16160), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
  [504127] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17050), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [504138] = 4,
    ACTIONS(17052), 1,
      anon_sym_COMMA,
    STATE(9981), 1,
      aux_sym_alter_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17050), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [504153] = 3,
    STATE(9871), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504166] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16046), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [504177] = 4,
    ACTIONS(16826), 1,
      anon_sym_COMMA,
    STATE(9944), 1,
      aux_sym_alter_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16980), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [504192] = 3,
    STATE(8034), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504205] = 4,
    ACTIONS(3029), 1,
      aux_sym__single_quote_string_token1,
    STATE(3876), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16136), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [504220] = 4,
    ACTIONS(14750), 1,
      sym_keyword_where,
    STATE(9882), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16198), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
  [504235] = 3,
    STATE(7554), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(125), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504248] = 5,
    ACTIONS(13875), 1,
      sym_keyword_select,
    ACTIONS(15917), 1,
      anon_sym_LPAREN,
    STATE(7634), 1,
      sym__select_statement,
    STATE(7739), 1,
      sym_select,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [504265] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17055), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [504276] = 5,
    ACTIONS(15759), 1,
      anon_sym_PLUS,
    ACTIONS(15761), 1,
      anon_sym_DASH,
    ACTIONS(15763), 1,
      aux_sym__integer_token1,
    STATE(7129), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [504293] = 3,
    STATE(3170), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1023), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504306] = 3,
    STATE(10837), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504319] = 3,
    STATE(7729), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504332] = 4,
    ACTIONS(16500), 1,
      sym_keyword_check,
    STATE(10137), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17057), 2,
      sym_keyword_cascaded,
      sym_keyword_local,
  [504347] = 3,
    STATE(7533), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(125), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504360] = 3,
    STATE(8883), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504373] = 4,
    ACTIONS(16504), 1,
      sym_keyword_check,
    STATE(10452), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17059), 2,
      sym_keyword_cascaded,
      sym_keyword_local,
  [504388] = 3,
    STATE(10839), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504401] = 5,
    ACTIONS(16009), 1,
      anon_sym_PLUS,
    ACTIONS(16011), 1,
      anon_sym_DASH,
    ACTIONS(16013), 1,
      aux_sym__integer_token1,
    STATE(7506), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [504418] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16198), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [504429] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17061), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [504440] = 3,
    STATE(2067), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1271), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504453] = 3,
    STATE(8884), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504466] = 3,
    STATE(7374), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504479] = 5,
    ACTIONS(15917), 1,
      anon_sym_LPAREN,
    ACTIONS(16908), 1,
      sym_keyword_select,
    STATE(9316), 1,
      sym_select,
    STATE(10451), 1,
      sym__select_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [504496] = 3,
    STATE(7621), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14336), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504509] = 3,
    STATE(10692), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504522] = 3,
    STATE(9848), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504535] = 3,
    STATE(10576), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504548] = 5,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(10202), 1,
      sym_keyword_end,
    ACTIONS(17063), 1,
      sym_keyword_else,
    STATE(9540), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [504565] = 3,
    ACTIONS(17065), 1,
      sym_keyword_references,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15839), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [504578] = 3,
    ACTIONS(17067), 1,
      sym_keyword_references,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15843), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [504591] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16266), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [504602] = 5,
    ACTIONS(16276), 1,
      anon_sym_PLUS,
    ACTIONS(16278), 1,
      anon_sym_DASH,
    ACTIONS(16280), 1,
      aux_sym__integer_token1,
    STATE(7353), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [504619] = 3,
    ACTIONS(17069), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16126), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [504632] = 3,
    STATE(11880), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504645] = 5,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(9202), 1,
      sym_keyword_else,
    ACTIONS(9204), 1,
      sym_keyword_end,
    STATE(9540), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [504662] = 3,
    STATE(3451), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1203), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504675] = 3,
    STATE(2594), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(399), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504688] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17071), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [504699] = 5,
    ACTIONS(16064), 1,
      sym_keyword_temp,
    ACTIONS(16066), 1,
      sym_keyword_temporary,
    ACTIONS(16068), 1,
      sym_keyword_trigger,
    STATE(12809), 1,
      sym__temporary,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [504716] = 4,
    ACTIONS(17073), 1,
      sym_keyword_default,
    ACTIONS(17077), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17075), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [504731] = 3,
    STATE(8249), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504744] = 3,
    ACTIONS(17079), 1,
      sym_keyword_collate,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16094), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [504757] = 3,
    STATE(10924), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504770] = 4,
    ACTIONS(16500), 1,
      sym_keyword_check,
    STATE(9776), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17081), 2,
      sym_keyword_cascaded,
      sym_keyword_local,
  [504785] = 3,
    STATE(8402), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504798] = 3,
    STATE(11633), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504811] = 4,
    ACTIONS(16878), 1,
      anon_sym_COMMA,
    STATE(10098), 1,
      aux_sym__rename_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16462), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [504826] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14847), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [504837] = 3,
    STATE(3502), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1203), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504850] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17083), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [504861] = 3,
    STATE(10305), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504874] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17085), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [504885] = 3,
    STATE(9736), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504898] = 5,
    ACTIONS(16698), 1,
      anon_sym_PLUS,
    ACTIONS(16700), 1,
      anon_sym_DASH,
    ACTIONS(16702), 1,
      aux_sym__integer_token1,
    STATE(10709), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [504915] = 3,
    STATE(9211), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504928] = 3,
    ACTIONS(17087), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15979), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [504941] = 3,
    ACTIONS(17089), 1,
      sym_keyword_cascade,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16084), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [504954] = 3,
    ACTIONS(17091), 1,
      sym_keyword_cascade,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16090), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [504967] = 3,
    STATE(10462), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504980] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    STATE(7589), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17093), 2,
      sym_keyword_on,
      sym_keyword_or,
  [504995] = 3,
    STATE(8314), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505008] = 3,
    ACTIONS(17097), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17095), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [505021] = 3,
    STATE(9075), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505034] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16094), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [505045] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17099), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [505056] = 3,
    STATE(8433), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505069] = 3,
    STATE(6098), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1023), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505082] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15949), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [505093] = 5,
    ACTIONS(16512), 1,
      anon_sym_COMMA,
    ACTIONS(17101), 1,
      anon_sym_RPAREN,
    STATE(10204), 1,
      aux_sym_column_definitions_repeat1,
    STATE(13689), 1,
      sym_constraints,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [505110] = 3,
    STATE(8079), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15783), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505123] = 3,
    ACTIONS(17103), 1,
      sym_keyword_cascade,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16070), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [505136] = 3,
    STATE(12206), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505149] = 3,
    ACTIONS(15180), 1,
      sym_keyword_cascade,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14847), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [505162] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15744), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_where,
      sym_keyword_create,
  [505173] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16084), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [505184] = 3,
    STATE(12210), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505197] = 3,
    STATE(6000), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1023), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505210] = 3,
    STATE(10900), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505223] = 3,
    STATE(12211), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505236] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15963), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [505247] = 4,
    ACTIONS(14750), 1,
      sym_keyword_where,
    STATE(9487), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16138), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [505262] = 5,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(9291), 1,
      sym_keyword_else,
    ACTIONS(9293), 1,
      sym_keyword_end,
    STATE(9540), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [505279] = 3,
    ACTIONS(17107), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17105), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [505292] = 5,
    ACTIONS(17109), 1,
      sym_keyword_temp,
    ACTIONS(17111), 1,
      sym_keyword_temporary,
    ACTIONS(17113), 1,
      sym_keyword_trigger,
    STATE(12897), 1,
      sym__temporary,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [505309] = 3,
    STATE(7006), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(777), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505322] = 3,
    ACTIONS(17115), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16414), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [505335] = 5,
    ACTIONS(17117), 1,
      anon_sym_PLUS,
    ACTIONS(17119), 1,
      anon_sym_DASH,
    ACTIONS(17121), 1,
      aux_sym__integer_token1,
    STATE(7242), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [505352] = 4,
    ACTIONS(16982), 1,
      anon_sym_COMMA,
    STATE(10211), 1,
      aux_sym_alter_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17000), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [505367] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15961), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [505378] = 3,
    STATE(10258), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505391] = 3,
    STATE(3170), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1203), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505404] = 5,
    ACTIONS(16276), 1,
      anon_sym_PLUS,
    ACTIONS(16278), 1,
      anon_sym_DASH,
    ACTIONS(16280), 1,
      aux_sym__integer_token1,
    STATE(7339), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [505421] = 5,
    ACTIONS(12608), 1,
      anon_sym_LPAREN,
    ACTIONS(16558), 1,
      sym_keyword_select,
    STATE(8650), 1,
      sym_select,
    STATE(9873), 1,
      sym__select_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [505438] = 5,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(9025), 1,
      sym_keyword_else,
    ACTIONS(9027), 1,
      sym_keyword_end,
    STATE(9540), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [505455] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10602), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [505466] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17123), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [505477] = 5,
    ACTIONS(15917), 1,
      anon_sym_LPAREN,
    ACTIONS(16908), 1,
      sym_keyword_select,
    STATE(9316), 1,
      sym_select,
    STATE(10304), 1,
      sym__select_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [505494] = 3,
    ACTIONS(17125), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16570), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [505507] = 3,
    STATE(8220), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505520] = 3,
    STATE(10237), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505533] = 5,
    ACTIONS(16276), 1,
      anon_sym_PLUS,
    ACTIONS(16278), 1,
      anon_sym_DASH,
    ACTIONS(16280), 1,
      aux_sym__integer_token1,
    STATE(7336), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [505550] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15831), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [505561] = 5,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(10438), 1,
      sym_keyword_end,
    ACTIONS(17127), 1,
      sym_keyword_else,
    STATE(9540), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [505578] = 3,
    ACTIONS(17131), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17129), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [505591] = 5,
    ACTIONS(16009), 1,
      anon_sym_PLUS,
    ACTIONS(16011), 1,
      anon_sym_DASH,
    ACTIONS(16013), 1,
      aux_sym__integer_token1,
    STATE(7463), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [505608] = 4,
    ACTIONS(16982), 1,
      anon_sym_COMMA,
    STATE(10219), 1,
      aux_sym_alter_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17000), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [505623] = 5,
    ACTIONS(12608), 1,
      anon_sym_LPAREN,
    ACTIONS(16558), 1,
      sym_keyword_select,
    STATE(8650), 1,
      sym_select,
    STATE(9496), 1,
      sym__select_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [505640] = 3,
    STATE(9506), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505653] = 4,
    ACTIONS(16878), 1,
      anon_sym_COMMA,
    STATE(9953), 1,
      aux_sym__rename_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16469), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [505668] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17133), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [505679] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17135), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [505690] = 5,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(10335), 1,
      sym_keyword_end,
    ACTIONS(17137), 1,
      sym_keyword_else,
    STATE(9540), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [505707] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10644), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [505718] = 3,
    STATE(12380), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505731] = 4,
    ACTIONS(17139), 1,
      anon_sym_COMMA,
    STATE(10098), 1,
      aux_sym__rename_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16464), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [505746] = 3,
    ACTIONS(16238), 1,
      sym_keyword_force,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16236), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [505759] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16296), 4,
      anon_sym_LPAREN,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505770] = 5,
    ACTIONS(17142), 1,
      anon_sym_PLUS,
    ACTIONS(17144), 1,
      anon_sym_DASH,
    ACTIONS(17146), 1,
      aux_sym__integer_token1,
    STATE(7129), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [505787] = 3,
    STATE(10250), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505800] = 3,
    STATE(12379), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505813] = 5,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(9009), 1,
      sym_keyword_else,
    ACTIONS(9011), 1,
      sym_keyword_end,
    STATE(9540), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [505830] = 3,
    STATE(6988), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(191), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505843] = 3,
    STATE(11300), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505856] = 3,
    STATE(11299), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505869] = 5,
    ACTIONS(3029), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(16994), 1,
      sym_keyword_if,
    STATE(10199), 1,
      sym__single_quote_string,
    STATE(11298), 1,
      sym__if_not_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [505886] = 3,
    STATE(11296), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505899] = 4,
    ACTIONS(16878), 1,
      anon_sym_COMMA,
    STATE(9958), 1,
      aux_sym__rename_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16462), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [505914] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15947), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [505925] = 5,
    ACTIONS(16009), 1,
      anon_sym_PLUS,
    ACTIONS(16011), 1,
      anon_sym_DASH,
    ACTIONS(16013), 1,
      aux_sym__integer_token1,
    STATE(7460), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [505942] = 3,
    STATE(2067), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(191), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505955] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16138), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [505966] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15911), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [505977] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17148), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [505988] = 3,
    STATE(11294), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [506001] = 4,
    ACTIONS(14750), 1,
      sym_keyword_where,
    STATE(9654), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16116), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
  [506016] = 4,
    ACTIONS(17150), 1,
      sym_keyword_cache,
    ACTIONS(17152), 1,
      sym_keyword_noscan,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16452), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [506031] = 3,
    ACTIONS(17154), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17042), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [506044] = 5,
    ACTIONS(16512), 1,
      anon_sym_COMMA,
    ACTIONS(17156), 1,
      anon_sym_RPAREN,
    STATE(9452), 1,
      aux_sym_column_definitions_repeat1,
    STATE(14561), 1,
      sym_constraints,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [506061] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16440), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(17158), 2,
      sym_keyword_after,
      sym_keyword_before,
  [506074] = 3,
    STATE(12375), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [506087] = 3,
    STATE(8941), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [506100] = 3,
    STATE(10558), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [506113] = 3,
    STATE(903), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1209), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [506126] = 3,
    ACTIONS(17160), 1,
      sym_keyword_references,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16430), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [506139] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17162), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [506150] = 3,
    ACTIONS(17164), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17032), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [506163] = 3,
    STATE(776), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1209), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [506176] = 3,
    STATE(7277), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [506189] = 5,
    ACTIONS(16698), 1,
      anon_sym_PLUS,
    ACTIONS(16700), 1,
      anon_sym_DASH,
    ACTIONS(16702), 1,
      aux_sym__integer_token1,
    STATE(10525), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [506206] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17166), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [506217] = 4,
    ACTIONS(16500), 1,
      sym_keyword_check,
    STATE(9919), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17168), 2,
      sym_keyword_cascaded,
      sym_keyword_local,
  [506232] = 3,
    STATE(8058), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15783), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [506245] = 3,
    ACTIONS(17170), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17148), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [506258] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16248), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [506269] = 4,
    ACTIONS(16982), 1,
      anon_sym_COMMA,
    STATE(10219), 1,
      aux_sym_alter_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16824), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [506284] = 3,
    STATE(7395), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [506297] = 3,
    STATE(6395), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1271), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [506310] = 4,
    ACTIONS(3029), 1,
      aux_sym__single_quote_string_token1,
    STATE(3876), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16408), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [506325] = 4,
    ACTIONS(14272), 1,
      sym_keyword_where,
    STATE(11023), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17172), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [506340] = 3,
    STATE(6696), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [506353] = 5,
    ACTIONS(3029), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(17174), 1,
      sym__double_quote_string,
    ACTIONS(17176), 1,
      sym__dollar_quoted_string_start_tag,
    STATE(6897), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [506370] = 3,
    ACTIONS(16154), 1,
      sym_keyword_cascade,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15392), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [506383] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16104), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [506394] = 3,
    ACTIONS(17178), 1,
      sym_keyword_cascade,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16372), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [506407] = 3,
    ACTIONS(17182), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17180), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [506420] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14380), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_when,
      anon_sym_RPAREN,
  [506431] = 5,
    ACTIONS(12608), 1,
      anon_sym_LPAREN,
    ACTIONS(16558), 1,
      sym_keyword_select,
    STATE(8650), 1,
      sym_select,
    STATE(9596), 1,
      sym__select_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [506448] = 3,
    STATE(3604), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1199), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [506461] = 3,
    STATE(6408), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1271), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [506474] = 4,
    ACTIONS(16878), 1,
      anon_sym_COMMA,
    STATE(10180), 1,
      aux_sym__rename_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15995), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [506489] = 5,
    ACTIONS(16009), 1,
      anon_sym_PLUS,
    ACTIONS(16011), 1,
      anon_sym_DASH,
    ACTIONS(16013), 1,
      aux_sym__integer_token1,
    STATE(7449), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [506506] = 4,
    ACTIONS(14603), 1,
      anon_sym_COMMA,
    STATE(8618), 1,
      aux_sym__truncate_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15941), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [506521] = 5,
    ACTIONS(16009), 1,
      anon_sym_PLUS,
    ACTIONS(16011), 1,
      anon_sym_DASH,
    ACTIONS(16013), 1,
      aux_sym__integer_token1,
    STATE(7447), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [506538] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17184), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [506549] = 4,
    ACTIONS(14750), 1,
      sym_keyword_where,
    STATE(9907), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15909), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
  [506564] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17186), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [506575] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15382), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [506586] = 3,
    STATE(12), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(125), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [506599] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16292), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_where,
      sym_keyword_create,
  [506610] = 3,
    ACTIONS(17188), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16270), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [506623] = 5,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(10194), 1,
      sym_keyword_end,
    ACTIONS(17190), 1,
      sym_keyword_else,
    STATE(9540), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [506640] = 3,
    STATE(10745), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [506653] = 3,
    ACTIONS(17192), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16266), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [506666] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17194), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [506677] = 3,
    ACTIONS(17196), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17148), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [506690] = 3,
    ACTIONS(17198), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17180), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [506703] = 5,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(9053), 1,
      sym_keyword_else,
    ACTIONS(9055), 1,
      sym_keyword_end,
    STATE(9540), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [506720] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16134), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
  [506731] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15925), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [506742] = 3,
    ACTIONS(17200), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16528), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [506755] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17202), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [506766] = 4,
    ACTIONS(14750), 1,
      sym_keyword_where,
    STATE(10001), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15837), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
  [506781] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17204), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [506792] = 4,
    ACTIONS(16504), 1,
      sym_keyword_check,
    STATE(10322), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17206), 2,
      sym_keyword_cascaded,
      sym_keyword_local,
  [506807] = 4,
    ACTIONS(14436), 1,
      sym_keyword_where,
    STATE(11271), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17172), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [506822] = 3,
    STATE(10559), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [506835] = 4,
    ACTIONS(16878), 1,
      anon_sym_COMMA,
    STATE(10098), 1,
      aux_sym__rename_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16142), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [506850] = 5,
    ACTIONS(16564), 1,
      anon_sym_COMMA,
    ACTIONS(17208), 1,
      anon_sym_RPAREN,
    ACTIONS(17210), 1,
      anon_sym_EQ,
    STATE(10563), 1,
      aux_sym_storage_parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [506867] = 3,
    STATE(11316), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [506880] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17212), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [506891] = 3,
    STATE(6835), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14318), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [506904] = 4,
    ACTIONS(16878), 1,
      anon_sym_COMMA,
    STATE(10030), 1,
      aux_sym__rename_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16142), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [506919] = 3,
    ACTIONS(17214), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15813), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [506932] = 3,
    ACTIONS(17216), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15825), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [506945] = 5,
    ACTIONS(15917), 1,
      anon_sym_LPAREN,
    ACTIONS(16908), 1,
      sym_keyword_select,
    STATE(9316), 1,
      sym_select,
    STATE(10320), 1,
      sym__select_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [506962] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17218), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [506973] = 4,
    ACTIONS(14272), 1,
      sym_keyword_where,
    STATE(10611), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16788), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [506988] = 3,
    STATE(12298), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507001] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16098), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [507012] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15863), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_where,
      sym_keyword_create,
  [507023] = 5,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(9015), 1,
      sym_keyword_else,
    ACTIONS(9017), 1,
      sym_keyword_end,
    STATE(9540), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [507040] = 5,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(9100), 1,
      sym_keyword_else,
    ACTIONS(9102), 1,
      sym_keyword_end,
    STATE(9540), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [507057] = 3,
    STATE(12297), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507070] = 3,
    STATE(12293), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507083] = 3,
    STATE(11279), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507096] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16100), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(17220), 2,
      sym_keyword_after,
      sym_keyword_before,
  [507109] = 3,
    STATE(10336), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507122] = 3,
    STATE(4460), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1139), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507135] = 3,
    STATE(4006), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(405), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507148] = 4,
    ACTIONS(10772), 1,
      sym_keyword_order,
    STATE(11770), 1,
      sym_order_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17222), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [507163] = 5,
    ACTIONS(16512), 1,
      anon_sym_COMMA,
    ACTIONS(17224), 1,
      anon_sym_RPAREN,
    STATE(10392), 1,
      aux_sym_column_definitions_repeat1,
    STATE(13649), 1,
      sym_constraints,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [507180] = 3,
    ACTIONS(17226), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16532), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [507193] = 3,
    STATE(9016), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507206] = 3,
    ACTIONS(17228), 1,
      sym_keyword_cascade,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15965), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [507219] = 5,
    ACTIONS(9007), 1,
      sym_keyword_when,
    ACTIONS(10156), 1,
      sym_keyword_end,
    ACTIONS(17230), 1,
      sym_keyword_else,
    STATE(9540), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [507236] = 3,
    ACTIONS(16194), 1,
      sym_keyword_cascade,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15096), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [507249] = 3,
    ACTIONS(17234), 1,
      sym_keyword_noscan,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17232), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [507262] = 4,
    ACTIONS(16982), 1,
      anon_sym_COMMA,
    STATE(10219), 1,
      aux_sym_alter_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16926), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [507277] = 4,
    ACTIONS(16982), 1,
      anon_sym_COMMA,
    STATE(10138), 1,
      aux_sym_alter_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16926), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [507292] = 3,
    STATE(13638), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507305] = 3,
    STATE(7969), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15783), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507318] = 3,
    STATE(10372), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507331] = 3,
    STATE(10382), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507344] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13803), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [507355] = 5,
    ACTIONS(17236), 1,
      sym_keyword_group,
    ACTIONS(17238), 1,
      sym_keyword_no,
    ACTIONS(17240), 1,
      sym_keyword_current,
    ACTIONS(17242), 1,
      sym_keyword_ties,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [507372] = 4,
    ACTIONS(17244), 1,
      anon_sym_COMMA,
    STATE(10219), 1,
      aux_sym_alter_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17050), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [507387] = 3,
    STATE(11282), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507400] = 3,
    STATE(4422), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1139), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507413] = 3,
    STATE(11281), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507426] = 3,
    STATE(9163), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(115), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507439] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16198), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [507449] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16860), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [507459] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14825), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [507469] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(17247), 1,
      anon_sym_RPAREN,
    STATE(12403), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [507483] = 4,
    ACTIONS(15046), 1,
      sym_keyword_partition,
    ACTIONS(17249), 1,
      sym_keyword_compute,
    STATE(12701), 1,
      sym__partition_spec,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [507497] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17251), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [507507] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16958), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [507517] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14714), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [507527] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17024), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [507537] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17026), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [507547] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17028), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [507557] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17028), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [507567] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16936), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [507577] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17040), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [507587] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17050), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [507597] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17253), 3,
      sym_keyword_and,
      sym_keyword_exclude,
      anon_sym_RPAREN,
  [507607] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17255), 3,
      sym_keyword_and,
      sym_keyword_exclude,
      anon_sym_RPAREN,
  [507617] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17257), 3,
      sym_keyword_and,
      sym_keyword_exclude,
      anon_sym_RPAREN,
  [507627] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17259), 3,
      sym_keyword_and,
      sym_keyword_exclude,
      anon_sym_RPAREN,
  [507637] = 4,
    ACTIONS(17261), 1,
      anon_sym_RPAREN,
    ACTIONS(17263), 1,
      anon_sym_COMMA,
    STATE(10243), 1,
      aux_sym_alter_index_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [507651] = 4,
    ACTIONS(17266), 1,
      anon_sym_RPAREN,
    ACTIONS(17268), 1,
      anon_sym_COMMA,
    STATE(11084), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [507665] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16922), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [507675] = 4,
    ACTIONS(9452), 1,
      anon_sym_COMMA,
    ACTIONS(17270), 1,
      anon_sym_RBRACK,
    STATE(10527), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [507689] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17272), 3,
      sym_keyword_and,
      sym_keyword_exclude,
      anon_sym_RPAREN,
  [507699] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17274), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [507709] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17276), 3,
      sym_keyword_and,
      sym_keyword_exclude,
      anon_sym_RPAREN,
  [507719] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17055), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [507729] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17232), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [507739] = 3,
    ACTIONS(17278), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(6002), 2,
      sym_subquery,
      sym_list,
  [507751] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(17280), 1,
      anon_sym_RPAREN,
    STATE(13418), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [507765] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17282), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [507775] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17284), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [507785] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15096), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [507795] = 4,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(17286), 1,
      anon_sym_RPAREN,
    STATE(10323), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [507809] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16928), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [507819] = 4,
    ACTIONS(17288), 1,
      anon_sym_RPAREN,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    STATE(10379), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [507833] = 4,
    ACTIONS(15082), 1,
      anon_sym_RPAREN,
    ACTIONS(17292), 1,
      anon_sym_COMMA,
    STATE(10781), 1,
      aux_sym__vacuum_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [507847] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17294), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [507857] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1756), 1,
      anon_sym_RPAREN,
    STATE(7589), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [507871] = 4,
    ACTIONS(17296), 1,
      anon_sym_RPAREN,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [507885] = 4,
    ACTIONS(17268), 1,
      anon_sym_COMMA,
    ACTIONS(17300), 1,
      anon_sym_RPAREN,
    STATE(10514), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [507899] = 4,
    ACTIONS(9452), 1,
      anon_sym_COMMA,
    ACTIONS(17302), 1,
      anon_sym_RBRACK,
    STATE(10527), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [507913] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(17304), 1,
      anon_sym_RPAREN,
    STATE(12429), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [507927] = 4,
    ACTIONS(14639), 1,
      sym_keyword_from,
    ACTIONS(15420), 1,
      anon_sym_RPAREN,
    STATE(13510), 1,
      sym_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [507941] = 4,
    ACTIONS(17306), 1,
      anon_sym_RPAREN,
    ACTIONS(17308), 1,
      anon_sym_COMMA,
    STATE(10243), 1,
      aux_sym_alter_index_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [507955] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(17310), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [507969] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(17312), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [507983] = 4,
    ACTIONS(17314), 1,
      sym_keyword_on,
    ACTIONS(17316), 1,
      sym_keyword_or,
    STATE(10279), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [507997] = 4,
    ACTIONS(17316), 1,
      sym_keyword_or,
    ACTIONS(17318), 1,
      sym_keyword_on,
    STATE(10292), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508011] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17320), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [508021] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(17322), 1,
      anon_sym_RPAREN,
    STATE(7589), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508035] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(17324), 1,
      anon_sym_RPAREN,
    STATE(13417), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508049] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16762), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [508059] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(17326), 1,
      anon_sym_RPAREN,
    STATE(12430), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508073] = 4,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(17328), 1,
      anon_sym_RPAREN,
    STATE(10549), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508087] = 4,
    ACTIONS(17316), 1,
      sym_keyword_or,
    ACTIONS(17318), 1,
      sym_keyword_on,
    STATE(10681), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508101] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15837), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [508111] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(17330), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508125] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(17332), 1,
      anon_sym_RPAREN,
    STATE(12242), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508139] = 4,
    ACTIONS(17334), 1,
      anon_sym_LPAREN,
    ACTIONS(17336), 1,
      anon_sym_RPAREN,
    ACTIONS(17338), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508153] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(17340), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508167] = 4,
    ACTIONS(17334), 1,
      anon_sym_LPAREN,
    ACTIONS(17338), 1,
      anon_sym_DOT,
    ACTIONS(17342), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508181] = 4,
    ACTIONS(17344), 1,
      anon_sym_RPAREN,
    ACTIONS(17346), 1,
      anon_sym_COMMA,
    STATE(10669), 1,
      aux_sym_create_type_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508195] = 3,
    ACTIONS(17348), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17105), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [508207] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(17350), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508221] = 4,
    ACTIONS(17316), 1,
      sym_keyword_or,
    ACTIONS(17352), 1,
      sym_keyword_on,
    STATE(10293), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508235] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(17354), 1,
      anon_sym_RPAREN,
    STATE(13665), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508249] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(17356), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508263] = 4,
    ACTIONS(17316), 1,
      sym_keyword_or,
    ACTIONS(17352), 1,
      sym_keyword_on,
    STATE(10681), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508277] = 4,
    ACTIONS(17316), 1,
      sym_keyword_or,
    ACTIONS(17358), 1,
      sym_keyword_on,
    STATE(10681), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508291] = 4,
    ACTIONS(17316), 1,
      sym_keyword_or,
    ACTIONS(17358), 1,
      sym_keyword_on,
    STATE(10301), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508305] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16788), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [508315] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(17360), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508329] = 4,
    ACTIONS(17268), 1,
      anon_sym_COMMA,
    ACTIONS(17362), 1,
      anon_sym_RPAREN,
    STATE(10324), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508343] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17364), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [508353] = 4,
    ACTIONS(17268), 1,
      anon_sym_COMMA,
    ACTIONS(17366), 1,
      anon_sym_RPAREN,
    STATE(10244), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508367] = 4,
    ACTIONS(17368), 1,
      anon_sym_RPAREN,
    ACTIONS(17370), 1,
      anon_sym_COMMA,
    STATE(10571), 1,
      aux_sym__table_settings_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508381] = 4,
    ACTIONS(17316), 1,
      sym_keyword_or,
    ACTIONS(17372), 1,
      sym_keyword_on,
    STATE(10681), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508395] = 4,
    ACTIONS(17374), 1,
      anon_sym_RPAREN,
    ACTIONS(17376), 1,
      anon_sym_COMMA,
    STATE(10982), 1,
      aux_sym_enum_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508409] = 4,
    ACTIONS(17378), 1,
      anon_sym_RPAREN,
    ACTIONS(17380), 1,
      anon_sym_COMMA,
    STATE(10303), 1,
      aux_sym_ordered_columns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508423] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10572), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [508433] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16808), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [508443] = 4,
    ACTIONS(17292), 1,
      anon_sym_COMMA,
    ACTIONS(17383), 1,
      anon_sym_RPAREN,
    STATE(10439), 1,
      aux_sym__vacuum_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508457] = 4,
    ACTIONS(17292), 1,
      anon_sym_COMMA,
    ACTIONS(17383), 1,
      anon_sym_RPAREN,
    STATE(10367), 1,
      aux_sym__vacuum_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508471] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15148), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [508481] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16550), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [508491] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15382), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [508501] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(17385), 1,
      anon_sym_RPAREN,
    STATE(12205), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508515] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(17387), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508529] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(17389), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508543] = 4,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(17391), 1,
      anon_sym_RPAREN,
    STATE(10379), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508557] = 4,
    ACTIONS(17113), 1,
      sym_keyword_trigger,
    ACTIONS(17393), 1,
      sym_keyword_view,
    ACTIONS(17395), 1,
      sym_keyword_recursive,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508571] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(17397), 1,
      anon_sym_RPAREN,
    STATE(12204), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508585] = 4,
    ACTIONS(17399), 1,
      anon_sym_RPAREN,
    ACTIONS(17401), 1,
      anon_sym_COMMA,
    STATE(10579), 1,
      aux_sym_index_fields_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508599] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17148), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [508609] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(17403), 1,
      anon_sym_RPAREN,
    STATE(12449), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508623] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10602), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [508633] = 4,
    ACTIONS(17316), 1,
      sym_keyword_or,
    ACTIONS(17372), 1,
      sym_keyword_on,
    STATE(10352), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508647] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16266), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [508657] = 4,
    ACTIONS(6767), 1,
      anon_sym_RPAREN,
    ACTIONS(17405), 1,
      anon_sym_COMMA,
    STATE(10323), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508671] = 4,
    ACTIONS(17268), 1,
      anon_sym_COMMA,
    ACTIONS(17408), 1,
      anon_sym_RPAREN,
    STATE(11084), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508685] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(17410), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508699] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14462), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [508709] = 4,
    ACTIONS(17412), 1,
      sym_keyword_using,
    ACTIONS(17414), 1,
      anon_sym_LPAREN,
    STATE(9077), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508723] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(17416), 1,
      anon_sym_RPAREN,
    STATE(12184), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508737] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(17418), 1,
      anon_sym_RPAREN,
    STATE(7589), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508751] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16158), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [508761] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(17420), 1,
      anon_sym_RPAREN,
    STATE(12609), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508775] = 4,
    ACTIONS(17414), 1,
      anon_sym_LPAREN,
    ACTIONS(17422), 1,
      sym_keyword_using,
    STATE(9020), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508789] = 4,
    ACTIONS(17268), 1,
      anon_sym_COMMA,
    ACTIONS(17424), 1,
      anon_sym_RPAREN,
    STATE(11084), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508803] = 4,
    ACTIONS(17414), 1,
      anon_sym_LPAREN,
    ACTIONS(17426), 1,
      sym_keyword_using,
    STATE(9019), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508817] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16850), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [508827] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16988), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [508837] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(17428), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508851] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(17430), 1,
      anon_sym_RPAREN,
    STATE(7589), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508865] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16986), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [508875] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16828), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [508885] = 3,
    ACTIONS(17432), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16546), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [508897] = 3,
    ACTIONS(17436), 1,
      sym_keyword_instead,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17434), 2,
      sym_keyword_after,
      sym_keyword_before,
  [508909] = 4,
    ACTIONS(9452), 1,
      anon_sym_COMMA,
    ACTIONS(17438), 1,
      anon_sym_RBRACK,
    STATE(10527), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508923] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17440), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [508933] = 4,
    ACTIONS(17346), 1,
      anon_sym_COMMA,
    ACTIONS(17442), 1,
      anon_sym_RPAREN,
    STATE(10669), 1,
      aux_sym_create_type_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508947] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15392), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [508957] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16972), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [508967] = 3,
    ACTIONS(17444), 1,
      sym_keyword_force,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16896), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [508979] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16780), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [508989] = 3,
    ACTIONS(17446), 1,
      sym_keyword_schema,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17448), 2,
      sym_keyword_unlogged,
      sym_keyword_logged,
  [509001] = 4,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(17450), 1,
      anon_sym_RPAREN,
    STATE(10323), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [509015] = 4,
    ACTIONS(17316), 1,
      sym_keyword_or,
    ACTIONS(17452), 1,
      sym_keyword_on,
    STATE(10681), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [509029] = 4,
    ACTIONS(13912), 1,
      anon_sym_COMMA,
    ACTIONS(14033), 1,
      anon_sym_RPAREN,
    STATE(11015), 1,
      aux_sym__compute_stats_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [509043] = 4,
    ACTIONS(17454), 1,
      sym_keyword_set,
    ACTIONS(17456), 1,
      sym_keyword_drop,
    ACTIONS(17458), 1,
      sym_keyword_type,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [509057] = 4,
    ACTIONS(17316), 1,
      sym_keyword_or,
    ACTIONS(17460), 1,
      sym_keyword_on,
    STATE(10502), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [509071] = 4,
    ACTIONS(17462), 1,
      sym_keyword_to,
    ACTIONS(17464), 1,
      sym_keyword_wait,
    ACTIONS(17466), 1,
      sym_keyword_nowait,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [509085] = 3,
    ACTIONS(17468), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(807), 2,
      sym_subquery,
      sym_list,
  [509097] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17470), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [509107] = 4,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(17472), 1,
      anon_sym_RPAREN,
    STATE(11095), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [509121] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16822), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [509131] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16818), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [509141] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16814), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [509151] = 3,
    ACTIONS(17474), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16910), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [509163] = 4,
    ACTIONS(17292), 1,
      anon_sym_COMMA,
    ACTIONS(17476), 1,
      anon_sym_RPAREN,
    STATE(10367), 1,
      aux_sym__vacuum_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [509177] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14736), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [509187] = 3,
    ACTIONS(17478), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(2419), 2,
      sym_subquery,
      sym_list,
  [509199] = 4,
    ACTIONS(17480), 1,
      anon_sym_RPAREN,
    ACTIONS(17482), 1,
      anon_sym_COMMA,
    STATE(10367), 1,
      aux_sym__vacuum_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [509213] = 3,
    ACTIONS(17485), 1,
      sym_keyword_nulls,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17487), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [509225] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17489), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [509235] = 4,
    ACTIONS(17491), 1,
      anon_sym_RPAREN,
    ACTIONS(17493), 1,
      anon_sym_COMMA,
    STATE(10759), 1,
      aux_sym_cte_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [509249] = 4,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(17495), 1,
      anon_sym_RPAREN,
    STATE(10323), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [509263] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16812), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [509273] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14740), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [509283] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16810), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [509293] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17497), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [509303] = 4,
    ACTIONS(17499), 1,
      sym_keyword_set,
    ACTIONS(17501), 1,
      sym_keyword_drop,
    ACTIONS(17503), 1,
      sym_keyword_type,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [509317] = 3,
    ACTIONS(17505), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17148), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [509329] = 4,
    ACTIONS(9452), 1,
      anon_sym_COMMA,
    ACTIONS(17507), 1,
      anon_sym_RBRACK,
    STATE(10527), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [509343] = 4,
    ACTIONS(17509), 1,
      anon_sym_RPAREN,
    ACTIONS(17511), 1,
      anon_sym_COMMA,
    STATE(10379), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [509357] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16804), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [509367] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17497), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [509377] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16802), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [509387] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(17514), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [509401] = 4,
    ACTIONS(17316), 1,
      sym_keyword_or,
    ACTIONS(17452), 1,
      sym_keyword_on,
    STATE(10385), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [509415] = 4,
    ACTIONS(17316), 1,
      sym_keyword_or,
    ACTIONS(17516), 1,
      sym_keyword_on,
    STATE(10681), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [509429] = 3,
    ACTIONS(17518), 1,
      sym_keyword_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17520), 2,
      sym_keyword_to,
      anon_sym_EQ,
  [509441] = 4,
    ACTIONS(17522), 1,
      sym_keyword_using,
    ACTIONS(17524), 1,
      anon_sym_LPAREN,
    STATE(8728), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [509455] = 4,
    ACTIONS(17526), 1,
      anon_sym_RPAREN,
    ACTIONS(17528), 1,
      anon_sym_COMMA,
    STATE(11122), 1,
      aux_sym_constraints_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [509469] = 4,
    ACTIONS(17346), 1,
      anon_sym_COMMA,
    ACTIONS(17530), 1,
      anon_sym_RPAREN,
    STATE(10345), 1,
      aux_sym_create_type_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [509483] = 4,
    ACTIONS(17316), 1,
      sym_keyword_or,
    ACTIONS(17516), 1,
      sym_keyword_on,
    STATE(10393), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [509497] = 3,
    ACTIONS(17532), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17180), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [509509] = 4,
    ACTIONS(17534), 1,
      anon_sym_RPAREN,
    ACTIONS(17536), 1,
      anon_sym_COMMA,
    STATE(10392), 1,
      aux_sym_column_definitions_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [509523] = 4,
    ACTIONS(17316), 1,
      sym_keyword_or,
    ACTIONS(17539), 1,
      sym_keyword_on,
    STATE(10681), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [509537] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(17541), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [509551] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(17543), 1,
      anon_sym_RPAREN,
    STATE(12082), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [509565] = 4,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(17545), 1,
      anon_sym_RPAREN,
    STATE(11208), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [509579] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(17547), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [509593] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17549), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [509603] = 4,
    ACTIONS(17414), 1,
      anon_sym_LPAREN,
    ACTIONS(17551), 1,
      sym_keyword_using,
    STATE(9079), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [509617] = 4,
    ACTIONS(17553), 1,
      anon_sym_RPAREN,
    ACTIONS(17555), 1,
      anon_sym_COMMA,
    STATE(10400), 1,
      aux_sym_cte_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [509631] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17558), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [509641] = 4,
    ACTIONS(17316), 1,
      sym_keyword_or,
    ACTIONS(17539), 1,
      sym_keyword_on,
    STATE(10407), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [509655] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(16228), 1,
      anon_sym_RPAREN,
    STATE(10631), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [509669] = 4,
    ACTIONS(17560), 1,
      anon_sym_RPAREN,
    ACTIONS(17562), 1,
      anon_sym_COMMA,
    STATE(11191), 1,
      aux_sym__column_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [509683] = 3,
    ACTIONS(17152), 1,
      sym_keyword_noscan,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16452), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [509695] = 4,
    ACTIONS(14150), 1,
      anon_sym_COMMA,
    ACTIONS(17564), 1,
      anon_sym_RPAREN,
    STATE(7957), 1,
      aux_sym__insert_values_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [509709] = 4,
    ACTIONS(17316), 1,
      sym_keyword_or,
    ACTIONS(17566), 1,
      sym_keyword_on,
    STATE(10681), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [509723] = 4,
    ACTIONS(17316), 1,
      sym_keyword_or,
    ACTIONS(17566), 1,
      sym_keyword_on,
    STATE(10414), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [509737] = 4,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(17568), 1,
      anon_sym_RPAREN,
    STATE(10379), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [509751] = 4,
    ACTIONS(17268), 1,
      anon_sym_COMMA,
    ACTIONS(17570), 1,
      anon_sym_RPAREN,
    STATE(10437), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [509765] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1758), 1,
      anon_sym_RPAREN,
    STATE(7589), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [509779] = 4,
    ACTIONS(17524), 1,
      anon_sym_LPAREN,
    ACTIONS(17572), 1,
      sym_keyword_using,
    STATE(8773), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [509793] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14142), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [509803] = 4,
    ACTIONS(17316), 1,
      sym_keyword_or,
    ACTIONS(17574), 1,
      sym_keyword_on,
    STATE(10681), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [509817] = 4,
    ACTIONS(17414), 1,
      anon_sym_LPAREN,
    ACTIONS(17576), 1,
      sym_keyword_using,
    STATE(9081), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [509831] = 3,
    ACTIONS(17578), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16528), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [509843] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16136), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [509853] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17549), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [509863] = 3,
    ACTIONS(17580), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16532), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [509875] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17582), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [509885] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16464), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [509895] = 3,
    ACTIONS(17584), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17042), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [509907] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14885), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [509917] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(17586), 1,
      anon_sym_RPAREN,
    STATE(12068), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [509931] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14871), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [509941] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(17588), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [509955] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15030), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [509965] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17022), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [509975] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(17590), 1,
      anon_sym_RPAREN,
    STATE(12067), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [509989] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16236), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [509999] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(17592), 1,
      anon_sym_RPAREN,
    STATE(12600), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [510013] = 4,
    ACTIONS(17370), 1,
      anon_sym_COMMA,
    ACTIONS(17594), 1,
      anon_sym_RPAREN,
    STATE(10641), 1,
      aux_sym__table_settings_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [510027] = 4,
    ACTIONS(17268), 1,
      anon_sym_COMMA,
    ACTIONS(17596), 1,
      anon_sym_RPAREN,
    STATE(11084), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [510041] = 4,
    ACTIONS(17334), 1,
      anon_sym_LPAREN,
    ACTIONS(17338), 1,
      anon_sym_DOT,
    ACTIONS(17598), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [510055] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15006), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [510065] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16597), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [510075] = 4,
    ACTIONS(17268), 1,
      anon_sym_COMMA,
    ACTIONS(17600), 1,
      anon_sym_RPAREN,
    STATE(11084), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [510089] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17470), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [510099] = 4,
    ACTIONS(17292), 1,
      anon_sym_COMMA,
    ACTIONS(17602), 1,
      anon_sym_RPAREN,
    STATE(10367), 1,
      aux_sym__vacuum_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [510113] = 3,
    ACTIONS(17604), 1,
      sym_keyword_nulls,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17606), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [510125] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(17608), 1,
      anon_sym_RPAREN,
    STATE(12058), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [510139] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(16130), 1,
      anon_sym_RPAREN,
    STATE(11012), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [510153] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16124), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [510163] = 4,
    ACTIONS(13912), 1,
      anon_sym_COMMA,
    ACTIONS(13914), 1,
      anon_sym_RPAREN,
    STATE(11015), 1,
      aux_sym__compute_stats_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [510177] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(17610), 1,
      anon_sym_RPAREN,
    STATE(12608), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [510191] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(17612), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [510205] = 4,
    ACTIONS(17614), 1,
      sym_keyword_materialized,
    ACTIONS(17616), 1,
      sym_keyword_not,
    ACTIONS(17618), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [510219] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15020), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [510229] = 3,
    ACTIONS(17620), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17032), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [510241] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13581), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [510251] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16966), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [510261] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16414), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [510271] = 3,
    ACTIONS(17624), 1,
      sym_keyword_instead,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17622), 2,
      sym_keyword_after,
      sym_keyword_before,
  [510283] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17030), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [510293] = 3,
    ACTIONS(17626), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16570), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [510305] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15054), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [510315] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15078), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [510325] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(17628), 1,
      anon_sym_RPAREN,
    STATE(12811), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [510339] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17630), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [510349] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17632), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [510359] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17634), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [510369] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17636), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [510379] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17638), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [510389] = 4,
    ACTIONS(14750), 1,
      sym_keyword_where,
    ACTIONS(17172), 1,
      anon_sym_RPAREN,
    STATE(11023), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [510403] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17640), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [510413] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17642), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [510423] = 3,
    ACTIONS(17048), 1,
      sym_keyword_noscan,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15807), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [510435] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15432), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [510445] = 4,
    ACTIONS(17524), 1,
      anon_sym_LPAREN,
    ACTIONS(17644), 1,
      sym_keyword_using,
    STATE(8760), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [510459] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15979), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [510469] = 4,
    ACTIONS(17268), 1,
      anon_sym_COMMA,
    ACTIONS(17646), 1,
      anon_sym_RPAREN,
    STATE(10433), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [510483] = 4,
    ACTIONS(17370), 1,
      anon_sym_COMMA,
    ACTIONS(17648), 1,
      anon_sym_RPAREN,
    STATE(11054), 1,
      aux_sym__table_settings_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [510497] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(15951), 1,
      anon_sym_RPAREN,
    STATE(7589), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [510511] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17650), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [510521] = 4,
    ACTIONS(17562), 1,
      anon_sym_COMMA,
    ACTIONS(17652), 1,
      anon_sym_RPAREN,
    STATE(11191), 1,
      aux_sym__column_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [510535] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17654), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [510545] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17640), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [510555] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16114), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [510565] = 3,
    ACTIONS(17656), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4349), 2,
      sym_subquery,
      sym_list,
  [510577] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17658), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [510587] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17660), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [510597] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(17662), 1,
      anon_sym_RPAREN,
    STATE(13616), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [510611] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(17664), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [510625] = 4,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(17666), 1,
      anon_sym_RPAREN,
    STATE(10323), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [510639] = 3,
    ACTIONS(17668), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16708), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [510651] = 4,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(17670), 1,
      anon_sym_RPAREN,
    STATE(10259), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [510665] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16104), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [510675] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(17672), 1,
      anon_sym_RPAREN,
    STATE(13615), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [510689] = 4,
    ACTIONS(17524), 1,
      anon_sym_LPAREN,
    ACTIONS(17674), 1,
      sym_keyword_using,
    STATE(8801), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [510703] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16098), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [510713] = 4,
    ACTIONS(9452), 1,
      anon_sym_COMMA,
    ACTIONS(17676), 1,
      anon_sym_RBRACK,
    STATE(10527), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [510727] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(17678), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [510741] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17680), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [510751] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17218), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [510761] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(17682), 1,
      anon_sym_RPAREN,
    STATE(12649), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [510775] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(17684), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [510789] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17212), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [510799] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(17686), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [510813] = 4,
    ACTIONS(17688), 1,
      sym_keyword_value,
    ACTIONS(17690), 1,
      sym_keyword_to,
    ACTIONS(17692), 1,
      sym_keyword_attribute,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [510827] = 4,
    ACTIONS(16564), 1,
      anon_sym_COMMA,
    ACTIONS(17694), 1,
      anon_sym_RPAREN,
    STATE(10922), 1,
      aux_sym_storage_parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [510841] = 4,
    ACTIONS(17346), 1,
      anon_sym_COMMA,
    ACTIONS(17696), 1,
      anon_sym_RPAREN,
    STATE(10838), 1,
      aux_sym_create_type_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [510855] = 4,
    ACTIONS(17316), 1,
      sym_keyword_or,
    ACTIONS(17698), 1,
      sym_keyword_on,
    STATE(10681), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [510869] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16084), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [510879] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(16038), 1,
      anon_sym_RPAREN,
    STATE(10878), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [510893] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17099), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [510903] = 4,
    ACTIONS(17316), 1,
      sym_keyword_or,
    ACTIONS(17698), 1,
      sym_keyword_on,
    STATE(10702), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [510917] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(17700), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [510931] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(17702), 1,
      anon_sym_RPAREN,
    STATE(12109), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [510945] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17704), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [510955] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(17706), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [510969] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14847), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [510979] = 4,
    ACTIONS(16471), 1,
      anon_sym_COMMA,
    ACTIONS(17708), 1,
      anon_sym_RPAREN,
    STATE(9419), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [510993] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(17710), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [511007] = 4,
    ACTIONS(17268), 1,
      anon_sym_COMMA,
    ACTIONS(17712), 1,
      anon_sym_RPAREN,
    STATE(11084), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [511021] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17714), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [511031] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17083), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [511041] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(17716), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [511055] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16772), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [511065] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16770), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [511075] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16094), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [511085] = 4,
    ACTIONS(9452), 1,
      anon_sym_COMMA,
    ACTIONS(17718), 1,
      anon_sym_RBRACK,
    STATE(10527), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [511099] = 4,
    ACTIONS(17370), 1,
      anon_sym_COMMA,
    ACTIONS(17720), 1,
      anon_sym_RPAREN,
    STATE(10874), 1,
      aux_sym__table_settings_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [511113] = 4,
    ACTIONS(17268), 1,
      anon_sym_COMMA,
    ACTIONS(17722), 1,
      anon_sym_RPAREN,
    STATE(10550), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [511127] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16704), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [511137] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16688), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [511147] = 3,
    ACTIONS(17724), 1,
      sym_keyword_nulls,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17726), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [511159] = 4,
    ACTIONS(6767), 1,
      anon_sym_RBRACK,
    ACTIONS(17728), 1,
      anon_sym_COMMA,
    STATE(10527), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [511173] = 3,
    ACTIONS(17733), 1,
      sym_keyword_of,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17731), 2,
      sym_keyword_on,
      sym_keyword_or,
  [511185] = 4,
    ACTIONS(17316), 1,
      sym_keyword_or,
    ACTIONS(17735), 1,
      sym_keyword_on,
    STATE(10762), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [511199] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(17737), 1,
      anon_sym_RPAREN,
    STATE(10853), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [511213] = 4,
    ACTIONS(17739), 1,
      anon_sym_RPAREN,
    ACTIONS(17741), 1,
      anon_sym_COMMA,
    STATE(10727), 1,
      aux_sym_function_arguments_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [511227] = 4,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(17743), 1,
      anon_sym_RPAREN,
    STATE(10323), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [511241] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16671), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [511251] = 4,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(17745), 1,
      anon_sym_RPAREN,
    STATE(10668), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [511265] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(16394), 1,
      anon_sym_RPAREN,
    STATE(7589), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [511279] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16669), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [511289] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(17747), 1,
      anon_sym_RPAREN,
    STATE(12142), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [511303] = 4,
    ACTIONS(9452), 1,
      anon_sym_COMMA,
    ACTIONS(17749), 1,
      anon_sym_RBRACK,
    STATE(10527), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [511317] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(17751), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [511331] = 4,
    ACTIONS(16824), 1,
      anon_sym_RPAREN,
    ACTIONS(17753), 1,
      anon_sym_COMMA,
    STATE(10706), 1,
      aux_sym_alter_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [511345] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16665), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [511355] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(17755), 1,
      anon_sym_RPAREN,
    STATE(12144), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [511369] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17757), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [511379] = 3,
    ACTIONS(17759), 1,
      sym_keyword_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17761), 2,
      sym_keyword_to,
      anon_sym_EQ,
  [511391] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17763), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [511401] = 3,
    ACTIONS(17765), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4424), 2,
      sym_subquery,
      sym_list,
  [511413] = 4,
    ACTIONS(15314), 1,
      anon_sym_RPAREN,
    ACTIONS(17292), 1,
      anon_sym_COMMA,
    STATE(10307), 1,
      aux_sym__vacuum_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [511427] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17767), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [511437] = 4,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(17769), 1,
      anon_sym_RPAREN,
    STATE(10379), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [511451] = 4,
    ACTIONS(17268), 1,
      anon_sym_COMMA,
    ACTIONS(17771), 1,
      anon_sym_RPAREN,
    STATE(11084), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [511465] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17773), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [511475] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1768), 1,
      anon_sym_RPAREN,
    STATE(7589), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [511489] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16651), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [511499] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(17775), 1,
      anon_sym_RPAREN,
    STATE(12194), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [511513] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10644), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [511523] = 3,
    ACTIONS(17777), 1,
      sym_keyword_nulls,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17779), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [511535] = 4,
    ACTIONS(17781), 1,
      sym_keyword_set,
    ACTIONS(17783), 1,
      sym_keyword_drop,
    ACTIONS(17785), 1,
      sym_keyword_type,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [511549] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16629), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [511559] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(17787), 1,
      anon_sym_RPAREN,
    STATE(10743), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [511573] = 4,
    ACTIONS(17316), 1,
      sym_keyword_or,
    ACTIONS(17789), 1,
      sym_keyword_on,
    STATE(10754), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [511587] = 4,
    ACTIONS(17791), 1,
      sym_keyword_to,
    ACTIONS(17793), 1,
      sym_keyword_wait,
    ACTIONS(17795), 1,
      sym_keyword_nowait,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [511601] = 3,
    ACTIONS(17797), 1,
      sym_keyword_nulls,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17799), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [511613] = 4,
    ACTIONS(16564), 1,
      anon_sym_COMMA,
    ACTIONS(17801), 1,
      anon_sym_RPAREN,
    STATE(10922), 1,
      aux_sym_storage_parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [511627] = 4,
    ACTIONS(17316), 1,
      sym_keyword_or,
    ACTIONS(17460), 1,
      sym_keyword_on,
    STATE(10681), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [511641] = 3,
    ACTIONS(17805), 1,
      sym_keyword_instead,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17803), 2,
      sym_keyword_after,
      sym_keyword_before,
  [511653] = 4,
    ACTIONS(17334), 1,
      anon_sym_LPAREN,
    ACTIONS(17338), 1,
      anon_sym_DOT,
    ACTIONS(17807), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [511667] = 4,
    ACTIONS(17316), 1,
      sym_keyword_or,
    ACTIONS(17789), 1,
      sym_keyword_on,
    STATE(10681), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [511681] = 4,
    ACTIONS(17809), 1,
      sym_keyword_value,
    ACTIONS(17811), 1,
      sym_keyword_to,
    ACTIONS(17813), 1,
      sym_keyword_attribute,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [511695] = 3,
    ACTIONS(17815), 1,
      sym_keyword_schema,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17817), 2,
      sym_keyword_unlogged,
      sym_keyword_logged,
  [511707] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17819), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [511717] = 4,
    ACTIONS(17370), 1,
      anon_sym_COMMA,
    ACTIONS(17821), 1,
      anon_sym_RPAREN,
    STATE(10874), 1,
      aux_sym__table_settings_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [511731] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(17823), 1,
      anon_sym_RPAREN,
    STATE(10687), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [511745] = 4,
    ACTIONS(17401), 1,
      anon_sym_COMMA,
    ACTIONS(17825), 1,
      anon_sym_RPAREN,
    STATE(10645), 1,
      aux_sym_index_fields_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [511759] = 3,
    ACTIONS(17829), 1,
      sym_keyword_instead,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17827), 2,
      sym_keyword_after,
      sym_keyword_before,
  [511771] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17831), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [511781] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(17833), 1,
      anon_sym_RPAREN,
    STATE(11079), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [511795] = 3,
    ACTIONS(17835), 1,
      sym_keyword_nulls,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17837), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [511807] = 4,
    ACTIONS(17334), 1,
      anon_sym_LPAREN,
    ACTIONS(17338), 1,
      anon_sym_DOT,
    ACTIONS(17839), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [511821] = 4,
    ACTIONS(17401), 1,
      anon_sym_COMMA,
    ACTIONS(17841), 1,
      anon_sym_RPAREN,
    STATE(10645), 1,
      aux_sym_index_fields_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [511835] = 3,
    ACTIONS(17845), 1,
      sym_keyword_instead,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17843), 2,
      sym_keyword_after,
      sym_keyword_before,
  [511847] = 4,
    ACTIONS(17414), 1,
      anon_sym_LPAREN,
    ACTIONS(17847), 1,
      sym_keyword_using,
    STATE(8971), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [511861] = 3,
    ACTIONS(17849), 1,
      sym_keyword_nulls,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17851), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [511873] = 3,
    ACTIONS(17853), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16613), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [511885] = 4,
    ACTIONS(17414), 1,
      anon_sym_LPAREN,
    ACTIONS(17855), 1,
      sym_keyword_using,
    STATE(8970), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [511899] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16138), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [511909] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17857), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [511919] = 4,
    ACTIONS(17268), 1,
      anon_sym_COMMA,
    ACTIONS(17859), 1,
      anon_sym_RPAREN,
    STATE(11084), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [511933] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13803), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [511943] = 4,
    ACTIONS(14639), 1,
      sym_keyword_from,
    ACTIONS(15552), 1,
      anon_sym_RPAREN,
    STATE(14506), 1,
      sym_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [511957] = 4,
    ACTIONS(17346), 1,
      anon_sym_COMMA,
    ACTIONS(17861), 1,
      anon_sym_RPAREN,
    STATE(10605), 1,
      aux_sym_create_type_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [511971] = 3,
    ACTIONS(17865), 1,
      sym_keyword_instead,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17863), 2,
      sym_keyword_after,
      sym_keyword_before,
  [511983] = 3,
    ACTIONS(17867), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4653), 2,
      sym_subquery,
      sym_list,
  [511995] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13306), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [512005] = 4,
    ACTIONS(17376), 1,
      anon_sym_COMMA,
    ACTIONS(17869), 1,
      anon_sym_RPAREN,
    STATE(10716), 1,
      aux_sym_enum_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [512019] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(17871), 1,
      anon_sym_RPAREN,
    STATE(12831), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [512033] = 4,
    ACTIONS(17414), 1,
      anon_sym_LPAREN,
    ACTIONS(17873), 1,
      sym_keyword_using,
    STATE(8974), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [512047] = 4,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(17875), 1,
      anon_sym_RPAREN,
    STATE(10323), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [512061] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(17877), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [512075] = 3,
    ACTIONS(17881), 1,
      sym_keyword_each,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17879), 2,
      sym_keyword_row,
      sym_keyword_statement,
  [512087] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(17883), 1,
      anon_sym_RPAREN,
    STATE(12835), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [512101] = 4,
    ACTIONS(17524), 1,
      anon_sym_LPAREN,
    ACTIONS(17885), 1,
      sym_keyword_using,
    STATE(9122), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [512115] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17887), 3,
      sym_keyword_safe,
      sym_keyword_unsafe,
      sym_keyword_restricted,
  [512125] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17889), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [512135] = 4,
    ACTIONS(9452), 1,
      anon_sym_COMMA,
    ACTIONS(17891), 1,
      anon_sym_RBRACK,
    STATE(10527), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [512149] = 4,
    ACTIONS(17346), 1,
      anon_sym_COMMA,
    ACTIONS(17893), 1,
      anon_sym_RPAREN,
    STATE(10669), 1,
      aux_sym_create_type_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [512163] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17895), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [512173] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16782), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [512183] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17897), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [512193] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(17899), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [512207] = 3,
    ACTIONS(17901), 1,
      sym_keyword_schema,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17903), 2,
      sym_keyword_unlogged,
      sym_keyword_logged,
  [512219] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17905), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [512229] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17907), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [512239] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15777), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [512249] = 4,
    ACTIONS(17268), 1,
      anon_sym_COMMA,
    ACTIONS(17909), 1,
      anon_sym_RPAREN,
    STATE(10587), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [512263] = 4,
    ACTIONS(16926), 1,
      anon_sym_RPAREN,
    ACTIONS(17753), 1,
      anon_sym_COMMA,
    STATE(10540), 1,
      aux_sym_alter_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [512277] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16514), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [512287] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17911), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [512297] = 4,
    ACTIONS(16926), 1,
      anon_sym_RPAREN,
    ACTIONS(17753), 1,
      anon_sym_COMMA,
    STATE(10706), 1,
      aux_sym_alter_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [512311] = 3,
    ACTIONS(17016), 1,
      sym_keyword_force,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16236), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [512323] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(17913), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [512337] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(17915), 1,
      anon_sym_RPAREN,
    STATE(12536), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [512351] = 3,
    ACTIONS(17917), 1,
      sym_keyword_nulls,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17919), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [512363] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(17921), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [512377] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17923), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [512387] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(17925), 1,
      anon_sym_RPAREN,
    STATE(10755), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [512401] = 3,
    ACTIONS(17927), 1,
      sym_keyword_schema,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17929), 2,
      sym_keyword_unlogged,
      sym_keyword_logged,
  [512413] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17931), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [512423] = 4,
    ACTIONS(17524), 1,
      anon_sym_LPAREN,
    ACTIONS(17933), 1,
      sym_keyword_using,
    STATE(9105), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [512437] = 4,
    ACTIONS(17334), 1,
      anon_sym_LPAREN,
    ACTIONS(17338), 1,
      anon_sym_DOT,
    ACTIONS(17935), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [512451] = 4,
    ACTIONS(17000), 1,
      anon_sym_RPAREN,
    ACTIONS(17753), 1,
      anon_sym_COMMA,
    STATE(10706), 1,
      aux_sym_alter_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [512465] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(17925), 1,
      anon_sym_RPAREN,
    STATE(7589), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [512479] = 3,
    ACTIONS(17939), 1,
      sym_keyword_instead,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17937), 2,
      sym_keyword_after,
      sym_keyword_before,
  [512491] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(17941), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [512505] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16312), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [512515] = 3,
    ACTIONS(17943), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17129), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [512527] = 4,
    ACTIONS(17268), 1,
      anon_sym_COMMA,
    ACTIONS(17945), 1,
      anon_sym_RPAREN,
    STATE(10663), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [512541] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16552), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [512551] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17947), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [512561] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(17949), 1,
      anon_sym_RPAREN,
    STATE(12844), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [512575] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(17951), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [512589] = 4,
    ACTIONS(17370), 1,
      anon_sym_COMMA,
    ACTIONS(17953), 1,
      anon_sym_RPAREN,
    STATE(10874), 1,
      aux_sym__table_settings_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [512603] = 4,
    ACTIONS(17414), 1,
      anon_sym_LPAREN,
    ACTIONS(17955), 1,
      sym_keyword_using,
    STATE(9161), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [512617] = 4,
    ACTIONS(13912), 1,
      anon_sym_COMMA,
    ACTIONS(17152), 1,
      anon_sym_RPAREN,
    STATE(11015), 1,
      aux_sym__compute_stats_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [512631] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15795), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [512641] = 4,
    ACTIONS(17957), 1,
      anon_sym_RPAREN,
    ACTIONS(17959), 1,
      anon_sym_COMMA,
    STATE(10645), 1,
      aux_sym_index_fields_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [512655] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(17962), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [512669] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(17964), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [512683] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(17966), 1,
      anon_sym_RPAREN,
    STATE(13581), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [512697] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17968), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [512707] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(17970), 1,
      anon_sym_RPAREN,
    STATE(12596), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [512721] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17972), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [512731] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(17974), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [512745] = 4,
    ACTIONS(9452), 1,
      anon_sym_COMMA,
    ACTIONS(17976), 1,
      anon_sym_RBRACK,
    STATE(10527), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [512759] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17972), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [512769] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(17978), 1,
      anon_sym_RPAREN,
    STATE(12597), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [512783] = 4,
    ACTIONS(17346), 1,
      anon_sym_COMMA,
    ACTIONS(17980), 1,
      anon_sym_RPAREN,
    STATE(10286), 1,
      aux_sym_create_type_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [512797] = 4,
    ACTIONS(17982), 1,
      sym_keyword_materialized,
    ACTIONS(17984), 1,
      sym_keyword_not,
    ACTIONS(17986), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [512811] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17988), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [512821] = 4,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(17990), 1,
      anon_sym_RPAREN,
    STATE(10323), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [512835] = 4,
    ACTIONS(17376), 1,
      anon_sym_COMMA,
    ACTIONS(17992), 1,
      anon_sym_RPAREN,
    STATE(10302), 1,
      aux_sym_enum_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [512849] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17994), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [512859] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17996), 3,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_cycle,
  [512869] = 4,
    ACTIONS(17268), 1,
      anon_sym_COMMA,
    ACTIONS(17998), 1,
      anon_sym_RPAREN,
    STATE(11084), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [512883] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18000), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [512893] = 3,
    ACTIONS(18002), 1,
      sym_keyword_nulls,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18004), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [512905] = 3,
    ACTIONS(18006), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(6400), 2,
      sym_subquery,
      sym_list,
  [512917] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(18008), 1,
      anon_sym_RPAREN,
    STATE(12700), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [512931] = 4,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18010), 1,
      anon_sym_RPAREN,
    STATE(10379), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [512945] = 4,
    ACTIONS(18012), 1,
      anon_sym_RPAREN,
    ACTIONS(18014), 1,
      anon_sym_COMMA,
    STATE(10669), 1,
      aux_sym_create_type_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [512959] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18017), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [512969] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(18019), 1,
      anon_sym_RPAREN,
    STATE(7589), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [512983] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15805), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [512993] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15817), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [513003] = 4,
    ACTIONS(17524), 1,
      anon_sym_LPAREN,
    ACTIONS(18021), 1,
      sym_keyword_using,
    STATE(9220), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [513017] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18023), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [513027] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(16394), 1,
      anon_sym_RPAREN,
    STATE(10473), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [513041] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15821), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [513051] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16625), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [513061] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18025), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [513071] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14360), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [513081] = 4,
    ACTIONS(18027), 1,
      sym_keyword_on,
    ACTIONS(18029), 1,
      sym_keyword_or,
    STATE(10681), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [513095] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16368), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [513105] = 4,
    ACTIONS(18032), 1,
      anon_sym_RPAREN,
    ACTIONS(18034), 1,
      anon_sym_COMMA,
    STATE(10683), 1,
      aux_sym_function_arguments_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [513119] = 4,
    ACTIONS(16564), 1,
      anon_sym_COMMA,
    ACTIONS(18037), 1,
      anon_sym_RPAREN,
    STATE(10797), 1,
      aux_sym_storage_parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [513133] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16647), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [513143] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16663), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [513153] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(18039), 1,
      anon_sym_RPAREN,
    STATE(7589), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [513167] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18041), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [513177] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18043), 3,
      sym_keyword_safe,
      sym_keyword_unsafe,
      sym_keyword_restricted,
  [513187] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18045), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [513197] = 4,
    ACTIONS(18047), 1,
      anon_sym_RPAREN,
    ACTIONS(18049), 1,
      anon_sym_COMMA,
    STATE(11003), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [513211] = 4,
    ACTIONS(18051), 1,
      sym_keyword_set,
    ACTIONS(18053), 1,
      sym_keyword_drop,
    ACTIONS(18055), 1,
      sym_keyword_type,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [513225] = 4,
    ACTIONS(17524), 1,
      anon_sym_LPAREN,
    ACTIONS(18057), 1,
      sym_keyword_using,
    STATE(8976), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [513239] = 4,
    ACTIONS(17414), 1,
      anon_sym_LPAREN,
    ACTIONS(18059), 1,
      sym_keyword_using,
    STATE(8904), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [513253] = 3,
    ACTIONS(18063), 1,
      sym_keyword_instead,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18061), 2,
      sym_keyword_after,
      sym_keyword_before,
  [513265] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(18065), 1,
      anon_sym_RPAREN,
    STATE(13012), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [513279] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18067), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [513289] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18069), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [513299] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16684), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [513309] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15969), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [513319] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9719), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [513329] = 4,
    ACTIONS(17316), 1,
      sym_keyword_or,
    ACTIONS(18071), 1,
      sym_keyword_on,
    STATE(10681), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [513343] = 4,
    ACTIONS(17316), 1,
      sym_keyword_or,
    ACTIONS(18071), 1,
      sym_keyword_on,
    STATE(11036), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [513357] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16744), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [513367] = 3,
    ACTIONS(18073), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4885), 2,
      sym_subquery,
      sym_list,
  [513379] = 4,
    ACTIONS(17050), 1,
      anon_sym_RPAREN,
    ACTIONS(18075), 1,
      anon_sym_COMMA,
    STATE(10706), 1,
      aux_sym_alter_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [513393] = 3,
    ACTIONS(18080), 1,
      sym_keyword_instead,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18078), 2,
      sym_keyword_after,
      sym_keyword_before,
  [513405] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18082), 3,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_cycle,
  [513415] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16754), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [513425] = 4,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(18084), 1,
      anon_sym_RPAREN,
    STATE(10323), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [513439] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16766), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [513449] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16768), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [513459] = 4,
    ACTIONS(17268), 1,
      anon_sym_COMMA,
    ACTIONS(18086), 1,
      anon_sym_RPAREN,
    STATE(11084), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [513473] = 4,
    ACTIONS(17524), 1,
      anon_sym_LPAREN,
    ACTIONS(18088), 1,
      sym_keyword_using,
    STATE(9618), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [513487] = 4,
    ACTIONS(18090), 1,
      anon_sym_RPAREN,
    ACTIONS(18092), 1,
      anon_sym_COMMA,
    STATE(10817), 1,
      aux_sym_ordered_columns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [513501] = 4,
    ACTIONS(17376), 1,
      anon_sym_COMMA,
    ACTIONS(18094), 1,
      anon_sym_RPAREN,
    STATE(10982), 1,
      aux_sym_enum_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [513515] = 4,
    ACTIONS(9452), 1,
      anon_sym_COMMA,
    ACTIONS(18096), 1,
      anon_sym_RBRACK,
    STATE(10527), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [513529] = 4,
    ACTIONS(17414), 1,
      anon_sym_LPAREN,
    ACTIONS(18098), 1,
      sym_keyword_using,
    STATE(8893), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [513543] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18100), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513553] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16790), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [513563] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18102), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [513573] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(18104), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [513587] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(18106), 1,
      anon_sym_RPAREN,
    STATE(13020), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [513601] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16378), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [513611] = 4,
    ACTIONS(18108), 1,
      sym_keyword_is,
    ACTIONS(18110), 1,
      anon_sym_LPAREN,
    STATE(13491), 1,
      sym_function_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [513625] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16820), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [513635] = 4,
    ACTIONS(17741), 1,
      anon_sym_COMMA,
    ACTIONS(18112), 1,
      anon_sym_RPAREN,
    STATE(10683), 1,
      aux_sym_function_arguments_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [513649] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(18114), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [513663] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18116), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [513673] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16896), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [513683] = 3,
    ACTIONS(18120), 1,
      sym_keyword_instead,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18118), 2,
      sym_keyword_after,
      sym_keyword_before,
  [513695] = 4,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18122), 1,
      anon_sym_RPAREN,
    STATE(10815), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [513709] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(18124), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [513723] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(18126), 1,
      anon_sym_RPAREN,
    STATE(13293), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [513737] = 3,
    ACTIONS(18130), 1,
      sym_keyword_instead,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18128), 2,
      sym_keyword_after,
      sym_keyword_before,
  [513749] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(18132), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [513763] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18134), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [513773] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(18136), 1,
      anon_sym_RPAREN,
    STATE(13021), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [513787] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(18138), 1,
      anon_sym_RPAREN,
    STATE(7589), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [513801] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9711), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [513811] = 3,
    ACTIONS(18142), 1,
      sym_keyword_instead,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18140), 2,
      sym_keyword_after,
      sym_keyword_before,
  [513823] = 3,
    ACTIONS(18146), 1,
      sym_keyword_instead,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18144), 2,
      sym_keyword_after,
      sym_keyword_before,
  [513835] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(17833), 1,
      anon_sym_RPAREN,
    STATE(7589), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [513849] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14780), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [513859] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(18148), 1,
      anon_sym_RPAREN,
    STATE(11089), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [513873] = 3,
    ACTIONS(18150), 1,
      sym_keyword_noscan,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16852), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [513885] = 4,
    ACTIONS(17316), 1,
      sym_keyword_or,
    ACTIONS(18152), 1,
      sym_keyword_on,
    STATE(11110), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [513899] = 4,
    ACTIONS(18154), 1,
      sym_keyword_materialized,
    ACTIONS(18156), 1,
      sym_keyword_not,
    ACTIONS(18158), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [513913] = 4,
    ACTIONS(17268), 1,
      anon_sym_COMMA,
    ACTIONS(18160), 1,
      anon_sym_RPAREN,
    STATE(10776), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [513927] = 4,
    ACTIONS(17334), 1,
      anon_sym_LPAREN,
    ACTIONS(17338), 1,
      anon_sym_DOT,
    ACTIONS(18162), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [513941] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14222), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [513951] = 4,
    ACTIONS(17524), 1,
      anon_sym_LPAREN,
    ACTIONS(18164), 1,
      sym_keyword_using,
    STATE(9753), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [513965] = 4,
    ACTIONS(17562), 1,
      anon_sym_COMMA,
    ACTIONS(18166), 1,
      anon_sym_RPAREN,
    STATE(10475), 1,
      aux_sym__column_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [513979] = 4,
    ACTIONS(17316), 1,
      sym_keyword_or,
    ACTIONS(18152), 1,
      sym_keyword_on,
    STATE(10681), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [513993] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(18168), 1,
      anon_sym_RPAREN,
    STATE(7589), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514007] = 4,
    ACTIONS(17308), 1,
      anon_sym_COMMA,
    ACTIONS(18170), 1,
      anon_sym_RPAREN,
    STATE(10840), 1,
      aux_sym_alter_index_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514021] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16858), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [514031] = 4,
    ACTIONS(17524), 1,
      anon_sym_LPAREN,
    ACTIONS(18172), 1,
      sym_keyword_using,
    STATE(9766), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514045] = 4,
    ACTIONS(17493), 1,
      anon_sym_COMMA,
    ACTIONS(18174), 1,
      anon_sym_RPAREN,
    STATE(10400), 1,
      aux_sym_cte_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514059] = 4,
    ACTIONS(17268), 1,
      anon_sym_COMMA,
    ACTIONS(18176), 1,
      anon_sym_RPAREN,
    STATE(10713), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514073] = 4,
    ACTIONS(14750), 1,
      sym_keyword_where,
    ACTIONS(16580), 1,
      anon_sym_RPAREN,
    STATE(10764), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514087] = 4,
    ACTIONS(17316), 1,
      sym_keyword_or,
    ACTIONS(18178), 1,
      sym_keyword_on,
    STATE(10681), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514101] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(18180), 1,
      anon_sym_RPAREN,
    STATE(13363), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514115] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16866), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [514125] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(18182), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514139] = 4,
    ACTIONS(14750), 1,
      sym_keyword_where,
    ACTIONS(16578), 1,
      anon_sym_RPAREN,
    STATE(10225), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514153] = 3,
    ACTIONS(18184), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16880), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [514165] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(18186), 1,
      anon_sym_RPAREN,
    STATE(13366), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514179] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13366), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [514189] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16920), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [514199] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15993), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [514209] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18188), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [514219] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(18190), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514233] = 3,
    ACTIONS(18194), 1,
      sym_keyword_instead,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18192), 2,
      sym_keyword_after,
      sym_keyword_before,
  [514245] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16400), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [514255] = 4,
    ACTIONS(17268), 1,
      anon_sym_COMMA,
    ACTIONS(18196), 1,
      anon_sym_RPAREN,
    STATE(11084), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514269] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16852), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [514279] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(18198), 1,
      anon_sym_RPAREN,
    STATE(13071), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514293] = 4,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(18200), 1,
      anon_sym_RPAREN,
    STATE(10323), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514307] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(18202), 1,
      anon_sym_RPAREN,
    STATE(13410), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514321] = 4,
    ACTIONS(17292), 1,
      anon_sym_COMMA,
    ACTIONS(18204), 1,
      anon_sym_RPAREN,
    STATE(10367), 1,
      aux_sym__vacuum_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514335] = 4,
    ACTIONS(17292), 1,
      anon_sym_COMMA,
    ACTIONS(18204), 1,
      anon_sym_RPAREN,
    STATE(10364), 1,
      aux_sym__vacuum_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514349] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(18206), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514363] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18208), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [514373] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15490), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [514383] = 4,
    ACTIONS(18210), 1,
      sym_keyword_serializable,
    ACTIONS(18212), 1,
      sym_keyword_repeatable,
    ACTIONS(18214), 1,
      sym_keyword_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514397] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18216), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [514407] = 4,
    ACTIONS(17524), 1,
      anon_sym_LPAREN,
    ACTIONS(18218), 1,
      sym_keyword_using,
    STATE(9849), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514421] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16046), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [514431] = 4,
    ACTIONS(18220), 1,
      sym_keyword_isolation,
    ACTIONS(18222), 1,
      sym_keyword_snapshot,
    STATE(10850), 1,
      sym__transaction_mode,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514445] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18224), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [514455] = 4,
    ACTIONS(17524), 1,
      anon_sym_LPAREN,
    ACTIONS(18226), 1,
      sym_keyword_using,
    STATE(9843), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514469] = 4,
    ACTIONS(18228), 1,
      sym_keyword_to,
    ACTIONS(18230), 1,
      sym_keyword_wait,
    ACTIONS(18232), 1,
      sym_keyword_nowait,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514483] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17061), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [514493] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(18234), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514507] = 4,
    ACTIONS(17524), 1,
      anon_sym_LPAREN,
    ACTIONS(18236), 1,
      sym_keyword_using,
    STATE(9845), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514521] = 4,
    ACTIONS(16564), 1,
      anon_sym_COMMA,
    ACTIONS(18238), 1,
      anon_sym_RPAREN,
    STATE(10922), 1,
      aux_sym_storage_parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514535] = 4,
    ACTIONS(17334), 1,
      anon_sym_LPAREN,
    ACTIONS(17338), 1,
      anon_sym_DOT,
    ACTIONS(18240), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514549] = 4,
    ACTIONS(17308), 1,
      anon_sym_COMMA,
    ACTIONS(18242), 1,
      anon_sym_RPAREN,
    STATE(10243), 1,
      aux_sym_alter_index_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514563] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15949), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [514573] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15963), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [514583] = 4,
    ACTIONS(9452), 1,
      anon_sym_COMMA,
    ACTIONS(18244), 1,
      anon_sym_RBRACK,
    STATE(10527), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514597] = 4,
    ACTIONS(18246), 1,
      sym_keyword_to,
    ACTIONS(18248), 1,
      sym_keyword_wait,
    ACTIONS(18250), 1,
      sym_keyword_nowait,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514611] = 3,
    ACTIONS(18252), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4387), 2,
      sym_subquery,
      sym_list,
  [514623] = 4,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(18254), 1,
      anon_sym_RPAREN,
    STATE(10323), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514637] = 4,
    ACTIONS(17414), 1,
      anon_sym_LPAREN,
    ACTIONS(18256), 1,
      sym_keyword_using,
    STATE(8843), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514651] = 3,
    ACTIONS(18258), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4088), 2,
      sym_subquery,
      sym_list,
  [514663] = 4,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18260), 1,
      anon_sym_RPAREN,
    STATE(10959), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514677] = 4,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(18262), 1,
      anon_sym_RPAREN,
    STATE(10323), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514691] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15961), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [514701] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17123), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [514711] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18264), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [514721] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18266), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [514731] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18268), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [514741] = 4,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18270), 1,
      anon_sym_RPAREN,
    STATE(10379), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514755] = 4,
    ACTIONS(9452), 1,
      anon_sym_COMMA,
    ACTIONS(18272), 1,
      anon_sym_RBRACK,
    STATE(10527), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514769] = 4,
    ACTIONS(18092), 1,
      anon_sym_COMMA,
    ACTIONS(18274), 1,
      anon_sym_RPAREN,
    STATE(10303), 1,
      aux_sym_ordered_columns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514783] = 4,
    ACTIONS(17308), 1,
      anon_sym_COMMA,
    ACTIONS(18276), 1,
      anon_sym_RPAREN,
    STATE(10268), 1,
      aux_sym_alter_index_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514797] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18278), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [514807] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15567), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [514817] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(18280), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514831] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15947), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [514841] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17162), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [514851] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(18282), 1,
      anon_sym_RPAREN,
    STATE(10274), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514865] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17166), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [514875] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17186), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [514885] = 4,
    ACTIONS(14150), 1,
      anon_sym_COMMA,
    ACTIONS(18284), 1,
      anon_sym_RPAREN,
    STATE(10406), 1,
      aux_sym__insert_values_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514899] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17194), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [514909] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17202), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [514919] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16657), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [514929] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(18286), 1,
      anon_sym_RPAREN,
    STATE(10976), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514943] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(18288), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514957] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(18290), 1,
      anon_sym_RPAREN,
    STATE(13528), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514971] = 4,
    ACTIONS(17308), 1,
      anon_sym_COMMA,
    ACTIONS(18292), 1,
      anon_sym_RPAREN,
    STATE(10985), 1,
      aux_sym_alter_index_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514985] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(18294), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514999] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18296), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [515009] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18298), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [515019] = 4,
    ACTIONS(17346), 1,
      anon_sym_COMMA,
    ACTIONS(18300), 1,
      anon_sym_RPAREN,
    STATE(10669), 1,
      aux_sym_create_type_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515033] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18302), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [515043] = 4,
    ACTIONS(17308), 1,
      anon_sym_COMMA,
    ACTIONS(18304), 1,
      anon_sym_RPAREN,
    STATE(10243), 1,
      aux_sym_alter_index_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515057] = 4,
    ACTIONS(17334), 1,
      anon_sym_LPAREN,
    ACTIONS(17338), 1,
      anon_sym_DOT,
    ACTIONS(18306), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515071] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15831), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [515081] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1766), 1,
      anon_sym_RPAREN,
    STATE(7589), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515095] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18308), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [515105] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18310), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [515115] = 4,
    ACTIONS(17334), 1,
      anon_sym_LPAREN,
    ACTIONS(17338), 1,
      anon_sym_DOT,
    ACTIONS(18312), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515129] = 3,
    ACTIONS(18314), 1,
      sym_keyword_noscan,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17232), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [515141] = 4,
    ACTIONS(17268), 1,
      anon_sym_COMMA,
    ACTIONS(18316), 1,
      anon_sym_RPAREN,
    STATE(10875), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515155] = 4,
    ACTIONS(14750), 1,
      sym_keyword_where,
    ACTIONS(16866), 1,
      anon_sym_RPAREN,
    STATE(10248), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515169] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18318), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [515179] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18320), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [515189] = 3,
    ACTIONS(18322), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17095), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [515201] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(18324), 1,
      anon_sym_RPAREN,
    STATE(7589), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515215] = 4,
    ACTIONS(18326), 1,
      sym_keyword_by,
    ACTIONS(18328), 1,
      anon_sym_LPAREN,
    STATE(6700), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515229] = 4,
    ACTIONS(18092), 1,
      anon_sym_COMMA,
    ACTIONS(18330), 1,
      anon_sym_RPAREN,
    STATE(10303), 1,
      aux_sym_ordered_columns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515243] = 4,
    ACTIONS(17524), 1,
      anon_sym_LPAREN,
    ACTIONS(18332), 1,
      sym_keyword_using,
    STATE(9969), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515257] = 4,
    ACTIONS(17524), 1,
      anon_sym_LPAREN,
    ACTIONS(18334), 1,
      sym_keyword_using,
    STATE(9979), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515271] = 4,
    ACTIONS(18336), 1,
      sym_keyword_serializable,
    ACTIONS(18338), 1,
      sym_keyword_repeatable,
    ACTIONS(18340), 1,
      sym_keyword_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515285] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17204), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [515295] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(18342), 1,
      anon_sym_RPAREN,
    STATE(11009), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515309] = 3,
    ACTIONS(18344), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(2668), 2,
      sym_subquery,
      sym_list,
  [515321] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(18346), 1,
      anon_sym_RPAREN,
    STATE(13550), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515335] = 4,
    ACTIONS(17524), 1,
      anon_sym_LPAREN,
    ACTIONS(18348), 1,
      sym_keyword_using,
    STATE(9987), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515349] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(18350), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515363] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15925), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [515373] = 4,
    ACTIONS(17334), 1,
      anon_sym_LPAREN,
    ACTIONS(17338), 1,
      anon_sym_DOT,
    ACTIONS(18352), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515387] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(18354), 1,
      anon_sym_RPAREN,
    STATE(13562), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515401] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(18356), 1,
      anon_sym_RPAREN,
    STATE(7589), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515415] = 4,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18358), 1,
      anon_sym_RPAREN,
    STATE(10379), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515429] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17184), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [515439] = 4,
    ACTIONS(14750), 1,
      sym_keyword_where,
    ACTIONS(16862), 1,
      anon_sym_RPAREN,
    STATE(10295), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515453] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14380), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_when,
  [515463] = 4,
    ACTIONS(14750), 1,
      sym_keyword_where,
    ACTIONS(16860), 1,
      anon_sym_RPAREN,
    STATE(10298), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515477] = 4,
    ACTIONS(18360), 1,
      anon_sym_RPAREN,
    ACTIONS(18362), 1,
      anon_sym_COMMA,
    STATE(10874), 1,
      aux_sym__table_settings_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515491] = 4,
    ACTIONS(17268), 1,
      anon_sym_COMMA,
    ACTIONS(18365), 1,
      anon_sym_RPAREN,
    STATE(11084), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515505] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16560), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [515515] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(18367), 1,
      anon_sym_RPAREN,
    STATE(13306), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515529] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(18342), 1,
      anon_sym_RPAREN,
    STATE(7589), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515543] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(18369), 1,
      anon_sym_RPAREN,
    STATE(13574), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515557] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14916), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [515567] = 4,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18371), 1,
      anon_sym_RPAREN,
    STATE(10379), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515581] = 4,
    ACTIONS(18049), 1,
      anon_sym_COMMA,
    ACTIONS(18373), 1,
      anon_sym_RPAREN,
    STATE(10958), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515595] = 4,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18375), 1,
      anon_sym_RPAREN,
    STATE(10379), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515609] = 4,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18377), 1,
      anon_sym_RPAREN,
    STATE(10869), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515623] = 4,
    ACTIONS(17268), 1,
      anon_sym_COMMA,
    ACTIONS(18379), 1,
      anon_sym_RPAREN,
    STATE(11084), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515637] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16248), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [515647] = 4,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18381), 1,
      anon_sym_RPAREN,
    STATE(10314), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515661] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15911), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [515671] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17135), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [515681] = 4,
    ACTIONS(17562), 1,
      anon_sym_COMMA,
    ACTIONS(18383), 1,
      anon_sym_RPAREN,
    STATE(10404), 1,
      aux_sym__column_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515695] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17133), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [515705] = 4,
    ACTIONS(18049), 1,
      anon_sym_COMMA,
    ACTIONS(18385), 1,
      anon_sym_RPAREN,
    STATE(11138), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515719] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16840), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [515729] = 4,
    ACTIONS(17334), 1,
      anon_sym_LPAREN,
    ACTIONS(17338), 1,
      anon_sym_DOT,
    ACTIONS(18387), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515743] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(18389), 1,
      anon_sym_RPAREN,
    STATE(13318), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515757] = 4,
    ACTIONS(18049), 1,
      anon_sym_COMMA,
    ACTIONS(18391), 1,
      anon_sym_RPAREN,
    STATE(10892), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515771] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(18393), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515785] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(18395), 1,
      anon_sym_RPAREN,
    STATE(13319), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515799] = 4,
    ACTIONS(18049), 1,
      anon_sym_COMMA,
    ACTIONS(18397), 1,
      anon_sym_RPAREN,
    STATE(11138), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515813] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18399), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [515823] = 4,
    ACTIONS(17524), 1,
      anon_sym_LPAREN,
    ACTIONS(18401), 1,
      sym_keyword_using,
    STATE(9234), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515837] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17085), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [515847] = 3,
    ACTIONS(18403), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5527), 2,
      sym_subquery,
      sym_list,
  [515859] = 4,
    ACTIONS(17524), 1,
      anon_sym_LPAREN,
    ACTIONS(18405), 1,
      sym_keyword_using,
    STATE(9230), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515873] = 4,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18407), 1,
      anon_sym_RPAREN,
    STATE(10883), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515887] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1770), 1,
      anon_sym_RPAREN,
    STATE(7589), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515901] = 4,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18409), 1,
      anon_sym_RPAREN,
    STATE(10379), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515915] = 4,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(18411), 1,
      anon_sym_RPAREN,
    STATE(10323), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515929] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17071), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [515939] = 4,
    ACTIONS(18049), 1,
      anon_sym_COMMA,
    ACTIONS(18413), 1,
      anon_sym_RPAREN,
    STATE(10899), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515953] = 4,
    ACTIONS(18049), 1,
      anon_sym_COMMA,
    ACTIONS(18415), 1,
      anon_sym_RPAREN,
    STATE(11138), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515967] = 4,
    ACTIONS(17524), 1,
      anon_sym_LPAREN,
    ACTIONS(18417), 1,
      sym_keyword_using,
    STATE(9174), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515981] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(18419), 1,
      anon_sym_RPAREN,
    STATE(10739), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515995] = 4,
    ACTIONS(18049), 1,
      anon_sym_COMMA,
    ACTIONS(18421), 1,
      anon_sym_RPAREN,
    STATE(10911), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516009] = 4,
    ACTIONS(9452), 1,
      anon_sym_COMMA,
    ACTIONS(18423), 1,
      anon_sym_RBRACK,
    STATE(10527), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516023] = 3,
    ACTIONS(2784), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2780), 2,
      sym_keyword_is,
      anon_sym_EQ,
  [516035] = 4,
    ACTIONS(17268), 1,
      anon_sym_COMMA,
    ACTIONS(18425), 1,
      anon_sym_RPAREN,
    STATE(10885), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516049] = 4,
    ACTIONS(18049), 1,
      anon_sym_COMMA,
    ACTIONS(18427), 1,
      anon_sym_RPAREN,
    STATE(11138), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516063] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(18419), 1,
      anon_sym_RPAREN,
    STATE(7589), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516077] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(18429), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516091] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(18431), 1,
      anon_sym_RPAREN,
    STATE(10338), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516105] = 4,
    ACTIONS(18433), 1,
      anon_sym_RPAREN,
    ACTIONS(18435), 1,
      anon_sym_COMMA,
    STATE(10922), 1,
      aux_sym_storage_parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516119] = 4,
    ACTIONS(16564), 1,
      anon_sym_COMMA,
    ACTIONS(18438), 1,
      anon_sym_RPAREN,
    STATE(11134), 1,
      aux_sym_storage_parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516133] = 3,
    ACTIONS(18440), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18433), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [516145] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17014), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [516155] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(18431), 1,
      anon_sym_RPAREN,
    STATE(7589), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516169] = 4,
    ACTIONS(18049), 1,
      anon_sym_COMMA,
    ACTIONS(18442), 1,
      anon_sym_RPAREN,
    STATE(10918), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516183] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(18444), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516197] = 3,
    ACTIONS(18448), 1,
      sym_keyword_instead,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18446), 2,
      sym_keyword_after,
      sym_keyword_before,
  [516209] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17012), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [516219] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(18450), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516233] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(18452), 1,
      anon_sym_RPAREN,
    STATE(13789), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516247] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15875), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [516257] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(18454), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516271] = 4,
    ACTIONS(17524), 1,
      anon_sym_LPAREN,
    ACTIONS(18456), 1,
      sym_keyword_using,
    STATE(10158), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516285] = 4,
    ACTIONS(18458), 1,
      sym_keyword_isolation,
    ACTIONS(18460), 1,
      sym_keyword_snapshot,
    STATE(11373), 1,
      sym__transaction_mode,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516299] = 4,
    ACTIONS(17401), 1,
      anon_sym_COMMA,
    ACTIONS(18462), 1,
      anon_sym_RPAREN,
    STATE(10573), 1,
      aux_sym_index_fields_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516313] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(18464), 1,
      anon_sym_RPAREN,
    STATE(13335), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516327] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(18466), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516341] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(16458), 1,
      anon_sym_RPAREN,
    STATE(11055), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516355] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17002), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_when,
  [516365] = 4,
    ACTIONS(17524), 1,
      anon_sym_LPAREN,
    ACTIONS(18468), 1,
      sym_keyword_using,
    STATE(10175), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516379] = 4,
    ACTIONS(18049), 1,
      anon_sym_COMMA,
    ACTIONS(18470), 1,
      anon_sym_RPAREN,
    STATE(11138), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516393] = 4,
    ACTIONS(16736), 1,
      sym_keyword_trigger,
    ACTIONS(18472), 1,
      sym_keyword_view,
    ACTIONS(18474), 1,
      sym_keyword_recursive,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516407] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16452), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [516417] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18476), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [516427] = 4,
    ACTIONS(17268), 1,
      anon_sym_COMMA,
    ACTIONS(18478), 1,
      anon_sym_RPAREN,
    STATE(10974), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516441] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16384), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [516451] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16974), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [516461] = 4,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18480), 1,
      anon_sym_RPAREN,
    STATE(10907), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516475] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15869), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [516485] = 4,
    ACTIONS(18049), 1,
      anon_sym_COMMA,
    ACTIONS(18482), 1,
      anon_sym_RPAREN,
    STATE(11174), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516499] = 4,
    ACTIONS(17334), 1,
      anon_sym_LPAREN,
    ACTIONS(17338), 1,
      anon_sym_DOT,
    ACTIONS(18484), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516513] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16942), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [516523] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18486), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [516533] = 4,
    ACTIONS(18049), 1,
      anon_sym_COMMA,
    ACTIONS(18488), 1,
      anon_sym_RPAREN,
    STATE(10943), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516547] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(18490), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516561] = 4,
    ACTIONS(18049), 1,
      anon_sym_COMMA,
    ACTIONS(18492), 1,
      anon_sym_RPAREN,
    STATE(11138), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516575] = 4,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18494), 1,
      anon_sym_RPAREN,
    STATE(10379), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516589] = 4,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18496), 1,
      anon_sym_RPAREN,
    STATE(10881), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516603] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(18498), 1,
      anon_sym_RPAREN,
    STATE(14083), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516617] = 4,
    ACTIONS(9452), 1,
      anon_sym_COMMA,
    ACTIONS(18500), 1,
      anon_sym_RBRACK,
    STATE(10527), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516631] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(18502), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516645] = 4,
    ACTIONS(17524), 1,
      anon_sym_LPAREN,
    ACTIONS(18504), 1,
      sym_keyword_using,
    STATE(8989), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516659] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(18506), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516673] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(18508), 1,
      anon_sym_RPAREN,
    STATE(13884), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516687] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16868), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [516697] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(18510), 1,
      anon_sym_RPAREN,
    STATE(7589), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516711] = 4,
    ACTIONS(17783), 1,
      sym_keyword_drop,
    ACTIONS(17785), 1,
      sym_keyword_type,
    ACTIONS(18512), 1,
      sym_keyword_set,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516725] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(16473), 1,
      anon_sym_RPAREN,
    STATE(10919), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516739] = 4,
    ACTIONS(18092), 1,
      anon_sym_COMMA,
    ACTIONS(18514), 1,
      anon_sym_RPAREN,
    STATE(10855), 1,
      aux_sym_ordered_columns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516753] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16838), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [516763] = 4,
    ACTIONS(17524), 1,
      anon_sym_LPAREN,
    ACTIONS(18516), 1,
      sym_keyword_using,
    STATE(10118), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516777] = 4,
    ACTIONS(17268), 1,
      anon_sym_COMMA,
    ACTIONS(18518), 1,
      anon_sym_RPAREN,
    STATE(11084), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516791] = 4,
    ACTIONS(18520), 1,
      sym_keyword_materialized,
    ACTIONS(18522), 1,
      sym_keyword_not,
    ACTIONS(18524), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516805] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(18526), 1,
      anon_sym_RPAREN,
    STATE(7589), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516819] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(18528), 1,
      anon_sym_RPAREN,
    STATE(12350), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516833] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(18530), 1,
      anon_sym_RPAREN,
    STATE(13956), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516847] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16836), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_when,
  [516857] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16832), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_when,
  [516867] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16477), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [516877] = 4,
    ACTIONS(18532), 1,
      anon_sym_RPAREN,
    ACTIONS(18534), 1,
      anon_sym_COMMA,
    STATE(10982), 1,
      aux_sym_enum_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516891] = 4,
    ACTIONS(18049), 1,
      anon_sym_COMMA,
    ACTIONS(18537), 1,
      anon_sym_RPAREN,
    STATE(11138), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516905] = 4,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(18539), 1,
      anon_sym_RPAREN,
    STATE(10323), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516919] = 4,
    ACTIONS(17308), 1,
      anon_sym_COMMA,
    ACTIONS(18541), 1,
      anon_sym_RPAREN,
    STATE(10243), 1,
      aux_sym_alter_index_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516933] = 4,
    ACTIONS(14750), 1,
      sym_keyword_where,
    ACTIONS(16788), 1,
      anon_sym_RPAREN,
    STATE(10611), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516947] = 4,
    ACTIONS(18543), 1,
      sym_keyword_by,
    ACTIONS(18545), 1,
      anon_sym_LPAREN,
    STATE(6783), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516961] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16712), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [516971] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16645), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [516981] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16641), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [516991] = 3,
    ACTIONS(18547), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(3448), 2,
      sym_subquery,
      sym_list,
  [517003] = 3,
    ACTIONS(18551), 1,
      sym_keyword_instead,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18549), 2,
      sym_keyword_after,
      sym_keyword_before,
  [517015] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(18553), 1,
      anon_sym_RPAREN,
    STATE(10968), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [517029] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(18555), 1,
      anon_sym_RPAREN,
    STATE(7589), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [517043] = 4,
    ACTIONS(17316), 1,
      sym_keyword_or,
    ACTIONS(18178), 1,
      sym_keyword_on,
    STATE(10567), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [517057] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18557), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [517067] = 4,
    ACTIONS(15046), 1,
      sym_keyword_partition,
    ACTIONS(18559), 1,
      sym_keyword_compute,
    STATE(13836), 1,
      sym__partition_spec,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [517081] = 4,
    ACTIONS(18049), 1,
      anon_sym_COMMA,
    ACTIONS(18561), 1,
      anon_sym_RPAREN,
    STATE(10983), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [517095] = 4,
    ACTIONS(18049), 1,
      anon_sym_COMMA,
    ACTIONS(18563), 1,
      anon_sym_RPAREN,
    STATE(11138), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [517109] = 4,
    ACTIONS(17334), 1,
      anon_sym_LPAREN,
    ACTIONS(17338), 1,
      anon_sym_DOT,
    ACTIONS(18565), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [517123] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18567), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [517133] = 3,
    ACTIONS(18569), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4730), 2,
      sym_subquery,
      sym_list,
  [517145] = 4,
    ACTIONS(18049), 1,
      anon_sym_COMMA,
    ACTIONS(18571), 1,
      anon_sym_RPAREN,
    STATE(11138), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [517159] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18573), 3,
      sym_keyword_match,
      sym_keyword_true,
      sym_keyword_false,
  [517169] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18573), 3,
      sym_keyword_csv,
      sym_keyword_binary,
      sym_keyword_text,
  [517179] = 4,
    ACTIONS(18049), 1,
      anon_sym_COMMA,
    ACTIONS(18575), 1,
      anon_sym_RPAREN,
    STATE(11097), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [517193] = 4,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(18577), 1,
      anon_sym_RPAREN,
    STATE(10323), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [517207] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18579), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [517217] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(18581), 1,
      anon_sym_RPAREN,
    STATE(7589), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [517231] = 4,
    ACTIONS(17308), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_RPAREN,
    STATE(10799), 1,
      aux_sym_alter_index_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [517245] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16516), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_when,
  [517255] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(15959), 1,
      anon_sym_RPAREN,
    STATE(7589), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [517269] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16518), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_when,
  [517279] = 4,
    ACTIONS(9452), 1,
      anon_sym_COMMA,
    ACTIONS(18585), 1,
      anon_sym_RBRACK,
    STATE(10527), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [517293] = 4,
    ACTIONS(14547), 1,
      anon_sym_RPAREN,
    ACTIONS(18587), 1,
      anon_sym_COMMA,
    STATE(11015), 1,
      aux_sym__compute_stats_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [517307] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16522), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [517317] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16536), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [517327] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18590), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [517337] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(18592), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [517351] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16542), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [517361] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16544), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [517371] = 4,
    ACTIONS(13912), 1,
      anon_sym_COMMA,
    ACTIONS(16456), 1,
      anon_sym_RPAREN,
    STATE(11015), 1,
      aux_sym__compute_stats_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [517385] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18594), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [517395] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(15959), 1,
      anon_sym_RPAREN,
    STATE(10535), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [517409] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(15951), 1,
      anon_sym_RPAREN,
    STATE(10926), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [517423] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(18596), 1,
      anon_sym_RPAREN,
    STATE(7589), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [517437] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(18598), 1,
      anon_sym_RPAREN,
    STATE(7589), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [517451] = 4,
    ACTIONS(18600), 1,
      sym_keyword_by,
    ACTIONS(18602), 1,
      anon_sym_LPAREN,
    STATE(8354), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [517465] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18604), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [517475] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(18606), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [517489] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(18608), 1,
      anon_sym_RPAREN,
    STATE(14061), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [517503] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(16473), 1,
      anon_sym_RPAREN,
    STATE(7589), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [517517] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(18610), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [517531] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18612), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [517541] = 4,
    ACTIONS(17000), 1,
      anon_sym_RPAREN,
    ACTIONS(17753), 1,
      anon_sym_COMMA,
    STATE(10618), 1,
      aux_sym_alter_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [517555] = 4,
    ACTIONS(17316), 1,
      sym_keyword_or,
    ACTIONS(18614), 1,
      sym_keyword_on,
    STATE(10681), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [517569] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15807), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [517579] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16582), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [517589] = 4,
    ACTIONS(18049), 1,
      anon_sym_COMMA,
    ACTIONS(18616), 1,
      anon_sym_RPAREN,
    STATE(10999), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [517603] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16586), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_when,
  [517613] = 4,
    ACTIONS(18049), 1,
      anon_sym_COMMA,
    ACTIONS(18618), 1,
      anon_sym_RPAREN,
    STATE(11138), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [517627] = 4,
    ACTIONS(18620), 1,
      anon_sym_RPAREN,
    ACTIONS(18622), 1,
      anon_sym_COMMA,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [517641] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16588), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [517651] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16599), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [517661] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16686), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [517671] = 4,
    ACTIONS(17268), 1,
      anon_sym_COMMA,
    ACTIONS(18625), 1,
      anon_sym_RPAREN,
    STATE(11073), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [517685] = 4,
    ACTIONS(16506), 1,
      anon_sym_RPAREN,
    ACTIONS(18627), 1,
      sym_keyword_returning,
    STATE(11167), 1,
      sym_returning,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [517699] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16609), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [517709] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18629), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [517719] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18631), 3,
      sym_keyword_and,
      sym_keyword_exclude,
      anon_sym_RPAREN,
  [517729] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(16481), 1,
      anon_sym_RPAREN,
    STATE(11086), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [517743] = 4,
    ACTIONS(17334), 1,
      anon_sym_LPAREN,
    ACTIONS(17338), 1,
      anon_sym_DOT,
    ACTIONS(18633), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [517757] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(18635), 1,
      anon_sym_RPAREN,
    STATE(13931), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [517771] = 4,
    ACTIONS(17370), 1,
      anon_sym_COMMA,
    ACTIONS(18637), 1,
      anon_sym_RPAREN,
    STATE(10874), 1,
      aux_sym__table_settings_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [517785] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(16481), 1,
      anon_sym_RPAREN,
    STATE(7589), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [517799] = 3,
    ACTIONS(18639), 1,
      sym_keyword_nulls,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18641), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [517811] = 4,
    ACTIONS(16980), 1,
      anon_sym_RPAREN,
    ACTIONS(17753), 1,
      anon_sym_COMMA,
    STATE(10630), 1,
      aux_sym_alter_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [517825] = 4,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(18643), 1,
      anon_sym_RPAREN,
    STATE(10323), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [517839] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16621), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_when,
  [517849] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(18645), 1,
      anon_sym_RPAREN,
    STATE(14084), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [517863] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16623), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_when,
  [517873] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(18647), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [517887] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16627), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [517897] = 4,
    ACTIONS(16471), 1,
      anon_sym_COMMA,
    ACTIONS(18649), 1,
      anon_sym_RPAREN,
    STATE(10512), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [517911] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(18651), 1,
      anon_sym_RPAREN,
    STATE(14085), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [517925] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16631), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [517935] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(18653), 1,
      anon_sym_RPAREN,
    STATE(10329), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [517949] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16633), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [517959] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16643), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [517969] = 3,
    ACTIONS(18655), 1,
      sym_keyword_nulls,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18657), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [517981] = 3,
    ACTIONS(18659), 1,
      sym_keyword_nulls,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18661), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [517993] = 4,
    ACTIONS(17316), 1,
      sym_keyword_or,
    ACTIONS(18614), 1,
      sym_keyword_on,
    STATE(11087), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518007] = 4,
    ACTIONS(17268), 1,
      anon_sym_COMMA,
    ACTIONS(18663), 1,
      anon_sym_RPAREN,
    STATE(11084), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518021] = 4,
    ACTIONS(16774), 1,
      anon_sym_RPAREN,
    ACTIONS(18627), 1,
      sym_keyword_returning,
    STATE(11158), 1,
      sym_returning,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518035] = 4,
    ACTIONS(18053), 1,
      sym_keyword_drop,
    ACTIONS(18055), 1,
      sym_keyword_type,
    ACTIONS(18665), 1,
      sym_keyword_set,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518049] = 4,
    ACTIONS(16617), 1,
      anon_sym_RPAREN,
    ACTIONS(18627), 1,
      sym_keyword_returning,
    STATE(11201), 1,
      sym_returning,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518063] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(18667), 1,
      anon_sym_RPAREN,
    STATE(14107), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518077] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(18669), 1,
      anon_sym_RPAREN,
    STATE(11026), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518091] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(18671), 1,
      anon_sym_RPAREN,
    STATE(7589), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518105] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(18673), 1,
      anon_sym_RPAREN,
    STATE(11027), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518119] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(18669), 1,
      anon_sym_RPAREN,
    STATE(7589), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518133] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(18675), 1,
      anon_sym_RPAREN,
    STATE(7589), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518147] = 4,
    ACTIONS(17370), 1,
      anon_sym_COMMA,
    ACTIONS(18677), 1,
      anon_sym_RPAREN,
    STATE(10522), 1,
      aux_sym__table_settings_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518161] = 4,
    ACTIONS(18679), 1,
      anon_sym_RPAREN,
    ACTIONS(18681), 1,
      anon_sym_COMMA,
    STATE(11084), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518175] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18684), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [518185] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(16488), 1,
      anon_sym_RPAREN,
    STATE(7589), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518199] = 4,
    ACTIONS(17316), 1,
      sym_keyword_or,
    ACTIONS(18686), 1,
      sym_keyword_on,
    STATE(10681), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518213] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(18688), 1,
      anon_sym_RPAREN,
    STATE(11082), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518227] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(18690), 1,
      anon_sym_RPAREN,
    STATE(7589), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518241] = 4,
    ACTIONS(18049), 1,
      anon_sym_COMMA,
    ACTIONS(18692), 1,
      anon_sym_RPAREN,
    STATE(11138), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518255] = 4,
    ACTIONS(18049), 1,
      anon_sym_COMMA,
    ACTIONS(18694), 1,
      anon_sym_RPAREN,
    STATE(11090), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518269] = 3,
    ACTIONS(18696), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4336), 2,
      sym_subquery,
      sym_list,
  [518281] = 4,
    ACTIONS(18049), 1,
      anon_sym_COMMA,
    ACTIONS(18698), 1,
      anon_sym_RPAREN,
    STATE(11138), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518295] = 4,
    ACTIONS(17316), 1,
      sym_keyword_or,
    ACTIONS(18700), 1,
      sym_keyword_on,
    STATE(10564), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518309] = 4,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18702), 1,
      anon_sym_RPAREN,
    STATE(10379), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518323] = 4,
    ACTIONS(18049), 1,
      anon_sym_COMMA,
    ACTIONS(18704), 1,
      anon_sym_RPAREN,
    STATE(11093), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518337] = 4,
    ACTIONS(18049), 1,
      anon_sym_COMMA,
    ACTIONS(18706), 1,
      anon_sym_RPAREN,
    STATE(11138), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518351] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(18708), 1,
      anon_sym_RPAREN,
    STATE(11209), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518365] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18710), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [518375] = 4,
    ACTIONS(18049), 1,
      anon_sym_COMMA,
    ACTIONS(18712), 1,
      anon_sym_RPAREN,
    STATE(11138), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518389] = 3,
    ACTIONS(18714), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(2254), 2,
      sym_subquery,
      sym_list,
  [518401] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16649), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_when,
  [518411] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(18716), 1,
      anon_sym_RPAREN,
    STATE(7589), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518425] = 4,
    ACTIONS(18049), 1,
      anon_sym_COMMA,
    ACTIONS(18718), 1,
      anon_sym_RPAREN,
    STATE(11100), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518439] = 4,
    ACTIONS(17268), 1,
      anon_sym_COMMA,
    ACTIONS(18720), 1,
      anon_sym_RPAREN,
    STATE(11084), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518453] = 4,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(18722), 1,
      anon_sym_RPAREN,
    STATE(10323), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518467] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16655), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [518477] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16659), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [518487] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16667), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [518497] = 4,
    ACTIONS(17316), 1,
      sym_keyword_or,
    ACTIONS(18700), 1,
      sym_keyword_on,
    STATE(10681), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518511] = 4,
    ACTIONS(17268), 1,
      anon_sym_COMMA,
    ACTIONS(18724), 1,
      anon_sym_RPAREN,
    STATE(11105), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518525] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18726), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [518535] = 4,
    ACTIONS(9452), 1,
      anon_sym_COMMA,
    ACTIONS(18728), 1,
      anon_sym_RBRACK,
    STATE(10527), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518549] = 4,
    ACTIONS(18049), 1,
      anon_sym_COMMA,
    ACTIONS(18730), 1,
      anon_sym_RPAREN,
    STATE(11138), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518563] = 4,
    ACTIONS(17334), 1,
      anon_sym_LPAREN,
    ACTIONS(17338), 1,
      anon_sym_DOT,
    ACTIONS(18732), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518577] = 4,
    ACTIONS(18049), 1,
      anon_sym_COMMA,
    ACTIONS(18734), 1,
      anon_sym_RPAREN,
    STATE(11114), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518591] = 4,
    ACTIONS(17334), 1,
      anon_sym_LPAREN,
    ACTIONS(17338), 1,
      anon_sym_DOT,
    ACTIONS(18736), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518605] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(18738), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518619] = 4,
    ACTIONS(18049), 1,
      anon_sym_COMMA,
    ACTIONS(18740), 1,
      anon_sym_RPAREN,
    STATE(11138), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518633] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(18742), 1,
      anon_sym_RPAREN,
    STATE(7589), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518647] = 4,
    ACTIONS(17334), 1,
      anon_sym_LPAREN,
    ACTIONS(17338), 1,
      anon_sym_DOT,
    ACTIONS(18744), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518661] = 4,
    ACTIONS(17528), 1,
      anon_sym_COMMA,
    ACTIONS(18746), 1,
      anon_sym_RPAREN,
    STATE(11160), 1,
      aux_sym_constraints_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518675] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16678), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [518685] = 4,
    ACTIONS(18049), 1,
      anon_sym_COMMA,
    ACTIONS(18748), 1,
      anon_sym_RPAREN,
    STATE(11119), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518699] = 4,
    ACTIONS(18049), 1,
      anon_sym_COMMA,
    ACTIONS(18750), 1,
      anon_sym_RPAREN,
    STATE(11138), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518713] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16680), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [518723] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16682), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [518733] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(18752), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518747] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(18754), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518761] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(18756), 1,
      anon_sym_RPAREN,
    STATE(14497), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518775] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(18758), 1,
      anon_sym_RPAREN,
    STATE(11120), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518789] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(18760), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518803] = 4,
    ACTIONS(17268), 1,
      anon_sym_COMMA,
    ACTIONS(18762), 1,
      anon_sym_RPAREN,
    STATE(11084), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518817] = 4,
    ACTIONS(16564), 1,
      anon_sym_COMMA,
    ACTIONS(18764), 1,
      anon_sym_RPAREN,
    STATE(10922), 1,
      aux_sym_storage_parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518831] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(18766), 1,
      anon_sym_RPAREN,
    STATE(7589), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518845] = 4,
    ACTIONS(17268), 1,
      anon_sym_COMMA,
    ACTIONS(18768), 1,
      anon_sym_RPAREN,
    STATE(11133), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518859] = 4,
    ACTIONS(17334), 1,
      anon_sym_LPAREN,
    ACTIONS(17338), 1,
      anon_sym_DOT,
    ACTIONS(18770), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518873] = 4,
    ACTIONS(18772), 1,
      anon_sym_RPAREN,
    ACTIONS(18774), 1,
      anon_sym_COMMA,
    STATE(11138), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518887] = 4,
    ACTIONS(18049), 1,
      anon_sym_COMMA,
    ACTIONS(18777), 1,
      anon_sym_RPAREN,
    STATE(11125), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518901] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16692), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [518911] = 4,
    ACTIONS(18049), 1,
      anon_sym_COMMA,
    ACTIONS(18779), 1,
      anon_sym_RPAREN,
    STATE(11138), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518925] = 4,
    ACTIONS(17268), 1,
      anon_sym_COMMA,
    ACTIONS(18781), 1,
      anon_sym_RPAREN,
    STATE(10333), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518939] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(18783), 1,
      anon_sym_RPAREN,
    STATE(14413), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518953] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(18785), 1,
      anon_sym_RPAREN,
    STATE(11135), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518967] = 4,
    ACTIONS(17268), 1,
      anon_sym_COMMA,
    ACTIONS(18787), 1,
      anon_sym_RPAREN,
    STATE(11172), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518981] = 4,
    ACTIONS(17268), 1,
      anon_sym_COMMA,
    ACTIONS(18789), 1,
      anon_sym_RPAREN,
    STATE(11084), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518995] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(18791), 1,
      anon_sym_RPAREN,
    STATE(14419), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519009] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(18793), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519023] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(18795), 1,
      anon_sym_RPAREN,
    STATE(14421), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519037] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(18797), 1,
      anon_sym_RPAREN,
    STATE(7589), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519051] = 4,
    ACTIONS(17268), 1,
      anon_sym_COMMA,
    ACTIONS(18799), 1,
      anon_sym_RPAREN,
    STATE(11146), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519065] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15639), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [519075] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(18801), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519089] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(18803), 1,
      anon_sym_RPAREN,
    STATE(14439), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519103] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(18805), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519117] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16696), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [519127] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(18807), 1,
      anon_sym_RPAREN,
    STATE(7589), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519141] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18809), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [519151] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(18811), 1,
      anon_sym_RPAREN,
    STATE(14512), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519165] = 4,
    ACTIONS(18813), 1,
      anon_sym_RPAREN,
    ACTIONS(18815), 1,
      anon_sym_COMMA,
    STATE(11160), 1,
      aux_sym_constraints_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519179] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(18818), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519193] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16706), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [519203] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(18820), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519217] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(18822), 1,
      anon_sym_RPAREN,
    STATE(14514), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519231] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16722), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [519241] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16724), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [519251] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18824), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [519261] = 4,
    ACTIONS(9452), 1,
      anon_sym_COMMA,
    ACTIONS(18826), 1,
      anon_sym_RBRACK,
    STATE(10527), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519275] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16496), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [519285] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16728), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [519295] = 4,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(18828), 1,
      anon_sym_RPAREN,
    STATE(10323), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519309] = 4,
    ACTIONS(17268), 1,
      anon_sym_COMMA,
    ACTIONS(18830), 1,
      anon_sym_RPAREN,
    STATE(11084), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519323] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16730), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [519333] = 4,
    ACTIONS(18049), 1,
      anon_sym_COMMA,
    ACTIONS(18832), 1,
      anon_sym_RPAREN,
    STATE(11138), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519347] = 4,
    ACTIONS(18049), 1,
      anon_sym_COMMA,
    ACTIONS(18834), 1,
      anon_sym_RPAREN,
    STATE(11141), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519361] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(18836), 1,
      anon_sym_RPAREN,
    STATE(14524), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519375] = 4,
    ACTIONS(18049), 1,
      anon_sym_COMMA,
    ACTIONS(18838), 1,
      anon_sym_RPAREN,
    STATE(11138), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519389] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(16488), 1,
      anon_sym_RPAREN,
    STATE(11032), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519403] = 3,
    ACTIONS(18840), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4512), 2,
      sym_subquery,
      sym_list,
  [519415] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16740), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [519425] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16742), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [519435] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(18842), 1,
      anon_sym_RPAREN,
    STATE(11150), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519449] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(18844), 1,
      anon_sym_RPAREN,
    STATE(11157), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519463] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(18842), 1,
      anon_sym_RPAREN,
    STATE(7589), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519477] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16746), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [519487] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(18846), 1,
      anon_sym_RPAREN,
    STATE(14531), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519501] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(18848), 1,
      anon_sym_RPAREN,
    STATE(7589), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519515] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16756), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [519525] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(18671), 1,
      anon_sym_RPAREN,
    STATE(11081), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519539] = 4,
    ACTIONS(17268), 1,
      anon_sym_COMMA,
    ACTIONS(18850), 1,
      anon_sym_RPAREN,
    STATE(11084), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519553] = 4,
    ACTIONS(18852), 1,
      anon_sym_RPAREN,
    ACTIONS(18854), 1,
      anon_sym_COMMA,
    STATE(11191), 1,
      aux_sym__column_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519567] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(18857), 1,
      anon_sym_RPAREN,
    STATE(14537), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519581] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(18859), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519595] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(18861), 1,
      anon_sym_RPAREN,
    STATE(14538), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519609] = 4,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18863), 1,
      anon_sym_RPAREN,
    STATE(10409), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519623] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16758), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [519633] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16760), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [519643] = 3,
    ACTIONS(18865), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(2693), 2,
      sym_subquery,
      sym_list,
  [519655] = 4,
    ACTIONS(1750), 1,
      anon_sym_RPAREN,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    STATE(7589), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519669] = 4,
    ACTIONS(18049), 1,
      anon_sym_COMMA,
    ACTIONS(18867), 1,
      anon_sym_RPAREN,
    STATE(11138), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519683] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18869), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [519693] = 4,
    ACTIONS(18049), 1,
      anon_sym_COMMA,
    ACTIONS(18871), 1,
      anon_sym_RPAREN,
    STATE(11041), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519707] = 4,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(18873), 1,
      anon_sym_RPAREN,
    STATE(10323), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519721] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16764), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [519731] = 4,
    ACTIONS(18049), 1,
      anon_sym_COMMA,
    ACTIONS(18875), 1,
      anon_sym_RPAREN,
    STATE(11177), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519745] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(18877), 1,
      anon_sym_RPAREN,
    STATE(11184), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519759] = 4,
    ACTIONS(17268), 1,
      anon_sym_COMMA,
    ACTIONS(18879), 1,
      anon_sym_RPAREN,
    STATE(11190), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519773] = 4,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18881), 1,
      anon_sym_RPAREN,
    STATE(10379), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519787] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(18883), 1,
      anon_sym_RPAREN,
    STATE(7589), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519801] = 4,
    ACTIONS(9452), 1,
      anon_sym_COMMA,
    ACTIONS(18885), 1,
      anon_sym_RBRACK,
    STATE(10527), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519815] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(18887), 1,
      anon_sym_RPAREN,
    STATE(11187), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519829] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(18877), 1,
      anon_sym_RPAREN,
    STATE(7589), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519843] = 4,
    ACTIONS(18049), 1,
      anon_sym_COMMA,
    ACTIONS(18889), 1,
      anon_sym_RPAREN,
    STATE(11218), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519857] = 4,
    ACTIONS(8867), 1,
      sym_keyword_limit,
    ACTIONS(18891), 1,
      anon_sym_RPAREN,
    STATE(14548), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519871] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(18893), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519885] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16726), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [519895] = 4,
    ACTIONS(17334), 1,
      anon_sym_LPAREN,
    ACTIONS(17338), 1,
      anon_sym_DOT,
    ACTIONS(18895), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519909] = 4,
    ACTIONS(18049), 1,
      anon_sym_COMMA,
    ACTIONS(18897), 1,
      anon_sym_RPAREN,
    STATE(11138), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519923] = 4,
    ACTIONS(18049), 1,
      anon_sym_COMMA,
    ACTIONS(18899), 1,
      anon_sym_RPAREN,
    STATE(11200), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519937] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(17418), 1,
      anon_sym_RPAREN,
    STATE(11212), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519951] = 4,
    ACTIONS(17334), 1,
      anon_sym_LPAREN,
    ACTIONS(17338), 1,
      anon_sym_DOT,
    ACTIONS(18901), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519965] = 4,
    ACTIONS(17298), 1,
      anon_sym_COMMA,
    ACTIONS(18903), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519979] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18905), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [519989] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18907), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [519999] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(18909), 1,
      anon_sym_RPAREN,
    STATE(10994), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520013] = 3,
    ACTIONS(17524), 1,
      anon_sym_LPAREN,
    STATE(8743), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520024] = 3,
    ACTIONS(18911), 1,
      anon_sym_RPAREN,
    ACTIONS(18913), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520035] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18907), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520044] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17905), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520053] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17897), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520062] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17895), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520071] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17857), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520080] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17889), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520089] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16788), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520098] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17274), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520107] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17232), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520116] = 3,
    ACTIONS(18915), 1,
      anon_sym_RPAREN,
    ACTIONS(18917), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520127] = 3,
    ACTIONS(18919), 1,
      anon_sym_RPAREN,
    ACTIONS(18921), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520138] = 3,
    ACTIONS(18923), 1,
      anon_sym_RPAREN,
    ACTIONS(18925), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520149] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17282), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520158] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17251), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520167] = 3,
    ACTIONS(18927), 1,
      aux_sym__integer_token1,
    ACTIONS(18929), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520178] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17284), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520187] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17294), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520196] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17320), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520205] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17911), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520214] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16860), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520223] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16866), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520232] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16852), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520241] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18208), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520250] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15490), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520259] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18216), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520268] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18264), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520277] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18266), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520286] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18268), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520295] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18905), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520304] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18629), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520313] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17364), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520322] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16601), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520331] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18612), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520340] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18931), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [520349] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18604), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520358] = 3,
    ACTIONS(3029), 1,
      aux_sym__single_quote_string_token1,
    STATE(11250), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520369] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15639), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520378] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18590), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520387] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18579), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520396] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18296), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520405] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18278), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520414] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18567), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520423] = 3,
    ACTIONS(14400), 1,
      anon_sym_LPAREN,
    STATE(2679), 1,
      sym_subquery,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520434] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18594), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520443] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18557), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520452] = 3,
    ACTIONS(18933), 1,
      sym_keyword_update,
    ACTIONS(18935), 1,
      sym_keyword_nothing,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520463] = 3,
    ACTIONS(3029), 1,
      aux_sym__single_quote_string_token1,
    STATE(11262), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520474] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18486), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520483] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18476), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520492] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16452), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520501] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16752), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520510] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18399), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520519] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14916), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520528] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18302), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520537] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18298), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520546] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18224), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520555] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15807), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520564] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17489), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520573] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17630), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520582] = 3,
    ACTIONS(18937), 1,
      anon_sym_LPAREN,
    STATE(4435), 1,
      sym_subquery,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520593] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17632), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520602] = 3,
    ACTIONS(18939), 1,
      aux_sym__integer_token1,
    ACTIONS(18941), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520613] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17634), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520622] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17638), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520631] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17642), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520640] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15432), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520649] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17650), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520658] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17654), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520667] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17658), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520676] = 3,
    ACTIONS(10898), 1,
      anon_sym_LPAREN,
    STATE(14483), 1,
      sym__column_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520687] = 3,
    ACTIONS(3029), 1,
      aux_sym__single_quote_string_token1,
    STATE(10122), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520698] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17773), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520707] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17831), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520716] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11774), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [520725] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18710), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520734] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18726), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520743] = 3,
    ACTIONS(18943), 1,
      anon_sym_RPAREN,
    ACTIONS(18945), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520754] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18320), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520763] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18308), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520772] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15567), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520781] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18188), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520790] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14780), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520799] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18134), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520808] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16896), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520817] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18116), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520826] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18102), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520835] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18069), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520844] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18067), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520853] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11835), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [520862] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18025), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520871] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18017), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520880] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17994), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520889] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17947), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520898] = 3,
    ACTIONS(10898), 1,
      anon_sym_LPAREN,
    STATE(6623), 1,
      sym__column_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520909] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17931), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520918] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17923), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520927] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17767), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520936] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17757), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520945] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11859), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [520954] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16136), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520963] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14142), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520972] = 3,
    ACTIONS(10898), 1,
      anon_sym_LPAREN,
    STATE(14362), 1,
      sym__column_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520983] = 3,
    ACTIONS(18947), 1,
      anon_sym_LPAREN,
    STATE(8396), 1,
      sym_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520994] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15148), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [521003] = 3,
    ACTIONS(16360), 1,
      sym_keyword_sequence,
    ACTIONS(17038), 1,
      sym_keyword_table,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521014] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17440), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [521023] = 3,
    ACTIONS(18949), 1,
      anon_sym_RPAREN,
    ACTIONS(18951), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521034] = 3,
    ACTIONS(18953), 1,
      anon_sym_RPAREN,
    ACTIONS(18955), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521045] = 3,
    ACTIONS(18957), 1,
      anon_sym_RPAREN,
    ACTIONS(18959), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521056] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14871), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [521065] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15030), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [521074] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16236), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [521083] = 3,
    ACTIONS(18961), 1,
      sym_keyword_table,
    ACTIONS(18963), 1,
      sym_keyword_tables,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521094] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15006), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [521103] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15020), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [521112] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18045), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [521121] = 3,
    ACTIONS(18965), 1,
      sym_keyword_stats,
    ACTIONS(18967), 1,
      sym_keyword_incremental,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521132] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15078), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [521141] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15054), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [521150] = 3,
    ACTIONS(1394), 1,
      ts_builtin_sym_end,
    ACTIONS(18969), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521161] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17640), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [521170] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17640), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [521179] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17660), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [521188] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17582), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [521197] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17680), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [521206] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17714), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [521215] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17763), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [521224] = 3,
    ACTIONS(18971), 1,
      sym_keyword_from,
    STATE(9451), 1,
      sym__delete_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521235] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17819), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [521244] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13306), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [521253] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16400), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [521262] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14222), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [521271] = 3,
    ACTIONS(14218), 1,
      anon_sym_LPAREN,
    STATE(3954), 1,
      sym_subquery,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521282] = 3,
    ACTIONS(18947), 1,
      anon_sym_LPAREN,
    STATE(8135), 1,
      sym_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521293] = 3,
    ACTIONS(18973), 1,
      anon_sym_LBRACK,
    ACTIONS(18975), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521304] = 3,
    ACTIONS(18977), 1,
      aux_sym__integer_token1,
    ACTIONS(18979), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521315] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18684), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [521324] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18824), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [521333] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18041), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [521342] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17704), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [521351] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17470), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [521360] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17549), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [521369] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17549), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [521378] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17470), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [521387] = 3,
    ACTIONS(10824), 1,
      aux_sym__single_quote_string_token1,
    STATE(7201), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521398] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18318), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [521407] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13581), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [521416] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18809), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [521425] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18869), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [521434] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18310), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [521443] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17636), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [521452] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17497), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [521461] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17497), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [521470] = 3,
    ACTIONS(18981), 1,
      anon_sym_LPAREN,
    ACTIONS(18983), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521481] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17558), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [521490] = 3,
    ACTIONS(18985), 1,
      anon_sym_RPAREN,
    ACTIONS(18987), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521501] = 3,
    ACTIONS(18989), 1,
      aux_sym__integer_token1,
    ACTIONS(18991), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521512] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13366), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [521521] = 3,
    ACTIONS(18993), 1,
      anon_sym_RPAREN,
    ACTIONS(18995), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521532] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18023), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [521541] = 3,
    ACTIONS(18997), 1,
      anon_sym_RPAREN,
    ACTIONS(18999), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521552] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18000), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [521561] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17988), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [521570] = 3,
    ACTIONS(19001), 1,
      anon_sym_RPAREN,
    ACTIONS(19003), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521581] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17972), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [521590] = 3,
    ACTIONS(19005), 1,
      anon_sym_RPAREN,
    ACTIONS(19007), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521601] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17972), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [521610] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17968), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [521619] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19009), 2,
      sym_keyword_function,
      sym_keyword_procedure,
  [521628] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19011), 2,
      sym_keyword_function,
      sym_keyword_procedure,
  [521637] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19013), 2,
      sym_keyword_function,
      sym_keyword_procedure,
  [521646] = 3,
    ACTIONS(19015), 1,
      anon_sym_RPAREN,
    ACTIONS(19017), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521657] = 3,
    ACTIONS(19019), 1,
      anon_sym_RPAREN,
    ACTIONS(19021), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521668] = 3,
    ACTIONS(19023), 1,
      anon_sym_RPAREN,
    ACTIONS(19025), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521679] = 3,
    ACTIONS(12466), 1,
      sym_keyword_set,
    STATE(9585), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521690] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17907), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [521699] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19027), 2,
      sym_keyword_function,
      sym_keyword_procedure,
  [521708] = 3,
    ACTIONS(12466), 1,
      sym_keyword_set,
    STATE(9563), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521719] = 3,
    ACTIONS(16500), 1,
      sym_keyword_check,
    STATE(9553), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521730] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19029), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [521739] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19031), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [521748] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19031), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [521757] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19033), 2,
      sym_keyword_function,
      sym_keyword_procedure,
  [521766] = 3,
    ACTIONS(12466), 1,
      sym_keyword_set,
    STATE(9531), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521777] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19035), 2,
      sym_keyword_default,
      sym_keyword_null,
  [521786] = 3,
    ACTIONS(19037), 1,
      anon_sym_SEMI,
    ACTIONS(19039), 1,
      sym__dollar_quoted_string_end_tag,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521797] = 3,
    ACTIONS(16500), 1,
      sym_keyword_check,
    STATE(9478), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521808] = 3,
    ACTIONS(19041), 1,
      sym_keyword_first,
    ACTIONS(19043), 1,
      sym_keyword_last,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521819] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19045), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [521828] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19045), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [521837] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19047), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [521846] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19049), 2,
      sym_keyword_function,
      sym_keyword_procedure,
  [521855] = 3,
    ACTIONS(12466), 1,
      sym_keyword_set,
    STATE(9454), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521866] = 3,
    ACTIONS(16500), 1,
      sym_keyword_check,
    STATE(9578), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521877] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19051), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [521886] = 3,
    ACTIONS(19053), 1,
      anon_sym_SEMI,
    ACTIONS(19055), 1,
      sym__dollar_quoted_string_end_tag,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521897] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19057), 2,
      sym_keyword_to,
      anon_sym_EQ,
  [521906] = 3,
    ACTIONS(12466), 1,
      sym_keyword_set,
    STATE(9431), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521917] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19059), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [521926] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19061), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [521935] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19061), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [521944] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19063), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [521953] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19063), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [521962] = 3,
    ACTIONS(19065), 1,
      sym_keyword_first,
    ACTIONS(19067), 1,
      sym_keyword_last,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521973] = 3,
    ACTIONS(19069), 1,
      aux_sym__integer_token1,
    ACTIONS(19071), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521984] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19073), 2,
      sym_keyword_first,
      sym_keyword_last,
  [521993] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19075), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [522002] = 3,
    ACTIONS(16360), 1,
      sym_keyword_sequence,
    ACTIONS(16992), 1,
      sym_keyword_table,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522013] = 3,
    ACTIONS(13030), 1,
      sym_keyword_using,
    ACTIONS(13140), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522024] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19077), 2,
      sym_keyword_function,
      sym_keyword_procedure,
  [522033] = 3,
    ACTIONS(16500), 1,
      sym_keyword_check,
    STATE(9721), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522044] = 3,
    ACTIONS(12466), 1,
      sym_keyword_set,
    STATE(9771), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522055] = 3,
    ACTIONS(19079), 1,
      sym_keyword_update,
    ACTIONS(19081), 1,
      sym_keyword_nothing,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522066] = 3,
    ACTIONS(12466), 1,
      sym_keyword_set,
    STATE(9281), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522077] = 3,
    ACTIONS(19083), 1,
      sym_keyword_outer,
    ACTIONS(19085), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522088] = 3,
    ACTIONS(16318), 1,
      sym_keyword_outer,
    ACTIONS(16320), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522099] = 3,
    ACTIONS(19087), 1,
      anon_sym_RPAREN,
    ACTIONS(19089), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522110] = 3,
    ACTIONS(19091), 1,
      anon_sym_RPAREN,
    ACTIONS(19093), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522121] = 3,
    ACTIONS(19095), 1,
      anon_sym_RPAREN,
    ACTIONS(19097), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522132] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19099), 2,
      sym_keyword_delete,
      sym_keyword_update,
  [522141] = 3,
    ACTIONS(19101), 1,
      sym_keyword_outer,
    ACTIONS(19103), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522152] = 3,
    ACTIONS(16284), 1,
      sym_keyword_outer,
    ACTIONS(16286), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522163] = 3,
    ACTIONS(19105), 1,
      anon_sym_SEMI,
    ACTIONS(19107), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522174] = 3,
    ACTIONS(19109), 1,
      sym_keyword_outer,
    ACTIONS(19111), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522185] = 3,
    ACTIONS(19113), 1,
      sym_keyword_outer,
    ACTIONS(19115), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522196] = 3,
    ACTIONS(17524), 1,
      anon_sym_LPAREN,
    STATE(9254), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522207] = 3,
    ACTIONS(19117), 1,
      sym_keyword_first,
    ACTIONS(19119), 1,
      sym_keyword_last,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522218] = 3,
    ACTIONS(16244), 1,
      sym_keyword_outer,
    ACTIONS(16246), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522229] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19121), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [522238] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19059), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [522247] = 3,
    ACTIONS(19123), 1,
      sym_keyword_outer,
    ACTIONS(19125), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522258] = 3,
    ACTIONS(19127), 1,
      sym_keyword_outer,
    ACTIONS(19129), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522269] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19131), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [522278] = 3,
    ACTIONS(19133), 1,
      sym_keyword_first,
    ACTIONS(19135), 1,
      sym_keyword_last,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522289] = 3,
    ACTIONS(16224), 1,
      sym_keyword_outer,
    ACTIONS(16226), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522300] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19137), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [522309] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19137), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [522318] = 3,
    ACTIONS(19139), 1,
      sym_keyword_outer,
    ACTIONS(19141), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522329] = 3,
    ACTIONS(19143), 1,
      sym_keyword_outer,
    ACTIONS(19145), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522340] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19147), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [522349] = 3,
    ACTIONS(19149), 1,
      sym_keyword_first,
    ACTIONS(19151), 1,
      sym_keyword_last,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522360] = 3,
    ACTIONS(16216), 1,
      sym_keyword_outer,
    ACTIONS(16218), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522371] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19153), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [522380] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19153), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [522389] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17487), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [522398] = 3,
    ACTIONS(19155), 1,
      sym_keyword_outer,
    ACTIONS(19157), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522409] = 3,
    ACTIONS(19159), 1,
      sym_keyword_outer,
    ACTIONS(19161), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522420] = 3,
    ACTIONS(17524), 1,
      anon_sym_LPAREN,
    STATE(9141), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522431] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19163), 2,
      sym_keyword_first,
      sym_keyword_last,
  [522440] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19165), 2,
      sym_keyword_only,
      sym_keyword_write,
  [522449] = 3,
    ACTIONS(16210), 1,
      sym_keyword_outer,
    ACTIONS(16212), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522460] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19167), 2,
      sym_keyword_function,
      sym_keyword_procedure,
  [522469] = 3,
    ACTIONS(16500), 1,
      sym_keyword_check,
    STATE(9919), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522480] = 3,
    ACTIONS(19169), 1,
      sym_keyword_as,
    ACTIONS(19171), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522491] = 3,
    ACTIONS(12466), 1,
      sym_keyword_set,
    STATE(9922), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522502] = 3,
    ACTIONS(19173), 1,
      aux_sym__integer_token1,
    ACTIONS(19175), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522513] = 3,
    ACTIONS(12466), 1,
      sym_keyword_set,
    STATE(9222), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522524] = 3,
    ACTIONS(19177), 1,
      sym_keyword_update,
    ACTIONS(19179), 1,
      sym_keyword_nothing,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522535] = 3,
    ACTIONS(12466), 1,
      sym_keyword_set,
    STATE(9216), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522546] = 3,
    ACTIONS(19181), 1,
      anon_sym_LPAREN,
    STATE(2084), 1,
      sym_subquery,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522557] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19121), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [522566] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19183), 2,
      sym_keyword_function,
      sym_keyword_procedure,
  [522575] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19185), 2,
      sym_keyword_function,
      sym_keyword_procedure,
  [522584] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19187), 2,
      sym_keyword_function,
      sym_keyword_procedure,
  [522593] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19189), 2,
      sym_keyword_function,
      sym_keyword_procedure,
  [522602] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19191), 2,
      sym_keyword_function,
      sym_keyword_procedure,
  [522611] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19193), 2,
      sym_keyword_function,
      sym_keyword_procedure,
  [522620] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19195), 2,
      sym_keyword_function,
      sym_keyword_procedure,
  [522629] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19197), 2,
      sym_keyword_function,
      sym_keyword_procedure,
  [522638] = 3,
    ACTIONS(13960), 1,
      anon_sym_LPAREN,
    STATE(9195), 1,
      sym_ordered_columns,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522649] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17378), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [522658] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19199), 2,
      sym_keyword_function,
      sym_keyword_procedure,
  [522667] = 3,
    ACTIONS(19201), 1,
      anon_sym_SEMI,
    ACTIONS(19203), 1,
      sym_keyword_transaction,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522678] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19205), 2,
      sym_keyword_function,
      sym_keyword_procedure,
  [522687] = 3,
    ACTIONS(17524), 1,
      anon_sym_LPAREN,
    STATE(9129), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522698] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19207), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [522707] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19207), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [522716] = 3,
    ACTIONS(19209), 1,
      sym_keyword_first,
    ACTIONS(19211), 1,
      sym_keyword_last,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522727] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19213), 2,
      sym_keyword_function,
      sym_keyword_procedure,
  [522736] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19215), 2,
      sym_keyword_first,
      sym_keyword_last,
  [522745] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19217), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [522754] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19219), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [522763] = 3,
    ACTIONS(10898), 1,
      anon_sym_LPAREN,
    STATE(13487), 1,
      sym__column_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522774] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19219), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [522783] = 3,
    ACTIONS(19221), 1,
      sym_keyword_first,
    ACTIONS(19223), 1,
      sym_keyword_last,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522794] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19225), 2,
      sym_keyword_first,
      sym_keyword_last,
  [522803] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19227), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [522812] = 3,
    ACTIONS(19229), 1,
      sym_keyword_first,
    ACTIONS(19231), 1,
      sym_keyword_last,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522823] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19233), 2,
      sym_keyword_first,
      sym_keyword_last,
  [522832] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13551), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [522841] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19235), 2,
      sym_keyword_function,
      sym_keyword_procedure,
  [522850] = 3,
    ACTIONS(19237), 1,
      anon_sym_LBRACK,
    ACTIONS(19239), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522861] = 3,
    ACTIONS(17334), 1,
      anon_sym_LPAREN,
    ACTIONS(19241), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522872] = 3,
    ACTIONS(19243), 1,
      sym_keyword_with,
    ACTIONS(19245), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522883] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19247), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [522892] = 3,
    ACTIONS(19249), 1,
      sym_keyword_then,
    ACTIONS(19251), 1,
      sym_keyword_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522903] = 3,
    ACTIONS(10898), 1,
      anon_sym_LPAREN,
    STATE(6634), 1,
      sym__column_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522914] = 3,
    ACTIONS(19253), 1,
      sym_keyword_update,
    ACTIONS(19255), 1,
      sym_keyword_nothing,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522925] = 3,
    ACTIONS(19257), 1,
      sym_keyword_with,
    ACTIONS(19259), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522936] = 3,
    ACTIONS(12466), 1,
      sym_keyword_set,
    STATE(9051), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522947] = 3,
    ACTIONS(19261), 1,
      sym_keyword_with,
    ACTIONS(19263), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522958] = 3,
    ACTIONS(15793), 1,
      sym_keyword_sequence,
    ACTIONS(16800), 1,
      sym_keyword_table,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522969] = 3,
    ACTIONS(19265), 1,
      sym_keyword_column,
    ACTIONS(19267), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522980] = 3,
    ACTIONS(19269), 1,
      sym_keyword_update,
    ACTIONS(19271), 1,
      sym_keyword_nothing,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522991] = 3,
    ACTIONS(12466), 1,
      sym_keyword_set,
    STATE(9090), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523002] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19273), 2,
      sym_keyword_first,
      sym_keyword_last,
  [523011] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19275), 2,
      sym_keyword_committed,
      sym_keyword_uncommitted,
  [523020] = 3,
    ACTIONS(16500), 1,
      sym_keyword_check,
    STATE(10137), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523031] = 3,
    ACTIONS(19277), 1,
      sym_keyword_outer,
    ACTIONS(19279), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523042] = 3,
    ACTIONS(19281), 1,
      sym_keyword_column,
    ACTIONS(19283), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523053] = 3,
    ACTIONS(13960), 1,
      anon_sym_LPAREN,
    STATE(9042), 1,
      sym_ordered_columns,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523064] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19285), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [523073] = 3,
    ACTIONS(19287), 1,
      sym_keyword_no,
    ACTIONS(19289), 1,
      sym_keyword_data,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523084] = 3,
    ACTIONS(19291), 1,
      sym_keyword_outer,
    ACTIONS(19293), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523095] = 3,
    ACTIONS(1520), 1,
      sym__dollar_quoted_string_end_tag,
    ACTIONS(19295), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523106] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19297), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [523115] = 3,
    ACTIONS(18981), 1,
      anon_sym_LPAREN,
    ACTIONS(19299), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523126] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19297), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [523135] = 3,
    ACTIONS(18110), 1,
      anon_sym_LPAREN,
    STATE(13349), 1,
      sym_function_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523146] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19301), 2,
      sym_keyword_row,
      sym_keyword_statement,
  [523155] = 3,
    ACTIONS(17524), 1,
      anon_sym_LPAREN,
    STATE(8987), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523166] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19303), 2,
      sym_keyword_preceding,
      sym_keyword_following,
  [523175] = 3,
    ACTIONS(19305), 1,
      anon_sym_RPAREN,
    ACTIONS(19307), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523186] = 3,
    ACTIONS(19309), 1,
      anon_sym_RPAREN,
    ACTIONS(19311), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523197] = 3,
    ACTIONS(19313), 1,
      anon_sym_RPAREN,
    ACTIONS(19315), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523208] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19317), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [523217] = 3,
    ACTIONS(15855), 1,
      sym_keyword_outer,
    ACTIONS(15857), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523228] = 3,
    ACTIONS(17524), 1,
      anon_sym_LPAREN,
    STATE(8983), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523239] = 3,
    ACTIONS(17524), 1,
      anon_sym_LPAREN,
    STATE(8980), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523250] = 3,
    ACTIONS(19319), 1,
      sym_keyword_first,
    ACTIONS(19321), 1,
      sym_keyword_last,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523261] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19323), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [523270] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19323), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [523279] = 3,
    ACTIONS(19325), 1,
      sym_keyword_as,
    ACTIONS(19327), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523290] = 3,
    ACTIONS(19329), 1,
      anon_sym_SEMI,
    ACTIONS(19331), 1,
      sym_keyword_transaction,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523301] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18641), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [523310] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19333), 2,
      sym_keyword_first,
      sym_keyword_last,
  [523319] = 3,
    ACTIONS(19335), 1,
      sym_keyword_first,
    ACTIONS(19337), 1,
      sym_keyword_last,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523330] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19339), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [523339] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19339), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [523348] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18657), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [523357] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19341), 2,
      sym_keyword_rename,
      sym_keyword_owner,
  [523366] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19343), 2,
      sym_keyword_first,
      sym_keyword_last,
  [523375] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19345), 2,
      sym_keyword_first,
      sym_keyword_last,
  [523384] = 3,
    ACTIONS(19347), 1,
      aux_sym__integer_token1,
    ACTIONS(19349), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523395] = 3,
    ACTIONS(19351), 1,
      anon_sym_LPAREN,
    STATE(4662), 1,
      sym_subquery,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523406] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19353), 2,
      sym_keyword_function,
      sym_keyword_procedure,
  [523415] = 3,
    ACTIONS(16500), 1,
      sym_keyword_check,
    STATE(9983), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523426] = 3,
    ACTIONS(19355), 1,
      sym_keyword_then,
    ACTIONS(19357), 1,
      sym_keyword_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523437] = 3,
    ACTIONS(19359), 1,
      sym_keyword_on,
    ACTIONS(19361), 1,
      sym_keyword_using,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523448] = 3,
    ACTIONS(10898), 1,
      anon_sym_LPAREN,
    STATE(6622), 1,
      sym__column_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523459] = 3,
    ACTIONS(12466), 1,
      sym_keyword_set,
    STATE(8914), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523470] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18813), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [523479] = 3,
    ACTIONS(18969), 1,
      anon_sym_SEMI,
    ACTIONS(19363), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523490] = 3,
    ACTIONS(17334), 1,
      anon_sym_LPAREN,
    ACTIONS(17338), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523501] = 3,
    ACTIONS(12466), 1,
      sym_keyword_set,
    STATE(8898), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523512] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19365), 2,
      sym_keyword_range,
      sym_keyword_hash,
  [523521] = 3,
    ACTIONS(19367), 1,
      sym_keyword_update,
    ACTIONS(19369), 1,
      sym_keyword_nothing,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523532] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19371), 2,
      sym_keyword_first,
      sym_keyword_last,
  [523541] = 3,
    ACTIONS(19373), 1,
      sym_keyword_for,
    ACTIONS(19375), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523552] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19377), 2,
      sym_keyword_group,
      sym_keyword_role,
  [523561] = 3,
    ACTIONS(19379), 1,
      anon_sym_LPAREN,
    STATE(8094), 1,
      sym_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523572] = 3,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(10784), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523583] = 3,
    ACTIONS(13960), 1,
      anon_sym_LPAREN,
    STATE(9713), 1,
      sym_ordered_columns,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523594] = 3,
    ACTIONS(19379), 1,
      anon_sym_LPAREN,
    STATE(10827), 1,
      sym_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523605] = 3,
    ACTIONS(15905), 1,
      sym_keyword_outer,
    ACTIONS(15907), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523616] = 3,
    ACTIONS(13960), 1,
      anon_sym_LPAREN,
    STATE(8827), 1,
      sym_ordered_columns,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523627] = 3,
    ACTIONS(19381), 1,
      sym_keyword_stats,
    ACTIONS(19383), 1,
      sym_keyword_incremental,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523638] = 3,
    ACTIONS(19385), 1,
      sym_keyword_from,
    STATE(9690), 1,
      sym__delete_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523649] = 3,
    ACTIONS(19387), 1,
      sym_keyword_as,
    ACTIONS(19389), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523660] = 3,
    ACTIONS(19391), 1,
      anon_sym_LPAREN,
    STATE(2702), 1,
      sym_subquery,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523671] = 3,
    ACTIONS(19393), 1,
      aux_sym__integer_token1,
    ACTIONS(19395), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523682] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19397), 2,
      sym_keyword_to,
      anon_sym_EQ,
  [523691] = 3,
    ACTIONS(17524), 1,
      anon_sym_LPAREN,
    STATE(9174), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523702] = 3,
    ACTIONS(19399), 1,
      sym_keyword_update,
    ACTIONS(19401), 1,
      sym_keyword_nothing,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523713] = 3,
    ACTIONS(18947), 1,
      anon_sym_LPAREN,
    STATE(8164), 1,
      sym_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523724] = 3,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(3367), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523735] = 3,
    ACTIONS(18458), 1,
      sym_keyword_isolation,
    STATE(11358), 1,
      sym__transaction_mode,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523746] = 3,
    ACTIONS(18220), 1,
      sym_keyword_isolation,
    STATE(10775), 1,
      sym__transaction_mode,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523757] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19403), 2,
      sym_keyword_to,
      anon_sym_EQ,
  [523766] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19405), 2,
      sym_keyword_to,
      anon_sym_EQ,
  [523775] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16796), 2,
      sym_keyword_immediate,
      sym_keyword_deferred,
  [523784] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16792), 2,
      sym_keyword_immediate,
      sym_keyword_deferred,
  [523793] = 3,
    ACTIONS(19407), 1,
      sym_keyword_as,
    ACTIONS(19409), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523804] = 3,
    ACTIONS(14750), 1,
      sym_keyword_where,
    STATE(12343), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523815] = 3,
    ACTIONS(16694), 1,
      sym_keyword_select,
    STATE(10589), 1,
      sym_select,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523826] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19411), 2,
      sym_keyword_definer,
      sym_keyword_invoker,
  [523835] = 3,
    ACTIONS(19413), 1,
      anon_sym_LPAREN,
    STATE(6714), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523846] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19415), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [523855] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19415), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [523864] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19415), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [523873] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19415), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [523882] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19417), 2,
      sym_keyword_function,
      sym_keyword_procedure,
  [523891] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19419), 2,
      sym_keyword_old,
      sym_keyword_new,
  [523900] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19421), 2,
      sym_keyword_immediate,
      sym_keyword_deferred,
  [523909] = 3,
    ACTIONS(19423), 1,
      sym_keyword_tablespace,
    ACTIONS(19425), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523920] = 3,
    ACTIONS(19427), 1,
      sym_keyword_value,
    ACTIONS(19429), 1,
      sym_keyword_attribute,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523931] = 3,
    ACTIONS(18110), 1,
      anon_sym_LPAREN,
    STATE(12902), 1,
      sym_function_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523942] = 3,
    ACTIONS(19431), 1,
      anon_sym_LPAREN,
    STATE(6726), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523953] = 3,
    ACTIONS(11178), 1,
      anon_sym_LPAREN,
    STATE(6692), 1,
      sym__column_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523964] = 3,
    ACTIONS(18458), 1,
      sym_keyword_isolation,
    STATE(11302), 1,
      sym__transaction_mode,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523975] = 3,
    ACTIONS(19433), 1,
      anon_sym_LPAREN,
    STATE(10276), 1,
      sym_enum_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523986] = 3,
    ACTIONS(19435), 1,
      sym_keyword_tablespace,
    ACTIONS(19437), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523997] = 3,
    ACTIONS(19439), 1,
      anon_sym_RPAREN,
    ACTIONS(19441), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524008] = 3,
    ACTIONS(19443), 1,
      anon_sym_RPAREN,
    ACTIONS(19445), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524019] = 3,
    ACTIONS(19447), 1,
      anon_sym_RPAREN,
    ACTIONS(19449), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524030] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19451), 2,
      sym_keyword_rename,
      sym_keyword_owner,
  [524039] = 3,
    ACTIONS(19453), 1,
      sym_keyword_update,
    ACTIONS(19455), 1,
      sym_keyword_nothing,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524050] = 3,
    ACTIONS(11178), 1,
      anon_sym_LPAREN,
    STATE(6765), 1,
      sym__column_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524061] = 3,
    ACTIONS(17414), 1,
      anon_sym_LPAREN,
    STATE(9077), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524072] = 3,
    ACTIONS(17524), 1,
      anon_sym_LPAREN,
    STATE(8737), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524083] = 3,
    ACTIONS(19457), 1,
      sym_keyword_set,
    ACTIONS(19459), 1,
      sym_keyword_reset,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524094] = 3,
    ACTIONS(14827), 1,
      sym_keyword_not,
    ACTIONS(19461), 1,
      sym_keyword_default,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524105] = 3,
    ACTIONS(13908), 1,
      anon_sym_LPAREN,
    STATE(10380), 1,
      sym_ordered_columns,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524116] = 3,
    ACTIONS(19463), 1,
      sym_keyword_set,
    ACTIONS(19465), 1,
      sym_keyword_type,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524127] = 3,
    ACTIONS(15380), 1,
      anon_sym_LPAREN,
    STATE(7426), 1,
      sym_window_specification,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524138] = 3,
    ACTIONS(19467), 1,
      sym_keyword_first,
    ACTIONS(19469), 1,
      sym_keyword_last,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524149] = 3,
    ACTIONS(19471), 1,
      sym_keyword_update,
    ACTIONS(19473), 1,
      sym_keyword_nothing,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524160] = 3,
    ACTIONS(17524), 1,
      anon_sym_LPAREN,
    STATE(8721), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524171] = 3,
    ACTIONS(12528), 1,
      sym_keyword_set,
    STATE(8988), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524182] = 3,
    ACTIONS(11178), 1,
      anon_sym_LPAREN,
    STATE(6701), 1,
      sym__column_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524193] = 3,
    ACTIONS(19475), 1,
      sym_keyword_first,
    ACTIONS(19477), 1,
      sym_keyword_last,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524204] = 3,
    ACTIONS(19479), 1,
      sym_keyword_not,
    ACTIONS(19481), 1,
      sym_keyword_deferrable,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524215] = 3,
    ACTIONS(16504), 1,
      sym_keyword_check,
    STATE(10452), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524226] = 3,
    ACTIONS(19483), 1,
      sym_keyword_no,
    ACTIONS(19485), 1,
      sym_keyword_data,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524237] = 3,
    ACTIONS(13021), 1,
      sym_keyword_using,
    ACTIONS(13301), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524248] = 3,
    ACTIONS(17414), 1,
      anon_sym_LPAREN,
    STATE(8974), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524259] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19487), 2,
      sym_keyword_first,
      sym_keyword_last,
  [524268] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13559), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [524277] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19489), 2,
      sym_keyword_definer,
      sym_keyword_invoker,
  [524286] = 3,
    ACTIONS(16948), 1,
      anon_sym_LPAREN,
    STATE(6471), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524297] = 3,
    ACTIONS(19491), 1,
      anon_sym_RPAREN,
    ACTIONS(19493), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524308] = 3,
    ACTIONS(14893), 1,
      sym_keyword_not,
    ACTIONS(19495), 1,
      sym_keyword_default,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524319] = 3,
    ACTIONS(13908), 1,
      anon_sym_LPAREN,
    STATE(10012), 1,
      sym_ordered_columns,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524330] = 3,
    ACTIONS(19497), 1,
      anon_sym_RPAREN,
    ACTIONS(19499), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524341] = 3,
    ACTIONS(19501), 1,
      anon_sym_RPAREN,
    ACTIONS(19503), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524352] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19505), 2,
      sym_keyword_first,
      sym_keyword_last,
  [524361] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13510), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [524370] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19507), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [524379] = 3,
    ACTIONS(12528), 1,
      sym_keyword_set,
    STATE(8924), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524390] = 3,
    ACTIONS(19509), 1,
      sym_keyword_update,
    ACTIONS(19511), 1,
      sym_keyword_nothing,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524401] = 3,
    ACTIONS(19513), 1,
      sym_keyword_update,
    ACTIONS(19515), 1,
      sym_keyword_nothing,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524412] = 3,
    ACTIONS(19517), 1,
      sym_keyword_as,
    ACTIONS(19519), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524423] = 3,
    ACTIONS(11178), 1,
      anon_sym_LPAREN,
    STATE(6723), 1,
      sym__column_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524434] = 3,
    ACTIONS(19521), 1,
      sym_keyword_not,
    ACTIONS(19523), 1,
      sym_keyword_deferrable,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524445] = 3,
    ACTIONS(16504), 1,
      sym_keyword_check,
    STATE(10634), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524456] = 3,
    ACTIONS(19525), 1,
      sym_keyword_no,
    ACTIONS(19527), 1,
      sym_keyword_data,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524467] = 3,
    ACTIONS(17414), 1,
      anon_sym_LPAREN,
    STATE(8905), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524478] = 3,
    ACTIONS(17414), 1,
      anon_sym_LPAREN,
    STATE(8896), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524489] = 3,
    ACTIONS(17414), 1,
      anon_sym_LPAREN,
    STATE(8895), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524500] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19529), 2,
      sym_keyword_definer,
      sym_keyword_invoker,
  [524509] = 3,
    ACTIONS(13908), 1,
      anon_sym_LPAREN,
    STATE(9829), 1,
      sym_ordered_columns,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524520] = 3,
    ACTIONS(13908), 1,
      anon_sym_LPAREN,
    STATE(10720), 1,
      sym_ordered_columns,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524531] = 3,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(13675), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524542] = 3,
    ACTIONS(19531), 1,
      aux_sym__integer_token1,
    ACTIONS(19533), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524553] = 3,
    ACTIONS(19535), 1,
      anon_sym_LPAREN,
    STATE(5676), 1,
      sym_subquery,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524564] = 3,
    ACTIONS(19537), 1,
      sym_keyword_no,
    ACTIONS(19539), 1,
      sym_keyword_data,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524575] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19541), 2,
      sym_keyword_first,
      sym_keyword_last,
  [524584] = 3,
    ACTIONS(17414), 1,
      anon_sym_LPAREN,
    STATE(8967), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524595] = 3,
    ACTIONS(12528), 1,
      sym_keyword_set,
    STATE(8877), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524606] = 3,
    ACTIONS(19543), 1,
      sym_keyword_update,
    ACTIONS(19545), 1,
      sym_keyword_nothing,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524617] = 3,
    ACTIONS(12528), 1,
      sym_keyword_set,
    STATE(8875), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524628] = 3,
    ACTIONS(11178), 1,
      anon_sym_LPAREN,
    STATE(6757), 1,
      sym__column_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524639] = 3,
    ACTIONS(19547), 1,
      sym_keyword_then,
    ACTIONS(19549), 1,
      sym_keyword_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524650] = 3,
    ACTIONS(12510), 1,
      sym_keyword_set,
    STATE(9585), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524661] = 3,
    ACTIONS(19551), 1,
      sym_keyword_update,
    ACTIONS(19553), 1,
      sym_keyword_nothing,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524672] = 3,
    ACTIONS(12510), 1,
      sym_keyword_set,
    STATE(9563), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524683] = 3,
    ACTIONS(14750), 1,
      sym_keyword_where,
    STATE(13667), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524694] = 3,
    ACTIONS(12510), 1,
      sym_keyword_set,
    STATE(9531), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524705] = 3,
    ACTIONS(17414), 1,
      anon_sym_LPAREN,
    STATE(8852), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524716] = 3,
    ACTIONS(12510), 1,
      sym_keyword_set,
    STATE(9454), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524727] = 3,
    ACTIONS(17414), 1,
      anon_sym_LPAREN,
    STATE(8851), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524738] = 3,
    ACTIONS(17414), 1,
      anon_sym_LPAREN,
    STATE(8844), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524749] = 3,
    ACTIONS(1470), 1,
      sym__dollar_quoted_string_end_tag,
    ACTIONS(19555), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524760] = 3,
    ACTIONS(12510), 1,
      sym_keyword_set,
    STATE(9771), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524771] = 3,
    ACTIONS(19081), 1,
      sym_keyword_nothing,
    ACTIONS(19557), 1,
      sym_keyword_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524782] = 3,
    ACTIONS(16500), 1,
      sym_keyword_check,
    STATE(9610), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524793] = 3,
    ACTIONS(19559), 1,
      sym_keyword_no,
    ACTIONS(19561), 1,
      sym_keyword_data,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524804] = 3,
    ACTIONS(13908), 1,
      anon_sym_LPAREN,
    STATE(9719), 1,
      sym_ordered_columns,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524815] = 3,
    ACTIONS(12510), 1,
      sym_keyword_set,
    STATE(9922), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524826] = 3,
    ACTIONS(19179), 1,
      sym_keyword_nothing,
    ACTIONS(19563), 1,
      sym_keyword_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524837] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18360), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [524846] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19565), 2,
      sym_keyword_first,
      sym_keyword_last,
  [524855] = 3,
    ACTIONS(12528), 1,
      sym_keyword_set,
    STATE(8823), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524866] = 3,
    ACTIONS(13030), 1,
      sym_keyword_using,
    ACTIONS(13335), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524877] = 3,
    ACTIONS(19567), 1,
      sym_keyword_update,
    ACTIONS(19569), 1,
      sym_keyword_nothing,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524888] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19571), 2,
      sym_keyword_only,
      sym_keyword_write,
  [524897] = 3,
    ACTIONS(12528), 1,
      sym_keyword_set,
    STATE(8818), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524908] = 3,
    ACTIONS(19255), 1,
      sym_keyword_nothing,
    ACTIONS(19573), 1,
      sym_keyword_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524919] = 3,
    ACTIONS(19271), 1,
      sym_keyword_nothing,
    ACTIONS(19575), 1,
      sym_keyword_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524930] = 3,
    ACTIONS(19577), 1,
      sym_keyword_update,
    ACTIONS(19579), 1,
      sym_keyword_nothing,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524941] = 3,
    ACTIONS(11178), 1,
      anon_sym_LPAREN,
    STATE(6774), 1,
      sym__column_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524952] = 3,
    ACTIONS(17524), 1,
      anon_sym_LPAREN,
    STATE(9987), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524963] = 3,
    ACTIONS(19581), 1,
      sym_keyword_then,
    ACTIONS(19583), 1,
      sym_keyword_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524974] = 3,
    ACTIONS(16504), 1,
      sym_keyword_check,
    STATE(10886), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524985] = 3,
    ACTIONS(17414), 1,
      anon_sym_LPAREN,
    STATE(8803), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524996] = 3,
    ACTIONS(17414), 1,
      anon_sym_LPAREN,
    STATE(8751), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525007] = 3,
    ACTIONS(16694), 1,
      sym_keyword_select,
    STATE(10267), 1,
      sym_select,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525018] = 3,
    ACTIONS(13908), 1,
      anon_sym_LPAREN,
    STATE(9658), 1,
      sym_ordered_columns,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525029] = 3,
    ACTIONS(19585), 1,
      sym_keyword_not,
    ACTIONS(19587), 1,
      sym_keyword_deferrable,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525040] = 3,
    ACTIONS(19401), 1,
      sym_keyword_nothing,
    ACTIONS(19589), 1,
      sym_keyword_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525051] = 3,
    ACTIONS(19369), 1,
      sym_keyword_nothing,
    ACTIONS(19591), 1,
      sym_keyword_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525062] = 3,
    ACTIONS(16948), 1,
      anon_sym_LPAREN,
    STATE(6434), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525073] = 3,
    ACTIONS(19593), 1,
      sym_keyword_as,
    ACTIONS(19595), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525084] = 3,
    ACTIONS(12528), 1,
      sym_keyword_set,
    STATE(8792), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525095] = 3,
    ACTIONS(19597), 1,
      sym_keyword_update,
    ACTIONS(19599), 1,
      sym_keyword_nothing,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525106] = 3,
    ACTIONS(12528), 1,
      sym_keyword_set,
    STATE(8787), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525117] = 3,
    ACTIONS(12528), 1,
      sym_keyword_set,
    STATE(10941), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525128] = 3,
    ACTIONS(16504), 1,
      sym_keyword_check,
    STATE(10948), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525139] = 3,
    ACTIONS(17414), 1,
      anon_sym_LPAREN,
    STATE(8780), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525150] = 3,
    ACTIONS(19601), 1,
      sym_keyword_matched,
    ACTIONS(19603), 1,
      sym_keyword_not,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525161] = 3,
    ACTIONS(19605), 1,
      anon_sym_SEMI,
    ACTIONS(19607), 1,
      sym__dollar_quoted_string_end_tag,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525172] = 3,
    ACTIONS(19609), 1,
      anon_sym_LPAREN,
    STATE(4412), 1,
      sym_subquery,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525183] = 3,
    ACTIONS(12528), 1,
      sym_keyword_set,
    STATE(8770), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525194] = 3,
    ACTIONS(19611), 1,
      sym_keyword_update,
    ACTIONS(19613), 1,
      sym_keyword_nothing,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525205] = 3,
    ACTIONS(19615), 1,
      anon_sym_RPAREN,
    ACTIONS(19617), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525216] = 3,
    ACTIONS(19619), 1,
      anon_sym_RPAREN,
    ACTIONS(19621), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525227] = 3,
    ACTIONS(19623), 1,
      anon_sym_RPAREN,
    ACTIONS(19625), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525238] = 3,
    ACTIONS(12528), 1,
      sym_keyword_set,
    STATE(10980), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525249] = 3,
    ACTIONS(13924), 1,
      sym_keyword_using,
    ACTIONS(13966), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525260] = 3,
    ACTIONS(16504), 1,
      sym_keyword_check,
    STATE(10981), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525271] = 3,
    ACTIONS(15292), 1,
      anon_sym_LPAREN,
    STATE(7406), 1,
      sym_window_specification,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525282] = 3,
    ACTIONS(10898), 1,
      anon_sym_LPAREN,
    STATE(6627), 1,
      sym__column_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525293] = 3,
    ACTIONS(19627), 1,
      sym_keyword_matched,
    ACTIONS(19629), 1,
      sym_keyword_not,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525304] = 3,
    ACTIONS(19631), 1,
      sym_keyword_update,
    ACTIONS(19633), 1,
      sym_keyword_nothing,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525315] = 3,
    ACTIONS(19635), 1,
      sym_keyword_update,
    ACTIONS(19637), 1,
      sym_keyword_nothing,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525326] = 3,
    ACTIONS(12528), 1,
      sym_keyword_set,
    STATE(8750), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525337] = 3,
    ACTIONS(16504), 1,
      sym_keyword_check,
    STATE(10789), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525348] = 3,
    ACTIONS(16504), 1,
      sym_keyword_check,
    STATE(11020), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525359] = 3,
    ACTIONS(19639), 1,
      anon_sym_SEMI,
    ACTIONS(19641), 1,
      sym__dollar_quoted_string_end_tag,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525370] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19643), 2,
      sym_keyword_default,
      sym_keyword_null,
  [525379] = 3,
    ACTIONS(12528), 1,
      sym_keyword_set,
    STATE(11040), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525390] = 3,
    ACTIONS(16504), 1,
      sym_keyword_check,
    STATE(11048), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525401] = 3,
    ACTIONS(12510), 1,
      sym_keyword_set,
    STATE(9886), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525412] = 3,
    ACTIONS(12528), 1,
      sym_keyword_set,
    STATE(11059), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525423] = 3,
    ACTIONS(13066), 1,
      sym_keyword_using,
    ACTIONS(13333), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525434] = 3,
    ACTIONS(19633), 1,
      sym_keyword_nothing,
    ACTIONS(19645), 1,
      sym_keyword_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525445] = 3,
    ACTIONS(16504), 1,
      sym_keyword_check,
    STATE(11069), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525456] = 3,
    ACTIONS(19647), 1,
      sym_keyword_with,
    ACTIONS(19649), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525467] = 3,
    ACTIONS(12528), 1,
      sym_keyword_set,
    STATE(11102), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525478] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19651), 2,
      sym_keyword_only,
      sym_keyword_write,
  [525487] = 3,
    ACTIONS(19637), 1,
      sym_keyword_nothing,
    ACTIONS(19653), 1,
      sym_keyword_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525498] = 3,
    ACTIONS(19655), 1,
      sym_keyword_with,
    ACTIONS(19657), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525509] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19659), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [525518] = 3,
    ACTIONS(17524), 1,
      anon_sym_LPAREN,
    STATE(9849), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525529] = 3,
    ACTIONS(12466), 1,
      sym_keyword_set,
    STATE(8699), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525540] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19661), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [525549] = 3,
    ACTIONS(19663), 1,
      aux_sym__integer_token1,
    ACTIONS(19665), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525560] = 3,
    ACTIONS(19667), 1,
      sym_keyword_update,
    ACTIONS(19669), 1,
      sym_keyword_nothing,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525571] = 3,
    ACTIONS(3029), 1,
      aux_sym__single_quote_string_token1,
    STATE(3876), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525582] = 3,
    ACTIONS(12528), 1,
      sym_keyword_set,
    STATE(11011), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525593] = 3,
    ACTIONS(17524), 1,
      anon_sym_LPAREN,
    STATE(9836), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525604] = 3,
    ACTIONS(19671), 1,
      sym_keyword_with,
    ACTIONS(19673), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525615] = 3,
    ACTIONS(10898), 1,
      anon_sym_LPAREN,
    STATE(7270), 1,
      sym__column_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525626] = 3,
    ACTIONS(19675), 1,
      anon_sym_LPAREN,
    STATE(3471), 1,
      sym_subquery,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525637] = 3,
    ACTIONS(19677), 1,
      sym_keyword_as,
    ACTIONS(19679), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525648] = 3,
    ACTIONS(18935), 1,
      sym_keyword_nothing,
    ACTIONS(19681), 1,
      sym_keyword_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525659] = 3,
    ACTIONS(19683), 1,
      aux_sym__integer_token1,
    ACTIONS(19685), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525670] = 3,
    ACTIONS(19687), 1,
      anon_sym_LPAREN,
    STATE(6811), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525681] = 3,
    ACTIONS(19689), 1,
      sym_keyword_distinct,
    ACTIONS(19691), 1,
      sym_keyword_not,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525692] = 3,
    ACTIONS(19693), 1,
      sym_keyword_with,
    ACTIONS(19695), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525703] = 3,
    ACTIONS(19697), 1,
      sym_keyword_with,
    ACTIONS(19699), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525714] = 3,
    ACTIONS(19701), 1,
      anon_sym_LPAREN,
    STATE(6807), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525725] = 3,
    ACTIONS(19703), 1,
      anon_sym_RPAREN,
    ACTIONS(19705), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525736] = 3,
    ACTIONS(19707), 1,
      anon_sym_RPAREN,
    ACTIONS(19709), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525747] = 3,
    ACTIONS(19711), 1,
      anon_sym_RPAREN,
    ACTIONS(19713), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525758] = 3,
    ACTIONS(18110), 1,
      anon_sym_LPAREN,
    STATE(13607), 1,
      sym_function_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525769] = 3,
    ACTIONS(19715), 1,
      anon_sym_LPAREN,
    STATE(8641), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525780] = 3,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(11029), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525791] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18573), 2,
      sym_keyword_true,
      sym_keyword_false,
  [525800] = 3,
    ACTIONS(19379), 1,
      anon_sym_LPAREN,
    STATE(7948), 1,
      sym_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525811] = 3,
    ACTIONS(19717), 1,
      sym_keyword_for,
    ACTIONS(19719), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525822] = 3,
    ACTIONS(11652), 1,
      aux_sym__single_quote_string_token1,
    STATE(7252), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525833] = 3,
    ACTIONS(19721), 1,
      sym_keyword_distinct,
    ACTIONS(19723), 1,
      sym_keyword_not,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525844] = 3,
    ACTIONS(13960), 1,
      anon_sym_LPAREN,
    STATE(8762), 1,
      sym_ordered_columns,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525855] = 3,
    ACTIONS(18971), 1,
      sym_keyword_from,
    STATE(11047), 1,
      sym__delete_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525866] = 3,
    ACTIONS(19725), 1,
      anon_sym_LPAREN,
    STATE(3986), 1,
      sym_subquery,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525877] = 3,
    ACTIONS(19727), 1,
      sym_keyword_table,
    ACTIONS(19729), 1,
      sym_keyword_tables,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525888] = 3,
    ACTIONS(19731), 1,
      aux_sym__integer_token1,
    ACTIONS(19733), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525899] = 3,
    ACTIONS(19735), 1,
      sym_keyword_outer,
    ACTIONS(19737), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525910] = 3,
    ACTIONS(19739), 1,
      anon_sym_LPAREN,
    ACTIONS(19741), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525921] = 3,
    ACTIONS(10658), 1,
      anon_sym_LPAREN,
    ACTIONS(19743), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525932] = 3,
    ACTIONS(17338), 1,
      anon_sym_DOT,
    ACTIONS(19745), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525943] = 3,
    ACTIONS(14690), 1,
      sym_keyword_not,
    ACTIONS(19747), 1,
      sym_keyword_default,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525954] = 3,
    ACTIONS(12510), 1,
      sym_keyword_set,
    STATE(9778), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525965] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19749), 2,
      sym_keyword_range,
      sym_keyword_hash,
  [525974] = 3,
    ACTIONS(13924), 1,
      sym_keyword_using,
    ACTIONS(14094), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525985] = 3,
    ACTIONS(19745), 1,
      anon_sym_LPAREN,
    ACTIONS(19751), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525996] = 3,
    ACTIONS(19753), 1,
      sym_keyword_as,
    ACTIONS(19755), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526007] = 3,
    ACTIONS(19757), 1,
      sym_keyword_matched,
    ACTIONS(19759), 1,
      sym_keyword_not,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526018] = 3,
    ACTIONS(19761), 1,
      anon_sym_LPAREN,
    ACTIONS(19763), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526029] = 3,
    ACTIONS(16948), 1,
      anon_sym_LPAREN,
    STATE(6443), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526040] = 3,
    ACTIONS(14750), 1,
      sym_keyword_where,
    STATE(14340), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526051] = 3,
    ACTIONS(19765), 1,
      anon_sym_RPAREN,
    ACTIONS(19767), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526062] = 3,
    ACTIONS(19769), 1,
      anon_sym_RPAREN,
    ACTIONS(19771), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526073] = 3,
    ACTIONS(17524), 1,
      anon_sym_LPAREN,
    STATE(9767), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526084] = 3,
    ACTIONS(19773), 1,
      anon_sym_RPAREN,
    ACTIONS(19775), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526095] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19777), 2,
      sym_keyword_group,
      sym_keyword_role,
  [526104] = 3,
    ACTIONS(19779), 1,
      anon_sym_LPAREN,
    ACTIONS(19781), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526115] = 3,
    ACTIONS(17524), 1,
      anon_sym_LPAREN,
    STATE(9764), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526126] = 3,
    ACTIONS(17524), 1,
      anon_sym_LPAREN,
    STATE(9763), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526137] = 3,
    ACTIONS(19783), 1,
      anon_sym_LBRACK,
    ACTIONS(19785), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526148] = 3,
    ACTIONS(14750), 1,
      sym_keyword_where,
    STATE(14550), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526159] = 3,
    ACTIONS(19787), 1,
      sym_keyword_as,
    ACTIONS(19789), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526170] = 3,
    ACTIONS(19791), 1,
      anon_sym_LPAREN,
    ACTIONS(19793), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526181] = 3,
    ACTIONS(19795), 1,
      anon_sym_LBRACK,
    ACTIONS(19797), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526192] = 3,
    ACTIONS(14750), 1,
      sym_keyword_where,
    STATE(14495), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526203] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19799), 2,
      sym_keyword_definer,
      sym_keyword_invoker,
  [526212] = 3,
    ACTIONS(19801), 1,
      anon_sym_LPAREN,
    ACTIONS(19803), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526223] = 3,
    ACTIONS(19805), 1,
      anon_sym_LBRACK,
    ACTIONS(19807), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526234] = 3,
    ACTIONS(14750), 1,
      sym_keyword_where,
    STATE(14059), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526245] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19809), 2,
      sym_keyword_is,
      sym_keyword_returns,
  [526254] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18032), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [526263] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19811), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [526272] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19811), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [526281] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18027), 2,
      sym_keyword_on,
      sym_keyword_or,
  [526290] = 3,
    ACTIONS(19813), 1,
      anon_sym_RPAREN,
    ACTIONS(19815), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526301] = 3,
    ACTIONS(19817), 1,
      anon_sym_RPAREN,
    ACTIONS(19819), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526312] = 3,
    ACTIONS(19821), 1,
      anon_sym_RPAREN,
    ACTIONS(19823), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526323] = 3,
    ACTIONS(19825), 1,
      anon_sym_LPAREN,
    STATE(6385), 1,
      sym_subquery,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526334] = 3,
    ACTIONS(19827), 1,
      aux_sym__integer_token1,
    ACTIONS(19829), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526345] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19831), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [526354] = 3,
    ACTIONS(17524), 1,
      anon_sym_LPAREN,
    STATE(9073), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526365] = 3,
    ACTIONS(19833), 1,
      anon_sym_LPAREN,
    ACTIONS(19835), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526376] = 3,
    ACTIONS(19837), 1,
      anon_sym_LBRACK,
    ACTIONS(19839), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526387] = 3,
    ACTIONS(14750), 1,
      sym_keyword_where,
    STATE(13787), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526398] = 3,
    ACTIONS(19841), 1,
      anon_sym_RPAREN,
    ACTIONS(19843), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526409] = 3,
    ACTIONS(19845), 1,
      anon_sym_RPAREN,
    ACTIONS(19847), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526420] = 3,
    ACTIONS(19849), 1,
      anon_sym_RPAREN,
    ACTIONS(19851), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526431] = 3,
    ACTIONS(12510), 1,
      sym_keyword_set,
    STATE(9686), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526442] = 3,
    ACTIONS(18110), 1,
      anon_sym_LPAREN,
    STATE(12107), 1,
      sym_function_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526453] = 3,
    ACTIONS(12510), 1,
      sym_keyword_set,
    STATE(9661), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526464] = 3,
    ACTIONS(19361), 1,
      sym_keyword_using,
    ACTIONS(19853), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526475] = 3,
    ACTIONS(19855), 1,
      sym_keyword_then,
    ACTIONS(19857), 1,
      sym_keyword_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526486] = 3,
    ACTIONS(19801), 1,
      anon_sym_LPAREN,
    ACTIONS(19859), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526497] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19861), 2,
      sym_keyword_is,
      sym_keyword_returns,
  [526506] = 3,
    ACTIONS(19863), 1,
      anon_sym_LBRACK,
    ACTIONS(19865), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526517] = 3,
    ACTIONS(14750), 1,
      sym_keyword_where,
    STATE(13524), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526528] = 3,
    ACTIONS(19867), 1,
      anon_sym_LPAREN,
    ACTIONS(19869), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526539] = 3,
    ACTIONS(17524), 1,
      anon_sym_LPAREN,
    STATE(9631), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526550] = 3,
    ACTIONS(17524), 1,
      anon_sym_LPAREN,
    STATE(9628), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526561] = 3,
    ACTIONS(17524), 1,
      anon_sym_LPAREN,
    STATE(9626), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526572] = 3,
    ACTIONS(16948), 1,
      anon_sym_LPAREN,
    STATE(6470), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526583] = 3,
    ACTIONS(19871), 1,
      anon_sym_LBRACK,
    ACTIONS(19873), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526594] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19875), 2,
      sym_keyword_first,
      sym_keyword_last,
  [526603] = 3,
    ACTIONS(14750), 1,
      sym_keyword_where,
    STATE(13291), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526614] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19877), 2,
      sym_keyword_first,
      sym_keyword_last,
  [526623] = 3,
    ACTIONS(19879), 1,
      sym_keyword_as,
    ACTIONS(19881), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526634] = 3,
    ACTIONS(17524), 1,
      anon_sym_LPAREN,
    STATE(9220), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526645] = 3,
    ACTIONS(19883), 1,
      sym_keyword_no,
    ACTIONS(19885), 1,
      sym_keyword_data,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526656] = 3,
    ACTIONS(19887), 1,
      anon_sym_LPAREN,
    STATE(4409), 1,
      sym_subquery,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526667] = 3,
    ACTIONS(19889), 1,
      aux_sym__integer_token1,
    ACTIONS(19891), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526678] = 3,
    ACTIONS(19893), 1,
      aux_sym__integer_token1,
    ACTIONS(19895), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526689] = 3,
    ACTIONS(19897), 1,
      sym_keyword_set,
    ACTIONS(19899), 1,
      sym_keyword_reset,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526700] = 3,
    ACTIONS(12510), 1,
      sym_keyword_set,
    STATE(9584), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526711] = 3,
    ACTIONS(9500), 1,
      anon_sym_LPAREN,
    ACTIONS(19901), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526722] = 3,
    ACTIONS(12510), 1,
      sym_keyword_set,
    STATE(9580), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526733] = 3,
    ACTIONS(19903), 1,
      anon_sym_LPAREN,
    STATE(4908), 1,
      sym_subquery,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526744] = 3,
    ACTIONS(19905), 1,
      sym_keyword_then,
    ACTIONS(19907), 1,
      sym_keyword_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526755] = 3,
    ACTIONS(14660), 1,
      sym_keyword_not,
    ACTIONS(19909), 1,
      sym_keyword_default,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526766] = 3,
    ACTIONS(19911), 1,
      anon_sym_LBRACK,
    ACTIONS(19913), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526777] = 3,
    ACTIONS(16500), 1,
      sym_keyword_check,
    STATE(9776), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526788] = 3,
    ACTIONS(17524), 1,
      anon_sym_LPAREN,
    STATE(9551), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526799] = 3,
    ACTIONS(19915), 1,
      sym_keyword_tablespace,
    ACTIONS(19917), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526810] = 3,
    ACTIONS(17524), 1,
      anon_sym_LPAREN,
    STATE(9548), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526821] = 3,
    ACTIONS(19919), 1,
      sym_keyword_column,
    ACTIONS(19921), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526832] = 3,
    ACTIONS(14750), 1,
      sym_keyword_where,
    STATE(12505), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526843] = 3,
    ACTIONS(19923), 1,
      sym_keyword_value,
    ACTIONS(19925), 1,
      sym_keyword_attribute,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526854] = 3,
    ACTIONS(17338), 1,
      anon_sym_DOT,
    ACTIONS(19927), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526865] = 3,
    ACTIONS(19929), 1,
      anon_sym_LBRACK,
    ACTIONS(19931), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526876] = 3,
    ACTIONS(19933), 1,
      anon_sym_RPAREN,
    ACTIONS(19935), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526887] = 3,
    ACTIONS(19937), 1,
      anon_sym_RPAREN,
    ACTIONS(19939), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526898] = 3,
    ACTIONS(19941), 1,
      anon_sym_RPAREN,
    ACTIONS(19943), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526909] = 3,
    ACTIONS(12510), 1,
      sym_keyword_set,
    STATE(9525), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526920] = 3,
    ACTIONS(14750), 1,
      sym_keyword_where,
    STATE(12106), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526931] = 3,
    ACTIONS(12510), 1,
      sym_keyword_set,
    STATE(9508), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526942] = 3,
    ACTIONS(19945), 1,
      anon_sym_LPAREN,
    ACTIONS(19947), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526953] = 3,
    ACTIONS(19949), 1,
      anon_sym_LBRACK,
    ACTIONS(19951), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526964] = 3,
    ACTIONS(14750), 1,
      sym_keyword_where,
    STATE(12083), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526975] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19953), 2,
      sym_keyword_only,
      sym_keyword_write,
  [526984] = 3,
    ACTIONS(17524), 1,
      anon_sym_LPAREN,
    STATE(9462), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526995] = 3,
    ACTIONS(19955), 1,
      sym_keyword_not,
    ACTIONS(19957), 1,
      sym_keyword_deferrable,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527006] = 3,
    ACTIONS(19927), 1,
      anon_sym_LPAREN,
    ACTIONS(19959), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527017] = 3,
    ACTIONS(19961), 1,
      anon_sym_LBRACK,
    ACTIONS(19963), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527028] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19965), 2,
      sym_keyword_delete,
      sym_keyword_update,
  [527037] = 3,
    ACTIONS(19967), 1,
      sym_keyword_on,
    ACTIONS(19969), 1,
      sym_keyword_using,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527048] = 3,
    ACTIONS(12510), 1,
      sym_keyword_set,
    STATE(9438), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527059] = 3,
    ACTIONS(13867), 1,
      sym_keyword_using,
    ACTIONS(13934), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527070] = 3,
    ACTIONS(13066), 1,
      sym_keyword_using,
    ACTIONS(13210), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527081] = 3,
    ACTIONS(10898), 1,
      anon_sym_LPAREN,
    STATE(6629), 1,
      sym__column_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527092] = 3,
    ACTIONS(13120), 1,
      sym_keyword_using,
    ACTIONS(13208), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527103] = 3,
    ACTIONS(12466), 1,
      sym_keyword_set,
    STATE(9433), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527114] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19971), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [527123] = 3,
    ACTIONS(13116), 1,
      sym_keyword_using,
    ACTIONS(13190), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527134] = 3,
    ACTIONS(12510), 1,
      sym_keyword_set,
    STATE(9456), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527145] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17534), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [527154] = 3,
    ACTIONS(14750), 1,
      sym_keyword_where,
    STATE(12254), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527165] = 3,
    ACTIONS(19973), 1,
      anon_sym_LPAREN,
    STATE(789), 1,
      sym_subquery,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527176] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19975), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [527185] = 3,
    ACTIONS(13112), 1,
      sym_keyword_using,
    ACTIONS(13188), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527196] = 3,
    ACTIONS(19977), 1,
      aux_sym__integer_token1,
    ACTIONS(19979), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527207] = 3,
    ACTIONS(19669), 1,
      sym_keyword_nothing,
    ACTIONS(19981), 1,
      sym_keyword_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527218] = 3,
    ACTIONS(19983), 1,
      anon_sym_LPAREN,
    ACTIONS(19985), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527229] = 3,
    ACTIONS(19987), 1,
      anon_sym_LBRACK,
    ACTIONS(19989), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527240] = 3,
    ACTIONS(19969), 1,
      sym_keyword_using,
    ACTIONS(19991), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527251] = 3,
    ACTIONS(13867), 1,
      sym_keyword_using,
    ACTIONS(13900), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527262] = 3,
    ACTIONS(13120), 1,
      sym_keyword_using,
    ACTIONS(13128), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527273] = 3,
    ACTIONS(19993), 1,
      anon_sym_RPAREN,
    ACTIONS(19995), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527284] = 3,
    ACTIONS(19997), 1,
      anon_sym_RPAREN,
    ACTIONS(19999), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527295] = 3,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(12040), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527306] = 3,
    ACTIONS(13116), 1,
      sym_keyword_using,
    ACTIONS(13126), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527317] = 3,
    ACTIONS(20001), 1,
      anon_sym_RPAREN,
    ACTIONS(20003), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527328] = 3,
    ACTIONS(14750), 1,
      sym_keyword_where,
    STATE(12450), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527339] = 3,
    ACTIONS(13112), 1,
      sym_keyword_using,
    ACTIONS(13124), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527350] = 3,
    ACTIONS(20005), 1,
      anon_sym_LPAREN,
    ACTIONS(20007), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527361] = 3,
    ACTIONS(20009), 1,
      anon_sym_LBRACK,
    ACTIONS(20011), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527372] = 3,
    ACTIONS(19969), 1,
      sym_keyword_using,
    ACTIONS(20013), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527383] = 3,
    ACTIONS(13865), 1,
      sym_keyword_on,
    ACTIONS(13867), 1,
      sym_keyword_using,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527394] = 3,
    ACTIONS(13118), 1,
      sym_keyword_on,
    ACTIONS(13120), 1,
      sym_keyword_using,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527405] = 3,
    ACTIONS(13114), 1,
      sym_keyword_on,
    ACTIONS(13116), 1,
      sym_keyword_using,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527416] = 3,
    ACTIONS(14750), 1,
      sym_keyword_where,
    STATE(12547), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527427] = 3,
    ACTIONS(20015), 1,
      sym_keyword_outer,
    ACTIONS(20017), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527438] = 3,
    ACTIONS(20019), 1,
      sym_keyword_column,
    ACTIONS(20021), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527449] = 3,
    ACTIONS(20023), 1,
      sym_keyword_tablespace,
    ACTIONS(20025), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527460] = 3,
    ACTIONS(13110), 1,
      sym_keyword_on,
    ACTIONS(13112), 1,
      sym_keyword_using,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527471] = 3,
    ACTIONS(20027), 1,
      anon_sym_LPAREN,
    ACTIONS(20029), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527482] = 3,
    ACTIONS(20031), 1,
      anon_sym_LBRACK,
    ACTIONS(20033), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527493] = 3,
    ACTIONS(19361), 1,
      sym_keyword_using,
    ACTIONS(20035), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527504] = 3,
    ACTIONS(20037), 1,
      anon_sym_RPAREN,
    ACTIONS(20039), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527515] = 3,
    ACTIONS(20041), 1,
      anon_sym_RPAREN,
    ACTIONS(20043), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527526] = 3,
    ACTIONS(20045), 1,
      anon_sym_RPAREN,
    ACTIONS(20047), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527537] = 3,
    ACTIONS(13922), 1,
      sym_keyword_on,
    ACTIONS(13924), 1,
      sym_keyword_using,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527548] = 3,
    ACTIONS(13066), 1,
      sym_keyword_using,
    ACTIONS(13096), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527559] = 3,
    ACTIONS(20049), 1,
      anon_sym_LPAREN,
    STATE(5982), 1,
      sym_subquery,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527570] = 3,
    ACTIONS(20051), 1,
      aux_sym__integer_token1,
    ACTIONS(20053), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527581] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20055), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [527590] = 3,
    ACTIONS(13030), 1,
      sym_keyword_using,
    ACTIONS(13094), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527601] = 3,
    ACTIONS(14750), 1,
      sym_keyword_where,
    STATE(12845), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527612] = 3,
    ACTIONS(13021), 1,
      sym_keyword_using,
    ACTIONS(13092), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527623] = 3,
    ACTIONS(20057), 1,
      anon_sym_RPAREN,
    ACTIONS(20059), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527634] = 3,
    ACTIONS(20061), 1,
      anon_sym_RPAREN,
    ACTIONS(20063), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527645] = 3,
    ACTIONS(20065), 1,
      anon_sym_RPAREN,
    ACTIONS(20067), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527656] = 3,
    ACTIONS(20069), 1,
      anon_sym_LPAREN,
    ACTIONS(20071), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527667] = 3,
    ACTIONS(19801), 1,
      anon_sym_LPAREN,
    ACTIONS(20073), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527678] = 3,
    ACTIONS(20075), 1,
      anon_sym_LBRACK,
    ACTIONS(20077), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527689] = 3,
    ACTIONS(19361), 1,
      sym_keyword_using,
    ACTIONS(20079), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527700] = 3,
    ACTIONS(13924), 1,
      sym_keyword_using,
    ACTIONS(13954), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527711] = 3,
    ACTIONS(13960), 1,
      anon_sym_LPAREN,
    STATE(9725), 1,
      sym_ordered_columns,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527722] = 3,
    ACTIONS(13066), 1,
      sym_keyword_using,
    ACTIONS(13088), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527733] = 3,
    ACTIONS(13030), 1,
      sym_keyword_using,
    ACTIONS(13076), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527744] = 3,
    ACTIONS(14750), 1,
      sym_keyword_where,
    STATE(13072), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527755] = 3,
    ACTIONS(20081), 1,
      aux_sym__integer_token1,
    ACTIONS(20083), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527766] = 3,
    ACTIONS(20085), 1,
      anon_sym_LPAREN,
    STATE(4627), 1,
      sym_subquery,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527777] = 3,
    ACTIONS(13021), 1,
      sym_keyword_using,
    ACTIONS(13074), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527788] = 3,
    ACTIONS(20027), 1,
      anon_sym_LPAREN,
    ACTIONS(20087), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527799] = 3,
    ACTIONS(19833), 1,
      anon_sym_LPAREN,
    ACTIONS(20089), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527810] = 3,
    ACTIONS(20091), 1,
      anon_sym_LBRACK,
    ACTIONS(20093), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527821] = 3,
    ACTIONS(19361), 1,
      sym_keyword_using,
    ACTIONS(20095), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527832] = 3,
    ACTIONS(15320), 1,
      anon_sym_LPAREN,
    STATE(7406), 1,
      sym_window_specification,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527843] = 3,
    ACTIONS(13924), 1,
      sym_keyword_using,
    ACTIONS(13991), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527854] = 3,
    ACTIONS(13064), 1,
      sym_keyword_on,
    ACTIONS(13066), 1,
      sym_keyword_using,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527865] = 3,
    ACTIONS(13028), 1,
      sym_keyword_on,
    ACTIONS(13030), 1,
      sym_keyword_using,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527876] = 3,
    ACTIONS(14750), 1,
      sym_keyword_where,
    STATE(13337), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527887] = 3,
    ACTIONS(13021), 1,
      sym_keyword_using,
    ACTIONS(13036), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527898] = 3,
    ACTIONS(14220), 1,
      anon_sym_LPAREN,
    STATE(2436), 1,
      sym_subquery,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527909] = 3,
    ACTIONS(20097), 1,
      sym_keyword_with,
    ACTIONS(20099), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527920] = 3,
    ACTIONS(20101), 1,
      aux_sym__integer_token1,
    ACTIONS(20103), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527931] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20105), 2,
      sym_keyword_range,
      sym_keyword_hash,
  [527940] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17480), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [527949] = 3,
    ACTIONS(19379), 1,
      anon_sym_LPAREN,
    STATE(8157), 1,
      sym_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527960] = 3,
    ACTIONS(17334), 1,
      anon_sym_LPAREN,
    ACTIONS(20107), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527971] = 3,
    ACTIONS(20027), 1,
      anon_sym_LPAREN,
    ACTIONS(20109), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527982] = 3,
    ACTIONS(20111), 1,
      anon_sym_LBRACK,
    ACTIONS(20113), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527993] = 3,
    ACTIONS(20115), 1,
      anon_sym_LPAREN,
    STATE(8663), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528004] = 3,
    ACTIONS(20117), 1,
      anon_sym_RPAREN,
    ACTIONS(20119), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528015] = 3,
    ACTIONS(20121), 1,
      anon_sym_RPAREN,
    ACTIONS(20123), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528026] = 3,
    ACTIONS(20125), 1,
      anon_sym_RPAREN,
    ACTIONS(20127), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528037] = 3,
    ACTIONS(10898), 1,
      anon_sym_LPAREN,
    STATE(6620), 1,
      sym__column_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528048] = 3,
    ACTIONS(13019), 1,
      sym_keyword_on,
    ACTIONS(13021), 1,
      sym_keyword_using,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528059] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20129), 2,
      sym_keyword_committed,
      sym_keyword_uncommitted,
  [528068] = 3,
    ACTIONS(18220), 1,
      sym_keyword_isolation,
    STATE(11099), 1,
      sym__transaction_mode,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528079] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20131), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [528088] = 3,
    ACTIONS(20133), 1,
      anon_sym_LPAREN,
    STATE(4313), 1,
      sym_subquery,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528099] = 3,
    ACTIONS(20135), 1,
      aux_sym__integer_token1,
    ACTIONS(20137), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528110] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20139), 2,
      sym_keyword_is,
      sym_keyword_returns,
  [528119] = 3,
    ACTIONS(3093), 1,
      aux_sym__single_quote_string_token1,
    STATE(9364), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528130] = 3,
    ACTIONS(20141), 1,
      anon_sym_LPAREN,
    STATE(9681), 1,
      sym_enum_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528141] = 3,
    ACTIONS(20143), 1,
      sym_keyword_set,
    ACTIONS(20145), 1,
      sym_keyword_type,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528152] = 3,
    ACTIONS(20147), 1,
      anon_sym_RPAREN,
    ACTIONS(20149), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528163] = 3,
    ACTIONS(20151), 1,
      anon_sym_RPAREN,
    ACTIONS(20153), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528174] = 3,
    ACTIONS(20155), 1,
      sym_keyword_as,
    ACTIONS(20157), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528185] = 2,
    ACTIONS(20159), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528193] = 2,
    ACTIONS(20161), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528201] = 2,
    ACTIONS(20163), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528209] = 2,
    ACTIONS(20165), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528217] = 2,
    ACTIONS(20167), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528225] = 2,
    ACTIONS(20169), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528233] = 2,
    ACTIONS(20171), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528241] = 2,
    ACTIONS(20173), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528249] = 2,
    ACTIONS(20175), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528257] = 2,
    ACTIONS(20177), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528265] = 2,
    ACTIONS(20179), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528273] = 2,
    ACTIONS(20181), 1,
      sym_keyword_statistics,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528281] = 2,
    ACTIONS(16080), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528289] = 2,
    ACTIONS(20183), 1,
      sym_keyword_metadata,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528297] = 2,
    ACTIONS(15206), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528305] = 2,
    ACTIONS(20185), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528313] = 2,
    ACTIONS(20187), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528321] = 2,
    ACTIONS(14784), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528329] = 2,
    ACTIONS(20189), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528337] = 2,
    ACTIONS(20191), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528345] = 2,
    ACTIONS(15226), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528353] = 2,
    ACTIONS(20193), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528361] = 2,
    ACTIONS(16102), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528369] = 2,
    ACTIONS(9538), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528377] = 2,
    ACTIONS(14764), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528385] = 2,
    ACTIONS(20195), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528393] = 2,
    ACTIONS(20197), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528401] = 2,
    ACTIONS(20199), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528409] = 2,
    ACTIONS(20201), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528417] = 2,
    ACTIONS(20203), 1,
      sym_keyword_columns,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528425] = 2,
    ACTIONS(20205), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528433] = 2,
    ACTIONS(17622), 1,
      sym_keyword_of,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528441] = 2,
    ACTIONS(20207), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528449] = 2,
    ACTIONS(20209), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528457] = 2,
    ACTIONS(20211), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528465] = 2,
    ACTIONS(20213), 1,
      sym_keyword_materialized,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528473] = 2,
    ACTIONS(20215), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528481] = 2,
    ACTIONS(20217), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528489] = 2,
    ACTIONS(20219), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528497] = 2,
    ACTIONS(20221), 1,
      sym_keyword_maxvalue,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528505] = 2,
    ACTIONS(20223), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528513] = 2,
    ACTIONS(20221), 1,
      sym_keyword_minvalue,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528521] = 2,
    ACTIONS(20225), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528529] = 2,
    ACTIONS(20227), 1,
      aux_sym__integer_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528537] = 2,
    ACTIONS(20229), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528545] = 2,
    ACTIONS(20231), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528553] = 2,
    ACTIONS(20233), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528561] = 2,
    ACTIONS(20235), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528569] = 2,
    ACTIONS(20155), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528577] = 2,
    ACTIONS(20237), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528585] = 2,
    ACTIONS(20239), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528593] = 2,
    ACTIONS(20241), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528601] = 2,
    ACTIONS(20243), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528609] = 2,
    ACTIONS(20245), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528617] = 2,
    ACTIONS(20247), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528625] = 2,
    ACTIONS(20249), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528633] = 2,
    ACTIONS(20251), 1,
      sym_keyword_delimited,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528641] = 2,
    ACTIONS(20253), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528649] = 2,
    ACTIONS(20255), 1,
      sym_keyword_set,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528657] = 2,
    ACTIONS(20257), 1,
      sym_keyword_set,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528665] = 2,
    ACTIONS(20259), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528673] = 2,
    ACTIONS(20261), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528681] = 2,
    ACTIONS(20263), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528689] = 2,
    ACTIONS(20265), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528697] = 2,
    ACTIONS(20267), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528705] = 2,
    ACTIONS(20269), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528713] = 2,
    ACTIONS(20271), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528721] = 2,
    ACTIONS(20273), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528729] = 2,
    ACTIONS(20275), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528737] = 2,
    ACTIONS(20277), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528745] = 2,
    ACTIONS(20279), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528753] = 2,
    ACTIONS(20281), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528761] = 2,
    ACTIONS(20283), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528769] = 2,
    ACTIONS(20285), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528777] = 2,
    ACTIONS(20129), 1,
      sym_keyword_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528785] = 2,
    ACTIONS(20287), 1,
      sym_keyword_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528793] = 2,
    ACTIONS(20289), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528801] = 2,
    ACTIONS(20291), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528809] = 2,
    ACTIONS(20293), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528817] = 2,
    ACTIONS(20295), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528825] = 2,
    ACTIONS(20297), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528833] = 2,
    ACTIONS(20299), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528841] = 2,
    ACTIONS(20301), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528849] = 2,
    ACTIONS(16068), 1,
      sym_keyword_trigger,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528857] = 2,
    ACTIONS(20303), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528865] = 2,
    ACTIONS(20305), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528873] = 2,
    ACTIONS(20307), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528881] = 2,
    ACTIONS(20309), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528889] = 2,
    ACTIONS(20311), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528897] = 2,
    ACTIONS(20313), 1,
      sym_keyword_returns,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528905] = 2,
    ACTIONS(20315), 1,
      sym_keyword_do,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528913] = 2,
    ACTIONS(20317), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528921] = 2,
    ACTIONS(20319), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528929] = 2,
    ACTIONS(20321), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528937] = 2,
    ACTIONS(20323), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528945] = 2,
    ACTIONS(20325), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528953] = 2,
    ACTIONS(16140), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528961] = 2,
    ACTIONS(20327), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528969] = 2,
    ACTIONS(20329), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528977] = 2,
    ACTIONS(15671), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528985] = 2,
    ACTIONS(20331), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528993] = 2,
    ACTIONS(20333), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529001] = 2,
    ACTIONS(20335), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529009] = 2,
    ACTIONS(20337), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529017] = 2,
    ACTIONS(20339), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529025] = 2,
    ACTIONS(20341), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529033] = 2,
    ACTIONS(14627), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529041] = 2,
    ACTIONS(15627), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529049] = 2,
    ACTIONS(20343), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529057] = 2,
    ACTIONS(20345), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529065] = 2,
    ACTIONS(20347), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529073] = 2,
    ACTIONS(20349), 1,
      sym_keyword_not,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529081] = 2,
    ACTIONS(20351), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529089] = 2,
    ACTIONS(9574), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529097] = 2,
    ACTIONS(20353), 1,
      sym_keyword_conflict,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529105] = 2,
    ACTIONS(20355), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529113] = 2,
    ACTIONS(20357), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529121] = 2,
    ACTIONS(20359), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529129] = 2,
    ACTIONS(20361), 1,
      sym_keyword_password,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529137] = 2,
    ACTIONS(20363), 1,
      sym_keyword_until,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529145] = 2,
    ACTIONS(20365), 1,
      sym_keyword_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529153] = 2,
    ACTIONS(20367), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529161] = 2,
    ACTIONS(20369), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529169] = 2,
    ACTIONS(20371), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529177] = 2,
    ACTIONS(20373), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529185] = 2,
    ACTIONS(20375), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529193] = 2,
    ACTIONS(20377), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529201] = 2,
    ACTIONS(20379), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529209] = 2,
    ACTIONS(20381), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529217] = 2,
    ACTIONS(20383), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529225] = 2,
    ACTIONS(20385), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529233] = 2,
    ACTIONS(20387), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529241] = 2,
    ACTIONS(20389), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529249] = 2,
    ACTIONS(20391), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529257] = 2,
    ACTIONS(20393), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529265] = 2,
    ACTIONS(20395), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529273] = 2,
    ACTIONS(20397), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529281] = 2,
    ACTIONS(20399), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529289] = 2,
    ACTIONS(20401), 1,
      sym_keyword_time,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529297] = 2,
    ACTIONS(20403), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529305] = 2,
    ACTIONS(20405), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529313] = 2,
    ACTIONS(20407), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529321] = 2,
    ACTIONS(20409), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529329] = 2,
    ACTIONS(20411), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529337] = 2,
    ACTIONS(20413), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529345] = 2,
    ACTIONS(20415), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529353] = 2,
    ACTIONS(20417), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529361] = 2,
    ACTIONS(20419), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529369] = 2,
    ACTIONS(20421), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529377] = 2,
    ACTIONS(20423), 1,
      sym_keyword_is,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529385] = 2,
    ACTIONS(20425), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529393] = 2,
    ACTIONS(20427), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529401] = 2,
    ACTIONS(20429), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529409] = 2,
    ACTIONS(20431), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529417] = 2,
    ACTIONS(20433), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529425] = 2,
    ACTIONS(20435), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529433] = 2,
    ACTIONS(20437), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529441] = 2,
    ACTIONS(20439), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529449] = 2,
    ACTIONS(20441), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529457] = 2,
    ACTIONS(20443), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529465] = 2,
    ACTIONS(20445), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529473] = 2,
    ACTIONS(20447), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529481] = 2,
    ACTIONS(20449), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529489] = 2,
    ACTIONS(20451), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529497] = 2,
    ACTIONS(20453), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529505] = 2,
    ACTIONS(10658), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529513] = 2,
    ACTIONS(20455), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529521] = 2,
    ACTIONS(20457), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529529] = 2,
    ACTIONS(20459), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529537] = 2,
    ACTIONS(20461), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529545] = 2,
    ACTIONS(20463), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529553] = 2,
    ACTIONS(20465), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529561] = 2,
    ACTIONS(20467), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529569] = 2,
    ACTIONS(20469), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529577] = 2,
    ACTIONS(20471), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529585] = 2,
    ACTIONS(20473), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529593] = 2,
    ACTIONS(20475), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529601] = 2,
    ACTIONS(20477), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529609] = 2,
    ACTIONS(20479), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529617] = 2,
    ACTIONS(20481), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529625] = 2,
    ACTIONS(20483), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529633] = 2,
    ACTIONS(20485), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529641] = 2,
    ACTIONS(20487), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529649] = 2,
    ACTIONS(20489), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529657] = 2,
    ACTIONS(20491), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529665] = 2,
    ACTIONS(20493), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529673] = 2,
    ACTIONS(20495), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529681] = 2,
    ACTIONS(20497), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529689] = 2,
    ACTIONS(20499), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529697] = 2,
    ACTIONS(20501), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529705] = 2,
    ACTIONS(20503), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529713] = 2,
    ACTIONS(20505), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529721] = 2,
    ACTIONS(20507), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529729] = 2,
    ACTIONS(20509), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529737] = 2,
    ACTIONS(20511), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529745] = 2,
    ACTIONS(20513), 1,
      sym_keyword_time,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529753] = 2,
    ACTIONS(20515), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529761] = 2,
    ACTIONS(20517), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529769] = 2,
    ACTIONS(20519), 1,
      sym_keyword_set,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529777] = 2,
    ACTIONS(20521), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529785] = 2,
    ACTIONS(20523), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529793] = 2,
    ACTIONS(20525), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529801] = 2,
    ACTIONS(20527), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529809] = 2,
    ACTIONS(20529), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529817] = 2,
    ACTIONS(20531), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529825] = 2,
    ACTIONS(20533), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529833] = 2,
    ACTIONS(20535), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529841] = 2,
    ACTIONS(20537), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529849] = 2,
    ACTIONS(20539), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529857] = 2,
    ACTIONS(20541), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529865] = 2,
    ACTIONS(20543), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529873] = 2,
    ACTIONS(20545), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529881] = 2,
    ACTIONS(20547), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529889] = 2,
    ACTIONS(20549), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529897] = 2,
    ACTIONS(20551), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529905] = 2,
    ACTIONS(20553), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529913] = 2,
    ACTIONS(20555), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529921] = 2,
    ACTIONS(20557), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529929] = 2,
    ACTIONS(20559), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529937] = 2,
    ACTIONS(20561), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529945] = 2,
    ACTIONS(20563), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529953] = 2,
    ACTIONS(20565), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529961] = 2,
    ACTIONS(20567), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529969] = 2,
    ACTIONS(20569), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529977] = 2,
    ACTIONS(20571), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529985] = 2,
    ACTIONS(20573), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529993] = 2,
    ACTIONS(20575), 1,
      sym_keyword_time,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530001] = 2,
    ACTIONS(20577), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530009] = 2,
    ACTIONS(20579), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530017] = 2,
    ACTIONS(20581), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530025] = 2,
    ACTIONS(20583), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530033] = 2,
    ACTIONS(20585), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530041] = 2,
    ACTIONS(20587), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530049] = 2,
    ACTIONS(20589), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530057] = 2,
    ACTIONS(20591), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530065] = 2,
    ACTIONS(20593), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530073] = 2,
    ACTIONS(20595), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530081] = 2,
    ACTIONS(20597), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530089] = 2,
    ACTIONS(20599), 1,
      sym_keyword_always,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530097] = 2,
    ACTIONS(20601), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530105] = 2,
    ACTIONS(20603), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530113] = 2,
    ACTIONS(20605), 1,
      sym_keyword_null,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530121] = 2,
    ACTIONS(20607), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530129] = 2,
    ACTIONS(20609), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530137] = 2,
    ACTIONS(20611), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530145] = 2,
    ACTIONS(20613), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530153] = 2,
    ACTIONS(20615), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530161] = 2,
    ACTIONS(20617), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530169] = 2,
    ACTIONS(20619), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530177] = 2,
    ACTIONS(20621), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530185] = 2,
    ACTIONS(20623), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530193] = 2,
    ACTIONS(20625), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530201] = 2,
    ACTIONS(20627), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530209] = 2,
    ACTIONS(20629), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530217] = 2,
    ACTIONS(20631), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530225] = 2,
    ACTIONS(20633), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530233] = 2,
    ACTIONS(20635), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530241] = 2,
    ACTIONS(20637), 1,
      sym_keyword_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530249] = 2,
    ACTIONS(20639), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530257] = 2,
    ACTIONS(20641), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530265] = 2,
    ACTIONS(20643), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530273] = 2,
    ACTIONS(20645), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530281] = 2,
    ACTIONS(20647), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530289] = 2,
    ACTIONS(20649), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530297] = 2,
    ACTIONS(20651), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530305] = 2,
    ACTIONS(20653), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530313] = 2,
    ACTIONS(20655), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530321] = 2,
    ACTIONS(20657), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530329] = 2,
    ACTIONS(14716), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530337] = 2,
    ACTIONS(20659), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530345] = 2,
    ACTIONS(20661), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530353] = 2,
    ACTIONS(20663), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530361] = 2,
    ACTIONS(20665), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530369] = 2,
    ACTIONS(20667), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530377] = 2,
    ACTIONS(20669), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530385] = 2,
    ACTIONS(20671), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530393] = 2,
    ACTIONS(20673), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530401] = 2,
    ACTIONS(20675), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530409] = 2,
    ACTIONS(20677), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530417] = 2,
    ACTIONS(20679), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530425] = 2,
    ACTIONS(20681), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530433] = 2,
    ACTIONS(20683), 1,
      sym_keyword_key,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530441] = 2,
    ACTIONS(20685), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530449] = 2,
    ACTIONS(14946), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530457] = 2,
    ACTIONS(14841), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530465] = 2,
    ACTIONS(20687), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530473] = 2,
    ACTIONS(20689), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530481] = 2,
    ACTIONS(15352), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530489] = 2,
    ACTIONS(20691), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530497] = 2,
    ACTIONS(15404), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530505] = 2,
    ACTIONS(20693), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530513] = 2,
    ACTIONS(20695), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530521] = 2,
    ACTIONS(20697), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530529] = 2,
    ACTIONS(20699), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530537] = 2,
    ACTIONS(20701), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530545] = 2,
    ACTIONS(20703), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530553] = 2,
    ACTIONS(20705), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530561] = 2,
    ACTIONS(16174), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530569] = 2,
    ACTIONS(20707), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530577] = 2,
    ACTIONS(20709), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530585] = 2,
    ACTIONS(20711), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530593] = 2,
    ACTIONS(20713), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530601] = 2,
    ACTIONS(20715), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530609] = 2,
    ACTIONS(20717), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530617] = 2,
    ACTIONS(20719), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530625] = 2,
    ACTIONS(20721), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530633] = 2,
    ACTIONS(20723), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530641] = 2,
    ACTIONS(20725), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530649] = 2,
    ACTIONS(20727), 1,
      sym_keyword_time,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530657] = 2,
    ACTIONS(20729), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530665] = 2,
    ACTIONS(20731), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530673] = 2,
    ACTIONS(20733), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530681] = 2,
    ACTIONS(20735), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530689] = 2,
    ACTIONS(20737), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530697] = 2,
    ACTIONS(20739), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530705] = 2,
    ACTIONS(20741), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530713] = 2,
    ACTIONS(20743), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530721] = 2,
    ACTIONS(20745), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530729] = 2,
    ACTIONS(15368), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530737] = 2,
    ACTIONS(20747), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530745] = 2,
    ACTIONS(20749), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530753] = 2,
    ACTIONS(14718), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530761] = 2,
    ACTIONS(15346), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530769] = 2,
    ACTIONS(16027), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530777] = 2,
    ACTIONS(20751), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530785] = 2,
    ACTIONS(20753), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530793] = 2,
    ACTIONS(20755), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530801] = 2,
    ACTIONS(20757), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530809] = 2,
    ACTIONS(20759), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530817] = 2,
    ACTIONS(20761), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530825] = 2,
    ACTIONS(20763), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530833] = 2,
    ACTIONS(20765), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530841] = 2,
    ACTIONS(20767), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530849] = 2,
    ACTIONS(9650), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530857] = 2,
    ACTIONS(20769), 1,
      sym_keyword_key,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530865] = 2,
    ACTIONS(20771), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530873] = 2,
    ACTIONS(20773), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530881] = 2,
    ACTIONS(20775), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530889] = 2,
    ACTIONS(20777), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530897] = 2,
    ACTIONS(14746), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530905] = 2,
    ACTIONS(20779), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530913] = 2,
    ACTIONS(20781), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530921] = 2,
    ACTIONS(20783), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530929] = 2,
    ACTIONS(20785), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530937] = 2,
    ACTIONS(20787), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530945] = 2,
    ACTIONS(20789), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530953] = 2,
    ACTIONS(20791), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530961] = 2,
    ACTIONS(20793), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530969] = 2,
    ACTIONS(20795), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530977] = 2,
    ACTIONS(20797), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530985] = 2,
    ACTIONS(20799), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530993] = 2,
    ACTIONS(20801), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531001] = 2,
    ACTIONS(20803), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531009] = 2,
    ACTIONS(20805), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531017] = 2,
    ACTIONS(20807), 1,
      sym_keyword_minvalue,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531025] = 2,
    ACTIONS(20809), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531033] = 2,
    ACTIONS(20811), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531041] = 2,
    ACTIONS(20813), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531049] = 2,
    ACTIONS(20815), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531057] = 2,
    ACTIONS(20817), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531065] = 2,
    ACTIONS(20807), 1,
      sym_keyword_maxvalue,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531073] = 2,
    ACTIONS(20819), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531081] = 2,
    ACTIONS(20821), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531089] = 2,
    ACTIONS(20823), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531097] = 2,
    ACTIONS(20825), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531105] = 2,
    ACTIONS(20827), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531113] = 2,
    ACTIONS(20829), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531121] = 2,
    ACTIONS(20831), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531129] = 2,
    ACTIONS(20833), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531137] = 2,
    ACTIONS(20835), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531145] = 2,
    ACTIONS(20837), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531153] = 2,
    ACTIONS(20839), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531161] = 2,
    ACTIONS(20841), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531169] = 2,
    ACTIONS(20843), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531177] = 2,
    ACTIONS(20845), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531185] = 2,
    ACTIONS(20847), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531193] = 2,
    ACTIONS(20017), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531201] = 2,
    ACTIONS(20849), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531209] = 2,
    ACTIONS(20851), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531217] = 2,
    ACTIONS(20853), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531225] = 2,
    ACTIONS(20855), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531233] = 2,
    ACTIONS(20857), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531241] = 2,
    ACTIONS(20859), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531249] = 2,
    ACTIONS(20861), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531257] = 2,
    ACTIONS(20863), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531265] = 2,
    ACTIONS(20865), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531273] = 2,
    ACTIONS(20867), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531281] = 2,
    ACTIONS(20869), 1,
      sym_keyword_time,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531289] = 2,
    ACTIONS(20871), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531297] = 2,
    ACTIONS(20873), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531305] = 2,
    ACTIONS(20875), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531313] = 2,
    ACTIONS(20877), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531321] = 2,
    ACTIONS(20879), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531329] = 2,
    ACTIONS(20881), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531337] = 2,
    ACTIONS(20883), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531345] = 2,
    ACTIONS(20885), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531353] = 2,
    ACTIONS(20887), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531361] = 2,
    ACTIONS(20889), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531369] = 2,
    ACTIONS(20891), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531377] = 2,
    ACTIONS(20893), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531385] = 2,
    ACTIONS(20895), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531393] = 2,
    ACTIONS(20897), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531401] = 2,
    ACTIONS(20899), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531409] = 2,
    ACTIONS(20901), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531417] = 2,
    ACTIONS(20903), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531425] = 2,
    ACTIONS(20905), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531433] = 2,
    ACTIONS(20907), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531441] = 2,
    ACTIONS(20909), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531449] = 2,
    ACTIONS(20911), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531457] = 2,
    ACTIONS(20913), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531465] = 2,
    ACTIONS(20915), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531473] = 2,
    ACTIONS(20917), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531481] = 2,
    ACTIONS(20919), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531489] = 2,
    ACTIONS(20921), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531497] = 2,
    ACTIONS(20923), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531505] = 2,
    ACTIONS(20925), 1,
      sym_keyword_conflict,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531513] = 2,
    ACTIONS(20927), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531521] = 2,
    ACTIONS(20929), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531529] = 2,
    ACTIONS(20931), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531537] = 2,
    ACTIONS(20933), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531545] = 2,
    ACTIONS(20935), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531553] = 2,
    ACTIONS(20937), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531561] = 2,
    ACTIONS(20939), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531569] = 2,
    ACTIONS(20941), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531577] = 2,
    ACTIONS(20943), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531585] = 2,
    ACTIONS(20945), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531593] = 2,
    ACTIONS(20947), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531601] = 2,
    ACTIONS(20949), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531609] = 2,
    ACTIONS(20951), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531617] = 2,
    ACTIONS(20953), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531625] = 2,
    ACTIONS(20955), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531633] = 2,
    ACTIONS(20957), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531641] = 2,
    ACTIONS(20959), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531649] = 2,
    ACTIONS(20961), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531657] = 2,
    ACTIONS(20963), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531665] = 2,
    ACTIONS(20965), 1,
      sym_keyword_set,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531673] = 2,
    ACTIONS(20967), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531681] = 2,
    ACTIONS(20969), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531689] = 2,
    ACTIONS(20971), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531697] = 2,
    ACTIONS(20973), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531705] = 2,
    ACTIONS(20975), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531713] = 2,
    ACTIONS(20977), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531721] = 2,
    ACTIONS(20979), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531729] = 2,
    ACTIONS(20981), 1,
      sym_keyword_is,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531737] = 2,
    ACTIONS(20983), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531745] = 2,
    ACTIONS(18108), 1,
      sym_keyword_is,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531753] = 2,
    ACTIONS(20985), 1,
      sym_keyword_using,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531761] = 2,
    ACTIONS(20987), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531769] = 2,
    ACTIONS(20989), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531777] = 2,
    ACTIONS(20991), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531785] = 2,
    ACTIONS(20993), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531793] = 2,
    ACTIONS(20995), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531801] = 2,
    ACTIONS(20997), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531809] = 2,
    ACTIONS(20999), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531817] = 2,
    ACTIONS(21001), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531825] = 2,
    ACTIONS(21003), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531833] = 2,
    ACTIONS(21005), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531841] = 2,
    ACTIONS(21007), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531849] = 2,
    ACTIONS(21009), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531857] = 2,
    ACTIONS(21011), 1,
      sym_keyword_time,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531865] = 2,
    ACTIONS(21013), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531873] = 2,
    ACTIONS(21015), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531881] = 2,
    ACTIONS(21017), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531889] = 2,
    ACTIONS(21019), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531897] = 2,
    ACTIONS(21021), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531905] = 2,
    ACTIONS(21023), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531913] = 2,
    ACTIONS(21025), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531921] = 2,
    ACTIONS(21027), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531929] = 2,
    ACTIONS(21029), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531937] = 2,
    ACTIONS(21031), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531945] = 2,
    ACTIONS(21033), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531953] = 2,
    ACTIONS(21035), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531961] = 2,
    ACTIONS(21037), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531969] = 2,
    ACTIONS(21039), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531977] = 2,
    ACTIONS(21041), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531985] = 2,
    ACTIONS(21043), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531993] = 2,
    ACTIONS(21045), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532001] = 2,
    ACTIONS(21047), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532009] = 2,
    ACTIONS(21049), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532017] = 2,
    ACTIONS(21051), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532025] = 2,
    ACTIONS(21053), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532033] = 2,
    ACTIONS(21055), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532041] = 2,
    ACTIONS(21057), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532049] = 2,
    ACTIONS(21059), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532057] = 2,
    ACTIONS(21061), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532065] = 2,
    ACTIONS(21063), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532073] = 2,
    ACTIONS(21065), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532081] = 2,
    ACTIONS(21067), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532089] = 2,
    ACTIONS(21069), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532097] = 2,
    ACTIONS(21071), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532105] = 2,
    ACTIONS(21073), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532113] = 2,
    ACTIONS(21075), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532121] = 2,
    ACTIONS(21077), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532129] = 2,
    ACTIONS(21079), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532137] = 2,
    ACTIONS(21081), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532145] = 2,
    ACTIONS(21083), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532153] = 2,
    ACTIONS(21085), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532161] = 2,
    ACTIONS(21087), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532169] = 2,
    ACTIONS(16202), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532177] = 2,
    ACTIONS(21089), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532185] = 2,
    ACTIONS(21091), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532193] = 2,
    ACTIONS(21093), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532201] = 2,
    ACTIONS(21095), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532209] = 2,
    ACTIONS(21097), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532217] = 2,
    ACTIONS(15074), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532225] = 2,
    ACTIONS(21099), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532233] = 2,
    ACTIONS(21101), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532241] = 2,
    ACTIONS(21103), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532249] = 2,
    ACTIONS(21105), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532257] = 2,
    ACTIONS(21107), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532265] = 2,
    ACTIONS(14932), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532273] = 2,
    ACTIONS(15002), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532281] = 2,
    ACTIONS(21109), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532289] = 2,
    ACTIONS(21111), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532297] = 2,
    ACTIONS(21113), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532305] = 2,
    ACTIONS(17462), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532313] = 2,
    ACTIONS(21115), 1,
      sym_keyword_conflict,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532321] = 2,
    ACTIONS(21117), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532329] = 2,
    ACTIONS(21119), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532337] = 2,
    ACTIONS(21121), 1,
      sym_keyword_do,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532345] = 2,
    ACTIONS(9754), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532353] = 2,
    ACTIONS(21123), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532361] = 2,
    ACTIONS(21125), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532369] = 2,
    ACTIONS(21127), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532377] = 2,
    ACTIONS(21129), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532385] = 2,
    ACTIONS(21131), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532393] = 2,
    ACTIONS(21133), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532401] = 2,
    ACTIONS(21135), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532409] = 2,
    ACTIONS(21137), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532417] = 2,
    ACTIONS(21139), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532425] = 2,
    ACTIONS(21141), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532433] = 2,
    ACTIONS(21143), 1,
      sym_keyword_time,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532441] = 2,
    ACTIONS(21145), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532449] = 2,
    ACTIONS(21147), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532457] = 2,
    ACTIONS(21149), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532465] = 2,
    ACTIONS(21151), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532473] = 2,
    ACTIONS(21153), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532481] = 2,
    ACTIONS(21155), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532489] = 2,
    ACTIONS(21157), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532497] = 2,
    ACTIONS(21159), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532505] = 2,
    ACTIONS(21161), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532513] = 2,
    ACTIONS(21163), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532521] = 2,
    ACTIONS(9520), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532529] = 2,
    ACTIONS(21165), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532537] = 2,
    ACTIONS(21167), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532545] = 2,
    ACTIONS(21169), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532553] = 2,
    ACTIONS(21171), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532561] = 2,
    ACTIONS(21173), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532569] = 2,
    ACTIONS(1754), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532577] = 2,
    ACTIONS(21175), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532585] = 2,
    ACTIONS(21177), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532593] = 2,
    ACTIONS(21179), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532601] = 2,
    ACTIONS(21181), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532609] = 2,
    ACTIONS(21183), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532617] = 2,
    ACTIONS(21185), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532625] = 2,
    ACTIONS(21187), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532633] = 2,
    ACTIONS(21189), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532641] = 2,
    ACTIONS(21191), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532649] = 2,
    ACTIONS(21193), 1,
      sym_keyword_materialized,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532657] = 2,
    ACTIONS(21195), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532665] = 2,
    ACTIONS(21197), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532673] = 2,
    ACTIONS(21199), 1,
      sym_keyword_do,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532681] = 2,
    ACTIONS(21201), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532689] = 2,
    ACTIONS(21203), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532697] = 2,
    ACTIONS(21205), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532705] = 2,
    ACTIONS(21207), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532713] = 2,
    ACTIONS(21209), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532721] = 2,
    ACTIONS(21211), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532729] = 2,
    ACTIONS(21213), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532737] = 2,
    ACTIONS(21215), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532745] = 2,
    ACTIONS(21217), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532753] = 2,
    ACTIONS(21219), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532761] = 2,
    ACTIONS(21221), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532769] = 2,
    ACTIONS(21223), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532777] = 2,
    ACTIONS(21225), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532785] = 2,
    ACTIONS(21227), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532793] = 2,
    ACTIONS(21229), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532801] = 2,
    ACTIONS(21231), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532809] = 2,
    ACTIONS(21233), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532817] = 2,
    ACTIONS(21235), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532825] = 2,
    ACTIONS(21237), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532833] = 2,
    ACTIONS(21239), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532841] = 2,
    ACTIONS(21241), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532849] = 2,
    ACTIONS(21243), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532857] = 2,
    ACTIONS(21245), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532865] = 2,
    ACTIONS(21247), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532873] = 2,
    ACTIONS(21249), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532881] = 2,
    ACTIONS(21251), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532889] = 2,
    ACTIONS(21253), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532897] = 2,
    ACTIONS(21255), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532905] = 2,
    ACTIONS(21257), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532913] = 2,
    ACTIONS(21259), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532921] = 2,
    ACTIONS(21261), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532929] = 2,
    ACTIONS(21263), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532937] = 2,
    ACTIONS(21265), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532945] = 2,
    ACTIONS(21267), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532953] = 2,
    ACTIONS(21269), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532961] = 2,
    ACTIONS(21271), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532969] = 2,
    ACTIONS(21273), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532977] = 2,
    ACTIONS(21275), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532985] = 2,
    ACTIONS(21277), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532993] = 2,
    ACTIONS(21279), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533001] = 2,
    ACTIONS(21281), 1,
      sym_keyword_time,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533009] = 2,
    ACTIONS(21283), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533017] = 2,
    ACTIONS(21285), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533025] = 2,
    ACTIONS(21287), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533033] = 2,
    ACTIONS(21289), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533041] = 2,
    ACTIONS(21291), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533049] = 2,
    ACTIONS(21293), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533057] = 2,
    ACTIONS(21295), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533065] = 2,
    ACTIONS(21297), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533073] = 2,
    ACTIONS(21299), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533081] = 2,
    ACTIONS(21301), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533089] = 2,
    ACTIONS(21303), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533097] = 2,
    ACTIONS(21305), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533105] = 2,
    ACTIONS(21307), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533113] = 2,
    ACTIONS(21309), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533121] = 2,
    ACTIONS(21311), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533129] = 2,
    ACTIONS(21313), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533137] = 2,
    ACTIONS(21315), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533145] = 2,
    ACTIONS(21317), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533153] = 2,
    ACTIONS(21319), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533161] = 2,
    ACTIONS(21321), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533169] = 2,
    ACTIONS(21323), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533177] = 2,
    ACTIONS(21325), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533185] = 2,
    ACTIONS(21327), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533193] = 2,
    ACTIONS(21329), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533201] = 2,
    ACTIONS(21331), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533209] = 2,
    ACTIONS(21333), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533217] = 2,
    ACTIONS(21335), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533225] = 2,
    ACTIONS(21337), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533233] = 2,
    ACTIONS(21339), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533241] = 2,
    ACTIONS(21341), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533249] = 2,
    ACTIONS(21343), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533257] = 2,
    ACTIONS(21345), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533265] = 2,
    ACTIONS(21347), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533273] = 2,
    ACTIONS(21349), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533281] = 2,
    ACTIONS(21351), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533289] = 2,
    ACTIONS(21353), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533297] = 2,
    ACTIONS(21355), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533305] = 2,
    ACTIONS(21357), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533313] = 2,
    ACTIONS(21359), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533321] = 2,
    ACTIONS(21361), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533329] = 2,
    ACTIONS(21363), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533337] = 2,
    ACTIONS(21365), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533345] = 2,
    ACTIONS(21367), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533353] = 2,
    ACTIONS(21369), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533361] = 2,
    ACTIONS(21371), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533369] = 2,
    ACTIONS(21373), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533377] = 2,
    ACTIONS(21375), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533385] = 2,
    ACTIONS(21377), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533393] = 2,
    ACTIONS(21379), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533401] = 2,
    ACTIONS(21381), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533409] = 2,
    ACTIONS(21383), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533417] = 2,
    ACTIONS(21385), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533425] = 2,
    ACTIONS(21387), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533433] = 2,
    ACTIONS(21389), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533441] = 2,
    ACTIONS(21391), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533449] = 2,
    ACTIONS(21393), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533457] = 2,
    ACTIONS(21395), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533465] = 2,
    ACTIONS(21397), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533473] = 2,
    ACTIONS(21399), 1,
      sym_keyword_time,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533481] = 2,
    ACTIONS(21401), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533489] = 2,
    ACTIONS(21403), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533497] = 2,
    ACTIONS(21405), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533505] = 2,
    ACTIONS(21407), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533513] = 2,
    ACTIONS(21409), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533521] = 2,
    ACTIONS(21411), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533529] = 2,
    ACTIONS(21413), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533537] = 2,
    ACTIONS(21415), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533545] = 2,
    ACTIONS(21417), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533553] = 2,
    ACTIONS(21419), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533561] = 2,
    ACTIONS(21421), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533569] = 2,
    ACTIONS(9506), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533577] = 2,
    ACTIONS(21423), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533585] = 2,
    ACTIONS(21425), 1,
      sym_keyword_do,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533593] = 2,
    ACTIONS(21427), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533601] = 2,
    ACTIONS(21429), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533609] = 2,
    ACTIONS(21431), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533617] = 2,
    ACTIONS(21433), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533625] = 2,
    ACTIONS(21435), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533633] = 2,
    ACTIONS(21437), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533641] = 2,
    ACTIONS(21439), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533649] = 2,
    ACTIONS(21441), 1,
      sym_keyword_compute,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533657] = 2,
    ACTIONS(21443), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533665] = 2,
    ACTIONS(21445), 1,
      sym_keyword_statistics,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533673] = 2,
    ACTIONS(21447), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533681] = 2,
    ACTIONS(21449), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533689] = 2,
    ACTIONS(21451), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533697] = 2,
    ACTIONS(21453), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533705] = 2,
    ACTIONS(21455), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533713] = 2,
    ACTIONS(21457), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533721] = 2,
    ACTIONS(21459), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533729] = 2,
    ACTIONS(21461), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533737] = 2,
    ACTIONS(21463), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533745] = 2,
    ACTIONS(21465), 1,
      sym_keyword_schema,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533753] = 2,
    ACTIONS(21467), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533761] = 2,
    ACTIONS(21469), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533769] = 2,
    ACTIONS(21471), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533777] = 2,
    ACTIONS(21473), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533785] = 2,
    ACTIONS(21475), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533793] = 2,
    ACTIONS(21477), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533801] = 2,
    ACTIONS(21479), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533809] = 2,
    ACTIONS(21481), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533817] = 2,
    ACTIONS(21483), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533825] = 2,
    ACTIONS(16254), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533833] = 2,
    ACTIONS(21485), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533841] = 2,
    ACTIONS(21487), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533849] = 2,
    ACTIONS(15138), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533857] = 2,
    ACTIONS(21489), 1,
      sym_keyword_attribute,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533865] = 2,
    ACTIONS(21491), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533873] = 2,
    ACTIONS(21493), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533881] = 2,
    ACTIONS(21495), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533889] = 2,
    ACTIONS(21497), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533897] = 2,
    ACTIONS(21499), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533905] = 2,
    ACTIONS(21501), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533913] = 2,
    ACTIONS(21503), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533921] = 2,
    ACTIONS(21505), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533929] = 2,
    ACTIONS(21507), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533937] = 2,
    ACTIONS(21509), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533945] = 2,
    ACTIONS(21511), 1,
      sym_keyword_time,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533953] = 2,
    ACTIONS(21513), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533961] = 2,
    ACTIONS(21515), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533969] = 2,
    ACTIONS(21517), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533977] = 2,
    ACTIONS(21519), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533985] = 2,
    ACTIONS(21521), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533993] = 2,
    ACTIONS(21523), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534001] = 2,
    ACTIONS(21525), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534009] = 2,
    ACTIONS(21527), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534017] = 2,
    ACTIONS(21529), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534025] = 2,
    ACTIONS(21531), 1,
      sym_keyword_attribute,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534033] = 2,
    ACTIONS(21533), 1,
      sym_keyword_terminated,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534041] = 2,
    ACTIONS(21535), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534049] = 2,
    ACTIONS(21537), 1,
      sym_keyword_terminated,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534057] = 2,
    ACTIONS(14788), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534065] = 2,
    ACTIONS(21539), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534073] = 2,
    ACTIONS(21541), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534081] = 2,
    ACTIONS(21543), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534089] = 2,
    ACTIONS(21545), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534097] = 2,
    ACTIONS(21547), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534105] = 2,
    ACTIONS(21549), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534113] = 2,
    ACTIONS(21551), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534121] = 2,
    ACTIONS(21553), 1,
      sym_keyword_statistics,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534129] = 2,
    ACTIONS(15216), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534137] = 2,
    ACTIONS(21555), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534145] = 2,
    ACTIONS(21557), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534153] = 2,
    ACTIONS(21559), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534161] = 2,
    ACTIONS(21561), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534169] = 2,
    ACTIONS(21563), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534177] = 2,
    ACTIONS(19753), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534185] = 2,
    ACTIONS(9819), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534193] = 2,
    ACTIONS(21565), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534201] = 2,
    ACTIONS(21567), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534209] = 2,
    ACTIONS(21569), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534217] = 2,
    ACTIONS(21571), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534225] = 2,
    ACTIONS(21573), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534233] = 2,
    ACTIONS(21575), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534241] = 2,
    ACTIONS(21577), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534249] = 2,
    ACTIONS(21579), 1,
      sym_keyword_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534257] = 2,
    ACTIONS(21581), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534265] = 2,
    ACTIONS(21583), 1,
      sym_keyword_cycle,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534273] = 2,
    ACTIONS(21585), 1,
      sym_keyword_do,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534281] = 2,
    ACTIONS(21587), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534289] = 2,
    ACTIONS(21589), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534297] = 2,
    ACTIONS(21591), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534305] = 2,
    ACTIONS(21593), 1,
      sym_keyword_current,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534313] = 2,
    ACTIONS(18078), 1,
      sym_keyword_of,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534321] = 2,
    ACTIONS(21595), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534329] = 2,
    ACTIONS(21597), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534337] = 2,
    ACTIONS(21599), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534345] = 2,
    ACTIONS(21601), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534353] = 2,
    ACTIONS(21603), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534361] = 2,
    ACTIONS(21605), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534369] = 2,
    ACTIONS(21607), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534377] = 2,
    ACTIONS(21609), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534385] = 2,
    ACTIONS(21611), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534393] = 2,
    ACTIONS(21613), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534401] = 2,
    ACTIONS(21615), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534409] = 2,
    ACTIONS(21617), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534417] = 2,
    ACTIONS(21619), 1,
      sym_keyword_time,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534425] = 2,
    ACTIONS(21621), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534433] = 2,
    ACTIONS(21623), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534441] = 2,
    ACTIONS(21625), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534449] = 2,
    ACTIONS(21627), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534457] = 2,
    ACTIONS(21629), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534465] = 2,
    ACTIONS(21631), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534473] = 2,
    ACTIONS(21633), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534481] = 2,
    ACTIONS(21635), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534489] = 2,
    ACTIONS(21637), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534497] = 2,
    ACTIONS(21639), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534505] = 2,
    ACTIONS(21641), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534513] = 2,
    ACTIONS(16918), 1,
      sym_keyword_trigger,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534521] = 2,
    ACTIONS(21643), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534529] = 2,
    ACTIONS(21645), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534537] = 2,
    ACTIONS(21647), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534545] = 2,
    ACTIONS(21649), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534553] = 2,
    ACTIONS(21651), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534561] = 2,
    ACTIONS(21653), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534569] = 2,
    ACTIONS(21655), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534577] = 2,
    ACTIONS(21657), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534585] = 2,
    ACTIONS(21659), 1,
      sym_keyword_null,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534593] = 2,
    ACTIONS(21661), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534601] = 2,
    ACTIONS(21663), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534609] = 2,
    ACTIONS(21665), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534617] = 2,
    ACTIONS(21667), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534625] = 2,
    ACTIONS(21669), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534633] = 2,
    ACTIONS(21671), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534641] = 2,
    ACTIONS(21673), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534649] = 2,
    ACTIONS(21675), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534657] = 2,
    ACTIONS(21677), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534665] = 2,
    ACTIONS(21679), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534673] = 2,
    ACTIONS(21681), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534681] = 2,
    ACTIONS(21683), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534689] = 2,
    ACTIONS(21685), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534697] = 2,
    ACTIONS(21687), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534705] = 2,
    ACTIONS(21689), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534713] = 2,
    ACTIONS(15526), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534721] = 2,
    ACTIONS(21691), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534729] = 2,
    ACTIONS(21693), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534737] = 2,
    ACTIONS(21695), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534745] = 2,
    ACTIONS(21697), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534753] = 2,
    ACTIONS(21699), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534761] = 2,
    ACTIONS(21701), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534769] = 2,
    ACTIONS(21703), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534777] = 2,
    ACTIONS(21705), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534785] = 2,
    ACTIONS(21707), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534793] = 2,
    ACTIONS(21709), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534801] = 2,
    ACTIONS(21711), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534809] = 2,
    ACTIONS(21713), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534817] = 2,
    ACTIONS(21715), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534825] = 2,
    ACTIONS(21717), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534833] = 2,
    ACTIONS(21719), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534841] = 2,
    ACTIONS(21721), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534849] = 2,
    ACTIONS(21723), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534857] = 2,
    ACTIONS(21725), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534865] = 2,
    ACTIONS(21727), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534873] = 2,
    ACTIONS(21729), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534881] = 2,
    ACTIONS(21731), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534889] = 2,
    ACTIONS(21733), 1,
      sym_keyword_time,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534897] = 2,
    ACTIONS(21735), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534905] = 2,
    ACTIONS(21737), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534913] = 2,
    ACTIONS(21739), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534921] = 2,
    ACTIONS(21741), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534929] = 2,
    ACTIONS(21743), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534937] = 2,
    ACTIONS(21745), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534945] = 2,
    ACTIONS(21747), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534953] = 2,
    ACTIONS(21749), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534961] = 2,
    ACTIONS(21751), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534969] = 2,
    ACTIONS(21753), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534977] = 2,
    ACTIONS(21755), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534985] = 2,
    ACTIONS(21757), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534993] = 2,
    ACTIONS(21759), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535001] = 2,
    ACTIONS(21761), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535009] = 2,
    ACTIONS(21763), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535017] = 2,
    ACTIONS(21765), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535025] = 2,
    ACTIONS(21767), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535033] = 2,
    ACTIONS(21769), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535041] = 2,
    ACTIONS(21771), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535049] = 2,
    ACTIONS(21773), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535057] = 2,
    ACTIONS(17690), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535065] = 2,
    ACTIONS(21775), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535073] = 2,
    ACTIONS(21777), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535081] = 2,
    ACTIONS(21779), 1,
      sym_keyword_database,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535089] = 2,
    ACTIONS(21781), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535097] = 2,
    ACTIONS(21783), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535105] = 2,
    ACTIONS(21785), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535113] = 2,
    ACTIONS(21787), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535121] = 2,
    ACTIONS(21789), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535129] = 2,
    ACTIONS(21791), 1,
      sym_keyword_view,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535137] = 2,
    ACTIONS(21793), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535145] = 2,
    ACTIONS(21795), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535153] = 2,
    ACTIONS(21797), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535161] = 2,
    ACTIONS(21799), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535169] = 2,
    ACTIONS(21801), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535177] = 2,
    ACTIONS(14643), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535185] = 2,
    ACTIONS(21803), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535193] = 2,
    ACTIONS(21805), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535201] = 2,
    ACTIONS(21807), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535209] = 2,
    ACTIONS(21809), 1,
      sym_keyword_matched,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535217] = 2,
    ACTIONS(16330), 1,
      sym_keyword_trigger,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535225] = 2,
    ACTIONS(21811), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535233] = 2,
    ACTIONS(21813), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535241] = 2,
    ACTIONS(21815), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535249] = 2,
    ACTIONS(21817), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535257] = 2,
    ACTIONS(21819), 1,
      sym_keyword_returns,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535265] = 2,
    ACTIONS(21821), 1,
      sym_keyword_do,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535273] = 2,
    ACTIONS(18061), 1,
      sym_keyword_of,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535281] = 2,
    ACTIONS(21823), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535289] = 2,
    ACTIONS(21825), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535297] = 2,
    ACTIONS(21827), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535305] = 2,
    ACTIONS(21829), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535313] = 2,
    ACTIONS(15689), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535321] = 2,
    ACTIONS(21831), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535329] = 2,
    ACTIONS(21833), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535337] = 2,
    ACTIONS(21835), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535345] = 2,
    ACTIONS(21837), 1,
      sym_keyword_do,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535353] = 2,
    ACTIONS(21839), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535361] = 2,
    ACTIONS(21841), 1,
      sym_keyword_time,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535369] = 2,
    ACTIONS(21843), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535377] = 2,
    ACTIONS(21845), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535385] = 2,
    ACTIONS(21847), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535393] = 2,
    ACTIONS(21849), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535401] = 2,
    ACTIONS(21851), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535409] = 2,
    ACTIONS(21853), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535417] = 2,
    ACTIONS(21855), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535425] = 2,
    ACTIONS(21857), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535433] = 2,
    ACTIONS(21859), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535441] = 2,
    ACTIONS(21861), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535449] = 2,
    ACTIONS(21863), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535457] = 2,
    ACTIONS(21865), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535465] = 2,
    ACTIONS(21867), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535473] = 2,
    ACTIONS(21869), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535481] = 2,
    ACTIONS(21871), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535489] = 2,
    ACTIONS(21873), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535497] = 2,
    ACTIONS(21875), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535505] = 2,
    ACTIONS(21877), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535513] = 2,
    ACTIONS(21879), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535521] = 2,
    ACTIONS(21881), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535529] = 2,
    ACTIONS(21883), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535537] = 2,
    ACTIONS(16344), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535545] = 2,
    ACTIONS(21885), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535553] = 2,
    ACTIONS(15068), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535561] = 2,
    ACTIONS(21887), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535569] = 2,
    ACTIONS(21889), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535577] = 2,
    ACTIONS(21891), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535585] = 2,
    ACTIONS(21893), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535593] = 2,
    ACTIONS(21895), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535601] = 2,
    ACTIONS(21897), 1,
      aux_sym__integer_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535609] = 2,
    ACTIONS(21899), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535617] = 2,
    ACTIONS(21901), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535625] = 2,
    ACTIONS(21903), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535633] = 2,
    ACTIONS(14792), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535641] = 2,
    ACTIONS(21905), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535649] = 2,
    ACTIONS(21907), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535657] = 2,
    ACTIONS(16001), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535665] = 2,
    ACTIONS(15194), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535673] = 2,
    ACTIONS(21909), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535681] = 2,
    ACTIONS(9875), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535689] = 2,
    ACTIONS(21911), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535697] = 2,
    ACTIONS(21913), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535705] = 2,
    ACTIONS(21915), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535713] = 2,
    ACTIONS(21917), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535721] = 2,
    ACTIONS(21919), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535729] = 2,
    ACTIONS(21921), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535737] = 2,
    ACTIONS(21923), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535745] = 2,
    ACTIONS(18158), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535753] = 2,
    ACTIONS(21925), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535761] = 2,
    ACTIONS(21927), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535769] = 2,
    ACTIONS(21929), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535777] = 2,
    ACTIONS(21931), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535785] = 2,
    ACTIONS(21933), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535793] = 2,
    ACTIONS(21935), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535801] = 2,
    ACTIONS(21937), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535809] = 2,
    ACTIONS(21939), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535817] = 2,
    ACTIONS(21941), 1,
      sym_keyword_statistics,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535825] = 2,
    ACTIONS(21943), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535833] = 2,
    ACTIONS(21945), 1,
      sym_keyword_time,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535841] = 2,
    ACTIONS(21947), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535849] = 2,
    ACTIONS(21949), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535857] = 2,
    ACTIONS(21951), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535865] = 2,
    ACTIONS(21953), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535873] = 2,
    ACTIONS(21955), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535881] = 2,
    ACTIONS(21957), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535889] = 2,
    ACTIONS(21959), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535897] = 2,
    ACTIONS(21961), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535905] = 2,
    ACTIONS(21963), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535913] = 2,
    ACTIONS(21965), 1,
      sym_keyword_oids,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535921] = 2,
    ACTIONS(21967), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535929] = 2,
    ACTIONS(21969), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535937] = 2,
    ACTIONS(21971), 1,
      sym_keyword_leakproof,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535945] = 2,
    ACTIONS(21973), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535953] = 2,
    ACTIONS(21975), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535961] = 2,
    ACTIONS(21977), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535969] = 2,
    ACTIONS(21979), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535977] = 2,
    ACTIONS(21981), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535985] = 2,
    ACTIONS(21983), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535993] = 2,
    ACTIONS(21985), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536001] = 2,
    ACTIONS(21987), 1,
      sym_keyword_atomic,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536009] = 2,
    ACTIONS(21989), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536017] = 2,
    ACTIONS(21991), 1,
      sym_keyword_null,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536025] = 2,
    ACTIONS(21993), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536033] = 2,
    ACTIONS(21995), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536041] = 2,
    ACTIONS(21997), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536049] = 2,
    ACTIONS(21999), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536057] = 2,
    ACTIONS(22001), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536065] = 2,
    ACTIONS(22003), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536073] = 2,
    ACTIONS(22005), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536081] = 2,
    ACTIONS(22007), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536089] = 2,
    ACTIONS(22009), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536097] = 2,
    ACTIONS(22011), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536105] = 2,
    ACTIONS(22013), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536113] = 2,
    ACTIONS(22015), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536121] = 2,
    ACTIONS(22017), 1,
      sym_keyword_distinct,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536129] = 2,
    ACTIONS(22019), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536137] = 2,
    ACTIONS(22021), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536145] = 2,
    ACTIONS(22023), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536153] = 2,
    ACTIONS(22025), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536161] = 2,
    ACTIONS(22027), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536169] = 2,
    ACTIONS(22029), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536177] = 2,
    ACTIONS(22031), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536185] = 2,
    ACTIONS(22033), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536193] = 2,
    ACTIONS(22035), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536201] = 2,
    ACTIONS(22037), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536209] = 2,
    ACTIONS(22039), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536217] = 2,
    ACTIONS(22041), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536225] = 2,
    ACTIONS(22043), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536233] = 2,
    ACTIONS(22045), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536241] = 2,
    ACTIONS(22047), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536249] = 2,
    ACTIONS(22049), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536257] = 2,
    ACTIONS(22051), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536265] = 2,
    ACTIONS(22053), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536273] = 2,
    ACTIONS(22055), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536281] = 2,
    ACTIONS(22057), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536289] = 2,
    ACTIONS(22059), 1,
      sym_keyword_security,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536297] = 2,
    ACTIONS(22061), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536305] = 2,
    ACTIONS(22063), 1,
      sym_keyword_time,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536313] = 2,
    ACTIONS(22065), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536321] = 2,
    ACTIONS(22067), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536329] = 2,
    ACTIONS(22069), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536337] = 2,
    ACTIONS(22071), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536345] = 2,
    ACTIONS(22073), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536353] = 2,
    ACTIONS(22075), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536361] = 2,
    ACTIONS(22077), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536369] = 2,
    ACTIONS(22079), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536377] = 2,
    ACTIONS(22081), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536385] = 2,
    ACTIONS(22083), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536393] = 2,
    ACTIONS(22085), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536401] = 2,
    ACTIONS(22087), 1,
      sym_keyword_null,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536409] = 2,
    ACTIONS(22089), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536417] = 2,
    ACTIONS(22091), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536425] = 2,
    ACTIONS(22093), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536433] = 2,
    ACTIONS(22095), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536441] = 2,
    ACTIONS(22097), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536449] = 2,
    ACTIONS(22099), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536457] = 2,
    ACTIONS(22101), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536465] = 2,
    ACTIONS(22103), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536473] = 2,
    ACTIONS(22105), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536481] = 2,
    ACTIONS(22107), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536489] = 2,
    ACTIONS(22109), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536497] = 2,
    ACTIONS(22111), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536505] = 2,
    ACTIONS(22113), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536513] = 2,
    ACTIONS(22115), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536521] = 2,
    ACTIONS(22117), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536529] = 2,
    ACTIONS(22119), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536537] = 2,
    ACTIONS(22121), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536545] = 2,
    ACTIONS(22123), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536553] = 2,
    ACTIONS(22125), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536561] = 2,
    ACTIONS(22127), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536569] = 2,
    ACTIONS(22129), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536577] = 2,
    ACTIONS(22131), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536585] = 2,
    ACTIONS(22133), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536593] = 2,
    ACTIONS(22135), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536601] = 2,
    ACTIONS(22137), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536609] = 2,
    ACTIONS(22139), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536617] = 2,
    ACTIONS(22141), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536625] = 2,
    ACTIONS(22143), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536633] = 2,
    ACTIONS(22145), 1,
      sym_keyword_trigger,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536641] = 2,
    ACTIONS(22147), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536649] = 2,
    ACTIONS(22149), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536657] = 2,
    ACTIONS(16890), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536665] = 2,
    ACTIONS(22151), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536673] = 2,
    ACTIONS(22153), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536681] = 2,
    ACTIONS(22155), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536689] = 2,
    ACTIONS(22157), 1,
      sym_keyword_format,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536697] = 2,
    ACTIONS(22159), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536705] = 2,
    ACTIONS(22161), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536713] = 2,
    ACTIONS(22163), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536721] = 2,
    ACTIONS(22165), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536729] = 2,
    ACTIONS(22167), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536737] = 2,
    ACTIONS(22169), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536745] = 2,
    ACTIONS(22171), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536753] = 2,
    ACTIONS(22173), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536761] = 2,
    ACTIONS(22175), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536769] = 2,
    ACTIONS(22177), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536777] = 2,
    ACTIONS(22179), 1,
      sym_keyword_time,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536785] = 2,
    ACTIONS(22181), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536793] = 2,
    ACTIONS(22183), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536801] = 2,
    ACTIONS(22185), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536809] = 2,
    ACTIONS(22187), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536817] = 2,
    ACTIONS(22189), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536825] = 2,
    ACTIONS(22191), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536833] = 2,
    ACTIONS(22193), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536841] = 2,
    ACTIONS(22195), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536849] = 2,
    ACTIONS(22197), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536857] = 2,
    ACTIONS(22199), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536865] = 2,
    ACTIONS(22201), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536873] = 2,
    ACTIONS(22203), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536881] = 2,
    ACTIONS(22205), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536889] = 2,
    ACTIONS(22207), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536897] = 2,
    ACTIONS(22209), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536905] = 2,
    ACTIONS(22211), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536913] = 2,
    ACTIONS(22213), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536921] = 2,
    ACTIONS(22215), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536929] = 2,
    ACTIONS(22217), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536937] = 2,
    ACTIONS(22219), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536945] = 2,
    ACTIONS(22221), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536953] = 2,
    ACTIONS(22223), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536961] = 2,
    ACTIONS(22225), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536969] = 2,
    ACTIONS(22227), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536977] = 2,
    ACTIONS(22229), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536985] = 2,
    ACTIONS(22231), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536993] = 2,
    ACTIONS(22233), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537001] = 2,
    ACTIONS(22235), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537009] = 2,
    ACTIONS(22237), 1,
      sym_keyword_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537017] = 2,
    ACTIONS(22239), 1,
      sym_keyword_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537025] = 2,
    ACTIONS(22241), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537033] = 2,
    ACTIONS(22243), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537041] = 2,
    ACTIONS(22245), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537049] = 2,
    ACTIONS(22247), 1,
      sym_keyword_until,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537057] = 2,
    ACTIONS(22249), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537065] = 2,
    ACTIONS(22251), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537073] = 2,
    ACTIONS(22253), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537081] = 2,
    ACTIONS(22255), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537089] = 2,
    ACTIONS(22257), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537097] = 2,
    ACTIONS(22259), 1,
      sym_keyword_password,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537105] = 2,
    ACTIONS(22261), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537113] = 2,
    ACTIONS(22263), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537121] = 2,
    ACTIONS(22265), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537129] = 2,
    ACTIONS(22267), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537137] = 2,
    ACTIONS(22269), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537145] = 2,
    ACTIONS(22271), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537153] = 2,
    ACTIONS(22273), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537161] = 2,
    ACTIONS(22275), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537169] = 2,
    ACTIONS(22277), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537177] = 2,
    ACTIONS(22279), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537185] = 2,
    ACTIONS(22281), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537193] = 2,
    ACTIONS(22283), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537201] = 2,
    ACTIONS(22285), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537209] = 2,
    ACTIONS(22287), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537217] = 2,
    ACTIONS(22289), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537225] = 2,
    ACTIONS(22291), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537233] = 2,
    ACTIONS(22293), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537241] = 2,
    ACTIONS(22295), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537249] = 2,
    ACTIONS(22297), 1,
      sym_keyword_time,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537257] = 2,
    ACTIONS(22299), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537265] = 2,
    ACTIONS(22301), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537273] = 2,
    ACTIONS(22303), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537281] = 2,
    ACTIONS(22305), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537289] = 2,
    ACTIONS(22307), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537297] = 2,
    ACTIONS(22309), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537305] = 2,
    ACTIONS(22311), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537313] = 2,
    ACTIONS(22313), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537321] = 2,
    ACTIONS(22315), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537329] = 2,
    ACTIONS(22317), 1,
      sym_keyword_transaction,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537337] = 2,
    ACTIONS(22319), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537345] = 2,
    ACTIONS(22321), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537353] = 2,
    ACTIONS(22323), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537361] = 2,
    ACTIONS(22325), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537369] = 2,
    ACTIONS(22327), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537377] = 2,
    ACTIONS(22329), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537385] = 2,
    ACTIONS(22331), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537393] = 2,
    ACTIONS(22333), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537401] = 2,
    ACTIONS(22335), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537409] = 2,
    ACTIONS(22337), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537417] = 2,
    ACTIONS(16402), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537425] = 2,
    ACTIONS(22339), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537433] = 2,
    ACTIONS(15540), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537441] = 2,
    ACTIONS(22341), 1,
      sym_keyword_using,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537449] = 2,
    ACTIONS(22343), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537457] = 2,
    ACTIONS(22345), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537465] = 2,
    ACTIONS(22347), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537473] = 2,
    ACTIONS(22349), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537481] = 2,
    ACTIONS(22351), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537489] = 2,
    ACTIONS(22353), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537497] = 2,
    ACTIONS(22355), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537505] = 2,
    ACTIONS(22357), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537513] = 2,
    ACTIONS(22359), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537521] = 2,
    ACTIONS(22361), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537529] = 2,
    ACTIONS(22363), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537537] = 2,
    ACTIONS(22365), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537545] = 2,
    ACTIONS(20021), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537553] = 2,
    ACTIONS(22367), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537561] = 2,
    ACTIONS(22369), 1,
      aux_sym__integer_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537569] = 2,
    ACTIONS(22371), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537577] = 2,
    ACTIONS(22373), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537585] = 2,
    ACTIONS(22375), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537593] = 2,
    ACTIONS(22377), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537601] = 2,
    ACTIONS(22379), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537609] = 2,
    ACTIONS(22381), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537617] = 2,
    ACTIONS(22383), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537625] = 2,
    ACTIONS(22385), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537633] = 2,
    ACTIONS(14680), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537641] = 2,
    ACTIONS(22387), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537649] = 2,
    ACTIONS(22389), 1,
      sym_keyword_time,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537657] = 2,
    ACTIONS(22391), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537665] = 2,
    ACTIONS(22393), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537673] = 2,
    ACTIONS(22395), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537681] = 2,
    ACTIONS(22397), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537689] = 2,
    ACTIONS(22399), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537697] = 2,
    ACTIONS(22401), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537705] = 2,
    ACTIONS(22403), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537713] = 2,
    ACTIONS(22405), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537721] = 2,
    ACTIONS(22407), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537729] = 2,
    ACTIONS(22409), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537737] = 2,
    ACTIONS(22411), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537745] = 2,
    ACTIONS(22413), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537753] = 2,
    ACTIONS(22415), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537761] = 2,
    ACTIONS(22417), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537769] = 2,
    ACTIONS(22419), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537777] = 2,
    ACTIONS(22421), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537785] = 2,
    ACTIONS(22423), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537793] = 2,
    ACTIONS(22425), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537801] = 2,
    ACTIONS(22427), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537809] = 2,
    ACTIONS(22429), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537817] = 2,
    ACTIONS(22431), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537825] = 2,
    ACTIONS(22433), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537833] = 2,
    ACTIONS(22435), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537841] = 2,
    ACTIONS(22437), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537849] = 2,
    ACTIONS(22439), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537857] = 2,
    ACTIONS(22441), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537865] = 2,
    ACTIONS(15472), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537873] = 2,
    ACTIONS(22443), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537881] = 2,
    ACTIONS(22445), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537889] = 2,
    ACTIONS(22447), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537897] = 2,
    ACTIONS(22449), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537905] = 2,
    ACTIONS(22451), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537913] = 2,
    ACTIONS(22453), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537921] = 2,
    ACTIONS(22455), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537929] = 2,
    ACTIONS(22457), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537937] = 2,
    ACTIONS(22459), 1,
      sym_keyword_do,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537945] = 2,
    ACTIONS(22461), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537953] = 2,
    ACTIONS(22463), 1,
      sym_keyword_time,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537961] = 2,
    ACTIONS(22465), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537969] = 2,
    ACTIONS(22467), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537977] = 2,
    ACTIONS(22469), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537985] = 2,
    ACTIONS(22471), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537993] = 2,
    ACTIONS(22473), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538001] = 2,
    ACTIONS(22475), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538009] = 2,
    ACTIONS(22477), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538017] = 2,
    ACTIONS(22479), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538025] = 2,
    ACTIONS(22481), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538033] = 2,
    ACTIONS(22483), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538041] = 2,
    ACTIONS(22485), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538049] = 2,
    ACTIONS(22487), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538057] = 2,
    ACTIONS(22489), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538065] = 2,
    ACTIONS(22491), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538073] = 2,
    ACTIONS(22493), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538081] = 2,
    ACTIONS(22495), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538089] = 2,
    ACTIONS(22497), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538097] = 2,
    ACTIONS(22499), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538105] = 2,
    ACTIONS(22501), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538113] = 2,
    ACTIONS(22503), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538121] = 2,
    ACTIONS(22505), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538129] = 2,
    ACTIONS(22507), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538137] = 2,
    ACTIONS(22509), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538145] = 2,
    ACTIONS(22511), 1,
      sym_keyword_do,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538153] = 2,
    ACTIONS(16448), 1,
      sym_keyword_null,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538161] = 2,
    ACTIONS(22513), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538169] = 2,
    ACTIONS(22515), 1,
      sym_keyword_type,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538177] = 2,
    ACTIONS(22517), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538185] = 2,
    ACTIONS(22519), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538193] = 2,
    ACTIONS(22521), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538201] = 2,
    ACTIONS(9588), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538209] = 2,
    ACTIONS(22523), 1,
      sym__identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538217] = 2,
    ACTIONS(22525), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538225] = 2,
    ACTIONS(22527), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538233] = 2,
    ACTIONS(22529), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538241] = 2,
    ACTIONS(22531), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538249] = 2,
    ACTIONS(22533), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538257] = 2,
    ACTIONS(22535), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538265] = 2,
    ACTIONS(22537), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538273] = 2,
    ACTIONS(22539), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538281] = 2,
    ACTIONS(22541), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538289] = 2,
    ACTIONS(22543), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538297] = 2,
    ACTIONS(22545), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538305] = 2,
    ACTIONS(22547), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538313] = 2,
    ACTIONS(22549), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538321] = 2,
    ACTIONS(22551), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538329] = 2,
    ACTIONS(22553), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538337] = 2,
    ACTIONS(22555), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538345] = 2,
    ACTIONS(22557), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538353] = 2,
    ACTIONS(22559), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538361] = 2,
    ACTIONS(19737), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538369] = 2,
    ACTIONS(22561), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538377] = 2,
    ACTIONS(22563), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538385] = 2,
    ACTIONS(22565), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538393] = 2,
    ACTIONS(22567), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538401] = 2,
    ACTIONS(22569), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538409] = 2,
    ACTIONS(22571), 1,
      sym_keyword_check,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538417] = 2,
    ACTIONS(22573), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538425] = 2,
    ACTIONS(22575), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538433] = 2,
    ACTIONS(22577), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538441] = 2,
    ACTIONS(16800), 1,
      sym_keyword_table,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538449] = 2,
    ACTIONS(22579), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538457] = 2,
    ACTIONS(22581), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538465] = 2,
    ACTIONS(22583), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538473] = 2,
    ACTIONS(22585), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538481] = 2,
    ACTIONS(22587), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538489] = 2,
    ACTIONS(22589), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538497] = 2,
    ACTIONS(22591), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538505] = 2,
    ACTIONS(22593), 1,
      sym_keyword_set,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538513] = 2,
    ACTIONS(22595), 1,
      sym_keyword_statistics,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538521] = 2,
    ACTIONS(22597), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538529] = 2,
    ACTIONS(22599), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538537] = 2,
    ACTIONS(22601), 1,
      sym_keyword_data,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538545] = 2,
    ACTIONS(22603), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538553] = 2,
    ACTIONS(22605), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538561] = 2,
    ACTIONS(22607), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538569] = 2,
    ACTIONS(22609), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538577] = 2,
    ACTIONS(22611), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538585] = 2,
    ACTIONS(22613), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538593] = 2,
    ACTIONS(22615), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538601] = 2,
    ACTIONS(22617), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538609] = 2,
    ACTIONS(22619), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538617] = 2,
    ACTIONS(22621), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538625] = 2,
    ACTIONS(22623), 1,
      sym_keyword_data,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538633] = 2,
    ACTIONS(22625), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538641] = 2,
    ACTIONS(22627), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538649] = 2,
    ACTIONS(22629), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538657] = 2,
    ACTIONS(22631), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538665] = 2,
    ACTIONS(22633), 1,
      sym_keyword_conflict,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538673] = 2,
    ACTIONS(22635), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538681] = 2,
    ACTIONS(22637), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538689] = 2,
    ACTIONS(22639), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538697] = 2,
    ACTIONS(22641), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538705] = 2,
    ACTIONS(22643), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538713] = 2,
    ACTIONS(22645), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538721] = 2,
    ACTIONS(22647), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538729] = 2,
    ACTIONS(22649), 1,
      sym_keyword_conflict,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538737] = 2,
    ACTIONS(22651), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538745] = 2,
    ACTIONS(22653), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538753] = 2,
    ACTIONS(22655), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538761] = 2,
    ACTIONS(22657), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538769] = 2,
    ACTIONS(16748), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538777] = 2,
    ACTIONS(22659), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538785] = 2,
    ACTIONS(22661), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538793] = 2,
    ACTIONS(22663), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538801] = 2,
    ACTIONS(22665), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538809] = 2,
    ACTIONS(22667), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538817] = 2,
    ACTIONS(22669), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538825] = 2,
    ACTIONS(22671), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538833] = 2,
    ACTIONS(22673), 1,
      sym_keyword_returns,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538841] = 2,
    ACTIONS(22675), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538849] = 2,
    ACTIONS(22677), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538857] = 2,
    ACTIONS(22679), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538865] = 2,
    ACTIONS(22681), 1,
      sym_keyword_database,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538873] = 2,
    ACTIONS(22683), 1,
      sym_keyword_attribute,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538881] = 2,
    ACTIONS(22685), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538889] = 2,
    ACTIONS(22687), 1,
      sym_keyword_using,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538897] = 2,
    ACTIONS(22689), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538905] = 2,
    ACTIONS(22691), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538913] = 2,
    ACTIONS(22693), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538921] = 2,
    ACTIONS(22695), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538929] = 2,
    ACTIONS(22697), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538937] = 2,
    ACTIONS(22699), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538945] = 2,
    ACTIONS(22701), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538953] = 2,
    ACTIONS(22703), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538961] = 2,
    ACTIONS(22705), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538969] = 2,
    ACTIONS(22707), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538977] = 2,
    ACTIONS(22709), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538985] = 2,
    ACTIONS(22711), 1,
      sym_keyword_data,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538993] = 2,
    ACTIONS(22713), 1,
      sym_keyword_conflict,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539001] = 2,
    ACTIONS(22715), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539009] = 2,
    ACTIONS(22717), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539017] = 2,
    ACTIONS(22719), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539025] = 2,
    ACTIONS(22721), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539033] = 2,
    ACTIONS(22723), 1,
      sym_keyword_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539041] = 2,
    ACTIONS(16450), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539049] = 2,
    ACTIONS(22725), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539057] = 2,
    ACTIONS(22727), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539065] = 2,
    ACTIONS(15132), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539073] = 2,
    ACTIONS(22729), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539081] = 2,
    ACTIONS(22731), 1,
      sym_keyword_columns,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539089] = 2,
    ACTIONS(22733), 1,
      sym_keyword_metadata,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539097] = 2,
    ACTIONS(22735), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539105] = 2,
    ACTIONS(22737), 1,
      aux_sym__integer_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539113] = 2,
    ACTIONS(22739), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539121] = 2,
    ACTIONS(14752), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539129] = 2,
    ACTIONS(15288), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539137] = 2,
    ACTIONS(22741), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539145] = 2,
    ACTIONS(22743), 1,
      sym_keyword_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539153] = 2,
    ACTIONS(22745), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539161] = 2,
    ACTIONS(22747), 1,
      sym_keyword_set,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539169] = 2,
    ACTIONS(22749), 1,
      sym_keyword_statistics,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539177] = 2,
    ACTIONS(22751), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539185] = 2,
    ACTIONS(22753), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539193] = 2,
    ACTIONS(22755), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539201] = 2,
    ACTIONS(22757), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539209] = 2,
    ACTIONS(22759), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539217] = 2,
    ACTIONS(22761), 1,
      sym_keyword_materialized,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539225] = 2,
    ACTIONS(22763), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539233] = 2,
    ACTIONS(22765), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539241] = 2,
    ACTIONS(22767), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539249] = 2,
    ACTIONS(22769), 1,
      sym_keyword_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539257] = 2,
    ACTIONS(9474), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539265] = 2,
    ACTIONS(22771), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539273] = 2,
    ACTIONS(22773), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539281] = 2,
    ACTIONS(22775), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539289] = 2,
    ACTIONS(22777), 1,
      sym_keyword_conflict,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539297] = 2,
    ACTIONS(22779), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539305] = 2,
    ACTIONS(22781), 1,
      sym_keyword_conflict,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539313] = 2,
    ACTIONS(22783), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539321] = 2,
    ACTIONS(22785), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539329] = 2,
    ACTIONS(22787), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539337] = 2,
    ACTIONS(22789), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539345] = 2,
    ACTIONS(22791), 1,
      sym_keyword_security,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539353] = 2,
    ACTIONS(22793), 1,
      sym_keyword_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539361] = 2,
    ACTIONS(22795), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539369] = 2,
    ACTIONS(22797), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539377] = 2,
    ACTIONS(22799), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539385] = 2,
    ACTIONS(22801), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539393] = 2,
    ACTIONS(22803), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539401] = 2,
    ACTIONS(22805), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539409] = 2,
    ACTIONS(22807), 1,
      sym_keyword_others,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539417] = 2,
    ACTIONS(22809), 1,
      sym_keyword_row,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539425] = 2,
    ACTIONS(22811), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539433] = 2,
    ACTIONS(22813), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539441] = 2,
    ACTIONS(22815), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539449] = 2,
    ACTIONS(22817), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539457] = 2,
    ACTIONS(22819), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539465] = 2,
    ACTIONS(22821), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539473] = 2,
    ACTIONS(22823), 1,
      sym_keyword_always,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539481] = 2,
    ACTIONS(22825), 1,
      sym_keyword_set,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539489] = 2,
    ACTIONS(22827), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539497] = 2,
    ACTIONS(22829), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539505] = 2,
    ACTIONS(22831), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539513] = 2,
    ACTIONS(22833), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539521] = 2,
    ACTIONS(22835), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539529] = 2,
    ACTIONS(22837), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539537] = 2,
    ACTIONS(22839), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539545] = 2,
    ACTIONS(9648), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539553] = 2,
    ACTIONS(22841), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539561] = 2,
    ACTIONS(22843), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539569] = 2,
    ACTIONS(22845), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539577] = 2,
    ACTIONS(22847), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539585] = 2,
    ACTIONS(22849), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539593] = 2,
    ACTIONS(22851), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539601] = 2,
    ACTIONS(22853), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539609] = 2,
    ACTIONS(22855), 1,
      sym_keyword_conflict,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539617] = 2,
    ACTIONS(22857), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539625] = 2,
    ACTIONS(15579), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539633] = 2,
    ACTIONS(22859), 1,
      sym_keyword_conflict,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539641] = 2,
    ACTIONS(22861), 1,
      sym_keyword_do,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539649] = 2,
    ACTIONS(22863), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539657] = 2,
    ACTIONS(22865), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539665] = 2,
    ACTIONS(22867), 1,
      sym_keyword_terminated,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539673] = 2,
    ACTIONS(22869), 1,
      sym_keyword_terminated,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539681] = 2,
    ACTIONS(22871), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539689] = 2,
    ACTIONS(9478), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539697] = 2,
    ACTIONS(19677), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539705] = 2,
    ACTIONS(22873), 1,
      sym_keyword_do,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539713] = 2,
    ACTIONS(22875), 1,
      sym_keyword_conflict,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539721] = 2,
    ACTIONS(22877), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539729] = 2,
    ACTIONS(15724), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539737] = 2,
    ACTIONS(14589), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539745] = 2,
    ACTIONS(22879), 1,
      sym_keyword_atomic,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539753] = 2,
    ACTIONS(22881), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539761] = 2,
    ACTIONS(22883), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539769] = 2,
    ACTIONS(22885), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539777] = 2,
    ACTIONS(22887), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539785] = 2,
    ACTIONS(22889), 1,
      sym_keyword_set,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539793] = 2,
    ACTIONS(15681), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539801] = 2,
    ACTIONS(22891), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539809] = 2,
    ACTIONS(22893), 1,
      sym__dollar_quoted_string_end_tag,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539817] = 2,
    ACTIONS(22895), 1,
      sym_keyword_do,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539825] = 2,
    ACTIONS(22897), 1,
      sym_keyword_action,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539833] = 2,
    ACTIONS(22899), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539841] = 2,
    ACTIONS(22901), 1,
      sym_keyword_do,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539849] = 2,
    ACTIONS(22903), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539857] = 2,
    ACTIONS(22905), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539865] = 2,
    ACTIONS(22907), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539873] = 2,
    ACTIONS(22909), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539881] = 2,
    ACTIONS(22911), 1,
      sym_keyword_conflict,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539889] = 2,
    ACTIONS(22913), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539897] = 2,
    ACTIONS(22915), 1,
      sym__dollar_quoted_string_end_tag,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539905] = 2,
    ACTIONS(22917), 1,
      sym_keyword_conflict,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539913] = 2,
    ACTIONS(15943), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539921] = 2,
    ACTIONS(22919), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539929] = 2,
    ACTIONS(22921), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539937] = 2,
    ACTIONS(22923), 1,
      sym_keyword_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539945] = 2,
    ACTIONS(22925), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539953] = 2,
    ACTIONS(22927), 1,
      sym_keyword_bin_pack,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539961] = 2,
    ACTIONS(16486), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539969] = 2,
    ACTIONS(22929), 1,
      sym_keyword_is,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539977] = 2,
    ACTIONS(22931), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539985] = 2,
    ACTIONS(22933), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539993] = 2,
    ACTIONS(22935), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540001] = 2,
    ACTIONS(22937), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540009] = 2,
    ACTIONS(22939), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540017] = 2,
    ACTIONS(22941), 1,
      sym_keyword_statistics,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540025] = 2,
    ACTIONS(22943), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540033] = 2,
    ACTIONS(22945), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540041] = 2,
    ACTIONS(19587), 1,
      sym_keyword_deferrable,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540049] = 2,
    ACTIONS(22947), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540057] = 2,
    ACTIONS(22949), 1,
      sym_keyword_key,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540065] = 2,
    ACTIONS(22951), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540073] = 2,
    ACTIONS(22953), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540081] = 2,
    ACTIONS(22955), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540089] = 2,
    ACTIONS(22957), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540097] = 2,
    ACTIONS(22959), 1,
      sym_keyword_conflict,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540105] = 2,
    ACTIONS(22961), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540113] = 2,
    ACTIONS(22963), 1,
      sym_keyword_matched,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540121] = 2,
    ACTIONS(16568), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540129] = 2,
    ACTIONS(22965), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540137] = 2,
    ACTIONS(22967), 1,
      sym_keyword_conflict,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540145] = 2,
    ACTIONS(22969), 1,
      sym_keyword_data,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540153] = 2,
    ACTIONS(16023), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540161] = 2,
    ACTIONS(22971), 1,
      sym_keyword_input,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540169] = 2,
    ACTIONS(15328), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540177] = 2,
    ACTIONS(22973), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540185] = 2,
    ACTIONS(22975), 1,
      sym_keyword_replication,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540193] = 2,
    ACTIONS(22977), 1,
      sym__dollar_quoted_string_end_tag,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540201] = 2,
    ACTIONS(22979), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540209] = 2,
    ACTIONS(22981), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540217] = 2,
    ACTIONS(22983), 1,
      sym_keyword_is,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540225] = 2,
    ACTIONS(22985), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540233] = 2,
    ACTIONS(22987), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540241] = 2,
    ACTIONS(22989), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540249] = 2,
    ACTIONS(9500), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540257] = 2,
    ACTIONS(22991), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540265] = 2,
    ACTIONS(22993), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540273] = 2,
    ACTIONS(19593), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540281] = 2,
    ACTIONS(22995), 1,
      sym_keyword_conflict,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540289] = 2,
    ACTIONS(22997), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540297] = 2,
    ACTIONS(22999), 1,
      sym_keyword_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540305] = 2,
    ACTIONS(23001), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540313] = 2,
    ACTIONS(15923), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540321] = 2,
    ACTIONS(23003), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540329] = 2,
    ACTIONS(23005), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540337] = 2,
    ACTIONS(23007), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540345] = 2,
    ACTIONS(23009), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540353] = 2,
    ACTIONS(23011), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540361] = 2,
    ACTIONS(23013), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540369] = 2,
    ACTIONS(23015), 1,
      sym_keyword_view,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540377] = 2,
    ACTIONS(23017), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540385] = 2,
    ACTIONS(23019), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540393] = 2,
    ACTIONS(23021), 1,
      sym_keyword_metadata,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540401] = 2,
    ACTIONS(23023), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540409] = 2,
    ACTIONS(23025), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540417] = 2,
    ACTIONS(23027), 1,
      sym_keyword_do,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540425] = 2,
    ACTIONS(23029), 1,
      sym_keyword_terminated,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540433] = 2,
    ACTIONS(23031), 1,
      sym_keyword_input,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540441] = 2,
    ACTIONS(23033), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540449] = 2,
    ACTIONS(23035), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540457] = 2,
    ACTIONS(23037), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540465] = 2,
    ACTIONS(23039), 1,
      sym_keyword_data,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540473] = 2,
    ACTIONS(23041), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540481] = 2,
    ACTIONS(23043), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540489] = 2,
    ACTIONS(23045), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540497] = 2,
    ACTIONS(23047), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540505] = 2,
    ACTIONS(23049), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540513] = 2,
    ACTIONS(23051), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540521] = 2,
    ACTIONS(23053), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540529] = 2,
    ACTIONS(23055), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540537] = 2,
    ACTIONS(23057), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540545] = 2,
    ACTIONS(23059), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540553] = 2,
    ACTIONS(23061), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540561] = 2,
    ACTIONS(23063), 1,
      sym_keyword_terminated,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540569] = 2,
    ACTIONS(19561), 1,
      sym_keyword_data,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540577] = 2,
    ACTIONS(23065), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540585] = 2,
    ACTIONS(23067), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540593] = 2,
    ACTIONS(23069), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540601] = 2,
    ACTIONS(23071), 1,
      sym_keyword_deferrable,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540609] = 2,
    ACTIONS(23073), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540617] = 2,
    ACTIONS(23075), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540625] = 2,
    ACTIONS(23077), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540633] = 2,
    ACTIONS(23079), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540641] = 2,
    ACTIONS(23081), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540649] = 2,
    ACTIONS(23083), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540657] = 2,
    ACTIONS(23085), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540665] = 2,
    ACTIONS(23087), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540673] = 2,
    ACTIONS(23089), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540681] = 2,
    ACTIONS(23091), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540689] = 2,
    ACTIONS(23093), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540697] = 2,
    ACTIONS(23095), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540705] = 2,
    ACTIONS(23097), 1,
      sym_keyword_bin_pack,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540713] = 2,
    ACTIONS(19539), 1,
      sym_keyword_data,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540721] = 2,
    ACTIONS(23099), 1,
      sym_keyword_metadata,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540729] = 2,
    ACTIONS(23101), 1,
      sym_keyword_type,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540737] = 2,
    ACTIONS(23103), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540745] = 2,
    ACTIONS(23105), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540753] = 2,
    ACTIONS(23107), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540761] = 2,
    ACTIONS(23109), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540769] = 2,
    ACTIONS(23111), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540777] = 2,
    ACTIONS(23113), 1,
      sym__identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540785] = 2,
    ACTIONS(23115), 1,
      sym_keyword_type,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540793] = 2,
    ACTIONS(16390), 1,
      sym_keyword_null,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540801] = 2,
    ACTIONS(23117), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540809] = 2,
    ACTIONS(23119), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540817] = 2,
    ACTIONS(23121), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540825] = 2,
    ACTIONS(9458), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540833] = 2,
    ACTIONS(15268), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540841] = 2,
    ACTIONS(14776), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540849] = 2,
    ACTIONS(23123), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540857] = 2,
    ACTIONS(19527), 1,
      sym_keyword_data,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540865] = 2,
    ACTIONS(23125), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540873] = 2,
    ACTIONS(20069), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540881] = 2,
    ACTIONS(15118), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540889] = 2,
    ACTIONS(19523), 1,
      sym_keyword_deferrable,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540897] = 2,
    ACTIONS(23127), 1,
      sym_keyword_returns,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540905] = 2,
    ACTIONS(23129), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540913] = 2,
    ACTIONS(15879), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540921] = 2,
    ACTIONS(23131), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540929] = 2,
    ACTIONS(23133), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540937] = 2,
    ACTIONS(23135), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540945] = 2,
    ACTIONS(23137), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540953] = 2,
    ACTIONS(23139), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540961] = 2,
    ACTIONS(23141), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540969] = 2,
    ACTIONS(23143), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540977] = 2,
    ACTIONS(23145), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540985] = 2,
    ACTIONS(23147), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540993] = 2,
    ACTIONS(23149), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541001] = 2,
    ACTIONS(23151), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541009] = 2,
    ACTIONS(23153), 1,
      sym_keyword_metadata,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541017] = 2,
    ACTIONS(23155), 1,
      sym_keyword_columns,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541025] = 2,
    ACTIONS(23157), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541033] = 2,
    ACTIONS(23159), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541041] = 2,
    ACTIONS(23161), 1,
      sym__identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541049] = 2,
    ACTIONS(23163), 1,
      sym_keyword_type,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541057] = 2,
    ACTIONS(16332), 1,
      sym_keyword_null,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541065] = 2,
    ACTIONS(23165), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541073] = 2,
    ACTIONS(19517), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541081] = 2,
    ACTIONS(23167), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541089] = 2,
    ACTIONS(23169), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541097] = 2,
    ACTIONS(23171), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541105] = 2,
    ACTIONS(23173), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541113] = 2,
    ACTIONS(23175), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541121] = 2,
    ACTIONS(23177), 1,
      sym_keyword_leakproof,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541129] = 2,
    ACTIONS(23179), 1,
      sym_keyword_set,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541137] = 2,
    ACTIONS(23181), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541145] = 2,
    ACTIONS(23183), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541153] = 2,
    ACTIONS(23185), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541161] = 2,
    ACTIONS(23187), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541169] = 2,
    ACTIONS(23189), 1,
      sym_keyword_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541177] = 2,
    ACTIONS(23191), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541185] = 2,
    ACTIONS(23193), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541193] = 2,
    ACTIONS(23195), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541201] = 2,
    ACTIONS(23197), 1,
      sym_keyword_do,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541209] = 2,
    ACTIONS(23199), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541217] = 2,
    ACTIONS(23201), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541225] = 2,
    ACTIONS(23203), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541233] = 2,
    ACTIONS(23205), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541241] = 2,
    ACTIONS(23207), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541249] = 2,
    ACTIONS(23209), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541257] = 2,
    ACTIONS(23211), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541265] = 2,
    ACTIONS(23213), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541273] = 2,
    ACTIONS(23215), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541281] = 2,
    ACTIONS(23217), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541289] = 2,
    ACTIONS(23219), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541297] = 2,
    ACTIONS(23221), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541305] = 2,
    ACTIONS(23223), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541313] = 2,
    ACTIONS(23225), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541321] = 2,
    ACTIONS(23227), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541329] = 2,
    ACTIONS(23229), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541337] = 2,
    ACTIONS(23231), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541345] = 2,
    ACTIONS(23233), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541353] = 2,
    ACTIONS(23235), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541361] = 2,
    ACTIONS(23237), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541369] = 2,
    ACTIONS(23239), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541377] = 2,
    ACTIONS(23241), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541385] = 2,
    ACTIONS(23243), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541393] = 2,
    ACTIONS(23245), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541401] = 2,
    ACTIONS(23247), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541409] = 2,
    ACTIONS(23249), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541417] = 2,
    ACTIONS(23251), 1,
      sym_keyword_metadata,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541425] = 2,
    ACTIONS(23253), 1,
      sym_keyword_columns,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541433] = 2,
    ACTIONS(15316), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541441] = 2,
    ACTIONS(17220), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541449] = 2,
    ACTIONS(23255), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541457] = 2,
    ACTIONS(23257), 1,
      sym_keyword_null,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541465] = 2,
    ACTIONS(23259), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541473] = 2,
    ACTIONS(23261), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541481] = 2,
    ACTIONS(23263), 1,
      sym_keyword_key,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541489] = 2,
    ACTIONS(23265), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541497] = 2,
    ACTIONS(23267), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541505] = 2,
    ACTIONS(23269), 1,
      sym_keyword_current,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541513] = 2,
    ACTIONS(23271), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541521] = 2,
    ACTIONS(18981), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541529] = 2,
    ACTIONS(23273), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541537] = 2,
    ACTIONS(23275), 1,
      sym_keyword_time,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541545] = 2,
    ACTIONS(23277), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541553] = 2,
    ACTIONS(17224), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541561] = 2,
    ACTIONS(23279), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541569] = 2,
    ACTIONS(23281), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541577] = 2,
    ACTIONS(23283), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541585] = 2,
    ACTIONS(23285), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541593] = 2,
    ACTIONS(23287), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541601] = 2,
    ACTIONS(23289), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541609] = 2,
    ACTIONS(23291), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541617] = 2,
    ACTIONS(23293), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541625] = 2,
    ACTIONS(23295), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541633] = 2,
    ACTIONS(23297), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541641] = 2,
    ACTIONS(23299), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541649] = 2,
    ACTIONS(23301), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541657] = 2,
    ACTIONS(23303), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541665] = 2,
    ACTIONS(23305), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541673] = 2,
    ACTIONS(23307), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541681] = 2,
    ACTIONS(23309), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541689] = 2,
    ACTIONS(23311), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541697] = 2,
    ACTIONS(23313), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541705] = 2,
    ACTIONS(23315), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541713] = 2,
    ACTIONS(23317), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541721] = 2,
    ACTIONS(23319), 1,
      sym_keyword_cycle,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541729] = 2,
    ACTIONS(23321), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541737] = 2,
    ACTIONS(23323), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541745] = 2,
    ACTIONS(23325), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541753] = 2,
    ACTIONS(23327), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541761] = 2,
    ACTIONS(23329), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541769] = 2,
    ACTIONS(23331), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541777] = 2,
    ACTIONS(23333), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541785] = 2,
    ACTIONS(16180), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541793] = 2,
    ACTIONS(23335), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541801] = 2,
    ACTIONS(23337), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541809] = 2,
    ACTIONS(15200), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541817] = 2,
    ACTIONS(23339), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541825] = 2,
    ACTIONS(23341), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541833] = 2,
    ACTIONS(16168), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541841] = 2,
    ACTIONS(23343), 1,
      sym_keyword_bin_pack,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541849] = 2,
    ACTIONS(23345), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541857] = 2,
    ACTIONS(23347), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541865] = 2,
    ACTIONS(23349), 1,
      sym_keyword_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541873] = 2,
    ACTIONS(23351), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541881] = 2,
    ACTIONS(23353), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541889] = 2,
    ACTIONS(23355), 1,
      sym_keyword_statistics,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541897] = 2,
    ACTIONS(23357), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541905] = 2,
    ACTIONS(23359), 1,
      sym_keyword_maxvalue,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541913] = 2,
    ACTIONS(23361), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541921] = 2,
    ACTIONS(23363), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541929] = 2,
    ACTIONS(23365), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541937] = 2,
    ACTIONS(23367), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541945] = 2,
    ACTIONS(23359), 1,
      sym_keyword_minvalue,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541953] = 2,
    ACTIONS(23369), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541961] = 2,
    ACTIONS(23371), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541969] = 2,
    ACTIONS(23373), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541977] = 2,
    ACTIONS(23375), 1,
      sym_keyword_maxvalue,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541985] = 2,
    ACTIONS(23375), 1,
      sym_keyword_minvalue,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541993] = 2,
    ACTIONS(23377), 1,
      aux_sym__integer_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542001] = 2,
    ACTIONS(23379), 1,
      sym_keyword_delimited,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542009] = 2,
    ACTIONS(23381), 1,
      sym_keyword_set,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542017] = 2,
    ACTIONS(23383), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542025] = 2,
    ACTIONS(23385), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542033] = 2,
    ACTIONS(23387), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542041] = 2,
    ACTIONS(23389), 1,
      sym_keyword_view,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542049] = 2,
    ACTIONS(23391), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542057] = 2,
    ACTIONS(17393), 1,
      sym_keyword_view,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542065] = 2,
    ACTIONS(23393), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542073] = 2,
    ACTIONS(23395), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542081] = 2,
    ACTIONS(14734), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542089] = 2,
    ACTIONS(23397), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542097] = 2,
    ACTIONS(23399), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542105] = 2,
    ACTIONS(15304), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542113] = 2,
    ACTIONS(17791), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542121] = 2,
    ACTIONS(23401), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542129] = 2,
    ACTIONS(23403), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542137] = 2,
    ACTIONS(23405), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542145] = 2,
    ACTIONS(23407), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542153] = 2,
    ACTIONS(23409), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542161] = 2,
    ACTIONS(23411), 1,
      sym_keyword_statistics,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542169] = 2,
    ACTIONS(23413), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542177] = 2,
    ACTIONS(23415), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542185] = 2,
    ACTIONS(23417), 1,
      sym_keyword_attribute,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542193] = 2,
    ACTIONS(23419), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542201] = 2,
    ACTIONS(23421), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542209] = 2,
    ACTIONS(23423), 1,
      sym_keyword_is,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542217] = 2,
    ACTIONS(23425), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542225] = 2,
    ACTIONS(23427), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542233] = 2,
    ACTIONS(19421), 1,
      sym_keyword_deferrable,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542241] = 2,
    ACTIONS(23429), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542249] = 2,
    ACTIONS(23431), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542257] = 2,
    ACTIONS(23433), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542265] = 2,
    ACTIONS(23435), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542273] = 2,
    ACTIONS(23437), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542281] = 2,
    ACTIONS(23439), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542289] = 2,
    ACTIONS(23441), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542297] = 2,
    ACTIONS(23443), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542305] = 2,
    ACTIONS(23445), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542313] = 2,
    ACTIONS(23447), 1,
      sym_keyword_schema,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542321] = 2,
    ACTIONS(17811), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542329] = 2,
    ACTIONS(15332), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542337] = 2,
    ACTIONS(23449), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542345] = 2,
    ACTIONS(23451), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542353] = 2,
    ACTIONS(23453), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542361] = 2,
    ACTIONS(23455), 1,
      sym_keyword_oids,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542369] = 2,
    ACTIONS(23457), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542377] = 2,
    ACTIONS(23459), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542385] = 2,
    ACTIONS(23461), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542393] = 2,
    ACTIONS(23463), 1,
      sym_keyword_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542401] = 2,
    ACTIONS(23465), 1,
      sym_keyword_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542409] = 2,
    ACTIONS(23467), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542417] = 2,
    ACTIONS(23469), 1,
      sym_keyword_until,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542425] = 2,
    ACTIONS(23471), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542433] = 2,
    ACTIONS(23473), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542441] = 2,
    ACTIONS(23475), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542449] = 2,
    ACTIONS(23477), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542457] = 2,
    ACTIONS(23479), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542465] = 2,
    ACTIONS(23481), 1,
      sym_keyword_password,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542473] = 2,
    ACTIONS(23483), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542481] = 2,
    ACTIONS(23485), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542489] = 2,
    ACTIONS(23487), 1,
      sym_keyword_null,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542497] = 2,
    ACTIONS(23489), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542505] = 2,
    ACTIONS(23491), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542513] = 2,
    ACTIONS(23493), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542521] = 2,
    ACTIONS(18192), 1,
      sym_keyword_of,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542529] = 2,
    ACTIONS(17113), 1,
      sym_keyword_trigger,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542537] = 2,
    ACTIONS(23495), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542545] = 2,
    ACTIONS(23497), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542553] = 2,
    ACTIONS(9705), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542561] = 2,
    ACTIONS(23499), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542569] = 2,
    ACTIONS(23501), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542577] = 2,
    ACTIONS(23503), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542585] = 2,
    ACTIONS(23505), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542593] = 2,
    ACTIONS(15975), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542601] = 2,
    ACTIONS(15913), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542609] = 2,
    ACTIONS(23507), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542617] = 2,
    ACTIONS(23509), 1,
      sym_keyword_using,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542625] = 2,
    ACTIONS(23511), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542633] = 2,
    ACTIONS(23513), 1,
      sym_keyword_table,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542641] = 2,
    ACTIONS(23515), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542649] = 2,
    ACTIONS(23517), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542657] = 2,
    ACTIONS(23519), 1,
      sym_keyword_not,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542665] = 2,
    ACTIONS(23521), 1,
      sym_keyword_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542673] = 2,
    ACTIONS(23523), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542681] = 2,
    ACTIONS(23525), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542689] = 2,
    ACTIONS(23527), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542697] = 2,
    ACTIONS(23529), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542705] = 2,
    ACTIONS(23531), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542713] = 2,
    ACTIONS(23533), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542721] = 2,
    ACTIONS(23535), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542729] = 2,
    ACTIONS(23537), 1,
      sym_keyword_compute,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542737] = 2,
    ACTIONS(23539), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542745] = 2,
    ACTIONS(23541), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542753] = 2,
    ACTIONS(23543), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542761] = 2,
    ACTIONS(23545), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542769] = 2,
    ACTIONS(23547), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542777] = 2,
    ACTIONS(23549), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542785] = 2,
    ACTIONS(23551), 1,
      sym_keyword_authorization,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542793] = 2,
    ACTIONS(23553), 1,
      sym_keyword_authorization,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542801] = 2,
    ACTIONS(23555), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542809] = 2,
    ACTIONS(23557), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542817] = 2,
    ACTIONS(23559), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542825] = 2,
    ACTIONS(23561), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542833] = 2,
    ACTIONS(23563), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542841] = 2,
    ACTIONS(23565), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542849] = 2,
    ACTIONS(23567), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542857] = 2,
    ACTIONS(23569), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542865] = 2,
    ACTIONS(23571), 1,
      sym_keyword_level,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542873] = 2,
    ACTIONS(23573), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542881] = 2,
    ACTIONS(23575), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542889] = 2,
    ACTIONS(15927), 1,
      sym_keyword_null,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542897] = 2,
    ACTIONS(23577), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542905] = 2,
    ACTIONS(23579), 1,
      sym_keyword_type,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542913] = 2,
    ACTIONS(23581), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542921] = 2,
    ACTIONS(23583), 1,
      sym__identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542929] = 2,
    ACTIONS(23585), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542937] = 2,
    ACTIONS(23587), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542945] = 2,
    ACTIONS(23589), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542953] = 2,
    ACTIONS(23591), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542961] = 2,
    ACTIONS(23593), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542969] = 2,
    ACTIONS(23595), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542977] = 2,
    ACTIONS(15913), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542985] = 2,
    ACTIONS(23597), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542993] = 2,
    ACTIONS(23599), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543001] = 2,
    ACTIONS(23601), 1,
      sym_keyword_stats,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543009] = 2,
    ACTIONS(23603), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543017] = 2,
    ACTIONS(23605), 1,
      sym_keyword_authorization,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543025] = 2,
    ACTIONS(23607), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543033] = 2,
    ACTIONS(23609), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543041] = 2,
    ACTIONS(23611), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543049] = 2,
    ACTIONS(23613), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543057] = 2,
    ACTIONS(23615), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543065] = 2,
    ACTIONS(23617), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543073] = 2,
    ACTIONS(23619), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543081] = 2,
    ACTIONS(23621), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543089] = 2,
    ACTIONS(23623), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543097] = 2,
    ACTIONS(23625), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543105] = 2,
    ACTIONS(23627), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543113] = 2,
    ACTIONS(23629), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543121] = 2,
    ACTIONS(23631), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543129] = 2,
    ACTIONS(15907), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543137] = 2,
    ACTIONS(23633), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543145] = 2,
    ACTIONS(23635), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543153] = 2,
    ACTIONS(23637), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543161] = 2,
    ACTIONS(23639), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543169] = 2,
    ACTIONS(23641), 1,
      sym_keyword_format,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543177] = 2,
    ACTIONS(23643), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543185] = 2,
    ACTIONS(23645), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543193] = 2,
    ACTIONS(23647), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543201] = 2,
    ACTIONS(23649), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543209] = 2,
    ACTIONS(23651), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543217] = 2,
    ACTIONS(23653), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543225] = 2,
    ACTIONS(23655), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543233] = 2,
    ACTIONS(23657), 1,
      sym_keyword_distinct,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543241] = 2,
    ACTIONS(23659), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543249] = 2,
    ACTIONS(23661), 1,
      sym_keyword_statistics,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543257] = 2,
    ACTIONS(23663), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543265] = 2,
    ACTIONS(23665), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543273] = 2,
    ACTIONS(23667), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543281] = 2,
    ACTIONS(23669), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543289] = 2,
    ACTIONS(23671), 1,
      sym_keyword_type,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543297] = 2,
    ACTIONS(23673), 1,
      sym_keyword_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543305] = 2,
    ACTIONS(23675), 1,
      sym_keyword_until,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543313] = 2,
    ACTIONS(23677), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543321] = 2,
    ACTIONS(23679), 1,
      sym_keyword_metadata,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543329] = 2,
    ACTIONS(23681), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543337] = 2,
    ACTIONS(23683), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543345] = 2,
    ACTIONS(23685), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543353] = 2,
    ACTIONS(23687), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543361] = 2,
    ACTIONS(23689), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543369] = 2,
    ACTIONS(23691), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543377] = 2,
    ACTIONS(23693), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543385] = 2,
    ACTIONS(23695), 1,
      sym_keyword_password,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543393] = 2,
    ACTIONS(23697), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543401] = 2,
    ACTIONS(23699), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543409] = 2,
    ACTIONS(23701), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543417] = 2,
    ACTIONS(23703), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543425] = 2,
    ACTIONS(23705), 1,
      sym_keyword_materialized,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543433] = 2,
    ACTIONS(23707), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543441] = 2,
    ACTIONS(23709), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543449] = 2,
    ACTIONS(23711), 1,
      sym_keyword_transaction,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543457] = 2,
    ACTIONS(23713), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543465] = 2,
    ACTIONS(23715), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543473] = 2,
    ACTIONS(23717), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543481] = 2,
    ACTIONS(23719), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543489] = 2,
    ACTIONS(23721), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543497] = 2,
    ACTIONS(23723), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543505] = 2,
    ACTIONS(23725), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543513] = 2,
    ACTIONS(23727), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543521] = 2,
    ACTIONS(23729), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543529] = 2,
    ACTIONS(23731), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543537] = 2,
    ACTIONS(23733), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543545] = 2,
    ACTIONS(23735), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543553] = 2,
    ACTIONS(23737), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543561] = 2,
    ACTIONS(23739), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543569] = 2,
    ACTIONS(23741), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543577] = 2,
    ACTIONS(23743), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543585] = 2,
    ACTIONS(23745), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543593] = 2,
    ACTIONS(23747), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543601] = 2,
    ACTIONS(23749), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543609] = 2,
    ACTIONS(23751), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543617] = 2,
    ACTIONS(23753), 1,
      sym_keyword_do,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543625] = 2,
    ACTIONS(23755), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543633] = 2,
    ACTIONS(23757), 1,
      sym_keyword_conflict,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543641] = 2,
    ACTIONS(23759), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543649] = 2,
    ACTIONS(23761), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543657] = 2,
    ACTIONS(23763), 1,
      sym_keyword_deferrable,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543665] = 2,
    ACTIONS(23765), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543673] = 2,
    ACTIONS(23767), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543681] = 2,
    ACTIONS(23769), 1,
      sym_keyword_do,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543689] = 2,
    ACTIONS(23771), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543697] = 2,
    ACTIONS(23773), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543705] = 2,
    ACTIONS(23775), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543713] = 2,
    ACTIONS(23777), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543721] = 2,
    ACTIONS(23779), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543729] = 2,
    ACTIONS(23781), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543737] = 2,
    ACTIONS(23783), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543745] = 2,
    ACTIONS(23785), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543753] = 2,
    ACTIONS(23787), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543761] = 2,
    ACTIONS(23789), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543769] = 2,
    ACTIONS(23791), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543777] = 2,
    ACTIONS(23793), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543785] = 2,
    ACTIONS(23795), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543793] = 2,
    ACTIONS(23797), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543801] = 2,
    ACTIONS(23799), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543809] = 2,
    ACTIONS(23801), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543817] = 2,
    ACTIONS(23803), 1,
      sym_keyword_matched,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543825] = 2,
    ACTIONS(23805), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543833] = 2,
    ACTIONS(23807), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543841] = 2,
    ACTIONS(23809), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543849] = 2,
    ACTIONS(23811), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543857] = 2,
    ACTIONS(23813), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543865] = 2,
    ACTIONS(23815), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543873] = 2,
    ACTIONS(23817), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543881] = 2,
    ACTIONS(23819), 1,
      sym_keyword_replication,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543889] = 2,
    ACTIONS(23821), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543897] = 2,
    ACTIONS(19289), 1,
      sym_keyword_data,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543905] = 2,
    ACTIONS(23823), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543913] = 2,
    ACTIONS(1698), 1,
      sym_keyword_table,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543921] = 2,
    ACTIONS(15128), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543929] = 2,
    ACTIONS(18549), 1,
      sym_keyword_of,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543937] = 2,
    ACTIONS(23825), 1,
      sym_keyword_index,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543945] = 2,
    ACTIONS(23827), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543953] = 2,
    ACTIONS(9450), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543961] = 2,
    ACTIONS(23829), 1,
      sym_keyword_view,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543969] = 2,
    ACTIONS(15036), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543977] = 2,
    ACTIONS(23831), 1,
      sym_keyword_index,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543985] = 2,
    ACTIONS(13638), 1,
      sym_keyword_view,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543993] = 2,
    ACTIONS(14571), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544001] = 2,
    ACTIONS(23833), 1,
      sym_keyword_rewrite,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544009] = 2,
    ACTIONS(23835), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544017] = 2,
    ACTIONS(19879), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544025] = 2,
    ACTIONS(15060), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544033] = 2,
    ACTIONS(23837), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544041] = 2,
    ACTIONS(15819), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544049] = 2,
    ACTIONS(23839), 1,
      sym_keyword_not,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544057] = 2,
    ACTIONS(23841), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544065] = 2,
    ACTIONS(23843), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544073] = 2,
    ACTIONS(23845), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544081] = 2,
    ACTIONS(16212), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544089] = 2,
    ACTIONS(23847), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544097] = 2,
    ACTIONS(23849), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544105] = 2,
    ACTIONS(23851), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544113] = 2,
    ACTIONS(23853), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544121] = 2,
    ACTIONS(23855), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544129] = 2,
    ACTIONS(23857), 1,
      sym_keyword_table,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544137] = 2,
    ACTIONS(23859), 1,
      sym_keyword_row,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544145] = 2,
    ACTIONS(18472), 1,
      sym_keyword_view,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544153] = 2,
    ACTIONS(23861), 1,
      sym_keyword_view,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544161] = 2,
    ACTIONS(23863), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544169] = 2,
    ACTIONS(23865), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544177] = 2,
    ACTIONS(23867), 1,
      sym_keyword_data,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544185] = 2,
    ACTIONS(23869), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544193] = 2,
    ACTIONS(23871), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544201] = 2,
    ACTIONS(23873), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544209] = 2,
    ACTIONS(23875), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544217] = 2,
    ACTIONS(23877), 1,
      sym_keyword_null,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544225] = 2,
    ACTIONS(23879), 1,
      sym_keyword_input,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544233] = 2,
    ACTIONS(19293), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544241] = 2,
    ACTIONS(23881), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544249] = 2,
    ACTIONS(18446), 1,
      sym_keyword_of,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544257] = 2,
    ACTIONS(23883), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544265] = 2,
    ACTIONS(23885), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544273] = 2,
    ACTIONS(23887), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544281] = 2,
    ACTIONS(23889), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544289] = 2,
    ACTIONS(23891), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544297] = 2,
    ACTIONS(23893), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544305] = 2,
    ACTIONS(23895), 1,
      sym_keyword_view,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544313] = 2,
    ACTIONS(23897), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544321] = 2,
    ACTIONS(23899), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544329] = 2,
    ACTIONS(23901), 1,
      sym_keyword_metadata,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544337] = 2,
    ACTIONS(23903), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544345] = 2,
    ACTIONS(19279), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544353] = 2,
    ACTIONS(23905), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544361] = 2,
    ACTIONS(23907), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544369] = 2,
    ACTIONS(23909), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544377] = 2,
    ACTIONS(23911), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544385] = 2,
    ACTIONS(23913), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544393] = 2,
    ACTIONS(23915), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544401] = 2,
    ACTIONS(23917), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544409] = 2,
    ACTIONS(15785), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544417] = 2,
    ACTIONS(23919), 1,
      sym_keyword_do,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544425] = 2,
    ACTIONS(23921), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544433] = 2,
    ACTIONS(23923), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544441] = 2,
    ACTIONS(19275), 1,
      sym_keyword_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544449] = 2,
    ACTIONS(23925), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544457] = 2,
    ACTIONS(23927), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544465] = 2,
    ACTIONS(23929), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544473] = 2,
    ACTIONS(23931), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544481] = 2,
    ACTIONS(23933), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544489] = 2,
    ACTIONS(23935), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544497] = 2,
    ACTIONS(23937), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544505] = 2,
    ACTIONS(23939), 1,
      sym_keyword_do,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544513] = 2,
    ACTIONS(23941), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544521] = 2,
    ACTIONS(19267), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544529] = 2,
    ACTIONS(23943), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544537] = 2,
    ACTIONS(23945), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544545] = 2,
    ACTIONS(23947), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544553] = 2,
    ACTIONS(23949), 1,
      sym_keyword_conflict,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544561] = 2,
    ACTIONS(16023), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544569] = 2,
    ACTIONS(23951), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544577] = 2,
    ACTIONS(23953), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544585] = 2,
    ACTIONS(23955), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544593] = 2,
    ACTIONS(23957), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544601] = 2,
    ACTIONS(23959), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544609] = 2,
    ACTIONS(23961), 1,
      sym_keyword_do,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544617] = 2,
    ACTIONS(23963), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544625] = 2,
    ACTIONS(23965), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544633] = 2,
    ACTIONS(23967), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544641] = 2,
    ACTIONS(23969), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544649] = 2,
    ACTIONS(23971), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544657] = 2,
    ACTIONS(23973), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544665] = 2,
    ACTIONS(23975), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544673] = 2,
    ACTIONS(23977), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544681] = 2,
    ACTIONS(23979), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544689] = 2,
    ACTIONS(23981), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544697] = 2,
    ACTIONS(23983), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544705] = 2,
    ACTIONS(23985), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544713] = 2,
    ACTIONS(23987), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544721] = 2,
    ACTIONS(23989), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544729] = 2,
    ACTIONS(23991), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544737] = 2,
    ACTIONS(23993), 1,
      sym_keyword_do,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544745] = 2,
    ACTIONS(23995), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544753] = 2,
    ACTIONS(23997), 1,
      sym_keyword_do,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544761] = 2,
    ACTIONS(23999), 1,
      sym_keyword_rewrite,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544769] = 2,
    ACTIONS(24001), 1,
      sym_keyword_table,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544777] = 2,
    ACTIONS(24003), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544785] = 2,
    ACTIONS(24005), 1,
      sym_keyword_stats,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544793] = 2,
    ACTIONS(24007), 1,
      sym_keyword_null,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544801] = 2,
    ACTIONS(24009), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544809] = 2,
    ACTIONS(24011), 1,
      sym_keyword_check,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544817] = 2,
    ACTIONS(24013), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544825] = 2,
    ACTIONS(24015), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544833] = 2,
    ACTIONS(24017), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544841] = 2,
    ACTIONS(24019), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544849] = 2,
    ACTIONS(24021), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544857] = 2,
    ACTIONS(24023), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544865] = 2,
    ACTIONS(24025), 1,
      sym_keyword_do,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544873] = 2,
    ACTIONS(24027), 1,
      sym_keyword_do,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544881] = 2,
    ACTIONS(24029), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544889] = 2,
    ACTIONS(24031), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544897] = 2,
    ACTIONS(24033), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544905] = 2,
    ACTIONS(24035), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544913] = 2,
    ACTIONS(24037), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544921] = 2,
    ACTIONS(24039), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544929] = 2,
    ACTIONS(24041), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544937] = 2,
    ACTIONS(24043), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544945] = 2,
    ACTIONS(24045), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544953] = 2,
    ACTIONS(24047), 1,
      sym_keyword_do,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544961] = 2,
    ACTIONS(24049), 1,
      sym_keyword_do,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544969] = 2,
    ACTIONS(24051), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544977] = 2,
    ACTIONS(24053), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544985] = 2,
    ACTIONS(24055), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544993] = 2,
    ACTIONS(24057), 1,
      sym__dollar_quoted_string_end_tag,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545001] = 2,
    ACTIONS(24059), 1,
      sym_keyword_input,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545009] = 2,
    ACTIONS(17434), 1,
      sym_keyword_of,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545017] = 2,
    ACTIONS(24061), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545025] = 2,
    ACTIONS(24063), 1,
      sym_keyword_do,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545033] = 2,
    ACTIONS(24065), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545041] = 2,
    ACTIONS(24067), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545049] = 2,
    ACTIONS(24069), 1,
      sym_keyword_authorization,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545057] = 2,
    ACTIONS(24071), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545065] = 2,
    ACTIONS(24073), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545073] = 2,
    ACTIONS(24075), 1,
      sym_keyword_data,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545081] = 2,
    ACTIONS(24077), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545089] = 2,
    ACTIONS(24079), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545097] = 2,
    ACTIONS(24081), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545105] = 2,
    ACTIONS(24083), 1,
      sym_keyword_do,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545113] = 2,
    ACTIONS(24085), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545121] = 2,
    ACTIONS(24087), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545129] = 2,
    ACTIONS(24089), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545137] = 2,
    ACTIONS(24091), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545145] = 2,
    ACTIONS(24093), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545153] = 2,
    ACTIONS(24095), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545161] = 2,
    ACTIONS(24097), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545169] = 2,
    ACTIONS(24099), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545177] = 2,
    ACTIONS(24101), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545185] = 2,
    ACTIONS(24103), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545193] = 2,
    ACTIONS(24105), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545201] = 2,
    ACTIONS(24107), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545209] = 2,
    ACTIONS(24109), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545217] = 2,
    ACTIONS(24111), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545225] = 2,
    ACTIONS(24113), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545233] = 2,
    ACTIONS(24115), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545241] = 2,
    ACTIONS(24117), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545249] = 2,
    ACTIONS(24119), 1,
      sym_keyword_do,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545257] = 2,
    ACTIONS(24121), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545265] = 2,
    ACTIONS(24123), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545273] = 2,
    ACTIONS(24125), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545281] = 2,
    ACTIONS(24127), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545289] = 2,
    ACTIONS(24129), 1,
      sym_keyword_terminated,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545297] = 2,
    ACTIONS(24131), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545305] = 2,
    ACTIONS(24133), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545313] = 2,
    ACTIONS(24135), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545321] = 2,
    ACTIONS(24137), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545329] = 2,
    ACTIONS(24139), 1,
      sym_keyword_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545337] = 2,
    ACTIONS(24141), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545345] = 2,
    ACTIONS(24143), 1,
      sym_keyword_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545353] = 2,
    ACTIONS(19161), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545361] = 2,
    ACTIONS(24145), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545369] = 2,
    ACTIONS(24147), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545377] = 2,
    ACTIONS(19157), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545385] = 2,
    ACTIONS(24149), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545393] = 2,
    ACTIONS(24151), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545401] = 2,
    ACTIONS(24153), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545409] = 2,
    ACTIONS(24155), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545417] = 2,
    ACTIONS(24157), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545425] = 2,
    ACTIONS(24159), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545433] = 2,
    ACTIONS(24161), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545441] = 2,
    ACTIONS(24163), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545449] = 2,
    ACTIONS(24165), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545457] = 2,
    ACTIONS(24167), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545465] = 2,
    ACTIONS(24169), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545473] = 2,
    ACTIONS(24171), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545481] = 2,
    ACTIONS(24173), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545489] = 2,
    ACTIONS(19145), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545497] = 2,
    ACTIONS(24175), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545505] = 2,
    ACTIONS(24177), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545513] = 2,
    ACTIONS(19141), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545521] = 2,
    ACTIONS(24179), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545529] = 2,
    ACTIONS(24181), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545537] = 2,
    ACTIONS(24183), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545545] = 2,
    ACTIONS(24185), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545553] = 2,
    ACTIONS(24187), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545561] = 2,
    ACTIONS(24189), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545569] = 2,
    ACTIONS(24191), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545577] = 2,
    ACTIONS(24193), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545585] = 2,
    ACTIONS(24195), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545593] = 2,
    ACTIONS(24197), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545601] = 2,
    ACTIONS(24199), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545609] = 2,
    ACTIONS(24201), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545617] = 2,
    ACTIONS(19129), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545625] = 2,
    ACTIONS(24203), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545633] = 2,
    ACTIONS(24205), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545641] = 2,
    ACTIONS(19125), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545649] = 2,
    ACTIONS(24207), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545657] = 2,
    ACTIONS(24209), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545665] = 2,
    ACTIONS(24211), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545673] = 2,
    ACTIONS(24213), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545681] = 2,
    ACTIONS(24215), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545689] = 2,
    ACTIONS(24217), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545697] = 2,
    ACTIONS(24219), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545705] = 2,
    ACTIONS(24221), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545713] = 2,
    ACTIONS(24223), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545721] = 2,
    ACTIONS(24225), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545729] = 2,
    ACTIONS(24227), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545737] = 2,
    ACTIONS(24229), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545745] = 2,
    ACTIONS(19115), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545753] = 2,
    ACTIONS(24231), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545761] = 2,
    ACTIONS(24233), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545769] = 2,
    ACTIONS(19111), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545777] = 2,
    ACTIONS(24235), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545785] = 2,
    ACTIONS(24237), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545793] = 2,
    ACTIONS(24239), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545801] = 2,
    ACTIONS(24241), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545809] = 2,
    ACTIONS(24243), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545817] = 2,
    ACTIONS(24245), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545825] = 2,
    ACTIONS(24247), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545833] = 2,
    ACTIONS(24249), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545841] = 2,
    ACTIONS(24251), 1,
      sym_keyword_of,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545849] = 2,
    ACTIONS(24253), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545857] = 2,
    ACTIONS(24255), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545865] = 2,
    ACTIONS(24257), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545873] = 2,
    ACTIONS(19103), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545881] = 2,
    ACTIONS(15446), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545889] = 2,
    ACTIONS(24259), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545897] = 2,
    ACTIONS(24261), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545905] = 2,
    ACTIONS(24263), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545913] = 2,
    ACTIONS(24265), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545921] = 2,
    ACTIONS(24267), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545929] = 2,
    ACTIONS(24269), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545937] = 2,
    ACTIONS(24271), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545945] = 2,
    ACTIONS(24273), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545953] = 2,
    ACTIONS(24275), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545961] = 2,
    ACTIONS(24277), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545969] = 2,
    ACTIONS(24279), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545977] = 2,
    ACTIONS(19085), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545985] = 2,
    ACTIONS(24281), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545993] = 2,
    ACTIONS(24283), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546001] = 2,
    ACTIONS(24285), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546009] = 2,
    ACTIONS(24287), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546017] = 2,
    ACTIONS(24289), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546025] = 2,
    ACTIONS(24291), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546033] = 2,
    ACTIONS(24293), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546041] = 2,
    ACTIONS(24295), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546049] = 2,
    ACTIONS(24297), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546057] = 2,
    ACTIONS(24299), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546065] = 2,
    ACTIONS(24301), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546073] = 2,
    ACTIONS(24303), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546081] = 2,
    ACTIONS(24305), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546089] = 2,
    ACTIONS(24307), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546097] = 2,
    ACTIONS(24309), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546105] = 2,
    ACTIONS(24311), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546113] = 2,
    ACTIONS(16992), 1,
      sym_keyword_table,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546121] = 2,
    ACTIONS(24313), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546129] = 2,
    ACTIONS(24315), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546137] = 2,
    ACTIONS(24317), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546145] = 2,
    ACTIONS(24319), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546153] = 2,
    ACTIONS(24321), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546161] = 2,
    ACTIONS(24323), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546169] = 2,
    ACTIONS(14810), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546177] = 2,
    ACTIONS(24325), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546185] = 2,
    ACTIONS(24327), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546193] = 2,
    ACTIONS(24329), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546201] = 2,
    ACTIONS(24331), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546209] = 2,
    ACTIONS(24333), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546217] = 2,
    ACTIONS(24335), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546225] = 2,
    ACTIONS(24337), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546233] = 2,
    ACTIONS(13728), 1,
      sym_keyword_view,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546241] = 2,
    ACTIONS(24339), 1,
      sym_keyword_index,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546249] = 2,
    ACTIONS(24341), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546257] = 2,
    ACTIONS(24343), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546265] = 2,
    ACTIONS(24345), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546273] = 2,
    ACTIONS(24347), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546281] = 2,
    ACTIONS(24349), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546289] = 2,
    ACTIONS(24351), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546297] = 2,
    ACTIONS(24353), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546305] = 2,
    ACTIONS(15508), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546313] = 2,
    ACTIONS(24355), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546321] = 2,
    ACTIONS(24357), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546329] = 2,
    ACTIONS(24359), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546337] = 2,
    ACTIONS(24361), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546345] = 2,
    ACTIONS(24363), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546353] = 2,
    ACTIONS(24365), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546361] = 2,
    ACTIONS(15773), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546369] = 2,
    ACTIONS(24367), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546377] = 2,
    ACTIONS(24369), 1,
      sym_keyword_replace,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546385] = 2,
    ACTIONS(24371), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546393] = 2,
    ACTIONS(24373), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546401] = 2,
    ACTIONS(24375), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546409] = 2,
    ACTIONS(24377), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546417] = 2,
    ACTIONS(24379), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546425] = 2,
    ACTIONS(24381), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546433] = 2,
    ACTIONS(24383), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546441] = 2,
    ACTIONS(24385), 1,
      sym_keyword_view,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546449] = 2,
    ACTIONS(24387), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546457] = 2,
    ACTIONS(24389), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546465] = 2,
    ACTIONS(24391), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546473] = 2,
    ACTIONS(24393), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546481] = 2,
    ACTIONS(24395), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546489] = 2,
    ACTIONS(24397), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546497] = 2,
    ACTIONS(24399), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546505] = 2,
    ACTIONS(24401), 1,
      sym__dollar_quoted_string_end_tag,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546513] = 2,
    ACTIONS(24403), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546521] = 2,
    ACTIONS(24405), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546529] = 2,
    ACTIONS(24407), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546537] = 2,
    ACTIONS(24409), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546545] = 2,
    ACTIONS(24411), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546553] = 2,
    ACTIONS(24413), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546561] = 2,
    ACTIONS(24415), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546569] = 2,
    ACTIONS(24417), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546577] = 2,
    ACTIONS(24419), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546585] = 2,
    ACTIONS(24421), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546593] = 2,
    ACTIONS(24423), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546601] = 2,
    ACTIONS(24425), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546609] = 2,
    ACTIONS(24427), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546617] = 2,
    ACTIONS(24429), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546625] = 2,
    ACTIONS(24431), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546633] = 2,
    ACTIONS(24433), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546641] = 2,
    ACTIONS(24435), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546649] = 2,
    ACTIONS(24437), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546657] = 2,
    ACTIONS(24439), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546665] = 2,
    ACTIONS(24441), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546673] = 2,
    ACTIONS(24443), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546681] = 2,
    ACTIONS(24445), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546689] = 2,
    ACTIONS(24447), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546697] = 2,
    ACTIONS(24449), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546705] = 2,
    ACTIONS(24451), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546713] = 2,
    ACTIONS(24453), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546721] = 2,
    ACTIONS(24455), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546729] = 2,
    ACTIONS(24457), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546737] = 2,
    ACTIONS(24459), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546745] = 2,
    ACTIONS(24461), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546753] = 2,
    ACTIONS(24463), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546761] = 2,
    ACTIONS(24465), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546769] = 2,
    ACTIONS(24467), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546777] = 2,
    ACTIONS(24469), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546785] = 2,
    ACTIONS(24471), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546793] = 2,
    ACTIONS(24473), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546801] = 2,
    ACTIONS(24475), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546809] = 2,
    ACTIONS(24477), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546817] = 2,
    ACTIONS(24479), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546825] = 2,
    ACTIONS(24481), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546833] = 2,
    ACTIONS(24483), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546841] = 2,
    ACTIONS(24485), 1,
      sym_keyword_index,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546849] = 2,
    ACTIONS(24487), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546857] = 2,
    ACTIONS(24489), 1,
      sym_keyword_rewrite,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546865] = 2,
    ACTIONS(24491), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546873] = 2,
    ACTIONS(24493), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546881] = 2,
    ACTIONS(24495), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546889] = 2,
    ACTIONS(24497), 1,
      sym_keyword_action,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546897] = 2,
    ACTIONS(24499), 1,
      sym_keyword_level,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546905] = 2,
    ACTIONS(24501), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546913] = 2,
    ACTIONS(24503), 1,
      sym_keyword_terminated,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546921] = 2,
    ACTIONS(24505), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546929] = 2,
    ACTIONS(24507), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546937] = 2,
    ACTIONS(24509), 1,
      sym_keyword_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546945] = 2,
    ACTIONS(24511), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546953] = 2,
    ACTIONS(24513), 1,
      sym_keyword_conflict,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546961] = 2,
    ACTIONS(24515), 1,
      sym_keyword_using,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546969] = 2,
    ACTIONS(24517), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546977] = 2,
    ACTIONS(24519), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546985] = 2,
    ACTIONS(24521), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546993] = 2,
    ACTIONS(24523), 1,
      sym__dollar_quoted_string_end_tag,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547001] = 2,
    ACTIONS(24525), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547009] = 2,
    ACTIONS(24527), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547017] = 2,
    ACTIONS(24529), 1,
      sym_keyword_conflict,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547025] = 2,
    ACTIONS(24531), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547033] = 2,
    ACTIONS(24533), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547041] = 2,
    ACTIONS(24535), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547049] = 2,
    ACTIONS(24537), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547057] = 2,
    ACTIONS(24539), 1,
      sym_keyword_conflict,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547065] = 2,
    ACTIONS(24541), 1,
      sym_keyword_conflict,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547073] = 2,
    ACTIONS(24543), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547081] = 2,
    ACTIONS(24545), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547089] = 2,
    ACTIONS(24547), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547097] = 2,
    ACTIONS(24549), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547105] = 2,
    ACTIONS(24551), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547113] = 2,
    ACTIONS(24553), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547121] = 2,
    ACTIONS(24555), 1,
      sym_keyword_conflict,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547129] = 2,
    ACTIONS(24557), 1,
      sym_keyword_conflict,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547137] = 2,
    ACTIONS(24559), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547145] = 2,
    ACTIONS(24561), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547153] = 2,
    ACTIONS(24563), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547161] = 2,
    ACTIONS(24565), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547169] = 2,
    ACTIONS(24567), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547177] = 2,
    ACTIONS(24569), 1,
      sym_keyword_conflict,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547185] = 2,
    ACTIONS(24571), 1,
      sym_keyword_conflict,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547193] = 2,
    ACTIONS(24573), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547201] = 2,
    ACTIONS(24575), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547209] = 2,
    ACTIONS(24577), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547217] = 2,
    ACTIONS(24579), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547225] = 2,
    ACTIONS(24581), 1,
      sym_keyword_conflict,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547233] = 2,
    ACTIONS(24583), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547241] = 2,
    ACTIONS(9522), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547249] = 2,
    ACTIONS(24585), 1,
      sym_keyword_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547257] = 2,
    ACTIONS(24587), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547265] = 2,
    ACTIONS(24589), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547273] = 2,
    ACTIONS(24591), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547281] = 2,
    ACTIONS(24593), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547289] = 2,
    ACTIONS(24595), 1,
      sym_keyword_conflict,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547297] = 2,
    ACTIONS(24597), 1,
      sym_keyword_index,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547305] = 2,
    ACTIONS(24599), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547313] = 2,
    ACTIONS(24601), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547321] = 2,
    ACTIONS(24603), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547329] = 2,
    ACTIONS(24605), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547337] = 2,
    ACTIONS(24607), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547345] = 2,
    ACTIONS(24609), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547353] = 2,
    ACTIONS(24611), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547361] = 2,
    ACTIONS(24613), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547369] = 2,
    ACTIONS(24615), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547377] = 2,
    ACTIONS(24617), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547385] = 2,
    ACTIONS(24619), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547393] = 2,
    ACTIONS(24621), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547401] = 2,
    ACTIONS(24623), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547409] = 2,
    ACTIONS(24625), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547417] = 2,
    ACTIONS(24627), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547425] = 2,
    ACTIONS(24629), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547433] = 2,
    ACTIONS(24631), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547441] = 2,
    ACTIONS(24633), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547449] = 2,
    ACTIONS(24635), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547457] = 2,
    ACTIONS(24637), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547465] = 2,
    ACTIONS(24639), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547473] = 2,
    ACTIONS(24641), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547481] = 2,
    ACTIONS(24643), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547489] = 2,
    ACTIONS(24645), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547497] = 2,
    ACTIONS(24647), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547505] = 2,
    ACTIONS(24649), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547513] = 2,
    ACTIONS(24651), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547521] = 2,
    ACTIONS(24653), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547529] = 2,
    ACTIONS(24655), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547537] = 2,
    ACTIONS(24657), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547545] = 2,
    ACTIONS(24659), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547553] = 2,
    ACTIONS(24661), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547561] = 2,
    ACTIONS(24663), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547569] = 2,
    ACTIONS(24665), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547577] = 2,
    ACTIONS(24667), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547585] = 2,
    ACTIONS(24669), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547593] = 2,
    ACTIONS(24671), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547601] = 2,
    ACTIONS(24673), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547609] = 2,
    ACTIONS(24675), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547617] = 2,
    ACTIONS(24677), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547625] = 2,
    ACTIONS(24679), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547633] = 2,
    ACTIONS(24681), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547641] = 2,
    ACTIONS(24683), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547649] = 2,
    ACTIONS(24685), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547657] = 2,
    ACTIONS(24687), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547665] = 2,
    ACTIONS(24689), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547673] = 2,
    ACTIONS(18969), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547681] = 2,
    ACTIONS(24691), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547689] = 2,
    ACTIONS(24693), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547697] = 2,
    ACTIONS(24695), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547705] = 2,
    ACTIONS(24697), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547713] = 2,
    ACTIONS(24699), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547721] = 2,
    ACTIONS(24701), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547729] = 2,
    ACTIONS(24703), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547737] = 2,
    ACTIONS(24705), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547745] = 2,
    ACTIONS(14595), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547753] = 2,
    ACTIONS(24707), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547761] = 2,
    ACTIONS(24709), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547769] = 2,
    ACTIONS(24711), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547777] = 2,
    ACTIONS(24713), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547785] = 2,
    ACTIONS(24715), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547793] = 2,
    ACTIONS(24717), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547801] = 2,
    ACTIONS(24719), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547809] = 2,
    ACTIONS(24721), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547817] = 2,
    ACTIONS(1704), 1,
      sym_keyword_table,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547825] = 2,
    ACTIONS(24723), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547833] = 2,
    ACTIONS(24725), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547841] = 2,
    ACTIONS(24727), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547849] = 2,
    ACTIONS(17038), 1,
      sym_keyword_table,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547857] = 2,
    ACTIONS(24729), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547865] = 2,
    ACTIONS(24731), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547873] = 2,
    ACTIONS(24733), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547881] = 2,
    ACTIONS(24735), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547889] = 2,
    ACTIONS(24737), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547897] = 2,
    ACTIONS(15769), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547905] = 2,
    ACTIONS(24739), 1,
      sym_keyword_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547913] = 2,
    ACTIONS(24741), 1,
      aux_sym__integer_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547921] = 2,
    ACTIONS(24743), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547929] = 2,
    ACTIONS(24745), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547937] = 2,
    ACTIONS(24747), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547945] = 2,
    ACTIONS(24749), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547953] = 2,
    ACTIONS(15563), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547961] = 2,
    ACTIONS(24751), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547969] = 2,
    ACTIONS(24753), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547977] = 2,
    ACTIONS(24755), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547985] = 2,
    ACTIONS(24757), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547993] = 2,
    ACTIONS(24759), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548001] = 2,
    ACTIONS(24761), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548009] = 2,
    ACTIONS(14641), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548017] = 2,
    ACTIONS(24763), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548025] = 2,
    ACTIONS(24765), 1,
      sym_keyword_into,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548033] = 2,
    ACTIONS(24767), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548041] = 2,
    ACTIONS(15585), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548049] = 2,
    ACTIONS(24769), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548057] = 2,
    ACTIONS(24771), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548065] = 2,
    ACTIONS(24773), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548073] = 2,
    ACTIONS(24775), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548081] = 2,
    ACTIONS(24777), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548089] = 2,
    ACTIONS(16830), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548097] = 2,
    ACTIONS(24779), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548105] = 2,
    ACTIONS(24781), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548113] = 2,
    ACTIONS(24783), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548121] = 2,
    ACTIONS(24785), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548129] = 2,
    ACTIONS(24787), 1,
      sym_keyword_into,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548137] = 2,
    ACTIONS(24789), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548145] = 2,
    ACTIONS(9809), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548153] = 2,
    ACTIONS(24791), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548161] = 2,
    ACTIONS(24793), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548169] = 2,
    ACTIONS(24795), 1,
      sym_keyword_using,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548177] = 2,
    ACTIONS(24797), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548185] = 2,
    ACTIONS(24799), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548193] = 2,
    ACTIONS(24801), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548201] = 2,
    ACTIONS(24803), 1,
      sym_keyword_do,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548209] = 2,
    ACTIONS(24805), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548217] = 2,
    ACTIONS(24807), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548225] = 2,
    ACTIONS(24809), 1,
      sym_keyword_conflict,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548233] = 2,
    ACTIONS(24811), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548241] = 2,
    ACTIONS(24813), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548249] = 2,
    ACTIONS(24815), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548257] = 2,
    ACTIONS(24817), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548265] = 2,
    ACTIONS(24819), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548273] = 2,
    ACTIONS(24821), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548281] = 2,
    ACTIONS(24823), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548289] = 2,
    ACTIONS(24825), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548297] = 2,
    ACTIONS(24827), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548305] = 2,
    ACTIONS(24829), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548313] = 2,
    ACTIONS(24831), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548321] = 2,
    ACTIONS(24833), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548329] = 2,
    ACTIONS(24835), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548337] = 2,
    ACTIONS(24837), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548345] = 2,
    ACTIONS(24839), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548353] = 2,
    ACTIONS(24841), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548361] = 2,
    ACTIONS(24843), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548369] = 2,
    ACTIONS(24845), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548377] = 2,
    ACTIONS(24847), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548385] = 2,
    ACTIONS(24849), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548393] = 2,
    ACTIONS(24851), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548401] = 2,
    ACTIONS(24853), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548409] = 2,
    ACTIONS(24855), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548417] = 2,
    ACTIONS(24857), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548425] = 2,
    ACTIONS(24859), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548433] = 2,
    ACTIONS(17843), 1,
      sym_keyword_of,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548441] = 2,
    ACTIONS(24861), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548449] = 2,
    ACTIONS(17863), 1,
      sym_keyword_of,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548457] = 2,
    ACTIONS(17937), 1,
      sym_keyword_of,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548465] = 2,
    ACTIONS(24863), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548473] = 2,
    ACTIONS(18118), 1,
      sym_keyword_of,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548481] = 2,
    ACTIONS(24865), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548489] = 2,
    ACTIONS(24867), 1,
      sym_keyword_conflict,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548497] = 2,
    ACTIONS(18128), 1,
      sym_keyword_of,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548505] = 2,
    ACTIONS(18140), 1,
      sym_keyword_of,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548513] = 2,
    ACTIONS(9600), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548521] = 2,
    ACTIONS(18144), 1,
      sym_keyword_of,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548529] = 2,
    ACTIONS(16510), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548537] = 2,
    ACTIONS(24869), 1,
      sym_keyword_of,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548545] = 2,
    ACTIONS(24871), 1,
      sym_keyword_into,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548553] = 2,
    ACTIONS(24873), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548561] = 2,
    ACTIONS(24875), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548569] = 2,
    ACTIONS(24877), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548577] = 2,
    ACTIONS(24879), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548585] = 2,
    ACTIONS(24881), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548593] = 2,
    ACTIONS(24883), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548601] = 2,
    ACTIONS(24885), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548609] = 2,
    ACTIONS(24887), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548617] = 2,
    ACTIONS(24889), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548625] = 2,
    ACTIONS(24891), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548633] = 2,
    ACTIONS(24893), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548641] = 2,
    ACTIONS(24895), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548649] = 2,
    ACTIONS(24897), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548657] = 2,
    ACTIONS(24899), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548665] = 2,
    ACTIONS(24901), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548673] = 2,
    ACTIONS(16736), 1,
      sym_keyword_trigger,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548681] = 2,
    ACTIONS(16296), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548689] = 2,
    ACTIONS(24903), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548697] = 2,
    ACTIONS(15899), 1,
      sym_keyword_trigger,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548705] = 2,
    ACTIONS(24905), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548713] = 2,
    ACTIONS(15891), 1,
      sym_keyword_trigger,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548721] = 2,
    ACTIONS(15765), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548729] = 2,
    ACTIONS(16720), 1,
      sym_keyword_trigger,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548737] = 2,
    ACTIONS(24907), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548745] = 2,
    ACTIONS(24909), 1,
      sym_keyword_trigger,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548753] = 2,
    ACTIONS(15740), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548761] = 2,
    ACTIONS(24911), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548769] = 2,
    ACTIONS(24913), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548777] = 2,
    ACTIONS(24915), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(296)] = 0,
  [SMALL_STATE(297)] = 109,
  [SMALL_STATE(298)] = 190,
  [SMALL_STATE(299)] = 295,
  [SMALL_STATE(300)] = 386,
  [SMALL_STATE(301)] = 483,
  [SMALL_STATE(302)] = 566,
  [SMALL_STATE(303)] = 643,
  [SMALL_STATE(304)] = 750,
  [SMALL_STATE(305)] = 855,
  [SMALL_STATE(306)] = 946,
  [SMALL_STATE(307)] = 1033,
  [SMALL_STATE(308)] = 1114,
  [SMALL_STATE(309)] = 1215,
  [SMALL_STATE(310)] = 1289,
  [SMALL_STATE(311)] = 1359,
  [SMALL_STATE(312)] = 1433,
  [SMALL_STATE(313)] = 1507,
  [SMALL_STATE(314)] = 1647,
  [SMALL_STATE(315)] = 1721,
  [SMALL_STATE(316)] = 1795,
  [SMALL_STATE(317)] = 1869,
  [SMALL_STATE(318)] = 1943,
  [SMALL_STATE(319)] = 2017,
  [SMALL_STATE(320)] = 2157,
  [SMALL_STATE(321)] = 2231,
  [SMALL_STATE(322)] = 2305,
  [SMALL_STATE(323)] = 2379,
  [SMALL_STATE(324)] = 2453,
  [SMALL_STATE(325)] = 2527,
  [SMALL_STATE(326)] = 2601,
  [SMALL_STATE(327)] = 2675,
  [SMALL_STATE(328)] = 2749,
  [SMALL_STATE(329)] = 2823,
  [SMALL_STATE(330)] = 2897,
  [SMALL_STATE(331)] = 2971,
  [SMALL_STATE(332)] = 3044,
  [SMALL_STATE(333)] = 3117,
  [SMALL_STATE(334)] = 3190,
  [SMALL_STATE(335)] = 3324,
  [SMALL_STATE(336)] = 3458,
  [SMALL_STATE(337)] = 3592,
  [SMALL_STATE(338)] = 3726,
  [SMALL_STATE(339)] = 3860,
  [SMALL_STATE(340)] = 3994,
  [SMALL_STATE(341)] = 4128,
  [SMALL_STATE(342)] = 4262,
  [SMALL_STATE(343)] = 4330,
  [SMALL_STATE(344)] = 4398,
  [SMALL_STATE(345)] = 4532,
  [SMALL_STATE(346)] = 4666,
  [SMALL_STATE(347)] = 4734,
  [SMALL_STATE(348)] = 4868,
  [SMALL_STATE(349)] = 4936,
  [SMALL_STATE(350)] = 5070,
  [SMALL_STATE(351)] = 5204,
  [SMALL_STATE(352)] = 5338,
  [SMALL_STATE(353)] = 5472,
  [SMALL_STATE(354)] = 5606,
  [SMALL_STATE(355)] = 5740,
  [SMALL_STATE(356)] = 5874,
  [SMALL_STATE(357)] = 5942,
  [SMALL_STATE(358)] = 6076,
  [SMALL_STATE(359)] = 6210,
  [SMALL_STATE(360)] = 6344,
  [SMALL_STATE(361)] = 6478,
  [SMALL_STATE(362)] = 6612,
  [SMALL_STATE(363)] = 6746,
  [SMALL_STATE(364)] = 6880,
  [SMALL_STATE(365)] = 6948,
  [SMALL_STATE(366)] = 7016,
  [SMALL_STATE(367)] = 7150,
  [SMALL_STATE(368)] = 7218,
  [SMALL_STATE(369)] = 7286,
  [SMALL_STATE(370)] = 7420,
  [SMALL_STATE(371)] = 7554,
  [SMALL_STATE(372)] = 7622,
  [SMALL_STATE(373)] = 7756,
  [SMALL_STATE(374)] = 7824,
  [SMALL_STATE(375)] = 7958,
  [SMALL_STATE(376)] = 8092,
  [SMALL_STATE(377)] = 8160,
  [SMALL_STATE(378)] = 8294,
  [SMALL_STATE(379)] = 8428,
  [SMALL_STATE(380)] = 8562,
  [SMALL_STATE(381)] = 8696,
  [SMALL_STATE(382)] = 8830,
  [SMALL_STATE(383)] = 8964,
  [SMALL_STATE(384)] = 9098,
  [SMALL_STATE(385)] = 9232,
  [SMALL_STATE(386)] = 9366,
  [SMALL_STATE(387)] = 9500,
  [SMALL_STATE(388)] = 9634,
  [SMALL_STATE(389)] = 9768,
  [SMALL_STATE(390)] = 9902,
  [SMALL_STATE(391)] = 10036,
  [SMALL_STATE(392)] = 10170,
  [SMALL_STATE(393)] = 10238,
  [SMALL_STATE(394)] = 10306,
  [SMALL_STATE(395)] = 10374,
  [SMALL_STATE(396)] = 10508,
  [SMALL_STATE(397)] = 10642,
  [SMALL_STATE(398)] = 10776,
  [SMALL_STATE(399)] = 10910,
  [SMALL_STATE(400)] = 10978,
  [SMALL_STATE(401)] = 11112,
  [SMALL_STATE(402)] = 11180,
  [SMALL_STATE(403)] = 11314,
  [SMALL_STATE(404)] = 11448,
  [SMALL_STATE(405)] = 11516,
  [SMALL_STATE(406)] = 11650,
  [SMALL_STATE(407)] = 11784,
  [SMALL_STATE(408)] = 11852,
  [SMALL_STATE(409)] = 11986,
  [SMALL_STATE(410)] = 12120,
  [SMALL_STATE(411)] = 12254,
  [SMALL_STATE(412)] = 12322,
  [SMALL_STATE(413)] = 12456,
  [SMALL_STATE(414)] = 12590,
  [SMALL_STATE(415)] = 12665,
  [SMALL_STATE(416)] = 12736,
  [SMALL_STATE(417)] = 12803,
  [SMALL_STATE(418)] = 12870,
  [SMALL_STATE(419)] = 12941,
  [SMALL_STATE(420)] = 13016,
  [SMALL_STATE(421)] = 13087,
  [SMALL_STATE(422)] = 13158,
  [SMALL_STATE(423)] = 13229,
  [SMALL_STATE(424)] = 13300,
  [SMALL_STATE(425)] = 13371,
  [SMALL_STATE(426)] = 13446,
  [SMALL_STATE(427)] = 13517,
  [SMALL_STATE(428)] = 13588,
  [SMALL_STATE(429)] = 13659,
  [SMALL_STATE(430)] = 13730,
  [SMALL_STATE(431)] = 13801,
  [SMALL_STATE(432)] = 13872,
  [SMALL_STATE(433)] = 13947,
  [SMALL_STATE(434)] = 14018,
  [SMALL_STATE(435)] = 14089,
  [SMALL_STATE(436)] = 14160,
  [SMALL_STATE(437)] = 14231,
  [SMALL_STATE(438)] = 14298,
  [SMALL_STATE(439)] = 14369,
  [SMALL_STATE(440)] = 14444,
  [SMALL_STATE(441)] = 14519,
  [SMALL_STATE(442)] = 14590,
  [SMALL_STATE(443)] = 14656,
  [SMALL_STATE(444)] = 14742,
  [SMALL_STATE(445)] = 14844,
  [SMALL_STATE(446)] = 14944,
  [SMALL_STATE(447)] = 15014,
  [SMALL_STATE(448)] = 15084,
  [SMALL_STATE(449)] = 15180,
  [SMALL_STATE(450)] = 15256,
  [SMALL_STATE(451)] = 15326,
  [SMALL_STATE(452)] = 15398,
  [SMALL_STATE(453)] = 15468,
  [SMALL_STATE(454)] = 15550,
  [SMALL_STATE(455)] = 15616,
  [SMALL_STATE(456)] = 15702,
  [SMALL_STATE(457)] = 15802,
  [SMALL_STATE(458)] = 15878,
  [SMALL_STATE(459)] = 15948,
  [SMALL_STATE(460)] = 16018,
  [SMALL_STATE(461)] = 16122,
  [SMALL_STATE(462)] = 16192,
  [SMALL_STATE(463)] = 16262,
  [SMALL_STATE(464)] = 16332,
  [SMALL_STATE(465)] = 16402,
  [SMALL_STATE(466)] = 16472,
  [SMALL_STATE(467)] = 16544,
  [SMALL_STATE(468)] = 16616,
  [SMALL_STATE(469)] = 16688,
  [SMALL_STATE(470)] = 16758,
  [SMALL_STATE(471)] = 16830,
  [SMALL_STATE(472)] = 16900,
  [SMALL_STATE(473)] = 16992,
  [SMALL_STATE(474)] = 17058,
  [SMALL_STATE(475)] = 17130,
  [SMALL_STATE(476)] = 17200,
  [SMALL_STATE(477)] = 17272,
  [SMALL_STATE(478)] = 17342,
  [SMALL_STATE(479)] = 17414,
  [SMALL_STATE(480)] = 17484,
  [SMALL_STATE(481)] = 17562,
  [SMALL_STATE(482)] = 17632,
  [SMALL_STATE(483)] = 17698,
  [SMALL_STATE(484)] = 17764,
  [SMALL_STATE(485)] = 17834,
  [SMALL_STATE(486)] = 17900,
  [SMALL_STATE(487)] = 17970,
  [SMALL_STATE(488)] = 18036,
  [SMALL_STATE(489)] = 18108,
  [SMALL_STATE(490)] = 18180,
  [SMALL_STATE(491)] = 18248,
  [SMALL_STATE(492)] = 18320,
  [SMALL_STATE(493)] = 18421,
  [SMALL_STATE(494)] = 18506,
  [SMALL_STATE(495)] = 18571,
  [SMALL_STATE(496)] = 18662,
  [SMALL_STATE(497)] = 18787,
  [SMALL_STATE(498)] = 18856,
  [SMALL_STATE(499)] = 18933,
  [SMALL_STATE(500)] = 18998,
  [SMALL_STATE(501)] = 19079,
  [SMALL_STATE(502)] = 19204,
  [SMALL_STATE(503)] = 19279,
  [SMALL_STATE(504)] = 19374,
  [SMALL_STATE(505)] = 19443,
  [SMALL_STATE(506)] = 19542,
  [SMALL_STATE(507)] = 19611,
  [SMALL_STATE(508)] = 19680,
  [SMALL_STATE(509)] = 19745,
  [SMALL_STATE(510)] = 19848,
  [SMALL_STATE(511)] = 19917,
  [SMALL_STATE(512)] = 20042,
  [SMALL_STATE(513)] = 20107,
  [SMALL_STATE(514)] = 20172,
  [SMALL_STATE(515)] = 20297,
  [SMALL_STATE(516)] = 20362,
  [SMALL_STATE(517)] = 20461,
  [SMALL_STATE(518)] = 20526,
  [SMALL_STATE(519)] = 20651,
  [SMALL_STATE(520)] = 20776,
  [SMALL_STATE(521)] = 20861,
  [SMALL_STATE(522)] = 20926,
  [SMALL_STATE(523)] = 21051,
  [SMALL_STATE(524)] = 21120,
  [SMALL_STATE(525)] = 21195,
  [SMALL_STATE(526)] = 21264,
  [SMALL_STATE(527)] = 21333,
  [SMALL_STATE(528)] = 21402,
  [SMALL_STATE(529)] = 21527,
  [SMALL_STATE(530)] = 21652,
  [SMALL_STATE(531)] = 21781,
  [SMALL_STATE(532)] = 21846,
  [SMALL_STATE(533)] = 21915,
  [SMALL_STATE(534)] = 22040,
  [SMALL_STATE(535)] = 22105,
  [SMALL_STATE(536)] = 22174,
  [SMALL_STATE(537)] = 22299,
  [SMALL_STATE(538)] = 22368,
  [SMALL_STATE(539)] = 22437,
  [SMALL_STATE(540)] = 22502,
  [SMALL_STATE(541)] = 22627,
  [SMALL_STATE(542)] = 22696,
  [SMALL_STATE(543)] = 22761,
  [SMALL_STATE(544)] = 22886,
  [SMALL_STATE(545)] = 22953,
  [SMALL_STATE(546)] = 23078,
  [SMALL_STATE(547)] = 23203,
  [SMALL_STATE(548)] = 23268,
  [SMALL_STATE(549)] = 23333,
  [SMALL_STATE(550)] = 23398,
  [SMALL_STATE(551)] = 23467,
  [SMALL_STATE(552)] = 23534,
  [SMALL_STATE(553)] = 23659,
  [SMALL_STATE(554)] = 23728,
  [SMALL_STATE(555)] = 23793,
  [SMALL_STATE(556)] = 23918,
  [SMALL_STATE(557)] = 24043,
  [SMALL_STATE(558)] = 24108,
  [SMALL_STATE(559)] = 24177,
  [SMALL_STATE(560)] = 24248,
  [SMALL_STATE(561)] = 24317,
  [SMALL_STATE(562)] = 24442,
  [SMALL_STATE(563)] = 24567,
  [SMALL_STATE(564)] = 24692,
  [SMALL_STATE(565)] = 24817,
  [SMALL_STATE(566)] = 24942,
  [SMALL_STATE(567)] = 25007,
  [SMALL_STATE(568)] = 25076,
  [SMALL_STATE(569)] = 25201,
  [SMALL_STATE(570)] = 25266,
  [SMALL_STATE(571)] = 25331,
  [SMALL_STATE(572)] = 25456,
  [SMALL_STATE(573)] = 25520,
  [SMALL_STATE(574)] = 25642,
  [SMALL_STATE(575)] = 25766,
  [SMALL_STATE(576)] = 25890,
  [SMALL_STATE(577)] = 26014,
  [SMALL_STATE(578)] = 26080,
  [SMALL_STATE(579)] = 26146,
  [SMALL_STATE(580)] = 26250,
  [SMALL_STATE(581)] = 26374,
  [SMALL_STATE(582)] = 26498,
  [SMALL_STATE(583)] = 26562,
  [SMALL_STATE(584)] = 26686,
  [SMALL_STATE(585)] = 26750,
  [SMALL_STATE(586)] = 26814,
  [SMALL_STATE(587)] = 26938,
  [SMALL_STATE(588)] = 27062,
  [SMALL_STATE(589)] = 27162,
  [SMALL_STATE(590)] = 27286,
  [SMALL_STATE(591)] = 27410,
  [SMALL_STATE(592)] = 27534,
  [SMALL_STATE(593)] = 27658,
  [SMALL_STATE(594)] = 27760,
  [SMALL_STATE(595)] = 27884,
  [SMALL_STATE(596)] = 28008,
  [SMALL_STATE(597)] = 28132,
  [SMALL_STATE(598)] = 28198,
  [SMALL_STATE(599)] = 28320,
  [SMALL_STATE(600)] = 28444,
  [SMALL_STATE(601)] = 28568,
  [SMALL_STATE(602)] = 28692,
  [SMALL_STATE(603)] = 28816,
  [SMALL_STATE(604)] = 28880,
  [SMALL_STATE(605)] = 29002,
  [SMALL_STATE(606)] = 29126,
  [SMALL_STATE(607)] = 29250,
  [SMALL_STATE(608)] = 29374,
  [SMALL_STATE(609)] = 29496,
  [SMALL_STATE(610)] = 29620,
  [SMALL_STATE(611)] = 29686,
  [SMALL_STATE(612)] = 29750,
  [SMALL_STATE(613)] = 29874,
  [SMALL_STATE(614)] = 29998,
  [SMALL_STATE(615)] = 30062,
  [SMALL_STATE(616)] = 30184,
  [SMALL_STATE(617)] = 30310,
  [SMALL_STATE(618)] = 30374,
  [SMALL_STATE(619)] = 30440,
  [SMALL_STATE(620)] = 30504,
  [SMALL_STATE(621)] = 30570,
  [SMALL_STATE(622)] = 30636,
  [SMALL_STATE(623)] = 30760,
  [SMALL_STATE(624)] = 30826,
  [SMALL_STATE(625)] = 30950,
  [SMALL_STATE(626)] = 31016,
  [SMALL_STATE(627)] = 31080,
  [SMALL_STATE(628)] = 31144,
  [SMALL_STATE(629)] = 31268,
  [SMALL_STATE(630)] = 31390,
  [SMALL_STATE(631)] = 31514,
  [SMALL_STATE(632)] = 31580,
  [SMALL_STATE(633)] = 31644,
  [SMALL_STATE(634)] = 31710,
  [SMALL_STATE(635)] = 31834,
  [SMALL_STATE(636)] = 31900,
  [SMALL_STATE(637)] = 31966,
  [SMALL_STATE(638)] = 32090,
  [SMALL_STATE(639)] = 32212,
  [SMALL_STATE(640)] = 32316,
  [SMALL_STATE(641)] = 32440,
  [SMALL_STATE(642)] = 32544,
  [SMALL_STATE(643)] = 32642,
  [SMALL_STATE(644)] = 32708,
  [SMALL_STATE(645)] = 32832,
  [SMALL_STATE(646)] = 32956,
  [SMALL_STATE(647)] = 33024,
  [SMALL_STATE(648)] = 33090,
  [SMALL_STATE(649)] = 33154,
  [SMALL_STATE(650)] = 33220,
  [SMALL_STATE(651)] = 33342,
  [SMALL_STATE(652)] = 33464,
  [SMALL_STATE(653)] = 33568,
  [SMALL_STATE(654)] = 33634,
  [SMALL_STATE(655)] = 33758,
  [SMALL_STATE(656)] = 33824,
  [SMALL_STATE(657)] = 33946,
  [SMALL_STATE(658)] = 34010,
  [SMALL_STATE(659)] = 34080,
  [SMALL_STATE(660)] = 34204,
  [SMALL_STATE(661)] = 34328,
  [SMALL_STATE(662)] = 34450,
  [SMALL_STATE(663)] = 34574,
  [SMALL_STATE(664)] = 34640,
  [SMALL_STATE(665)] = 34704,
  [SMALL_STATE(666)] = 34770,
  [SMALL_STATE(667)] = 34836,
  [SMALL_STATE(668)] = 34960,
  [SMALL_STATE(669)] = 35084,
  [SMALL_STATE(670)] = 35148,
  [SMALL_STATE(671)] = 35238,
  [SMALL_STATE(672)] = 35362,
  [SMALL_STATE(673)] = 35466,
  [SMALL_STATE(674)] = 35590,
  [SMALL_STATE(675)] = 35714,
  [SMALL_STATE(676)] = 35780,
  [SMALL_STATE(677)] = 35846,
  [SMALL_STATE(678)] = 35914,
  [SMALL_STATE(679)] = 36018,
  [SMALL_STATE(680)] = 36142,
  [SMALL_STATE(681)] = 36246,
  [SMALL_STATE(682)] = 36370,
  [SMALL_STATE(683)] = 36434,
  [SMALL_STATE(684)] = 36500,
  [SMALL_STATE(685)] = 36604,
  [SMALL_STATE(686)] = 36726,
  [SMALL_STATE(687)] = 36792,
  [SMALL_STATE(688)] = 36896,
  [SMALL_STATE(689)] = 37020,
  [SMALL_STATE(690)] = 37118,
  [SMALL_STATE(691)] = 37222,
  [SMALL_STATE(692)] = 37288,
  [SMALL_STATE(693)] = 37412,
  [SMALL_STATE(694)] = 37534,
  [SMALL_STATE(695)] = 37658,
  [SMALL_STATE(696)] = 37724,
  [SMALL_STATE(697)] = 37848,
  [SMALL_STATE(698)] = 37972,
  [SMALL_STATE(699)] = 38036,
  [SMALL_STATE(700)] = 38160,
  [SMALL_STATE(701)] = 38226,
  [SMALL_STATE(702)] = 38348,
  [SMALL_STATE(703)] = 38472,
  [SMALL_STATE(704)] = 38594,
  [SMALL_STATE(705)] = 38658,
  [SMALL_STATE(706)] = 38782,
  [SMALL_STATE(707)] = 38906,
  [SMALL_STATE(708)] = 39030,
  [SMALL_STATE(709)] = 39096,
  [SMALL_STATE(710)] = 39220,
  [SMALL_STATE(711)] = 39342,
  [SMALL_STATE(712)] = 39408,
  [SMALL_STATE(713)] = 39512,
  [SMALL_STATE(714)] = 39586,
  [SMALL_STATE(715)] = 39710,
  [SMALL_STATE(716)] = 39776,
  [SMALL_STATE(717)] = 39840,
  [SMALL_STATE(718)] = 39964,
  [SMALL_STATE(719)] = 40088,
  [SMALL_STATE(720)] = 40156,
  [SMALL_STATE(721)] = 40220,
  [SMALL_STATE(722)] = 40344,
  [SMALL_STATE(723)] = 40448,
  [SMALL_STATE(724)] = 40572,
  [SMALL_STATE(725)] = 40636,
  [SMALL_STATE(726)] = 40700,
  [SMALL_STATE(727)] = 40822,
  [SMALL_STATE(728)] = 40944,
  [SMALL_STATE(729)] = 41010,
  [SMALL_STATE(730)] = 41132,
  [SMALL_STATE(731)] = 41254,
  [SMALL_STATE(732)] = 41338,
  [SMALL_STATE(733)] = 41462,
  [SMALL_STATE(734)] = 41526,
  [SMALL_STATE(735)] = 41650,
  [SMALL_STATE(736)] = 41714,
  [SMALL_STATE(737)] = 41836,
  [SMALL_STATE(738)] = 41960,
  [SMALL_STATE(739)] = 42084,
  [SMALL_STATE(740)] = 42208,
  [SMALL_STATE(741)] = 42332,
  [SMALL_STATE(742)] = 42456,
  [SMALL_STATE(743)] = 42578,
  [SMALL_STATE(744)] = 42702,
  [SMALL_STATE(745)] = 42796,
  [SMALL_STATE(746)] = 42870,
  [SMALL_STATE(747)] = 42950,
  [SMALL_STATE(748)] = 43016,
  [SMALL_STATE(749)] = 43100,
  [SMALL_STATE(750)] = 43204,
  [SMALL_STATE(751)] = 43330,
  [SMALL_STATE(752)] = 43396,
  [SMALL_STATE(753)] = 43518,
  [SMALL_STATE(754)] = 43584,
  [SMALL_STATE(755)] = 43708,
  [SMALL_STATE(756)] = 43832,
  [SMALL_STATE(757)] = 43954,
  [SMALL_STATE(758)] = 44076,
  [SMALL_STATE(759)] = 44198,
  [SMALL_STATE(760)] = 44320,
  [SMALL_STATE(761)] = 44444,
  [SMALL_STATE(762)] = 44566,
  [SMALL_STATE(763)] = 44642,
  [SMALL_STATE(764)] = 44764,
  [SMALL_STATE(765)] = 44886,
  [SMALL_STATE(766)] = 44956,
  [SMALL_STATE(767)] = 45022,
  [SMALL_STATE(768)] = 45144,
  [SMALL_STATE(769)] = 45266,
  [SMALL_STATE(770)] = 45388,
  [SMALL_STATE(771)] = 45510,
  [SMALL_STATE(772)] = 45573,
  [SMALL_STATE(773)] = 45692,
  [SMALL_STATE(774)] = 45795,
  [SMALL_STATE(775)] = 45914,
  [SMALL_STATE(776)] = 45977,
  [SMALL_STATE(777)] = 46040,
  [SMALL_STATE(778)] = 46103,
  [SMALL_STATE(779)] = 46166,
  [SMALL_STATE(780)] = 46229,
  [SMALL_STATE(781)] = 46348,
  [SMALL_STATE(782)] = 46411,
  [SMALL_STATE(783)] = 46530,
  [SMALL_STATE(784)] = 46593,
  [SMALL_STATE(785)] = 46656,
  [SMALL_STATE(786)] = 46719,
  [SMALL_STATE(787)] = 46782,
  [SMALL_STATE(788)] = 46885,
  [SMALL_STATE(789)] = 46988,
  [SMALL_STATE(790)] = 47051,
  [SMALL_STATE(791)] = 47170,
  [SMALL_STATE(792)] = 47233,
  [SMALL_STATE(793)] = 47296,
  [SMALL_STATE(794)] = 47359,
  [SMALL_STATE(795)] = 47478,
  [SMALL_STATE(796)] = 47541,
  [SMALL_STATE(797)] = 47604,
  [SMALL_STATE(798)] = 47667,
  [SMALL_STATE(799)] = 47786,
  [SMALL_STATE(800)] = 47849,
  [SMALL_STATE(801)] = 47912,
  [SMALL_STATE(802)] = 47975,
  [SMALL_STATE(803)] = 48038,
  [SMALL_STATE(804)] = 48141,
  [SMALL_STATE(805)] = 48244,
  [SMALL_STATE(806)] = 48307,
  [SMALL_STATE(807)] = 48370,
  [SMALL_STATE(808)] = 48433,
  [SMALL_STATE(809)] = 48496,
  [SMALL_STATE(810)] = 48615,
  [SMALL_STATE(811)] = 48678,
  [SMALL_STATE(812)] = 48741,
  [SMALL_STATE(813)] = 48860,
  [SMALL_STATE(814)] = 48923,
  [SMALL_STATE(815)] = 49026,
  [SMALL_STATE(816)] = 49089,
  [SMALL_STATE(817)] = 49152,
  [SMALL_STATE(818)] = 49215,
  [SMALL_STATE(819)] = 49278,
  [SMALL_STATE(820)] = 49341,
  [SMALL_STATE(821)] = 49404,
  [SMALL_STATE(822)] = 49467,
  [SMALL_STATE(823)] = 49530,
  [SMALL_STATE(824)] = 49649,
  [SMALL_STATE(825)] = 49712,
  [SMALL_STATE(826)] = 49775,
  [SMALL_STATE(827)] = 49878,
  [SMALL_STATE(828)] = 49981,
  [SMALL_STATE(829)] = 50044,
  [SMALL_STATE(830)] = 50107,
  [SMALL_STATE(831)] = 50170,
  [SMALL_STATE(832)] = 50233,
  [SMALL_STATE(833)] = 50296,
  [SMALL_STATE(834)] = 50359,
  [SMALL_STATE(835)] = 50422,
  [SMALL_STATE(836)] = 50485,
  [SMALL_STATE(837)] = 50548,
  [SMALL_STATE(838)] = 50667,
  [SMALL_STATE(839)] = 50730,
  [SMALL_STATE(840)] = 50849,
  [SMALL_STATE(841)] = 50912,
  [SMALL_STATE(842)] = 50975,
  [SMALL_STATE(843)] = 51038,
  [SMALL_STATE(844)] = 51101,
  [SMALL_STATE(845)] = 51164,
  [SMALL_STATE(846)] = 51227,
  [SMALL_STATE(847)] = 51290,
  [SMALL_STATE(848)] = 51409,
  [SMALL_STATE(849)] = 51528,
  [SMALL_STATE(850)] = 51591,
  [SMALL_STATE(851)] = 51694,
  [SMALL_STATE(852)] = 51813,
  [SMALL_STATE(853)] = 51876,
  [SMALL_STATE(854)] = 51939,
  [SMALL_STATE(855)] = 52002,
  [SMALL_STATE(856)] = 52065,
  [SMALL_STATE(857)] = 52128,
  [SMALL_STATE(858)] = 52191,
  [SMALL_STATE(859)] = 52254,
  [SMALL_STATE(860)] = 52317,
  [SMALL_STATE(861)] = 52436,
  [SMALL_STATE(862)] = 52499,
  [SMALL_STATE(863)] = 52562,
  [SMALL_STATE(864)] = 52625,
  [SMALL_STATE(865)] = 52728,
  [SMALL_STATE(866)] = 52847,
  [SMALL_STATE(867)] = 52910,
  [SMALL_STATE(868)] = 52973,
  [SMALL_STATE(869)] = 53092,
  [SMALL_STATE(870)] = 53155,
  [SMALL_STATE(871)] = 53258,
  [SMALL_STATE(872)] = 53321,
  [SMALL_STATE(873)] = 53440,
  [SMALL_STATE(874)] = 53503,
  [SMALL_STATE(875)] = 53566,
  [SMALL_STATE(876)] = 53629,
  [SMALL_STATE(877)] = 53692,
  [SMALL_STATE(878)] = 53811,
  [SMALL_STATE(879)] = 53930,
  [SMALL_STATE(880)] = 53993,
  [SMALL_STATE(881)] = 54056,
  [SMALL_STATE(882)] = 54159,
  [SMALL_STATE(883)] = 54222,
  [SMALL_STATE(884)] = 54285,
  [SMALL_STATE(885)] = 54348,
  [SMALL_STATE(886)] = 54411,
  [SMALL_STATE(887)] = 54474,
  [SMALL_STATE(888)] = 54537,
  [SMALL_STATE(889)] = 54656,
  [SMALL_STATE(890)] = 54719,
  [SMALL_STATE(891)] = 54822,
  [SMALL_STATE(892)] = 54885,
  [SMALL_STATE(893)] = 55004,
  [SMALL_STATE(894)] = 55123,
  [SMALL_STATE(895)] = 55186,
  [SMALL_STATE(896)] = 55249,
  [SMALL_STATE(897)] = 55312,
  [SMALL_STATE(898)] = 55375,
  [SMALL_STATE(899)] = 55494,
  [SMALL_STATE(900)] = 55557,
  [SMALL_STATE(901)] = 55620,
  [SMALL_STATE(902)] = 55683,
  [SMALL_STATE(903)] = 55746,
  [SMALL_STATE(904)] = 55809,
  [SMALL_STATE(905)] = 55872,
  [SMALL_STATE(906)] = 55991,
  [SMALL_STATE(907)] = 56054,
  [SMALL_STATE(908)] = 56117,
  [SMALL_STATE(909)] = 56236,
  [SMALL_STATE(910)] = 56339,
  [SMALL_STATE(911)] = 56402,
  [SMALL_STATE(912)] = 56505,
  [SMALL_STATE(913)] = 56568,
  [SMALL_STATE(914)] = 56631,
  [SMALL_STATE(915)] = 56694,
  [SMALL_STATE(916)] = 56756,
  [SMALL_STATE(917)] = 56858,
  [SMALL_STATE(918)] = 56976,
  [SMALL_STATE(919)] = 57046,
  [SMALL_STATE(920)] = 57148,
  [SMALL_STATE(921)] = 57250,
  [SMALL_STATE(922)] = 57352,
  [SMALL_STATE(923)] = 57454,
  [SMALL_STATE(924)] = 57556,
  [SMALL_STATE(925)] = 57658,
  [SMALL_STATE(926)] = 57760,
  [SMALL_STATE(927)] = 57822,
  [SMALL_STATE(928)] = 57884,
  [SMALL_STATE(929)] = 57986,
  [SMALL_STATE(930)] = 58056,
  [SMALL_STATE(931)] = 58158,
  [SMALL_STATE(932)] = 58220,
  [SMALL_STATE(933)] = 58290,
  [SMALL_STATE(934)] = 58352,
  [SMALL_STATE(935)] = 58414,
  [SMALL_STATE(936)] = 58476,
  [SMALL_STATE(937)] = 58578,
  [SMALL_STATE(938)] = 58680,
  [SMALL_STATE(939)] = 58782,
  [SMALL_STATE(940)] = 58884,
  [SMALL_STATE(941)] = 58946,
  [SMALL_STATE(942)] = 59064,
  [SMALL_STATE(943)] = 59134,
  [SMALL_STATE(944)] = 59236,
  [SMALL_STATE(945)] = 59313,
  [SMALL_STATE(946)] = 59382,
  [SMALL_STATE(947)] = 59459,
  [SMALL_STATE(948)] = 59572,
  [SMALL_STATE(949)] = 59685,
  [SMALL_STATE(950)] = 59798,
  [SMALL_STATE(951)] = 59911,
  [SMALL_STATE(952)] = 59976,
  [SMALL_STATE(953)] = 60091,
  [SMALL_STATE(954)] = 60168,
  [SMALL_STATE(955)] = 60233,
  [SMALL_STATE(956)] = 60298,
  [SMALL_STATE(957)] = 60413,
  [SMALL_STATE(958)] = 60526,
  [SMALL_STATE(959)] = 60591,
  [SMALL_STATE(960)] = 60656,
  [SMALL_STATE(961)] = 60721,
  [SMALL_STATE(962)] = 60834,
  [SMALL_STATE(963)] = 60911,
  [SMALL_STATE(964)] = 61024,
  [SMALL_STATE(965)] = 61137,
  [SMALL_STATE(966)] = 61250,
  [SMALL_STATE(967)] = 61327,
  [SMALL_STATE(968)] = 61440,
  [SMALL_STATE(969)] = 61555,
  [SMALL_STATE(970)] = 61620,
  [SMALL_STATE(971)] = 61685,
  [SMALL_STATE(972)] = 61750,
  [SMALL_STATE(973)] = 61865,
  [SMALL_STATE(974)] = 61942,
  [SMALL_STATE(975)] = 62007,
  [SMALL_STATE(976)] = 62120,
  [SMALL_STATE(977)] = 62197,
  [SMALL_STATE(978)] = 62264,
  [SMALL_STATE(979)] = 62329,
  [SMALL_STATE(980)] = 62396,
  [SMALL_STATE(981)] = 62497,
  [SMALL_STATE(982)] = 62598,
  [SMALL_STATE(983)] = 62699,
  [SMALL_STATE(984)] = 62800,
  [SMALL_STATE(985)] = 62901,
  [SMALL_STATE(986)] = 63002,
  [SMALL_STATE(987)] = 63065,
  [SMALL_STATE(988)] = 63132,
  [SMALL_STATE(989)] = 63199,
  [SMALL_STATE(990)] = 63300,
  [SMALL_STATE(991)] = 63401,
  [SMALL_STATE(992)] = 63468,
  [SMALL_STATE(993)] = 63537,
  [SMALL_STATE(994)] = 63638,
  [SMALL_STATE(995)] = 63739,
  [SMALL_STATE(996)] = 63840,
  [SMALL_STATE(997)] = 63941,
  [SMALL_STATE(998)] = 64006,
  [SMALL_STATE(999)] = 64107,
  [SMALL_STATE(1000)] = 64222,
  [SMALL_STATE(1001)] = 64299,
  [SMALL_STATE(1002)] = 64412,
  [SMALL_STATE(1003)] = 64525,
  [SMALL_STATE(1004)] = 64638,
  [SMALL_STATE(1005)] = 64703,
  [SMALL_STATE(1006)] = 64780,
  [SMALL_STATE(1007)] = 64893,
  [SMALL_STATE(1008)] = 65006,
  [SMALL_STATE(1009)] = 65119,
  [SMALL_STATE(1010)] = 65188,
  [SMALL_STATE(1011)] = 65301,
  [SMALL_STATE(1012)] = 65378,
  [SMALL_STATE(1013)] = 65491,
  [SMALL_STATE(1014)] = 65604,
  [SMALL_STATE(1015)] = 65717,
  [SMALL_STATE(1016)] = 65794,
  [SMALL_STATE(1017)] = 65909,
  [SMALL_STATE(1018)] = 66022,
  [SMALL_STATE(1019)] = 66135,
  [SMALL_STATE(1020)] = 66204,
  [SMALL_STATE(1021)] = 66319,
  [SMALL_STATE(1022)] = 66434,
  [SMALL_STATE(1023)] = 66547,
  [SMALL_STATE(1024)] = 66660,
  [SMALL_STATE(1025)] = 66727,
  [SMALL_STATE(1026)] = 66804,
  [SMALL_STATE(1027)] = 66919,
  [SMALL_STATE(1028)] = 66986,
  [SMALL_STATE(1029)] = 67101,
  [SMALL_STATE(1030)] = 67162,
  [SMALL_STATE(1031)] = 67275,
  [SMALL_STATE(1032)] = 67390,
  [SMALL_STATE(1033)] = 67503,
  [SMALL_STATE(1034)] = 67564,
  [SMALL_STATE(1035)] = 67679,
  [SMALL_STATE(1036)] = 67744,
  [SMALL_STATE(1037)] = 67857,
  [SMALL_STATE(1038)] = 67922,
  [SMALL_STATE(1039)] = 67987,
  [SMALL_STATE(1040)] = 68052,
  [SMALL_STATE(1041)] = 68117,
  [SMALL_STATE(1042)] = 68178,
  [SMALL_STATE(1043)] = 68293,
  [SMALL_STATE(1044)] = 68370,
  [SMALL_STATE(1045)] = 68483,
  [SMALL_STATE(1046)] = 68544,
  [SMALL_STATE(1047)] = 68609,
  [SMALL_STATE(1048)] = 68674,
  [SMALL_STATE(1049)] = 68739,
  [SMALL_STATE(1050)] = 68816,
  [SMALL_STATE(1051)] = 68929,
  [SMALL_STATE(1052)] = 68994,
  [SMALL_STATE(1053)] = 69055,
  [SMALL_STATE(1054)] = 69120,
  [SMALL_STATE(1055)] = 69197,
  [SMALL_STATE(1056)] = 69310,
  [SMALL_STATE(1057)] = 69371,
  [SMALL_STATE(1058)] = 69440,
  [SMALL_STATE(1059)] = 69517,
  [SMALL_STATE(1060)] = 69630,
  [SMALL_STATE(1061)] = 69743,
  [SMALL_STATE(1062)] = 69804,
  [SMALL_STATE(1063)] = 69917,
  [SMALL_STATE(1064)] = 69982,
  [SMALL_STATE(1065)] = 70047,
  [SMALL_STATE(1066)] = 70160,
  [SMALL_STATE(1067)] = 70225,
  [SMALL_STATE(1068)] = 70290,
  [SMALL_STATE(1069)] = 70355,
  [SMALL_STATE(1070)] = 70422,
  [SMALL_STATE(1071)] = 70537,
  [SMALL_STATE(1072)] = 70650,
  [SMALL_STATE(1073)] = 70715,
  [SMALL_STATE(1074)] = 70828,
  [SMALL_STATE(1075)] = 70905,
  [SMALL_STATE(1076)] = 70970,
  [SMALL_STATE(1077)] = 71083,
  [SMALL_STATE(1078)] = 71198,
  [SMALL_STATE(1079)] = 71275,
  [SMALL_STATE(1080)] = 71352,
  [SMALL_STATE(1081)] = 71465,
  [SMALL_STATE(1082)] = 71580,
  [SMALL_STATE(1083)] = 71645,
  [SMALL_STATE(1084)] = 71710,
  [SMALL_STATE(1085)] = 71823,
  [SMALL_STATE(1086)] = 71936,
  [SMALL_STATE(1087)] = 72051,
  [SMALL_STATE(1088)] = 72116,
  [SMALL_STATE(1089)] = 72229,
  [SMALL_STATE(1090)] = 72344,
  [SMALL_STATE(1091)] = 72409,
  [SMALL_STATE(1092)] = 72474,
  [SMALL_STATE(1093)] = 72589,
  [SMALL_STATE(1094)] = 72654,
  [SMALL_STATE(1095)] = 72731,
  [SMALL_STATE(1096)] = 72846,
  [SMALL_STATE(1097)] = 72959,
  [SMALL_STATE(1098)] = 73072,
  [SMALL_STATE(1099)] = 73185,
  [SMALL_STATE(1100)] = 73300,
  [SMALL_STATE(1101)] = 73377,
  [SMALL_STATE(1102)] = 73454,
  [SMALL_STATE(1103)] = 73523,
  [SMALL_STATE(1104)] = 73638,
  [SMALL_STATE(1105)] = 73753,
  [SMALL_STATE(1106)] = 73822,
  [SMALL_STATE(1107)] = 73899,
  [SMALL_STATE(1108)] = 73964,
  [SMALL_STATE(1109)] = 74029,
  [SMALL_STATE(1110)] = 74142,
  [SMALL_STATE(1111)] = 74255,
  [SMALL_STATE(1112)] = 74368,
  [SMALL_STATE(1113)] = 74481,
  [SMALL_STATE(1114)] = 74594,
  [SMALL_STATE(1115)] = 74704,
  [SMALL_STATE(1116)] = 74814,
  [SMALL_STATE(1117)] = 74924,
  [SMALL_STATE(1118)] = 75034,
  [SMALL_STATE(1119)] = 75144,
  [SMALL_STATE(1120)] = 75254,
  [SMALL_STATE(1121)] = 75364,
  [SMALL_STATE(1122)] = 75474,
  [SMALL_STATE(1123)] = 75584,
  [SMALL_STATE(1124)] = 75694,
  [SMALL_STATE(1125)] = 75804,
  [SMALL_STATE(1126)] = 75914,
  [SMALL_STATE(1127)] = 76024,
  [SMALL_STATE(1128)] = 76134,
  [SMALL_STATE(1129)] = 76244,
  [SMALL_STATE(1130)] = 76354,
  [SMALL_STATE(1131)] = 76464,
  [SMALL_STATE(1132)] = 76576,
  [SMALL_STATE(1133)] = 76686,
  [SMALL_STATE(1134)] = 76796,
  [SMALL_STATE(1135)] = 76866,
  [SMALL_STATE(1136)] = 76946,
  [SMALL_STATE(1137)] = 77056,
  [SMALL_STATE(1138)] = 77166,
  [SMALL_STATE(1139)] = 77278,
  [SMALL_STATE(1140)] = 77346,
  [SMALL_STATE(1141)] = 77456,
  [SMALL_STATE(1142)] = 77568,
  [SMALL_STATE(1143)] = 77678,
  [SMALL_STATE(1144)] = 77788,
  [SMALL_STATE(1145)] = 77898,
  [SMALL_STATE(1146)] = 78008,
  [SMALL_STATE(1147)] = 78118,
  [SMALL_STATE(1148)] = 78228,
  [SMALL_STATE(1149)] = 78338,
  [SMALL_STATE(1150)] = 78448,
  [SMALL_STATE(1151)] = 78558,
  [SMALL_STATE(1152)] = 78668,
  [SMALL_STATE(1153)] = 78778,
  [SMALL_STATE(1154)] = 78888,
  [SMALL_STATE(1155)] = 78998,
  [SMALL_STATE(1156)] = 79108,
  [SMALL_STATE(1157)] = 79218,
  [SMALL_STATE(1158)] = 79328,
  [SMALL_STATE(1159)] = 79438,
  [SMALL_STATE(1160)] = 79548,
  [SMALL_STATE(1161)] = 79658,
  [SMALL_STATE(1162)] = 79768,
  [SMALL_STATE(1163)] = 79878,
  [SMALL_STATE(1164)] = 79988,
  [SMALL_STATE(1165)] = 80098,
  [SMALL_STATE(1166)] = 80208,
  [SMALL_STATE(1167)] = 80318,
  [SMALL_STATE(1168)] = 80428,
  [SMALL_STATE(1169)] = 80538,
  [SMALL_STATE(1170)] = 80648,
  [SMALL_STATE(1171)] = 80758,
  [SMALL_STATE(1172)] = 80826,
  [SMALL_STATE(1173)] = 80936,
  [SMALL_STATE(1174)] = 81046,
  [SMALL_STATE(1175)] = 81156,
  [SMALL_STATE(1176)] = 81266,
  [SMALL_STATE(1177)] = 81376,
  [SMALL_STATE(1178)] = 81486,
  [SMALL_STATE(1179)] = 81596,
  [SMALL_STATE(1180)] = 81706,
  [SMALL_STATE(1181)] = 81816,
  [SMALL_STATE(1182)] = 81926,
  [SMALL_STATE(1183)] = 82036,
  [SMALL_STATE(1184)] = 82146,
  [SMALL_STATE(1185)] = 82256,
  [SMALL_STATE(1186)] = 82366,
  [SMALL_STATE(1187)] = 82478,
  [SMALL_STATE(1188)] = 82588,
  [SMALL_STATE(1189)] = 82698,
  [SMALL_STATE(1190)] = 82808,
  [SMALL_STATE(1191)] = 82918,
  [SMALL_STATE(1192)] = 83028,
  [SMALL_STATE(1193)] = 83138,
  [SMALL_STATE(1194)] = 83248,
  [SMALL_STATE(1195)] = 83358,
  [SMALL_STATE(1196)] = 83468,
  [SMALL_STATE(1197)] = 83578,
  [SMALL_STATE(1198)] = 83688,
  [SMALL_STATE(1199)] = 83798,
  [SMALL_STATE(1200)] = 83908,
  [SMALL_STATE(1201)] = 84018,
  [SMALL_STATE(1202)] = 84128,
  [SMALL_STATE(1203)] = 84238,
  [SMALL_STATE(1204)] = 84348,
  [SMALL_STATE(1205)] = 84458,
  [SMALL_STATE(1206)] = 84568,
  [SMALL_STATE(1207)] = 84678,
  [SMALL_STATE(1208)] = 84788,
  [SMALL_STATE(1209)] = 84898,
  [SMALL_STATE(1210)] = 85008,
  [SMALL_STATE(1211)] = 85118,
  [SMALL_STATE(1212)] = 85228,
  [SMALL_STATE(1213)] = 85338,
  [SMALL_STATE(1214)] = 85448,
  [SMALL_STATE(1215)] = 85516,
  [SMALL_STATE(1216)] = 85626,
  [SMALL_STATE(1217)] = 85736,
  [SMALL_STATE(1218)] = 85846,
  [SMALL_STATE(1219)] = 85956,
  [SMALL_STATE(1220)] = 86066,
  [SMALL_STATE(1221)] = 86176,
  [SMALL_STATE(1222)] = 86286,
  [SMALL_STATE(1223)] = 86396,
  [SMALL_STATE(1224)] = 86506,
  [SMALL_STATE(1225)] = 86616,
  [SMALL_STATE(1226)] = 86726,
  [SMALL_STATE(1227)] = 86836,
  [SMALL_STATE(1228)] = 86946,
  [SMALL_STATE(1229)] = 87056,
  [SMALL_STATE(1230)] = 87166,
  [SMALL_STATE(1231)] = 87276,
  [SMALL_STATE(1232)] = 87386,
  [SMALL_STATE(1233)] = 87496,
  [SMALL_STATE(1234)] = 87606,
  [SMALL_STATE(1235)] = 87716,
  [SMALL_STATE(1236)] = 87826,
  [SMALL_STATE(1237)] = 87936,
  [SMALL_STATE(1238)] = 88046,
  [SMALL_STATE(1239)] = 88156,
  [SMALL_STATE(1240)] = 88266,
  [SMALL_STATE(1241)] = 88376,
  [SMALL_STATE(1242)] = 88446,
  [SMALL_STATE(1243)] = 88556,
  [SMALL_STATE(1244)] = 88666,
  [SMALL_STATE(1245)] = 88760,
  [SMALL_STATE(1246)] = 88870,
  [SMALL_STATE(1247)] = 88980,
  [SMALL_STATE(1248)] = 89090,
  [SMALL_STATE(1249)] = 89200,
  [SMALL_STATE(1250)] = 89310,
  [SMALL_STATE(1251)] = 89420,
  [SMALL_STATE(1252)] = 89530,
  [SMALL_STATE(1253)] = 89640,
  [SMALL_STATE(1254)] = 89750,
  [SMALL_STATE(1255)] = 89860,
  [SMALL_STATE(1256)] = 89970,
  [SMALL_STATE(1257)] = 90080,
  [SMALL_STATE(1258)] = 90190,
  [SMALL_STATE(1259)] = 90300,
  [SMALL_STATE(1260)] = 90410,
  [SMALL_STATE(1261)] = 90520,
  [SMALL_STATE(1262)] = 90630,
  [SMALL_STATE(1263)] = 90694,
  [SMALL_STATE(1264)] = 90804,
  [SMALL_STATE(1265)] = 90916,
  [SMALL_STATE(1266)] = 91026,
  [SMALL_STATE(1267)] = 91136,
  [SMALL_STATE(1268)] = 91246,
  [SMALL_STATE(1269)] = 91356,
  [SMALL_STATE(1270)] = 91466,
  [SMALL_STATE(1271)] = 91576,
  [SMALL_STATE(1272)] = 91640,
  [SMALL_STATE(1273)] = 91750,
  [SMALL_STATE(1274)] = 91862,
  [SMALL_STATE(1275)] = 91972,
  [SMALL_STATE(1276)] = 92082,
  [SMALL_STATE(1277)] = 92192,
  [SMALL_STATE(1278)] = 92302,
  [SMALL_STATE(1279)] = 92366,
  [SMALL_STATE(1280)] = 92476,
  [SMALL_STATE(1281)] = 92588,
  [SMALL_STATE(1282)] = 92698,
  [SMALL_STATE(1283)] = 92808,
  [SMALL_STATE(1284)] = 92876,
  [SMALL_STATE(1285)] = 92944,
  [SMALL_STATE(1286)] = 93054,
  [SMALL_STATE(1287)] = 93118,
  [SMALL_STATE(1288)] = 93228,
  [SMALL_STATE(1289)] = 93292,
  [SMALL_STATE(1290)] = 93402,
  [SMALL_STATE(1291)] = 93512,
  [SMALL_STATE(1292)] = 93622,
  [SMALL_STATE(1293)] = 93732,
  [SMALL_STATE(1294)] = 93842,
  [SMALL_STATE(1295)] = 93952,
  [SMALL_STATE(1296)] = 94062,
  [SMALL_STATE(1297)] = 94172,
  [SMALL_STATE(1298)] = 94282,
  [SMALL_STATE(1299)] = 94392,
  [SMALL_STATE(1300)] = 94504,
  [SMALL_STATE(1301)] = 94614,
  [SMALL_STATE(1302)] = 94678,
  [SMALL_STATE(1303)] = 94742,
  [SMALL_STATE(1304)] = 94802,
  [SMALL_STATE(1305)] = 94912,
  [SMALL_STATE(1306)] = 95022,
  [SMALL_STATE(1307)] = 95132,
  [SMALL_STATE(1308)] = 95244,
  [SMALL_STATE(1309)] = 95354,
  [SMALL_STATE(1310)] = 95466,
  [SMALL_STATE(1311)] = 95576,
  [SMALL_STATE(1312)] = 95686,
  [SMALL_STATE(1313)] = 95796,
  [SMALL_STATE(1314)] = 95908,
  [SMALL_STATE(1315)] = 96020,
  [SMALL_STATE(1316)] = 96132,
  [SMALL_STATE(1317)] = 96242,
  [SMALL_STATE(1318)] = 96352,
  [SMALL_STATE(1319)] = 96462,
  [SMALL_STATE(1320)] = 96526,
  [SMALL_STATE(1321)] = 96636,
  [SMALL_STATE(1322)] = 96746,
  [SMALL_STATE(1323)] = 96856,
  [SMALL_STATE(1324)] = 96966,
  [SMALL_STATE(1325)] = 97076,
  [SMALL_STATE(1326)] = 97186,
  [SMALL_STATE(1327)] = 97296,
  [SMALL_STATE(1328)] = 97406,
  [SMALL_STATE(1329)] = 97516,
  [SMALL_STATE(1330)] = 97626,
  [SMALL_STATE(1331)] = 97736,
  [SMALL_STATE(1332)] = 97846,
  [SMALL_STATE(1333)] = 97956,
  [SMALL_STATE(1334)] = 98066,
  [SMALL_STATE(1335)] = 98176,
  [SMALL_STATE(1336)] = 98286,
  [SMALL_STATE(1337)] = 98396,
  [SMALL_STATE(1338)] = 98506,
  [SMALL_STATE(1339)] = 98616,
  [SMALL_STATE(1340)] = 98726,
  [SMALL_STATE(1341)] = 98836,
  [SMALL_STATE(1342)] = 98946,
  [SMALL_STATE(1343)] = 99056,
  [SMALL_STATE(1344)] = 99166,
  [SMALL_STATE(1345)] = 99230,
  [SMALL_STATE(1346)] = 99340,
  [SMALL_STATE(1347)] = 99404,
  [SMALL_STATE(1348)] = 99514,
  [SMALL_STATE(1349)] = 99624,
  [SMALL_STATE(1350)] = 99734,
  [SMALL_STATE(1351)] = 99844,
  [SMALL_STATE(1352)] = 99954,
  [SMALL_STATE(1353)] = 100064,
  [SMALL_STATE(1354)] = 100128,
  [SMALL_STATE(1355)] = 100240,
  [SMALL_STATE(1356)] = 100350,
  [SMALL_STATE(1357)] = 100414,
  [SMALL_STATE(1358)] = 100478,
  [SMALL_STATE(1359)] = 100542,
  [SMALL_STATE(1360)] = 100606,
  [SMALL_STATE(1361)] = 100668,
  [SMALL_STATE(1362)] = 100778,
  [SMALL_STATE(1363)] = 100888,
  [SMALL_STATE(1364)] = 100998,
  [SMALL_STATE(1365)] = 101108,
  [SMALL_STATE(1366)] = 101218,
  [SMALL_STATE(1367)] = 101328,
  [SMALL_STATE(1368)] = 101438,
  [SMALL_STATE(1369)] = 101548,
  [SMALL_STATE(1370)] = 101658,
  [SMALL_STATE(1371)] = 101768,
  [SMALL_STATE(1372)] = 101878,
  [SMALL_STATE(1373)] = 101988,
  [SMALL_STATE(1374)] = 102100,
  [SMALL_STATE(1375)] = 102210,
  [SMALL_STATE(1376)] = 102320,
  [SMALL_STATE(1377)] = 102430,
  [SMALL_STATE(1378)] = 102494,
  [SMALL_STATE(1379)] = 102558,
  [SMALL_STATE(1380)] = 102668,
  [SMALL_STATE(1381)] = 102778,
  [SMALL_STATE(1382)] = 102888,
  [SMALL_STATE(1383)] = 102998,
  [SMALL_STATE(1384)] = 103108,
  [SMALL_STATE(1385)] = 103170,
  [SMALL_STATE(1386)] = 103280,
  [SMALL_STATE(1387)] = 103390,
  [SMALL_STATE(1388)] = 103500,
  [SMALL_STATE(1389)] = 103566,
  [SMALL_STATE(1390)] = 103676,
  [SMALL_STATE(1391)] = 103740,
  [SMALL_STATE(1392)] = 103850,
  [SMALL_STATE(1393)] = 103960,
  [SMALL_STATE(1394)] = 104072,
  [SMALL_STATE(1395)] = 104184,
  [SMALL_STATE(1396)] = 104294,
  [SMALL_STATE(1397)] = 104404,
  [SMALL_STATE(1398)] = 104514,
  [SMALL_STATE(1399)] = 104624,
  [SMALL_STATE(1400)] = 104734,
  [SMALL_STATE(1401)] = 104846,
  [SMALL_STATE(1402)] = 104956,
  [SMALL_STATE(1403)] = 105068,
  [SMALL_STATE(1404)] = 105178,
  [SMALL_STATE(1405)] = 105288,
  [SMALL_STATE(1406)] = 105400,
  [SMALL_STATE(1407)] = 105510,
  [SMALL_STATE(1408)] = 105620,
  [SMALL_STATE(1409)] = 105730,
  [SMALL_STATE(1410)] = 105840,
  [SMALL_STATE(1411)] = 105950,
  [SMALL_STATE(1412)] = 106060,
  [SMALL_STATE(1413)] = 106170,
  [SMALL_STATE(1414)] = 106280,
  [SMALL_STATE(1415)] = 106392,
  [SMALL_STATE(1416)] = 106502,
  [SMALL_STATE(1417)] = 106612,
  [SMALL_STATE(1418)] = 106722,
  [SMALL_STATE(1419)] = 106832,
  [SMALL_STATE(1420)] = 106942,
  [SMALL_STATE(1421)] = 107052,
  [SMALL_STATE(1422)] = 107162,
  [SMALL_STATE(1423)] = 107274,
  [SMALL_STATE(1424)] = 107384,
  [SMALL_STATE(1425)] = 107494,
  [SMALL_STATE(1426)] = 107604,
  [SMALL_STATE(1427)] = 107714,
  [SMALL_STATE(1428)] = 107826,
  [SMALL_STATE(1429)] = 107938,
  [SMALL_STATE(1430)] = 108048,
  [SMALL_STATE(1431)] = 108158,
  [SMALL_STATE(1432)] = 108268,
  [SMALL_STATE(1433)] = 108332,
  [SMALL_STATE(1434)] = 108442,
  [SMALL_STATE(1435)] = 108552,
  [SMALL_STATE(1436)] = 108662,
  [SMALL_STATE(1437)] = 108772,
  [SMALL_STATE(1438)] = 108882,
  [SMALL_STATE(1439)] = 108992,
  [SMALL_STATE(1440)] = 109102,
  [SMALL_STATE(1441)] = 109168,
  [SMALL_STATE(1442)] = 109278,
  [SMALL_STATE(1443)] = 109388,
  [SMALL_STATE(1444)] = 109498,
  [SMALL_STATE(1445)] = 109608,
  [SMALL_STATE(1446)] = 109718,
  [SMALL_STATE(1447)] = 109828,
  [SMALL_STATE(1448)] = 109938,
  [SMALL_STATE(1449)] = 110048,
  [SMALL_STATE(1450)] = 110158,
  [SMALL_STATE(1451)] = 110268,
  [SMALL_STATE(1452)] = 110378,
  [SMALL_STATE(1453)] = 110488,
  [SMALL_STATE(1454)] = 110598,
  [SMALL_STATE(1455)] = 110708,
  [SMALL_STATE(1456)] = 110818,
  [SMALL_STATE(1457)] = 110928,
  [SMALL_STATE(1458)] = 111038,
  [SMALL_STATE(1459)] = 111148,
  [SMALL_STATE(1460)] = 111258,
  [SMALL_STATE(1461)] = 111368,
  [SMALL_STATE(1462)] = 111478,
  [SMALL_STATE(1463)] = 111588,
  [SMALL_STATE(1464)] = 111698,
  [SMALL_STATE(1465)] = 111808,
  [SMALL_STATE(1466)] = 111918,
  [SMALL_STATE(1467)] = 112028,
  [SMALL_STATE(1468)] = 112140,
  [SMALL_STATE(1469)] = 112250,
  [SMALL_STATE(1470)] = 112360,
  [SMALL_STATE(1471)] = 112470,
  [SMALL_STATE(1472)] = 112582,
  [SMALL_STATE(1473)] = 112692,
  [SMALL_STATE(1474)] = 112758,
  [SMALL_STATE(1475)] = 112820,
  [SMALL_STATE(1476)] = 112930,
  [SMALL_STATE(1477)] = 113040,
  [SMALL_STATE(1478)] = 113150,
  [SMALL_STATE(1479)] = 113260,
  [SMALL_STATE(1480)] = 113370,
  [SMALL_STATE(1481)] = 113480,
  [SMALL_STATE(1482)] = 113590,
  [SMALL_STATE(1483)] = 113700,
  [SMALL_STATE(1484)] = 113810,
  [SMALL_STATE(1485)] = 113920,
  [SMALL_STATE(1486)] = 114030,
  [SMALL_STATE(1487)] = 114140,
  [SMALL_STATE(1488)] = 114200,
  [SMALL_STATE(1489)] = 114310,
  [SMALL_STATE(1490)] = 114420,
  [SMALL_STATE(1491)] = 114530,
  [SMALL_STATE(1492)] = 114640,
  [SMALL_STATE(1493)] = 114750,
  [SMALL_STATE(1494)] = 114860,
  [SMALL_STATE(1495)] = 114972,
  [SMALL_STATE(1496)] = 115084,
  [SMALL_STATE(1497)] = 115194,
  [SMALL_STATE(1498)] = 115304,
  [SMALL_STATE(1499)] = 115414,
  [SMALL_STATE(1500)] = 115486,
  [SMALL_STATE(1501)] = 115596,
  [SMALL_STATE(1502)] = 115706,
  [SMALL_STATE(1503)] = 115816,
  [SMALL_STATE(1504)] = 115926,
  [SMALL_STATE(1505)] = 116036,
  [SMALL_STATE(1506)] = 116146,
  [SMALL_STATE(1507)] = 116256,
  [SMALL_STATE(1508)] = 116366,
  [SMALL_STATE(1509)] = 116476,
  [SMALL_STATE(1510)] = 116586,
  [SMALL_STATE(1511)] = 116696,
  [SMALL_STATE(1512)] = 116806,
  [SMALL_STATE(1513)] = 116916,
  [SMALL_STATE(1514)] = 117026,
  [SMALL_STATE(1515)] = 117136,
  [SMALL_STATE(1516)] = 117246,
  [SMALL_STATE(1517)] = 117356,
  [SMALL_STATE(1518)] = 117466,
  [SMALL_STATE(1519)] = 117576,
  [SMALL_STATE(1520)] = 117686,
  [SMALL_STATE(1521)] = 117796,
  [SMALL_STATE(1522)] = 117906,
  [SMALL_STATE(1523)] = 118016,
  [SMALL_STATE(1524)] = 118126,
  [SMALL_STATE(1525)] = 118236,
  [SMALL_STATE(1526)] = 118346,
  [SMALL_STATE(1527)] = 118456,
  [SMALL_STATE(1528)] = 118568,
  [SMALL_STATE(1529)] = 118678,
  [SMALL_STATE(1530)] = 118788,
  [SMALL_STATE(1531)] = 118898,
  [SMALL_STATE(1532)] = 118960,
  [SMALL_STATE(1533)] = 119020,
  [SMALL_STATE(1534)] = 119130,
  [SMALL_STATE(1535)] = 119240,
  [SMALL_STATE(1536)] = 119350,
  [SMALL_STATE(1537)] = 119460,
  [SMALL_STATE(1538)] = 119520,
  [SMALL_STATE(1539)] = 119630,
  [SMALL_STATE(1540)] = 119740,
  [SMALL_STATE(1541)] = 119850,
  [SMALL_STATE(1542)] = 119960,
  [SMALL_STATE(1543)] = 120070,
  [SMALL_STATE(1544)] = 120180,
  [SMALL_STATE(1545)] = 120290,
  [SMALL_STATE(1546)] = 120400,
  [SMALL_STATE(1547)] = 120510,
  [SMALL_STATE(1548)] = 120570,
  [SMALL_STATE(1549)] = 120680,
  [SMALL_STATE(1550)] = 120790,
  [SMALL_STATE(1551)] = 120900,
  [SMALL_STATE(1552)] = 121010,
  [SMALL_STATE(1553)] = 121120,
  [SMALL_STATE(1554)] = 121230,
  [SMALL_STATE(1555)] = 121290,
  [SMALL_STATE(1556)] = 121400,
  [SMALL_STATE(1557)] = 121510,
  [SMALL_STATE(1558)] = 121620,
  [SMALL_STATE(1559)] = 121730,
  [SMALL_STATE(1560)] = 121842,
  [SMALL_STATE(1561)] = 121952,
  [SMALL_STATE(1562)] = 122062,
  [SMALL_STATE(1563)] = 122172,
  [SMALL_STATE(1564)] = 122282,
  [SMALL_STATE(1565)] = 122392,
  [SMALL_STATE(1566)] = 122502,
  [SMALL_STATE(1567)] = 122612,
  [SMALL_STATE(1568)] = 122722,
  [SMALL_STATE(1569)] = 122832,
  [SMALL_STATE(1570)] = 122942,
  [SMALL_STATE(1571)] = 123052,
  [SMALL_STATE(1572)] = 123162,
  [SMALL_STATE(1573)] = 123272,
  [SMALL_STATE(1574)] = 123382,
  [SMALL_STATE(1575)] = 123492,
  [SMALL_STATE(1576)] = 123602,
  [SMALL_STATE(1577)] = 123712,
  [SMALL_STATE(1578)] = 123772,
  [SMALL_STATE(1579)] = 123882,
  [SMALL_STATE(1580)] = 123942,
  [SMALL_STATE(1581)] = 124002,
  [SMALL_STATE(1582)] = 124112,
  [SMALL_STATE(1583)] = 124222,
  [SMALL_STATE(1584)] = 124332,
  [SMALL_STATE(1585)] = 124442,
  [SMALL_STATE(1586)] = 124552,
  [SMALL_STATE(1587)] = 124662,
  [SMALL_STATE(1588)] = 124772,
  [SMALL_STATE(1589)] = 124882,
  [SMALL_STATE(1590)] = 124942,
  [SMALL_STATE(1591)] = 125002,
  [SMALL_STATE(1592)] = 125112,
  [SMALL_STATE(1593)] = 125222,
  [SMALL_STATE(1594)] = 125332,
  [SMALL_STATE(1595)] = 125442,
  [SMALL_STATE(1596)] = 125552,
  [SMALL_STATE(1597)] = 125662,
  [SMALL_STATE(1598)] = 125772,
  [SMALL_STATE(1599)] = 125882,
  [SMALL_STATE(1600)] = 125942,
  [SMALL_STATE(1601)] = 126002,
  [SMALL_STATE(1602)] = 126112,
  [SMALL_STATE(1603)] = 126178,
  [SMALL_STATE(1604)] = 126244,
  [SMALL_STATE(1605)] = 126354,
  [SMALL_STATE(1606)] = 126464,
  [SMALL_STATE(1607)] = 126574,
  [SMALL_STATE(1608)] = 126684,
  [SMALL_STATE(1609)] = 126774,
  [SMALL_STATE(1610)] = 126884,
  [SMALL_STATE(1611)] = 126994,
  [SMALL_STATE(1612)] = 127104,
  [SMALL_STATE(1613)] = 127214,
  [SMALL_STATE(1614)] = 127324,
  [SMALL_STATE(1615)] = 127434,
  [SMALL_STATE(1616)] = 127544,
  [SMALL_STATE(1617)] = 127610,
  [SMALL_STATE(1618)] = 127680,
  [SMALL_STATE(1619)] = 127790,
  [SMALL_STATE(1620)] = 127900,
  [SMALL_STATE(1621)] = 127976,
  [SMALL_STATE(1622)] = 128086,
  [SMALL_STATE(1623)] = 128152,
  [SMALL_STATE(1624)] = 128262,
  [SMALL_STATE(1625)] = 128328,
  [SMALL_STATE(1626)] = 128438,
  [SMALL_STATE(1627)] = 128548,
  [SMALL_STATE(1628)] = 128660,
  [SMALL_STATE(1629)] = 128770,
  [SMALL_STATE(1630)] = 128880,
  [SMALL_STATE(1631)] = 128990,
  [SMALL_STATE(1632)] = 129100,
  [SMALL_STATE(1633)] = 129210,
  [SMALL_STATE(1634)] = 129320,
  [SMALL_STATE(1635)] = 129430,
  [SMALL_STATE(1636)] = 129540,
  [SMALL_STATE(1637)] = 129650,
  [SMALL_STATE(1638)] = 129716,
  [SMALL_STATE(1639)] = 129826,
  [SMALL_STATE(1640)] = 129936,
  [SMALL_STATE(1641)] = 130046,
  [SMALL_STATE(1642)] = 130156,
  [SMALL_STATE(1643)] = 130266,
  [SMALL_STATE(1644)] = 130376,
  [SMALL_STATE(1645)] = 130486,
  [SMALL_STATE(1646)] = 130596,
  [SMALL_STATE(1647)] = 130706,
  [SMALL_STATE(1648)] = 130816,
  [SMALL_STATE(1649)] = 130926,
  [SMALL_STATE(1650)] = 131036,
  [SMALL_STATE(1651)] = 131146,
  [SMALL_STATE(1652)] = 131256,
  [SMALL_STATE(1653)] = 131366,
  [SMALL_STATE(1654)] = 131476,
  [SMALL_STATE(1655)] = 131586,
  [SMALL_STATE(1656)] = 131696,
  [SMALL_STATE(1657)] = 131806,
  [SMALL_STATE(1658)] = 131916,
  [SMALL_STATE(1659)] = 132026,
  [SMALL_STATE(1660)] = 132136,
  [SMALL_STATE(1661)] = 132246,
  [SMALL_STATE(1662)] = 132356,
  [SMALL_STATE(1663)] = 132466,
  [SMALL_STATE(1664)] = 132576,
  [SMALL_STATE(1665)] = 132686,
  [SMALL_STATE(1666)] = 132796,
  [SMALL_STATE(1667)] = 132906,
  [SMALL_STATE(1668)] = 133016,
  [SMALL_STATE(1669)] = 133126,
  [SMALL_STATE(1670)] = 133236,
  [SMALL_STATE(1671)] = 133346,
  [SMALL_STATE(1672)] = 133456,
  [SMALL_STATE(1673)] = 133566,
  [SMALL_STATE(1674)] = 133632,
  [SMALL_STATE(1675)] = 133742,
  [SMALL_STATE(1676)] = 133808,
  [SMALL_STATE(1677)] = 133918,
  [SMALL_STATE(1678)] = 134028,
  [SMALL_STATE(1679)] = 134138,
  [SMALL_STATE(1680)] = 134248,
  [SMALL_STATE(1681)] = 134314,
  [SMALL_STATE(1682)] = 134394,
  [SMALL_STATE(1683)] = 134504,
  [SMALL_STATE(1684)] = 134614,
  [SMALL_STATE(1685)] = 134724,
  [SMALL_STATE(1686)] = 134834,
  [SMALL_STATE(1687)] = 134944,
  [SMALL_STATE(1688)] = 135054,
  [SMALL_STATE(1689)] = 135164,
  [SMALL_STATE(1690)] = 135274,
  [SMALL_STATE(1691)] = 135384,
  [SMALL_STATE(1692)] = 135494,
  [SMALL_STATE(1693)] = 135604,
  [SMALL_STATE(1694)] = 135714,
  [SMALL_STATE(1695)] = 135824,
  [SMALL_STATE(1696)] = 135934,
  [SMALL_STATE(1697)] = 136044,
  [SMALL_STATE(1698)] = 136154,
  [SMALL_STATE(1699)] = 136264,
  [SMALL_STATE(1700)] = 136374,
  [SMALL_STATE(1701)] = 136484,
  [SMALL_STATE(1702)] = 136594,
  [SMALL_STATE(1703)] = 136704,
  [SMALL_STATE(1704)] = 136814,
  [SMALL_STATE(1705)] = 136924,
  [SMALL_STATE(1706)] = 136990,
  [SMALL_STATE(1707)] = 137100,
  [SMALL_STATE(1708)] = 137166,
  [SMALL_STATE(1709)] = 137276,
  [SMALL_STATE(1710)] = 137386,
  [SMALL_STATE(1711)] = 137496,
  [SMALL_STATE(1712)] = 137562,
  [SMALL_STATE(1713)] = 137628,
  [SMALL_STATE(1714)] = 137738,
  [SMALL_STATE(1715)] = 137804,
  [SMALL_STATE(1716)] = 137914,
  [SMALL_STATE(1717)] = 138024,
  [SMALL_STATE(1718)] = 138090,
  [SMALL_STATE(1719)] = 138200,
  [SMALL_STATE(1720)] = 138310,
  [SMALL_STATE(1721)] = 138420,
  [SMALL_STATE(1722)] = 138530,
  [SMALL_STATE(1723)] = 138640,
  [SMALL_STATE(1724)] = 138750,
  [SMALL_STATE(1725)] = 138860,
  [SMALL_STATE(1726)] = 138970,
  [SMALL_STATE(1727)] = 139080,
  [SMALL_STATE(1728)] = 139190,
  [SMALL_STATE(1729)] = 139300,
  [SMALL_STATE(1730)] = 139410,
  [SMALL_STATE(1731)] = 139520,
  [SMALL_STATE(1732)] = 139630,
  [SMALL_STATE(1733)] = 139740,
  [SMALL_STATE(1734)] = 139850,
  [SMALL_STATE(1735)] = 139960,
  [SMALL_STATE(1736)] = 140070,
  [SMALL_STATE(1737)] = 140180,
  [SMALL_STATE(1738)] = 140290,
  [SMALL_STATE(1739)] = 140400,
  [SMALL_STATE(1740)] = 140510,
  [SMALL_STATE(1741)] = 140620,
  [SMALL_STATE(1742)] = 140730,
  [SMALL_STATE(1743)] = 140840,
  [SMALL_STATE(1744)] = 140950,
  [SMALL_STATE(1745)] = 141016,
  [SMALL_STATE(1746)] = 141126,
  [SMALL_STATE(1747)] = 141236,
  [SMALL_STATE(1748)] = 141348,
  [SMALL_STATE(1749)] = 141460,
  [SMALL_STATE(1750)] = 141570,
  [SMALL_STATE(1751)] = 141680,
  [SMALL_STATE(1752)] = 141790,
  [SMALL_STATE(1753)] = 141900,
  [SMALL_STATE(1754)] = 142010,
  [SMALL_STATE(1755)] = 142122,
  [SMALL_STATE(1756)] = 142234,
  [SMALL_STATE(1757)] = 142344,
  [SMALL_STATE(1758)] = 142454,
  [SMALL_STATE(1759)] = 142564,
  [SMALL_STATE(1760)] = 142674,
  [SMALL_STATE(1761)] = 142784,
  [SMALL_STATE(1762)] = 142896,
  [SMALL_STATE(1763)] = 143008,
  [SMALL_STATE(1764)] = 143104,
  [SMALL_STATE(1765)] = 143214,
  [SMALL_STATE(1766)] = 143324,
  [SMALL_STATE(1767)] = 143434,
  [SMALL_STATE(1768)] = 143544,
  [SMALL_STATE(1769)] = 143656,
  [SMALL_STATE(1770)] = 143750,
  [SMALL_STATE(1771)] = 143860,
  [SMALL_STATE(1772)] = 143970,
  [SMALL_STATE(1773)] = 144080,
  [SMALL_STATE(1774)] = 144190,
  [SMALL_STATE(1775)] = 144300,
  [SMALL_STATE(1776)] = 144410,
  [SMALL_STATE(1777)] = 144520,
  [SMALL_STATE(1778)] = 144618,
  [SMALL_STATE(1779)] = 144728,
  [SMALL_STATE(1780)] = 144838,
  [SMALL_STATE(1781)] = 144948,
  [SMALL_STATE(1782)] = 145014,
  [SMALL_STATE(1783)] = 145124,
  [SMALL_STATE(1784)] = 145234,
  [SMALL_STATE(1785)] = 145300,
  [SMALL_STATE(1786)] = 145410,
  [SMALL_STATE(1787)] = 145520,
  [SMALL_STATE(1788)] = 145630,
  [SMALL_STATE(1789)] = 145740,
  [SMALL_STATE(1790)] = 145826,
  [SMALL_STATE(1791)] = 145936,
  [SMALL_STATE(1792)] = 146046,
  [SMALL_STATE(1793)] = 146156,
  [SMALL_STATE(1794)] = 146266,
  [SMALL_STATE(1795)] = 146376,
  [SMALL_STATE(1796)] = 146488,
  [SMALL_STATE(1797)] = 146598,
  [SMALL_STATE(1798)] = 146708,
  [SMALL_STATE(1799)] = 146818,
  [SMALL_STATE(1800)] = 146928,
  [SMALL_STATE(1801)] = 147038,
  [SMALL_STATE(1802)] = 147148,
  [SMALL_STATE(1803)] = 147258,
  [SMALL_STATE(1804)] = 147368,
  [SMALL_STATE(1805)] = 147478,
  [SMALL_STATE(1806)] = 147588,
  [SMALL_STATE(1807)] = 147698,
  [SMALL_STATE(1808)] = 147808,
  [SMALL_STATE(1809)] = 147918,
  [SMALL_STATE(1810)] = 148028,
  [SMALL_STATE(1811)] = 148138,
  [SMALL_STATE(1812)] = 148248,
  [SMALL_STATE(1813)] = 148358,
  [SMALL_STATE(1814)] = 148468,
  [SMALL_STATE(1815)] = 148578,
  [SMALL_STATE(1816)] = 148688,
  [SMALL_STATE(1817)] = 148798,
  [SMALL_STATE(1818)] = 148908,
  [SMALL_STATE(1819)] = 149020,
  [SMALL_STATE(1820)] = 149132,
  [SMALL_STATE(1821)] = 149244,
  [SMALL_STATE(1822)] = 149354,
  [SMALL_STATE(1823)] = 149464,
  [SMALL_STATE(1824)] = 149576,
  [SMALL_STATE(1825)] = 149686,
  [SMALL_STATE(1826)] = 149798,
  [SMALL_STATE(1827)] = 149908,
  [SMALL_STATE(1828)] = 150018,
  [SMALL_STATE(1829)] = 150130,
  [SMALL_STATE(1830)] = 150242,
  [SMALL_STATE(1831)] = 150352,
  [SMALL_STATE(1832)] = 150462,
  [SMALL_STATE(1833)] = 150572,
  [SMALL_STATE(1834)] = 150682,
  [SMALL_STATE(1835)] = 150792,
  [SMALL_STATE(1836)] = 150904,
  [SMALL_STATE(1837)] = 151014,
  [SMALL_STATE(1838)] = 151124,
  [SMALL_STATE(1839)] = 151234,
  [SMALL_STATE(1840)] = 151344,
  [SMALL_STATE(1841)] = 151454,
  [SMALL_STATE(1842)] = 151564,
  [SMALL_STATE(1843)] = 151674,
  [SMALL_STATE(1844)] = 151784,
  [SMALL_STATE(1845)] = 151894,
  [SMALL_STATE(1846)] = 152004,
  [SMALL_STATE(1847)] = 152114,
  [SMALL_STATE(1848)] = 152224,
  [SMALL_STATE(1849)] = 152334,
  [SMALL_STATE(1850)] = 152444,
  [SMALL_STATE(1851)] = 152554,
  [SMALL_STATE(1852)] = 152664,
  [SMALL_STATE(1853)] = 152774,
  [SMALL_STATE(1854)] = 152884,
  [SMALL_STATE(1855)] = 152994,
  [SMALL_STATE(1856)] = 153104,
  [SMALL_STATE(1857)] = 153214,
  [SMALL_STATE(1858)] = 153324,
  [SMALL_STATE(1859)] = 153434,
  [SMALL_STATE(1860)] = 153544,
  [SMALL_STATE(1861)] = 153654,
  [SMALL_STATE(1862)] = 153764,
  [SMALL_STATE(1863)] = 153874,
  [SMALL_STATE(1864)] = 153984,
  [SMALL_STATE(1865)] = 154094,
  [SMALL_STATE(1866)] = 154204,
  [SMALL_STATE(1867)] = 154314,
  [SMALL_STATE(1868)] = 154424,
  [SMALL_STATE(1869)] = 154484,
  [SMALL_STATE(1870)] = 154594,
  [SMALL_STATE(1871)] = 154704,
  [SMALL_STATE(1872)] = 154814,
  [SMALL_STATE(1873)] = 154924,
  [SMALL_STATE(1874)] = 155034,
  [SMALL_STATE(1875)] = 155144,
  [SMALL_STATE(1876)] = 155254,
  [SMALL_STATE(1877)] = 155364,
  [SMALL_STATE(1878)] = 155474,
  [SMALL_STATE(1879)] = 155584,
  [SMALL_STATE(1880)] = 155694,
  [SMALL_STATE(1881)] = 155804,
  [SMALL_STATE(1882)] = 155914,
  [SMALL_STATE(1883)] = 156024,
  [SMALL_STATE(1884)] = 156134,
  [SMALL_STATE(1885)] = 156193,
  [SMALL_STATE(1886)] = 156252,
  [SMALL_STATE(1887)] = 156315,
  [SMALL_STATE(1888)] = 156378,
  [SMALL_STATE(1889)] = 156437,
  [SMALL_STATE(1890)] = 156500,
  [SMALL_STATE(1891)] = 156559,
  [SMALL_STATE(1892)] = 156622,
  [SMALL_STATE(1893)] = 156683,
  [SMALL_STATE(1894)] = 156742,
  [SMALL_STATE(1895)] = 156805,
  [SMALL_STATE(1896)] = 156864,
  [SMALL_STATE(1897)] = 156923,
  [SMALL_STATE(1898)] = 156986,
  [SMALL_STATE(1899)] = 157049,
  [SMALL_STATE(1900)] = 157108,
  [SMALL_STATE(1901)] = 157167,
  [SMALL_STATE(1902)] = 157226,
  [SMALL_STATE(1903)] = 157285,
  [SMALL_STATE(1904)] = 157344,
  [SMALL_STATE(1905)] = 157407,
  [SMALL_STATE(1906)] = 157496,
  [SMALL_STATE(1907)] = 157565,
  [SMALL_STATE(1908)] = 157640,
  [SMALL_STATE(1909)] = 157719,
  [SMALL_STATE(1910)] = 157782,
  [SMALL_STATE(1911)] = 157845,
  [SMALL_STATE(1912)] = 157908,
  [SMALL_STATE(1913)] = 157977,
  [SMALL_STATE(1914)] = 158040,
  [SMALL_STATE(1915)] = 158119,
  [SMALL_STATE(1916)] = 158208,
  [SMALL_STATE(1917)] = 158267,
  [SMALL_STATE(1918)] = 158336,
  [SMALL_STATE(1919)] = 158411,
  [SMALL_STATE(1920)] = 158490,
  [SMALL_STATE(1921)] = 158549,
  [SMALL_STATE(1922)] = 158642,
  [SMALL_STATE(1923)] = 158701,
  [SMALL_STATE(1924)] = 158760,
  [SMALL_STATE(1925)] = 158819,
  [SMALL_STATE(1926)] = 158878,
  [SMALL_STATE(1927)] = 158937,
  [SMALL_STATE(1928)] = 159000,
  [SMALL_STATE(1929)] = 159063,
  [SMALL_STATE(1930)] = 159126,
  [SMALL_STATE(1931)] = 159185,
  [SMALL_STATE(1932)] = 159248,
  [SMALL_STATE(1933)] = 159311,
  [SMALL_STATE(1934)] = 159410,
  [SMALL_STATE(1935)] = 159473,
  [SMALL_STATE(1936)] = 159572,
  [SMALL_STATE(1937)] = 159635,
  [SMALL_STATE(1938)] = 159694,
  [SMALL_STATE(1939)] = 159753,
  [SMALL_STATE(1940)] = 159812,
  [SMALL_STATE(1941)] = 159875,
  [SMALL_STATE(1942)] = 159938,
  [SMALL_STATE(1943)] = 159999,
  [SMALL_STATE(1944)] = 160062,
  [SMALL_STATE(1945)] = 160161,
  [SMALL_STATE(1946)] = 160260,
  [SMALL_STATE(1947)] = 160321,
  [SMALL_STATE(1948)] = 160384,
  [SMALL_STATE(1949)] = 160443,
  [SMALL_STATE(1950)] = 160506,
  [SMALL_STATE(1951)] = 160569,
  [SMALL_STATE(1952)] = 160668,
  [SMALL_STATE(1953)] = 160727,
  [SMALL_STATE(1954)] = 160790,
  [SMALL_STATE(1955)] = 160853,
  [SMALL_STATE(1956)] = 160916,
  [SMALL_STATE(1957)] = 160979,
  [SMALL_STATE(1958)] = 161042,
  [SMALL_STATE(1959)] = 161105,
  [SMALL_STATE(1960)] = 161204,
  [SMALL_STATE(1961)] = 161267,
  [SMALL_STATE(1962)] = 161328,
  [SMALL_STATE(1963)] = 161387,
  [SMALL_STATE(1964)] = 161446,
  [SMALL_STATE(1965)] = 161545,
  [SMALL_STATE(1966)] = 161614,
  [SMALL_STATE(1967)] = 161707,
  [SMALL_STATE(1968)] = 161772,
  [SMALL_STATE(1969)] = 161835,
  [SMALL_STATE(1970)] = 161900,
  [SMALL_STATE(1971)] = 161961,
  [SMALL_STATE(1972)] = 162022,
  [SMALL_STATE(1973)] = 162085,
  [SMALL_STATE(1974)] = 162184,
  [SMALL_STATE(1975)] = 162247,
  [SMALL_STATE(1976)] = 162310,
  [SMALL_STATE(1977)] = 162403,
  [SMALL_STATE(1978)] = 162474,
  [SMALL_STATE(1979)] = 162537,
  [SMALL_STATE(1980)] = 162598,
  [SMALL_STATE(1981)] = 162683,
  [SMALL_STATE(1982)] = 162746,
  [SMALL_STATE(1983)] = 162809,
  [SMALL_STATE(1984)] = 162906,
  [SMALL_STATE(1985)] = 162967,
  [SMALL_STATE(1986)] = 163062,
  [SMALL_STATE(1987)] = 163155,
  [SMALL_STATE(1988)] = 163214,
  [SMALL_STATE(1989)] = 163273,
  [SMALL_STATE(1990)] = 163372,
  [SMALL_STATE(1991)] = 163435,
  [SMALL_STATE(1992)] = 163496,
  [SMALL_STATE(1993)] = 163567,
  [SMALL_STATE(1994)] = 163652,
  [SMALL_STATE(1995)] = 163711,
  [SMALL_STATE(1996)] = 163804,
  [SMALL_STATE(1997)] = 163867,
  [SMALL_STATE(1998)] = 163928,
  [SMALL_STATE(1999)] = 163989,
  [SMALL_STATE(2000)] = 164052,
  [SMALL_STATE(2001)] = 164113,
  [SMALL_STATE(2002)] = 164176,
  [SMALL_STATE(2003)] = 164235,
  [SMALL_STATE(2004)] = 164294,
  [SMALL_STATE(2005)] = 164353,
  [SMALL_STATE(2006)] = 164416,
  [SMALL_STATE(2007)] = 164495,
  [SMALL_STATE(2008)] = 164554,
  [SMALL_STATE(2009)] = 164617,
  [SMALL_STATE(2010)] = 164682,
  [SMALL_STATE(2011)] = 164789,
  [SMALL_STATE(2012)] = 164878,
  [SMALL_STATE(2013)] = 164937,
  [SMALL_STATE(2014)] = 165006,
  [SMALL_STATE(2015)] = 165069,
  [SMALL_STATE(2016)] = 165128,
  [SMALL_STATE(2017)] = 165225,
  [SMALL_STATE(2018)] = 165320,
  [SMALL_STATE(2019)] = 165395,
  [SMALL_STATE(2020)] = 165474,
  [SMALL_STATE(2021)] = 165533,
  [SMALL_STATE(2022)] = 165594,
  [SMALL_STATE(2023)] = 165705,
  [SMALL_STATE(2024)] = 165770,
  [SMALL_STATE(2025)] = 165835,
  [SMALL_STATE(2026)] = 165896,
  [SMALL_STATE(2027)] = 165957,
  [SMALL_STATE(2028)] = 166056,
  [SMALL_STATE(2029)] = 166155,
  [SMALL_STATE(2030)] = 166216,
  [SMALL_STATE(2031)] = 166285,
  [SMALL_STATE(2032)] = 166346,
  [SMALL_STATE(2033)] = 166445,
  [SMALL_STATE(2034)] = 166524,
  [SMALL_STATE(2035)] = 166623,
  [SMALL_STATE(2036)] = 166684,
  [SMALL_STATE(2037)] = 166777,
  [SMALL_STATE(2038)] = 166838,
  [SMALL_STATE(2039)] = 166901,
  [SMALL_STATE(2040)] = 166962,
  [SMALL_STATE(2041)] = 167023,
  [SMALL_STATE(2042)] = 167084,
  [SMALL_STATE(2043)] = 167179,
  [SMALL_STATE(2044)] = 167240,
  [SMALL_STATE(2045)] = 167301,
  [SMALL_STATE(2046)] = 167398,
  [SMALL_STATE(2047)] = 167459,
  [SMALL_STATE(2048)] = 167524,
  [SMALL_STATE(2049)] = 167585,
  [SMALL_STATE(2050)] = 167670,
  [SMALL_STATE(2051)] = 167731,
  [SMALL_STATE(2052)] = 167802,
  [SMALL_STATE(2053)] = 167863,
  [SMALL_STATE(2054)] = 167924,
  [SMALL_STATE(2055)] = 167985,
  [SMALL_STATE(2056)] = 168048,
  [SMALL_STATE(2057)] = 168109,
  [SMALL_STATE(2058)] = 168170,
  [SMALL_STATE(2059)] = 168231,
  [SMALL_STATE(2060)] = 168292,
  [SMALL_STATE(2061)] = 168353,
  [SMALL_STATE(2062)] = 168412,
  [SMALL_STATE(2063)] = 168471,
  [SMALL_STATE(2064)] = 168530,
  [SMALL_STATE(2065)] = 168591,
  [SMALL_STATE(2066)] = 168650,
  [SMALL_STATE(2067)] = 168711,
  [SMALL_STATE(2068)] = 168770,
  [SMALL_STATE(2069)] = 168829,
  [SMALL_STATE(2070)] = 168890,
  [SMALL_STATE(2071)] = 168949,
  [SMALL_STATE(2072)] = 169010,
  [SMALL_STATE(2073)] = 169071,
  [SMALL_STATE(2074)] = 169132,
  [SMALL_STATE(2075)] = 169200,
  [SMALL_STATE(2076)] = 169258,
  [SMALL_STATE(2077)] = 169332,
  [SMALL_STATE(2078)] = 169392,
  [SMALL_STATE(2079)] = 169450,
  [SMALL_STATE(2080)] = 169508,
  [SMALL_STATE(2081)] = 169568,
  [SMALL_STATE(2082)] = 169636,
  [SMALL_STATE(2083)] = 169694,
  [SMALL_STATE(2084)] = 169752,
  [SMALL_STATE(2085)] = 169810,
  [SMALL_STATE(2086)] = 169898,
  [SMALL_STATE(2087)] = 169956,
  [SMALL_STATE(2088)] = 170016,
  [SMALL_STATE(2089)] = 170076,
  [SMALL_STATE(2090)] = 170136,
  [SMALL_STATE(2091)] = 170196,
  [SMALL_STATE(2092)] = 170256,
  [SMALL_STATE(2093)] = 170316,
  [SMALL_STATE(2094)] = 170376,
  [SMALL_STATE(2095)] = 170436,
  [SMALL_STATE(2096)] = 170504,
  [SMALL_STATE(2097)] = 170564,
  [SMALL_STATE(2098)] = 170624,
  [SMALL_STATE(2099)] = 170682,
  [SMALL_STATE(2100)] = 170742,
  [SMALL_STATE(2101)] = 170800,
  [SMALL_STATE(2102)] = 170858,
  [SMALL_STATE(2103)] = 170916,
  [SMALL_STATE(2104)] = 171008,
  [SMALL_STATE(2105)] = 171066,
  [SMALL_STATE(2106)] = 171124,
  [SMALL_STATE(2107)] = 171182,
  [SMALL_STATE(2108)] = 171240,
  [SMALL_STATE(2109)] = 171298,
  [SMALL_STATE(2110)] = 171390,
  [SMALL_STATE(2111)] = 171448,
  [SMALL_STATE(2112)] = 171506,
  [SMALL_STATE(2113)] = 171564,
  [SMALL_STATE(2114)] = 171642,
  [SMALL_STATE(2115)] = 171702,
  [SMALL_STATE(2116)] = 171762,
  [SMALL_STATE(2117)] = 171824,
  [SMALL_STATE(2118)] = 171902,
  [SMALL_STATE(2119)] = 171960,
  [SMALL_STATE(2120)] = 172020,
  [SMALL_STATE(2121)] = 172078,
  [SMALL_STATE(2122)] = 172174,
  [SMALL_STATE(2123)] = 172272,
  [SMALL_STATE(2124)] = 172358,
  [SMALL_STATE(2125)] = 172416,
  [SMALL_STATE(2126)] = 172506,
  [SMALL_STATE(2127)] = 172564,
  [SMALL_STATE(2128)] = 172622,
  [SMALL_STATE(2129)] = 172680,
  [SMALL_STATE(2130)] = 172740,
  [SMALL_STATE(2131)] = 172798,
  [SMALL_STATE(2132)] = 172856,
  [SMALL_STATE(2133)] = 172914,
  [SMALL_STATE(2134)] = 172972,
  [SMALL_STATE(2135)] = 173030,
  [SMALL_STATE(2136)] = 173128,
  [SMALL_STATE(2137)] = 173186,
  [SMALL_STATE(2138)] = 173246,
  [SMALL_STATE(2139)] = 173304,
  [SMALL_STATE(2140)] = 173362,
  [SMALL_STATE(2141)] = 173420,
  [SMALL_STATE(2142)] = 173484,
  [SMALL_STATE(2143)] = 173542,
  [SMALL_STATE(2144)] = 173600,
  [SMALL_STATE(2145)] = 173698,
  [SMALL_STATE(2146)] = 173756,
  [SMALL_STATE(2147)] = 173814,
  [SMALL_STATE(2148)] = 173872,
  [SMALL_STATE(2149)] = 173930,
  [SMALL_STATE(2150)] = 173988,
  [SMALL_STATE(2151)] = 174046,
  [SMALL_STATE(2152)] = 174108,
  [SMALL_STATE(2153)] = 174168,
  [SMALL_STATE(2154)] = 174272,
  [SMALL_STATE(2155)] = 174340,
  [SMALL_STATE(2156)] = 174438,
  [SMALL_STATE(2157)] = 174496,
  [SMALL_STATE(2158)] = 174554,
  [SMALL_STATE(2159)] = 174612,
  [SMALL_STATE(2160)] = 174670,
  [SMALL_STATE(2161)] = 174728,
  [SMALL_STATE(2162)] = 174786,
  [SMALL_STATE(2163)] = 174844,
  [SMALL_STATE(2164)] = 174902,
  [SMALL_STATE(2165)] = 174960,
  [SMALL_STATE(2166)] = 175034,
  [SMALL_STATE(2167)] = 175092,
  [SMALL_STATE(2168)] = 175150,
  [SMALL_STATE(2169)] = 175228,
  [SMALL_STATE(2170)] = 175288,
  [SMALL_STATE(2171)] = 175346,
  [SMALL_STATE(2172)] = 175404,
  [SMALL_STATE(2173)] = 175462,
  [SMALL_STATE(2174)] = 175520,
  [SMALL_STATE(2175)] = 175578,
  [SMALL_STATE(2176)] = 175636,
  [SMALL_STATE(2177)] = 175694,
  [SMALL_STATE(2178)] = 175792,
  [SMALL_STATE(2179)] = 175850,
  [SMALL_STATE(2180)] = 175908,
  [SMALL_STATE(2181)] = 175968,
  [SMALL_STATE(2182)] = 176034,
  [SMALL_STATE(2183)] = 176100,
  [SMALL_STATE(2184)] = 176158,
  [SMALL_STATE(2185)] = 176218,
  [SMALL_STATE(2186)] = 176314,
  [SMALL_STATE(2187)] = 176374,
  [SMALL_STATE(2188)] = 176434,
  [SMALL_STATE(2189)] = 176492,
  [SMALL_STATE(2190)] = 176562,
  [SMALL_STATE(2191)] = 176622,
  [SMALL_STATE(2192)] = 176706,
  [SMALL_STATE(2193)] = 176796,
  [SMALL_STATE(2194)] = 176856,
  [SMALL_STATE(2195)] = 176920,
  [SMALL_STATE(2196)] = 176978,
  [SMALL_STATE(2197)] = 177038,
  [SMALL_STATE(2198)] = 177132,
  [SMALL_STATE(2199)] = 177224,
  [SMALL_STATE(2200)] = 177316,
  [SMALL_STATE(2201)] = 177374,
  [SMALL_STATE(2202)] = 177434,
  [SMALL_STATE(2203)] = 177528,
  [SMALL_STATE(2204)] = 177588,
  [SMALL_STATE(2205)] = 177672,
  [SMALL_STATE(2206)] = 177730,
  [SMALL_STATE(2207)] = 177800,
  [SMALL_STATE(2208)] = 177884,
  [SMALL_STATE(2209)] = 177944,
  [SMALL_STATE(2210)] = 178002,
  [SMALL_STATE(2211)] = 178060,
  [SMALL_STATE(2212)] = 178118,
  [SMALL_STATE(2213)] = 178176,
  [SMALL_STATE(2214)] = 178236,
  [SMALL_STATE(2215)] = 178294,
  [SMALL_STATE(2216)] = 178352,
  [SMALL_STATE(2217)] = 178410,
  [SMALL_STATE(2218)] = 178468,
  [SMALL_STATE(2219)] = 178526,
  [SMALL_STATE(2220)] = 178584,
  [SMALL_STATE(2221)] = 178644,
  [SMALL_STATE(2222)] = 178704,
  [SMALL_STATE(2223)] = 178764,
  [SMALL_STATE(2224)] = 178826,
  [SMALL_STATE(2225)] = 178888,
  [SMALL_STATE(2226)] = 178966,
  [SMALL_STATE(2227)] = 179024,
  [SMALL_STATE(2228)] = 179082,
  [SMALL_STATE(2229)] = 179150,
  [SMALL_STATE(2230)] = 179208,
  [SMALL_STATE(2231)] = 179266,
  [SMALL_STATE(2232)] = 179324,
  [SMALL_STATE(2233)] = 179416,
  [SMALL_STATE(2234)] = 179476,
  [SMALL_STATE(2235)] = 179534,
  [SMALL_STATE(2236)] = 179592,
  [SMALL_STATE(2237)] = 179650,
  [SMALL_STATE(2238)] = 179712,
  [SMALL_STATE(2239)] = 179772,
  [SMALL_STATE(2240)] = 179830,
  [SMALL_STATE(2241)] = 179890,
  [SMALL_STATE(2242)] = 179948,
  [SMALL_STATE(2243)] = 180006,
  [SMALL_STATE(2244)] = 180104,
  [SMALL_STATE(2245)] = 180172,
  [SMALL_STATE(2246)] = 180232,
  [SMALL_STATE(2247)] = 180330,
  [SMALL_STATE(2248)] = 180388,
  [SMALL_STATE(2249)] = 180448,
  [SMALL_STATE(2250)] = 180506,
  [SMALL_STATE(2251)] = 180564,
  [SMALL_STATE(2252)] = 180624,
  [SMALL_STATE(2253)] = 180684,
  [SMALL_STATE(2254)] = 180744,
  [SMALL_STATE(2255)] = 180802,
  [SMALL_STATE(2256)] = 180900,
  [SMALL_STATE(2257)] = 180960,
  [SMALL_STATE(2258)] = 181024,
  [SMALL_STATE(2259)] = 181084,
  [SMALL_STATE(2260)] = 181182,
  [SMALL_STATE(2261)] = 181244,
  [SMALL_STATE(2262)] = 181322,
  [SMALL_STATE(2263)] = 181380,
  [SMALL_STATE(2264)] = 181438,
  [SMALL_STATE(2265)] = 181496,
  [SMALL_STATE(2266)] = 181554,
  [SMALL_STATE(2267)] = 181614,
  [SMALL_STATE(2268)] = 181672,
  [SMALL_STATE(2269)] = 181732,
  [SMALL_STATE(2270)] = 181790,
  [SMALL_STATE(2271)] = 181850,
  [SMALL_STATE(2272)] = 181948,
  [SMALL_STATE(2273)] = 182046,
  [SMALL_STATE(2274)] = 182104,
  [SMALL_STATE(2275)] = 182164,
  [SMALL_STATE(2276)] = 182262,
  [SMALL_STATE(2277)] = 182360,
  [SMALL_STATE(2278)] = 182420,
  [SMALL_STATE(2279)] = 182486,
  [SMALL_STATE(2280)] = 182574,
  [SMALL_STATE(2281)] = 182680,
  [SMALL_STATE(2282)] = 182744,
  [SMALL_STATE(2283)] = 182804,
  [SMALL_STATE(2284)] = 182864,
  [SMALL_STATE(2285)] = 182924,
  [SMALL_STATE(2286)] = 182998,
  [SMALL_STATE(2287)] = 183076,
  [SMALL_STATE(2288)] = 183146,
  [SMALL_STATE(2289)] = 183206,
  [SMALL_STATE(2290)] = 183290,
  [SMALL_STATE(2291)] = 183350,
  [SMALL_STATE(2292)] = 183460,
  [SMALL_STATE(2293)] = 183520,
  [SMALL_STATE(2294)] = 183590,
  [SMALL_STATE(2295)] = 183650,
  [SMALL_STATE(2296)] = 183710,
  [SMALL_STATE(2297)] = 183770,
  [SMALL_STATE(2298)] = 183830,
  [SMALL_STATE(2299)] = 183890,
  [SMALL_STATE(2300)] = 183986,
  [SMALL_STATE(2301)] = 184080,
  [SMALL_STATE(2302)] = 184140,
  [SMALL_STATE(2303)] = 184200,
  [SMALL_STATE(2304)] = 184262,
  [SMALL_STATE(2305)] = 184322,
  [SMALL_STATE(2306)] = 184382,
  [SMALL_STATE(2307)] = 184442,
  [SMALL_STATE(2308)] = 184520,
  [SMALL_STATE(2309)] = 184594,
  [SMALL_STATE(2310)] = 184662,
  [SMALL_STATE(2311)] = 184750,
  [SMALL_STATE(2312)] = 184810,
  [SMALL_STATE(2313)] = 184868,
  [SMALL_STATE(2314)] = 184926,
  [SMALL_STATE(2315)] = 184984,
  [SMALL_STATE(2316)] = 185078,
  [SMALL_STATE(2317)] = 185146,
  [SMALL_STATE(2318)] = 185224,
  [SMALL_STATE(2319)] = 185282,
  [SMALL_STATE(2320)] = 185346,
  [SMALL_STATE(2321)] = 185404,
  [SMALL_STATE(2322)] = 185462,
  [SMALL_STATE(2323)] = 185520,
  [SMALL_STATE(2324)] = 185582,
  [SMALL_STATE(2325)] = 185640,
  [SMALL_STATE(2326)] = 185700,
  [SMALL_STATE(2327)] = 185758,
  [SMALL_STATE(2328)] = 185818,
  [SMALL_STATE(2329)] = 185878,
  [SMALL_STATE(2330)] = 185970,
  [SMALL_STATE(2331)] = 186034,
  [SMALL_STATE(2332)] = 186126,
  [SMALL_STATE(2333)] = 186186,
  [SMALL_STATE(2334)] = 186246,
  [SMALL_STATE(2335)] = 186303,
  [SMALL_STATE(2336)] = 186360,
  [SMALL_STATE(2337)] = 186417,
  [SMALL_STATE(2338)] = 186474,
  [SMALL_STATE(2339)] = 186531,
  [SMALL_STATE(2340)] = 186588,
  [SMALL_STATE(2341)] = 186645,
  [SMALL_STATE(2342)] = 186702,
  [SMALL_STATE(2343)] = 186759,
  [SMALL_STATE(2344)] = 186816,
  [SMALL_STATE(2345)] = 186873,
  [SMALL_STATE(2346)] = 186930,
  [SMALL_STATE(2347)] = 186987,
  [SMALL_STATE(2348)] = 187044,
  [SMALL_STATE(2349)] = 187101,
  [SMALL_STATE(2350)] = 187158,
  [SMALL_STATE(2351)] = 187215,
  [SMALL_STATE(2352)] = 187272,
  [SMALL_STATE(2353)] = 187329,
  [SMALL_STATE(2354)] = 187388,
  [SMALL_STATE(2355)] = 187445,
  [SMALL_STATE(2356)] = 187502,
  [SMALL_STATE(2357)] = 187559,
  [SMALL_STATE(2358)] = 187616,
  [SMALL_STATE(2359)] = 187673,
  [SMALL_STATE(2360)] = 187730,
  [SMALL_STATE(2361)] = 187787,
  [SMALL_STATE(2362)] = 187850,
  [SMALL_STATE(2363)] = 187913,
  [SMALL_STATE(2364)] = 187970,
  [SMALL_STATE(2365)] = 188027,
  [SMALL_STATE(2366)] = 188084,
  [SMALL_STATE(2367)] = 188173,
  [SMALL_STATE(2368)] = 188230,
  [SMALL_STATE(2369)] = 188287,
  [SMALL_STATE(2370)] = 188344,
  [SMALL_STATE(2371)] = 188401,
  [SMALL_STATE(2372)] = 188458,
  [SMALL_STATE(2373)] = 188515,
  [SMALL_STATE(2374)] = 188572,
  [SMALL_STATE(2375)] = 188629,
  [SMALL_STATE(2376)] = 188686,
  [SMALL_STATE(2377)] = 188743,
  [SMALL_STATE(2378)] = 188832,
  [SMALL_STATE(2379)] = 188889,
  [SMALL_STATE(2380)] = 188946,
  [SMALL_STATE(2381)] = 189003,
  [SMALL_STATE(2382)] = 189060,
  [SMALL_STATE(2383)] = 189117,
  [SMALL_STATE(2384)] = 189174,
  [SMALL_STATE(2385)] = 189231,
  [SMALL_STATE(2386)] = 189288,
  [SMALL_STATE(2387)] = 189345,
  [SMALL_STATE(2388)] = 189402,
  [SMALL_STATE(2389)] = 189459,
  [SMALL_STATE(2390)] = 189516,
  [SMALL_STATE(2391)] = 189573,
  [SMALL_STATE(2392)] = 189630,
  [SMALL_STATE(2393)] = 189687,
  [SMALL_STATE(2394)] = 189744,
  [SMALL_STATE(2395)] = 189801,
  [SMALL_STATE(2396)] = 189858,
  [SMALL_STATE(2397)] = 189915,
  [SMALL_STATE(2398)] = 189972,
  [SMALL_STATE(2399)] = 190029,
  [SMALL_STATE(2400)] = 190086,
  [SMALL_STATE(2401)] = 190143,
  [SMALL_STATE(2402)] = 190200,
  [SMALL_STATE(2403)] = 190257,
  [SMALL_STATE(2404)] = 190314,
  [SMALL_STATE(2405)] = 190371,
  [SMALL_STATE(2406)] = 190428,
  [SMALL_STATE(2407)] = 190485,
  [SMALL_STATE(2408)] = 190542,
  [SMALL_STATE(2409)] = 190599,
  [SMALL_STATE(2410)] = 190656,
  [SMALL_STATE(2411)] = 190759,
  [SMALL_STATE(2412)] = 190816,
  [SMALL_STATE(2413)] = 190873,
  [SMALL_STATE(2414)] = 190930,
  [SMALL_STATE(2415)] = 190987,
  [SMALL_STATE(2416)] = 191044,
  [SMALL_STATE(2417)] = 191101,
  [SMALL_STATE(2418)] = 191158,
  [SMALL_STATE(2419)] = 191215,
  [SMALL_STATE(2420)] = 191272,
  [SMALL_STATE(2421)] = 191329,
  [SMALL_STATE(2422)] = 191386,
  [SMALL_STATE(2423)] = 191471,
  [SMALL_STATE(2424)] = 191528,
  [SMALL_STATE(2425)] = 191585,
  [SMALL_STATE(2426)] = 191652,
  [SMALL_STATE(2427)] = 191725,
  [SMALL_STATE(2428)] = 191782,
  [SMALL_STATE(2429)] = 191839,
  [SMALL_STATE(2430)] = 191916,
  [SMALL_STATE(2431)] = 191973,
  [SMALL_STATE(2432)] = 192030,
  [SMALL_STATE(2433)] = 192087,
  [SMALL_STATE(2434)] = 192144,
  [SMALL_STATE(2435)] = 192201,
  [SMALL_STATE(2436)] = 192258,
  [SMALL_STATE(2437)] = 192315,
  [SMALL_STATE(2438)] = 192372,
  [SMALL_STATE(2439)] = 192429,
  [SMALL_STATE(2440)] = 192486,
  [SMALL_STATE(2441)] = 192543,
  [SMALL_STATE(2442)] = 192600,
  [SMALL_STATE(2443)] = 192665,
  [SMALL_STATE(2444)] = 192730,
  [SMALL_STATE(2445)] = 192787,
  [SMALL_STATE(2446)] = 192844,
  [SMALL_STATE(2447)] = 192901,
  [SMALL_STATE(2448)] = 192958,
  [SMALL_STATE(2449)] = 193015,
  [SMALL_STATE(2450)] = 193072,
  [SMALL_STATE(2451)] = 193129,
  [SMALL_STATE(2452)] = 193186,
  [SMALL_STATE(2453)] = 193243,
  [SMALL_STATE(2454)] = 193300,
  [SMALL_STATE(2455)] = 193357,
  [SMALL_STATE(2456)] = 193414,
  [SMALL_STATE(2457)] = 193471,
  [SMALL_STATE(2458)] = 193540,
  [SMALL_STATE(2459)] = 193623,
  [SMALL_STATE(2460)] = 193716,
  [SMALL_STATE(2461)] = 193807,
  [SMALL_STATE(2462)] = 193864,
  [SMALL_STATE(2463)] = 193921,
  [SMALL_STATE(2464)] = 193978,
  [SMALL_STATE(2465)] = 194035,
  [SMALL_STATE(2466)] = 194092,
  [SMALL_STATE(2467)] = 194149,
  [SMALL_STATE(2468)] = 194206,
  [SMALL_STATE(2469)] = 194263,
  [SMALL_STATE(2470)] = 194320,
  [SMALL_STATE(2471)] = 194377,
  [SMALL_STATE(2472)] = 194434,
  [SMALL_STATE(2473)] = 194491,
  [SMALL_STATE(2474)] = 194548,
  [SMALL_STATE(2475)] = 194657,
  [SMALL_STATE(2476)] = 194714,
  [SMALL_STATE(2477)] = 194771,
  [SMALL_STATE(2478)] = 194828,
  [SMALL_STATE(2479)] = 194885,
  [SMALL_STATE(2480)] = 194942,
  [SMALL_STATE(2481)] = 194999,
  [SMALL_STATE(2482)] = 195056,
  [SMALL_STATE(2483)] = 195113,
  [SMALL_STATE(2484)] = 195170,
  [SMALL_STATE(2485)] = 195227,
  [SMALL_STATE(2486)] = 195284,
  [SMALL_STATE(2487)] = 195341,
  [SMALL_STATE(2488)] = 195398,
  [SMALL_STATE(2489)] = 195455,
  [SMALL_STATE(2490)] = 195512,
  [SMALL_STATE(2491)] = 195577,
  [SMALL_STATE(2492)] = 195634,
  [SMALL_STATE(2493)] = 195691,
  [SMALL_STATE(2494)] = 195748,
  [SMALL_STATE(2495)] = 195805,
  [SMALL_STATE(2496)] = 195910,
  [SMALL_STATE(2497)] = 195967,
  [SMALL_STATE(2498)] = 196024,
  [SMALL_STATE(2499)] = 196081,
  [SMALL_STATE(2500)] = 196138,
  [SMALL_STATE(2501)] = 196195,
  [SMALL_STATE(2502)] = 196252,
  [SMALL_STATE(2503)] = 196309,
  [SMALL_STATE(2504)] = 196366,
  [SMALL_STATE(2505)] = 196423,
  [SMALL_STATE(2506)] = 196480,
  [SMALL_STATE(2507)] = 196537,
  [SMALL_STATE(2508)] = 196594,
  [SMALL_STATE(2509)] = 196651,
  [SMALL_STATE(2510)] = 196708,
  [SMALL_STATE(2511)] = 196765,
  [SMALL_STATE(2512)] = 196822,
  [SMALL_STATE(2513)] = 196879,
  [SMALL_STATE(2514)] = 196936,
  [SMALL_STATE(2515)] = 196993,
  [SMALL_STATE(2516)] = 197050,
  [SMALL_STATE(2517)] = 197107,
  [SMALL_STATE(2518)] = 197164,
  [SMALL_STATE(2519)] = 197221,
  [SMALL_STATE(2520)] = 197280,
  [SMALL_STATE(2521)] = 197343,
  [SMALL_STATE(2522)] = 197400,
  [SMALL_STATE(2523)] = 197457,
  [SMALL_STATE(2524)] = 197514,
  [SMALL_STATE(2525)] = 197571,
  [SMALL_STATE(2526)] = 197628,
  [SMALL_STATE(2527)] = 197685,
  [SMALL_STATE(2528)] = 197742,
  [SMALL_STATE(2529)] = 197799,
  [SMALL_STATE(2530)] = 197862,
  [SMALL_STATE(2531)] = 197925,
  [SMALL_STATE(2532)] = 197988,
  [SMALL_STATE(2533)] = 198045,
  [SMALL_STATE(2534)] = 198102,
  [SMALL_STATE(2535)] = 198159,
  [SMALL_STATE(2536)] = 198216,
  [SMALL_STATE(2537)] = 198273,
  [SMALL_STATE(2538)] = 198330,
  [SMALL_STATE(2539)] = 198433,
  [SMALL_STATE(2540)] = 198490,
  [SMALL_STATE(2541)] = 198553,
  [SMALL_STATE(2542)] = 198616,
  [SMALL_STATE(2543)] = 198673,
  [SMALL_STATE(2544)] = 198736,
  [SMALL_STATE(2545)] = 198793,
  [SMALL_STATE(2546)] = 198850,
  [SMALL_STATE(2547)] = 198907,
  [SMALL_STATE(2548)] = 198970,
  [SMALL_STATE(2549)] = 199027,
  [SMALL_STATE(2550)] = 199084,
  [SMALL_STATE(2551)] = 199141,
  [SMALL_STATE(2552)] = 199198,
  [SMALL_STATE(2553)] = 199261,
  [SMALL_STATE(2554)] = 199318,
  [SMALL_STATE(2555)] = 199381,
  [SMALL_STATE(2556)] = 199438,
  [SMALL_STATE(2557)] = 199495,
  [SMALL_STATE(2558)] = 199552,
  [SMALL_STATE(2559)] = 199615,
  [SMALL_STATE(2560)] = 199678,
  [SMALL_STATE(2561)] = 199775,
  [SMALL_STATE(2562)] = 199832,
  [SMALL_STATE(2563)] = 199889,
  [SMALL_STATE(2564)] = 199946,
  [SMALL_STATE(2565)] = 200003,
  [SMALL_STATE(2566)] = 200070,
  [SMALL_STATE(2567)] = 200127,
  [SMALL_STATE(2568)] = 200184,
  [SMALL_STATE(2569)] = 200241,
  [SMALL_STATE(2570)] = 200298,
  [SMALL_STATE(2571)] = 200361,
  [SMALL_STATE(2572)] = 200418,
  [SMALL_STATE(2573)] = 200495,
  [SMALL_STATE(2574)] = 200557,
  [SMALL_STATE(2575)] = 200613,
  [SMALL_STATE(2576)] = 200669,
  [SMALL_STATE(2577)] = 200729,
  [SMALL_STATE(2578)] = 200785,
  [SMALL_STATE(2579)] = 200847,
  [SMALL_STATE(2580)] = 200907,
  [SMALL_STATE(2581)] = 200963,
  [SMALL_STATE(2582)] = 201059,
  [SMALL_STATE(2583)] = 201121,
  [SMALL_STATE(2584)] = 201181,
  [SMALL_STATE(2585)] = 201237,
  [SMALL_STATE(2586)] = 201293,
  [SMALL_STATE(2587)] = 201349,
  [SMALL_STATE(2588)] = 201405,
  [SMALL_STATE(2589)] = 201467,
  [SMALL_STATE(2590)] = 201529,
  [SMALL_STATE(2591)] = 201585,
  [SMALL_STATE(2592)] = 201649,
  [SMALL_STATE(2593)] = 201705,
  [SMALL_STATE(2594)] = 201761,
  [SMALL_STATE(2595)] = 201817,
  [SMALL_STATE(2596)] = 201873,
  [SMALL_STATE(2597)] = 201929,
  [SMALL_STATE(2598)] = 201985,
  [SMALL_STATE(2599)] = 202041,
  [SMALL_STATE(2600)] = 202097,
  [SMALL_STATE(2601)] = 202153,
  [SMALL_STATE(2602)] = 202215,
  [SMALL_STATE(2603)] = 202279,
  [SMALL_STATE(2604)] = 202343,
  [SMALL_STATE(2605)] = 202405,
  [SMALL_STATE(2606)] = 202467,
  [SMALL_STATE(2607)] = 202523,
  [SMALL_STATE(2608)] = 202579,
  [SMALL_STATE(2609)] = 202635,
  [SMALL_STATE(2610)] = 202691,
  [SMALL_STATE(2611)] = 202747,
  [SMALL_STATE(2612)] = 202803,
  [SMALL_STATE(2613)] = 202859,
  [SMALL_STATE(2614)] = 202915,
  [SMALL_STATE(2615)] = 202971,
  [SMALL_STATE(2616)] = 203027,
  [SMALL_STATE(2617)] = 203083,
  [SMALL_STATE(2618)] = 203147,
  [SMALL_STATE(2619)] = 203203,
  [SMALL_STATE(2620)] = 203259,
  [SMALL_STATE(2621)] = 203361,
  [SMALL_STATE(2622)] = 203425,
  [SMALL_STATE(2623)] = 203481,
  [SMALL_STATE(2624)] = 203545,
  [SMALL_STATE(2625)] = 203601,
  [SMALL_STATE(2626)] = 203657,
  [SMALL_STATE(2627)] = 203713,
  [SMALL_STATE(2628)] = 203817,
  [SMALL_STATE(2629)] = 203875,
  [SMALL_STATE(2630)] = 203935,
  [SMALL_STATE(2631)] = 203991,
  [SMALL_STATE(2632)] = 204047,
  [SMALL_STATE(2633)] = 204103,
  [SMALL_STATE(2634)] = 204165,
  [SMALL_STATE(2635)] = 204221,
  [SMALL_STATE(2636)] = 204277,
  [SMALL_STATE(2637)] = 204373,
  [SMALL_STATE(2638)] = 204429,
  [SMALL_STATE(2639)] = 204489,
  [SMALL_STATE(2640)] = 204545,
  [SMALL_STATE(2641)] = 204605,
  [SMALL_STATE(2642)] = 204663,
  [SMALL_STATE(2643)] = 204719,
  [SMALL_STATE(2644)] = 204775,
  [SMALL_STATE(2645)] = 204835,
  [SMALL_STATE(2646)] = 204895,
  [SMALL_STATE(2647)] = 204957,
  [SMALL_STATE(2648)] = 205019,
  [SMALL_STATE(2649)] = 205079,
  [SMALL_STATE(2650)] = 205135,
  [SMALL_STATE(2651)] = 205195,
  [SMALL_STATE(2652)] = 205251,
  [SMALL_STATE(2653)] = 205315,
  [SMALL_STATE(2654)] = 205371,
  [SMALL_STATE(2655)] = 205427,
  [SMALL_STATE(2656)] = 205483,
  [SMALL_STATE(2657)] = 205539,
  [SMALL_STATE(2658)] = 205595,
  [SMALL_STATE(2659)] = 205655,
  [SMALL_STATE(2660)] = 205711,
  [SMALL_STATE(2661)] = 205767,
  [SMALL_STATE(2662)] = 205827,
  [SMALL_STATE(2663)] = 205883,
  [SMALL_STATE(2664)] = 205939,
  [SMALL_STATE(2665)] = 205995,
  [SMALL_STATE(2666)] = 206059,
  [SMALL_STATE(2667)] = 206115,
  [SMALL_STATE(2668)] = 206171,
  [SMALL_STATE(2669)] = 206227,
  [SMALL_STATE(2670)] = 206283,
  [SMALL_STATE(2671)] = 206339,
  [SMALL_STATE(2672)] = 206395,
  [SMALL_STATE(2673)] = 206451,
  [SMALL_STATE(2674)] = 206507,
  [SMALL_STATE(2675)] = 206563,
  [SMALL_STATE(2676)] = 206623,
  [SMALL_STATE(2677)] = 206679,
  [SMALL_STATE(2678)] = 206739,
  [SMALL_STATE(2679)] = 206795,
  [SMALL_STATE(2680)] = 206851,
  [SMALL_STATE(2681)] = 206907,
  [SMALL_STATE(2682)] = 206963,
  [SMALL_STATE(2683)] = 207023,
  [SMALL_STATE(2684)] = 207079,
  [SMALL_STATE(2685)] = 207139,
  [SMALL_STATE(2686)] = 207195,
  [SMALL_STATE(2687)] = 207251,
  [SMALL_STATE(2688)] = 207307,
  [SMALL_STATE(2689)] = 207367,
  [SMALL_STATE(2690)] = 207423,
  [SMALL_STATE(2691)] = 207479,
  [SMALL_STATE(2692)] = 207535,
  [SMALL_STATE(2693)] = 207591,
  [SMALL_STATE(2694)] = 207647,
  [SMALL_STATE(2695)] = 207703,
  [SMALL_STATE(2696)] = 207759,
  [SMALL_STATE(2697)] = 207815,
  [SMALL_STATE(2698)] = 207879,
  [SMALL_STATE(2699)] = 207935,
  [SMALL_STATE(2700)] = 207991,
  [SMALL_STATE(2701)] = 208047,
  [SMALL_STATE(2702)] = 208103,
  [SMALL_STATE(2703)] = 208159,
  [SMALL_STATE(2704)] = 208215,
  [SMALL_STATE(2705)] = 208271,
  [SMALL_STATE(2706)] = 208327,
  [SMALL_STATE(2707)] = 208386,
  [SMALL_STATE(2708)] = 208441,
  [SMALL_STATE(2709)] = 208502,
  [SMALL_STATE(2710)] = 208563,
  [SMALL_STATE(2711)] = 208626,
  [SMALL_STATE(2712)] = 208689,
  [SMALL_STATE(2713)] = 208744,
  [SMALL_STATE(2714)] = 208805,
  [SMALL_STATE(2715)] = 208864,
  [SMALL_STATE(2716)] = 208921,
  [SMALL_STATE(2717)] = 208982,
  [SMALL_STATE(2718)] = 209041,
  [SMALL_STATE(2719)] = 209102,
  [SMALL_STATE(2720)] = 209163,
  [SMALL_STATE(2721)] = 209222,
  [SMALL_STATE(2722)] = 209283,
  [SMALL_STATE(2723)] = 209338,
  [SMALL_STATE(2724)] = 209393,
  [SMALL_STATE(2725)] = 209448,
  [SMALL_STATE(2726)] = 209507,
  [SMALL_STATE(2727)] = 209568,
  [SMALL_STATE(2728)] = 209623,
  [SMALL_STATE(2729)] = 209686,
  [SMALL_STATE(2730)] = 209741,
  [SMALL_STATE(2731)] = 209796,
  [SMALL_STATE(2732)] = 209853,
  [SMALL_STATE(2733)] = 209910,
  [SMALL_STATE(2734)] = 209973,
  [SMALL_STATE(2735)] = 210028,
  [SMALL_STATE(2736)] = 210089,
  [SMALL_STATE(2737)] = 210146,
  [SMALL_STATE(2738)] = 210203,
  [SMALL_STATE(2739)] = 210260,
  [SMALL_STATE(2740)] = 210317,
  [SMALL_STATE(2741)] = 210376,
  [SMALL_STATE(2742)] = 210451,
  [SMALL_STATE(2743)] = 210516,
  [SMALL_STATE(2744)] = 210579,
  [SMALL_STATE(2745)] = 210642,
  [SMALL_STATE(2746)] = 210699,
  [SMALL_STATE(2747)] = 210754,
  [SMALL_STATE(2748)] = 210811,
  [SMALL_STATE(2749)] = 210866,
  [SMALL_STATE(2750)] = 210923,
  [SMALL_STATE(2751)] = 210980,
  [SMALL_STATE(2752)] = 211037,
  [SMALL_STATE(2753)] = 211094,
  [SMALL_STATE(2754)] = 211151,
  [SMALL_STATE(2755)] = 211208,
  [SMALL_STATE(2756)] = 211271,
  [SMALL_STATE(2757)] = 211328,
  [SMALL_STATE(2758)] = 211383,
  [SMALL_STATE(2759)] = 211442,
  [SMALL_STATE(2760)] = 211499,
  [SMALL_STATE(2761)] = 211556,
  [SMALL_STATE(2762)] = 211651,
  [SMALL_STATE(2763)] = 211708,
  [SMALL_STATE(2764)] = 211767,
  [SMALL_STATE(2765)] = 211830,
  [SMALL_STATE(2766)] = 211893,
  [SMALL_STATE(2767)] = 211988,
  [SMALL_STATE(2768)] = 212051,
  [SMALL_STATE(2769)] = 212114,
  [SMALL_STATE(2770)] = 212171,
  [SMALL_STATE(2771)] = 212232,
  [SMALL_STATE(2772)] = 212293,
  [SMALL_STATE(2773)] = 212388,
  [SMALL_STATE(2774)] = 212445,
  [SMALL_STATE(2775)] = 212500,
  [SMALL_STATE(2776)] = 212563,
  [SMALL_STATE(2777)] = 212626,
  [SMALL_STATE(2778)] = 212715,
  [SMALL_STATE(2779)] = 212770,
  [SMALL_STATE(2780)] = 212871,
  [SMALL_STATE(2781)] = 212960,
  [SMALL_STATE(2782)] = 213019,
  [SMALL_STATE(2783)] = 213078,
  [SMALL_STATE(2784)] = 213137,
  [SMALL_STATE(2785)] = 213222,
  [SMALL_STATE(2786)] = 213287,
  [SMALL_STATE(2787)] = 213358,
  [SMALL_STATE(2788)] = 213417,
  [SMALL_STATE(2789)] = 213476,
  [SMALL_STATE(2790)] = 213535,
  [SMALL_STATE(2791)] = 213592,
  [SMALL_STATE(2792)] = 213651,
  [SMALL_STATE(2793)] = 213710,
  [SMALL_STATE(2794)] = 213769,
  [SMALL_STATE(2795)] = 213826,
  [SMALL_STATE(2796)] = 213883,
  [SMALL_STATE(2797)] = 213940,
  [SMALL_STATE(2798)] = 213999,
  [SMALL_STATE(2799)] = 214074,
  [SMALL_STATE(2800)] = 214133,
  [SMALL_STATE(2801)] = 214192,
  [SMALL_STATE(2802)] = 214251,
  [SMALL_STATE(2803)] = 214310,
  [SMALL_STATE(2804)] = 214369,
  [SMALL_STATE(2805)] = 214428,
  [SMALL_STATE(2806)] = 214487,
  [SMALL_STATE(2807)] = 214554,
  [SMALL_STATE(2808)] = 214613,
  [SMALL_STATE(2809)] = 214694,
  [SMALL_STATE(2810)] = 214755,
  [SMALL_STATE(2811)] = 214848,
  [SMALL_STATE(2812)] = 214939,
  [SMALL_STATE(2813)] = 215034,
  [SMALL_STATE(2814)] = 215095,
  [SMALL_STATE(2815)] = 215156,
  [SMALL_STATE(2816)] = 215213,
  [SMALL_STATE(2817)] = 215270,
  [SMALL_STATE(2818)] = 215329,
  [SMALL_STATE(2819)] = 215390,
  [SMALL_STATE(2820)] = 215451,
  [SMALL_STATE(2821)] = 215510,
  [SMALL_STATE(2822)] = 215571,
  [SMALL_STATE(2823)] = 215630,
  [SMALL_STATE(2824)] = 215689,
  [SMALL_STATE(2825)] = 215750,
  [SMALL_STATE(2826)] = 215811,
  [SMALL_STATE(2827)] = 215870,
  [SMALL_STATE(2828)] = 215933,
  [SMALL_STATE(2829)] = 215996,
  [SMALL_STATE(2830)] = 216053,
  [SMALL_STATE(2831)] = 216112,
  [SMALL_STATE(2832)] = 216169,
  [SMALL_STATE(2833)] = 216230,
  [SMALL_STATE(2834)] = 216287,
  [SMALL_STATE(2835)] = 216342,
  [SMALL_STATE(2836)] = 216401,
  [SMALL_STATE(2837)] = 216458,
  [SMALL_STATE(2838)] = 216513,
  [SMALL_STATE(2839)] = 216576,
  [SMALL_STATE(2840)] = 216633,
  [SMALL_STATE(2841)] = 216690,
  [SMALL_STATE(2842)] = 216747,
  [SMALL_STATE(2843)] = 216804,
  [SMALL_STATE(2844)] = 216861,
  [SMALL_STATE(2845)] = 216918,
  [SMALL_STATE(2846)] = 216975,
  [SMALL_STATE(2847)] = 217030,
  [SMALL_STATE(2848)] = 217091,
  [SMALL_STATE(2849)] = 217146,
  [SMALL_STATE(2850)] = 217201,
  [SMALL_STATE(2851)] = 217255,
  [SMALL_STATE(2852)] = 217309,
  [SMALL_STATE(2853)] = 217369,
  [SMALL_STATE(2854)] = 217429,
  [SMALL_STATE(2855)] = 217487,
  [SMALL_STATE(2856)] = 217545,
  [SMALL_STATE(2857)] = 217605,
  [SMALL_STATE(2858)] = 217665,
  [SMALL_STATE(2859)] = 217719,
  [SMALL_STATE(2860)] = 217773,
  [SMALL_STATE(2861)] = 217827,
  [SMALL_STATE(2862)] = 217881,
  [SMALL_STATE(2863)] = 217939,
  [SMALL_STATE(2864)] = 217993,
  [SMALL_STATE(2865)] = 218053,
  [SMALL_STATE(2866)] = 218111,
  [SMALL_STATE(2867)] = 218165,
  [SMALL_STATE(2868)] = 218259,
  [SMALL_STATE(2869)] = 218319,
  [SMALL_STATE(2870)] = 218375,
  [SMALL_STATE(2871)] = 218429,
  [SMALL_STATE(2872)] = 218489,
  [SMALL_STATE(2873)] = 218547,
  [SMALL_STATE(2874)] = 218601,
  [SMALL_STATE(2875)] = 218655,
  [SMALL_STATE(2876)] = 218713,
  [SMALL_STATE(2877)] = 218771,
  [SMALL_STATE(2878)] = 218829,
  [SMALL_STATE(2879)] = 218887,
  [SMALL_STATE(2880)] = 218945,
  [SMALL_STATE(2881)] = 219001,
  [SMALL_STATE(2882)] = 219057,
  [SMALL_STATE(2883)] = 219119,
  [SMALL_STATE(2884)] = 219173,
  [SMALL_STATE(2885)] = 219227,
  [SMALL_STATE(2886)] = 219281,
  [SMALL_STATE(2887)] = 219337,
  [SMALL_STATE(2888)] = 219391,
  [SMALL_STATE(2889)] = 219445,
  [SMALL_STATE(2890)] = 219499,
  [SMALL_STATE(2891)] = 219557,
  [SMALL_STATE(2892)] = 219615,
  [SMALL_STATE(2893)] = 219673,
  [SMALL_STATE(2894)] = 219731,
  [SMALL_STATE(2895)] = 219789,
  [SMALL_STATE(2896)] = 219843,
  [SMALL_STATE(2897)] = 219901,
  [SMALL_STATE(2898)] = 219955,
  [SMALL_STATE(2899)] = 220009,
  [SMALL_STATE(2900)] = 220067,
  [SMALL_STATE(2901)] = 220121,
  [SMALL_STATE(2902)] = 220179,
  [SMALL_STATE(2903)] = 220239,
  [SMALL_STATE(2904)] = 220297,
  [SMALL_STATE(2905)] = 220351,
  [SMALL_STATE(2906)] = 220411,
  [SMALL_STATE(2907)] = 220465,
  [SMALL_STATE(2908)] = 220523,
  [SMALL_STATE(2909)] = 220581,
  [SMALL_STATE(2910)] = 220639,
  [SMALL_STATE(2911)] = 220697,
  [SMALL_STATE(2912)] = 220757,
  [SMALL_STATE(2913)] = 220815,
  [SMALL_STATE(2914)] = 220869,
  [SMALL_STATE(2915)] = 220931,
  [SMALL_STATE(2916)] = 220987,
  [SMALL_STATE(2917)] = 221043,
  [SMALL_STATE(2918)] = 221099,
  [SMALL_STATE(2919)] = 221155,
  [SMALL_STATE(2920)] = 221211,
  [SMALL_STATE(2921)] = 221265,
  [SMALL_STATE(2922)] = 221319,
  [SMALL_STATE(2923)] = 221373,
  [SMALL_STATE(2924)] = 221435,
  [SMALL_STATE(2925)] = 221491,
  [SMALL_STATE(2926)] = 221545,
  [SMALL_STATE(2927)] = 221599,
  [SMALL_STATE(2928)] = 221655,
  [SMALL_STATE(2929)] = 221715,
  [SMALL_STATE(2930)] = 221769,
  [SMALL_STATE(2931)] = 221825,
  [SMALL_STATE(2932)] = 221881,
  [SMALL_STATE(2933)] = 221939,
  [SMALL_STATE(2934)] = 221995,
  [SMALL_STATE(2935)] = 222049,
  [SMALL_STATE(2936)] = 222143,
  [SMALL_STATE(2937)] = 222201,
  [SMALL_STATE(2938)] = 222259,
  [SMALL_STATE(2939)] = 222317,
  [SMALL_STATE(2940)] = 222371,
  [SMALL_STATE(2941)] = 222425,
  [SMALL_STATE(2942)] = 222483,
  [SMALL_STATE(2943)] = 222539,
  [SMALL_STATE(2944)] = 222593,
  [SMALL_STATE(2945)] = 222649,
  [SMALL_STATE(2946)] = 222705,
  [SMALL_STATE(2947)] = 222759,
  [SMALL_STATE(2948)] = 222813,
  [SMALL_STATE(2949)] = 222867,
  [SMALL_STATE(2950)] = 222929,
  [SMALL_STATE(2951)] = 222983,
  [SMALL_STATE(2952)] = 223041,
  [SMALL_STATE(2953)] = 223095,
  [SMALL_STATE(2954)] = 223149,
  [SMALL_STATE(2955)] = 223211,
  [SMALL_STATE(2956)] = 223265,
  [SMALL_STATE(2957)] = 223319,
  [SMALL_STATE(2958)] = 223373,
  [SMALL_STATE(2959)] = 223435,
  [SMALL_STATE(2960)] = 223491,
  [SMALL_STATE(2961)] = 223549,
  [SMALL_STATE(2962)] = 223603,
  [SMALL_STATE(2963)] = 223661,
  [SMALL_STATE(2964)] = 223719,
  [SMALL_STATE(2965)] = 223777,
  [SMALL_STATE(2966)] = 223835,
  [SMALL_STATE(2967)] = 223893,
  [SMALL_STATE(2968)] = 223949,
  [SMALL_STATE(2969)] = 224003,
  [SMALL_STATE(2970)] = 224059,
  [SMALL_STATE(2971)] = 224117,
  [SMALL_STATE(2972)] = 224171,
  [SMALL_STATE(2973)] = 224225,
  [SMALL_STATE(2974)] = 224283,
  [SMALL_STATE(2975)] = 224343,
  [SMALL_STATE(2976)] = 224403,
  [SMALL_STATE(2977)] = 224459,
  [SMALL_STATE(2978)] = 224515,
  [SMALL_STATE(2979)] = 224571,
  [SMALL_STATE(2980)] = 224629,
  [SMALL_STATE(2981)] = 224683,
  [SMALL_STATE(2982)] = 224737,
  [SMALL_STATE(2983)] = 224791,
  [SMALL_STATE(2984)] = 224849,
  [SMALL_STATE(2985)] = 224903,
  [SMALL_STATE(2986)] = 224961,
  [SMALL_STATE(2987)] = 225015,
  [SMALL_STATE(2988)] = 225069,
  [SMALL_STATE(2989)] = 225129,
  [SMALL_STATE(2990)] = 225185,
  [SMALL_STATE(2991)] = 225245,
  [SMALL_STATE(2992)] = 225305,
  [SMALL_STATE(2993)] = 225365,
  [SMALL_STATE(2994)] = 225425,
  [SMALL_STATE(2995)] = 225485,
  [SMALL_STATE(2996)] = 225545,
  [SMALL_STATE(2997)] = 225599,
  [SMALL_STATE(2998)] = 225657,
  [SMALL_STATE(2999)] = 225713,
  [SMALL_STATE(3000)] = 225771,
  [SMALL_STATE(3001)] = 225825,
  [SMALL_STATE(3002)] = 225885,
  [SMALL_STATE(3003)] = 225987,
  [SMALL_STATE(3004)] = 226041,
  [SMALL_STATE(3005)] = 226099,
  [SMALL_STATE(3006)] = 226153,
  [SMALL_STATE(3007)] = 226207,
  [SMALL_STATE(3008)] = 226261,
  [SMALL_STATE(3009)] = 226323,
  [SMALL_STATE(3010)] = 226381,
  [SMALL_STATE(3011)] = 226435,
  [SMALL_STATE(3012)] = 226489,
  [SMALL_STATE(3013)] = 226543,
  [SMALL_STATE(3014)] = 226597,
  [SMALL_STATE(3015)] = 226651,
  [SMALL_STATE(3016)] = 226705,
  [SMALL_STATE(3017)] = 226761,
  [SMALL_STATE(3018)] = 226815,
  [SMALL_STATE(3019)] = 226871,
  [SMALL_STATE(3020)] = 226925,
  [SMALL_STATE(3021)] = 226979,
  [SMALL_STATE(3022)] = 227033,
  [SMALL_STATE(3023)] = 227089,
  [SMALL_STATE(3024)] = 227145,
  [SMALL_STATE(3025)] = 227203,
  [SMALL_STATE(3026)] = 227257,
  [SMALL_STATE(3027)] = 227317,
  [SMALL_STATE(3028)] = 227371,
  [SMALL_STATE(3029)] = 227425,
  [SMALL_STATE(3030)] = 227479,
  [SMALL_STATE(3031)] = 227537,
  [SMALL_STATE(3032)] = 227595,
  [SMALL_STATE(3033)] = 227651,
  [SMALL_STATE(3034)] = 227713,
  [SMALL_STATE(3035)] = 227775,
  [SMALL_STATE(3036)] = 227837,
  [SMALL_STATE(3037)] = 227897,
  [SMALL_STATE(3038)] = 227957,
  [SMALL_STATE(3039)] = 228017,
  [SMALL_STATE(3040)] = 228077,
  [SMALL_STATE(3041)] = 228137,
  [SMALL_STATE(3042)] = 228197,
  [SMALL_STATE(3043)] = 228255,
  [SMALL_STATE(3044)] = 228313,
  [SMALL_STATE(3045)] = 228371,
  [SMALL_STATE(3046)] = 228433,
  [SMALL_STATE(3047)] = 228495,
  [SMALL_STATE(3048)] = 228557,
  [SMALL_STATE(3049)] = 228613,
  [SMALL_STATE(3050)] = 228673,
  [SMALL_STATE(3051)] = 228727,
  [SMALL_STATE(3052)] = 228785,
  [SMALL_STATE(3053)] = 228847,
  [SMALL_STATE(3054)] = 228901,
  [SMALL_STATE(3055)] = 228955,
  [SMALL_STATE(3056)] = 229009,
  [SMALL_STATE(3057)] = 229063,
  [SMALL_STATE(3058)] = 229117,
  [SMALL_STATE(3059)] = 229173,
  [SMALL_STATE(3060)] = 229227,
  [SMALL_STATE(3061)] = 229289,
  [SMALL_STATE(3062)] = 229343,
  [SMALL_STATE(3063)] = 229397,
  [SMALL_STATE(3064)] = 229455,
  [SMALL_STATE(3065)] = 229509,
  [SMALL_STATE(3066)] = 229563,
  [SMALL_STATE(3067)] = 229621,
  [SMALL_STATE(3068)] = 229679,
  [SMALL_STATE(3069)] = 229737,
  [SMALL_STATE(3070)] = 229795,
  [SMALL_STATE(3071)] = 229849,
  [SMALL_STATE(3072)] = 229903,
  [SMALL_STATE(3073)] = 229965,
  [SMALL_STATE(3074)] = 230021,
  [SMALL_STATE(3075)] = 230079,
  [SMALL_STATE(3076)] = 230133,
  [SMALL_STATE(3077)] = 230187,
  [SMALL_STATE(3078)] = 230241,
  [SMALL_STATE(3079)] = 230297,
  [SMALL_STATE(3080)] = 230353,
  [SMALL_STATE(3081)] = 230407,
  [SMALL_STATE(3082)] = 230461,
  [SMALL_STATE(3083)] = 230517,
  [SMALL_STATE(3084)] = 230575,
  [SMALL_STATE(3085)] = 230637,
  [SMALL_STATE(3086)] = 230695,
  [SMALL_STATE(3087)] = 230753,
  [SMALL_STATE(3088)] = 230811,
  [SMALL_STATE(3089)] = 230905,
  [SMALL_STATE(3090)] = 230961,
  [SMALL_STATE(3091)] = 231017,
  [SMALL_STATE(3092)] = 231071,
  [SMALL_STATE(3093)] = 231129,
  [SMALL_STATE(3094)] = 231187,
  [SMALL_STATE(3095)] = 231245,
  [SMALL_STATE(3096)] = 231299,
  [SMALL_STATE(3097)] = 231357,
  [SMALL_STATE(3098)] = 231415,
  [SMALL_STATE(3099)] = 231472,
  [SMALL_STATE(3100)] = 231529,
  [SMALL_STATE(3101)] = 231582,
  [SMALL_STATE(3102)] = 231639,
  [SMALL_STATE(3103)] = 231694,
  [SMALL_STATE(3104)] = 231747,
  [SMALL_STATE(3105)] = 231802,
  [SMALL_STATE(3106)] = 231857,
  [SMALL_STATE(3107)] = 231910,
  [SMALL_STATE(3108)] = 231963,
  [SMALL_STATE(3109)] = 232016,
  [SMALL_STATE(3110)] = 232069,
  [SMALL_STATE(3111)] = 232126,
  [SMALL_STATE(3112)] = 232179,
  [SMALL_STATE(3113)] = 232232,
  [SMALL_STATE(3114)] = 232291,
  [SMALL_STATE(3115)] = 232344,
  [SMALL_STATE(3116)] = 232397,
  [SMALL_STATE(3117)] = 232452,
  [SMALL_STATE(3118)] = 232509,
  [SMALL_STATE(3119)] = 232564,
  [SMALL_STATE(3120)] = 232621,
  [SMALL_STATE(3121)] = 232676,
  [SMALL_STATE(3122)] = 232733,
  [SMALL_STATE(3123)] = 232788,
  [SMALL_STATE(3124)] = 232845,
  [SMALL_STATE(3125)] = 232950,
  [SMALL_STATE(3126)] = 233007,
  [SMALL_STATE(3127)] = 233064,
  [SMALL_STATE(3128)] = 233119,
  [SMALL_STATE(3129)] = 233174,
  [SMALL_STATE(3130)] = 233229,
  [SMALL_STATE(3131)] = 233284,
  [SMALL_STATE(3132)] = 233337,
  [SMALL_STATE(3133)] = 233394,
  [SMALL_STATE(3134)] = 233451,
  [SMALL_STATE(3135)] = 233508,
  [SMALL_STATE(3136)] = 233561,
  [SMALL_STATE(3137)] = 233618,
  [SMALL_STATE(3138)] = 233675,
  [SMALL_STATE(3139)] = 233728,
  [SMALL_STATE(3140)] = 233781,
  [SMALL_STATE(3141)] = 233838,
  [SMALL_STATE(3142)] = 233891,
  [SMALL_STATE(3143)] = 233944,
  [SMALL_STATE(3144)] = 233997,
  [SMALL_STATE(3145)] = 234052,
  [SMALL_STATE(3146)] = 234105,
  [SMALL_STATE(3147)] = 234158,
  [SMALL_STATE(3148)] = 234211,
  [SMALL_STATE(3149)] = 234268,
  [SMALL_STATE(3150)] = 234327,
  [SMALL_STATE(3151)] = 234386,
  [SMALL_STATE(3152)] = 234443,
  [SMALL_STATE(3153)] = 234544,
  [SMALL_STATE(3154)] = 234601,
  [SMALL_STATE(3155)] = 234654,
  [SMALL_STATE(3156)] = 234707,
  [SMALL_STATE(3157)] = 234764,
  [SMALL_STATE(3158)] = 234821,
  [SMALL_STATE(3159)] = 234878,
  [SMALL_STATE(3160)] = 234931,
  [SMALL_STATE(3161)] = 234988,
  [SMALL_STATE(3162)] = 235041,
  [SMALL_STATE(3163)] = 235098,
  [SMALL_STATE(3164)] = 235155,
  [SMALL_STATE(3165)] = 235210,
  [SMALL_STATE(3166)] = 235267,
  [SMALL_STATE(3167)] = 235320,
  [SMALL_STATE(3168)] = 235373,
  [SMALL_STATE(3169)] = 235430,
  [SMALL_STATE(3170)] = 235487,
  [SMALL_STATE(3171)] = 235540,
  [SMALL_STATE(3172)] = 235595,
  [SMALL_STATE(3173)] = 235650,
  [SMALL_STATE(3174)] = 235707,
  [SMALL_STATE(3175)] = 235764,
  [SMALL_STATE(3176)] = 235821,
  [SMALL_STATE(3177)] = 235878,
  [SMALL_STATE(3178)] = 235931,
  [SMALL_STATE(3179)] = 235984,
  [SMALL_STATE(3180)] = 236043,
  [SMALL_STATE(3181)] = 236100,
  [SMALL_STATE(3182)] = 236153,
  [SMALL_STATE(3183)] = 236210,
  [SMALL_STATE(3184)] = 236271,
  [SMALL_STATE(3185)] = 236332,
  [SMALL_STATE(3186)] = 236385,
  [SMALL_STATE(3187)] = 236442,
  [SMALL_STATE(3188)] = 236499,
  [SMALL_STATE(3189)] = 236556,
  [SMALL_STATE(3190)] = 236613,
  [SMALL_STATE(3191)] = 236668,
  [SMALL_STATE(3192)] = 236723,
  [SMALL_STATE(3193)] = 236778,
  [SMALL_STATE(3194)] = 236833,
  [SMALL_STATE(3195)] = 236888,
  [SMALL_STATE(3196)] = 236941,
  [SMALL_STATE(3197)] = 236994,
  [SMALL_STATE(3198)] = 237047,
  [SMALL_STATE(3199)] = 237100,
  [SMALL_STATE(3200)] = 237153,
  [SMALL_STATE(3201)] = 237206,
  [SMALL_STATE(3202)] = 237267,
  [SMALL_STATE(3203)] = 237324,
  [SMALL_STATE(3204)] = 237381,
  [SMALL_STATE(3205)] = 237438,
  [SMALL_STATE(3206)] = 237491,
  [SMALL_STATE(3207)] = 237544,
  [SMALL_STATE(3208)] = 237599,
  [SMALL_STATE(3209)] = 237654,
  [SMALL_STATE(3210)] = 237709,
  [SMALL_STATE(3211)] = 237762,
  [SMALL_STATE(3212)] = 237819,
  [SMALL_STATE(3213)] = 237878,
  [SMALL_STATE(3214)] = 237933,
  [SMALL_STATE(3215)] = 237992,
  [SMALL_STATE(3216)] = 238049,
  [SMALL_STATE(3217)] = 238104,
  [SMALL_STATE(3218)] = 238163,
  [SMALL_STATE(3219)] = 238222,
  [SMALL_STATE(3220)] = 238275,
  [SMALL_STATE(3221)] = 238334,
  [SMALL_STATE(3222)] = 238387,
  [SMALL_STATE(3223)] = 238442,
  [SMALL_STATE(3224)] = 238495,
  [SMALL_STATE(3225)] = 238550,
  [SMALL_STATE(3226)] = 238609,
  [SMALL_STATE(3227)] = 238666,
  [SMALL_STATE(3228)] = 238725,
  [SMALL_STATE(3229)] = 238782,
  [SMALL_STATE(3230)] = 238835,
  [SMALL_STATE(3231)] = 238888,
  [SMALL_STATE(3232)] = 238941,
  [SMALL_STATE(3233)] = 238994,
  [SMALL_STATE(3234)] = 239051,
  [SMALL_STATE(3235)] = 239106,
  [SMALL_STATE(3236)] = 239163,
  [SMALL_STATE(3237)] = 239216,
  [SMALL_STATE(3238)] = 239269,
  [SMALL_STATE(3239)] = 239322,
  [SMALL_STATE(3240)] = 239375,
  [SMALL_STATE(3241)] = 239432,
  [SMALL_STATE(3242)] = 239485,
  [SMALL_STATE(3243)] = 239538,
  [SMALL_STATE(3244)] = 239593,
  [SMALL_STATE(3245)] = 239648,
  [SMALL_STATE(3246)] = 239705,
  [SMALL_STATE(3247)] = 239762,
  [SMALL_STATE(3248)] = 239819,
  [SMALL_STATE(3249)] = 239876,
  [SMALL_STATE(3250)] = 239933,
  [SMALL_STATE(3251)] = 239988,
  [SMALL_STATE(3252)] = 240043,
  [SMALL_STATE(3253)] = 240096,
  [SMALL_STATE(3254)] = 240153,
  [SMALL_STATE(3255)] = 240210,
  [SMALL_STATE(3256)] = 240267,
  [SMALL_STATE(3257)] = 240324,
  [SMALL_STATE(3258)] = 240381,
  [SMALL_STATE(3259)] = 240434,
  [SMALL_STATE(3260)] = 240487,
  [SMALL_STATE(3261)] = 240540,
  [SMALL_STATE(3262)] = 240593,
  [SMALL_STATE(3263)] = 240648,
  [SMALL_STATE(3264)] = 240701,
  [SMALL_STATE(3265)] = 240758,
  [SMALL_STATE(3266)] = 240811,
  [SMALL_STATE(3267)] = 240864,
  [SMALL_STATE(3268)] = 240921,
  [SMALL_STATE(3269)] = 240974,
  [SMALL_STATE(3270)] = 241031,
  [SMALL_STATE(3271)] = 241084,
  [SMALL_STATE(3272)] = 241141,
  [SMALL_STATE(3273)] = 241198,
  [SMALL_STATE(3274)] = 241251,
  [SMALL_STATE(3275)] = 241308,
  [SMALL_STATE(3276)] = 241361,
  [SMALL_STATE(3277)] = 241414,
  [SMALL_STATE(3278)] = 241467,
  [SMALL_STATE(3279)] = 241524,
  [SMALL_STATE(3280)] = 241577,
  [SMALL_STATE(3281)] = 241630,
  [SMALL_STATE(3282)] = 241687,
  [SMALL_STATE(3283)] = 241740,
  [SMALL_STATE(3284)] = 241797,
  [SMALL_STATE(3285)] = 241852,
  [SMALL_STATE(3286)] = 241905,
  [SMALL_STATE(3287)] = 241958,
  [SMALL_STATE(3288)] = 242019,
  [SMALL_STATE(3289)] = 242076,
  [SMALL_STATE(3290)] = 242129,
  [SMALL_STATE(3291)] = 242182,
  [SMALL_STATE(3292)] = 242237,
  [SMALL_STATE(3293)] = 242294,
  [SMALL_STATE(3294)] = 242347,
  [SMALL_STATE(3295)] = 242400,
  [SMALL_STATE(3296)] = 242453,
  [SMALL_STATE(3297)] = 242506,
  [SMALL_STATE(3298)] = 242559,
  [SMALL_STATE(3299)] = 242616,
  [SMALL_STATE(3300)] = 242673,
  [SMALL_STATE(3301)] = 242730,
  [SMALL_STATE(3302)] = 242791,
  [SMALL_STATE(3303)] = 242846,
  [SMALL_STATE(3304)] = 242899,
  [SMALL_STATE(3305)] = 242952,
  [SMALL_STATE(3306)] = 243005,
  [SMALL_STATE(3307)] = 243058,
  [SMALL_STATE(3308)] = 243111,
  [SMALL_STATE(3309)] = 243168,
  [SMALL_STATE(3310)] = 243221,
  [SMALL_STATE(3311)] = 243274,
  [SMALL_STATE(3312)] = 243327,
  [SMALL_STATE(3313)] = 243384,
  [SMALL_STATE(3314)] = 243441,
  [SMALL_STATE(3315)] = 243494,
  [SMALL_STATE(3316)] = 243547,
  [SMALL_STATE(3317)] = 243602,
  [SMALL_STATE(3318)] = 243655,
  [SMALL_STATE(3319)] = 243712,
  [SMALL_STATE(3320)] = 243769,
  [SMALL_STATE(3321)] = 243826,
  [SMALL_STATE(3322)] = 243879,
  [SMALL_STATE(3323)] = 243936,
  [SMALL_STATE(3324)] = 243993,
  [SMALL_STATE(3325)] = 244046,
  [SMALL_STATE(3326)] = 244103,
  [SMALL_STATE(3327)] = 244160,
  [SMALL_STATE(3328)] = 244217,
  [SMALL_STATE(3329)] = 244270,
  [SMALL_STATE(3330)] = 244323,
  [SMALL_STATE(3331)] = 244380,
  [SMALL_STATE(3332)] = 244433,
  [SMALL_STATE(3333)] = 244486,
  [SMALL_STATE(3334)] = 244543,
  [SMALL_STATE(3335)] = 244596,
  [SMALL_STATE(3336)] = 244649,
  [SMALL_STATE(3337)] = 244706,
  [SMALL_STATE(3338)] = 244763,
  [SMALL_STATE(3339)] = 244820,
  [SMALL_STATE(3340)] = 244877,
  [SMALL_STATE(3341)] = 244934,
  [SMALL_STATE(3342)] = 244989,
  [SMALL_STATE(3343)] = 245046,
  [SMALL_STATE(3344)] = 245151,
  [SMALL_STATE(3345)] = 245206,
  [SMALL_STATE(3346)] = 245263,
  [SMALL_STATE(3347)] = 245318,
  [SMALL_STATE(3348)] = 245373,
  [SMALL_STATE(3349)] = 245430,
  [SMALL_STATE(3350)] = 245487,
  [SMALL_STATE(3351)] = 245540,
  [SMALL_STATE(3352)] = 245593,
  [SMALL_STATE(3353)] = 245650,
  [SMALL_STATE(3354)] = 245707,
  [SMALL_STATE(3355)] = 245762,
  [SMALL_STATE(3356)] = 245855,
  [SMALL_STATE(3357)] = 245908,
  [SMALL_STATE(3358)] = 245965,
  [SMALL_STATE(3359)] = 246022,
  [SMALL_STATE(3360)] = 246079,
  [SMALL_STATE(3361)] = 246136,
  [SMALL_STATE(3362)] = 246193,
  [SMALL_STATE(3363)] = 246250,
  [SMALL_STATE(3364)] = 246307,
  [SMALL_STATE(3365)] = 246364,
  [SMALL_STATE(3366)] = 246421,
  [SMALL_STATE(3367)] = 246476,
  [SMALL_STATE(3368)] = 246529,
  [SMALL_STATE(3369)] = 246582,
  [SMALL_STATE(3370)] = 246637,
  [SMALL_STATE(3371)] = 246692,
  [SMALL_STATE(3372)] = 246749,
  [SMALL_STATE(3373)] = 246804,
  [SMALL_STATE(3374)] = 246859,
  [SMALL_STATE(3375)] = 246916,
  [SMALL_STATE(3376)] = 246971,
  [SMALL_STATE(3377)] = 247026,
  [SMALL_STATE(3378)] = 247081,
  [SMALL_STATE(3379)] = 247138,
  [SMALL_STATE(3380)] = 247193,
  [SMALL_STATE(3381)] = 247246,
  [SMALL_STATE(3382)] = 247303,
  [SMALL_STATE(3383)] = 247358,
  [SMALL_STATE(3384)] = 247415,
  [SMALL_STATE(3385)] = 247470,
  [SMALL_STATE(3386)] = 247575,
  [SMALL_STATE(3387)] = 247628,
  [SMALL_STATE(3388)] = 247685,
  [SMALL_STATE(3389)] = 247742,
  [SMALL_STATE(3390)] = 247799,
  [SMALL_STATE(3391)] = 247858,
  [SMALL_STATE(3392)] = 247917,
  [SMALL_STATE(3393)] = 247974,
  [SMALL_STATE(3394)] = 248029,
  [SMALL_STATE(3395)] = 248086,
  [SMALL_STATE(3396)] = 248143,
  [SMALL_STATE(3397)] = 248198,
  [SMALL_STATE(3398)] = 248251,
  [SMALL_STATE(3399)] = 248306,
  [SMALL_STATE(3400)] = 248359,
  [SMALL_STATE(3401)] = 248414,
  [SMALL_STATE(3402)] = 248469,
  [SMALL_STATE(3403)] = 248528,
  [SMALL_STATE(3404)] = 248583,
  [SMALL_STATE(3405)] = 248638,
  [SMALL_STATE(3406)] = 248695,
  [SMALL_STATE(3407)] = 248750,
  [SMALL_STATE(3408)] = 248805,
  [SMALL_STATE(3409)] = 248860,
  [SMALL_STATE(3410)] = 248915,
  [SMALL_STATE(3411)] = 248970,
  [SMALL_STATE(3412)] = 249025,
  [SMALL_STATE(3413)] = 249080,
  [SMALL_STATE(3414)] = 249135,
  [SMALL_STATE(3415)] = 249190,
  [SMALL_STATE(3416)] = 249245,
  [SMALL_STATE(3417)] = 249300,
  [SMALL_STATE(3418)] = 249355,
  [SMALL_STATE(3419)] = 249410,
  [SMALL_STATE(3420)] = 249465,
  [SMALL_STATE(3421)] = 249520,
  [SMALL_STATE(3422)] = 249575,
  [SMALL_STATE(3423)] = 249630,
  [SMALL_STATE(3424)] = 249723,
  [SMALL_STATE(3425)] = 249776,
  [SMALL_STATE(3426)] = 249831,
  [SMALL_STATE(3427)] = 249888,
  [SMALL_STATE(3428)] = 249943,
  [SMALL_STATE(3429)] = 249997,
  [SMALL_STATE(3430)] = 250051,
  [SMALL_STATE(3431)] = 250105,
  [SMALL_STATE(3432)] = 250157,
  [SMALL_STATE(3433)] = 250209,
  [SMALL_STATE(3434)] = 250291,
  [SMALL_STATE(3435)] = 250343,
  [SMALL_STATE(3436)] = 250399,
  [SMALL_STATE(3437)] = 250453,
  [SMALL_STATE(3438)] = 250505,
  [SMALL_STATE(3439)] = 250557,
  [SMALL_STATE(3440)] = 250609,
  [SMALL_STATE(3441)] = 250661,
  [SMALL_STATE(3442)] = 250717,
  [SMALL_STATE(3443)] = 250769,
  [SMALL_STATE(3444)] = 250823,
  [SMALL_STATE(3445)] = 250875,
  [SMALL_STATE(3446)] = 250927,
  [SMALL_STATE(3447)] = 250979,
  [SMALL_STATE(3448)] = 251033,
  [SMALL_STATE(3449)] = 251085,
  [SMALL_STATE(3450)] = 251137,
  [SMALL_STATE(3451)] = 251189,
  [SMALL_STATE(3452)] = 251241,
  [SMALL_STATE(3453)] = 251293,
  [SMALL_STATE(3454)] = 251345,
  [SMALL_STATE(3455)] = 251397,
  [SMALL_STATE(3456)] = 251451,
  [SMALL_STATE(3457)] = 251503,
  [SMALL_STATE(3458)] = 251555,
  [SMALL_STATE(3459)] = 251607,
  [SMALL_STATE(3460)] = 251659,
  [SMALL_STATE(3461)] = 251713,
  [SMALL_STATE(3462)] = 251817,
  [SMALL_STATE(3463)] = 251869,
  [SMALL_STATE(3464)] = 251921,
  [SMALL_STATE(3465)] = 251975,
  [SMALL_STATE(3466)] = 252027,
  [SMALL_STATE(3467)] = 252079,
  [SMALL_STATE(3468)] = 252131,
  [SMALL_STATE(3469)] = 252183,
  [SMALL_STATE(3470)] = 252235,
  [SMALL_STATE(3471)] = 252287,
  [SMALL_STATE(3472)] = 252339,
  [SMALL_STATE(3473)] = 252393,
  [SMALL_STATE(3474)] = 252445,
  [SMALL_STATE(3475)] = 252497,
  [SMALL_STATE(3476)] = 252557,
  [SMALL_STATE(3477)] = 252609,
  [SMALL_STATE(3478)] = 252665,
  [SMALL_STATE(3479)] = 252725,
  [SMALL_STATE(3480)] = 252777,
  [SMALL_STATE(3481)] = 252839,
  [SMALL_STATE(3482)] = 252907,
  [SMALL_STATE(3483)] = 252959,
  [SMALL_STATE(3484)] = 253013,
  [SMALL_STATE(3485)] = 253065,
  [SMALL_STATE(3486)] = 253117,
  [SMALL_STATE(3487)] = 253175,
  [SMALL_STATE(3488)] = 253227,
  [SMALL_STATE(3489)] = 253299,
  [SMALL_STATE(3490)] = 253351,
  [SMALL_STATE(3491)] = 253403,
  [SMALL_STATE(3492)] = 253457,
  [SMALL_STATE(3493)] = 253509,
  [SMALL_STATE(3494)] = 253561,
  [SMALL_STATE(3495)] = 253613,
  [SMALL_STATE(3496)] = 253665,
  [SMALL_STATE(3497)] = 253719,
  [SMALL_STATE(3498)] = 253773,
  [SMALL_STATE(3499)] = 253829,
  [SMALL_STATE(3500)] = 253881,
  [SMALL_STATE(3501)] = 253935,
  [SMALL_STATE(3502)] = 253987,
  [SMALL_STATE(3503)] = 254039,
  [SMALL_STATE(3504)] = 254091,
  [SMALL_STATE(3505)] = 254143,
  [SMALL_STATE(3506)] = 254195,
  [SMALL_STATE(3507)] = 254251,
  [SMALL_STATE(3508)] = 254303,
  [SMALL_STATE(3509)] = 254355,
  [SMALL_STATE(3510)] = 254407,
  [SMALL_STATE(3511)] = 254459,
  [SMALL_STATE(3512)] = 254511,
  [SMALL_STATE(3513)] = 254563,
  [SMALL_STATE(3514)] = 254617,
  [SMALL_STATE(3515)] = 254669,
  [SMALL_STATE(3516)] = 254723,
  [SMALL_STATE(3517)] = 254775,
  [SMALL_STATE(3518)] = 254827,
  [SMALL_STATE(3519)] = 254881,
  [SMALL_STATE(3520)] = 254933,
  [SMALL_STATE(3521)] = 254987,
  [SMALL_STATE(3522)] = 255073,
  [SMALL_STATE(3523)] = 255129,
  [SMALL_STATE(3524)] = 255181,
  [SMALL_STATE(3525)] = 255233,
  [SMALL_STATE(3526)] = 255285,
  [SMALL_STATE(3527)] = 255337,
  [SMALL_STATE(3528)] = 255389,
  [SMALL_STATE(3529)] = 255443,
  [SMALL_STATE(3530)] = 255497,
  [SMALL_STATE(3531)] = 255549,
  [SMALL_STATE(3532)] = 255603,
  [SMALL_STATE(3533)] = 255657,
  [SMALL_STATE(3534)] = 255711,
  [SMALL_STATE(3535)] = 255763,
  [SMALL_STATE(3536)] = 255819,
  [SMALL_STATE(3537)] = 255871,
  [SMALL_STATE(3538)] = 255923,
  [SMALL_STATE(3539)] = 255979,
  [SMALL_STATE(3540)] = 256031,
  [SMALL_STATE(3541)] = 256087,
  [SMALL_STATE(3542)] = 256139,
  [SMALL_STATE(3543)] = 256191,
  [SMALL_STATE(3544)] = 256243,
  [SMALL_STATE(3545)] = 256297,
  [SMALL_STATE(3546)] = 256383,
  [SMALL_STATE(3547)] = 256435,
  [SMALL_STATE(3548)] = 256487,
  [SMALL_STATE(3549)] = 256539,
  [SMALL_STATE(3550)] = 256593,
  [SMALL_STATE(3551)] = 256649,
  [SMALL_STATE(3552)] = 256701,
  [SMALL_STATE(3553)] = 256753,
  [SMALL_STATE(3554)] = 256807,
  [SMALL_STATE(3555)] = 256863,
  [SMALL_STATE(3556)] = 256915,
  [SMALL_STATE(3557)] = 256967,
  [SMALL_STATE(3558)] = 257019,
  [SMALL_STATE(3559)] = 257071,
  [SMALL_STATE(3560)] = 257125,
  [SMALL_STATE(3561)] = 257177,
  [SMALL_STATE(3562)] = 257231,
  [SMALL_STATE(3563)] = 257283,
  [SMALL_STATE(3564)] = 257335,
  [SMALL_STATE(3565)] = 257387,
  [SMALL_STATE(3566)] = 257439,
  [SMALL_STATE(3567)] = 257491,
  [SMALL_STATE(3568)] = 257543,
  [SMALL_STATE(3569)] = 257597,
  [SMALL_STATE(3570)] = 257651,
  [SMALL_STATE(3571)] = 257705,
  [SMALL_STATE(3572)] = 257759,
  [SMALL_STATE(3573)] = 257851,
  [SMALL_STATE(3574)] = 257907,
  [SMALL_STATE(3575)] = 257963,
  [SMALL_STATE(3576)] = 258017,
  [SMALL_STATE(3577)] = 258073,
  [SMALL_STATE(3578)] = 258125,
  [SMALL_STATE(3579)] = 258179,
  [SMALL_STATE(3580)] = 258231,
  [SMALL_STATE(3581)] = 258283,
  [SMALL_STATE(3582)] = 258335,
  [SMALL_STATE(3583)] = 258389,
  [SMALL_STATE(3584)] = 258453,
  [SMALL_STATE(3585)] = 258507,
  [SMALL_STATE(3586)] = 258559,
  [SMALL_STATE(3587)] = 258613,
  [SMALL_STATE(3588)] = 258665,
  [SMALL_STATE(3589)] = 258719,
  [SMALL_STATE(3590)] = 258771,
  [SMALL_STATE(3591)] = 258825,
  [SMALL_STATE(3592)] = 258877,
  [SMALL_STATE(3593)] = 258929,
  [SMALL_STATE(3594)] = 258981,
  [SMALL_STATE(3595)] = 259037,
  [SMALL_STATE(3596)] = 259093,
  [SMALL_STATE(3597)] = 259145,
  [SMALL_STATE(3598)] = 259197,
  [SMALL_STATE(3599)] = 259249,
  [SMALL_STATE(3600)] = 259301,
  [SMALL_STATE(3601)] = 259353,
  [SMALL_STATE(3602)] = 259405,
  [SMALL_STATE(3603)] = 259457,
  [SMALL_STATE(3604)] = 259509,
  [SMALL_STATE(3605)] = 259561,
  [SMALL_STATE(3606)] = 259613,
  [SMALL_STATE(3607)] = 259665,
  [SMALL_STATE(3608)] = 259717,
  [SMALL_STATE(3609)] = 259769,
  [SMALL_STATE(3610)] = 259821,
  [SMALL_STATE(3611)] = 259877,
  [SMALL_STATE(3612)] = 259931,
  [SMALL_STATE(3613)] = 259983,
  [SMALL_STATE(3614)] = 260035,
  [SMALL_STATE(3615)] = 260087,
  [SMALL_STATE(3616)] = 260139,
  [SMALL_STATE(3617)] = 260195,
  [SMALL_STATE(3618)] = 260247,
  [SMALL_STATE(3619)] = 260299,
  [SMALL_STATE(3620)] = 260351,
  [SMALL_STATE(3621)] = 260405,
  [SMALL_STATE(3622)] = 260461,
  [SMALL_STATE(3623)] = 260533,
  [SMALL_STATE(3624)] = 260585,
  [SMALL_STATE(3625)] = 260637,
  [SMALL_STATE(3626)] = 260691,
  [SMALL_STATE(3627)] = 260747,
  [SMALL_STATE(3628)] = 260809,
  [SMALL_STATE(3629)] = 260863,
  [SMALL_STATE(3630)] = 260919,
  [SMALL_STATE(3631)] = 260971,
  [SMALL_STATE(3632)] = 261023,
  [SMALL_STATE(3633)] = 261077,
  [SMALL_STATE(3634)] = 261129,
  [SMALL_STATE(3635)] = 261187,
  [SMALL_STATE(3636)] = 261275,
  [SMALL_STATE(3637)] = 261329,
  [SMALL_STATE(3638)] = 261381,
  [SMALL_STATE(3639)] = 261471,
  [SMALL_STATE(3640)] = 261549,
  [SMALL_STATE(3641)] = 261601,
  [SMALL_STATE(3642)] = 261655,
  [SMALL_STATE(3643)] = 261709,
  [SMALL_STATE(3644)] = 261761,
  [SMALL_STATE(3645)] = 261813,
  [SMALL_STATE(3646)] = 261865,
  [SMALL_STATE(3647)] = 261917,
  [SMALL_STATE(3648)] = 261969,
  [SMALL_STATE(3649)] = 262021,
  [SMALL_STATE(3650)] = 262077,
  [SMALL_STATE(3651)] = 262129,
  [SMALL_STATE(3652)] = 262185,
  [SMALL_STATE(3653)] = 262239,
  [SMALL_STATE(3654)] = 262293,
  [SMALL_STATE(3655)] = 262347,
  [SMALL_STATE(3656)] = 262401,
  [SMALL_STATE(3657)] = 262453,
  [SMALL_STATE(3658)] = 262507,
  [SMALL_STATE(3659)] = 262561,
  [SMALL_STATE(3660)] = 262613,
  [SMALL_STATE(3661)] = 262665,
  [SMALL_STATE(3662)] = 262717,
  [SMALL_STATE(3663)] = 262769,
  [SMALL_STATE(3664)] = 262825,
  [SMALL_STATE(3665)] = 262881,
  [SMALL_STATE(3666)] = 262935,
  [SMALL_STATE(3667)] = 262987,
  [SMALL_STATE(3668)] = 263039,
  [SMALL_STATE(3669)] = 263091,
  [SMALL_STATE(3670)] = 263145,
  [SMALL_STATE(3671)] = 263201,
  [SMALL_STATE(3672)] = 263255,
  [SMALL_STATE(3673)] = 263309,
  [SMALL_STATE(3674)] = 263363,
  [SMALL_STATE(3675)] = 263415,
  [SMALL_STATE(3676)] = 263473,
  [SMALL_STATE(3677)] = 263525,
  [SMALL_STATE(3678)] = 263581,
  [SMALL_STATE(3679)] = 263635,
  [SMALL_STATE(3680)] = 263689,
  [SMALL_STATE(3681)] = 263743,
  [SMALL_STATE(3682)] = 263799,
  [SMALL_STATE(3683)] = 263853,
  [SMALL_STATE(3684)] = 263909,
  [SMALL_STATE(3685)] = 263963,
  [SMALL_STATE(3686)] = 264015,
  [SMALL_STATE(3687)] = 264069,
  [SMALL_STATE(3688)] = 264123,
  [SMALL_STATE(3689)] = 264175,
  [SMALL_STATE(3690)] = 264227,
  [SMALL_STATE(3691)] = 264281,
  [SMALL_STATE(3692)] = 264335,
  [SMALL_STATE(3693)] = 264387,
  [SMALL_STATE(3694)] = 264441,
  [SMALL_STATE(3695)] = 264495,
  [SMALL_STATE(3696)] = 264549,
  [SMALL_STATE(3697)] = 264601,
  [SMALL_STATE(3698)] = 264653,
  [SMALL_STATE(3699)] = 264707,
  [SMALL_STATE(3700)] = 264759,
  [SMALL_STATE(3701)] = 264811,
  [SMALL_STATE(3702)] = 264865,
  [SMALL_STATE(3703)] = 264919,
  [SMALL_STATE(3704)] = 264973,
  [SMALL_STATE(3705)] = 265025,
  [SMALL_STATE(3706)] = 265077,
  [SMALL_STATE(3707)] = 265131,
  [SMALL_STATE(3708)] = 265187,
  [SMALL_STATE(3709)] = 265243,
  [SMALL_STATE(3710)] = 265295,
  [SMALL_STATE(3711)] = 265347,
  [SMALL_STATE(3712)] = 265401,
  [SMALL_STATE(3713)] = 265457,
  [SMALL_STATE(3714)] = 265513,
  [SMALL_STATE(3715)] = 265565,
  [SMALL_STATE(3716)] = 265619,
  [SMALL_STATE(3717)] = 265673,
  [SMALL_STATE(3718)] = 265727,
  [SMALL_STATE(3719)] = 265781,
  [SMALL_STATE(3720)] = 265833,
  [SMALL_STATE(3721)] = 265887,
  [SMALL_STATE(3722)] = 265939,
  [SMALL_STATE(3723)] = 265991,
  [SMALL_STATE(3724)] = 266045,
  [SMALL_STATE(3725)] = 266097,
  [SMALL_STATE(3726)] = 266151,
  [SMALL_STATE(3727)] = 266203,
  [SMALL_STATE(3728)] = 266257,
  [SMALL_STATE(3729)] = 266309,
  [SMALL_STATE(3730)] = 266363,
  [SMALL_STATE(3731)] = 266417,
  [SMALL_STATE(3732)] = 266469,
  [SMALL_STATE(3733)] = 266525,
  [SMALL_STATE(3734)] = 266579,
  [SMALL_STATE(3735)] = 266633,
  [SMALL_STATE(3736)] = 266687,
  [SMALL_STATE(3737)] = 266741,
  [SMALL_STATE(3738)] = 266795,
  [SMALL_STATE(3739)] = 266849,
  [SMALL_STATE(3740)] = 266903,
  [SMALL_STATE(3741)] = 266957,
  [SMALL_STATE(3742)] = 267009,
  [SMALL_STATE(3743)] = 267065,
  [SMALL_STATE(3744)] = 267119,
  [SMALL_STATE(3745)] = 267171,
  [SMALL_STATE(3746)] = 267223,
  [SMALL_STATE(3747)] = 267275,
  [SMALL_STATE(3748)] = 267329,
  [SMALL_STATE(3749)] = 267381,
  [SMALL_STATE(3750)] = 267435,
  [SMALL_STATE(3751)] = 267487,
  [SMALL_STATE(3752)] = 267539,
  [SMALL_STATE(3753)] = 267591,
  [SMALL_STATE(3754)] = 267647,
  [SMALL_STATE(3755)] = 267701,
  [SMALL_STATE(3756)] = 267755,
  [SMALL_STATE(3757)] = 267809,
  [SMALL_STATE(3758)] = 267863,
  [SMALL_STATE(3759)] = 267917,
  [SMALL_STATE(3760)] = 267971,
  [SMALL_STATE(3761)] = 268031,
  [SMALL_STATE(3762)] = 268091,
  [SMALL_STATE(3763)] = 268145,
  [SMALL_STATE(3764)] = 268199,
  [SMALL_STATE(3765)] = 268251,
  [SMALL_STATE(3766)] = 268303,
  [SMALL_STATE(3767)] = 268355,
  [SMALL_STATE(3768)] = 268409,
  [SMALL_STATE(3769)] = 268461,
  [SMALL_STATE(3770)] = 268515,
  [SMALL_STATE(3771)] = 268567,
  [SMALL_STATE(3772)] = 268665,
  [SMALL_STATE(3773)] = 268717,
  [SMALL_STATE(3774)] = 268771,
  [SMALL_STATE(3775)] = 268823,
  [SMALL_STATE(3776)] = 268875,
  [SMALL_STATE(3777)] = 268929,
  [SMALL_STATE(3778)] = 268981,
  [SMALL_STATE(3779)] = 269033,
  [SMALL_STATE(3780)] = 269085,
  [SMALL_STATE(3781)] = 269141,
  [SMALL_STATE(3782)] = 269197,
  [SMALL_STATE(3783)] = 269249,
  [SMALL_STATE(3784)] = 269301,
  [SMALL_STATE(3785)] = 269357,
  [SMALL_STATE(3786)] = 269409,
  [SMALL_STATE(3787)] = 269461,
  [SMALL_STATE(3788)] = 269513,
  [SMALL_STATE(3789)] = 269565,
  [SMALL_STATE(3790)] = 269619,
  [SMALL_STATE(3791)] = 269673,
  [SMALL_STATE(3792)] = 269727,
  [SMALL_STATE(3793)] = 269779,
  [SMALL_STATE(3794)] = 269831,
  [SMALL_STATE(3795)] = 269883,
  [SMALL_STATE(3796)] = 269935,
  [SMALL_STATE(3797)] = 269987,
  [SMALL_STATE(3798)] = 270039,
  [SMALL_STATE(3799)] = 270091,
  [SMALL_STATE(3800)] = 270143,
  [SMALL_STATE(3801)] = 270195,
  [SMALL_STATE(3802)] = 270247,
  [SMALL_STATE(3803)] = 270299,
  [SMALL_STATE(3804)] = 270351,
  [SMALL_STATE(3805)] = 270403,
  [SMALL_STATE(3806)] = 270455,
  [SMALL_STATE(3807)] = 270507,
  [SMALL_STATE(3808)] = 270559,
  [SMALL_STATE(3809)] = 270611,
  [SMALL_STATE(3810)] = 270663,
  [SMALL_STATE(3811)] = 270715,
  [SMALL_STATE(3812)] = 270767,
  [SMALL_STATE(3813)] = 270821,
  [SMALL_STATE(3814)] = 270873,
  [SMALL_STATE(3815)] = 270925,
  [SMALL_STATE(3816)] = 270983,
  [SMALL_STATE(3817)] = 271037,
  [SMALL_STATE(3818)] = 271089,
  [SMALL_STATE(3819)] = 271141,
  [SMALL_STATE(3820)] = 271199,
  [SMALL_STATE(3821)] = 271251,
  [SMALL_STATE(3822)] = 271303,
  [SMALL_STATE(3823)] = 271355,
  [SMALL_STATE(3824)] = 271411,
  [SMALL_STATE(3825)] = 271463,
  [SMALL_STATE(3826)] = 271519,
  [SMALL_STATE(3827)] = 271571,
  [SMALL_STATE(3828)] = 271623,
  [SMALL_STATE(3829)] = 271679,
  [SMALL_STATE(3830)] = 271731,
  [SMALL_STATE(3831)] = 271787,
  [SMALL_STATE(3832)] = 271839,
  [SMALL_STATE(3833)] = 271897,
  [SMALL_STATE(3834)] = 271953,
  [SMALL_STATE(3835)] = 272009,
  [SMALL_STATE(3836)] = 272060,
  [SMALL_STATE(3837)] = 272111,
  [SMALL_STATE(3838)] = 272162,
  [SMALL_STATE(3839)] = 272213,
  [SMALL_STATE(3840)] = 272264,
  [SMALL_STATE(3841)] = 272315,
  [SMALL_STATE(3842)] = 272366,
  [SMALL_STATE(3843)] = 272417,
  [SMALL_STATE(3844)] = 272468,
  [SMALL_STATE(3845)] = 272519,
  [SMALL_STATE(3846)] = 272570,
  [SMALL_STATE(3847)] = 272621,
  [SMALL_STATE(3848)] = 272672,
  [SMALL_STATE(3849)] = 272723,
  [SMALL_STATE(3850)] = 272774,
  [SMALL_STATE(3851)] = 272825,
  [SMALL_STATE(3852)] = 272876,
  [SMALL_STATE(3853)] = 272927,
  [SMALL_STATE(3854)] = 272978,
  [SMALL_STATE(3855)] = 273029,
  [SMALL_STATE(3856)] = 273080,
  [SMALL_STATE(3857)] = 273141,
  [SMALL_STATE(3858)] = 273192,
  [SMALL_STATE(3859)] = 273243,
  [SMALL_STATE(3860)] = 273294,
  [SMALL_STATE(3861)] = 273345,
  [SMALL_STATE(3862)] = 273396,
  [SMALL_STATE(3863)] = 273447,
  [SMALL_STATE(3864)] = 273498,
  [SMALL_STATE(3865)] = 273549,
  [SMALL_STATE(3866)] = 273600,
  [SMALL_STATE(3867)] = 273651,
  [SMALL_STATE(3868)] = 273702,
  [SMALL_STATE(3869)] = 273753,
  [SMALL_STATE(3870)] = 273804,
  [SMALL_STATE(3871)] = 273855,
  [SMALL_STATE(3872)] = 273906,
  [SMALL_STATE(3873)] = 273957,
  [SMALL_STATE(3874)] = 274028,
  [SMALL_STATE(3875)] = 274079,
  [SMALL_STATE(3876)] = 274130,
  [SMALL_STATE(3877)] = 274181,
  [SMALL_STATE(3878)] = 274232,
  [SMALL_STATE(3879)] = 274283,
  [SMALL_STATE(3880)] = 274334,
  [SMALL_STATE(3881)] = 274385,
  [SMALL_STATE(3882)] = 274436,
  [SMALL_STATE(3883)] = 274487,
  [SMALL_STATE(3884)] = 274538,
  [SMALL_STATE(3885)] = 274589,
  [SMALL_STATE(3886)] = 274640,
  [SMALL_STATE(3887)] = 274691,
  [SMALL_STATE(3888)] = 274744,
  [SMALL_STATE(3889)] = 274797,
  [SMALL_STATE(3890)] = 274854,
  [SMALL_STATE(3891)] = 274907,
  [SMALL_STATE(3892)] = 274958,
  [SMALL_STATE(3893)] = 275009,
  [SMALL_STATE(3894)] = 275060,
  [SMALL_STATE(3895)] = 275111,
  [SMALL_STATE(3896)] = 275162,
  [SMALL_STATE(3897)] = 275213,
  [SMALL_STATE(3898)] = 275264,
  [SMALL_STATE(3899)] = 275315,
  [SMALL_STATE(3900)] = 275366,
  [SMALL_STATE(3901)] = 275423,
  [SMALL_STATE(3902)] = 275474,
  [SMALL_STATE(3903)] = 275525,
  [SMALL_STATE(3904)] = 275582,
  [SMALL_STATE(3905)] = 275633,
  [SMALL_STATE(3906)] = 275684,
  [SMALL_STATE(3907)] = 275735,
  [SMALL_STATE(3908)] = 275786,
  [SMALL_STATE(3909)] = 275837,
  [SMALL_STATE(3910)] = 275888,
  [SMALL_STATE(3911)] = 275939,
  [SMALL_STATE(3912)] = 275990,
  [SMALL_STATE(3913)] = 276043,
  [SMALL_STATE(3914)] = 276094,
  [SMALL_STATE(3915)] = 276145,
  [SMALL_STATE(3916)] = 276196,
  [SMALL_STATE(3917)] = 276247,
  [SMALL_STATE(3918)] = 276298,
  [SMALL_STATE(3919)] = 276349,
  [SMALL_STATE(3920)] = 276400,
  [SMALL_STATE(3921)] = 276451,
  [SMALL_STATE(3922)] = 276502,
  [SMALL_STATE(3923)] = 276555,
  [SMALL_STATE(3924)] = 276606,
  [SMALL_STATE(3925)] = 276659,
  [SMALL_STATE(3926)] = 276714,
  [SMALL_STATE(3927)] = 276765,
  [SMALL_STATE(3928)] = 276836,
  [SMALL_STATE(3929)] = 276887,
  [SMALL_STATE(3930)] = 276938,
  [SMALL_STATE(3931)] = 276999,
  [SMALL_STATE(3932)] = 277050,
  [SMALL_STATE(3933)] = 277103,
  [SMALL_STATE(3934)] = 277154,
  [SMALL_STATE(3935)] = 277205,
  [SMALL_STATE(3936)] = 277262,
  [SMALL_STATE(3937)] = 277313,
  [SMALL_STATE(3938)] = 277364,
  [SMALL_STATE(3939)] = 277417,
  [SMALL_STATE(3940)] = 277468,
  [SMALL_STATE(3941)] = 277519,
  [SMALL_STATE(3942)] = 277570,
  [SMALL_STATE(3943)] = 277621,
  [SMALL_STATE(3944)] = 277672,
  [SMALL_STATE(3945)] = 277727,
  [SMALL_STATE(3946)] = 277778,
  [SMALL_STATE(3947)] = 277829,
  [SMALL_STATE(3948)] = 277880,
  [SMALL_STATE(3949)] = 277963,
  [SMALL_STATE(3950)] = 278014,
  [SMALL_STATE(3951)] = 278065,
  [SMALL_STATE(3952)] = 278116,
  [SMALL_STATE(3953)] = 278167,
  [SMALL_STATE(3954)] = 278218,
  [SMALL_STATE(3955)] = 278269,
  [SMALL_STATE(3956)] = 278320,
  [SMALL_STATE(3957)] = 278371,
  [SMALL_STATE(3958)] = 278422,
  [SMALL_STATE(3959)] = 278507,
  [SMALL_STATE(3960)] = 278558,
  [SMALL_STATE(3961)] = 278609,
  [SMALL_STATE(3962)] = 278660,
  [SMALL_STATE(3963)] = 278711,
  [SMALL_STATE(3964)] = 278762,
  [SMALL_STATE(3965)] = 278813,
  [SMALL_STATE(3966)] = 278864,
  [SMALL_STATE(3967)] = 278915,
  [SMALL_STATE(3968)] = 278966,
  [SMALL_STATE(3969)] = 279017,
  [SMALL_STATE(3970)] = 279068,
  [SMALL_STATE(3971)] = 279159,
  [SMALL_STATE(3972)] = 279210,
  [SMALL_STATE(3973)] = 279261,
  [SMALL_STATE(3974)] = 279312,
  [SMALL_STATE(3975)] = 279365,
  [SMALL_STATE(3976)] = 279416,
  [SMALL_STATE(3977)] = 279469,
  [SMALL_STATE(3978)] = 279520,
  [SMALL_STATE(3979)] = 279573,
  [SMALL_STATE(3980)] = 279624,
  [SMALL_STATE(3981)] = 279677,
  [SMALL_STATE(3982)] = 279728,
  [SMALL_STATE(3983)] = 279781,
  [SMALL_STATE(3984)] = 279832,
  [SMALL_STATE(3985)] = 279883,
  [SMALL_STATE(3986)] = 279934,
  [SMALL_STATE(3987)] = 279985,
  [SMALL_STATE(3988)] = 280038,
  [SMALL_STATE(3989)] = 280089,
  [SMALL_STATE(3990)] = 280142,
  [SMALL_STATE(3991)] = 280195,
  [SMALL_STATE(3992)] = 280252,
  [SMALL_STATE(3993)] = 280303,
  [SMALL_STATE(3994)] = 280354,
  [SMALL_STATE(3995)] = 280407,
  [SMALL_STATE(3996)] = 280460,
  [SMALL_STATE(3997)] = 280513,
  [SMALL_STATE(3998)] = 280566,
  [SMALL_STATE(3999)] = 280619,
  [SMALL_STATE(4000)] = 280672,
  [SMALL_STATE(4001)] = 280725,
  [SMALL_STATE(4002)] = 280776,
  [SMALL_STATE(4003)] = 280829,
  [SMALL_STATE(4004)] = 280880,
  [SMALL_STATE(4005)] = 280931,
  [SMALL_STATE(4006)] = 280982,
  [SMALL_STATE(4007)] = 281033,
  [SMALL_STATE(4008)] = 281084,
  [SMALL_STATE(4009)] = 281135,
  [SMALL_STATE(4010)] = 281186,
  [SMALL_STATE(4011)] = 281237,
  [SMALL_STATE(4012)] = 281288,
  [SMALL_STATE(4013)] = 281339,
  [SMALL_STATE(4014)] = 281422,
  [SMALL_STATE(4015)] = 281473,
  [SMALL_STATE(4016)] = 281524,
  [SMALL_STATE(4017)] = 281575,
  [SMALL_STATE(4018)] = 281626,
  [SMALL_STATE(4019)] = 281677,
  [SMALL_STATE(4020)] = 281728,
  [SMALL_STATE(4021)] = 281779,
  [SMALL_STATE(4022)] = 281830,
  [SMALL_STATE(4023)] = 281915,
  [SMALL_STATE(4024)] = 281966,
  [SMALL_STATE(4025)] = 282017,
  [SMALL_STATE(4026)] = 282068,
  [SMALL_STATE(4027)] = 282119,
  [SMALL_STATE(4028)] = 282172,
  [SMALL_STATE(4029)] = 282223,
  [SMALL_STATE(4030)] = 282276,
  [SMALL_STATE(4031)] = 282327,
  [SMALL_STATE(4032)] = 282378,
  [SMALL_STATE(4033)] = 282429,
  [SMALL_STATE(4034)] = 282480,
  [SMALL_STATE(4035)] = 282531,
  [SMALL_STATE(4036)] = 282582,
  [SMALL_STATE(4037)] = 282633,
  [SMALL_STATE(4038)] = 282684,
  [SMALL_STATE(4039)] = 282735,
  [SMALL_STATE(4040)] = 282786,
  [SMALL_STATE(4041)] = 282839,
  [SMALL_STATE(4042)] = 282890,
  [SMALL_STATE(4043)] = 282949,
  [SMALL_STATE(4044)] = 283000,
  [SMALL_STATE(4045)] = 283051,
  [SMALL_STATE(4046)] = 283104,
  [SMALL_STATE(4047)] = 283157,
  [SMALL_STATE(4048)] = 283208,
  [SMALL_STATE(4049)] = 283259,
  [SMALL_STATE(4050)] = 283310,
  [SMALL_STATE(4051)] = 283361,
  [SMALL_STATE(4052)] = 283412,
  [SMALL_STATE(4053)] = 283463,
  [SMALL_STATE(4054)] = 283514,
  [SMALL_STATE(4055)] = 283565,
  [SMALL_STATE(4056)] = 283616,
  [SMALL_STATE(4057)] = 283671,
  [SMALL_STATE(4058)] = 283730,
  [SMALL_STATE(4059)] = 283781,
  [SMALL_STATE(4060)] = 283834,
  [SMALL_STATE(4061)] = 283887,
  [SMALL_STATE(4062)] = 283938,
  [SMALL_STATE(4063)] = 283991,
  [SMALL_STATE(4064)] = 284042,
  [SMALL_STATE(4065)] = 284093,
  [SMALL_STATE(4066)] = 284144,
  [SMALL_STATE(4067)] = 284195,
  [SMALL_STATE(4068)] = 284248,
  [SMALL_STATE(4069)] = 284301,
  [SMALL_STATE(4070)] = 284352,
  [SMALL_STATE(4071)] = 284403,
  [SMALL_STATE(4072)] = 284454,
  [SMALL_STATE(4073)] = 284539,
  [SMALL_STATE(4074)] = 284590,
  [SMALL_STATE(4075)] = 284641,
  [SMALL_STATE(4076)] = 284692,
  [SMALL_STATE(4077)] = 284743,
  [SMALL_STATE(4078)] = 284794,
  [SMALL_STATE(4079)] = 284845,
  [SMALL_STATE(4080)] = 284896,
  [SMALL_STATE(4081)] = 284947,
  [SMALL_STATE(4082)] = 284998,
  [SMALL_STATE(4083)] = 285049,
  [SMALL_STATE(4084)] = 285100,
  [SMALL_STATE(4085)] = 285185,
  [SMALL_STATE(4086)] = 285236,
  [SMALL_STATE(4087)] = 285287,
  [SMALL_STATE(4088)] = 285338,
  [SMALL_STATE(4089)] = 285389,
  [SMALL_STATE(4090)] = 285440,
  [SMALL_STATE(4091)] = 285493,
  [SMALL_STATE(4092)] = 285546,
  [SMALL_STATE(4093)] = 285597,
  [SMALL_STATE(4094)] = 285678,
  [SMALL_STATE(4095)] = 285739,
  [SMALL_STATE(4096)] = 285790,
  [SMALL_STATE(4097)] = 285841,
  [SMALL_STATE(4098)] = 285892,
  [SMALL_STATE(4099)] = 285943,
  [SMALL_STATE(4100)] = 285994,
  [SMALL_STATE(4101)] = 286061,
  [SMALL_STATE(4102)] = 286132,
  [SMALL_STATE(4103)] = 286183,
  [SMALL_STATE(4104)] = 286234,
  [SMALL_STATE(4105)] = 286285,
  [SMALL_STATE(4106)] = 286376,
  [SMALL_STATE(4107)] = 286427,
  [SMALL_STATE(4108)] = 286478,
  [SMALL_STATE(4109)] = 286529,
  [SMALL_STATE(4110)] = 286580,
  [SMALL_STATE(4111)] = 286631,
  [SMALL_STATE(4112)] = 286682,
  [SMALL_STATE(4113)] = 286733,
  [SMALL_STATE(4114)] = 286784,
  [SMALL_STATE(4115)] = 286835,
  [SMALL_STATE(4116)] = 286886,
  [SMALL_STATE(4117)] = 286937,
  [SMALL_STATE(4118)] = 286988,
  [SMALL_STATE(4119)] = 287039,
  [SMALL_STATE(4120)] = 287090,
  [SMALL_STATE(4121)] = 287141,
  [SMALL_STATE(4122)] = 287192,
  [SMALL_STATE(4123)] = 287243,
  [SMALL_STATE(4124)] = 287294,
  [SMALL_STATE(4125)] = 287345,
  [SMALL_STATE(4126)] = 287430,
  [SMALL_STATE(4127)] = 287515,
  [SMALL_STATE(4128)] = 287596,
  [SMALL_STATE(4129)] = 287657,
  [SMALL_STATE(4130)] = 287708,
  [SMALL_STATE(4131)] = 287759,
  [SMALL_STATE(4132)] = 287810,
  [SMALL_STATE(4133)] = 287861,
  [SMALL_STATE(4134)] = 287912,
  [SMALL_STATE(4135)] = 287963,
  [SMALL_STATE(4136)] = 288014,
  [SMALL_STATE(4137)] = 288065,
  [SMALL_STATE(4138)] = 288116,
  [SMALL_STATE(4139)] = 288183,
  [SMALL_STATE(4140)] = 288254,
  [SMALL_STATE(4141)] = 288307,
  [SMALL_STATE(4142)] = 288358,
  [SMALL_STATE(4143)] = 288409,
  [SMALL_STATE(4144)] = 288462,
  [SMALL_STATE(4145)] = 288515,
  [SMALL_STATE(4146)] = 288578,
  [SMALL_STATE(4147)] = 288655,
  [SMALL_STATE(4148)] = 288710,
  [SMALL_STATE(4149)] = 288761,
  [SMALL_STATE(4150)] = 288850,
  [SMALL_STATE(4151)] = 288901,
  [SMALL_STATE(4152)] = 288952,
  [SMALL_STATE(4153)] = 289039,
  [SMALL_STATE(4154)] = 289090,
  [SMALL_STATE(4155)] = 289141,
  [SMALL_STATE(4156)] = 289198,
  [SMALL_STATE(4157)] = 289259,
  [SMALL_STATE(4158)] = 289310,
  [SMALL_STATE(4159)] = 289361,
  [SMALL_STATE(4160)] = 289412,
  [SMALL_STATE(4161)] = 289463,
  [SMALL_STATE(4162)] = 289514,
  [SMALL_STATE(4163)] = 289565,
  [SMALL_STATE(4164)] = 289628,
  [SMALL_STATE(4165)] = 289679,
  [SMALL_STATE(4166)] = 289730,
  [SMALL_STATE(4167)] = 289807,
  [SMALL_STATE(4168)] = 289864,
  [SMALL_STATE(4169)] = 289915,
  [SMALL_STATE(4170)] = 289966,
  [SMALL_STATE(4171)] = 290017,
  [SMALL_STATE(4172)] = 290068,
  [SMALL_STATE(4173)] = 290119,
  [SMALL_STATE(4174)] = 290170,
  [SMALL_STATE(4175)] = 290259,
  [SMALL_STATE(4176)] = 290310,
  [SMALL_STATE(4177)] = 290361,
  [SMALL_STATE(4178)] = 290412,
  [SMALL_STATE(4179)] = 290463,
  [SMALL_STATE(4180)] = 290514,
  [SMALL_STATE(4181)] = 290565,
  [SMALL_STATE(4182)] = 290616,
  [SMALL_STATE(4183)] = 290667,
  [SMALL_STATE(4184)] = 290718,
  [SMALL_STATE(4185)] = 290769,
  [SMALL_STATE(4186)] = 290856,
  [SMALL_STATE(4187)] = 290907,
  [SMALL_STATE(4188)] = 290958,
  [SMALL_STATE(4189)] = 291009,
  [SMALL_STATE(4190)] = 291060,
  [SMALL_STATE(4191)] = 291117,
  [SMALL_STATE(4192)] = 291174,
  [SMALL_STATE(4193)] = 291225,
  [SMALL_STATE(4194)] = 291276,
  [SMALL_STATE(4195)] = 291327,
  [SMALL_STATE(4196)] = 291378,
  [SMALL_STATE(4197)] = 291437,
  [SMALL_STATE(4198)] = 291488,
  [SMALL_STATE(4199)] = 291539,
  [SMALL_STATE(4200)] = 291590,
  [SMALL_STATE(4201)] = 291671,
  [SMALL_STATE(4202)] = 291724,
  [SMALL_STATE(4203)] = 291785,
  [SMALL_STATE(4204)] = 291836,
  [SMALL_STATE(4205)] = 291915,
  [SMALL_STATE(4206)] = 291976,
  [SMALL_STATE(4207)] = 292043,
  [SMALL_STATE(4208)] = 292094,
  [SMALL_STATE(4209)] = 292161,
  [SMALL_STATE(4210)] = 292212,
  [SMALL_STATE(4211)] = 292263,
  [SMALL_STATE(4212)] = 292334,
  [SMALL_STATE(4213)] = 292385,
  [SMALL_STATE(4214)] = 292436,
  [SMALL_STATE(4215)] = 292507,
  [SMALL_STATE(4216)] = 292558,
  [SMALL_STATE(4217)] = 292609,
  [SMALL_STATE(4218)] = 292660,
  [SMALL_STATE(4219)] = 292711,
  [SMALL_STATE(4220)] = 292762,
  [SMALL_STATE(4221)] = 292813,
  [SMALL_STATE(4222)] = 292864,
  [SMALL_STATE(4223)] = 292915,
  [SMALL_STATE(4224)] = 292966,
  [SMALL_STATE(4225)] = 293017,
  [SMALL_STATE(4226)] = 293068,
  [SMALL_STATE(4227)] = 293119,
  [SMALL_STATE(4228)] = 293170,
  [SMALL_STATE(4229)] = 293221,
  [SMALL_STATE(4230)] = 293272,
  [SMALL_STATE(4231)] = 293323,
  [SMALL_STATE(4232)] = 293374,
  [SMALL_STATE(4233)] = 293425,
  [SMALL_STATE(4234)] = 293476,
  [SMALL_STATE(4235)] = 293527,
  [SMALL_STATE(4236)] = 293578,
  [SMALL_STATE(4237)] = 293629,
  [SMALL_STATE(4238)] = 293680,
  [SMALL_STATE(4239)] = 293751,
  [SMALL_STATE(4240)] = 293802,
  [SMALL_STATE(4241)] = 293853,
  [SMALL_STATE(4242)] = 293904,
  [SMALL_STATE(4243)] = 293955,
  [SMALL_STATE(4244)] = 294006,
  [SMALL_STATE(4245)] = 294057,
  [SMALL_STATE(4246)] = 294108,
  [SMALL_STATE(4247)] = 294159,
  [SMALL_STATE(4248)] = 294210,
  [SMALL_STATE(4249)] = 294261,
  [SMALL_STATE(4250)] = 294332,
  [SMALL_STATE(4251)] = 294383,
  [SMALL_STATE(4252)] = 294434,
  [SMALL_STATE(4253)] = 294485,
  [SMALL_STATE(4254)] = 294536,
  [SMALL_STATE(4255)] = 294587,
  [SMALL_STATE(4256)] = 294648,
  [SMALL_STATE(4257)] = 294701,
  [SMALL_STATE(4258)] = 294752,
  [SMALL_STATE(4259)] = 294823,
  [SMALL_STATE(4260)] = 294874,
  [SMALL_STATE(4261)] = 294925,
  [SMALL_STATE(4262)] = 294976,
  [SMALL_STATE(4263)] = 295027,
  [SMALL_STATE(4264)] = 295078,
  [SMALL_STATE(4265)] = 295129,
  [SMALL_STATE(4266)] = 295180,
  [SMALL_STATE(4267)] = 295231,
  [SMALL_STATE(4268)] = 295292,
  [SMALL_STATE(4269)] = 295343,
  [SMALL_STATE(4270)] = 295394,
  [SMALL_STATE(4271)] = 295445,
  [SMALL_STATE(4272)] = 295496,
  [SMALL_STATE(4273)] = 295547,
  [SMALL_STATE(4274)] = 295598,
  [SMALL_STATE(4275)] = 295649,
  [SMALL_STATE(4276)] = 295700,
  [SMALL_STATE(4277)] = 295751,
  [SMALL_STATE(4278)] = 295802,
  [SMALL_STATE(4279)] = 295853,
  [SMALL_STATE(4280)] = 295904,
  [SMALL_STATE(4281)] = 295955,
  [SMALL_STATE(4282)] = 296008,
  [SMALL_STATE(4283)] = 296067,
  [SMALL_STATE(4284)] = 296126,
  [SMALL_STATE(4285)] = 296177,
  [SMALL_STATE(4286)] = 296228,
  [SMALL_STATE(4287)] = 296279,
  [SMALL_STATE(4288)] = 296330,
  [SMALL_STATE(4289)] = 296381,
  [SMALL_STATE(4290)] = 296432,
  [SMALL_STATE(4291)] = 296495,
  [SMALL_STATE(4292)] = 296572,
  [SMALL_STATE(4293)] = 296623,
  [SMALL_STATE(4294)] = 296674,
  [SMALL_STATE(4295)] = 296725,
  [SMALL_STATE(4296)] = 296780,
  [SMALL_STATE(4297)] = 296831,
  [SMALL_STATE(4298)] = 296882,
  [SMALL_STATE(4299)] = 296933,
  [SMALL_STATE(4300)] = 297020,
  [SMALL_STATE(4301)] = 297071,
  [SMALL_STATE(4302)] = 297124,
  [SMALL_STATE(4303)] = 297175,
  [SMALL_STATE(4304)] = 297226,
  [SMALL_STATE(4305)] = 297311,
  [SMALL_STATE(4306)] = 297362,
  [SMALL_STATE(4307)] = 297413,
  [SMALL_STATE(4308)] = 297498,
  [SMALL_STATE(4309)] = 297549,
  [SMALL_STATE(4310)] = 297600,
  [SMALL_STATE(4311)] = 297651,
  [SMALL_STATE(4312)] = 297702,
  [SMALL_STATE(4313)] = 297753,
  [SMALL_STATE(4314)] = 297804,
  [SMALL_STATE(4315)] = 297855,
  [SMALL_STATE(4316)] = 297906,
  [SMALL_STATE(4317)] = 297957,
  [SMALL_STATE(4318)] = 298008,
  [SMALL_STATE(4319)] = 298059,
  [SMALL_STATE(4320)] = 298110,
  [SMALL_STATE(4321)] = 298161,
  [SMALL_STATE(4322)] = 298212,
  [SMALL_STATE(4323)] = 298293,
  [SMALL_STATE(4324)] = 298344,
  [SMALL_STATE(4325)] = 298429,
  [SMALL_STATE(4326)] = 298490,
  [SMALL_STATE(4327)] = 298545,
  [SMALL_STATE(4328)] = 298596,
  [SMALL_STATE(4329)] = 298647,
  [SMALL_STATE(4330)] = 298714,
  [SMALL_STATE(4331)] = 298785,
  [SMALL_STATE(4332)] = 298836,
  [SMALL_STATE(4333)] = 298895,
  [SMALL_STATE(4334)] = 298954,
  [SMALL_STATE(4335)] = 299005,
  [SMALL_STATE(4336)] = 299056,
  [SMALL_STATE(4337)] = 299107,
  [SMALL_STATE(4338)] = 299158,
  [SMALL_STATE(4339)] = 299209,
  [SMALL_STATE(4340)] = 299260,
  [SMALL_STATE(4341)] = 299311,
  [SMALL_STATE(4342)] = 299362,
  [SMALL_STATE(4343)] = 299413,
  [SMALL_STATE(4344)] = 299464,
  [SMALL_STATE(4345)] = 299515,
  [SMALL_STATE(4346)] = 299566,
  [SMALL_STATE(4347)] = 299617,
  [SMALL_STATE(4348)] = 299668,
  [SMALL_STATE(4349)] = 299731,
  [SMALL_STATE(4350)] = 299782,
  [SMALL_STATE(4351)] = 299859,
  [SMALL_STATE(4352)] = 299916,
  [SMALL_STATE(4353)] = 300005,
  [SMALL_STATE(4354)] = 300092,
  [SMALL_STATE(4355)] = 300179,
  [SMALL_STATE(4356)] = 300268,
  [SMALL_STATE(4357)] = 300319,
  [SMALL_STATE(4358)] = 300370,
  [SMALL_STATE(4359)] = 300447,
  [SMALL_STATE(4360)] = 300510,
  [SMALL_STATE(4361)] = 300560,
  [SMALL_STATE(4362)] = 300610,
  [SMALL_STATE(4363)] = 300664,
  [SMALL_STATE(4364)] = 300746,
  [SMALL_STATE(4365)] = 300828,
  [SMALL_STATE(4366)] = 300878,
  [SMALL_STATE(4367)] = 300928,
  [SMALL_STATE(4368)] = 300978,
  [SMALL_STATE(4369)] = 301056,
  [SMALL_STATE(4370)] = 301116,
  [SMALL_STATE(4371)] = 301182,
  [SMALL_STATE(4372)] = 301252,
  [SMALL_STATE(4373)] = 301304,
  [SMALL_STATE(4374)] = 301358,
  [SMALL_STATE(4375)] = 301408,
  [SMALL_STATE(4376)] = 301458,
  [SMALL_STATE(4377)] = 301508,
  [SMALL_STATE(4378)] = 301570,
  [SMALL_STATE(4379)] = 301628,
  [SMALL_STATE(4380)] = 301678,
  [SMALL_STATE(4381)] = 301754,
  [SMALL_STATE(4382)] = 301804,
  [SMALL_STATE(4383)] = 301860,
  [SMALL_STATE(4384)] = 301946,
  [SMALL_STATE(4385)] = 302030,
  [SMALL_STATE(4386)] = 302080,
  [SMALL_STATE(4387)] = 302130,
  [SMALL_STATE(4388)] = 302180,
  [SMALL_STATE(4389)] = 302230,
  [SMALL_STATE(4390)] = 302282,
  [SMALL_STATE(4391)] = 302338,
  [SMALL_STATE(4392)] = 302394,
  [SMALL_STATE(4393)] = 302444,
  [SMALL_STATE(4394)] = 302534,
  [SMALL_STATE(4395)] = 302620,
  [SMALL_STATE(4396)] = 302670,
  [SMALL_STATE(4397)] = 302758,
  [SMALL_STATE(4398)] = 302808,
  [SMALL_STATE(4399)] = 302864,
  [SMALL_STATE(4400)] = 302940,
  [SMALL_STATE(4401)] = 303002,
  [SMALL_STATE(4402)] = 303072,
  [SMALL_STATE(4403)] = 303122,
  [SMALL_STATE(4404)] = 303172,
  [SMALL_STATE(4405)] = 303222,
  [SMALL_STATE(4406)] = 303272,
  [SMALL_STATE(4407)] = 303322,
  [SMALL_STATE(4408)] = 303382,
  [SMALL_STATE(4409)] = 303442,
  [SMALL_STATE(4410)] = 303492,
  [SMALL_STATE(4411)] = 303542,
  [SMALL_STATE(4412)] = 303592,
  [SMALL_STATE(4413)] = 303642,
  [SMALL_STATE(4414)] = 303722,
  [SMALL_STATE(4415)] = 303772,
  [SMALL_STATE(4416)] = 303822,
  [SMALL_STATE(4417)] = 303906,
  [SMALL_STATE(4418)] = 303990,
  [SMALL_STATE(4419)] = 304040,
  [SMALL_STATE(4420)] = 304090,
  [SMALL_STATE(4421)] = 304140,
  [SMALL_STATE(4422)] = 304190,
  [SMALL_STATE(4423)] = 304240,
  [SMALL_STATE(4424)] = 304290,
  [SMALL_STATE(4425)] = 304340,
  [SMALL_STATE(4426)] = 304390,
  [SMALL_STATE(4427)] = 304440,
  [SMALL_STATE(4428)] = 304490,
  [SMALL_STATE(4429)] = 304540,
  [SMALL_STATE(4430)] = 304590,
  [SMALL_STATE(4431)] = 304640,
  [SMALL_STATE(4432)] = 304690,
  [SMALL_STATE(4433)] = 304740,
  [SMALL_STATE(4434)] = 304790,
  [SMALL_STATE(4435)] = 304840,
  [SMALL_STATE(4436)] = 304890,
  [SMALL_STATE(4437)] = 304940,
  [SMALL_STATE(4438)] = 304990,
  [SMALL_STATE(4439)] = 305040,
  [SMALL_STATE(4440)] = 305090,
  [SMALL_STATE(4441)] = 305140,
  [SMALL_STATE(4442)] = 305190,
  [SMALL_STATE(4443)] = 305240,
  [SMALL_STATE(4444)] = 305290,
  [SMALL_STATE(4445)] = 305340,
  [SMALL_STATE(4446)] = 305400,
  [SMALL_STATE(4447)] = 305450,
  [SMALL_STATE(4448)] = 305520,
  [SMALL_STATE(4449)] = 305570,
  [SMALL_STATE(4450)] = 305620,
  [SMALL_STATE(4451)] = 305670,
  [SMALL_STATE(4452)] = 305720,
  [SMALL_STATE(4453)] = 305770,
  [SMALL_STATE(4454)] = 305820,
  [SMALL_STATE(4455)] = 305870,
  [SMALL_STATE(4456)] = 305920,
  [SMALL_STATE(4457)] = 305974,
  [SMALL_STATE(4458)] = 306024,
  [SMALL_STATE(4459)] = 306074,
  [SMALL_STATE(4460)] = 306124,
  [SMALL_STATE(4461)] = 306174,
  [SMALL_STATE(4462)] = 306224,
  [SMALL_STATE(4463)] = 306274,
  [SMALL_STATE(4464)] = 306324,
  [SMALL_STATE(4465)] = 306374,
  [SMALL_STATE(4466)] = 306424,
  [SMALL_STATE(4467)] = 306478,
  [SMALL_STATE(4468)] = 306528,
  [SMALL_STATE(4469)] = 306578,
  [SMALL_STATE(4470)] = 306632,
  [SMALL_STATE(4471)] = 306682,
  [SMALL_STATE(4472)] = 306732,
  [SMALL_STATE(4473)] = 306782,
  [SMALL_STATE(4474)] = 306832,
  [SMALL_STATE(4475)] = 306882,
  [SMALL_STATE(4476)] = 306932,
  [SMALL_STATE(4477)] = 306986,
  [SMALL_STATE(4478)] = 307040,
  [SMALL_STATE(4479)] = 307094,
  [SMALL_STATE(4480)] = 307144,
  [SMALL_STATE(4481)] = 307198,
  [SMALL_STATE(4482)] = 307252,
  [SMALL_STATE(4483)] = 307302,
  [SMALL_STATE(4484)] = 307352,
  [SMALL_STATE(4485)] = 307410,
  [SMALL_STATE(4486)] = 307460,
  [SMALL_STATE(4487)] = 307518,
  [SMALL_STATE(4488)] = 307608,
  [SMALL_STATE(4489)] = 307658,
  [SMALL_STATE(4490)] = 307714,
  [SMALL_STATE(4491)] = 307770,
  [SMALL_STATE(4492)] = 307820,
  [SMALL_STATE(4493)] = 307870,
  [SMALL_STATE(4494)] = 307920,
  [SMALL_STATE(4495)] = 307970,
  [SMALL_STATE(4496)] = 308020,
  [SMALL_STATE(4497)] = 308070,
  [SMALL_STATE(4498)] = 308120,
  [SMALL_STATE(4499)] = 308174,
  [SMALL_STATE(4500)] = 308224,
  [SMALL_STATE(4501)] = 308274,
  [SMALL_STATE(4502)] = 308328,
  [SMALL_STATE(4503)] = 308380,
  [SMALL_STATE(4504)] = 308430,
  [SMALL_STATE(4505)] = 308480,
  [SMALL_STATE(4506)] = 308530,
  [SMALL_STATE(4507)] = 308580,
  [SMALL_STATE(4508)] = 308630,
  [SMALL_STATE(4509)] = 308680,
  [SMALL_STATE(4510)] = 308734,
  [SMALL_STATE(4511)] = 308800,
  [SMALL_STATE(4512)] = 308870,
  [SMALL_STATE(4513)] = 308920,
  [SMALL_STATE(4514)] = 308974,
  [SMALL_STATE(4515)] = 309028,
  [SMALL_STATE(4516)] = 309078,
  [SMALL_STATE(4517)] = 309128,
  [SMALL_STATE(4518)] = 309178,
  [SMALL_STATE(4519)] = 309228,
  [SMALL_STATE(4520)] = 309278,
  [SMALL_STATE(4521)] = 309328,
  [SMALL_STATE(4522)] = 309378,
  [SMALL_STATE(4523)] = 309428,
  [SMALL_STATE(4524)] = 309478,
  [SMALL_STATE(4525)] = 309528,
  [SMALL_STATE(4526)] = 309618,
  [SMALL_STATE(4527)] = 309668,
  [SMALL_STATE(4528)] = 309718,
  [SMALL_STATE(4529)] = 309768,
  [SMALL_STATE(4530)] = 309818,
  [SMALL_STATE(4531)] = 309868,
  [SMALL_STATE(4532)] = 309918,
  [SMALL_STATE(4533)] = 309968,
  [SMALL_STATE(4534)] = 310018,
  [SMALL_STATE(4535)] = 310068,
  [SMALL_STATE(4536)] = 310122,
  [SMALL_STATE(4537)] = 310176,
  [SMALL_STATE(4538)] = 310226,
  [SMALL_STATE(4539)] = 310276,
  [SMALL_STATE(4540)] = 310326,
  [SMALL_STATE(4541)] = 310376,
  [SMALL_STATE(4542)] = 310426,
  [SMALL_STATE(4543)] = 310480,
  [SMALL_STATE(4544)] = 310530,
  [SMALL_STATE(4545)] = 310580,
  [SMALL_STATE(4546)] = 310630,
  [SMALL_STATE(4547)] = 310680,
  [SMALL_STATE(4548)] = 310730,
  [SMALL_STATE(4549)] = 310780,
  [SMALL_STATE(4550)] = 310830,
  [SMALL_STATE(4551)] = 310880,
  [SMALL_STATE(4552)] = 310930,
  [SMALL_STATE(4553)] = 310980,
  [SMALL_STATE(4554)] = 311030,
  [SMALL_STATE(4555)] = 311080,
  [SMALL_STATE(4556)] = 311130,
  [SMALL_STATE(4557)] = 311180,
  [SMALL_STATE(4558)] = 311230,
  [SMALL_STATE(4559)] = 311280,
  [SMALL_STATE(4560)] = 311330,
  [SMALL_STATE(4561)] = 311380,
  [SMALL_STATE(4562)] = 311430,
  [SMALL_STATE(4563)] = 311480,
  [SMALL_STATE(4564)] = 311530,
  [SMALL_STATE(4565)] = 311580,
  [SMALL_STATE(4566)] = 311630,
  [SMALL_STATE(4567)] = 311686,
  [SMALL_STATE(4568)] = 311736,
  [SMALL_STATE(4569)] = 311792,
  [SMALL_STATE(4570)] = 311842,
  [SMALL_STATE(4571)] = 311892,
  [SMALL_STATE(4572)] = 311942,
  [SMALL_STATE(4573)] = 311992,
  [SMALL_STATE(4574)] = 312042,
  [SMALL_STATE(4575)] = 312092,
  [SMALL_STATE(4576)] = 312142,
  [SMALL_STATE(4577)] = 312192,
  [SMALL_STATE(4578)] = 312242,
  [SMALL_STATE(4579)] = 312296,
  [SMALL_STATE(4580)] = 312346,
  [SMALL_STATE(4581)] = 312396,
  [SMALL_STATE(4582)] = 312446,
  [SMALL_STATE(4583)] = 312496,
  [SMALL_STATE(4584)] = 312546,
  [SMALL_STATE(4585)] = 312596,
  [SMALL_STATE(4586)] = 312646,
  [SMALL_STATE(4587)] = 312696,
  [SMALL_STATE(4588)] = 312746,
  [SMALL_STATE(4589)] = 312796,
  [SMALL_STATE(4590)] = 312846,
  [SMALL_STATE(4591)] = 312896,
  [SMALL_STATE(4592)] = 312946,
  [SMALL_STATE(4593)] = 312996,
  [SMALL_STATE(4594)] = 313046,
  [SMALL_STATE(4595)] = 313096,
  [SMALL_STATE(4596)] = 313146,
  [SMALL_STATE(4597)] = 313196,
  [SMALL_STATE(4598)] = 313246,
  [SMALL_STATE(4599)] = 313296,
  [SMALL_STATE(4600)] = 313346,
  [SMALL_STATE(4601)] = 313396,
  [SMALL_STATE(4602)] = 313446,
  [SMALL_STATE(4603)] = 313496,
  [SMALL_STATE(4604)] = 313546,
  [SMALL_STATE(4605)] = 313596,
  [SMALL_STATE(4606)] = 313646,
  [SMALL_STATE(4607)] = 313696,
  [SMALL_STATE(4608)] = 313746,
  [SMALL_STATE(4609)] = 313796,
  [SMALL_STATE(4610)] = 313846,
  [SMALL_STATE(4611)] = 313896,
  [SMALL_STATE(4612)] = 313946,
  [SMALL_STATE(4613)] = 313996,
  [SMALL_STATE(4614)] = 314046,
  [SMALL_STATE(4615)] = 314096,
  [SMALL_STATE(4616)] = 314146,
  [SMALL_STATE(4617)] = 314196,
  [SMALL_STATE(4618)] = 314246,
  [SMALL_STATE(4619)] = 314296,
  [SMALL_STATE(4620)] = 314346,
  [SMALL_STATE(4621)] = 314396,
  [SMALL_STATE(4622)] = 314446,
  [SMALL_STATE(4623)] = 314496,
  [SMALL_STATE(4624)] = 314546,
  [SMALL_STATE(4625)] = 314636,
  [SMALL_STATE(4626)] = 314686,
  [SMALL_STATE(4627)] = 314736,
  [SMALL_STATE(4628)] = 314786,
  [SMALL_STATE(4629)] = 314836,
  [SMALL_STATE(4630)] = 314886,
  [SMALL_STATE(4631)] = 314936,
  [SMALL_STATE(4632)] = 314986,
  [SMALL_STATE(4633)] = 315036,
  [SMALL_STATE(4634)] = 315086,
  [SMALL_STATE(4635)] = 315136,
  [SMALL_STATE(4636)] = 315186,
  [SMALL_STATE(4637)] = 315236,
  [SMALL_STATE(4638)] = 315286,
  [SMALL_STATE(4639)] = 315336,
  [SMALL_STATE(4640)] = 315386,
  [SMALL_STATE(4641)] = 315436,
  [SMALL_STATE(4642)] = 315486,
  [SMALL_STATE(4643)] = 315536,
  [SMALL_STATE(4644)] = 315586,
  [SMALL_STATE(4645)] = 315636,
  [SMALL_STATE(4646)] = 315686,
  [SMALL_STATE(4647)] = 315736,
  [SMALL_STATE(4648)] = 315786,
  [SMALL_STATE(4649)] = 315836,
  [SMALL_STATE(4650)] = 315886,
  [SMALL_STATE(4651)] = 315936,
  [SMALL_STATE(4652)] = 315986,
  [SMALL_STATE(4653)] = 316036,
  [SMALL_STATE(4654)] = 316086,
  [SMALL_STATE(4655)] = 316136,
  [SMALL_STATE(4656)] = 316186,
  [SMALL_STATE(4657)] = 316236,
  [SMALL_STATE(4658)] = 316286,
  [SMALL_STATE(4659)] = 316336,
  [SMALL_STATE(4660)] = 316386,
  [SMALL_STATE(4661)] = 316436,
  [SMALL_STATE(4662)] = 316491,
  [SMALL_STATE(4663)] = 316540,
  [SMALL_STATE(4664)] = 316629,
  [SMALL_STATE(4665)] = 316678,
  [SMALL_STATE(4666)] = 316767,
  [SMALL_STATE(4667)] = 316816,
  [SMALL_STATE(4668)] = 316865,
  [SMALL_STATE(4669)] = 316954,
  [SMALL_STATE(4670)] = 317003,
  [SMALL_STATE(4671)] = 317096,
  [SMALL_STATE(4672)] = 317145,
  [SMALL_STATE(4673)] = 317194,
  [SMALL_STATE(4674)] = 317243,
  [SMALL_STATE(4675)] = 317292,
  [SMALL_STATE(4676)] = 317341,
  [SMALL_STATE(4677)] = 317394,
  [SMALL_STATE(4678)] = 317449,
  [SMALL_STATE(4679)] = 317506,
  [SMALL_STATE(4680)] = 317563,
  [SMALL_STATE(4681)] = 317618,
  [SMALL_STATE(4682)] = 317673,
  [SMALL_STATE(4683)] = 317722,
  [SMALL_STATE(4684)] = 317811,
  [SMALL_STATE(4685)] = 317864,
  [SMALL_STATE(4686)] = 317913,
  [SMALL_STATE(4687)] = 317962,
  [SMALL_STATE(4688)] = 318011,
  [SMALL_STATE(4689)] = 318068,
  [SMALL_STATE(4690)] = 318125,
  [SMALL_STATE(4691)] = 318184,
  [SMALL_STATE(4692)] = 318233,
  [SMALL_STATE(4693)] = 318282,
  [SMALL_STATE(4694)] = 318331,
  [SMALL_STATE(4695)] = 318380,
  [SMALL_STATE(4696)] = 318449,
  [SMALL_STATE(4697)] = 318538,
  [SMALL_STATE(4698)] = 318587,
  [SMALL_STATE(4699)] = 318636,
  [SMALL_STATE(4700)] = 318685,
  [SMALL_STATE(4701)] = 318734,
  [SMALL_STATE(4702)] = 318783,
  [SMALL_STATE(4703)] = 318832,
  [SMALL_STATE(4704)] = 318881,
  [SMALL_STATE(4705)] = 318970,
  [SMALL_STATE(4706)] = 319019,
  [SMALL_STATE(4707)] = 319068,
  [SMALL_STATE(4708)] = 319117,
  [SMALL_STATE(4709)] = 319168,
  [SMALL_STATE(4710)] = 319249,
  [SMALL_STATE(4711)] = 319330,
  [SMALL_STATE(4712)] = 319413,
  [SMALL_STATE(4713)] = 319498,
  [SMALL_STATE(4714)] = 319553,
  [SMALL_STATE(4715)] = 319628,
  [SMALL_STATE(4716)] = 319689,
  [SMALL_STATE(4717)] = 319738,
  [SMALL_STATE(4718)] = 319827,
  [SMALL_STATE(4719)] = 319876,
  [SMALL_STATE(4720)] = 319925,
  [SMALL_STATE(4721)] = 319974,
  [SMALL_STATE(4722)] = 320063,
  [SMALL_STATE(4723)] = 320112,
  [SMALL_STATE(4724)] = 320161,
  [SMALL_STATE(4725)] = 320210,
  [SMALL_STATE(4726)] = 320259,
  [SMALL_STATE(4727)] = 320308,
  [SMALL_STATE(4728)] = 320357,
  [SMALL_STATE(4729)] = 320434,
  [SMALL_STATE(4730)] = 320503,
  [SMALL_STATE(4731)] = 320552,
  [SMALL_STATE(4732)] = 320617,
  [SMALL_STATE(4733)] = 320676,
  [SMALL_STATE(4734)] = 320725,
  [SMALL_STATE(4735)] = 320779,
  [SMALL_STATE(4736)] = 320833,
  [SMALL_STATE(4737)] = 320881,
  [SMALL_STATE(4738)] = 320929,
  [SMALL_STATE(4739)] = 320977,
  [SMALL_STATE(4740)] = 321025,
  [SMALL_STATE(4741)] = 321073,
  [SMALL_STATE(4742)] = 321121,
  [SMALL_STATE(4743)] = 321169,
  [SMALL_STATE(4744)] = 321257,
  [SMALL_STATE(4745)] = 321311,
  [SMALL_STATE(4746)] = 321367,
  [SMALL_STATE(4747)] = 321415,
  [SMALL_STATE(4748)] = 321471,
  [SMALL_STATE(4749)] = 321525,
  [SMALL_STATE(4750)] = 321581,
  [SMALL_STATE(4751)] = 321631,
  [SMALL_STATE(4752)] = 321679,
  [SMALL_STATE(4753)] = 321733,
  [SMALL_STATE(4754)] = 321789,
  [SMALL_STATE(4755)] = 321837,
  [SMALL_STATE(4756)] = 321885,
  [SMALL_STATE(4757)] = 321933,
  [SMALL_STATE(4758)] = 321987,
  [SMALL_STATE(4759)] = 322035,
  [SMALL_STATE(4760)] = 322091,
  [SMALL_STATE(4761)] = 322145,
  [SMALL_STATE(4762)] = 322193,
  [SMALL_STATE(4763)] = 322241,
  [SMALL_STATE(4764)] = 322289,
  [SMALL_STATE(4765)] = 322337,
  [SMALL_STATE(4766)] = 322391,
  [SMALL_STATE(4767)] = 322445,
  [SMALL_STATE(4768)] = 322499,
  [SMALL_STATE(4769)] = 322553,
  [SMALL_STATE(4770)] = 322607,
  [SMALL_STATE(4771)] = 322661,
  [SMALL_STATE(4772)] = 322715,
  [SMALL_STATE(4773)] = 322771,
  [SMALL_STATE(4774)] = 322825,
  [SMALL_STATE(4775)] = 322873,
  [SMALL_STATE(4776)] = 322921,
  [SMALL_STATE(4777)] = 322969,
  [SMALL_STATE(4778)] = 323023,
  [SMALL_STATE(4779)] = 323077,
  [SMALL_STATE(4780)] = 323131,
  [SMALL_STATE(4781)] = 323187,
  [SMALL_STATE(4782)] = 323243,
  [SMALL_STATE(4783)] = 323295,
  [SMALL_STATE(4784)] = 323347,
  [SMALL_STATE(4785)] = 323403,
  [SMALL_STATE(4786)] = 323451,
  [SMALL_STATE(4787)] = 323505,
  [SMALL_STATE(4788)] = 323553,
  [SMALL_STATE(4789)] = 323601,
  [SMALL_STATE(4790)] = 323649,
  [SMALL_STATE(4791)] = 323697,
  [SMALL_STATE(4792)] = 323745,
  [SMALL_STATE(4793)] = 323793,
  [SMALL_STATE(4794)] = 323841,
  [SMALL_STATE(4795)] = 323895,
  [SMALL_STATE(4796)] = 323943,
  [SMALL_STATE(4797)] = 323991,
  [SMALL_STATE(4798)] = 324039,
  [SMALL_STATE(4799)] = 324087,
  [SMALL_STATE(4800)] = 324134,
  [SMALL_STATE(4801)] = 324181,
  [SMALL_STATE(4802)] = 324236,
  [SMALL_STATE(4803)] = 324291,
  [SMALL_STATE(4804)] = 324346,
  [SMALL_STATE(4805)] = 324433,
  [SMALL_STATE(4806)] = 324484,
  [SMALL_STATE(4807)] = 324535,
  [SMALL_STATE(4808)] = 324582,
  [SMALL_STATE(4809)] = 324633,
  [SMALL_STATE(4810)] = 324684,
  [SMALL_STATE(4811)] = 324735,
  [SMALL_STATE(4812)] = 324786,
  [SMALL_STATE(4813)] = 324837,
  [SMALL_STATE(4814)] = 324884,
  [SMALL_STATE(4815)] = 324931,
  [SMALL_STATE(4816)] = 324978,
  [SMALL_STATE(4817)] = 325029,
  [SMALL_STATE(4818)] = 325080,
  [SMALL_STATE(4819)] = 325127,
  [SMALL_STATE(4820)] = 325174,
  [SMALL_STATE(4821)] = 325225,
  [SMALL_STATE(4822)] = 325272,
  [SMALL_STATE(4823)] = 325319,
  [SMALL_STATE(4824)] = 325406,
  [SMALL_STATE(4825)] = 325453,
  [SMALL_STATE(4826)] = 325504,
  [SMALL_STATE(4827)] = 325551,
  [SMALL_STATE(4828)] = 325602,
  [SMALL_STATE(4829)] = 325653,
  [SMALL_STATE(4830)] = 325700,
  [SMALL_STATE(4831)] = 325751,
  [SMALL_STATE(4832)] = 325800,
  [SMALL_STATE(4833)] = 325847,
  [SMALL_STATE(4834)] = 325894,
  [SMALL_STATE(4835)] = 325945,
  [SMALL_STATE(4836)] = 325996,
  [SMALL_STATE(4837)] = 326047,
  [SMALL_STATE(4838)] = 326100,
  [SMALL_STATE(4839)] = 326153,
  [SMALL_STATE(4840)] = 326240,
  [SMALL_STATE(4841)] = 326287,
  [SMALL_STATE(4842)] = 326338,
  [SMALL_STATE(4843)] = 326389,
  [SMALL_STATE(4844)] = 326438,
  [SMALL_STATE(4845)] = 326493,
  [SMALL_STATE(4846)] = 326544,
  [SMALL_STATE(4847)] = 326599,
  [SMALL_STATE(4848)] = 326650,
  [SMALL_STATE(4849)] = 326701,
  [SMALL_STATE(4850)] = 326748,
  [SMALL_STATE(4851)] = 326835,
  [SMALL_STATE(4852)] = 326882,
  [SMALL_STATE(4853)] = 326933,
  [SMALL_STATE(4854)] = 327020,
  [SMALL_STATE(4855)] = 327067,
  [SMALL_STATE(4856)] = 327114,
  [SMALL_STATE(4857)] = 327167,
  [SMALL_STATE(4858)] = 327220,
  [SMALL_STATE(4859)] = 327273,
  [SMALL_STATE(4860)] = 327326,
  [SMALL_STATE(4861)] = 327379,
  [SMALL_STATE(4862)] = 327432,
  [SMALL_STATE(4863)] = 327485,
  [SMALL_STATE(4864)] = 327532,
  [SMALL_STATE(4865)] = 327583,
  [SMALL_STATE(4866)] = 327636,
  [SMALL_STATE(4867)] = 327683,
  [SMALL_STATE(4868)] = 327732,
  [SMALL_STATE(4869)] = 327779,
  [SMALL_STATE(4870)] = 327826,
  [SMALL_STATE(4871)] = 327873,
  [SMALL_STATE(4872)] = 327920,
  [SMALL_STATE(4873)] = 327967,
  [SMALL_STATE(4874)] = 328022,
  [SMALL_STATE(4875)] = 328069,
  [SMALL_STATE(4876)] = 328120,
  [SMALL_STATE(4877)] = 328171,
  [SMALL_STATE(4878)] = 328222,
  [SMALL_STATE(4879)] = 328273,
  [SMALL_STATE(4880)] = 328320,
  [SMALL_STATE(4881)] = 328371,
  [SMALL_STATE(4882)] = 328418,
  [SMALL_STATE(4883)] = 328469,
  [SMALL_STATE(4884)] = 328522,
  [SMALL_STATE(4885)] = 328577,
  [SMALL_STATE(4886)] = 328624,
  [SMALL_STATE(4887)] = 328677,
  [SMALL_STATE(4888)] = 328728,
  [SMALL_STATE(4889)] = 328779,
  [SMALL_STATE(4890)] = 328830,
  [SMALL_STATE(4891)] = 328881,
  [SMALL_STATE(4892)] = 328932,
  [SMALL_STATE(4893)] = 328983,
  [SMALL_STATE(4894)] = 329030,
  [SMALL_STATE(4895)] = 329083,
  [SMALL_STATE(4896)] = 329136,
  [SMALL_STATE(4897)] = 329189,
  [SMALL_STATE(4898)] = 329242,
  [SMALL_STATE(4899)] = 329293,
  [SMALL_STATE(4900)] = 329340,
  [SMALL_STATE(4901)] = 329393,
  [SMALL_STATE(4902)] = 329446,
  [SMALL_STATE(4903)] = 329497,
  [SMALL_STATE(4904)] = 329548,
  [SMALL_STATE(4905)] = 329595,
  [SMALL_STATE(4906)] = 329642,
  [SMALL_STATE(4907)] = 329693,
  [SMALL_STATE(4908)] = 329744,
  [SMALL_STATE(4909)] = 329791,
  [SMALL_STATE(4910)] = 329838,
  [SMALL_STATE(4911)] = 329885,
  [SMALL_STATE(4912)] = 329932,
  [SMALL_STATE(4913)] = 329979,
  [SMALL_STATE(4914)] = 330026,
  [SMALL_STATE(4915)] = 330113,
  [SMALL_STATE(4916)] = 330160,
  [SMALL_STATE(4917)] = 330207,
  [SMALL_STATE(4918)] = 330254,
  [SMALL_STATE(4919)] = 330346,
  [SMALL_STATE(4920)] = 330394,
  [SMALL_STATE(4921)] = 330486,
  [SMALL_STATE(4922)] = 330534,
  [SMALL_STATE(4923)] = 330582,
  [SMALL_STATE(4924)] = 330630,
  [SMALL_STATE(4925)] = 330722,
  [SMALL_STATE(4926)] = 330770,
  [SMALL_STATE(4927)] = 330820,
  [SMALL_STATE(4928)] = 330912,
  [SMALL_STATE(4929)] = 331004,
  [SMALL_STATE(4930)] = 331096,
  [SMALL_STATE(4931)] = 331144,
  [SMALL_STATE(4932)] = 331236,
  [SMALL_STATE(4933)] = 331328,
  [SMALL_STATE(4934)] = 331376,
  [SMALL_STATE(4935)] = 331424,
  [SMALL_STATE(4936)] = 331472,
  [SMALL_STATE(4937)] = 331520,
  [SMALL_STATE(4938)] = 331568,
  [SMALL_STATE(4939)] = 331618,
  [SMALL_STATE(4940)] = 331670,
  [SMALL_STATE(4941)] = 331756,
  [SMALL_STATE(4942)] = 331806,
  [SMALL_STATE(4943)] = 331892,
  [SMALL_STATE(4944)] = 331984,
  [SMALL_STATE(4945)] = 332034,
  [SMALL_STATE(4946)] = 332126,
  [SMALL_STATE(4947)] = 332176,
  [SMALL_STATE(4948)] = 332226,
  [SMALL_STATE(4949)] = 332276,
  [SMALL_STATE(4950)] = 332326,
  [SMALL_STATE(4951)] = 332374,
  [SMALL_STATE(4952)] = 332460,
  [SMALL_STATE(4953)] = 332508,
  [SMALL_STATE(4954)] = 332600,
  [SMALL_STATE(4955)] = 332692,
  [SMALL_STATE(4956)] = 332740,
  [SMALL_STATE(4957)] = 332788,
  [SMALL_STATE(4958)] = 332836,
  [SMALL_STATE(4959)] = 332928,
  [SMALL_STATE(4960)] = 332976,
  [SMALL_STATE(4961)] = 333068,
  [SMALL_STATE(4962)] = 333118,
  [SMALL_STATE(4963)] = 333168,
  [SMALL_STATE(4964)] = 333218,
  [SMALL_STATE(4965)] = 333268,
  [SMALL_STATE(4966)] = 333316,
  [SMALL_STATE(4967)] = 333366,
  [SMALL_STATE(4968)] = 333416,
  [SMALL_STATE(4969)] = 333464,
  [SMALL_STATE(4970)] = 333512,
  [SMALL_STATE(4971)] = 333560,
  [SMALL_STATE(4972)] = 333608,
  [SMALL_STATE(4973)] = 333656,
  [SMALL_STATE(4974)] = 333704,
  [SMALL_STATE(4975)] = 333752,
  [SMALL_STATE(4976)] = 333800,
  [SMALL_STATE(4977)] = 333846,
  [SMALL_STATE(4978)] = 333938,
  [SMALL_STATE(4979)] = 333986,
  [SMALL_STATE(4980)] = 334078,
  [SMALL_STATE(4981)] = 334126,
  [SMALL_STATE(4982)] = 334218,
  [SMALL_STATE(4983)] = 334266,
  [SMALL_STATE(4984)] = 334316,
  [SMALL_STATE(4985)] = 334366,
  [SMALL_STATE(4986)] = 334414,
  [SMALL_STATE(4987)] = 334462,
  [SMALL_STATE(4988)] = 334512,
  [SMALL_STATE(4989)] = 334604,
  [SMALL_STATE(4990)] = 334654,
  [SMALL_STATE(4991)] = 334746,
  [SMALL_STATE(4992)] = 334796,
  [SMALL_STATE(4993)] = 334846,
  [SMALL_STATE(4994)] = 334896,
  [SMALL_STATE(4995)] = 334946,
  [SMALL_STATE(4996)] = 334994,
  [SMALL_STATE(4997)] = 335040,
  [SMALL_STATE(4998)] = 335090,
  [SMALL_STATE(4999)] = 335140,
  [SMALL_STATE(5000)] = 335190,
  [SMALL_STATE(5001)] = 335240,
  [SMALL_STATE(5002)] = 335290,
  [SMALL_STATE(5003)] = 335338,
  [SMALL_STATE(5004)] = 335384,
  [SMALL_STATE(5005)] = 335476,
  [SMALL_STATE(5006)] = 335524,
  [SMALL_STATE(5007)] = 335570,
  [SMALL_STATE(5008)] = 335616,
  [SMALL_STATE(5009)] = 335702,
  [SMALL_STATE(5010)] = 335794,
  [SMALL_STATE(5011)] = 335842,
  [SMALL_STATE(5012)] = 335934,
  [SMALL_STATE(5013)] = 336026,
  [SMALL_STATE(5014)] = 336074,
  [SMALL_STATE(5015)] = 336166,
  [SMALL_STATE(5016)] = 336214,
  [SMALL_STATE(5017)] = 336306,
  [SMALL_STATE(5018)] = 336354,
  [SMALL_STATE(5019)] = 336400,
  [SMALL_STATE(5020)] = 336448,
  [SMALL_STATE(5021)] = 336496,
  [SMALL_STATE(5022)] = 336544,
  [SMALL_STATE(5023)] = 336592,
  [SMALL_STATE(5024)] = 336684,
  [SMALL_STATE(5025)] = 336776,
  [SMALL_STATE(5026)] = 336824,
  [SMALL_STATE(5027)] = 336872,
  [SMALL_STATE(5028)] = 336922,
  [SMALL_STATE(5029)] = 336972,
  [SMALL_STATE(5030)] = 337064,
  [SMALL_STATE(5031)] = 337156,
  [SMALL_STATE(5032)] = 337210,
  [SMALL_STATE(5033)] = 337260,
  [SMALL_STATE(5034)] = 337314,
  [SMALL_STATE(5035)] = 337368,
  [SMALL_STATE(5036)] = 337416,
  [SMALL_STATE(5037)] = 337466,
  [SMALL_STATE(5038)] = 337558,
  [SMALL_STATE(5039)] = 337606,
  [SMALL_STATE(5040)] = 337656,
  [SMALL_STATE(5041)] = 337704,
  [SMALL_STATE(5042)] = 337752,
  [SMALL_STATE(5043)] = 337844,
  [SMALL_STATE(5044)] = 337892,
  [SMALL_STATE(5045)] = 337984,
  [SMALL_STATE(5046)] = 338034,
  [SMALL_STATE(5047)] = 338126,
  [SMALL_STATE(5048)] = 338212,
  [SMALL_STATE(5049)] = 338260,
  [SMALL_STATE(5050)] = 338308,
  [SMALL_STATE(5051)] = 338356,
  [SMALL_STATE(5052)] = 338404,
  [SMALL_STATE(5053)] = 338452,
  [SMALL_STATE(5054)] = 338500,
  [SMALL_STATE(5055)] = 338548,
  [SMALL_STATE(5056)] = 338598,
  [SMALL_STATE(5057)] = 338648,
  [SMALL_STATE(5058)] = 338698,
  [SMALL_STATE(5059)] = 338790,
  [SMALL_STATE(5060)] = 338840,
  [SMALL_STATE(5061)] = 338890,
  [SMALL_STATE(5062)] = 338940,
  [SMALL_STATE(5063)] = 338990,
  [SMALL_STATE(5064)] = 339038,
  [SMALL_STATE(5065)] = 339090,
  [SMALL_STATE(5066)] = 339138,
  [SMALL_STATE(5067)] = 339188,
  [SMALL_STATE(5068)] = 339236,
  [SMALL_STATE(5069)] = 339284,
  [SMALL_STATE(5070)] = 339338,
  [SMALL_STATE(5071)] = 339392,
  [SMALL_STATE(5072)] = 339440,
  [SMALL_STATE(5073)] = 339488,
  [SMALL_STATE(5074)] = 339536,
  [SMALL_STATE(5075)] = 339584,
  [SMALL_STATE(5076)] = 339632,
  [SMALL_STATE(5077)] = 339686,
  [SMALL_STATE(5078)] = 339734,
  [SMALL_STATE(5079)] = 339782,
  [SMALL_STATE(5080)] = 339830,
  [SMALL_STATE(5081)] = 339878,
  [SMALL_STATE(5082)] = 339926,
  [SMALL_STATE(5083)] = 339974,
  [SMALL_STATE(5084)] = 340022,
  [SMALL_STATE(5085)] = 340072,
  [SMALL_STATE(5086)] = 340120,
  [SMALL_STATE(5087)] = 340166,
  [SMALL_STATE(5088)] = 340258,
  [SMALL_STATE(5089)] = 340308,
  [SMALL_STATE(5090)] = 340400,
  [SMALL_STATE(5091)] = 340450,
  [SMALL_STATE(5092)] = 340500,
  [SMALL_STATE(5093)] = 340550,
  [SMALL_STATE(5094)] = 340597,
  [SMALL_STATE(5095)] = 340642,
  [SMALL_STATE(5096)] = 340731,
  [SMALL_STATE(5097)] = 340820,
  [SMALL_STATE(5098)] = 340909,
  [SMALL_STATE(5099)] = 340998,
  [SMALL_STATE(5100)] = 341087,
  [SMALL_STATE(5101)] = 341176,
  [SMALL_STATE(5102)] = 341221,
  [SMALL_STATE(5103)] = 341310,
  [SMALL_STATE(5104)] = 341357,
  [SMALL_STATE(5105)] = 341446,
  [SMALL_STATE(5106)] = 341535,
  [SMALL_STATE(5107)] = 341590,
  [SMALL_STATE(5108)] = 341679,
  [SMALL_STATE(5109)] = 341768,
  [SMALL_STATE(5110)] = 341817,
  [SMALL_STATE(5111)] = 341906,
  [SMALL_STATE(5112)] = 341995,
  [SMALL_STATE(5113)] = 342084,
  [SMALL_STATE(5114)] = 342173,
  [SMALL_STATE(5115)] = 342262,
  [SMALL_STATE(5116)] = 342351,
  [SMALL_STATE(5117)] = 342440,
  [SMALL_STATE(5118)] = 342529,
  [SMALL_STATE(5119)] = 342618,
  [SMALL_STATE(5120)] = 342675,
  [SMALL_STATE(5121)] = 342720,
  [SMALL_STATE(5122)] = 342765,
  [SMALL_STATE(5123)] = 342810,
  [SMALL_STATE(5124)] = 342855,
  [SMALL_STATE(5125)] = 342900,
  [SMALL_STATE(5126)] = 342945,
  [SMALL_STATE(5127)] = 342990,
  [SMALL_STATE(5128)] = 343079,
  [SMALL_STATE(5129)] = 343128,
  [SMALL_STATE(5130)] = 343173,
  [SMALL_STATE(5131)] = 343262,
  [SMALL_STATE(5132)] = 343307,
  [SMALL_STATE(5133)] = 343358,
  [SMALL_STATE(5134)] = 343403,
  [SMALL_STATE(5135)] = 343448,
  [SMALL_STATE(5136)] = 343493,
  [SMALL_STATE(5137)] = 343538,
  [SMALL_STATE(5138)] = 343583,
  [SMALL_STATE(5139)] = 343628,
  [SMALL_STATE(5140)] = 343673,
  [SMALL_STATE(5141)] = 343718,
  [SMALL_STATE(5142)] = 343807,
  [SMALL_STATE(5143)] = 343896,
  [SMALL_STATE(5144)] = 343941,
  [SMALL_STATE(5145)] = 344030,
  [SMALL_STATE(5146)] = 344075,
  [SMALL_STATE(5147)] = 344164,
  [SMALL_STATE(5148)] = 344209,
  [SMALL_STATE(5149)] = 344298,
  [SMALL_STATE(5150)] = 344343,
  [SMALL_STATE(5151)] = 344432,
  [SMALL_STATE(5152)] = 344519,
  [SMALL_STATE(5153)] = 344564,
  [SMALL_STATE(5154)] = 344609,
  [SMALL_STATE(5155)] = 344698,
  [SMALL_STATE(5156)] = 344749,
  [SMALL_STATE(5157)] = 344838,
  [SMALL_STATE(5158)] = 344927,
  [SMALL_STATE(5159)] = 345016,
  [SMALL_STATE(5160)] = 345067,
  [SMALL_STATE(5161)] = 345112,
  [SMALL_STATE(5162)] = 345157,
  [SMALL_STATE(5163)] = 345246,
  [SMALL_STATE(5164)] = 345291,
  [SMALL_STATE(5165)] = 345380,
  [SMALL_STATE(5166)] = 345425,
  [SMALL_STATE(5167)] = 345470,
  [SMALL_STATE(5168)] = 345515,
  [SMALL_STATE(5169)] = 345560,
  [SMALL_STATE(5170)] = 345607,
  [SMALL_STATE(5171)] = 345652,
  [SMALL_STATE(5172)] = 345741,
  [SMALL_STATE(5173)] = 345786,
  [SMALL_STATE(5174)] = 345831,
  [SMALL_STATE(5175)] = 345876,
  [SMALL_STATE(5176)] = 345921,
  [SMALL_STATE(5177)] = 345966,
  [SMALL_STATE(5178)] = 346011,
  [SMALL_STATE(5179)] = 346056,
  [SMALL_STATE(5180)] = 346101,
  [SMALL_STATE(5181)] = 346146,
  [SMALL_STATE(5182)] = 346191,
  [SMALL_STATE(5183)] = 346236,
  [SMALL_STATE(5184)] = 346281,
  [SMALL_STATE(5185)] = 346326,
  [SMALL_STATE(5186)] = 346371,
  [SMALL_STATE(5187)] = 346416,
  [SMALL_STATE(5188)] = 346461,
  [SMALL_STATE(5189)] = 346550,
  [SMALL_STATE(5190)] = 346601,
  [SMALL_STATE(5191)] = 346652,
  [SMALL_STATE(5192)] = 346703,
  [SMALL_STATE(5193)] = 346754,
  [SMALL_STATE(5194)] = 346799,
  [SMALL_STATE(5195)] = 346844,
  [SMALL_STATE(5196)] = 346933,
  [SMALL_STATE(5197)] = 346978,
  [SMALL_STATE(5198)] = 347067,
  [SMALL_STATE(5199)] = 347112,
  [SMALL_STATE(5200)] = 347199,
  [SMALL_STATE(5201)] = 347288,
  [SMALL_STATE(5202)] = 347333,
  [SMALL_STATE(5203)] = 347378,
  [SMALL_STATE(5204)] = 347433,
  [SMALL_STATE(5205)] = 347478,
  [SMALL_STATE(5206)] = 347523,
  [SMALL_STATE(5207)] = 347568,
  [SMALL_STATE(5208)] = 347613,
  [SMALL_STATE(5209)] = 347702,
  [SMALL_STATE(5210)] = 347747,
  [SMALL_STATE(5211)] = 347836,
  [SMALL_STATE(5212)] = 347881,
  [SMALL_STATE(5213)] = 347926,
  [SMALL_STATE(5214)] = 347971,
  [SMALL_STATE(5215)] = 348016,
  [SMALL_STATE(5216)] = 348061,
  [SMALL_STATE(5217)] = 348148,
  [SMALL_STATE(5218)] = 348193,
  [SMALL_STATE(5219)] = 348238,
  [SMALL_STATE(5220)] = 348283,
  [SMALL_STATE(5221)] = 348328,
  [SMALL_STATE(5222)] = 348373,
  [SMALL_STATE(5223)] = 348418,
  [SMALL_STATE(5224)] = 348463,
  [SMALL_STATE(5225)] = 348552,
  [SMALL_STATE(5226)] = 348597,
  [SMALL_STATE(5227)] = 348686,
  [SMALL_STATE(5228)] = 348731,
  [SMALL_STATE(5229)] = 348776,
  [SMALL_STATE(5230)] = 348821,
  [SMALL_STATE(5231)] = 348908,
  [SMALL_STATE(5232)] = 348953,
  [SMALL_STATE(5233)] = 348998,
  [SMALL_STATE(5234)] = 349043,
  [SMALL_STATE(5235)] = 349088,
  [SMALL_STATE(5236)] = 349133,
  [SMALL_STATE(5237)] = 349178,
  [SMALL_STATE(5238)] = 349223,
  [SMALL_STATE(5239)] = 349268,
  [SMALL_STATE(5240)] = 349313,
  [SMALL_STATE(5241)] = 349358,
  [SMALL_STATE(5242)] = 349445,
  [SMALL_STATE(5243)] = 349490,
  [SMALL_STATE(5244)] = 349577,
  [SMALL_STATE(5245)] = 349622,
  [SMALL_STATE(5246)] = 349669,
  [SMALL_STATE(5247)] = 349714,
  [SMALL_STATE(5248)] = 349759,
  [SMALL_STATE(5249)] = 349804,
  [SMALL_STATE(5250)] = 349853,
  [SMALL_STATE(5251)] = 349942,
  [SMALL_STATE(5252)] = 349987,
  [SMALL_STATE(5253)] = 350032,
  [SMALL_STATE(5254)] = 350077,
  [SMALL_STATE(5255)] = 350122,
  [SMALL_STATE(5256)] = 350167,
  [SMALL_STATE(5257)] = 350212,
  [SMALL_STATE(5258)] = 350257,
  [SMALL_STATE(5259)] = 350302,
  [SMALL_STATE(5260)] = 350391,
  [SMALL_STATE(5261)] = 350436,
  [SMALL_STATE(5262)] = 350481,
  [SMALL_STATE(5263)] = 350526,
  [SMALL_STATE(5264)] = 350571,
  [SMALL_STATE(5265)] = 350616,
  [SMALL_STATE(5266)] = 350661,
  [SMALL_STATE(5267)] = 350748,
  [SMALL_STATE(5268)] = 350793,
  [SMALL_STATE(5269)] = 350838,
  [SMALL_STATE(5270)] = 350925,
  [SMALL_STATE(5271)] = 350970,
  [SMALL_STATE(5272)] = 351015,
  [SMALL_STATE(5273)] = 351060,
  [SMALL_STATE(5274)] = 351105,
  [SMALL_STATE(5275)] = 351150,
  [SMALL_STATE(5276)] = 351195,
  [SMALL_STATE(5277)] = 351240,
  [SMALL_STATE(5278)] = 351285,
  [SMALL_STATE(5279)] = 351330,
  [SMALL_STATE(5280)] = 351375,
  [SMALL_STATE(5281)] = 351420,
  [SMALL_STATE(5282)] = 351509,
  [SMALL_STATE(5283)] = 351554,
  [SMALL_STATE(5284)] = 351599,
  [SMALL_STATE(5285)] = 351644,
  [SMALL_STATE(5286)] = 351689,
  [SMALL_STATE(5287)] = 351734,
  [SMALL_STATE(5288)] = 351779,
  [SMALL_STATE(5289)] = 351824,
  [SMALL_STATE(5290)] = 351869,
  [SMALL_STATE(5291)] = 351914,
  [SMALL_STATE(5292)] = 352003,
  [SMALL_STATE(5293)] = 352048,
  [SMALL_STATE(5294)] = 352099,
  [SMALL_STATE(5295)] = 352144,
  [SMALL_STATE(5296)] = 352189,
  [SMALL_STATE(5297)] = 352278,
  [SMALL_STATE(5298)] = 352323,
  [SMALL_STATE(5299)] = 352368,
  [SMALL_STATE(5300)] = 352413,
  [SMALL_STATE(5301)] = 352502,
  [SMALL_STATE(5302)] = 352547,
  [SMALL_STATE(5303)] = 352634,
  [SMALL_STATE(5304)] = 352685,
  [SMALL_STATE(5305)] = 352736,
  [SMALL_STATE(5306)] = 352787,
  [SMALL_STATE(5307)] = 352838,
  [SMALL_STATE(5308)] = 352889,
  [SMALL_STATE(5309)] = 352940,
  [SMALL_STATE(5310)] = 352985,
  [SMALL_STATE(5311)] = 353030,
  [SMALL_STATE(5312)] = 353075,
  [SMALL_STATE(5313)] = 353162,
  [SMALL_STATE(5314)] = 353207,
  [SMALL_STATE(5315)] = 353252,
  [SMALL_STATE(5316)] = 353297,
  [SMALL_STATE(5317)] = 353342,
  [SMALL_STATE(5318)] = 353387,
  [SMALL_STATE(5319)] = 353476,
  [SMALL_STATE(5320)] = 353521,
  [SMALL_STATE(5321)] = 353610,
  [SMALL_STATE(5322)] = 353655,
  [SMALL_STATE(5323)] = 353700,
  [SMALL_STATE(5324)] = 353745,
  [SMALL_STATE(5325)] = 353832,
  [SMALL_STATE(5326)] = 353919,
  [SMALL_STATE(5327)] = 354006,
  [SMALL_STATE(5328)] = 354093,
  [SMALL_STATE(5329)] = 354138,
  [SMALL_STATE(5330)] = 354183,
  [SMALL_STATE(5331)] = 354232,
  [SMALL_STATE(5332)] = 354321,
  [SMALL_STATE(5333)] = 354366,
  [SMALL_STATE(5334)] = 354455,
  [SMALL_STATE(5335)] = 354502,
  [SMALL_STATE(5336)] = 354549,
  [SMALL_STATE(5337)] = 354638,
  [SMALL_STATE(5338)] = 354683,
  [SMALL_STATE(5339)] = 354732,
  [SMALL_STATE(5340)] = 354779,
  [SMALL_STATE(5341)] = 354824,
  [SMALL_STATE(5342)] = 354869,
  [SMALL_STATE(5343)] = 354914,
  [SMALL_STATE(5344)] = 354965,
  [SMALL_STATE(5345)] = 355012,
  [SMALL_STATE(5346)] = 355057,
  [SMALL_STATE(5347)] = 355104,
  [SMALL_STATE(5348)] = 355193,
  [SMALL_STATE(5349)] = 355240,
  [SMALL_STATE(5350)] = 355291,
  [SMALL_STATE(5351)] = 355376,
  [SMALL_STATE(5352)] = 355421,
  [SMALL_STATE(5353)] = 355470,
  [SMALL_STATE(5354)] = 355559,
  [SMALL_STATE(5355)] = 355606,
  [SMALL_STATE(5356)] = 355653,
  [SMALL_STATE(5357)] = 355742,
  [SMALL_STATE(5358)] = 355831,
  [SMALL_STATE(5359)] = 355920,
  [SMALL_STATE(5360)] = 356005,
  [SMALL_STATE(5361)] = 356050,
  [SMALL_STATE(5362)] = 356095,
  [SMALL_STATE(5363)] = 356142,
  [SMALL_STATE(5364)] = 356189,
  [SMALL_STATE(5365)] = 356236,
  [SMALL_STATE(5366)] = 356321,
  [SMALL_STATE(5367)] = 356368,
  [SMALL_STATE(5368)] = 356415,
  [SMALL_STATE(5369)] = 356462,
  [SMALL_STATE(5370)] = 356509,
  [SMALL_STATE(5371)] = 356556,
  [SMALL_STATE(5372)] = 356603,
  [SMALL_STATE(5373)] = 356688,
  [SMALL_STATE(5374)] = 356735,
  [SMALL_STATE(5375)] = 356782,
  [SMALL_STATE(5376)] = 356829,
  [SMALL_STATE(5377)] = 356876,
  [SMALL_STATE(5378)] = 356961,
  [SMALL_STATE(5379)] = 357008,
  [SMALL_STATE(5380)] = 357055,
  [SMALL_STATE(5381)] = 357102,
  [SMALL_STATE(5382)] = 357151,
  [SMALL_STATE(5383)] = 357196,
  [SMALL_STATE(5384)] = 357241,
  [SMALL_STATE(5385)] = 357286,
  [SMALL_STATE(5386)] = 357333,
  [SMALL_STATE(5387)] = 357420,
  [SMALL_STATE(5388)] = 357467,
  [SMALL_STATE(5389)] = 357518,
  [SMALL_STATE(5390)] = 357563,
  [SMALL_STATE(5391)] = 357608,
  [SMALL_STATE(5392)] = 357655,
  [SMALL_STATE(5393)] = 357744,
  [SMALL_STATE(5394)] = 357789,
  [SMALL_STATE(5395)] = 357878,
  [SMALL_STATE(5396)] = 357967,
  [SMALL_STATE(5397)] = 358012,
  [SMALL_STATE(5398)] = 358101,
  [SMALL_STATE(5399)] = 358150,
  [SMALL_STATE(5400)] = 358235,
  [SMALL_STATE(5401)] = 358282,
  [SMALL_STATE(5402)] = 358329,
  [SMALL_STATE(5403)] = 358416,
  [SMALL_STATE(5404)] = 358463,
  [SMALL_STATE(5405)] = 358552,
  [SMALL_STATE(5406)] = 358599,
  [SMALL_STATE(5407)] = 358644,
  [SMALL_STATE(5408)] = 358695,
  [SMALL_STATE(5409)] = 358746,
  [SMALL_STATE(5410)] = 358793,
  [SMALL_STATE(5411)] = 358882,
  [SMALL_STATE(5412)] = 358929,
  [SMALL_STATE(5413)] = 358976,
  [SMALL_STATE(5414)] = 359021,
  [SMALL_STATE(5415)] = 359106,
  [SMALL_STATE(5416)] = 359153,
  [SMALL_STATE(5417)] = 359200,
  [SMALL_STATE(5418)] = 359247,
  [SMALL_STATE(5419)] = 359294,
  [SMALL_STATE(5420)] = 359345,
  [SMALL_STATE(5421)] = 359392,
  [SMALL_STATE(5422)] = 359439,
  [SMALL_STATE(5423)] = 359486,
  [SMALL_STATE(5424)] = 359533,
  [SMALL_STATE(5425)] = 359622,
  [SMALL_STATE(5426)] = 359711,
  [SMALL_STATE(5427)] = 359758,
  [SMALL_STATE(5428)] = 359805,
  [SMALL_STATE(5429)] = 359852,
  [SMALL_STATE(5430)] = 359903,
  [SMALL_STATE(5431)] = 359954,
  [SMALL_STATE(5432)] = 360043,
  [SMALL_STATE(5433)] = 360088,
  [SMALL_STATE(5434)] = 360135,
  [SMALL_STATE(5435)] = 360182,
  [SMALL_STATE(5436)] = 360229,
  [SMALL_STATE(5437)] = 360318,
  [SMALL_STATE(5438)] = 360371,
  [SMALL_STATE(5439)] = 360456,
  [SMALL_STATE(5440)] = 360541,
  [SMALL_STATE(5441)] = 360630,
  [SMALL_STATE(5442)] = 360719,
  [SMALL_STATE(5443)] = 360766,
  [SMALL_STATE(5444)] = 360813,
  [SMALL_STATE(5445)] = 360860,
  [SMALL_STATE(5446)] = 360907,
  [SMALL_STATE(5447)] = 360996,
  [SMALL_STATE(5448)] = 361043,
  [SMALL_STATE(5449)] = 361090,
  [SMALL_STATE(5450)] = 361137,
  [SMALL_STATE(5451)] = 361226,
  [SMALL_STATE(5452)] = 361273,
  [SMALL_STATE(5453)] = 361360,
  [SMALL_STATE(5454)] = 361449,
  [SMALL_STATE(5455)] = 361496,
  [SMALL_STATE(5456)] = 361583,
  [SMALL_STATE(5457)] = 361630,
  [SMALL_STATE(5458)] = 361677,
  [SMALL_STATE(5459)] = 361724,
  [SMALL_STATE(5460)] = 361771,
  [SMALL_STATE(5461)] = 361818,
  [SMALL_STATE(5462)] = 361865,
  [SMALL_STATE(5463)] = 361912,
  [SMALL_STATE(5464)] = 361965,
  [SMALL_STATE(5465)] = 362012,
  [SMALL_STATE(5466)] = 362059,
  [SMALL_STATE(5467)] = 362106,
  [SMALL_STATE(5468)] = 362153,
  [SMALL_STATE(5469)] = 362200,
  [SMALL_STATE(5470)] = 362247,
  [SMALL_STATE(5471)] = 362294,
  [SMALL_STATE(5472)] = 362347,
  [SMALL_STATE(5473)] = 362394,
  [SMALL_STATE(5474)] = 362439,
  [SMALL_STATE(5475)] = 362528,
  [SMALL_STATE(5476)] = 362617,
  [SMALL_STATE(5477)] = 362703,
  [SMALL_STATE(5478)] = 362789,
  [SMALL_STATE(5479)] = 362837,
  [SMALL_STATE(5480)] = 362881,
  [SMALL_STATE(5481)] = 362925,
  [SMALL_STATE(5482)] = 362969,
  [SMALL_STATE(5483)] = 363013,
  [SMALL_STATE(5484)] = 363057,
  [SMALL_STATE(5485)] = 363101,
  [SMALL_STATE(5486)] = 363145,
  [SMALL_STATE(5487)] = 363193,
  [SMALL_STATE(5488)] = 363237,
  [SMALL_STATE(5489)] = 363323,
  [SMALL_STATE(5490)] = 363409,
  [SMALL_STATE(5491)] = 363453,
  [SMALL_STATE(5492)] = 363497,
  [SMALL_STATE(5493)] = 363541,
  [SMALL_STATE(5494)] = 363627,
  [SMALL_STATE(5495)] = 363673,
  [SMALL_STATE(5496)] = 363717,
  [SMALL_STATE(5497)] = 363761,
  [SMALL_STATE(5498)] = 363805,
  [SMALL_STATE(5499)] = 363849,
  [SMALL_STATE(5500)] = 363935,
  [SMALL_STATE(5501)] = 363979,
  [SMALL_STATE(5502)] = 364023,
  [SMALL_STATE(5503)] = 364067,
  [SMALL_STATE(5504)] = 364113,
  [SMALL_STATE(5505)] = 364157,
  [SMALL_STATE(5506)] = 364203,
  [SMALL_STATE(5507)] = 364247,
  [SMALL_STATE(5508)] = 364291,
  [SMALL_STATE(5509)] = 364335,
  [SMALL_STATE(5510)] = 364379,
  [SMALL_STATE(5511)] = 364427,
  [SMALL_STATE(5512)] = 364471,
  [SMALL_STATE(5513)] = 364515,
  [SMALL_STATE(5514)] = 364559,
  [SMALL_STATE(5515)] = 364603,
  [SMALL_STATE(5516)] = 364647,
  [SMALL_STATE(5517)] = 364691,
  [SMALL_STATE(5518)] = 364737,
  [SMALL_STATE(5519)] = 364781,
  [SMALL_STATE(5520)] = 364825,
  [SMALL_STATE(5521)] = 364869,
  [SMALL_STATE(5522)] = 364913,
  [SMALL_STATE(5523)] = 364957,
  [SMALL_STATE(5524)] = 365005,
  [SMALL_STATE(5525)] = 365049,
  [SMALL_STATE(5526)] = 365093,
  [SMALL_STATE(5527)] = 365137,
  [SMALL_STATE(5528)] = 365181,
  [SMALL_STATE(5529)] = 365225,
  [SMALL_STATE(5530)] = 365269,
  [SMALL_STATE(5531)] = 365313,
  [SMALL_STATE(5532)] = 365357,
  [SMALL_STATE(5533)] = 365411,
  [SMALL_STATE(5534)] = 365455,
  [SMALL_STATE(5535)] = 365499,
  [SMALL_STATE(5536)] = 365543,
  [SMALL_STATE(5537)] = 365629,
  [SMALL_STATE(5538)] = 365673,
  [SMALL_STATE(5539)] = 365717,
  [SMALL_STATE(5540)] = 365761,
  [SMALL_STATE(5541)] = 365805,
  [SMALL_STATE(5542)] = 365891,
  [SMALL_STATE(5543)] = 365935,
  [SMALL_STATE(5544)] = 365979,
  [SMALL_STATE(5545)] = 366025,
  [SMALL_STATE(5546)] = 366069,
  [SMALL_STATE(5547)] = 366117,
  [SMALL_STATE(5548)] = 366165,
  [SMALL_STATE(5549)] = 366209,
  [SMALL_STATE(5550)] = 366253,
  [SMALL_STATE(5551)] = 366297,
  [SMALL_STATE(5552)] = 366341,
  [SMALL_STATE(5553)] = 366385,
  [SMALL_STATE(5554)] = 366429,
  [SMALL_STATE(5555)] = 366477,
  [SMALL_STATE(5556)] = 366521,
  [SMALL_STATE(5557)] = 366565,
  [SMALL_STATE(5558)] = 366609,
  [SMALL_STATE(5559)] = 366653,
  [SMALL_STATE(5560)] = 366697,
  [SMALL_STATE(5561)] = 366741,
  [SMALL_STATE(5562)] = 366785,
  [SMALL_STATE(5563)] = 366829,
  [SMALL_STATE(5564)] = 366875,
  [SMALL_STATE(5565)] = 366923,
  [SMALL_STATE(5566)] = 366967,
  [SMALL_STATE(5567)] = 367011,
  [SMALL_STATE(5568)] = 367055,
  [SMALL_STATE(5569)] = 367099,
  [SMALL_STATE(5570)] = 367143,
  [SMALL_STATE(5571)] = 367187,
  [SMALL_STATE(5572)] = 367273,
  [SMALL_STATE(5573)] = 367317,
  [SMALL_STATE(5574)] = 367365,
  [SMALL_STATE(5575)] = 367409,
  [SMALL_STATE(5576)] = 367457,
  [SMALL_STATE(5577)] = 367543,
  [SMALL_STATE(5578)] = 367587,
  [SMALL_STATE(5579)] = 367631,
  [SMALL_STATE(5580)] = 367675,
  [SMALL_STATE(5581)] = 367719,
  [SMALL_STATE(5582)] = 367763,
  [SMALL_STATE(5583)] = 367807,
  [SMALL_STATE(5584)] = 367851,
  [SMALL_STATE(5585)] = 367937,
  [SMALL_STATE(5586)] = 367981,
  [SMALL_STATE(5587)] = 368029,
  [SMALL_STATE(5588)] = 368073,
  [SMALL_STATE(5589)] = 368117,
  [SMALL_STATE(5590)] = 368165,
  [SMALL_STATE(5591)] = 368213,
  [SMALL_STATE(5592)] = 368261,
  [SMALL_STATE(5593)] = 368347,
  [SMALL_STATE(5594)] = 368395,
  [SMALL_STATE(5595)] = 368479,
  [SMALL_STATE(5596)] = 368523,
  [SMALL_STATE(5597)] = 368567,
  [SMALL_STATE(5598)] = 368611,
  [SMALL_STATE(5599)] = 368655,
  [SMALL_STATE(5600)] = 368699,
  [SMALL_STATE(5601)] = 368743,
  [SMALL_STATE(5602)] = 368787,
  [SMALL_STATE(5603)] = 368831,
  [SMALL_STATE(5604)] = 368917,
  [SMALL_STATE(5605)] = 368961,
  [SMALL_STATE(5606)] = 369009,
  [SMALL_STATE(5607)] = 369057,
  [SMALL_STATE(5608)] = 369101,
  [SMALL_STATE(5609)] = 369149,
  [SMALL_STATE(5610)] = 369193,
  [SMALL_STATE(5611)] = 369277,
  [SMALL_STATE(5612)] = 369321,
  [SMALL_STATE(5613)] = 369369,
  [SMALL_STATE(5614)] = 369413,
  [SMALL_STATE(5615)] = 369461,
  [SMALL_STATE(5616)] = 369505,
  [SMALL_STATE(5617)] = 369553,
  [SMALL_STATE(5618)] = 369597,
  [SMALL_STATE(5619)] = 369641,
  [SMALL_STATE(5620)] = 369685,
  [SMALL_STATE(5621)] = 369729,
  [SMALL_STATE(5622)] = 369773,
  [SMALL_STATE(5623)] = 369817,
  [SMALL_STATE(5624)] = 369861,
  [SMALL_STATE(5625)] = 369905,
  [SMALL_STATE(5626)] = 369953,
  [SMALL_STATE(5627)] = 370001,
  [SMALL_STATE(5628)] = 370047,
  [SMALL_STATE(5629)] = 370091,
  [SMALL_STATE(5630)] = 370135,
  [SMALL_STATE(5631)] = 370179,
  [SMALL_STATE(5632)] = 370223,
  [SMALL_STATE(5633)] = 370307,
  [SMALL_STATE(5634)] = 370351,
  [SMALL_STATE(5635)] = 370395,
  [SMALL_STATE(5636)] = 370439,
  [SMALL_STATE(5637)] = 370483,
  [SMALL_STATE(5638)] = 370531,
  [SMALL_STATE(5639)] = 370575,
  [SMALL_STATE(5640)] = 370619,
  [SMALL_STATE(5641)] = 370673,
  [SMALL_STATE(5642)] = 370717,
  [SMALL_STATE(5643)] = 370761,
  [SMALL_STATE(5644)] = 370805,
  [SMALL_STATE(5645)] = 370849,
  [SMALL_STATE(5646)] = 370893,
  [SMALL_STATE(5647)] = 370937,
  [SMALL_STATE(5648)] = 370981,
  [SMALL_STATE(5649)] = 371025,
  [SMALL_STATE(5650)] = 371069,
  [SMALL_STATE(5651)] = 371113,
  [SMALL_STATE(5652)] = 371157,
  [SMALL_STATE(5653)] = 371201,
  [SMALL_STATE(5654)] = 371245,
  [SMALL_STATE(5655)] = 371289,
  [SMALL_STATE(5656)] = 371333,
  [SMALL_STATE(5657)] = 371381,
  [SMALL_STATE(5658)] = 371429,
  [SMALL_STATE(5659)] = 371473,
  [SMALL_STATE(5660)] = 371521,
  [SMALL_STATE(5661)] = 371565,
  [SMALL_STATE(5662)] = 371649,
  [SMALL_STATE(5663)] = 371697,
  [SMALL_STATE(5664)] = 371741,
  [SMALL_STATE(5665)] = 371789,
  [SMALL_STATE(5666)] = 371837,
  [SMALL_STATE(5667)] = 371881,
  [SMALL_STATE(5668)] = 371925,
  [SMALL_STATE(5669)] = 371969,
  [SMALL_STATE(5670)] = 372013,
  [SMALL_STATE(5671)] = 372057,
  [SMALL_STATE(5672)] = 372101,
  [SMALL_STATE(5673)] = 372185,
  [SMALL_STATE(5674)] = 372233,
  [SMALL_STATE(5675)] = 372277,
  [SMALL_STATE(5676)] = 372321,
  [SMALL_STATE(5677)] = 372365,
  [SMALL_STATE(5678)] = 372451,
  [SMALL_STATE(5679)] = 372495,
  [SMALL_STATE(5680)] = 372539,
  [SMALL_STATE(5681)] = 372583,
  [SMALL_STATE(5682)] = 372627,
  [SMALL_STATE(5683)] = 372671,
  [SMALL_STATE(5684)] = 372715,
  [SMALL_STATE(5685)] = 372759,
  [SMALL_STATE(5686)] = 372803,
  [SMALL_STATE(5687)] = 372847,
  [SMALL_STATE(5688)] = 372891,
  [SMALL_STATE(5689)] = 372935,
  [SMALL_STATE(5690)] = 372979,
  [SMALL_STATE(5691)] = 373023,
  [SMALL_STATE(5692)] = 373107,
  [SMALL_STATE(5693)] = 373155,
  [SMALL_STATE(5694)] = 373241,
  [SMALL_STATE(5695)] = 373285,
  [SMALL_STATE(5696)] = 373369,
  [SMALL_STATE(5697)] = 373413,
  [SMALL_STATE(5698)] = 373457,
  [SMALL_STATE(5699)] = 373501,
  [SMALL_STATE(5700)] = 373545,
  [SMALL_STATE(5701)] = 373589,
  [SMALL_STATE(5702)] = 373633,
  [SMALL_STATE(5703)] = 373677,
  [SMALL_STATE(5704)] = 373721,
  [SMALL_STATE(5705)] = 373765,
  [SMALL_STATE(5706)] = 373809,
  [SMALL_STATE(5707)] = 373853,
  [SMALL_STATE(5708)] = 373897,
  [SMALL_STATE(5709)] = 373981,
  [SMALL_STATE(5710)] = 374025,
  [SMALL_STATE(5711)] = 374069,
  [SMALL_STATE(5712)] = 374113,
  [SMALL_STATE(5713)] = 374157,
  [SMALL_STATE(5714)] = 374201,
  [SMALL_STATE(5715)] = 374249,
  [SMALL_STATE(5716)] = 374297,
  [SMALL_STATE(5717)] = 374341,
  [SMALL_STATE(5718)] = 374385,
  [SMALL_STATE(5719)] = 374429,
  [SMALL_STATE(5720)] = 374477,
  [SMALL_STATE(5721)] = 374523,
  [SMALL_STATE(5722)] = 374571,
  [SMALL_STATE(5723)] = 374615,
  [SMALL_STATE(5724)] = 374659,
  [SMALL_STATE(5725)] = 374743,
  [SMALL_STATE(5726)] = 374787,
  [SMALL_STATE(5727)] = 374831,
  [SMALL_STATE(5728)] = 374877,
  [SMALL_STATE(5729)] = 374925,
  [SMALL_STATE(5730)] = 374969,
  [SMALL_STATE(5731)] = 375015,
  [SMALL_STATE(5732)] = 375063,
  [SMALL_STATE(5733)] = 375107,
  [SMALL_STATE(5734)] = 375151,
  [SMALL_STATE(5735)] = 375235,
  [SMALL_STATE(5736)] = 375279,
  [SMALL_STATE(5737)] = 375323,
  [SMALL_STATE(5738)] = 375367,
  [SMALL_STATE(5739)] = 375411,
  [SMALL_STATE(5740)] = 375495,
  [SMALL_STATE(5741)] = 375539,
  [SMALL_STATE(5742)] = 375583,
  [SMALL_STATE(5743)] = 375627,
  [SMALL_STATE(5744)] = 375671,
  [SMALL_STATE(5745)] = 375757,
  [SMALL_STATE(5746)] = 375843,
  [SMALL_STATE(5747)] = 375887,
  [SMALL_STATE(5748)] = 375971,
  [SMALL_STATE(5749)] = 376015,
  [SMALL_STATE(5750)] = 376059,
  [SMALL_STATE(5751)] = 376103,
  [SMALL_STATE(5752)] = 376189,
  [SMALL_STATE(5753)] = 376237,
  [SMALL_STATE(5754)] = 376321,
  [SMALL_STATE(5755)] = 376405,
  [SMALL_STATE(5756)] = 376489,
  [SMALL_STATE(5757)] = 376536,
  [SMALL_STATE(5758)] = 376619,
  [SMALL_STATE(5759)] = 376702,
  [SMALL_STATE(5760)] = 376747,
  [SMALL_STATE(5761)] = 376792,
  [SMALL_STATE(5762)] = 376839,
  [SMALL_STATE(5763)] = 376884,
  [SMALL_STATE(5764)] = 376929,
  [SMALL_STATE(5765)] = 377012,
  [SMALL_STATE(5766)] = 377095,
  [SMALL_STATE(5767)] = 377140,
  [SMALL_STATE(5768)] = 377185,
  [SMALL_STATE(5769)] = 377230,
  [SMALL_STATE(5770)] = 377275,
  [SMALL_STATE(5771)] = 377320,
  [SMALL_STATE(5772)] = 377363,
  [SMALL_STATE(5773)] = 377408,
  [SMALL_STATE(5774)] = 377453,
  [SMALL_STATE(5775)] = 377536,
  [SMALL_STATE(5776)] = 377583,
  [SMALL_STATE(5777)] = 377628,
  [SMALL_STATE(5778)] = 377673,
  [SMALL_STATE(5779)] = 377756,
  [SMALL_STATE(5780)] = 377801,
  [SMALL_STATE(5781)] = 377884,
  [SMALL_STATE(5782)] = 377929,
  [SMALL_STATE(5783)] = 378012,
  [SMALL_STATE(5784)] = 378057,
  [SMALL_STATE(5785)] = 378102,
  [SMALL_STATE(5786)] = 378149,
  [SMALL_STATE(5787)] = 378196,
  [SMALL_STATE(5788)] = 378245,
  [SMALL_STATE(5789)] = 378292,
  [SMALL_STATE(5790)] = 378337,
  [SMALL_STATE(5791)] = 378384,
  [SMALL_STATE(5792)] = 378429,
  [SMALL_STATE(5793)] = 378474,
  [SMALL_STATE(5794)] = 378519,
  [SMALL_STATE(5795)] = 378562,
  [SMALL_STATE(5796)] = 378645,
  [SMALL_STATE(5797)] = 378688,
  [SMALL_STATE(5798)] = 378733,
  [SMALL_STATE(5799)] = 378776,
  [SMALL_STATE(5800)] = 378821,
  [SMALL_STATE(5801)] = 378904,
  [SMALL_STATE(5802)] = 378949,
  [SMALL_STATE(5803)] = 379032,
  [SMALL_STATE(5804)] = 379115,
  [SMALL_STATE(5805)] = 379158,
  [SMALL_STATE(5806)] = 379201,
  [SMALL_STATE(5807)] = 379246,
  [SMALL_STATE(5808)] = 379293,
  [SMALL_STATE(5809)] = 379338,
  [SMALL_STATE(5810)] = 379383,
  [SMALL_STATE(5811)] = 379428,
  [SMALL_STATE(5812)] = 379471,
  [SMALL_STATE(5813)] = 379554,
  [SMALL_STATE(5814)] = 379601,
  [SMALL_STATE(5815)] = 379646,
  [SMALL_STATE(5816)] = 379693,
  [SMALL_STATE(5817)] = 379740,
  [SMALL_STATE(5818)] = 379787,
  [SMALL_STATE(5819)] = 379836,
  [SMALL_STATE(5820)] = 379919,
  [SMALL_STATE(5821)] = 380002,
  [SMALL_STATE(5822)] = 380085,
  [SMALL_STATE(5823)] = 380128,
  [SMALL_STATE(5824)] = 380171,
  [SMALL_STATE(5825)] = 380254,
  [SMALL_STATE(5826)] = 380301,
  [SMALL_STATE(5827)] = 380384,
  [SMALL_STATE(5828)] = 380429,
  [SMALL_STATE(5829)] = 380474,
  [SMALL_STATE(5830)] = 380521,
  [SMALL_STATE(5831)] = 380566,
  [SMALL_STATE(5832)] = 380611,
  [SMALL_STATE(5833)] = 380654,
  [SMALL_STATE(5834)] = 380699,
  [SMALL_STATE(5835)] = 380744,
  [SMALL_STATE(5836)] = 380787,
  [SMALL_STATE(5837)] = 380832,
  [SMALL_STATE(5838)] = 380915,
  [SMALL_STATE(5839)] = 380960,
  [SMALL_STATE(5840)] = 381005,
  [SMALL_STATE(5841)] = 381050,
  [SMALL_STATE(5842)] = 381093,
  [SMALL_STATE(5843)] = 381176,
  [SMALL_STATE(5844)] = 381259,
  [SMALL_STATE(5845)] = 381304,
  [SMALL_STATE(5846)] = 381349,
  [SMALL_STATE(5847)] = 381432,
  [SMALL_STATE(5848)] = 381515,
  [SMALL_STATE(5849)] = 381558,
  [SMALL_STATE(5850)] = 381641,
  [SMALL_STATE(5851)] = 381686,
  [SMALL_STATE(5852)] = 381769,
  [SMALL_STATE(5853)] = 381814,
  [SMALL_STATE(5854)] = 381861,
  [SMALL_STATE(5855)] = 381908,
  [SMALL_STATE(5856)] = 381991,
  [SMALL_STATE(5857)] = 382074,
  [SMALL_STATE(5858)] = 382157,
  [SMALL_STATE(5859)] = 382240,
  [SMALL_STATE(5860)] = 382285,
  [SMALL_STATE(5861)] = 382330,
  [SMALL_STATE(5862)] = 382375,
  [SMALL_STATE(5863)] = 382458,
  [SMALL_STATE(5864)] = 382503,
  [SMALL_STATE(5865)] = 382546,
  [SMALL_STATE(5866)] = 382629,
  [SMALL_STATE(5867)] = 382712,
  [SMALL_STATE(5868)] = 382795,
  [SMALL_STATE(5869)] = 382838,
  [SMALL_STATE(5870)] = 382921,
  [SMALL_STATE(5871)] = 382968,
  [SMALL_STATE(5872)] = 383051,
  [SMALL_STATE(5873)] = 383134,
  [SMALL_STATE(5874)] = 383179,
  [SMALL_STATE(5875)] = 383262,
  [SMALL_STATE(5876)] = 383307,
  [SMALL_STATE(5877)] = 383350,
  [SMALL_STATE(5878)] = 383397,
  [SMALL_STATE(5879)] = 383444,
  [SMALL_STATE(5880)] = 383527,
  [SMALL_STATE(5881)] = 383610,
  [SMALL_STATE(5882)] = 383693,
  [SMALL_STATE(5883)] = 383776,
  [SMALL_STATE(5884)] = 383859,
  [SMALL_STATE(5885)] = 383942,
  [SMALL_STATE(5886)] = 384025,
  [SMALL_STATE(5887)] = 384108,
  [SMALL_STATE(5888)] = 384191,
  [SMALL_STATE(5889)] = 384274,
  [SMALL_STATE(5890)] = 384357,
  [SMALL_STATE(5891)] = 384440,
  [SMALL_STATE(5892)] = 384523,
  [SMALL_STATE(5893)] = 384606,
  [SMALL_STATE(5894)] = 384689,
  [SMALL_STATE(5895)] = 384772,
  [SMALL_STATE(5896)] = 384815,
  [SMALL_STATE(5897)] = 384898,
  [SMALL_STATE(5898)] = 384945,
  [SMALL_STATE(5899)] = 385028,
  [SMALL_STATE(5900)] = 385111,
  [SMALL_STATE(5901)] = 385194,
  [SMALL_STATE(5902)] = 385277,
  [SMALL_STATE(5903)] = 385360,
  [SMALL_STATE(5904)] = 385443,
  [SMALL_STATE(5905)] = 385488,
  [SMALL_STATE(5906)] = 385571,
  [SMALL_STATE(5907)] = 385654,
  [SMALL_STATE(5908)] = 385737,
  [SMALL_STATE(5909)] = 385782,
  [SMALL_STATE(5910)] = 385865,
  [SMALL_STATE(5911)] = 385948,
  [SMALL_STATE(5912)] = 386031,
  [SMALL_STATE(5913)] = 386114,
  [SMALL_STATE(5914)] = 386197,
  [SMALL_STATE(5915)] = 386280,
  [SMALL_STATE(5916)] = 386363,
  [SMALL_STATE(5917)] = 386446,
  [SMALL_STATE(5918)] = 386529,
  [SMALL_STATE(5919)] = 386612,
  [SMALL_STATE(5920)] = 386695,
  [SMALL_STATE(5921)] = 386744,
  [SMALL_STATE(5922)] = 386789,
  [SMALL_STATE(5923)] = 386872,
  [SMALL_STATE(5924)] = 386955,
  [SMALL_STATE(5925)] = 387000,
  [SMALL_STATE(5926)] = 387083,
  [SMALL_STATE(5927)] = 387166,
  [SMALL_STATE(5928)] = 387249,
  [SMALL_STATE(5929)] = 387332,
  [SMALL_STATE(5930)] = 387379,
  [SMALL_STATE(5931)] = 387426,
  [SMALL_STATE(5932)] = 387509,
  [SMALL_STATE(5933)] = 387592,
  [SMALL_STATE(5934)] = 387637,
  [SMALL_STATE(5935)] = 387720,
  [SMALL_STATE(5936)] = 387767,
  [SMALL_STATE(5937)] = 387814,
  [SMALL_STATE(5938)] = 387897,
  [SMALL_STATE(5939)] = 387942,
  [SMALL_STATE(5940)] = 387989,
  [SMALL_STATE(5941)] = 388036,
  [SMALL_STATE(5942)] = 388119,
  [SMALL_STATE(5943)] = 388202,
  [SMALL_STATE(5944)] = 388285,
  [SMALL_STATE(5945)] = 388332,
  [SMALL_STATE(5946)] = 388415,
  [SMALL_STATE(5947)] = 388460,
  [SMALL_STATE(5948)] = 388507,
  [SMALL_STATE(5949)] = 388590,
  [SMALL_STATE(5950)] = 388673,
  [SMALL_STATE(5951)] = 388756,
  [SMALL_STATE(5952)] = 388801,
  [SMALL_STATE(5953)] = 388884,
  [SMALL_STATE(5954)] = 388929,
  [SMALL_STATE(5955)] = 389012,
  [SMALL_STATE(5956)] = 389095,
  [SMALL_STATE(5957)] = 389178,
  [SMALL_STATE(5958)] = 389223,
  [SMALL_STATE(5959)] = 389306,
  [SMALL_STATE(5960)] = 389389,
  [SMALL_STATE(5961)] = 389472,
  [SMALL_STATE(5962)] = 389517,
  [SMALL_STATE(5963)] = 389564,
  [SMALL_STATE(5964)] = 389647,
  [SMALL_STATE(5965)] = 389694,
  [SMALL_STATE(5966)] = 389777,
  [SMALL_STATE(5967)] = 389820,
  [SMALL_STATE(5968)] = 389903,
  [SMALL_STATE(5969)] = 389950,
  [SMALL_STATE(5970)] = 389993,
  [SMALL_STATE(5971)] = 390036,
  [SMALL_STATE(5972)] = 390119,
  [SMALL_STATE(5973)] = 390166,
  [SMALL_STATE(5974)] = 390213,
  [SMALL_STATE(5975)] = 390260,
  [SMALL_STATE(5976)] = 390343,
  [SMALL_STATE(5977)] = 390426,
  [SMALL_STATE(5978)] = 390509,
  [SMALL_STATE(5979)] = 390592,
  [SMALL_STATE(5980)] = 390635,
  [SMALL_STATE(5981)] = 390682,
  [SMALL_STATE(5982)] = 390765,
  [SMALL_STATE(5983)] = 390808,
  [SMALL_STATE(5984)] = 390891,
  [SMALL_STATE(5985)] = 390936,
  [SMALL_STATE(5986)] = 391019,
  [SMALL_STATE(5987)] = 391066,
  [SMALL_STATE(5988)] = 391109,
  [SMALL_STATE(5989)] = 391192,
  [SMALL_STATE(5990)] = 391239,
  [SMALL_STATE(5991)] = 391322,
  [SMALL_STATE(5992)] = 391365,
  [SMALL_STATE(5993)] = 391448,
  [SMALL_STATE(5994)] = 391495,
  [SMALL_STATE(5995)] = 391542,
  [SMALL_STATE(5996)] = 391589,
  [SMALL_STATE(5997)] = 391632,
  [SMALL_STATE(5998)] = 391679,
  [SMALL_STATE(5999)] = 391726,
  [SMALL_STATE(6000)] = 391771,
  [SMALL_STATE(6001)] = 391814,
  [SMALL_STATE(6002)] = 391857,
  [SMALL_STATE(6003)] = 391900,
  [SMALL_STATE(6004)] = 391943,
  [SMALL_STATE(6005)] = 391988,
  [SMALL_STATE(6006)] = 392031,
  [SMALL_STATE(6007)] = 392114,
  [SMALL_STATE(6008)] = 392197,
  [SMALL_STATE(6009)] = 392280,
  [SMALL_STATE(6010)] = 392363,
  [SMALL_STATE(6011)] = 392406,
  [SMALL_STATE(6012)] = 392451,
  [SMALL_STATE(6013)] = 392534,
  [SMALL_STATE(6014)] = 392577,
  [SMALL_STATE(6015)] = 392620,
  [SMALL_STATE(6016)] = 392663,
  [SMALL_STATE(6017)] = 392710,
  [SMALL_STATE(6018)] = 392757,
  [SMALL_STATE(6019)] = 392840,
  [SMALL_STATE(6020)] = 392887,
  [SMALL_STATE(6021)] = 392970,
  [SMALL_STATE(6022)] = 393053,
  [SMALL_STATE(6023)] = 393098,
  [SMALL_STATE(6024)] = 393145,
  [SMALL_STATE(6025)] = 393228,
  [SMALL_STATE(6026)] = 393311,
  [SMALL_STATE(6027)] = 393358,
  [SMALL_STATE(6028)] = 393403,
  [SMALL_STATE(6029)] = 393486,
  [SMALL_STATE(6030)] = 393529,
  [SMALL_STATE(6031)] = 393576,
  [SMALL_STATE(6032)] = 393659,
  [SMALL_STATE(6033)] = 393706,
  [SMALL_STATE(6034)] = 393751,
  [SMALL_STATE(6035)] = 393798,
  [SMALL_STATE(6036)] = 393881,
  [SMALL_STATE(6037)] = 393924,
  [SMALL_STATE(6038)] = 393971,
  [SMALL_STATE(6039)] = 394018,
  [SMALL_STATE(6040)] = 394065,
  [SMALL_STATE(6041)] = 394148,
  [SMALL_STATE(6042)] = 394195,
  [SMALL_STATE(6043)] = 394238,
  [SMALL_STATE(6044)] = 394285,
  [SMALL_STATE(6045)] = 394368,
  [SMALL_STATE(6046)] = 394451,
  [SMALL_STATE(6047)] = 394498,
  [SMALL_STATE(6048)] = 394545,
  [SMALL_STATE(6049)] = 394592,
  [SMALL_STATE(6050)] = 394675,
  [SMALL_STATE(6051)] = 394718,
  [SMALL_STATE(6052)] = 394801,
  [SMALL_STATE(6053)] = 394844,
  [SMALL_STATE(6054)] = 394891,
  [SMALL_STATE(6055)] = 394974,
  [SMALL_STATE(6056)] = 395021,
  [SMALL_STATE(6057)] = 395104,
  [SMALL_STATE(6058)] = 395151,
  [SMALL_STATE(6059)] = 395234,
  [SMALL_STATE(6060)] = 395317,
  [SMALL_STATE(6061)] = 395400,
  [SMALL_STATE(6062)] = 395483,
  [SMALL_STATE(6063)] = 395530,
  [SMALL_STATE(6064)] = 395613,
  [SMALL_STATE(6065)] = 395660,
  [SMALL_STATE(6066)] = 395707,
  [SMALL_STATE(6067)] = 395754,
  [SMALL_STATE(6068)] = 395837,
  [SMALL_STATE(6069)] = 395920,
  [SMALL_STATE(6070)] = 396003,
  [SMALL_STATE(6071)] = 396086,
  [SMALL_STATE(6072)] = 396169,
  [SMALL_STATE(6073)] = 396252,
  [SMALL_STATE(6074)] = 396299,
  [SMALL_STATE(6075)] = 396342,
  [SMALL_STATE(6076)] = 396425,
  [SMALL_STATE(6077)] = 396508,
  [SMALL_STATE(6078)] = 396555,
  [SMALL_STATE(6079)] = 396602,
  [SMALL_STATE(6080)] = 396645,
  [SMALL_STATE(6081)] = 396688,
  [SMALL_STATE(6082)] = 396771,
  [SMALL_STATE(6083)] = 396814,
  [SMALL_STATE(6084)] = 396861,
  [SMALL_STATE(6085)] = 396944,
  [SMALL_STATE(6086)] = 396987,
  [SMALL_STATE(6087)] = 397030,
  [SMALL_STATE(6088)] = 397113,
  [SMALL_STATE(6089)] = 397196,
  [SMALL_STATE(6090)] = 397243,
  [SMALL_STATE(6091)] = 397286,
  [SMALL_STATE(6092)] = 397369,
  [SMALL_STATE(6093)] = 397416,
  [SMALL_STATE(6094)] = 397463,
  [SMALL_STATE(6095)] = 397510,
  [SMALL_STATE(6096)] = 397555,
  [SMALL_STATE(6097)] = 397598,
  [SMALL_STATE(6098)] = 397681,
  [SMALL_STATE(6099)] = 397724,
  [SMALL_STATE(6100)] = 397769,
  [SMALL_STATE(6101)] = 397852,
  [SMALL_STATE(6102)] = 397899,
  [SMALL_STATE(6103)] = 397982,
  [SMALL_STATE(6104)] = 398065,
  [SMALL_STATE(6105)] = 398108,
  [SMALL_STATE(6106)] = 398151,
  [SMALL_STATE(6107)] = 398194,
  [SMALL_STATE(6108)] = 398237,
  [SMALL_STATE(6109)] = 398280,
  [SMALL_STATE(6110)] = 398327,
  [SMALL_STATE(6111)] = 398410,
  [SMALL_STATE(6112)] = 398452,
  [SMALL_STATE(6113)] = 398532,
  [SMALL_STATE(6114)] = 398576,
  [SMALL_STATE(6115)] = 398660,
  [SMALL_STATE(6116)] = 398702,
  [SMALL_STATE(6117)] = 398744,
  [SMALL_STATE(6118)] = 398786,
  [SMALL_STATE(6119)] = 398828,
  [SMALL_STATE(6120)] = 398870,
  [SMALL_STATE(6121)] = 398912,
  [SMALL_STATE(6122)] = 398954,
  [SMALL_STATE(6123)] = 398996,
  [SMALL_STATE(6124)] = 399038,
  [SMALL_STATE(6125)] = 399080,
  [SMALL_STATE(6126)] = 399122,
  [SMALL_STATE(6127)] = 399164,
  [SMALL_STATE(6128)] = 399206,
  [SMALL_STATE(6129)] = 399248,
  [SMALL_STATE(6130)] = 399290,
  [SMALL_STATE(6131)] = 399332,
  [SMALL_STATE(6132)] = 399374,
  [SMALL_STATE(6133)] = 399416,
  [SMALL_STATE(6134)] = 399458,
  [SMALL_STATE(6135)] = 399500,
  [SMALL_STATE(6136)] = 399542,
  [SMALL_STATE(6137)] = 399584,
  [SMALL_STATE(6138)] = 399626,
  [SMALL_STATE(6139)] = 399668,
  [SMALL_STATE(6140)] = 399710,
  [SMALL_STATE(6141)] = 399752,
  [SMALL_STATE(6142)] = 399794,
  [SMALL_STATE(6143)] = 399836,
  [SMALL_STATE(6144)] = 399878,
  [SMALL_STATE(6145)] = 399920,
  [SMALL_STATE(6146)] = 399962,
  [SMALL_STATE(6147)] = 400004,
  [SMALL_STATE(6148)] = 400046,
  [SMALL_STATE(6149)] = 400088,
  [SMALL_STATE(6150)] = 400130,
  [SMALL_STATE(6151)] = 400172,
  [SMALL_STATE(6152)] = 400214,
  [SMALL_STATE(6153)] = 400256,
  [SMALL_STATE(6154)] = 400298,
  [SMALL_STATE(6155)] = 400340,
  [SMALL_STATE(6156)] = 400382,
  [SMALL_STATE(6157)] = 400424,
  [SMALL_STATE(6158)] = 400466,
  [SMALL_STATE(6159)] = 400550,
  [SMALL_STATE(6160)] = 400592,
  [SMALL_STATE(6161)] = 400634,
  [SMALL_STATE(6162)] = 400676,
  [SMALL_STATE(6163)] = 400718,
  [SMALL_STATE(6164)] = 400760,
  [SMALL_STATE(6165)] = 400802,
  [SMALL_STATE(6166)] = 400844,
  [SMALL_STATE(6167)] = 400928,
  [SMALL_STATE(6168)] = 401010,
  [SMALL_STATE(6169)] = 401094,
  [SMALL_STATE(6170)] = 401136,
  [SMALL_STATE(6171)] = 401178,
  [SMALL_STATE(6172)] = 401220,
  [SMALL_STATE(6173)] = 401262,
  [SMALL_STATE(6174)] = 401304,
  [SMALL_STATE(6175)] = 401346,
  [SMALL_STATE(6176)] = 401388,
  [SMALL_STATE(6177)] = 401430,
  [SMALL_STATE(6178)] = 401472,
  [SMALL_STATE(6179)] = 401556,
  [SMALL_STATE(6180)] = 401610,
  [SMALL_STATE(6181)] = 401652,
  [SMALL_STATE(6182)] = 401694,
  [SMALL_STATE(6183)] = 401736,
  [SMALL_STATE(6184)] = 401778,
  [SMALL_STATE(6185)] = 401858,
  [SMALL_STATE(6186)] = 401938,
  [SMALL_STATE(6187)] = 402018,
  [SMALL_STATE(6188)] = 402098,
  [SMALL_STATE(6189)] = 402178,
  [SMALL_STATE(6190)] = 402258,
  [SMALL_STATE(6191)] = 402338,
  [SMALL_STATE(6192)] = 402418,
  [SMALL_STATE(6193)] = 402502,
  [SMALL_STATE(6194)] = 402582,
  [SMALL_STATE(6195)] = 402662,
  [SMALL_STATE(6196)] = 402742,
  [SMALL_STATE(6197)] = 402822,
  [SMALL_STATE(6198)] = 402902,
  [SMALL_STATE(6199)] = 402982,
  [SMALL_STATE(6200)] = 403062,
  [SMALL_STATE(6201)] = 403142,
  [SMALL_STATE(6202)] = 403222,
  [SMALL_STATE(6203)] = 403306,
  [SMALL_STATE(6204)] = 403386,
  [SMALL_STATE(6205)] = 403466,
  [SMALL_STATE(6206)] = 403546,
  [SMALL_STATE(6207)] = 403626,
  [SMALL_STATE(6208)] = 403706,
  [SMALL_STATE(6209)] = 403786,
  [SMALL_STATE(6210)] = 403866,
  [SMALL_STATE(6211)] = 403946,
  [SMALL_STATE(6212)] = 404030,
  [SMALL_STATE(6213)] = 404110,
  [SMALL_STATE(6214)] = 404190,
  [SMALL_STATE(6215)] = 404270,
  [SMALL_STATE(6216)] = 404350,
  [SMALL_STATE(6217)] = 404392,
  [SMALL_STATE(6218)] = 404436,
  [SMALL_STATE(6219)] = 404516,
  [SMALL_STATE(6220)] = 404600,
  [SMALL_STATE(6221)] = 404642,
  [SMALL_STATE(6222)] = 404722,
  [SMALL_STATE(6223)] = 404802,
  [SMALL_STATE(6224)] = 404882,
  [SMALL_STATE(6225)] = 404924,
  [SMALL_STATE(6226)] = 405004,
  [SMALL_STATE(6227)] = 405084,
  [SMALL_STATE(6228)] = 405126,
  [SMALL_STATE(6229)] = 405206,
  [SMALL_STATE(6230)] = 405248,
  [SMALL_STATE(6231)] = 405290,
  [SMALL_STATE(6232)] = 405332,
  [SMALL_STATE(6233)] = 405374,
  [SMALL_STATE(6234)] = 405416,
  [SMALL_STATE(6235)] = 405458,
  [SMALL_STATE(6236)] = 405500,
  [SMALL_STATE(6237)] = 405542,
  [SMALL_STATE(6238)] = 405584,
  [SMALL_STATE(6239)] = 405626,
  [SMALL_STATE(6240)] = 405668,
  [SMALL_STATE(6241)] = 405710,
  [SMALL_STATE(6242)] = 405752,
  [SMALL_STATE(6243)] = 405794,
  [SMALL_STATE(6244)] = 405836,
  [SMALL_STATE(6245)] = 405878,
  [SMALL_STATE(6246)] = 405958,
  [SMALL_STATE(6247)] = 406000,
  [SMALL_STATE(6248)] = 406042,
  [SMALL_STATE(6249)] = 406084,
  [SMALL_STATE(6250)] = 406126,
  [SMALL_STATE(6251)] = 406168,
  [SMALL_STATE(6252)] = 406210,
  [SMALL_STATE(6253)] = 406252,
  [SMALL_STATE(6254)] = 406332,
  [SMALL_STATE(6255)] = 406414,
  [SMALL_STATE(6256)] = 406494,
  [SMALL_STATE(6257)] = 406576,
  [SMALL_STATE(6258)] = 406658,
  [SMALL_STATE(6259)] = 406700,
  [SMALL_STATE(6260)] = 406742,
  [SMALL_STATE(6261)] = 406784,
  [SMALL_STATE(6262)] = 406826,
  [SMALL_STATE(6263)] = 406868,
  [SMALL_STATE(6264)] = 406910,
  [SMALL_STATE(6265)] = 406952,
  [SMALL_STATE(6266)] = 406994,
  [SMALL_STATE(6267)] = 407036,
  [SMALL_STATE(6268)] = 407078,
  [SMALL_STATE(6269)] = 407120,
  [SMALL_STATE(6270)] = 407162,
  [SMALL_STATE(6271)] = 407204,
  [SMALL_STATE(6272)] = 407246,
  [SMALL_STATE(6273)] = 407288,
  [SMALL_STATE(6274)] = 407330,
  [SMALL_STATE(6275)] = 407372,
  [SMALL_STATE(6276)] = 407414,
  [SMALL_STATE(6277)] = 407456,
  [SMALL_STATE(6278)] = 407498,
  [SMALL_STATE(6279)] = 407540,
  [SMALL_STATE(6280)] = 407582,
  [SMALL_STATE(6281)] = 407624,
  [SMALL_STATE(6282)] = 407666,
  [SMALL_STATE(6283)] = 407708,
  [SMALL_STATE(6284)] = 407750,
  [SMALL_STATE(6285)] = 407792,
  [SMALL_STATE(6286)] = 407834,
  [SMALL_STATE(6287)] = 407876,
  [SMALL_STATE(6288)] = 407918,
  [SMALL_STATE(6289)] = 407960,
  [SMALL_STATE(6290)] = 408002,
  [SMALL_STATE(6291)] = 408044,
  [SMALL_STATE(6292)] = 408086,
  [SMALL_STATE(6293)] = 408170,
  [SMALL_STATE(6294)] = 408252,
  [SMALL_STATE(6295)] = 408332,
  [SMALL_STATE(6296)] = 408412,
  [SMALL_STATE(6297)] = 408496,
  [SMALL_STATE(6298)] = 408538,
  [SMALL_STATE(6299)] = 408580,
  [SMALL_STATE(6300)] = 408622,
  [SMALL_STATE(6301)] = 408664,
  [SMALL_STATE(6302)] = 408706,
  [SMALL_STATE(6303)] = 408748,
  [SMALL_STATE(6304)] = 408790,
  [SMALL_STATE(6305)] = 408870,
  [SMALL_STATE(6306)] = 408950,
  [SMALL_STATE(6307)] = 409030,
  [SMALL_STATE(6308)] = 409110,
  [SMALL_STATE(6309)] = 409152,
  [SMALL_STATE(6310)] = 409194,
  [SMALL_STATE(6311)] = 409236,
  [SMALL_STATE(6312)] = 409278,
  [SMALL_STATE(6313)] = 409320,
  [SMALL_STATE(6314)] = 409362,
  [SMALL_STATE(6315)] = 409404,
  [SMALL_STATE(6316)] = 409446,
  [SMALL_STATE(6317)] = 409488,
  [SMALL_STATE(6318)] = 409568,
  [SMALL_STATE(6319)] = 409610,
  [SMALL_STATE(6320)] = 409652,
  [SMALL_STATE(6321)] = 409698,
  [SMALL_STATE(6322)] = 409778,
  [SMALL_STATE(6323)] = 409858,
  [SMALL_STATE(6324)] = 409900,
  [SMALL_STATE(6325)] = 409942,
  [SMALL_STATE(6326)] = 409984,
  [SMALL_STATE(6327)] = 410026,
  [SMALL_STATE(6328)] = 410068,
  [SMALL_STATE(6329)] = 410148,
  [SMALL_STATE(6330)] = 410232,
  [SMALL_STATE(6331)] = 410273,
  [SMALL_STATE(6332)] = 410314,
  [SMALL_STATE(6333)] = 410387,
  [SMALL_STATE(6334)] = 410428,
  [SMALL_STATE(6335)] = 410469,
  [SMALL_STATE(6336)] = 410510,
  [SMALL_STATE(6337)] = 410551,
  [SMALL_STATE(6338)] = 410632,
  [SMALL_STATE(6339)] = 410673,
  [SMALL_STATE(6340)] = 410754,
  [SMALL_STATE(6341)] = 410837,
  [SMALL_STATE(6342)] = 410918,
  [SMALL_STATE(6343)] = 410999,
  [SMALL_STATE(6344)] = 411080,
  [SMALL_STATE(6345)] = 411121,
  [SMALL_STATE(6346)] = 411202,
  [SMALL_STATE(6347)] = 411283,
  [SMALL_STATE(6348)] = 411364,
  [SMALL_STATE(6349)] = 411405,
  [SMALL_STATE(6350)] = 411488,
  [SMALL_STATE(6351)] = 411561,
  [SMALL_STATE(6352)] = 411634,
  [SMALL_STATE(6353)] = 411715,
  [SMALL_STATE(6354)] = 411756,
  [SMALL_STATE(6355)] = 411797,
  [SMALL_STATE(6356)] = 411880,
  [SMALL_STATE(6357)] = 411963,
  [SMALL_STATE(6358)] = 412014,
  [SMALL_STATE(6359)] = 412065,
  [SMALL_STATE(6360)] = 412106,
  [SMALL_STATE(6361)] = 412189,
  [SMALL_STATE(6362)] = 412272,
  [SMALL_STATE(6363)] = 412355,
  [SMALL_STATE(6364)] = 412436,
  [SMALL_STATE(6365)] = 412477,
  [SMALL_STATE(6366)] = 412560,
  [SMALL_STATE(6367)] = 412599,
  [SMALL_STATE(6368)] = 412682,
  [SMALL_STATE(6369)] = 412723,
  [SMALL_STATE(6370)] = 412804,
  [SMALL_STATE(6371)] = 412845,
  [SMALL_STATE(6372)] = 412928,
  [SMALL_STATE(6373)] = 413011,
  [SMALL_STATE(6374)] = 413092,
  [SMALL_STATE(6375)] = 413175,
  [SMALL_STATE(6376)] = 413216,
  [SMALL_STATE(6377)] = 413289,
  [SMALL_STATE(6378)] = 413328,
  [SMALL_STATE(6379)] = 413411,
  [SMALL_STATE(6380)] = 413494,
  [SMALL_STATE(6381)] = 413577,
  [SMALL_STATE(6382)] = 413658,
  [SMALL_STATE(6383)] = 413739,
  [SMALL_STATE(6384)] = 413780,
  [SMALL_STATE(6385)] = 413821,
  [SMALL_STATE(6386)] = 413862,
  [SMALL_STATE(6387)] = 413903,
  [SMALL_STATE(6388)] = 413944,
  [SMALL_STATE(6389)] = 414025,
  [SMALL_STATE(6390)] = 414106,
  [SMALL_STATE(6391)] = 414147,
  [SMALL_STATE(6392)] = 414188,
  [SMALL_STATE(6393)] = 414229,
  [SMALL_STATE(6394)] = 414270,
  [SMALL_STATE(6395)] = 414311,
  [SMALL_STATE(6396)] = 414352,
  [SMALL_STATE(6397)] = 414393,
  [SMALL_STATE(6398)] = 414434,
  [SMALL_STATE(6399)] = 414475,
  [SMALL_STATE(6400)] = 414516,
  [SMALL_STATE(6401)] = 414557,
  [SMALL_STATE(6402)] = 414630,
  [SMALL_STATE(6403)] = 414671,
  [SMALL_STATE(6404)] = 414712,
  [SMALL_STATE(6405)] = 414785,
  [SMALL_STATE(6406)] = 414858,
  [SMALL_STATE(6407)] = 414899,
  [SMALL_STATE(6408)] = 414940,
  [SMALL_STATE(6409)] = 414981,
  [SMALL_STATE(6410)] = 415022,
  [SMALL_STATE(6411)] = 415063,
  [SMALL_STATE(6412)] = 415104,
  [SMALL_STATE(6413)] = 415145,
  [SMALL_STATE(6414)] = 415186,
  [SMALL_STATE(6415)] = 415228,
  [SMALL_STATE(6416)] = 415268,
  [SMALL_STATE(6417)] = 415308,
  [SMALL_STATE(6418)] = 415380,
  [SMALL_STATE(6419)] = 415452,
  [SMALL_STATE(6420)] = 415524,
  [SMALL_STATE(6421)] = 415596,
  [SMALL_STATE(6422)] = 415636,
  [SMALL_STATE(6423)] = 415678,
  [SMALL_STATE(6424)] = 415750,
  [SMALL_STATE(6425)] = 415822,
  [SMALL_STATE(6426)] = 415894,
  [SMALL_STATE(6427)] = 415936,
  [SMALL_STATE(6428)] = 415978,
  [SMALL_STATE(6429)] = 416030,
  [SMALL_STATE(6430)] = 416103,
  [SMALL_STATE(6431)] = 416180,
  [SMALL_STATE(6432)] = 416241,
  [SMALL_STATE(6433)] = 416314,
  [SMALL_STATE(6434)] = 416391,
  [SMALL_STATE(6435)] = 416464,
  [SMALL_STATE(6436)] = 416537,
  [SMALL_STATE(6437)] = 416610,
  [SMALL_STATE(6438)] = 416681,
  [SMALL_STATE(6439)] = 416752,
  [SMALL_STATE(6440)] = 416823,
  [SMALL_STATE(6441)] = 416896,
  [SMALL_STATE(6442)] = 416969,
  [SMALL_STATE(6443)] = 417040,
  [SMALL_STATE(6444)] = 417113,
  [SMALL_STATE(6445)] = 417186,
  [SMALL_STATE(6446)] = 417259,
  [SMALL_STATE(6447)] = 417330,
  [SMALL_STATE(6448)] = 417407,
  [SMALL_STATE(6449)] = 417480,
  [SMALL_STATE(6450)] = 417553,
  [SMALL_STATE(6451)] = 417626,
  [SMALL_STATE(6452)] = 417699,
  [SMALL_STATE(6453)] = 417772,
  [SMALL_STATE(6454)] = 417843,
  [SMALL_STATE(6455)] = 417884,
  [SMALL_STATE(6456)] = 417955,
  [SMALL_STATE(6457)] = 418032,
  [SMALL_STATE(6458)] = 418105,
  [SMALL_STATE(6459)] = 418178,
  [SMALL_STATE(6460)] = 418251,
  [SMALL_STATE(6461)] = 418324,
  [SMALL_STATE(6462)] = 418397,
  [SMALL_STATE(6463)] = 418470,
  [SMALL_STATE(6464)] = 418547,
  [SMALL_STATE(6465)] = 418608,
  [SMALL_STATE(6466)] = 418685,
  [SMALL_STATE(6467)] = 418758,
  [SMALL_STATE(6468)] = 418831,
  [SMALL_STATE(6469)] = 418904,
  [SMALL_STATE(6470)] = 418977,
  [SMALL_STATE(6471)] = 419050,
  [SMALL_STATE(6472)] = 419123,
  [SMALL_STATE(6473)] = 419196,
  [SMALL_STATE(6474)] = 419257,
  [SMALL_STATE(6475)] = 419321,
  [SMALL_STATE(6476)] = 419385,
  [SMALL_STATE(6477)] = 419449,
  [SMALL_STATE(6478)] = 419519,
  [SMALL_STATE(6479)] = 419583,
  [SMALL_STATE(6480)] = 419647,
  [SMALL_STATE(6481)] = 419711,
  [SMALL_STATE(6482)] = 419775,
  [SMALL_STATE(6483)] = 419839,
  [SMALL_STATE(6484)] = 419899,
  [SMALL_STATE(6485)] = 419963,
  [SMALL_STATE(6486)] = 420027,
  [SMALL_STATE(6487)] = 420073,
  [SMALL_STATE(6488)] = 420113,
  [SMALL_STATE(6489)] = 420173,
  [SMALL_STATE(6490)] = 420237,
  [SMALL_STATE(6491)] = 420301,
  [SMALL_STATE(6492)] = 420365,
  [SMALL_STATE(6493)] = 420429,
  [SMALL_STATE(6494)] = 420493,
  [SMALL_STATE(6495)] = 420557,
  [SMALL_STATE(6496)] = 420621,
  [SMALL_STATE(6497)] = 420691,
  [SMALL_STATE(6498)] = 420761,
  [SMALL_STATE(6499)] = 420831,
  [SMALL_STATE(6500)] = 420901,
  [SMALL_STATE(6501)] = 420971,
  [SMALL_STATE(6502)] = 421041,
  [SMALL_STATE(6503)] = 421105,
  [SMALL_STATE(6504)] = 421141,
  [SMALL_STATE(6505)] = 421177,
  [SMALL_STATE(6506)] = 421241,
  [SMALL_STATE(6507)] = 421305,
  [SMALL_STATE(6508)] = 421369,
  [SMALL_STATE(6509)] = 421407,
  [SMALL_STATE(6510)] = 421471,
  [SMALL_STATE(6511)] = 421531,
  [SMALL_STATE(6512)] = 421595,
  [SMALL_STATE(6513)] = 421659,
  [SMALL_STATE(6514)] = 421695,
  [SMALL_STATE(6515)] = 421759,
  [SMALL_STATE(6516)] = 421822,
  [SMALL_STATE(6517)] = 421863,
  [SMALL_STATE(6518)] = 421926,
  [SMALL_STATE(6519)] = 421989,
  [SMALL_STATE(6520)] = 422028,
  [SMALL_STATE(6521)] = 422067,
  [SMALL_STATE(6522)] = 422130,
  [SMALL_STATE(6523)] = 422169,
  [SMALL_STATE(6524)] = 422232,
  [SMALL_STATE(6525)] = 422295,
  [SMALL_STATE(6526)] = 422358,
  [SMALL_STATE(6527)] = 422397,
  [SMALL_STATE(6528)] = 422436,
  [SMALL_STATE(6529)] = 422475,
  [SMALL_STATE(6530)] = 422514,
  [SMALL_STATE(6531)] = 422553,
  [SMALL_STATE(6532)] = 422592,
  [SMALL_STATE(6533)] = 422655,
  [SMALL_STATE(6534)] = 422694,
  [SMALL_STATE(6535)] = 422733,
  [SMALL_STATE(6536)] = 422774,
  [SMALL_STATE(6537)] = 422837,
  [SMALL_STATE(6538)] = 422900,
  [SMALL_STATE(6539)] = 422963,
  [SMALL_STATE(6540)] = 423026,
  [SMALL_STATE(6541)] = 423071,
  [SMALL_STATE(6542)] = 423108,
  [SMALL_STATE(6543)] = 423171,
  [SMALL_STATE(6544)] = 423208,
  [SMALL_STATE(6545)] = 423247,
  [SMALL_STATE(6546)] = 423286,
  [SMALL_STATE(6547)] = 423325,
  [SMALL_STATE(6548)] = 423388,
  [SMALL_STATE(6549)] = 423427,
  [SMALL_STATE(6550)] = 423490,
  [SMALL_STATE(6551)] = 423525,
  [SMALL_STATE(6552)] = 423566,
  [SMALL_STATE(6553)] = 423629,
  [SMALL_STATE(6554)] = 423668,
  [SMALL_STATE(6555)] = 423731,
  [SMALL_STATE(6556)] = 423794,
  [SMALL_STATE(6557)] = 423857,
  [SMALL_STATE(6558)] = 423920,
  [SMALL_STATE(6559)] = 423959,
  [SMALL_STATE(6560)] = 423998,
  [SMALL_STATE(6561)] = 424033,
  [SMALL_STATE(6562)] = 424072,
  [SMALL_STATE(6563)] = 424135,
  [SMALL_STATE(6564)] = 424174,
  [SMALL_STATE(6565)] = 424213,
  [SMALL_STATE(6566)] = 424278,
  [SMALL_STATE(6567)] = 424341,
  [SMALL_STATE(6568)] = 424378,
  [SMALL_STATE(6569)] = 424441,
  [SMALL_STATE(6570)] = 424476,
  [SMALL_STATE(6571)] = 424539,
  [SMALL_STATE(6572)] = 424578,
  [SMALL_STATE(6573)] = 424641,
  [SMALL_STATE(6574)] = 424687,
  [SMALL_STATE(6575)] = 424727,
  [SMALL_STATE(6576)] = 424795,
  [SMALL_STATE(6577)] = 424863,
  [SMALL_STATE(6578)] = 424903,
  [SMALL_STATE(6579)] = 424971,
  [SMALL_STATE(6580)] = 425011,
  [SMALL_STATE(6581)] = 425055,
  [SMALL_STATE(6582)] = 425101,
  [SMALL_STATE(6583)] = 425141,
  [SMALL_STATE(6584)] = 425209,
  [SMALL_STATE(6585)] = 425249,
  [SMALL_STATE(6586)] = 425317,
  [SMALL_STATE(6587)] = 425365,
  [SMALL_STATE(6588)] = 425433,
  [SMALL_STATE(6589)] = 425471,
  [SMALL_STATE(6590)] = 425539,
  [SMALL_STATE(6591)] = 425572,
  [SMALL_STATE(6592)] = 425607,
  [SMALL_STATE(6593)] = 425652,
  [SMALL_STATE(6594)] = 425687,
  [SMALL_STATE(6595)] = 425754,
  [SMALL_STATE(6596)] = 425791,
  [SMALL_STATE(6597)] = 425836,
  [SMALL_STATE(6598)] = 425869,
  [SMALL_STATE(6599)] = 425902,
  [SMALL_STATE(6600)] = 425935,
  [SMALL_STATE(6601)] = 425970,
  [SMALL_STATE(6602)] = 426005,
  [SMALL_STATE(6603)] = 426040,
  [SMALL_STATE(6604)] = 426077,
  [SMALL_STATE(6605)] = 426114,
  [SMALL_STATE(6606)] = 426181,
  [SMALL_STATE(6607)] = 426216,
  [SMALL_STATE(6608)] = 426249,
  [SMALL_STATE(6609)] = 426282,
  [SMALL_STATE(6610)] = 426317,
  [SMALL_STATE(6611)] = 426364,
  [SMALL_STATE(6612)] = 426399,
  [SMALL_STATE(6613)] = 426436,
  [SMALL_STATE(6614)] = 426503,
  [SMALL_STATE(6615)] = 426570,
  [SMALL_STATE(6616)] = 426637,
  [SMALL_STATE(6617)] = 426704,
  [SMALL_STATE(6618)] = 426739,
  [SMALL_STATE(6619)] = 426806,
  [SMALL_STATE(6620)] = 426852,
  [SMALL_STATE(6621)] = 426884,
  [SMALL_STATE(6622)] = 426916,
  [SMALL_STATE(6623)] = 426948,
  [SMALL_STATE(6624)] = 426980,
  [SMALL_STATE(6625)] = 427016,
  [SMALL_STATE(6626)] = 427050,
  [SMALL_STATE(6627)] = 427126,
  [SMALL_STATE(6628)] = 427158,
  [SMALL_STATE(6629)] = 427190,
  [SMALL_STATE(6630)] = 427222,
  [SMALL_STATE(6631)] = 427262,
  [SMALL_STATE(6632)] = 427338,
  [SMALL_STATE(6633)] = 427370,
  [SMALL_STATE(6634)] = 427446,
  [SMALL_STATE(6635)] = 427478,
  [SMALL_STATE(6636)] = 427509,
  [SMALL_STATE(6637)] = 427570,
  [SMALL_STATE(6638)] = 427605,
  [SMALL_STATE(6639)] = 427650,
  [SMALL_STATE(6640)] = 427687,
  [SMALL_STATE(6641)] = 427724,
  [SMALL_STATE(6642)] = 427755,
  [SMALL_STATE(6643)] = 427816,
  [SMALL_STATE(6644)] = 427853,
  [SMALL_STATE(6645)] = 427914,
  [SMALL_STATE(6646)] = 427951,
  [SMALL_STATE(6647)] = 427988,
  [SMALL_STATE(6648)] = 428025,
  [SMALL_STATE(6649)] = 428086,
  [SMALL_STATE(6650)] = 428123,
  [SMALL_STATE(6651)] = 428160,
  [SMALL_STATE(6652)] = 428195,
  [SMALL_STATE(6653)] = 428232,
  [SMALL_STATE(6654)] = 428271,
  [SMALL_STATE(6655)] = 428335,
  [SMALL_STATE(6656)] = 428397,
  [SMALL_STATE(6657)] = 428427,
  [SMALL_STATE(6658)] = 428461,
  [SMALL_STATE(6659)] = 428497,
  [SMALL_STATE(6660)] = 428533,
  [SMALL_STATE(6661)] = 428563,
  [SMALL_STATE(6662)] = 428599,
  [SMALL_STATE(6663)] = 428661,
  [SMALL_STATE(6664)] = 428695,
  [SMALL_STATE(6665)] = 428757,
  [SMALL_STATE(6666)] = 428789,
  [SMALL_STATE(6667)] = 428851,
  [SMALL_STATE(6668)] = 428887,
  [SMALL_STATE(6669)] = 428923,
  [SMALL_STATE(6670)] = 428987,
  [SMALL_STATE(6671)] = 429023,
  [SMALL_STATE(6672)] = 429085,
  [SMALL_STATE(6673)] = 429117,
  [SMALL_STATE(6674)] = 429153,
  [SMALL_STATE(6675)] = 429215,
  [SMALL_STATE(6676)] = 429275,
  [SMALL_STATE(6677)] = 429307,
  [SMALL_STATE(6678)] = 429343,
  [SMALL_STATE(6679)] = 429407,
  [SMALL_STATE(6680)] = 429443,
  [SMALL_STATE(6681)] = 429475,
  [SMALL_STATE(6682)] = 429535,
  [SMALL_STATE(6683)] = 429567,
  [SMALL_STATE(6684)] = 429601,
  [SMALL_STATE(6685)] = 429663,
  [SMALL_STATE(6686)] = 429693,
  [SMALL_STATE(6687)] = 429729,
  [SMALL_STATE(6688)] = 429801,
  [SMALL_STATE(6689)] = 429863,
  [SMALL_STATE(6690)] = 429923,
  [SMALL_STATE(6691)] = 429983,
  [SMALL_STATE(6692)] = 430014,
  [SMALL_STATE(6693)] = 430043,
  [SMALL_STATE(6694)] = 430074,
  [SMALL_STATE(6695)] = 430105,
  [SMALL_STATE(6696)] = 430136,
  [SMALL_STATE(6697)] = 430167,
  [SMALL_STATE(6698)] = 430198,
  [SMALL_STATE(6699)] = 430229,
  [SMALL_STATE(6700)] = 430260,
  [SMALL_STATE(6701)] = 430291,
  [SMALL_STATE(6702)] = 430320,
  [SMALL_STATE(6703)] = 430351,
  [SMALL_STATE(6704)] = 430410,
  [SMALL_STATE(6705)] = 430469,
  [SMALL_STATE(6706)] = 430502,
  [SMALL_STATE(6707)] = 430533,
  [SMALL_STATE(6708)] = 430592,
  [SMALL_STATE(6709)] = 430651,
  [SMALL_STATE(6710)] = 430710,
  [SMALL_STATE(6711)] = 430741,
  [SMALL_STATE(6712)] = 430772,
  [SMALL_STATE(6713)] = 430807,
  [SMALL_STATE(6714)] = 430838,
  [SMALL_STATE(6715)] = 430869,
  [SMALL_STATE(6716)] = 430900,
  [SMALL_STATE(6717)] = 430931,
  [SMALL_STATE(6718)] = 430962,
  [SMALL_STATE(6719)] = 430995,
  [SMALL_STATE(6720)] = 431026,
  [SMALL_STATE(6721)] = 431057,
  [SMALL_STATE(6722)] = 431088,
  [SMALL_STATE(6723)] = 431147,
  [SMALL_STATE(6724)] = 431176,
  [SMALL_STATE(6725)] = 431207,
  [SMALL_STATE(6726)] = 431238,
  [SMALL_STATE(6727)] = 431269,
  [SMALL_STATE(6728)] = 431300,
  [SMALL_STATE(6729)] = 431331,
  [SMALL_STATE(6730)] = 431362,
  [SMALL_STATE(6731)] = 431393,
  [SMALL_STATE(6732)] = 431424,
  [SMALL_STATE(6733)] = 431455,
  [SMALL_STATE(6734)] = 431486,
  [SMALL_STATE(6735)] = 431517,
  [SMALL_STATE(6736)] = 431576,
  [SMALL_STATE(6737)] = 431607,
  [SMALL_STATE(6738)] = 431638,
  [SMALL_STATE(6739)] = 431669,
  [SMALL_STATE(6740)] = 431700,
  [SMALL_STATE(6741)] = 431731,
  [SMALL_STATE(6742)] = 431762,
  [SMALL_STATE(6743)] = 431791,
  [SMALL_STATE(6744)] = 431822,
  [SMALL_STATE(6745)] = 431851,
  [SMALL_STATE(6746)] = 431882,
  [SMALL_STATE(6747)] = 431941,
  [SMALL_STATE(6748)] = 431972,
  [SMALL_STATE(6749)] = 432031,
  [SMALL_STATE(6750)] = 432062,
  [SMALL_STATE(6751)] = 432121,
  [SMALL_STATE(6752)] = 432180,
  [SMALL_STATE(6753)] = 432239,
  [SMALL_STATE(6754)] = 432298,
  [SMALL_STATE(6755)] = 432341,
  [SMALL_STATE(6756)] = 432370,
  [SMALL_STATE(6757)] = 432401,
  [SMALL_STATE(6758)] = 432430,
  [SMALL_STATE(6759)] = 432459,
  [SMALL_STATE(6760)] = 432490,
  [SMALL_STATE(6761)] = 432521,
  [SMALL_STATE(6762)] = 432552,
  [SMALL_STATE(6763)] = 432583,
  [SMALL_STATE(6764)] = 432614,
  [SMALL_STATE(6765)] = 432645,
  [SMALL_STATE(6766)] = 432674,
  [SMALL_STATE(6767)] = 432705,
  [SMALL_STATE(6768)] = 432736,
  [SMALL_STATE(6769)] = 432767,
  [SMALL_STATE(6770)] = 432798,
  [SMALL_STATE(6771)] = 432829,
  [SMALL_STATE(6772)] = 432860,
  [SMALL_STATE(6773)] = 432891,
  [SMALL_STATE(6774)] = 432922,
  [SMALL_STATE(6775)] = 432951,
  [SMALL_STATE(6776)] = 432982,
  [SMALL_STATE(6777)] = 433013,
  [SMALL_STATE(6778)] = 433042,
  [SMALL_STATE(6779)] = 433072,
  [SMALL_STATE(6780)] = 433128,
  [SMALL_STATE(6781)] = 433184,
  [SMALL_STATE(6782)] = 433240,
  [SMALL_STATE(6783)] = 433296,
  [SMALL_STATE(6784)] = 433326,
  [SMALL_STATE(6785)] = 433356,
  [SMALL_STATE(6786)] = 433412,
  [SMALL_STATE(6787)] = 433468,
  [SMALL_STATE(6788)] = 433524,
  [SMALL_STATE(6789)] = 433580,
  [SMALL_STATE(6790)] = 433610,
  [SMALL_STATE(6791)] = 433666,
  [SMALL_STATE(6792)] = 433722,
  [SMALL_STATE(6793)] = 433778,
  [SMALL_STATE(6794)] = 433808,
  [SMALL_STATE(6795)] = 433864,
  [SMALL_STATE(6796)] = 433894,
  [SMALL_STATE(6797)] = 433950,
  [SMALL_STATE(6798)] = 433980,
  [SMALL_STATE(6799)] = 434010,
  [SMALL_STATE(6800)] = 434040,
  [SMALL_STATE(6801)] = 434096,
  [SMALL_STATE(6802)] = 434152,
  [SMALL_STATE(6803)] = 434182,
  [SMALL_STATE(6804)] = 434238,
  [SMALL_STATE(6805)] = 434268,
  [SMALL_STATE(6806)] = 434298,
  [SMALL_STATE(6807)] = 434354,
  [SMALL_STATE(6808)] = 434384,
  [SMALL_STATE(6809)] = 434440,
  [SMALL_STATE(6810)] = 434496,
  [SMALL_STATE(6811)] = 434526,
  [SMALL_STATE(6812)] = 434556,
  [SMALL_STATE(6813)] = 434588,
  [SMALL_STATE(6814)] = 434618,
  [SMALL_STATE(6815)] = 434648,
  [SMALL_STATE(6816)] = 434678,
  [SMALL_STATE(6817)] = 434708,
  [SMALL_STATE(6818)] = 434764,
  [SMALL_STATE(6819)] = 434794,
  [SMALL_STATE(6820)] = 434824,
  [SMALL_STATE(6821)] = 434880,
  [SMALL_STATE(6822)] = 434936,
  [SMALL_STATE(6823)] = 434992,
  [SMALL_STATE(6824)] = 435022,
  [SMALL_STATE(6825)] = 435052,
  [SMALL_STATE(6826)] = 435082,
  [SMALL_STATE(6827)] = 435112,
  [SMALL_STATE(6828)] = 435168,
  [SMALL_STATE(6829)] = 435224,
  [SMALL_STATE(6830)] = 435254,
  [SMALL_STATE(6831)] = 435310,
  [SMALL_STATE(6832)] = 435340,
  [SMALL_STATE(6833)] = 435370,
  [SMALL_STATE(6834)] = 435400,
  [SMALL_STATE(6835)] = 435456,
  [SMALL_STATE(6836)] = 435486,
  [SMALL_STATE(6837)] = 435516,
  [SMALL_STATE(6838)] = 435572,
  [SMALL_STATE(6839)] = 435628,
  [SMALL_STATE(6840)] = 435658,
  [SMALL_STATE(6841)] = 435688,
  [SMALL_STATE(6842)] = 435744,
  [SMALL_STATE(6843)] = 435774,
  [SMALL_STATE(6844)] = 435830,
  [SMALL_STATE(6845)] = 435886,
  [SMALL_STATE(6846)] = 435942,
  [SMALL_STATE(6847)] = 435998,
  [SMALL_STATE(6848)] = 436054,
  [SMALL_STATE(6849)] = 436110,
  [SMALL_STATE(6850)] = 436140,
  [SMALL_STATE(6851)] = 436196,
  [SMALL_STATE(6852)] = 436252,
  [SMALL_STATE(6853)] = 436308,
  [SMALL_STATE(6854)] = 436364,
  [SMALL_STATE(6855)] = 436420,
  [SMALL_STATE(6856)] = 436450,
  [SMALL_STATE(6857)] = 436506,
  [SMALL_STATE(6858)] = 436562,
  [SMALL_STATE(6859)] = 436592,
  [SMALL_STATE(6860)] = 436648,
  [SMALL_STATE(6861)] = 436704,
  [SMALL_STATE(6862)] = 436760,
  [SMALL_STATE(6863)] = 436790,
  [SMALL_STATE(6864)] = 436832,
  [SMALL_STATE(6865)] = 436862,
  [SMALL_STATE(6866)] = 436892,
  [SMALL_STATE(6867)] = 436922,
  [SMALL_STATE(6868)] = 436978,
  [SMALL_STATE(6869)] = 437034,
  [SMALL_STATE(6870)] = 437064,
  [SMALL_STATE(6871)] = 437120,
  [SMALL_STATE(6872)] = 437176,
  [SMALL_STATE(6873)] = 437206,
  [SMALL_STATE(6874)] = 437259,
  [SMALL_STATE(6875)] = 437288,
  [SMALL_STATE(6876)] = 437317,
  [SMALL_STATE(6877)] = 437343,
  [SMALL_STATE(6878)] = 437393,
  [SMALL_STATE(6879)] = 437443,
  [SMALL_STATE(6880)] = 437477,
  [SMALL_STATE(6881)] = 437511,
  [SMALL_STATE(6882)] = 437563,
  [SMALL_STATE(6883)] = 437601,
  [SMALL_STATE(6884)] = 437657,
  [SMALL_STATE(6885)] = 437683,
  [SMALL_STATE(6886)] = 437709,
  [SMALL_STATE(6887)] = 437735,
  [SMALL_STATE(6888)] = 437761,
  [SMALL_STATE(6889)] = 437787,
  [SMALL_STATE(6890)] = 437839,
  [SMALL_STATE(6891)] = 437889,
  [SMALL_STATE(6892)] = 437923,
  [SMALL_STATE(6893)] = 437973,
  [SMALL_STATE(6894)] = 438025,
  [SMALL_STATE(6895)] = 438051,
  [SMALL_STATE(6896)] = 438103,
  [SMALL_STATE(6897)] = 438129,
  [SMALL_STATE(6898)] = 438154,
  [SMALL_STATE(6899)] = 438179,
  [SMALL_STATE(6900)] = 438204,
  [SMALL_STATE(6901)] = 438229,
  [SMALL_STATE(6902)] = 438254,
  [SMALL_STATE(6903)] = 438279,
  [SMALL_STATE(6904)] = 438334,
  [SMALL_STATE(6905)] = 438365,
  [SMALL_STATE(6906)] = 438390,
  [SMALL_STATE(6907)] = 438421,
  [SMALL_STATE(6908)] = 438470,
  [SMALL_STATE(6909)] = 438519,
  [SMALL_STATE(6910)] = 438544,
  [SMALL_STATE(6911)] = 438569,
  [SMALL_STATE(6912)] = 438618,
  [SMALL_STATE(6913)] = 438653,
  [SMALL_STATE(6914)] = 438702,
  [SMALL_STATE(6915)] = 438733,
  [SMALL_STATE(6916)] = 438764,
  [SMALL_STATE(6917)] = 438795,
  [SMALL_STATE(6918)] = 438826,
  [SMALL_STATE(6919)] = 438867,
  [SMALL_STATE(6920)] = 438908,
  [SMALL_STATE(6921)] = 438933,
  [SMALL_STATE(6922)] = 438974,
  [SMALL_STATE(6923)] = 439005,
  [SMALL_STATE(6924)] = 439030,
  [SMALL_STATE(6925)] = 439055,
  [SMALL_STATE(6926)] = 439086,
  [SMALL_STATE(6927)] = 439111,
  [SMALL_STATE(6928)] = 439142,
  [SMALL_STATE(6929)] = 439173,
  [SMALL_STATE(6930)] = 439198,
  [SMALL_STATE(6931)] = 439235,
  [SMALL_STATE(6932)] = 439262,
  [SMALL_STATE(6933)] = 439287,
  [SMALL_STATE(6934)] = 439328,
  [SMALL_STATE(6935)] = 439353,
  [SMALL_STATE(6936)] = 439378,
  [SMALL_STATE(6937)] = 439403,
  [SMALL_STATE(6938)] = 439428,
  [SMALL_STATE(6939)] = 439453,
  [SMALL_STATE(6940)] = 439478,
  [SMALL_STATE(6941)] = 439503,
  [SMALL_STATE(6942)] = 439528,
  [SMALL_STATE(6943)] = 439553,
  [SMALL_STATE(6944)] = 439578,
  [SMALL_STATE(6945)] = 439603,
  [SMALL_STATE(6946)] = 439644,
  [SMALL_STATE(6947)] = 439679,
  [SMALL_STATE(6948)] = 439704,
  [SMALL_STATE(6949)] = 439729,
  [SMALL_STATE(6950)] = 439756,
  [SMALL_STATE(6951)] = 439796,
  [SMALL_STATE(6952)] = 439824,
  [SMALL_STATE(6953)] = 439864,
  [SMALL_STATE(6954)] = 439892,
  [SMALL_STATE(6955)] = 439944,
  [SMALL_STATE(6956)] = 439984,
  [SMALL_STATE(6957)] = 440014,
  [SMALL_STATE(6958)] = 440040,
  [SMALL_STATE(6959)] = 440068,
  [SMALL_STATE(6960)] = 440096,
  [SMALL_STATE(6961)] = 440136,
  [SMALL_STATE(6962)] = 440176,
  [SMALL_STATE(6963)] = 440204,
  [SMALL_STATE(6964)] = 440230,
  [SMALL_STATE(6965)] = 440282,
  [SMALL_STATE(6966)] = 440334,
  [SMALL_STATE(6967)] = 440362,
  [SMALL_STATE(6968)] = 440414,
  [SMALL_STATE(6969)] = 440438,
  [SMALL_STATE(6970)] = 440466,
  [SMALL_STATE(6971)] = 440492,
  [SMALL_STATE(6972)] = 440516,
  [SMALL_STATE(6973)] = 440568,
  [SMALL_STATE(6974)] = 440620,
  [SMALL_STATE(6975)] = 440648,
  [SMALL_STATE(6976)] = 440688,
  [SMALL_STATE(6977)] = 440740,
  [SMALL_STATE(6978)] = 440792,
  [SMALL_STATE(6979)] = 440844,
  [SMALL_STATE(6980)] = 440896,
  [SMALL_STATE(6981)] = 440948,
  [SMALL_STATE(6982)] = 440972,
  [SMALL_STATE(6983)] = 441004,
  [SMALL_STATE(6984)] = 441030,
  [SMALL_STATE(6985)] = 441058,
  [SMALL_STATE(6986)] = 441110,
  [SMALL_STATE(6987)] = 441138,
  [SMALL_STATE(6988)] = 441168,
  [SMALL_STATE(6989)] = 441198,
  [SMALL_STATE(6990)] = 441226,
  [SMALL_STATE(6991)] = 441256,
  [SMALL_STATE(6992)] = 441284,
  [SMALL_STATE(6993)] = 441324,
  [SMALL_STATE(6994)] = 441354,
  [SMALL_STATE(6995)] = 441382,
  [SMALL_STATE(6996)] = 441410,
  [SMALL_STATE(6997)] = 441438,
  [SMALL_STATE(6998)] = 441466,
  [SMALL_STATE(6999)] = 441501,
  [SMALL_STATE(7000)] = 441524,
  [SMALL_STATE(7001)] = 441559,
  [SMALL_STATE(7002)] = 441584,
  [SMALL_STATE(7003)] = 441609,
  [SMALL_STATE(7004)] = 441634,
  [SMALL_STATE(7005)] = 441663,
  [SMALL_STATE(7006)] = 441690,
  [SMALL_STATE(7007)] = 441719,
  [SMALL_STATE(7008)] = 441746,
  [SMALL_STATE(7009)] = 441773,
  [SMALL_STATE(7010)] = 441802,
  [SMALL_STATE(7011)] = 441831,
  [SMALL_STATE(7012)] = 441870,
  [SMALL_STATE(7013)] = 441909,
  [SMALL_STATE(7014)] = 441948,
  [SMALL_STATE(7015)] = 441987,
  [SMALL_STATE(7016)] = 442012,
  [SMALL_STATE(7017)] = 442051,
  [SMALL_STATE(7018)] = 442076,
  [SMALL_STATE(7019)] = 442099,
  [SMALL_STATE(7020)] = 442126,
  [SMALL_STATE(7021)] = 442151,
  [SMALL_STATE(7022)] = 442174,
  [SMALL_STATE(7023)] = 442227,
  [SMALL_STATE(7024)] = 442252,
  [SMALL_STATE(7025)] = 442287,
  [SMALL_STATE(7026)] = 442314,
  [SMALL_STATE(7027)] = 442365,
  [SMALL_STATE(7028)] = 442400,
  [SMALL_STATE(7029)] = 442425,
  [SMALL_STATE(7030)] = 442478,
  [SMALL_STATE(7031)] = 442529,
  [SMALL_STATE(7032)] = 442560,
  [SMALL_STATE(7033)] = 442611,
  [SMALL_STATE(7034)] = 442636,
  [SMALL_STATE(7035)] = 442661,
  [SMALL_STATE(7036)] = 442686,
  [SMALL_STATE(7037)] = 442711,
  [SMALL_STATE(7038)] = 442736,
  [SMALL_STATE(7039)] = 442761,
  [SMALL_STATE(7040)] = 442786,
  [SMALL_STATE(7041)] = 442811,
  [SMALL_STATE(7042)] = 442834,
  [SMALL_STATE(7043)] = 442859,
  [SMALL_STATE(7044)] = 442884,
  [SMALL_STATE(7045)] = 442909,
  [SMALL_STATE(7046)] = 442960,
  [SMALL_STATE(7047)] = 442985,
  [SMALL_STATE(7048)] = 443014,
  [SMALL_STATE(7049)] = 443039,
  [SMALL_STATE(7050)] = 443064,
  [SMALL_STATE(7051)] = 443093,
  [SMALL_STATE(7052)] = 443128,
  [SMALL_STATE(7053)] = 443153,
  [SMALL_STATE(7054)] = 443178,
  [SMALL_STATE(7055)] = 443213,
  [SMALL_STATE(7056)] = 443238,
  [SMALL_STATE(7057)] = 443263,
  [SMALL_STATE(7058)] = 443288,
  [SMALL_STATE(7059)] = 443313,
  [SMALL_STATE(7060)] = 443338,
  [SMALL_STATE(7061)] = 443363,
  [SMALL_STATE(7062)] = 443386,
  [SMALL_STATE(7063)] = 443411,
  [SMALL_STATE(7064)] = 443438,
  [SMALL_STATE(7065)] = 443463,
  [SMALL_STATE(7066)] = 443488,
  [SMALL_STATE(7067)] = 443517,
  [SMALL_STATE(7068)] = 443542,
  [SMALL_STATE(7069)] = 443567,
  [SMALL_STATE(7070)] = 443592,
  [SMALL_STATE(7071)] = 443617,
  [SMALL_STATE(7072)] = 443639,
  [SMALL_STATE(7073)] = 443661,
  [SMALL_STATE(7074)] = 443683,
  [SMALL_STATE(7075)] = 443705,
  [SMALL_STATE(7076)] = 443727,
  [SMALL_STATE(7077)] = 443749,
  [SMALL_STATE(7078)] = 443771,
  [SMALL_STATE(7079)] = 443793,
  [SMALL_STATE(7080)] = 443815,
  [SMALL_STATE(7081)] = 443841,
  [SMALL_STATE(7082)] = 443863,
  [SMALL_STATE(7083)] = 443885,
  [SMALL_STATE(7084)] = 443907,
  [SMALL_STATE(7085)] = 443929,
  [SMALL_STATE(7086)] = 443963,
  [SMALL_STATE(7087)] = 443985,
  [SMALL_STATE(7088)] = 444007,
  [SMALL_STATE(7089)] = 444029,
  [SMALL_STATE(7090)] = 444051,
  [SMALL_STATE(7091)] = 444073,
  [SMALL_STATE(7092)] = 444095,
  [SMALL_STATE(7093)] = 444117,
  [SMALL_STATE(7094)] = 444139,
  [SMALL_STATE(7095)] = 444161,
  [SMALL_STATE(7096)] = 444183,
  [SMALL_STATE(7097)] = 444205,
  [SMALL_STATE(7098)] = 444227,
  [SMALL_STATE(7099)] = 444249,
  [SMALL_STATE(7100)] = 444275,
  [SMALL_STATE(7101)] = 444309,
  [SMALL_STATE(7102)] = 444331,
  [SMALL_STATE(7103)] = 444355,
  [SMALL_STATE(7104)] = 444379,
  [SMALL_STATE(7105)] = 444403,
  [SMALL_STATE(7106)] = 444425,
  [SMALL_STATE(7107)] = 444447,
  [SMALL_STATE(7108)] = 444469,
  [SMALL_STATE(7109)] = 444491,
  [SMALL_STATE(7110)] = 444515,
  [SMALL_STATE(7111)] = 444539,
  [SMALL_STATE(7112)] = 444561,
  [SMALL_STATE(7113)] = 444583,
  [SMALL_STATE(7114)] = 444609,
  [SMALL_STATE(7115)] = 444631,
  [SMALL_STATE(7116)] = 444653,
  [SMALL_STATE(7117)] = 444675,
  [SMALL_STATE(7118)] = 444697,
  [SMALL_STATE(7119)] = 444735,
  [SMALL_STATE(7120)] = 444761,
  [SMALL_STATE(7121)] = 444793,
  [SMALL_STATE(7122)] = 444815,
  [SMALL_STATE(7123)] = 444837,
  [SMALL_STATE(7124)] = 444859,
  [SMALL_STATE(7125)] = 444883,
  [SMALL_STATE(7126)] = 444907,
  [SMALL_STATE(7127)] = 444931,
  [SMALL_STATE(7128)] = 444963,
  [SMALL_STATE(7129)] = 444985,
  [SMALL_STATE(7130)] = 445009,
  [SMALL_STATE(7131)] = 445031,
  [SMALL_STATE(7132)] = 445053,
  [SMALL_STATE(7133)] = 445075,
  [SMALL_STATE(7134)] = 445097,
  [SMALL_STATE(7135)] = 445127,
  [SMALL_STATE(7136)] = 445149,
  [SMALL_STATE(7137)] = 445183,
  [SMALL_STATE(7138)] = 445205,
  [SMALL_STATE(7139)] = 445227,
  [SMALL_STATE(7140)] = 445253,
  [SMALL_STATE(7141)] = 445275,
  [SMALL_STATE(7142)] = 445301,
  [SMALL_STATE(7143)] = 445323,
  [SMALL_STATE(7144)] = 445357,
  [SMALL_STATE(7145)] = 445379,
  [SMALL_STATE(7146)] = 445401,
  [SMALL_STATE(7147)] = 445435,
  [SMALL_STATE(7148)] = 445461,
  [SMALL_STATE(7149)] = 445483,
  [SMALL_STATE(7150)] = 445505,
  [SMALL_STATE(7151)] = 445527,
  [SMALL_STATE(7152)] = 445549,
  [SMALL_STATE(7153)] = 445571,
  [SMALL_STATE(7154)] = 445605,
  [SMALL_STATE(7155)] = 445627,
  [SMALL_STATE(7156)] = 445665,
  [SMALL_STATE(7157)] = 445687,
  [SMALL_STATE(7158)] = 445725,
  [SMALL_STATE(7159)] = 445763,
  [SMALL_STATE(7160)] = 445801,
  [SMALL_STATE(7161)] = 445823,
  [SMALL_STATE(7162)] = 445845,
  [SMALL_STATE(7163)] = 445867,
  [SMALL_STATE(7164)] = 445889,
  [SMALL_STATE(7165)] = 445911,
  [SMALL_STATE(7166)] = 445954,
  [SMALL_STATE(7167)] = 445987,
  [SMALL_STATE(7168)] = 446020,
  [SMALL_STATE(7169)] = 446049,
  [SMALL_STATE(7170)] = 446070,
  [SMALL_STATE(7171)] = 446103,
  [SMALL_STATE(7172)] = 446124,
  [SMALL_STATE(7173)] = 446153,
  [SMALL_STATE(7174)] = 446186,
  [SMALL_STATE(7175)] = 446219,
  [SMALL_STATE(7176)] = 446252,
  [SMALL_STATE(7177)] = 446273,
  [SMALL_STATE(7178)] = 446302,
  [SMALL_STATE(7179)] = 446345,
  [SMALL_STATE(7180)] = 446388,
  [SMALL_STATE(7181)] = 446409,
  [SMALL_STATE(7182)] = 446438,
  [SMALL_STATE(7183)] = 446479,
  [SMALL_STATE(7184)] = 446522,
  [SMALL_STATE(7185)] = 446569,
  [SMALL_STATE(7186)] = 446612,
  [SMALL_STATE(7187)] = 446641,
  [SMALL_STATE(7188)] = 446688,
  [SMALL_STATE(7189)] = 446709,
  [SMALL_STATE(7190)] = 446730,
  [SMALL_STATE(7191)] = 446773,
  [SMALL_STATE(7192)] = 446816,
  [SMALL_STATE(7193)] = 446849,
  [SMALL_STATE(7194)] = 446892,
  [SMALL_STATE(7195)] = 446935,
  [SMALL_STATE(7196)] = 446958,
  [SMALL_STATE(7197)] = 446991,
  [SMALL_STATE(7198)] = 447024,
  [SMALL_STATE(7199)] = 447067,
  [SMALL_STATE(7200)] = 447100,
  [SMALL_STATE(7201)] = 447133,
  [SMALL_STATE(7202)] = 447154,
  [SMALL_STATE(7203)] = 447187,
  [SMALL_STATE(7204)] = 447228,
  [SMALL_STATE(7205)] = 447261,
  [SMALL_STATE(7206)] = 447282,
  [SMALL_STATE(7207)] = 447305,
  [SMALL_STATE(7208)] = 447328,
  [SMALL_STATE(7209)] = 447369,
  [SMALL_STATE(7210)] = 447412,
  [SMALL_STATE(7211)] = 447445,
  [SMALL_STATE(7212)] = 447486,
  [SMALL_STATE(7213)] = 447515,
  [SMALL_STATE(7214)] = 447544,
  [SMALL_STATE(7215)] = 447577,
  [SMALL_STATE(7216)] = 447624,
  [SMALL_STATE(7217)] = 447657,
  [SMALL_STATE(7218)] = 447700,
  [SMALL_STATE(7219)] = 447733,
  [SMALL_STATE(7220)] = 447766,
  [SMALL_STATE(7221)] = 447799,
  [SMALL_STATE(7222)] = 447832,
  [SMALL_STATE(7223)] = 447857,
  [SMALL_STATE(7224)] = 447878,
  [SMALL_STATE(7225)] = 447919,
  [SMALL_STATE(7226)] = 447960,
  [SMALL_STATE(7227)] = 448007,
  [SMALL_STATE(7228)] = 448030,
  [SMALL_STATE(7229)] = 448053,
  [SMALL_STATE(7230)] = 448094,
  [SMALL_STATE(7231)] = 448119,
  [SMALL_STATE(7232)] = 448162,
  [SMALL_STATE(7233)] = 448183,
  [SMALL_STATE(7234)] = 448226,
  [SMALL_STATE(7235)] = 448259,
  [SMALL_STATE(7236)] = 448302,
  [SMALL_STATE(7237)] = 448335,
  [SMALL_STATE(7238)] = 448358,
  [SMALL_STATE(7239)] = 448387,
  [SMALL_STATE(7240)] = 448410,
  [SMALL_STATE(7241)] = 448433,
  [SMALL_STATE(7242)] = 448466,
  [SMALL_STATE(7243)] = 448489,
  [SMALL_STATE(7244)] = 448522,
  [SMALL_STATE(7245)] = 448555,
  [SMALL_STATE(7246)] = 448595,
  [SMALL_STATE(7247)] = 448617,
  [SMALL_STATE(7248)] = 448637,
  [SMALL_STATE(7249)] = 448657,
  [SMALL_STATE(7250)] = 448677,
  [SMALL_STATE(7251)] = 448697,
  [SMALL_STATE(7252)] = 448717,
  [SMALL_STATE(7253)] = 448737,
  [SMALL_STATE(7254)] = 448757,
  [SMALL_STATE(7255)] = 448777,
  [SMALL_STATE(7256)] = 448797,
  [SMALL_STATE(7257)] = 448827,
  [SMALL_STATE(7258)] = 448851,
  [SMALL_STATE(7259)] = 448887,
  [SMALL_STATE(7260)] = 448907,
  [SMALL_STATE(7261)] = 448931,
  [SMALL_STATE(7262)] = 448971,
  [SMALL_STATE(7263)] = 448993,
  [SMALL_STATE(7264)] = 449029,
  [SMALL_STATE(7265)] = 449073,
  [SMALL_STATE(7266)] = 449097,
  [SMALL_STATE(7267)] = 449133,
  [SMALL_STATE(7268)] = 449163,
  [SMALL_STATE(7269)] = 449193,
  [SMALL_STATE(7270)] = 449217,
  [SMALL_STATE(7271)] = 449237,
  [SMALL_STATE(7272)] = 449273,
  [SMALL_STATE(7273)] = 449293,
  [SMALL_STATE(7274)] = 449321,
  [SMALL_STATE(7275)] = 449343,
  [SMALL_STATE(7276)] = 449383,
  [SMALL_STATE(7277)] = 449403,
  [SMALL_STATE(7278)] = 449443,
  [SMALL_STATE(7279)] = 449479,
  [SMALL_STATE(7280)] = 449523,
  [SMALL_STATE(7281)] = 449559,
  [SMALL_STATE(7282)] = 449595,
  [SMALL_STATE(7283)] = 449631,
  [SMALL_STATE(7284)] = 449651,
  [SMALL_STATE(7285)] = 449671,
  [SMALL_STATE(7286)] = 449691,
  [SMALL_STATE(7287)] = 449711,
  [SMALL_STATE(7288)] = 449731,
  [SMALL_STATE(7289)] = 449759,
  [SMALL_STATE(7290)] = 449795,
  [SMALL_STATE(7291)] = 449831,
  [SMALL_STATE(7292)] = 449867,
  [SMALL_STATE(7293)] = 449907,
  [SMALL_STATE(7294)] = 449931,
  [SMALL_STATE(7295)] = 449955,
  [SMALL_STATE(7296)] = 449991,
  [SMALL_STATE(7297)] = 450027,
  [SMALL_STATE(7298)] = 450071,
  [SMALL_STATE(7299)] = 450107,
  [SMALL_STATE(7300)] = 450151,
  [SMALL_STATE(7301)] = 450187,
  [SMALL_STATE(7302)] = 450223,
  [SMALL_STATE(7303)] = 450259,
  [SMALL_STATE(7304)] = 450295,
  [SMALL_STATE(7305)] = 450335,
  [SMALL_STATE(7306)] = 450371,
  [SMALL_STATE(7307)] = 450407,
  [SMALL_STATE(7308)] = 450443,
  [SMALL_STATE(7309)] = 450471,
  [SMALL_STATE(7310)] = 450513,
  [SMALL_STATE(7311)] = 450549,
  [SMALL_STATE(7312)] = 450587,
  [SMALL_STATE(7313)] = 450627,
  [SMALL_STATE(7314)] = 450665,
  [SMALL_STATE(7315)] = 450701,
  [SMALL_STATE(7316)] = 450741,
  [SMALL_STATE(7317)] = 450765,
  [SMALL_STATE(7318)] = 450797,
  [SMALL_STATE(7319)] = 450833,
  [SMALL_STATE(7320)] = 450873,
  [SMALL_STATE(7321)] = 450909,
  [SMALL_STATE(7322)] = 450945,
  [SMALL_STATE(7323)] = 450977,
  [SMALL_STATE(7324)] = 450997,
  [SMALL_STATE(7325)] = 451017,
  [SMALL_STATE(7326)] = 451059,
  [SMALL_STATE(7327)] = 451091,
  [SMALL_STATE(7328)] = 451111,
  [SMALL_STATE(7329)] = 451143,
  [SMALL_STATE(7330)] = 451179,
  [SMALL_STATE(7331)] = 451211,
  [SMALL_STATE(7332)] = 451247,
  [SMALL_STATE(7333)] = 451279,
  [SMALL_STATE(7334)] = 451321,
  [SMALL_STATE(7335)] = 451361,
  [SMALL_STATE(7336)] = 451389,
  [SMALL_STATE(7337)] = 451409,
  [SMALL_STATE(7338)] = 451429,
  [SMALL_STATE(7339)] = 451453,
  [SMALL_STATE(7340)] = 451473,
  [SMALL_STATE(7341)] = 451497,
  [SMALL_STATE(7342)] = 451517,
  [SMALL_STATE(7343)] = 451559,
  [SMALL_STATE(7344)] = 451599,
  [SMALL_STATE(7345)] = 451635,
  [SMALL_STATE(7346)] = 451675,
  [SMALL_STATE(7347)] = 451695,
  [SMALL_STATE(7348)] = 451715,
  [SMALL_STATE(7349)] = 451735,
  [SMALL_STATE(7350)] = 451779,
  [SMALL_STATE(7351)] = 451819,
  [SMALL_STATE(7352)] = 451839,
  [SMALL_STATE(7353)] = 451875,
  [SMALL_STATE(7354)] = 451895,
  [SMALL_STATE(7355)] = 451935,
  [SMALL_STATE(7356)] = 451979,
  [SMALL_STATE(7357)] = 452023,
  [SMALL_STATE(7358)] = 452051,
  [SMALL_STATE(7359)] = 452089,
  [SMALL_STATE(7360)] = 452125,
  [SMALL_STATE(7361)] = 452149,
  [SMALL_STATE(7362)] = 452187,
  [SMALL_STATE(7363)] = 452229,
  [SMALL_STATE(7364)] = 452269,
  [SMALL_STATE(7365)] = 452309,
  [SMALL_STATE(7366)] = 452333,
  [SMALL_STATE(7367)] = 452369,
  [SMALL_STATE(7368)] = 452393,
  [SMALL_STATE(7369)] = 452423,
  [SMALL_STATE(7370)] = 452459,
  [SMALL_STATE(7371)] = 452499,
  [SMALL_STATE(7372)] = 452529,
  [SMALL_STATE(7373)] = 452573,
  [SMALL_STATE(7374)] = 452601,
  [SMALL_STATE(7375)] = 452641,
  [SMALL_STATE(7376)] = 452677,
  [SMALL_STATE(7377)] = 452707,
  [SMALL_STATE(7378)] = 452737,
  [SMALL_STATE(7379)] = 452781,
  [SMALL_STATE(7380)] = 452811,
  [SMALL_STATE(7381)] = 452841,
  [SMALL_STATE(7382)] = 452881,
  [SMALL_STATE(7383)] = 452911,
  [SMALL_STATE(7384)] = 452941,
  [SMALL_STATE(7385)] = 452981,
  [SMALL_STATE(7386)] = 453021,
  [SMALL_STATE(7387)] = 453061,
  [SMALL_STATE(7388)] = 453097,
  [SMALL_STATE(7389)] = 453121,
  [SMALL_STATE(7390)] = 453157,
  [SMALL_STATE(7391)] = 453187,
  [SMALL_STATE(7392)] = 453211,
  [SMALL_STATE(7393)] = 453241,
  [SMALL_STATE(7394)] = 453283,
  [SMALL_STATE(7395)] = 453319,
  [SMALL_STATE(7396)] = 453359,
  [SMALL_STATE(7397)] = 453399,
  [SMALL_STATE(7398)] = 453429,
  [SMALL_STATE(7399)] = 453459,
  [SMALL_STATE(7400)] = 453489,
  [SMALL_STATE(7401)] = 453513,
  [SMALL_STATE(7402)] = 453541,
  [SMALL_STATE(7403)] = 453561,
  [SMALL_STATE(7404)] = 453585,
  [SMALL_STATE(7405)] = 453615,
  [SMALL_STATE(7406)] = 453645,
  [SMALL_STATE(7407)] = 453665,
  [SMALL_STATE(7408)] = 453691,
  [SMALL_STATE(7409)] = 453727,
  [SMALL_STATE(7410)] = 453764,
  [SMALL_STATE(7411)] = 453783,
  [SMALL_STATE(7412)] = 453802,
  [SMALL_STATE(7413)] = 453825,
  [SMALL_STATE(7414)] = 453866,
  [SMALL_STATE(7415)] = 453889,
  [SMALL_STATE(7416)] = 453908,
  [SMALL_STATE(7417)] = 453943,
  [SMALL_STATE(7418)] = 453966,
  [SMALL_STATE(7419)] = 453989,
  [SMALL_STATE(7420)] = 454030,
  [SMALL_STATE(7421)] = 454053,
  [SMALL_STATE(7422)] = 454076,
  [SMALL_STATE(7423)] = 454111,
  [SMALL_STATE(7424)] = 454146,
  [SMALL_STATE(7425)] = 454187,
  [SMALL_STATE(7426)] = 454220,
  [SMALL_STATE(7427)] = 454239,
  [SMALL_STATE(7428)] = 454280,
  [SMALL_STATE(7429)] = 454321,
  [SMALL_STATE(7430)] = 454356,
  [SMALL_STATE(7431)] = 454393,
  [SMALL_STATE(7432)] = 454434,
  [SMALL_STATE(7433)] = 454475,
  [SMALL_STATE(7434)] = 454510,
  [SMALL_STATE(7435)] = 454551,
  [SMALL_STATE(7436)] = 454590,
  [SMALL_STATE(7437)] = 454625,
  [SMALL_STATE(7438)] = 454660,
  [SMALL_STATE(7439)] = 454683,
  [SMALL_STATE(7440)] = 454718,
  [SMALL_STATE(7441)] = 454759,
  [SMALL_STATE(7442)] = 454786,
  [SMALL_STATE(7443)] = 454809,
  [SMALL_STATE(7444)] = 454850,
  [SMALL_STATE(7445)] = 454891,
  [SMALL_STATE(7446)] = 454932,
  [SMALL_STATE(7447)] = 454951,
  [SMALL_STATE(7448)] = 454970,
  [SMALL_STATE(7449)] = 454993,
  [SMALL_STATE(7450)] = 455012,
  [SMALL_STATE(7451)] = 455031,
  [SMALL_STATE(7452)] = 455058,
  [SMALL_STATE(7453)] = 455099,
  [SMALL_STATE(7454)] = 455126,
  [SMALL_STATE(7455)] = 455153,
  [SMALL_STATE(7456)] = 455188,
  [SMALL_STATE(7457)] = 455207,
  [SMALL_STATE(7458)] = 455230,
  [SMALL_STATE(7459)] = 455249,
  [SMALL_STATE(7460)] = 455276,
  [SMALL_STATE(7461)] = 455295,
  [SMALL_STATE(7462)] = 455330,
  [SMALL_STATE(7463)] = 455349,
  [SMALL_STATE(7464)] = 455368,
  [SMALL_STATE(7465)] = 455409,
  [SMALL_STATE(7466)] = 455450,
  [SMALL_STATE(7467)] = 455473,
  [SMALL_STATE(7468)] = 455492,
  [SMALL_STATE(7469)] = 455511,
  [SMALL_STATE(7470)] = 455550,
  [SMALL_STATE(7471)] = 455585,
  [SMALL_STATE(7472)] = 455608,
  [SMALL_STATE(7473)] = 455645,
  [SMALL_STATE(7474)] = 455682,
  [SMALL_STATE(7475)] = 455721,
  [SMALL_STATE(7476)] = 455744,
  [SMALL_STATE(7477)] = 455767,
  [SMALL_STATE(7478)] = 455808,
  [SMALL_STATE(7479)] = 455849,
  [SMALL_STATE(7480)] = 455876,
  [SMALL_STATE(7481)] = 455903,
  [SMALL_STATE(7482)] = 455940,
  [SMALL_STATE(7483)] = 455975,
  [SMALL_STATE(7484)] = 455998,
  [SMALL_STATE(7485)] = 456033,
  [SMALL_STATE(7486)] = 456074,
  [SMALL_STATE(7487)] = 456109,
  [SMALL_STATE(7488)] = 456150,
  [SMALL_STATE(7489)] = 456169,
  [SMALL_STATE(7490)] = 456208,
  [SMALL_STATE(7491)] = 456227,
  [SMALL_STATE(7492)] = 456246,
  [SMALL_STATE(7493)] = 456265,
  [SMALL_STATE(7494)] = 456300,
  [SMALL_STATE(7495)] = 456335,
  [SMALL_STATE(7496)] = 456374,
  [SMALL_STATE(7497)] = 456401,
  [SMALL_STATE(7498)] = 456420,
  [SMALL_STATE(7499)] = 456443,
  [SMALL_STATE(7500)] = 456478,
  [SMALL_STATE(7501)] = 456519,
  [SMALL_STATE(7502)] = 456554,
  [SMALL_STATE(7503)] = 456577,
  [SMALL_STATE(7504)] = 456600,
  [SMALL_STATE(7505)] = 456641,
  [SMALL_STATE(7506)] = 456660,
  [SMALL_STATE(7507)] = 456679,
  [SMALL_STATE(7508)] = 456698,
  [SMALL_STATE(7509)] = 456721,
  [SMALL_STATE(7510)] = 456758,
  [SMALL_STATE(7511)] = 456777,
  [SMALL_STATE(7512)] = 456800,
  [SMALL_STATE(7513)] = 456819,
  [SMALL_STATE(7514)] = 456841,
  [SMALL_STATE(7515)] = 456863,
  [SMALL_STATE(7516)] = 456899,
  [SMALL_STATE(7517)] = 456925,
  [SMALL_STATE(7518)] = 456947,
  [SMALL_STATE(7519)] = 456973,
  [SMALL_STATE(7520)] = 456995,
  [SMALL_STATE(7521)] = 457021,
  [SMALL_STATE(7522)] = 457043,
  [SMALL_STATE(7523)] = 457069,
  [SMALL_STATE(7524)] = 457095,
  [SMALL_STATE(7525)] = 457127,
  [SMALL_STATE(7526)] = 457149,
  [SMALL_STATE(7527)] = 457171,
  [SMALL_STATE(7528)] = 457197,
  [SMALL_STATE(7529)] = 457233,
  [SMALL_STATE(7530)] = 457259,
  [SMALL_STATE(7531)] = 457281,
  [SMALL_STATE(7532)] = 457299,
  [SMALL_STATE(7533)] = 457329,
  [SMALL_STATE(7534)] = 457361,
  [SMALL_STATE(7535)] = 457383,
  [SMALL_STATE(7536)] = 457413,
  [SMALL_STATE(7537)] = 457431,
  [SMALL_STATE(7538)] = 457449,
  [SMALL_STATE(7539)] = 457483,
  [SMALL_STATE(7540)] = 457513,
  [SMALL_STATE(7541)] = 457537,
  [SMALL_STATE(7542)] = 457573,
  [SMALL_STATE(7543)] = 457595,
  [SMALL_STATE(7544)] = 457613,
  [SMALL_STATE(7545)] = 457643,
  [SMALL_STATE(7546)] = 457673,
  [SMALL_STATE(7547)] = 457709,
  [SMALL_STATE(7548)] = 457731,
  [SMALL_STATE(7549)] = 457749,
  [SMALL_STATE(7550)] = 457781,
  [SMALL_STATE(7551)] = 457805,
  [SMALL_STATE(7552)] = 457823,
  [SMALL_STATE(7553)] = 457849,
  [SMALL_STATE(7554)] = 457867,
  [SMALL_STATE(7555)] = 457899,
  [SMALL_STATE(7556)] = 457917,
  [SMALL_STATE(7557)] = 457935,
  [SMALL_STATE(7558)] = 457967,
  [SMALL_STATE(7559)] = 457997,
  [SMALL_STATE(7560)] = 458027,
  [SMALL_STATE(7561)] = 458063,
  [SMALL_STATE(7562)] = 458095,
  [SMALL_STATE(7563)] = 458113,
  [SMALL_STATE(7564)] = 458137,
  [SMALL_STATE(7565)] = 458167,
  [SMALL_STATE(7566)] = 458191,
  [SMALL_STATE(7567)] = 458215,
  [SMALL_STATE(7568)] = 458245,
  [SMALL_STATE(7569)] = 458281,
  [SMALL_STATE(7570)] = 458317,
  [SMALL_STATE(7571)] = 458347,
  [SMALL_STATE(7572)] = 458365,
  [SMALL_STATE(7573)] = 458401,
  [SMALL_STATE(7574)] = 458419,
  [SMALL_STATE(7575)] = 458455,
  [SMALL_STATE(7576)] = 458485,
  [SMALL_STATE(7577)] = 458503,
  [SMALL_STATE(7578)] = 458533,
  [SMALL_STATE(7579)] = 458563,
  [SMALL_STATE(7580)] = 458597,
  [SMALL_STATE(7581)] = 458627,
  [SMALL_STATE(7582)] = 458655,
  [SMALL_STATE(7583)] = 458677,
  [SMALL_STATE(7584)] = 458705,
  [SMALL_STATE(7585)] = 458723,
  [SMALL_STATE(7586)] = 458741,
  [SMALL_STATE(7587)] = 458777,
  [SMALL_STATE(7588)] = 458813,
  [SMALL_STATE(7589)] = 458837,
  [SMALL_STATE(7590)] = 458859,
  [SMALL_STATE(7591)] = 458881,
  [SMALL_STATE(7592)] = 458899,
  [SMALL_STATE(7593)] = 458929,
  [SMALL_STATE(7594)] = 458947,
  [SMALL_STATE(7595)] = 458983,
  [SMALL_STATE(7596)] = 459001,
  [SMALL_STATE(7597)] = 459036,
  [SMALL_STATE(7598)] = 459053,
  [SMALL_STATE(7599)] = 459070,
  [SMALL_STATE(7600)] = 459101,
  [SMALL_STATE(7601)] = 459118,
  [SMALL_STATE(7602)] = 459141,
  [SMALL_STATE(7603)] = 459170,
  [SMALL_STATE(7604)] = 459205,
  [SMALL_STATE(7605)] = 459234,
  [SMALL_STATE(7606)] = 459263,
  [SMALL_STATE(7607)] = 459298,
  [SMALL_STATE(7608)] = 459329,
  [SMALL_STATE(7609)] = 459360,
  [SMALL_STATE(7610)] = 459391,
  [SMALL_STATE(7611)] = 459426,
  [SMALL_STATE(7612)] = 459443,
  [SMALL_STATE(7613)] = 459472,
  [SMALL_STATE(7614)] = 459489,
  [SMALL_STATE(7615)] = 459506,
  [SMALL_STATE(7616)] = 459529,
  [SMALL_STATE(7617)] = 459552,
  [SMALL_STATE(7618)] = 459583,
  [SMALL_STATE(7619)] = 459612,
  [SMALL_STATE(7620)] = 459631,
  [SMALL_STATE(7621)] = 459648,
  [SMALL_STATE(7622)] = 459683,
  [SMALL_STATE(7623)] = 459706,
  [SMALL_STATE(7624)] = 459725,
  [SMALL_STATE(7625)] = 459760,
  [SMALL_STATE(7626)] = 459795,
  [SMALL_STATE(7627)] = 459826,
  [SMALL_STATE(7628)] = 459855,
  [SMALL_STATE(7629)] = 459890,
  [SMALL_STATE(7630)] = 459921,
  [SMALL_STATE(7631)] = 459956,
  [SMALL_STATE(7632)] = 459979,
  [SMALL_STATE(7633)] = 459996,
  [SMALL_STATE(7634)] = 460027,
  [SMALL_STATE(7635)] = 460044,
  [SMALL_STATE(7636)] = 460075,
  [SMALL_STATE(7637)] = 460104,
  [SMALL_STATE(7638)] = 460139,
  [SMALL_STATE(7639)] = 460156,
  [SMALL_STATE(7640)] = 460173,
  [SMALL_STATE(7641)] = 460190,
  [SMALL_STATE(7642)] = 460221,
  [SMALL_STATE(7643)] = 460256,
  [SMALL_STATE(7644)] = 460273,
  [SMALL_STATE(7645)] = 460302,
  [SMALL_STATE(7646)] = 460319,
  [SMALL_STATE(7647)] = 460350,
  [SMALL_STATE(7648)] = 460367,
  [SMALL_STATE(7649)] = 460402,
  [SMALL_STATE(7650)] = 460419,
  [SMALL_STATE(7651)] = 460450,
  [SMALL_STATE(7652)] = 460485,
  [SMALL_STATE(7653)] = 460516,
  [SMALL_STATE(7654)] = 460545,
  [SMALL_STATE(7655)] = 460566,
  [SMALL_STATE(7656)] = 460583,
  [SMALL_STATE(7657)] = 460600,
  [SMALL_STATE(7658)] = 460621,
  [SMALL_STATE(7659)] = 460650,
  [SMALL_STATE(7660)] = 460679,
  [SMALL_STATE(7661)] = 460696,
  [SMALL_STATE(7662)] = 460713,
  [SMALL_STATE(7663)] = 460730,
  [SMALL_STATE(7664)] = 460761,
  [SMALL_STATE(7665)] = 460790,
  [SMALL_STATE(7666)] = 460819,
  [SMALL_STATE(7667)] = 460840,
  [SMALL_STATE(7668)] = 460869,
  [SMALL_STATE(7669)] = 460890,
  [SMALL_STATE(7670)] = 460919,
  [SMALL_STATE(7671)] = 460936,
  [SMALL_STATE(7672)] = 460957,
  [SMALL_STATE(7673)] = 460992,
  [SMALL_STATE(7674)] = 461021,
  [SMALL_STATE(7675)] = 461056,
  [SMALL_STATE(7676)] = 461091,
  [SMALL_STATE(7677)] = 461126,
  [SMALL_STATE(7678)] = 461157,
  [SMALL_STATE(7679)] = 461178,
  [SMALL_STATE(7680)] = 461199,
  [SMALL_STATE(7681)] = 461230,
  [SMALL_STATE(7682)] = 461259,
  [SMALL_STATE(7683)] = 461294,
  [SMALL_STATE(7684)] = 461325,
  [SMALL_STATE(7685)] = 461356,
  [SMALL_STATE(7686)] = 461391,
  [SMALL_STATE(7687)] = 461408,
  [SMALL_STATE(7688)] = 461425,
  [SMALL_STATE(7689)] = 461460,
  [SMALL_STATE(7690)] = 461477,
  [SMALL_STATE(7691)] = 461508,
  [SMALL_STATE(7692)] = 461539,
  [SMALL_STATE(7693)] = 461570,
  [SMALL_STATE(7694)] = 461587,
  [SMALL_STATE(7695)] = 461622,
  [SMALL_STATE(7696)] = 461653,
  [SMALL_STATE(7697)] = 461684,
  [SMALL_STATE(7698)] = 461719,
  [SMALL_STATE(7699)] = 461754,
  [SMALL_STATE(7700)] = 461783,
  [SMALL_STATE(7701)] = 461814,
  [SMALL_STATE(7702)] = 461833,
  [SMALL_STATE(7703)] = 461868,
  [SMALL_STATE(7704)] = 461903,
  [SMALL_STATE(7705)] = 461934,
  [SMALL_STATE(7706)] = 461965,
  [SMALL_STATE(7707)] = 461996,
  [SMALL_STATE(7708)] = 462013,
  [SMALL_STATE(7709)] = 462048,
  [SMALL_STATE(7710)] = 462079,
  [SMALL_STATE(7711)] = 462110,
  [SMALL_STATE(7712)] = 462145,
  [SMALL_STATE(7713)] = 462176,
  [SMALL_STATE(7714)] = 462205,
  [SMALL_STATE(7715)] = 462240,
  [SMALL_STATE(7716)] = 462269,
  [SMALL_STATE(7717)] = 462298,
  [SMALL_STATE(7718)] = 462329,
  [SMALL_STATE(7719)] = 462350,
  [SMALL_STATE(7720)] = 462367,
  [SMALL_STATE(7721)] = 462396,
  [SMALL_STATE(7722)] = 462427,
  [SMALL_STATE(7723)] = 462456,
  [SMALL_STATE(7724)] = 462473,
  [SMALL_STATE(7725)] = 462504,
  [SMALL_STATE(7726)] = 462521,
  [SMALL_STATE(7727)] = 462538,
  [SMALL_STATE(7728)] = 462564,
  [SMALL_STATE(7729)] = 462596,
  [SMALL_STATE(7730)] = 462624,
  [SMALL_STATE(7731)] = 462650,
  [SMALL_STATE(7732)] = 462678,
  [SMALL_STATE(7733)] = 462706,
  [SMALL_STATE(7734)] = 462732,
  [SMALL_STATE(7735)] = 462760,
  [SMALL_STATE(7736)] = 462778,
  [SMALL_STATE(7737)] = 462810,
  [SMALL_STATE(7738)] = 462838,
  [SMALL_STATE(7739)] = 462870,
  [SMALL_STATE(7740)] = 462890,
  [SMALL_STATE(7741)] = 462918,
  [SMALL_STATE(7742)] = 462950,
  [SMALL_STATE(7743)] = 462982,
  [SMALL_STATE(7744)] = 463002,
  [SMALL_STATE(7745)] = 463030,
  [SMALL_STATE(7746)] = 463056,
  [SMALL_STATE(7747)] = 463082,
  [SMALL_STATE(7748)] = 463114,
  [SMALL_STATE(7749)] = 463142,
  [SMALL_STATE(7750)] = 463174,
  [SMALL_STATE(7751)] = 463202,
  [SMALL_STATE(7752)] = 463230,
  [SMALL_STATE(7753)] = 463258,
  [SMALL_STATE(7754)] = 463284,
  [SMALL_STATE(7755)] = 463316,
  [SMALL_STATE(7756)] = 463348,
  [SMALL_STATE(7757)] = 463374,
  [SMALL_STATE(7758)] = 463402,
  [SMALL_STATE(7759)] = 463428,
  [SMALL_STATE(7760)] = 463454,
  [SMALL_STATE(7761)] = 463486,
  [SMALL_STATE(7762)] = 463512,
  [SMALL_STATE(7763)] = 463538,
  [SMALL_STATE(7764)] = 463566,
  [SMALL_STATE(7765)] = 463598,
  [SMALL_STATE(7766)] = 463626,
  [SMALL_STATE(7767)] = 463652,
  [SMALL_STATE(7768)] = 463684,
  [SMALL_STATE(7769)] = 463716,
  [SMALL_STATE(7770)] = 463748,
  [SMALL_STATE(7771)] = 463780,
  [SMALL_STATE(7772)] = 463808,
  [SMALL_STATE(7773)] = 463836,
  [SMALL_STATE(7774)] = 463868,
  [SMALL_STATE(7775)] = 463900,
  [SMALL_STATE(7776)] = 463932,
  [SMALL_STATE(7777)] = 463958,
  [SMALL_STATE(7778)] = 463986,
  [SMALL_STATE(7779)] = 464014,
  [SMALL_STATE(7780)] = 464042,
  [SMALL_STATE(7781)] = 464070,
  [SMALL_STATE(7782)] = 464098,
  [SMALL_STATE(7783)] = 464130,
  [SMALL_STATE(7784)] = 464156,
  [SMALL_STATE(7785)] = 464182,
  [SMALL_STATE(7786)] = 464210,
  [SMALL_STATE(7787)] = 464238,
  [SMALL_STATE(7788)] = 464264,
  [SMALL_STATE(7789)] = 464296,
  [SMALL_STATE(7790)] = 464328,
  [SMALL_STATE(7791)] = 464356,
  [SMALL_STATE(7792)] = 464384,
  [SMALL_STATE(7793)] = 464410,
  [SMALL_STATE(7794)] = 464442,
  [SMALL_STATE(7795)] = 464466,
  [SMALL_STATE(7796)] = 464498,
  [SMALL_STATE(7797)] = 464524,
  [SMALL_STATE(7798)] = 464548,
  [SMALL_STATE(7799)] = 464580,
  [SMALL_STATE(7800)] = 464606,
  [SMALL_STATE(7801)] = 464638,
  [SMALL_STATE(7802)] = 464670,
  [SMALL_STATE(7803)] = 464702,
  [SMALL_STATE(7804)] = 464728,
  [SMALL_STATE(7805)] = 464760,
  [SMALL_STATE(7806)] = 464788,
  [SMALL_STATE(7807)] = 464820,
  [SMALL_STATE(7808)] = 464852,
  [SMALL_STATE(7809)] = 464880,
  [SMALL_STATE(7810)] = 464908,
  [SMALL_STATE(7811)] = 464934,
  [SMALL_STATE(7812)] = 464966,
  [SMALL_STATE(7813)] = 464998,
  [SMALL_STATE(7814)] = 465030,
  [SMALL_STATE(7815)] = 465058,
  [SMALL_STATE(7816)] = 465084,
  [SMALL_STATE(7817)] = 465116,
  [SMALL_STATE(7818)] = 465148,
  [SMALL_STATE(7819)] = 465180,
  [SMALL_STATE(7820)] = 465212,
  [SMALL_STATE(7821)] = 465244,
  [SMALL_STATE(7822)] = 465276,
  [SMALL_STATE(7823)] = 465308,
  [SMALL_STATE(7824)] = 465336,
  [SMALL_STATE(7825)] = 465368,
  [SMALL_STATE(7826)] = 465396,
  [SMALL_STATE(7827)] = 465424,
  [SMALL_STATE(7828)] = 465456,
  [SMALL_STATE(7829)] = 465484,
  [SMALL_STATE(7830)] = 465510,
  [SMALL_STATE(7831)] = 465538,
  [SMALL_STATE(7832)] = 465566,
  [SMALL_STATE(7833)] = 465594,
  [SMALL_STATE(7834)] = 465622,
  [SMALL_STATE(7835)] = 465650,
  [SMALL_STATE(7836)] = 465682,
  [SMALL_STATE(7837)] = 465710,
  [SMALL_STATE(7838)] = 465730,
  [SMALL_STATE(7839)] = 465762,
  [SMALL_STATE(7840)] = 465788,
  [SMALL_STATE(7841)] = 465816,
  [SMALL_STATE(7842)] = 465848,
  [SMALL_STATE(7843)] = 465880,
  [SMALL_STATE(7844)] = 465908,
  [SMALL_STATE(7845)] = 465926,
  [SMALL_STATE(7846)] = 465950,
  [SMALL_STATE(7847)] = 465982,
  [SMALL_STATE(7848)] = 466014,
  [SMALL_STATE(7849)] = 466046,
  [SMALL_STATE(7850)] = 466070,
  [SMALL_STATE(7851)] = 466096,
  [SMALL_STATE(7852)] = 466124,
  [SMALL_STATE(7853)] = 466152,
  [SMALL_STATE(7854)] = 466178,
  [SMALL_STATE(7855)] = 466204,
  [SMALL_STATE(7856)] = 466226,
  [SMALL_STATE(7857)] = 466258,
  [SMALL_STATE(7858)] = 466282,
  [SMALL_STATE(7859)] = 466314,
  [SMALL_STATE(7860)] = 466342,
  [SMALL_STATE(7861)] = 466370,
  [SMALL_STATE(7862)] = 466390,
  [SMALL_STATE(7863)] = 466418,
  [SMALL_STATE(7864)] = 466446,
  [SMALL_STATE(7865)] = 466478,
  [SMALL_STATE(7866)] = 466510,
  [SMALL_STATE(7867)] = 466538,
  [SMALL_STATE(7868)] = 466564,
  [SMALL_STATE(7869)] = 466584,
  [SMALL_STATE(7870)] = 466612,
  [SMALL_STATE(7871)] = 466640,
  [SMALL_STATE(7872)] = 466668,
  [SMALL_STATE(7873)] = 466700,
  [SMALL_STATE(7874)] = 466728,
  [SMALL_STATE(7875)] = 466754,
  [SMALL_STATE(7876)] = 466786,
  [SMALL_STATE(7877)] = 466808,
  [SMALL_STATE(7878)] = 466834,
  [SMALL_STATE(7879)] = 466860,
  [SMALL_STATE(7880)] = 466886,
  [SMALL_STATE(7881)] = 466912,
  [SMALL_STATE(7882)] = 466944,
  [SMALL_STATE(7883)] = 466976,
  [SMALL_STATE(7884)] = 467002,
  [SMALL_STATE(7885)] = 467030,
  [SMALL_STATE(7886)] = 467052,
  [SMALL_STATE(7887)] = 467080,
  [SMALL_STATE(7888)] = 467112,
  [SMALL_STATE(7889)] = 467136,
  [SMALL_STATE(7890)] = 467168,
  [SMALL_STATE(7891)] = 467200,
  [SMALL_STATE(7892)] = 467232,
  [SMALL_STATE(7893)] = 467258,
  [SMALL_STATE(7894)] = 467284,
  [SMALL_STATE(7895)] = 467316,
  [SMALL_STATE(7896)] = 467348,
  [SMALL_STATE(7897)] = 467374,
  [SMALL_STATE(7898)] = 467396,
  [SMALL_STATE(7899)] = 467412,
  [SMALL_STATE(7900)] = 467444,
  [SMALL_STATE(7901)] = 467470,
  [SMALL_STATE(7902)] = 467502,
  [SMALL_STATE(7903)] = 467534,
  [SMALL_STATE(7904)] = 467566,
  [SMALL_STATE(7905)] = 467590,
  [SMALL_STATE(7906)] = 467606,
  [SMALL_STATE(7907)] = 467638,
  [SMALL_STATE(7908)] = 467666,
  [SMALL_STATE(7909)] = 467698,
  [SMALL_STATE(7910)] = 467726,
  [SMALL_STATE(7911)] = 467758,
  [SMALL_STATE(7912)] = 467778,
  [SMALL_STATE(7913)] = 467806,
  [SMALL_STATE(7914)] = 467832,
  [SMALL_STATE(7915)] = 467864,
  [SMALL_STATE(7916)] = 467896,
  [SMALL_STATE(7917)] = 467928,
  [SMALL_STATE(7918)] = 467960,
  [SMALL_STATE(7919)] = 467992,
  [SMALL_STATE(7920)] = 468024,
  [SMALL_STATE(7921)] = 468056,
  [SMALL_STATE(7922)] = 468088,
  [SMALL_STATE(7923)] = 468106,
  [SMALL_STATE(7924)] = 468134,
  [SMALL_STATE(7925)] = 468156,
  [SMALL_STATE(7926)] = 468182,
  [SMALL_STATE(7927)] = 468214,
  [SMALL_STATE(7928)] = 468246,
  [SMALL_STATE(7929)] = 468278,
  [SMALL_STATE(7930)] = 468306,
  [SMALL_STATE(7931)] = 468332,
  [SMALL_STATE(7932)] = 468352,
  [SMALL_STATE(7933)] = 468380,
  [SMALL_STATE(7934)] = 468408,
  [SMALL_STATE(7935)] = 468430,
  [SMALL_STATE(7936)] = 468462,
  [SMALL_STATE(7937)] = 468490,
  [SMALL_STATE(7938)] = 468522,
  [SMALL_STATE(7939)] = 468550,
  [SMALL_STATE(7940)] = 468582,
  [SMALL_STATE(7941)] = 468614,
  [SMALL_STATE(7942)] = 468646,
  [SMALL_STATE(7943)] = 468678,
  [SMALL_STATE(7944)] = 468707,
  [SMALL_STATE(7945)] = 468736,
  [SMALL_STATE(7946)] = 468765,
  [SMALL_STATE(7947)] = 468794,
  [SMALL_STATE(7948)] = 468817,
  [SMALL_STATE(7949)] = 468836,
  [SMALL_STATE(7950)] = 468865,
  [SMALL_STATE(7951)] = 468890,
  [SMALL_STATE(7952)] = 468919,
  [SMALL_STATE(7953)] = 468938,
  [SMALL_STATE(7954)] = 468963,
  [SMALL_STATE(7955)] = 468992,
  [SMALL_STATE(7956)] = 469021,
  [SMALL_STATE(7957)] = 469050,
  [SMALL_STATE(7958)] = 469069,
  [SMALL_STATE(7959)] = 469094,
  [SMALL_STATE(7960)] = 469123,
  [SMALL_STATE(7961)] = 469138,
  [SMALL_STATE(7962)] = 469157,
  [SMALL_STATE(7963)] = 469186,
  [SMALL_STATE(7964)] = 469215,
  [SMALL_STATE(7965)] = 469244,
  [SMALL_STATE(7966)] = 469273,
  [SMALL_STATE(7967)] = 469302,
  [SMALL_STATE(7968)] = 469331,
  [SMALL_STATE(7969)] = 469360,
  [SMALL_STATE(7970)] = 469375,
  [SMALL_STATE(7971)] = 469398,
  [SMALL_STATE(7972)] = 469419,
  [SMALL_STATE(7973)] = 469448,
  [SMALL_STATE(7974)] = 469477,
  [SMALL_STATE(7975)] = 469500,
  [SMALL_STATE(7976)] = 469515,
  [SMALL_STATE(7977)] = 469540,
  [SMALL_STATE(7978)] = 469569,
  [SMALL_STATE(7979)] = 469592,
  [SMALL_STATE(7980)] = 469615,
  [SMALL_STATE(7981)] = 469638,
  [SMALL_STATE(7982)] = 469661,
  [SMALL_STATE(7983)] = 469690,
  [SMALL_STATE(7984)] = 469719,
  [SMALL_STATE(7985)] = 469748,
  [SMALL_STATE(7986)] = 469777,
  [SMALL_STATE(7987)] = 469806,
  [SMALL_STATE(7988)] = 469821,
  [SMALL_STATE(7989)] = 469836,
  [SMALL_STATE(7990)] = 469865,
  [SMALL_STATE(7991)] = 469894,
  [SMALL_STATE(7992)] = 469923,
  [SMALL_STATE(7993)] = 469952,
  [SMALL_STATE(7994)] = 469981,
  [SMALL_STATE(7995)] = 470010,
  [SMALL_STATE(7996)] = 470039,
  [SMALL_STATE(7997)] = 470064,
  [SMALL_STATE(7998)] = 470093,
  [SMALL_STATE(7999)] = 470116,
  [SMALL_STATE(8000)] = 470145,
  [SMALL_STATE(8001)] = 470174,
  [SMALL_STATE(8002)] = 470203,
  [SMALL_STATE(8003)] = 470232,
  [SMALL_STATE(8004)] = 470261,
  [SMALL_STATE(8005)] = 470290,
  [SMALL_STATE(8006)] = 470315,
  [SMALL_STATE(8007)] = 470340,
  [SMALL_STATE(8008)] = 470369,
  [SMALL_STATE(8009)] = 470398,
  [SMALL_STATE(8010)] = 470425,
  [SMALL_STATE(8011)] = 470454,
  [SMALL_STATE(8012)] = 470469,
  [SMALL_STATE(8013)] = 470492,
  [SMALL_STATE(8014)] = 470519,
  [SMALL_STATE(8015)] = 470534,
  [SMALL_STATE(8016)] = 470563,
  [SMALL_STATE(8017)] = 470592,
  [SMALL_STATE(8018)] = 470621,
  [SMALL_STATE(8019)] = 470644,
  [SMALL_STATE(8020)] = 470671,
  [SMALL_STATE(8021)] = 470700,
  [SMALL_STATE(8022)] = 470723,
  [SMALL_STATE(8023)] = 470752,
  [SMALL_STATE(8024)] = 470775,
  [SMALL_STATE(8025)] = 470804,
  [SMALL_STATE(8026)] = 470833,
  [SMALL_STATE(8027)] = 470862,
  [SMALL_STATE(8028)] = 470885,
  [SMALL_STATE(8029)] = 470908,
  [SMALL_STATE(8030)] = 470923,
  [SMALL_STATE(8031)] = 470946,
  [SMALL_STATE(8032)] = 470975,
  [SMALL_STATE(8033)] = 470992,
  [SMALL_STATE(8034)] = 471009,
  [SMALL_STATE(8035)] = 471032,
  [SMALL_STATE(8036)] = 471061,
  [SMALL_STATE(8037)] = 471082,
  [SMALL_STATE(8038)] = 471111,
  [SMALL_STATE(8039)] = 471126,
  [SMALL_STATE(8040)] = 471155,
  [SMALL_STATE(8041)] = 471176,
  [SMALL_STATE(8042)] = 471197,
  [SMALL_STATE(8043)] = 471226,
  [SMALL_STATE(8044)] = 471247,
  [SMALL_STATE(8045)] = 471272,
  [SMALL_STATE(8046)] = 471301,
  [SMALL_STATE(8047)] = 471322,
  [SMALL_STATE(8048)] = 471351,
  [SMALL_STATE(8049)] = 471376,
  [SMALL_STATE(8050)] = 471405,
  [SMALL_STATE(8051)] = 471432,
  [SMALL_STATE(8052)] = 471459,
  [SMALL_STATE(8053)] = 471488,
  [SMALL_STATE(8054)] = 471517,
  [SMALL_STATE(8055)] = 471546,
  [SMALL_STATE(8056)] = 471575,
  [SMALL_STATE(8057)] = 471600,
  [SMALL_STATE(8058)] = 471623,
  [SMALL_STATE(8059)] = 471638,
  [SMALL_STATE(8060)] = 471661,
  [SMALL_STATE(8061)] = 471684,
  [SMALL_STATE(8062)] = 471713,
  [SMALL_STATE(8063)] = 471736,
  [SMALL_STATE(8064)] = 471765,
  [SMALL_STATE(8065)] = 471794,
  [SMALL_STATE(8066)] = 471817,
  [SMALL_STATE(8067)] = 471844,
  [SMALL_STATE(8068)] = 471869,
  [SMALL_STATE(8069)] = 471894,
  [SMALL_STATE(8070)] = 471923,
  [SMALL_STATE(8071)] = 471948,
  [SMALL_STATE(8072)] = 471977,
  [SMALL_STATE(8073)] = 472006,
  [SMALL_STATE(8074)] = 472035,
  [SMALL_STATE(8075)] = 472064,
  [SMALL_STATE(8076)] = 472087,
  [SMALL_STATE(8077)] = 472110,
  [SMALL_STATE(8078)] = 472129,
  [SMALL_STATE(8079)] = 472158,
  [SMALL_STATE(8080)] = 472173,
  [SMALL_STATE(8081)] = 472196,
  [SMALL_STATE(8082)] = 472219,
  [SMALL_STATE(8083)] = 472248,
  [SMALL_STATE(8084)] = 472277,
  [SMALL_STATE(8085)] = 472302,
  [SMALL_STATE(8086)] = 472325,
  [SMALL_STATE(8087)] = 472344,
  [SMALL_STATE(8088)] = 472367,
  [SMALL_STATE(8089)] = 472390,
  [SMALL_STATE(8090)] = 472415,
  [SMALL_STATE(8091)] = 472444,
  [SMALL_STATE(8092)] = 472473,
  [SMALL_STATE(8093)] = 472502,
  [SMALL_STATE(8094)] = 472531,
  [SMALL_STATE(8095)] = 472550,
  [SMALL_STATE(8096)] = 472575,
  [SMALL_STATE(8097)] = 472598,
  [SMALL_STATE(8098)] = 472623,
  [SMALL_STATE(8099)] = 472652,
  [SMALL_STATE(8100)] = 472675,
  [SMALL_STATE(8101)] = 472690,
  [SMALL_STATE(8102)] = 472715,
  [SMALL_STATE(8103)] = 472744,
  [SMALL_STATE(8104)] = 472767,
  [SMALL_STATE(8105)] = 472796,
  [SMALL_STATE(8106)] = 472823,
  [SMALL_STATE(8107)] = 472852,
  [SMALL_STATE(8108)] = 472881,
  [SMALL_STATE(8109)] = 472904,
  [SMALL_STATE(8110)] = 472933,
  [SMALL_STATE(8111)] = 472960,
  [SMALL_STATE(8112)] = 472979,
  [SMALL_STATE(8113)] = 473004,
  [SMALL_STATE(8114)] = 473027,
  [SMALL_STATE(8115)] = 473056,
  [SMALL_STATE(8116)] = 473083,
  [SMALL_STATE(8117)] = 473112,
  [SMALL_STATE(8118)] = 473135,
  [SMALL_STATE(8119)] = 473164,
  [SMALL_STATE(8120)] = 473193,
  [SMALL_STATE(8121)] = 473216,
  [SMALL_STATE(8122)] = 473239,
  [SMALL_STATE(8123)] = 473268,
  [SMALL_STATE(8124)] = 473291,
  [SMALL_STATE(8125)] = 473312,
  [SMALL_STATE(8126)] = 473329,
  [SMALL_STATE(8127)] = 473358,
  [SMALL_STATE(8128)] = 473387,
  [SMALL_STATE(8129)] = 473404,
  [SMALL_STATE(8130)] = 473423,
  [SMALL_STATE(8131)] = 473450,
  [SMALL_STATE(8132)] = 473472,
  [SMALL_STATE(8133)] = 473494,
  [SMALL_STATE(8134)] = 473516,
  [SMALL_STATE(8135)] = 473540,
  [SMALL_STATE(8136)] = 473558,
  [SMALL_STATE(8137)] = 473582,
  [SMALL_STATE(8138)] = 473606,
  [SMALL_STATE(8139)] = 473628,
  [SMALL_STATE(8140)] = 473652,
  [SMALL_STATE(8141)] = 473676,
  [SMALL_STATE(8142)] = 473698,
  [SMALL_STATE(8143)] = 473722,
  [SMALL_STATE(8144)] = 473746,
  [SMALL_STATE(8145)] = 473768,
  [SMALL_STATE(8146)] = 473792,
  [SMALL_STATE(8147)] = 473816,
  [SMALL_STATE(8148)] = 473836,
  [SMALL_STATE(8149)] = 473856,
  [SMALL_STATE(8150)] = 473880,
  [SMALL_STATE(8151)] = 473902,
  [SMALL_STATE(8152)] = 473924,
  [SMALL_STATE(8153)] = 473948,
  [SMALL_STATE(8154)] = 473966,
  [SMALL_STATE(8155)] = 473986,
  [SMALL_STATE(8156)] = 474008,
  [SMALL_STATE(8157)] = 474028,
  [SMALL_STATE(8158)] = 474042,
  [SMALL_STATE(8159)] = 474064,
  [SMALL_STATE(8160)] = 474086,
  [SMALL_STATE(8161)] = 474110,
  [SMALL_STATE(8162)] = 474134,
  [SMALL_STATE(8163)] = 474158,
  [SMALL_STATE(8164)] = 474178,
  [SMALL_STATE(8165)] = 474196,
  [SMALL_STATE(8166)] = 474218,
  [SMALL_STATE(8167)] = 474240,
  [SMALL_STATE(8168)] = 474260,
  [SMALL_STATE(8169)] = 474284,
  [SMALL_STATE(8170)] = 474308,
  [SMALL_STATE(8171)] = 474332,
  [SMALL_STATE(8172)] = 474354,
  [SMALL_STATE(8173)] = 474368,
  [SMALL_STATE(8174)] = 474386,
  [SMALL_STATE(8175)] = 474410,
  [SMALL_STATE(8176)] = 474434,
  [SMALL_STATE(8177)] = 474454,
  [SMALL_STATE(8178)] = 474472,
  [SMALL_STATE(8179)] = 474496,
  [SMALL_STATE(8180)] = 474516,
  [SMALL_STATE(8181)] = 474542,
  [SMALL_STATE(8182)] = 474566,
  [SMALL_STATE(8183)] = 474588,
  [SMALL_STATE(8184)] = 474612,
  [SMALL_STATE(8185)] = 474636,
  [SMALL_STATE(8186)] = 474660,
  [SMALL_STATE(8187)] = 474676,
  [SMALL_STATE(8188)] = 474700,
  [SMALL_STATE(8189)] = 474720,
  [SMALL_STATE(8190)] = 474746,
  [SMALL_STATE(8191)] = 474770,
  [SMALL_STATE(8192)] = 474794,
  [SMALL_STATE(8193)] = 474818,
  [SMALL_STATE(8194)] = 474842,
  [SMALL_STATE(8195)] = 474862,
  [SMALL_STATE(8196)] = 474884,
  [SMALL_STATE(8197)] = 474906,
  [SMALL_STATE(8198)] = 474930,
  [SMALL_STATE(8199)] = 474954,
  [SMALL_STATE(8200)] = 474974,
  [SMALL_STATE(8201)] = 474998,
  [SMALL_STATE(8202)] = 475020,
  [SMALL_STATE(8203)] = 475044,
  [SMALL_STATE(8204)] = 475068,
  [SMALL_STATE(8205)] = 475088,
  [SMALL_STATE(8206)] = 475112,
  [SMALL_STATE(8207)] = 475134,
  [SMALL_STATE(8208)] = 475160,
  [SMALL_STATE(8209)] = 475180,
  [SMALL_STATE(8210)] = 475202,
  [SMALL_STATE(8211)] = 475222,
  [SMALL_STATE(8212)] = 475244,
  [SMALL_STATE(8213)] = 475264,
  [SMALL_STATE(8214)] = 475288,
  [SMALL_STATE(8215)] = 475308,
  [SMALL_STATE(8216)] = 475332,
  [SMALL_STATE(8217)] = 475352,
  [SMALL_STATE(8218)] = 475376,
  [SMALL_STATE(8219)] = 475400,
  [SMALL_STATE(8220)] = 475422,
  [SMALL_STATE(8221)] = 475442,
  [SMALL_STATE(8222)] = 475464,
  [SMALL_STATE(8223)] = 475490,
  [SMALL_STATE(8224)] = 475510,
  [SMALL_STATE(8225)] = 475534,
  [SMALL_STATE(8226)] = 475556,
  [SMALL_STATE(8227)] = 475580,
  [SMALL_STATE(8228)] = 475602,
  [SMALL_STATE(8229)] = 475624,
  [SMALL_STATE(8230)] = 475646,
  [SMALL_STATE(8231)] = 475670,
  [SMALL_STATE(8232)] = 475696,
  [SMALL_STATE(8233)] = 475720,
  [SMALL_STATE(8234)] = 475744,
  [SMALL_STATE(8235)] = 475766,
  [SMALL_STATE(8236)] = 475786,
  [SMALL_STATE(8237)] = 475808,
  [SMALL_STATE(8238)] = 475828,
  [SMALL_STATE(8239)] = 475852,
  [SMALL_STATE(8240)] = 475876,
  [SMALL_STATE(8241)] = 475898,
  [SMALL_STATE(8242)] = 475918,
  [SMALL_STATE(8243)] = 475942,
  [SMALL_STATE(8244)] = 475968,
  [SMALL_STATE(8245)] = 475990,
  [SMALL_STATE(8246)] = 476014,
  [SMALL_STATE(8247)] = 476036,
  [SMALL_STATE(8248)] = 476056,
  [SMALL_STATE(8249)] = 476070,
  [SMALL_STATE(8250)] = 476094,
  [SMALL_STATE(8251)] = 476118,
  [SMALL_STATE(8252)] = 476132,
  [SMALL_STATE(8253)] = 476152,
  [SMALL_STATE(8254)] = 476174,
  [SMALL_STATE(8255)] = 476196,
  [SMALL_STATE(8256)] = 476222,
  [SMALL_STATE(8257)] = 476246,
  [SMALL_STATE(8258)] = 476264,
  [SMALL_STATE(8259)] = 476282,
  [SMALL_STATE(8260)] = 476306,
  [SMALL_STATE(8261)] = 476330,
  [SMALL_STATE(8262)] = 476354,
  [SMALL_STATE(8263)] = 476376,
  [SMALL_STATE(8264)] = 476398,
  [SMALL_STATE(8265)] = 476422,
  [SMALL_STATE(8266)] = 476442,
  [SMALL_STATE(8267)] = 476466,
  [SMALL_STATE(8268)] = 476490,
  [SMALL_STATE(8269)] = 476504,
  [SMALL_STATE(8270)] = 476530,
  [SMALL_STATE(8271)] = 476552,
  [SMALL_STATE(8272)] = 476578,
  [SMALL_STATE(8273)] = 476602,
  [SMALL_STATE(8274)] = 476624,
  [SMALL_STATE(8275)] = 476648,
  [SMALL_STATE(8276)] = 476672,
  [SMALL_STATE(8277)] = 476696,
  [SMALL_STATE(8278)] = 476720,
  [SMALL_STATE(8279)] = 476744,
  [SMALL_STATE(8280)] = 476768,
  [SMALL_STATE(8281)] = 476792,
  [SMALL_STATE(8282)] = 476816,
  [SMALL_STATE(8283)] = 476836,
  [SMALL_STATE(8284)] = 476860,
  [SMALL_STATE(8285)] = 476880,
  [SMALL_STATE(8286)] = 476900,
  [SMALL_STATE(8287)] = 476916,
  [SMALL_STATE(8288)] = 476940,
  [SMALL_STATE(8289)] = 476960,
  [SMALL_STATE(8290)] = 476984,
  [SMALL_STATE(8291)] = 477008,
  [SMALL_STATE(8292)] = 477032,
  [SMALL_STATE(8293)] = 477056,
  [SMALL_STATE(8294)] = 477080,
  [SMALL_STATE(8295)] = 477106,
  [SMALL_STATE(8296)] = 477126,
  [SMALL_STATE(8297)] = 477150,
  [SMALL_STATE(8298)] = 477174,
  [SMALL_STATE(8299)] = 477188,
  [SMALL_STATE(8300)] = 477208,
  [SMALL_STATE(8301)] = 477230,
  [SMALL_STATE(8302)] = 477250,
  [SMALL_STATE(8303)] = 477270,
  [SMALL_STATE(8304)] = 477292,
  [SMALL_STATE(8305)] = 477318,
  [SMALL_STATE(8306)] = 477342,
  [SMALL_STATE(8307)] = 477360,
  [SMALL_STATE(8308)] = 477384,
  [SMALL_STATE(8309)] = 477410,
  [SMALL_STATE(8310)] = 477434,
  [SMALL_STATE(8311)] = 477452,
  [SMALL_STATE(8312)] = 477472,
  [SMALL_STATE(8313)] = 477490,
  [SMALL_STATE(8314)] = 477514,
  [SMALL_STATE(8315)] = 477534,
  [SMALL_STATE(8316)] = 477558,
  [SMALL_STATE(8317)] = 477582,
  [SMALL_STATE(8318)] = 477606,
  [SMALL_STATE(8319)] = 477628,
  [SMALL_STATE(8320)] = 477652,
  [SMALL_STATE(8321)] = 477676,
  [SMALL_STATE(8322)] = 477698,
  [SMALL_STATE(8323)] = 477720,
  [SMALL_STATE(8324)] = 477744,
  [SMALL_STATE(8325)] = 477764,
  [SMALL_STATE(8326)] = 477777,
  [SMALL_STATE(8327)] = 477796,
  [SMALL_STATE(8328)] = 477813,
  [SMALL_STATE(8329)] = 477836,
  [SMALL_STATE(8330)] = 477849,
  [SMALL_STATE(8331)] = 477862,
  [SMALL_STATE(8332)] = 477879,
  [SMALL_STATE(8333)] = 477900,
  [SMALL_STATE(8334)] = 477921,
  [SMALL_STATE(8335)] = 477934,
  [SMALL_STATE(8336)] = 477955,
  [SMALL_STATE(8337)] = 477976,
  [SMALL_STATE(8338)] = 477995,
  [SMALL_STATE(8339)] = 478016,
  [SMALL_STATE(8340)] = 478033,
  [SMALL_STATE(8341)] = 478046,
  [SMALL_STATE(8342)] = 478067,
  [SMALL_STATE(8343)] = 478080,
  [SMALL_STATE(8344)] = 478097,
  [SMALL_STATE(8345)] = 478118,
  [SMALL_STATE(8346)] = 478139,
  [SMALL_STATE(8347)] = 478156,
  [SMALL_STATE(8348)] = 478177,
  [SMALL_STATE(8349)] = 478196,
  [SMALL_STATE(8350)] = 478213,
  [SMALL_STATE(8351)] = 478230,
  [SMALL_STATE(8352)] = 478249,
  [SMALL_STATE(8353)] = 478270,
  [SMALL_STATE(8354)] = 478289,
  [SMALL_STATE(8355)] = 478302,
  [SMALL_STATE(8356)] = 478323,
  [SMALL_STATE(8357)] = 478346,
  [SMALL_STATE(8358)] = 478363,
  [SMALL_STATE(8359)] = 478376,
  [SMALL_STATE(8360)] = 478397,
  [SMALL_STATE(8361)] = 478416,
  [SMALL_STATE(8362)] = 478433,
  [SMALL_STATE(8363)] = 478454,
  [SMALL_STATE(8364)] = 478471,
  [SMALL_STATE(8365)] = 478490,
  [SMALL_STATE(8366)] = 478509,
  [SMALL_STATE(8367)] = 478530,
  [SMALL_STATE(8368)] = 478547,
  [SMALL_STATE(8369)] = 478564,
  [SMALL_STATE(8370)] = 478587,
  [SMALL_STATE(8371)] = 478600,
  [SMALL_STATE(8372)] = 478619,
  [SMALL_STATE(8373)] = 478640,
  [SMALL_STATE(8374)] = 478661,
  [SMALL_STATE(8375)] = 478680,
  [SMALL_STATE(8376)] = 478699,
  [SMALL_STATE(8377)] = 478718,
  [SMALL_STATE(8378)] = 478739,
  [SMALL_STATE(8379)] = 478760,
  [SMALL_STATE(8380)] = 478781,
  [SMALL_STATE(8381)] = 478800,
  [SMALL_STATE(8382)] = 478813,
  [SMALL_STATE(8383)] = 478830,
  [SMALL_STATE(8384)] = 478849,
  [SMALL_STATE(8385)] = 478872,
  [SMALL_STATE(8386)] = 478889,
  [SMALL_STATE(8387)] = 478910,
  [SMALL_STATE(8388)] = 478929,
  [SMALL_STATE(8389)] = 478950,
  [SMALL_STATE(8390)] = 478973,
  [SMALL_STATE(8391)] = 478996,
  [SMALL_STATE(8392)] = 479013,
  [SMALL_STATE(8393)] = 479032,
  [SMALL_STATE(8394)] = 479053,
  [SMALL_STATE(8395)] = 479074,
  [SMALL_STATE(8396)] = 479095,
  [SMALL_STATE(8397)] = 479108,
  [SMALL_STATE(8398)] = 479129,
  [SMALL_STATE(8399)] = 479150,
  [SMALL_STATE(8400)] = 479163,
  [SMALL_STATE(8401)] = 479180,
  [SMALL_STATE(8402)] = 479201,
  [SMALL_STATE(8403)] = 479218,
  [SMALL_STATE(8404)] = 479235,
  [SMALL_STATE(8405)] = 479256,
  [SMALL_STATE(8406)] = 479275,
  [SMALL_STATE(8407)] = 479296,
  [SMALL_STATE(8408)] = 479317,
  [SMALL_STATE(8409)] = 479338,
  [SMALL_STATE(8410)] = 479359,
  [SMALL_STATE(8411)] = 479380,
  [SMALL_STATE(8412)] = 479401,
  [SMALL_STATE(8413)] = 479424,
  [SMALL_STATE(8414)] = 479437,
  [SMALL_STATE(8415)] = 479458,
  [SMALL_STATE(8416)] = 479479,
  [SMALL_STATE(8417)] = 479502,
  [SMALL_STATE(8418)] = 479525,
  [SMALL_STATE(8419)] = 479548,
  [SMALL_STATE(8420)] = 479567,
  [SMALL_STATE(8421)] = 479588,
  [SMALL_STATE(8422)] = 479607,
  [SMALL_STATE(8423)] = 479626,
  [SMALL_STATE(8424)] = 479647,
  [SMALL_STATE(8425)] = 479664,
  [SMALL_STATE(8426)] = 479677,
  [SMALL_STATE(8427)] = 479690,
  [SMALL_STATE(8428)] = 479711,
  [SMALL_STATE(8429)] = 479724,
  [SMALL_STATE(8430)] = 479737,
  [SMALL_STATE(8431)] = 479750,
  [SMALL_STATE(8432)] = 479771,
  [SMALL_STATE(8433)] = 479786,
  [SMALL_STATE(8434)] = 479803,
  [SMALL_STATE(8435)] = 479822,
  [SMALL_STATE(8436)] = 479835,
  [SMALL_STATE(8437)] = 479850,
  [SMALL_STATE(8438)] = 479871,
  [SMALL_STATE(8439)] = 479892,
  [SMALL_STATE(8440)] = 479911,
  [SMALL_STATE(8441)] = 479928,
  [SMALL_STATE(8442)] = 479949,
  [SMALL_STATE(8443)] = 479970,
  [SMALL_STATE(8444)] = 479993,
  [SMALL_STATE(8445)] = 480016,
  [SMALL_STATE(8446)] = 480039,
  [SMALL_STATE(8447)] = 480060,
  [SMALL_STATE(8448)] = 480073,
  [SMALL_STATE(8449)] = 480094,
  [SMALL_STATE(8450)] = 480115,
  [SMALL_STATE(8451)] = 480138,
  [SMALL_STATE(8452)] = 480157,
  [SMALL_STATE(8453)] = 480176,
  [SMALL_STATE(8454)] = 480193,
  [SMALL_STATE(8455)] = 480214,
  [SMALL_STATE(8456)] = 480237,
  [SMALL_STATE(8457)] = 480258,
  [SMALL_STATE(8458)] = 480271,
  [SMALL_STATE(8459)] = 480284,
  [SMALL_STATE(8460)] = 480297,
  [SMALL_STATE(8461)] = 480318,
  [SMALL_STATE(8462)] = 480331,
  [SMALL_STATE(8463)] = 480348,
  [SMALL_STATE(8464)] = 480361,
  [SMALL_STATE(8465)] = 480378,
  [SMALL_STATE(8466)] = 480395,
  [SMALL_STATE(8467)] = 480410,
  [SMALL_STATE(8468)] = 480431,
  [SMALL_STATE(8469)] = 480450,
  [SMALL_STATE(8470)] = 480467,
  [SMALL_STATE(8471)] = 480484,
  [SMALL_STATE(8472)] = 480505,
  [SMALL_STATE(8473)] = 480526,
  [SMALL_STATE(8474)] = 480539,
  [SMALL_STATE(8475)] = 480560,
  [SMALL_STATE(8476)] = 480583,
  [SMALL_STATE(8477)] = 480604,
  [SMALL_STATE(8478)] = 480617,
  [SMALL_STATE(8479)] = 480638,
  [SMALL_STATE(8480)] = 480653,
  [SMALL_STATE(8481)] = 480670,
  [SMALL_STATE(8482)] = 480691,
  [SMALL_STATE(8483)] = 480712,
  [SMALL_STATE(8484)] = 480733,
  [SMALL_STATE(8485)] = 480754,
  [SMALL_STATE(8486)] = 480773,
  [SMALL_STATE(8487)] = 480790,
  [SMALL_STATE(8488)] = 480813,
  [SMALL_STATE(8489)] = 480830,
  [SMALL_STATE(8490)] = 480847,
  [SMALL_STATE(8491)] = 480864,
  [SMALL_STATE(8492)] = 480885,
  [SMALL_STATE(8493)] = 480898,
  [SMALL_STATE(8494)] = 480921,
  [SMALL_STATE(8495)] = 480940,
  [SMALL_STATE(8496)] = 480961,
  [SMALL_STATE(8497)] = 480982,
  [SMALL_STATE(8498)] = 481001,
  [SMALL_STATE(8499)] = 481020,
  [SMALL_STATE(8500)] = 481037,
  [SMALL_STATE(8501)] = 481054,
  [SMALL_STATE(8502)] = 481075,
  [SMALL_STATE(8503)] = 481088,
  [SMALL_STATE(8504)] = 481111,
  [SMALL_STATE(8505)] = 481134,
  [SMALL_STATE(8506)] = 481155,
  [SMALL_STATE(8507)] = 481176,
  [SMALL_STATE(8508)] = 481197,
  [SMALL_STATE(8509)] = 481220,
  [SMALL_STATE(8510)] = 481243,
  [SMALL_STATE(8511)] = 481260,
  [SMALL_STATE(8512)] = 481281,
  [SMALL_STATE(8513)] = 481302,
  [SMALL_STATE(8514)] = 481323,
  [SMALL_STATE(8515)] = 481344,
  [SMALL_STATE(8516)] = 481361,
  [SMALL_STATE(8517)] = 481384,
  [SMALL_STATE(8518)] = 481405,
  [SMALL_STATE(8519)] = 481418,
  [SMALL_STATE(8520)] = 481439,
  [SMALL_STATE(8521)] = 481456,
  [SMALL_STATE(8522)] = 481473,
  [SMALL_STATE(8523)] = 481486,
  [SMALL_STATE(8524)] = 481503,
  [SMALL_STATE(8525)] = 481520,
  [SMALL_STATE(8526)] = 481533,
  [SMALL_STATE(8527)] = 481550,
  [SMALL_STATE(8528)] = 481569,
  [SMALL_STATE(8529)] = 481590,
  [SMALL_STATE(8530)] = 481613,
  [SMALL_STATE(8531)] = 481634,
  [SMALL_STATE(8532)] = 481653,
  [SMALL_STATE(8533)] = 481674,
  [SMALL_STATE(8534)] = 481695,
  [SMALL_STATE(8535)] = 481714,
  [SMALL_STATE(8536)] = 481735,
  [SMALL_STATE(8537)] = 481752,
  [SMALL_STATE(8538)] = 481765,
  [SMALL_STATE(8539)] = 481784,
  [SMALL_STATE(8540)] = 481805,
  [SMALL_STATE(8541)] = 481822,
  [SMALL_STATE(8542)] = 481835,
  [SMALL_STATE(8543)] = 481848,
  [SMALL_STATE(8544)] = 481869,
  [SMALL_STATE(8545)] = 481886,
  [SMALL_STATE(8546)] = 481909,
  [SMALL_STATE(8547)] = 481930,
  [SMALL_STATE(8548)] = 481951,
  [SMALL_STATE(8549)] = 481972,
  [SMALL_STATE(8550)] = 481985,
  [SMALL_STATE(8551)] = 481998,
  [SMALL_STATE(8552)] = 482015,
  [SMALL_STATE(8553)] = 482032,
  [SMALL_STATE(8554)] = 482053,
  [SMALL_STATE(8555)] = 482070,
  [SMALL_STATE(8556)] = 482089,
  [SMALL_STATE(8557)] = 482112,
  [SMALL_STATE(8558)] = 482129,
  [SMALL_STATE(8559)] = 482150,
  [SMALL_STATE(8560)] = 482167,
  [SMALL_STATE(8561)] = 482184,
  [SMALL_STATE(8562)] = 482205,
  [SMALL_STATE(8563)] = 482222,
  [SMALL_STATE(8564)] = 482243,
  [SMALL_STATE(8565)] = 482260,
  [SMALL_STATE(8566)] = 482279,
  [SMALL_STATE(8567)] = 482292,
  [SMALL_STATE(8568)] = 482309,
  [SMALL_STATE(8569)] = 482330,
  [SMALL_STATE(8570)] = 482347,
  [SMALL_STATE(8571)] = 482370,
  [SMALL_STATE(8572)] = 482387,
  [SMALL_STATE(8573)] = 482408,
  [SMALL_STATE(8574)] = 482427,
  [SMALL_STATE(8575)] = 482448,
  [SMALL_STATE(8576)] = 482469,
  [SMALL_STATE(8577)] = 482482,
  [SMALL_STATE(8578)] = 482505,
  [SMALL_STATE(8579)] = 482526,
  [SMALL_STATE(8580)] = 482539,
  [SMALL_STATE(8581)] = 482552,
  [SMALL_STATE(8582)] = 482573,
  [SMALL_STATE(8583)] = 482596,
  [SMALL_STATE(8584)] = 482617,
  [SMALL_STATE(8585)] = 482634,
  [SMALL_STATE(8586)] = 482655,
  [SMALL_STATE(8587)] = 482668,
  [SMALL_STATE(8588)] = 482687,
  [SMALL_STATE(8589)] = 482704,
  [SMALL_STATE(8590)] = 482725,
  [SMALL_STATE(8591)] = 482742,
  [SMALL_STATE(8592)] = 482763,
  [SMALL_STATE(8593)] = 482780,
  [SMALL_STATE(8594)] = 482797,
  [SMALL_STATE(8595)] = 482820,
  [SMALL_STATE(8596)] = 482839,
  [SMALL_STATE(8597)] = 482860,
  [SMALL_STATE(8598)] = 482883,
  [SMALL_STATE(8599)] = 482902,
  [SMALL_STATE(8600)] = 482925,
  [SMALL_STATE(8601)] = 482942,
  [SMALL_STATE(8602)] = 482959,
  [SMALL_STATE(8603)] = 482978,
  [SMALL_STATE(8604)] = 482997,
  [SMALL_STATE(8605)] = 483014,
  [SMALL_STATE(8606)] = 483031,
  [SMALL_STATE(8607)] = 483050,
  [SMALL_STATE(8608)] = 483071,
  [SMALL_STATE(8609)] = 483092,
  [SMALL_STATE(8610)] = 483111,
  [SMALL_STATE(8611)] = 483130,
  [SMALL_STATE(8612)] = 483149,
  [SMALL_STATE(8613)] = 483168,
  [SMALL_STATE(8614)] = 483185,
  [SMALL_STATE(8615)] = 483202,
  [SMALL_STATE(8616)] = 483223,
  [SMALL_STATE(8617)] = 483240,
  [SMALL_STATE(8618)] = 483257,
  [SMALL_STATE(8619)] = 483274,
  [SMALL_STATE(8620)] = 483291,
  [SMALL_STATE(8621)] = 483304,
  [SMALL_STATE(8622)] = 483327,
  [SMALL_STATE(8623)] = 483348,
  [SMALL_STATE(8624)] = 483369,
  [SMALL_STATE(8625)] = 483388,
  [SMALL_STATE(8626)] = 483405,
  [SMALL_STATE(8627)] = 483426,
  [SMALL_STATE(8628)] = 483443,
  [SMALL_STATE(8629)] = 483460,
  [SMALL_STATE(8630)] = 483479,
  [SMALL_STATE(8631)] = 483500,
  [SMALL_STATE(8632)] = 483519,
  [SMALL_STATE(8633)] = 483540,
  [SMALL_STATE(8634)] = 483555,
  [SMALL_STATE(8635)] = 483576,
  [SMALL_STATE(8636)] = 483593,
  [SMALL_STATE(8637)] = 483606,
  [SMALL_STATE(8638)] = 483619,
  [SMALL_STATE(8639)] = 483636,
  [SMALL_STATE(8640)] = 483655,
  [SMALL_STATE(8641)] = 483678,
  [SMALL_STATE(8642)] = 483691,
  [SMALL_STATE(8643)] = 483710,
  [SMALL_STATE(8644)] = 483725,
  [SMALL_STATE(8645)] = 483748,
  [SMALL_STATE(8646)] = 483761,
  [SMALL_STATE(8647)] = 483784,
  [SMALL_STATE(8648)] = 483801,
  [SMALL_STATE(8649)] = 483822,
  [SMALL_STATE(8650)] = 483843,
  [SMALL_STATE(8651)] = 483860,
  [SMALL_STATE(8652)] = 483879,
  [SMALL_STATE(8653)] = 483900,
  [SMALL_STATE(8654)] = 483917,
  [SMALL_STATE(8655)] = 483936,
  [SMALL_STATE(8656)] = 483957,
  [SMALL_STATE(8657)] = 483974,
  [SMALL_STATE(8658)] = 483987,
  [SMALL_STATE(8659)] = 484004,
  [SMALL_STATE(8660)] = 484021,
  [SMALL_STATE(8661)] = 484038,
  [SMALL_STATE(8662)] = 484059,
  [SMALL_STATE(8663)] = 484080,
  [SMALL_STATE(8664)] = 484093,
  [SMALL_STATE(8665)] = 484116,
  [SMALL_STATE(8666)] = 484133,
  [SMALL_STATE(8667)] = 484154,
  [SMALL_STATE(8668)] = 484175,
  [SMALL_STATE(8669)] = 484196,
  [SMALL_STATE(8670)] = 484217,
  [SMALL_STATE(8671)] = 484238,
  [SMALL_STATE(8672)] = 484251,
  [SMALL_STATE(8673)] = 484264,
  [SMALL_STATE(8674)] = 484287,
  [SMALL_STATE(8675)] = 484306,
  [SMALL_STATE(8676)] = 484318,
  [SMALL_STATE(8677)] = 484336,
  [SMALL_STATE(8678)] = 484354,
  [SMALL_STATE(8679)] = 484370,
  [SMALL_STATE(8680)] = 484386,
  [SMALL_STATE(8681)] = 484402,
  [SMALL_STATE(8682)] = 484418,
  [SMALL_STATE(8683)] = 484438,
  [SMALL_STATE(8684)] = 484454,
  [SMALL_STATE(8685)] = 484470,
  [SMALL_STATE(8686)] = 484486,
  [SMALL_STATE(8687)] = 484504,
  [SMALL_STATE(8688)] = 484522,
  [SMALL_STATE(8689)] = 484538,
  [SMALL_STATE(8690)] = 484558,
  [SMALL_STATE(8691)] = 484574,
  [SMALL_STATE(8692)] = 484594,
  [SMALL_STATE(8693)] = 484612,
  [SMALL_STATE(8694)] = 484628,
  [SMALL_STATE(8695)] = 484646,
  [SMALL_STATE(8696)] = 484662,
  [SMALL_STATE(8697)] = 484682,
  [SMALL_STATE(8698)] = 484698,
  [SMALL_STATE(8699)] = 484714,
  [SMALL_STATE(8700)] = 484730,
  [SMALL_STATE(8701)] = 484750,
  [SMALL_STATE(8702)] = 484770,
  [SMALL_STATE(8703)] = 484786,
  [SMALL_STATE(8704)] = 484802,
  [SMALL_STATE(8705)] = 484818,
  [SMALL_STATE(8706)] = 484834,
  [SMALL_STATE(8707)] = 484850,
  [SMALL_STATE(8708)] = 484866,
  [SMALL_STATE(8709)] = 484882,
  [SMALL_STATE(8710)] = 484900,
  [SMALL_STATE(8711)] = 484916,
  [SMALL_STATE(8712)] = 484932,
  [SMALL_STATE(8713)] = 484948,
  [SMALL_STATE(8714)] = 484964,
  [SMALL_STATE(8715)] = 484980,
  [SMALL_STATE(8716)] = 484996,
  [SMALL_STATE(8717)] = 485008,
  [SMALL_STATE(8718)] = 485026,
  [SMALL_STATE(8719)] = 485040,
  [SMALL_STATE(8720)] = 485056,
  [SMALL_STATE(8721)] = 485072,
  [SMALL_STATE(8722)] = 485088,
  [SMALL_STATE(8723)] = 485104,
  [SMALL_STATE(8724)] = 485120,
  [SMALL_STATE(8725)] = 485136,
  [SMALL_STATE(8726)] = 485152,
  [SMALL_STATE(8727)] = 485168,
  [SMALL_STATE(8728)] = 485184,
  [SMALL_STATE(8729)] = 485200,
  [SMALL_STATE(8730)] = 485216,
  [SMALL_STATE(8731)] = 485232,
  [SMALL_STATE(8732)] = 485248,
  [SMALL_STATE(8733)] = 485264,
  [SMALL_STATE(8734)] = 485280,
  [SMALL_STATE(8735)] = 485296,
  [SMALL_STATE(8736)] = 485312,
  [SMALL_STATE(8737)] = 485326,
  [SMALL_STATE(8738)] = 485342,
  [SMALL_STATE(8739)] = 485358,
  [SMALL_STATE(8740)] = 485374,
  [SMALL_STATE(8741)] = 485390,
  [SMALL_STATE(8742)] = 485406,
  [SMALL_STATE(8743)] = 485422,
  [SMALL_STATE(8744)] = 485438,
  [SMALL_STATE(8745)] = 485454,
  [SMALL_STATE(8746)] = 485470,
  [SMALL_STATE(8747)] = 485490,
  [SMALL_STATE(8748)] = 485506,
  [SMALL_STATE(8749)] = 485522,
  [SMALL_STATE(8750)] = 485536,
  [SMALL_STATE(8751)] = 485552,
  [SMALL_STATE(8752)] = 485568,
  [SMALL_STATE(8753)] = 485584,
  [SMALL_STATE(8754)] = 485600,
  [SMALL_STATE(8755)] = 485616,
  [SMALL_STATE(8756)] = 485632,
  [SMALL_STATE(8757)] = 485648,
  [SMALL_STATE(8758)] = 485664,
  [SMALL_STATE(8759)] = 485682,
  [SMALL_STATE(8760)] = 485700,
  [SMALL_STATE(8761)] = 485716,
  [SMALL_STATE(8762)] = 485732,
  [SMALL_STATE(8763)] = 485746,
  [SMALL_STATE(8764)] = 485762,
  [SMALL_STATE(8765)] = 485778,
  [SMALL_STATE(8766)] = 485792,
  [SMALL_STATE(8767)] = 485808,
  [SMALL_STATE(8768)] = 485824,
  [SMALL_STATE(8769)] = 485840,
  [SMALL_STATE(8770)] = 485858,
  [SMALL_STATE(8771)] = 485874,
  [SMALL_STATE(8772)] = 485890,
  [SMALL_STATE(8773)] = 485906,
  [SMALL_STATE(8774)] = 485922,
  [SMALL_STATE(8775)] = 485938,
  [SMALL_STATE(8776)] = 485950,
  [SMALL_STATE(8777)] = 485964,
  [SMALL_STATE(8778)] = 485982,
  [SMALL_STATE(8779)] = 486000,
  [SMALL_STATE(8780)] = 486018,
  [SMALL_STATE(8781)] = 486034,
  [SMALL_STATE(8782)] = 486050,
  [SMALL_STATE(8783)] = 486066,
  [SMALL_STATE(8784)] = 486082,
  [SMALL_STATE(8785)] = 486098,
  [SMALL_STATE(8786)] = 486118,
  [SMALL_STATE(8787)] = 486134,
  [SMALL_STATE(8788)] = 486150,
  [SMALL_STATE(8789)] = 486166,
  [SMALL_STATE(8790)] = 486182,
  [SMALL_STATE(8791)] = 486198,
  [SMALL_STATE(8792)] = 486214,
  [SMALL_STATE(8793)] = 486230,
  [SMALL_STATE(8794)] = 486250,
  [SMALL_STATE(8795)] = 486270,
  [SMALL_STATE(8796)] = 486286,
  [SMALL_STATE(8797)] = 486306,
  [SMALL_STATE(8798)] = 486326,
  [SMALL_STATE(8799)] = 486344,
  [SMALL_STATE(8800)] = 486360,
  [SMALL_STATE(8801)] = 486376,
  [SMALL_STATE(8802)] = 486392,
  [SMALL_STATE(8803)] = 486410,
  [SMALL_STATE(8804)] = 486426,
  [SMALL_STATE(8805)] = 486444,
  [SMALL_STATE(8806)] = 486460,
  [SMALL_STATE(8807)] = 486480,
  [SMALL_STATE(8808)] = 486500,
  [SMALL_STATE(8809)] = 486516,
  [SMALL_STATE(8810)] = 486534,
  [SMALL_STATE(8811)] = 486550,
  [SMALL_STATE(8812)] = 486568,
  [SMALL_STATE(8813)] = 486584,
  [SMALL_STATE(8814)] = 486604,
  [SMALL_STATE(8815)] = 486620,
  [SMALL_STATE(8816)] = 486636,
  [SMALL_STATE(8817)] = 486654,
  [SMALL_STATE(8818)] = 486670,
  [SMALL_STATE(8819)] = 486686,
  [SMALL_STATE(8820)] = 486702,
  [SMALL_STATE(8821)] = 486718,
  [SMALL_STATE(8822)] = 486730,
  [SMALL_STATE(8823)] = 486742,
  [SMALL_STATE(8824)] = 486758,
  [SMALL_STATE(8825)] = 486774,
  [SMALL_STATE(8826)] = 486790,
  [SMALL_STATE(8827)] = 486806,
  [SMALL_STATE(8828)] = 486820,
  [SMALL_STATE(8829)] = 486836,
  [SMALL_STATE(8830)] = 486852,
  [SMALL_STATE(8831)] = 486868,
  [SMALL_STATE(8832)] = 486884,
  [SMALL_STATE(8833)] = 486902,
  [SMALL_STATE(8834)] = 486920,
  [SMALL_STATE(8835)] = 486934,
  [SMALL_STATE(8836)] = 486950,
  [SMALL_STATE(8837)] = 486966,
  [SMALL_STATE(8838)] = 486982,
  [SMALL_STATE(8839)] = 487000,
  [SMALL_STATE(8840)] = 487016,
  [SMALL_STATE(8841)] = 487036,
  [SMALL_STATE(8842)] = 487052,
  [SMALL_STATE(8843)] = 487068,
  [SMALL_STATE(8844)] = 487084,
  [SMALL_STATE(8845)] = 487100,
  [SMALL_STATE(8846)] = 487116,
  [SMALL_STATE(8847)] = 487136,
  [SMALL_STATE(8848)] = 487152,
  [SMALL_STATE(8849)] = 487170,
  [SMALL_STATE(8850)] = 487186,
  [SMALL_STATE(8851)] = 487202,
  [SMALL_STATE(8852)] = 487218,
  [SMALL_STATE(8853)] = 487234,
  [SMALL_STATE(8854)] = 487248,
  [SMALL_STATE(8855)] = 487262,
  [SMALL_STATE(8856)] = 487278,
  [SMALL_STATE(8857)] = 487296,
  [SMALL_STATE(8858)] = 487316,
  [SMALL_STATE(8859)] = 487330,
  [SMALL_STATE(8860)] = 487346,
  [SMALL_STATE(8861)] = 487364,
  [SMALL_STATE(8862)] = 487382,
  [SMALL_STATE(8863)] = 487398,
  [SMALL_STATE(8864)] = 487414,
  [SMALL_STATE(8865)] = 487430,
  [SMALL_STATE(8866)] = 487446,
  [SMALL_STATE(8867)] = 487462,
  [SMALL_STATE(8868)] = 487478,
  [SMALL_STATE(8869)] = 487492,
  [SMALL_STATE(8870)] = 487508,
  [SMALL_STATE(8871)] = 487526,
  [SMALL_STATE(8872)] = 487542,
  [SMALL_STATE(8873)] = 487558,
  [SMALL_STATE(8874)] = 487574,
  [SMALL_STATE(8875)] = 487590,
  [SMALL_STATE(8876)] = 487606,
  [SMALL_STATE(8877)] = 487622,
  [SMALL_STATE(8878)] = 487638,
  [SMALL_STATE(8879)] = 487654,
  [SMALL_STATE(8880)] = 487670,
  [SMALL_STATE(8881)] = 487686,
  [SMALL_STATE(8882)] = 487702,
  [SMALL_STATE(8883)] = 487718,
  [SMALL_STATE(8884)] = 487734,
  [SMALL_STATE(8885)] = 487750,
  [SMALL_STATE(8886)] = 487766,
  [SMALL_STATE(8887)] = 487786,
  [SMALL_STATE(8888)] = 487802,
  [SMALL_STATE(8889)] = 487818,
  [SMALL_STATE(8890)] = 487834,
  [SMALL_STATE(8891)] = 487850,
  [SMALL_STATE(8892)] = 487866,
  [SMALL_STATE(8893)] = 487882,
  [SMALL_STATE(8894)] = 487898,
  [SMALL_STATE(8895)] = 487916,
  [SMALL_STATE(8896)] = 487932,
  [SMALL_STATE(8897)] = 487948,
  [SMALL_STATE(8898)] = 487966,
  [SMALL_STATE(8899)] = 487982,
  [SMALL_STATE(8900)] = 488002,
  [SMALL_STATE(8901)] = 488020,
  [SMALL_STATE(8902)] = 488034,
  [SMALL_STATE(8903)] = 488054,
  [SMALL_STATE(8904)] = 488072,
  [SMALL_STATE(8905)] = 488088,
  [SMALL_STATE(8906)] = 488104,
  [SMALL_STATE(8907)] = 488120,
  [SMALL_STATE(8908)] = 488136,
  [SMALL_STATE(8909)] = 488152,
  [SMALL_STATE(8910)] = 488168,
  [SMALL_STATE(8911)] = 488184,
  [SMALL_STATE(8912)] = 488200,
  [SMALL_STATE(8913)] = 488218,
  [SMALL_STATE(8914)] = 488234,
  [SMALL_STATE(8915)] = 488250,
  [SMALL_STATE(8916)] = 488266,
  [SMALL_STATE(8917)] = 488282,
  [SMALL_STATE(8918)] = 488298,
  [SMALL_STATE(8919)] = 488314,
  [SMALL_STATE(8920)] = 488330,
  [SMALL_STATE(8921)] = 488346,
  [SMALL_STATE(8922)] = 488366,
  [SMALL_STATE(8923)] = 488382,
  [SMALL_STATE(8924)] = 488398,
  [SMALL_STATE(8925)] = 488414,
  [SMALL_STATE(8926)] = 488430,
  [SMALL_STATE(8927)] = 488446,
  [SMALL_STATE(8928)] = 488464,
  [SMALL_STATE(8929)] = 488484,
  [SMALL_STATE(8930)] = 488504,
  [SMALL_STATE(8931)] = 488520,
  [SMALL_STATE(8932)] = 488536,
  [SMALL_STATE(8933)] = 488552,
  [SMALL_STATE(8934)] = 488572,
  [SMALL_STATE(8935)] = 488586,
  [SMALL_STATE(8936)] = 488602,
  [SMALL_STATE(8937)] = 488620,
  [SMALL_STATE(8938)] = 488636,
  [SMALL_STATE(8939)] = 488652,
  [SMALL_STATE(8940)] = 488668,
  [SMALL_STATE(8941)] = 488684,
  [SMALL_STATE(8942)] = 488700,
  [SMALL_STATE(8943)] = 488716,
  [SMALL_STATE(8944)] = 488732,
  [SMALL_STATE(8945)] = 488748,
  [SMALL_STATE(8946)] = 488764,
  [SMALL_STATE(8947)] = 488780,
  [SMALL_STATE(8948)] = 488796,
  [SMALL_STATE(8949)] = 488816,
  [SMALL_STATE(8950)] = 488836,
  [SMALL_STATE(8951)] = 488852,
  [SMALL_STATE(8952)] = 488868,
  [SMALL_STATE(8953)] = 488882,
  [SMALL_STATE(8954)] = 488896,
  [SMALL_STATE(8955)] = 488912,
  [SMALL_STATE(8956)] = 488928,
  [SMALL_STATE(8957)] = 488944,
  [SMALL_STATE(8958)] = 488956,
  [SMALL_STATE(8959)] = 488972,
  [SMALL_STATE(8960)] = 488988,
  [SMALL_STATE(8961)] = 489008,
  [SMALL_STATE(8962)] = 489022,
  [SMALL_STATE(8963)] = 489042,
  [SMALL_STATE(8964)] = 489058,
  [SMALL_STATE(8965)] = 489074,
  [SMALL_STATE(8966)] = 489088,
  [SMALL_STATE(8967)] = 489102,
  [SMALL_STATE(8968)] = 489118,
  [SMALL_STATE(8969)] = 489134,
  [SMALL_STATE(8970)] = 489148,
  [SMALL_STATE(8971)] = 489164,
  [SMALL_STATE(8972)] = 489180,
  [SMALL_STATE(8973)] = 489196,
  [SMALL_STATE(8974)] = 489212,
  [SMALL_STATE(8975)] = 489228,
  [SMALL_STATE(8976)] = 489244,
  [SMALL_STATE(8977)] = 489260,
  [SMALL_STATE(8978)] = 489276,
  [SMALL_STATE(8979)] = 489292,
  [SMALL_STATE(8980)] = 489308,
  [SMALL_STATE(8981)] = 489324,
  [SMALL_STATE(8982)] = 489342,
  [SMALL_STATE(8983)] = 489360,
  [SMALL_STATE(8984)] = 489376,
  [SMALL_STATE(8985)] = 489392,
  [SMALL_STATE(8986)] = 489408,
  [SMALL_STATE(8987)] = 489424,
  [SMALL_STATE(8988)] = 489440,
  [SMALL_STATE(8989)] = 489456,
  [SMALL_STATE(8990)] = 489472,
  [SMALL_STATE(8991)] = 489486,
  [SMALL_STATE(8992)] = 489502,
  [SMALL_STATE(8993)] = 489518,
  [SMALL_STATE(8994)] = 489530,
  [SMALL_STATE(8995)] = 489548,
  [SMALL_STATE(8996)] = 489564,
  [SMALL_STATE(8997)] = 489580,
  [SMALL_STATE(8998)] = 489596,
  [SMALL_STATE(8999)] = 489612,
  [SMALL_STATE(9000)] = 489628,
  [SMALL_STATE(9001)] = 489644,
  [SMALL_STATE(9002)] = 489660,
  [SMALL_STATE(9003)] = 489680,
  [SMALL_STATE(9004)] = 489696,
  [SMALL_STATE(9005)] = 489712,
  [SMALL_STATE(9006)] = 489728,
  [SMALL_STATE(9007)] = 489744,
  [SMALL_STATE(9008)] = 489762,
  [SMALL_STATE(9009)] = 489780,
  [SMALL_STATE(9010)] = 489798,
  [SMALL_STATE(9011)] = 489814,
  [SMALL_STATE(9012)] = 489830,
  [SMALL_STATE(9013)] = 489848,
  [SMALL_STATE(9014)] = 489866,
  [SMALL_STATE(9015)] = 489884,
  [SMALL_STATE(9016)] = 489900,
  [SMALL_STATE(9017)] = 489916,
  [SMALL_STATE(9018)] = 489934,
  [SMALL_STATE(9019)] = 489952,
  [SMALL_STATE(9020)] = 489968,
  [SMALL_STATE(9021)] = 489984,
  [SMALL_STATE(9022)] = 490000,
  [SMALL_STATE(9023)] = 490016,
  [SMALL_STATE(9024)] = 490034,
  [SMALL_STATE(9025)] = 490052,
  [SMALL_STATE(9026)] = 490070,
  [SMALL_STATE(9027)] = 490088,
  [SMALL_STATE(9028)] = 490106,
  [SMALL_STATE(9029)] = 490122,
  [SMALL_STATE(9030)] = 490140,
  [SMALL_STATE(9031)] = 490156,
  [SMALL_STATE(9032)] = 490168,
  [SMALL_STATE(9033)] = 490188,
  [SMALL_STATE(9034)] = 490204,
  [SMALL_STATE(9035)] = 490220,
  [SMALL_STATE(9036)] = 490238,
  [SMALL_STATE(9037)] = 490254,
  [SMALL_STATE(9038)] = 490272,
  [SMALL_STATE(9039)] = 490290,
  [SMALL_STATE(9040)] = 490306,
  [SMALL_STATE(9041)] = 490322,
  [SMALL_STATE(9042)] = 490338,
  [SMALL_STATE(9043)] = 490352,
  [SMALL_STATE(9044)] = 490368,
  [SMALL_STATE(9045)] = 490384,
  [SMALL_STATE(9046)] = 490400,
  [SMALL_STATE(9047)] = 490418,
  [SMALL_STATE(9048)] = 490434,
  [SMALL_STATE(9049)] = 490448,
  [SMALL_STATE(9050)] = 490464,
  [SMALL_STATE(9051)] = 490482,
  [SMALL_STATE(9052)] = 490498,
  [SMALL_STATE(9053)] = 490514,
  [SMALL_STATE(9054)] = 490532,
  [SMALL_STATE(9055)] = 490550,
  [SMALL_STATE(9056)] = 490570,
  [SMALL_STATE(9057)] = 490588,
  [SMALL_STATE(9058)] = 490604,
  [SMALL_STATE(9059)] = 490620,
  [SMALL_STATE(9060)] = 490636,
  [SMALL_STATE(9061)] = 490654,
  [SMALL_STATE(9062)] = 490672,
  [SMALL_STATE(9063)] = 490688,
  [SMALL_STATE(9064)] = 490708,
  [SMALL_STATE(9065)] = 490724,
  [SMALL_STATE(9066)] = 490742,
  [SMALL_STATE(9067)] = 490760,
  [SMALL_STATE(9068)] = 490778,
  [SMALL_STATE(9069)] = 490796,
  [SMALL_STATE(9070)] = 490814,
  [SMALL_STATE(9071)] = 490830,
  [SMALL_STATE(9072)] = 490848,
  [SMALL_STATE(9073)] = 490864,
  [SMALL_STATE(9074)] = 490880,
  [SMALL_STATE(9075)] = 490896,
  [SMALL_STATE(9076)] = 490912,
  [SMALL_STATE(9077)] = 490930,
  [SMALL_STATE(9078)] = 490946,
  [SMALL_STATE(9079)] = 490966,
  [SMALL_STATE(9080)] = 490982,
  [SMALL_STATE(9081)] = 490998,
  [SMALL_STATE(9082)] = 491014,
  [SMALL_STATE(9083)] = 491032,
  [SMALL_STATE(9084)] = 491048,
  [SMALL_STATE(9085)] = 491066,
  [SMALL_STATE(9086)] = 491082,
  [SMALL_STATE(9087)] = 491100,
  [SMALL_STATE(9088)] = 491118,
  [SMALL_STATE(9089)] = 491134,
  [SMALL_STATE(9090)] = 491150,
  [SMALL_STATE(9091)] = 491166,
  [SMALL_STATE(9092)] = 491184,
  [SMALL_STATE(9093)] = 491200,
  [SMALL_STATE(9094)] = 491216,
  [SMALL_STATE(9095)] = 491228,
  [SMALL_STATE(9096)] = 491244,
  [SMALL_STATE(9097)] = 491262,
  [SMALL_STATE(9098)] = 491282,
  [SMALL_STATE(9099)] = 491298,
  [SMALL_STATE(9100)] = 491314,
  [SMALL_STATE(9101)] = 491330,
  [SMALL_STATE(9102)] = 491346,
  [SMALL_STATE(9103)] = 491362,
  [SMALL_STATE(9104)] = 491378,
  [SMALL_STATE(9105)] = 491394,
  [SMALL_STATE(9106)] = 491410,
  [SMALL_STATE(9107)] = 491426,
  [SMALL_STATE(9108)] = 491442,
  [SMALL_STATE(9109)] = 491458,
  [SMALL_STATE(9110)] = 491476,
  [SMALL_STATE(9111)] = 491492,
  [SMALL_STATE(9112)] = 491508,
  [SMALL_STATE(9113)] = 491526,
  [SMALL_STATE(9114)] = 491542,
  [SMALL_STATE(9115)] = 491558,
  [SMALL_STATE(9116)] = 491574,
  [SMALL_STATE(9117)] = 491590,
  [SMALL_STATE(9118)] = 491606,
  [SMALL_STATE(9119)] = 491624,
  [SMALL_STATE(9120)] = 491636,
  [SMALL_STATE(9121)] = 491652,
  [SMALL_STATE(9122)] = 491670,
  [SMALL_STATE(9123)] = 491686,
  [SMALL_STATE(9124)] = 491702,
  [SMALL_STATE(9125)] = 491720,
  [SMALL_STATE(9126)] = 491738,
  [SMALL_STATE(9127)] = 491754,
  [SMALL_STATE(9128)] = 491770,
  [SMALL_STATE(9129)] = 491788,
  [SMALL_STATE(9130)] = 491804,
  [SMALL_STATE(9131)] = 491822,
  [SMALL_STATE(9132)] = 491840,
  [SMALL_STATE(9133)] = 491858,
  [SMALL_STATE(9134)] = 491874,
  [SMALL_STATE(9135)] = 491892,
  [SMALL_STATE(9136)] = 491910,
  [SMALL_STATE(9137)] = 491926,
  [SMALL_STATE(9138)] = 491944,
  [SMALL_STATE(9139)] = 491960,
  [SMALL_STATE(9140)] = 491978,
  [SMALL_STATE(9141)] = 491996,
  [SMALL_STATE(9142)] = 492012,
  [SMALL_STATE(9143)] = 492026,
  [SMALL_STATE(9144)] = 492044,
  [SMALL_STATE(9145)] = 492062,
  [SMALL_STATE(9146)] = 492080,
  [SMALL_STATE(9147)] = 492096,
  [SMALL_STATE(9148)] = 492114,
  [SMALL_STATE(9149)] = 492132,
  [SMALL_STATE(9150)] = 492148,
  [SMALL_STATE(9151)] = 492164,
  [SMALL_STATE(9152)] = 492180,
  [SMALL_STATE(9153)] = 492198,
  [SMALL_STATE(9154)] = 492216,
  [SMALL_STATE(9155)] = 492236,
  [SMALL_STATE(9156)] = 492254,
  [SMALL_STATE(9157)] = 492270,
  [SMALL_STATE(9158)] = 492286,
  [SMALL_STATE(9159)] = 492302,
  [SMALL_STATE(9160)] = 492320,
  [SMALL_STATE(9161)] = 492338,
  [SMALL_STATE(9162)] = 492354,
  [SMALL_STATE(9163)] = 492372,
  [SMALL_STATE(9164)] = 492392,
  [SMALL_STATE(9165)] = 492408,
  [SMALL_STATE(9166)] = 492424,
  [SMALL_STATE(9167)] = 492438,
  [SMALL_STATE(9168)] = 492452,
  [SMALL_STATE(9169)] = 492472,
  [SMALL_STATE(9170)] = 492488,
  [SMALL_STATE(9171)] = 492508,
  [SMALL_STATE(9172)] = 492524,
  [SMALL_STATE(9173)] = 492540,
  [SMALL_STATE(9174)] = 492556,
  [SMALL_STATE(9175)] = 492572,
  [SMALL_STATE(9176)] = 492590,
  [SMALL_STATE(9177)] = 492602,
  [SMALL_STATE(9178)] = 492616,
  [SMALL_STATE(9179)] = 492634,
  [SMALL_STATE(9180)] = 492652,
  [SMALL_STATE(9181)] = 492670,
  [SMALL_STATE(9182)] = 492686,
  [SMALL_STATE(9183)] = 492704,
  [SMALL_STATE(9184)] = 492722,
  [SMALL_STATE(9185)] = 492740,
  [SMALL_STATE(9186)] = 492758,
  [SMALL_STATE(9187)] = 492776,
  [SMALL_STATE(9188)] = 492792,
  [SMALL_STATE(9189)] = 492808,
  [SMALL_STATE(9190)] = 492828,
  [SMALL_STATE(9191)] = 492846,
  [SMALL_STATE(9192)] = 492862,
  [SMALL_STATE(9193)] = 492878,
  [SMALL_STATE(9194)] = 492896,
  [SMALL_STATE(9195)] = 492916,
  [SMALL_STATE(9196)] = 492930,
  [SMALL_STATE(9197)] = 492946,
  [SMALL_STATE(9198)] = 492966,
  [SMALL_STATE(9199)] = 492984,
  [SMALL_STATE(9200)] = 493002,
  [SMALL_STATE(9201)] = 493020,
  [SMALL_STATE(9202)] = 493038,
  [SMALL_STATE(9203)] = 493052,
  [SMALL_STATE(9204)] = 493070,
  [SMALL_STATE(9205)] = 493088,
  [SMALL_STATE(9206)] = 493104,
  [SMALL_STATE(9207)] = 493120,
  [SMALL_STATE(9208)] = 493136,
  [SMALL_STATE(9209)] = 493152,
  [SMALL_STATE(9210)] = 493168,
  [SMALL_STATE(9211)] = 493184,
  [SMALL_STATE(9212)] = 493204,
  [SMALL_STATE(9213)] = 493222,
  [SMALL_STATE(9214)] = 493234,
  [SMALL_STATE(9215)] = 493250,
  [SMALL_STATE(9216)] = 493268,
  [SMALL_STATE(9217)] = 493284,
  [SMALL_STATE(9218)] = 493300,
  [SMALL_STATE(9219)] = 493318,
  [SMALL_STATE(9220)] = 493334,
  [SMALL_STATE(9221)] = 493350,
  [SMALL_STATE(9222)] = 493368,
  [SMALL_STATE(9223)] = 493384,
  [SMALL_STATE(9224)] = 493400,
  [SMALL_STATE(9225)] = 493418,
  [SMALL_STATE(9226)] = 493434,
  [SMALL_STATE(9227)] = 493450,
  [SMALL_STATE(9228)] = 493468,
  [SMALL_STATE(9229)] = 493484,
  [SMALL_STATE(9230)] = 493500,
  [SMALL_STATE(9231)] = 493516,
  [SMALL_STATE(9232)] = 493534,
  [SMALL_STATE(9233)] = 493554,
  [SMALL_STATE(9234)] = 493570,
  [SMALL_STATE(9235)] = 493586,
  [SMALL_STATE(9236)] = 493602,
  [SMALL_STATE(9237)] = 493618,
  [SMALL_STATE(9238)] = 493634,
  [SMALL_STATE(9239)] = 493650,
  [SMALL_STATE(9240)] = 493666,
  [SMALL_STATE(9241)] = 493682,
  [SMALL_STATE(9242)] = 493700,
  [SMALL_STATE(9243)] = 493716,
  [SMALL_STATE(9244)] = 493732,
  [SMALL_STATE(9245)] = 493748,
  [SMALL_STATE(9246)] = 493764,
  [SMALL_STATE(9247)] = 493778,
  [SMALL_STATE(9248)] = 493794,
  [SMALL_STATE(9249)] = 493810,
  [SMALL_STATE(9250)] = 493826,
  [SMALL_STATE(9251)] = 493840,
  [SMALL_STATE(9252)] = 493856,
  [SMALL_STATE(9253)] = 493870,
  [SMALL_STATE(9254)] = 493884,
  [SMALL_STATE(9255)] = 493900,
  [SMALL_STATE(9256)] = 493914,
  [SMALL_STATE(9257)] = 493932,
  [SMALL_STATE(9258)] = 493948,
  [SMALL_STATE(9259)] = 493966,
  [SMALL_STATE(9260)] = 493984,
  [SMALL_STATE(9261)] = 494002,
  [SMALL_STATE(9262)] = 494020,
  [SMALL_STATE(9263)] = 494038,
  [SMALL_STATE(9264)] = 494056,
  [SMALL_STATE(9265)] = 494068,
  [SMALL_STATE(9266)] = 494086,
  [SMALL_STATE(9267)] = 494104,
  [SMALL_STATE(9268)] = 494120,
  [SMALL_STATE(9269)] = 494136,
  [SMALL_STATE(9270)] = 494152,
  [SMALL_STATE(9271)] = 494168,
  [SMALL_STATE(9272)] = 494186,
  [SMALL_STATE(9273)] = 494204,
  [SMALL_STATE(9274)] = 494220,
  [SMALL_STATE(9275)] = 494238,
  [SMALL_STATE(9276)] = 494258,
  [SMALL_STATE(9277)] = 494276,
  [SMALL_STATE(9278)] = 494296,
  [SMALL_STATE(9279)] = 494314,
  [SMALL_STATE(9280)] = 494328,
  [SMALL_STATE(9281)] = 494344,
  [SMALL_STATE(9282)] = 494360,
  [SMALL_STATE(9283)] = 494376,
  [SMALL_STATE(9284)] = 494388,
  [SMALL_STATE(9285)] = 494404,
  [SMALL_STATE(9286)] = 494416,
  [SMALL_STATE(9287)] = 494432,
  [SMALL_STATE(9288)] = 494448,
  [SMALL_STATE(9289)] = 494466,
  [SMALL_STATE(9290)] = 494484,
  [SMALL_STATE(9291)] = 494502,
  [SMALL_STATE(9292)] = 494520,
  [SMALL_STATE(9293)] = 494538,
  [SMALL_STATE(9294)] = 494556,
  [SMALL_STATE(9295)] = 494574,
  [SMALL_STATE(9296)] = 494590,
  [SMALL_STATE(9297)] = 494606,
  [SMALL_STATE(9298)] = 494622,
  [SMALL_STATE(9299)] = 494638,
  [SMALL_STATE(9300)] = 494656,
  [SMALL_STATE(9301)] = 494672,
  [SMALL_STATE(9302)] = 494690,
  [SMALL_STATE(9303)] = 494708,
  [SMALL_STATE(9304)] = 494726,
  [SMALL_STATE(9305)] = 494744,
  [SMALL_STATE(9306)] = 494760,
  [SMALL_STATE(9307)] = 494778,
  [SMALL_STATE(9308)] = 494794,
  [SMALL_STATE(9309)] = 494812,
  [SMALL_STATE(9310)] = 494832,
  [SMALL_STATE(9311)] = 494848,
  [SMALL_STATE(9312)] = 494864,
  [SMALL_STATE(9313)] = 494880,
  [SMALL_STATE(9314)] = 494896,
  [SMALL_STATE(9315)] = 494912,
  [SMALL_STATE(9316)] = 494928,
  [SMALL_STATE(9317)] = 494944,
  [SMALL_STATE(9318)] = 494960,
  [SMALL_STATE(9319)] = 494976,
  [SMALL_STATE(9320)] = 494992,
  [SMALL_STATE(9321)] = 495008,
  [SMALL_STATE(9322)] = 495024,
  [SMALL_STATE(9323)] = 495038,
  [SMALL_STATE(9324)] = 495054,
  [SMALL_STATE(9325)] = 495070,
  [SMALL_STATE(9326)] = 495088,
  [SMALL_STATE(9327)] = 495106,
  [SMALL_STATE(9328)] = 495124,
  [SMALL_STATE(9329)] = 495140,
  [SMALL_STATE(9330)] = 495158,
  [SMALL_STATE(9331)] = 495174,
  [SMALL_STATE(9332)] = 495190,
  [SMALL_STATE(9333)] = 495206,
  [SMALL_STATE(9334)] = 495222,
  [SMALL_STATE(9335)] = 495238,
  [SMALL_STATE(9336)] = 495256,
  [SMALL_STATE(9337)] = 495272,
  [SMALL_STATE(9338)] = 495288,
  [SMALL_STATE(9339)] = 495304,
  [SMALL_STATE(9340)] = 495320,
  [SMALL_STATE(9341)] = 495336,
  [SMALL_STATE(9342)] = 495352,
  [SMALL_STATE(9343)] = 495368,
  [SMALL_STATE(9344)] = 495384,
  [SMALL_STATE(9345)] = 495400,
  [SMALL_STATE(9346)] = 495418,
  [SMALL_STATE(9347)] = 495436,
  [SMALL_STATE(9348)] = 495452,
  [SMALL_STATE(9349)] = 495466,
  [SMALL_STATE(9350)] = 495484,
  [SMALL_STATE(9351)] = 495502,
  [SMALL_STATE(9352)] = 495518,
  [SMALL_STATE(9353)] = 495534,
  [SMALL_STATE(9354)] = 495550,
  [SMALL_STATE(9355)] = 495570,
  [SMALL_STATE(9356)] = 495586,
  [SMALL_STATE(9357)] = 495606,
  [SMALL_STATE(9358)] = 495622,
  [SMALL_STATE(9359)] = 495640,
  [SMALL_STATE(9360)] = 495656,
  [SMALL_STATE(9361)] = 495674,
  [SMALL_STATE(9362)] = 495690,
  [SMALL_STATE(9363)] = 495706,
  [SMALL_STATE(9364)] = 495724,
  [SMALL_STATE(9365)] = 495738,
  [SMALL_STATE(9366)] = 495754,
  [SMALL_STATE(9367)] = 495774,
  [SMALL_STATE(9368)] = 495790,
  [SMALL_STATE(9369)] = 495806,
  [SMALL_STATE(9370)] = 495822,
  [SMALL_STATE(9371)] = 495838,
  [SMALL_STATE(9372)] = 495854,
  [SMALL_STATE(9373)] = 495870,
  [SMALL_STATE(9374)] = 495886,
  [SMALL_STATE(9375)] = 495902,
  [SMALL_STATE(9376)] = 495918,
  [SMALL_STATE(9377)] = 495930,
  [SMALL_STATE(9378)] = 495946,
  [SMALL_STATE(9379)] = 495962,
  [SMALL_STATE(9380)] = 495978,
  [SMALL_STATE(9381)] = 495994,
  [SMALL_STATE(9382)] = 496010,
  [SMALL_STATE(9383)] = 496028,
  [SMALL_STATE(9384)] = 496044,
  [SMALL_STATE(9385)] = 496064,
  [SMALL_STATE(9386)] = 496080,
  [SMALL_STATE(9387)] = 496096,
  [SMALL_STATE(9388)] = 496114,
  [SMALL_STATE(9389)] = 496130,
  [SMALL_STATE(9390)] = 496146,
  [SMALL_STATE(9391)] = 496162,
  [SMALL_STATE(9392)] = 496178,
  [SMALL_STATE(9393)] = 496194,
  [SMALL_STATE(9394)] = 496210,
  [SMALL_STATE(9395)] = 496226,
  [SMALL_STATE(9396)] = 496246,
  [SMALL_STATE(9397)] = 496262,
  [SMALL_STATE(9398)] = 496278,
  [SMALL_STATE(9399)] = 496294,
  [SMALL_STATE(9400)] = 496310,
  [SMALL_STATE(9401)] = 496326,
  [SMALL_STATE(9402)] = 496342,
  [SMALL_STATE(9403)] = 496358,
  [SMALL_STATE(9404)] = 496376,
  [SMALL_STATE(9405)] = 496394,
  [SMALL_STATE(9406)] = 496410,
  [SMALL_STATE(9407)] = 496426,
  [SMALL_STATE(9408)] = 496442,
  [SMALL_STATE(9409)] = 496458,
  [SMALL_STATE(9410)] = 496476,
  [SMALL_STATE(9411)] = 496494,
  [SMALL_STATE(9412)] = 496510,
  [SMALL_STATE(9413)] = 496526,
  [SMALL_STATE(9414)] = 496542,
  [SMALL_STATE(9415)] = 496556,
  [SMALL_STATE(9416)] = 496572,
  [SMALL_STATE(9417)] = 496588,
  [SMALL_STATE(9418)] = 496604,
  [SMALL_STATE(9419)] = 496620,
  [SMALL_STATE(9420)] = 496636,
  [SMALL_STATE(9421)] = 496652,
  [SMALL_STATE(9422)] = 496668,
  [SMALL_STATE(9423)] = 496684,
  [SMALL_STATE(9424)] = 496700,
  [SMALL_STATE(9425)] = 496718,
  [SMALL_STATE(9426)] = 496734,
  [SMALL_STATE(9427)] = 496752,
  [SMALL_STATE(9428)] = 496770,
  [SMALL_STATE(9429)] = 496786,
  [SMALL_STATE(9430)] = 496802,
  [SMALL_STATE(9431)] = 496818,
  [SMALL_STATE(9432)] = 496834,
  [SMALL_STATE(9433)] = 496850,
  [SMALL_STATE(9434)] = 496866,
  [SMALL_STATE(9435)] = 496884,
  [SMALL_STATE(9436)] = 496897,
  [SMALL_STATE(9437)] = 496908,
  [SMALL_STATE(9438)] = 496923,
  [SMALL_STATE(9439)] = 496938,
  [SMALL_STATE(9440)] = 496949,
  [SMALL_STATE(9441)] = 496962,
  [SMALL_STATE(9442)] = 496975,
  [SMALL_STATE(9443)] = 496986,
  [SMALL_STATE(9444)] = 496999,
  [SMALL_STATE(9445)] = 497012,
  [SMALL_STATE(9446)] = 497027,
  [SMALL_STATE(9447)] = 497040,
  [SMALL_STATE(9448)] = 497053,
  [SMALL_STATE(9449)] = 497066,
  [SMALL_STATE(9450)] = 497081,
  [SMALL_STATE(9451)] = 497094,
  [SMALL_STATE(9452)] = 497109,
  [SMALL_STATE(9453)] = 497126,
  [SMALL_STATE(9454)] = 497137,
  [SMALL_STATE(9455)] = 497148,
  [SMALL_STATE(9456)] = 497159,
  [SMALL_STATE(9457)] = 497174,
  [SMALL_STATE(9458)] = 497189,
  [SMALL_STATE(9459)] = 497200,
  [SMALL_STATE(9460)] = 497217,
  [SMALL_STATE(9461)] = 497230,
  [SMALL_STATE(9462)] = 497243,
  [SMALL_STATE(9463)] = 497258,
  [SMALL_STATE(9464)] = 497275,
  [SMALL_STATE(9465)] = 497290,
  [SMALL_STATE(9466)] = 497303,
  [SMALL_STATE(9467)] = 497316,
  [SMALL_STATE(9468)] = 497329,
  [SMALL_STATE(9469)] = 497342,
  [SMALL_STATE(9470)] = 497353,
  [SMALL_STATE(9471)] = 497366,
  [SMALL_STATE(9472)] = 497379,
  [SMALL_STATE(9473)] = 497396,
  [SMALL_STATE(9474)] = 497409,
  [SMALL_STATE(9475)] = 497426,
  [SMALL_STATE(9476)] = 497443,
  [SMALL_STATE(9477)] = 497460,
  [SMALL_STATE(9478)] = 497473,
  [SMALL_STATE(9479)] = 497484,
  [SMALL_STATE(9480)] = 497495,
  [SMALL_STATE(9481)] = 497510,
  [SMALL_STATE(9482)] = 497523,
  [SMALL_STATE(9483)] = 497536,
  [SMALL_STATE(9484)] = 497549,
  [SMALL_STATE(9485)] = 497562,
  [SMALL_STATE(9486)] = 497575,
  [SMALL_STATE(9487)] = 497586,
  [SMALL_STATE(9488)] = 497597,
  [SMALL_STATE(9489)] = 497610,
  [SMALL_STATE(9490)] = 497621,
  [SMALL_STATE(9491)] = 497634,
  [SMALL_STATE(9492)] = 497647,
  [SMALL_STATE(9493)] = 497664,
  [SMALL_STATE(9494)] = 497677,
  [SMALL_STATE(9495)] = 497690,
  [SMALL_STATE(9496)] = 497701,
  [SMALL_STATE(9497)] = 497712,
  [SMALL_STATE(9498)] = 497725,
  [SMALL_STATE(9499)] = 497738,
  [SMALL_STATE(9500)] = 497755,
  [SMALL_STATE(9501)] = 497768,
  [SMALL_STATE(9502)] = 497781,
  [SMALL_STATE(9503)] = 497794,
  [SMALL_STATE(9504)] = 497807,
  [SMALL_STATE(9505)] = 497820,
  [SMALL_STATE(9506)] = 497831,
  [SMALL_STATE(9507)] = 497848,
  [SMALL_STATE(9508)] = 497861,
  [SMALL_STATE(9509)] = 497876,
  [SMALL_STATE(9510)] = 497889,
  [SMALL_STATE(9511)] = 497902,
  [SMALL_STATE(9512)] = 497915,
  [SMALL_STATE(9513)] = 497928,
  [SMALL_STATE(9514)] = 497939,
  [SMALL_STATE(9515)] = 497952,
  [SMALL_STATE(9516)] = 497967,
  [SMALL_STATE(9517)] = 497980,
  [SMALL_STATE(9518)] = 497993,
  [SMALL_STATE(9519)] = 498006,
  [SMALL_STATE(9520)] = 498017,
  [SMALL_STATE(9521)] = 498030,
  [SMALL_STATE(9522)] = 498043,
  [SMALL_STATE(9523)] = 498060,
  [SMALL_STATE(9524)] = 498073,
  [SMALL_STATE(9525)] = 498086,
  [SMALL_STATE(9526)] = 498101,
  [SMALL_STATE(9527)] = 498116,
  [SMALL_STATE(9528)] = 498133,
  [SMALL_STATE(9529)] = 498148,
  [SMALL_STATE(9530)] = 498159,
  [SMALL_STATE(9531)] = 498174,
  [SMALL_STATE(9532)] = 498185,
  [SMALL_STATE(9533)] = 498198,
  [SMALL_STATE(9534)] = 498211,
  [SMALL_STATE(9535)] = 498222,
  [SMALL_STATE(9536)] = 498235,
  [SMALL_STATE(9537)] = 498248,
  [SMALL_STATE(9538)] = 498259,
  [SMALL_STATE(9539)] = 498272,
  [SMALL_STATE(9540)] = 498289,
  [SMALL_STATE(9541)] = 498304,
  [SMALL_STATE(9542)] = 498315,
  [SMALL_STATE(9543)] = 498328,
  [SMALL_STATE(9544)] = 498341,
  [SMALL_STATE(9545)] = 498354,
  [SMALL_STATE(9546)] = 498365,
  [SMALL_STATE(9547)] = 498376,
  [SMALL_STATE(9548)] = 498387,
  [SMALL_STATE(9549)] = 498402,
  [SMALL_STATE(9550)] = 498415,
  [SMALL_STATE(9551)] = 498428,
  [SMALL_STATE(9552)] = 498443,
  [SMALL_STATE(9553)] = 498458,
  [SMALL_STATE(9554)] = 498469,
  [SMALL_STATE(9555)] = 498482,
  [SMALL_STATE(9556)] = 498493,
  [SMALL_STATE(9557)] = 498506,
  [SMALL_STATE(9558)] = 498521,
  [SMALL_STATE(9559)] = 498534,
  [SMALL_STATE(9560)] = 498547,
  [SMALL_STATE(9561)] = 498560,
  [SMALL_STATE(9562)] = 498573,
  [SMALL_STATE(9563)] = 498588,
  [SMALL_STATE(9564)] = 498599,
  [SMALL_STATE(9565)] = 498610,
  [SMALL_STATE(9566)] = 498623,
  [SMALL_STATE(9567)] = 498636,
  [SMALL_STATE(9568)] = 498647,
  [SMALL_STATE(9569)] = 498660,
  [SMALL_STATE(9570)] = 498671,
  [SMALL_STATE(9571)] = 498682,
  [SMALL_STATE(9572)] = 498693,
  [SMALL_STATE(9573)] = 498706,
  [SMALL_STATE(9574)] = 498717,
  [SMALL_STATE(9575)] = 498730,
  [SMALL_STATE(9576)] = 498743,
  [SMALL_STATE(9577)] = 498754,
  [SMALL_STATE(9578)] = 498767,
  [SMALL_STATE(9579)] = 498778,
  [SMALL_STATE(9580)] = 498789,
  [SMALL_STATE(9581)] = 498804,
  [SMALL_STATE(9582)] = 498815,
  [SMALL_STATE(9583)] = 498828,
  [SMALL_STATE(9584)] = 498841,
  [SMALL_STATE(9585)] = 498856,
  [SMALL_STATE(9586)] = 498867,
  [SMALL_STATE(9587)] = 498878,
  [SMALL_STATE(9588)] = 498889,
  [SMALL_STATE(9589)] = 498904,
  [SMALL_STATE(9590)] = 498917,
  [SMALL_STATE(9591)] = 498930,
  [SMALL_STATE(9592)] = 498941,
  [SMALL_STATE(9593)] = 498952,
  [SMALL_STATE(9594)] = 498965,
  [SMALL_STATE(9595)] = 498976,
  [SMALL_STATE(9596)] = 498993,
  [SMALL_STATE(9597)] = 499004,
  [SMALL_STATE(9598)] = 499015,
  [SMALL_STATE(9599)] = 499026,
  [SMALL_STATE(9600)] = 499039,
  [SMALL_STATE(9601)] = 499050,
  [SMALL_STATE(9602)] = 499061,
  [SMALL_STATE(9603)] = 499076,
  [SMALL_STATE(9604)] = 499093,
  [SMALL_STATE(9605)] = 499108,
  [SMALL_STATE(9606)] = 499125,
  [SMALL_STATE(9607)] = 499138,
  [SMALL_STATE(9608)] = 499151,
  [SMALL_STATE(9609)] = 499162,
  [SMALL_STATE(9610)] = 499173,
  [SMALL_STATE(9611)] = 499184,
  [SMALL_STATE(9612)] = 499195,
  [SMALL_STATE(9613)] = 499206,
  [SMALL_STATE(9614)] = 499221,
  [SMALL_STATE(9615)] = 499236,
  [SMALL_STATE(9616)] = 499247,
  [SMALL_STATE(9617)] = 499260,
  [SMALL_STATE(9618)] = 499271,
  [SMALL_STATE(9619)] = 499286,
  [SMALL_STATE(9620)] = 499297,
  [SMALL_STATE(9621)] = 499308,
  [SMALL_STATE(9622)] = 499325,
  [SMALL_STATE(9623)] = 499338,
  [SMALL_STATE(9624)] = 499349,
  [SMALL_STATE(9625)] = 499366,
  [SMALL_STATE(9626)] = 499377,
  [SMALL_STATE(9627)] = 499392,
  [SMALL_STATE(9628)] = 499409,
  [SMALL_STATE(9629)] = 499424,
  [SMALL_STATE(9630)] = 499435,
  [SMALL_STATE(9631)] = 499446,
  [SMALL_STATE(9632)] = 499461,
  [SMALL_STATE(9633)] = 499474,
  [SMALL_STATE(9634)] = 499485,
  [SMALL_STATE(9635)] = 499498,
  [SMALL_STATE(9636)] = 499511,
  [SMALL_STATE(9637)] = 499524,
  [SMALL_STATE(9638)] = 499537,
  [SMALL_STATE(9639)] = 499550,
  [SMALL_STATE(9640)] = 499561,
  [SMALL_STATE(9641)] = 499574,
  [SMALL_STATE(9642)] = 499589,
  [SMALL_STATE(9643)] = 499602,
  [SMALL_STATE(9644)] = 499615,
  [SMALL_STATE(9645)] = 499632,
  [SMALL_STATE(9646)] = 499645,
  [SMALL_STATE(9647)] = 499656,
  [SMALL_STATE(9648)] = 499673,
  [SMALL_STATE(9649)] = 499684,
  [SMALL_STATE(9650)] = 499695,
  [SMALL_STATE(9651)] = 499708,
  [SMALL_STATE(9652)] = 499719,
  [SMALL_STATE(9653)] = 499732,
  [SMALL_STATE(9654)] = 499745,
  [SMALL_STATE(9655)] = 499756,
  [SMALL_STATE(9656)] = 499767,
  [SMALL_STATE(9657)] = 499778,
  [SMALL_STATE(9658)] = 499795,
  [SMALL_STATE(9659)] = 499808,
  [SMALL_STATE(9660)] = 499819,
  [SMALL_STATE(9661)] = 499832,
  [SMALL_STATE(9662)] = 499847,
  [SMALL_STATE(9663)] = 499860,
  [SMALL_STATE(9664)] = 499873,
  [SMALL_STATE(9665)] = 499884,
  [SMALL_STATE(9666)] = 499895,
  [SMALL_STATE(9667)] = 499906,
  [SMALL_STATE(9668)] = 499923,
  [SMALL_STATE(9669)] = 499936,
  [SMALL_STATE(9670)] = 499949,
  [SMALL_STATE(9671)] = 499960,
  [SMALL_STATE(9672)] = 499973,
  [SMALL_STATE(9673)] = 499990,
  [SMALL_STATE(9674)] = 500001,
  [SMALL_STATE(9675)] = 500014,
  [SMALL_STATE(9676)] = 500025,
  [SMALL_STATE(9677)] = 500038,
  [SMALL_STATE(9678)] = 500051,
  [SMALL_STATE(9679)] = 500062,
  [SMALL_STATE(9680)] = 500075,
  [SMALL_STATE(9681)] = 500086,
  [SMALL_STATE(9682)] = 500097,
  [SMALL_STATE(9683)] = 500110,
  [SMALL_STATE(9684)] = 500121,
  [SMALL_STATE(9685)] = 500134,
  [SMALL_STATE(9686)] = 500151,
  [SMALL_STATE(9687)] = 500166,
  [SMALL_STATE(9688)] = 500177,
  [SMALL_STATE(9689)] = 500194,
  [SMALL_STATE(9690)] = 500209,
  [SMALL_STATE(9691)] = 500224,
  [SMALL_STATE(9692)] = 500235,
  [SMALL_STATE(9693)] = 500246,
  [SMALL_STATE(9694)] = 500259,
  [SMALL_STATE(9695)] = 500270,
  [SMALL_STATE(9696)] = 500283,
  [SMALL_STATE(9697)] = 500298,
  [SMALL_STATE(9698)] = 500313,
  [SMALL_STATE(9699)] = 500330,
  [SMALL_STATE(9700)] = 500347,
  [SMALL_STATE(9701)] = 500362,
  [SMALL_STATE(9702)] = 500373,
  [SMALL_STATE(9703)] = 500386,
  [SMALL_STATE(9704)] = 500399,
  [SMALL_STATE(9705)] = 500416,
  [SMALL_STATE(9706)] = 500427,
  [SMALL_STATE(9707)] = 500440,
  [SMALL_STATE(9708)] = 500457,
  [SMALL_STATE(9709)] = 500470,
  [SMALL_STATE(9710)] = 500487,
  [SMALL_STATE(9711)] = 500504,
  [SMALL_STATE(9712)] = 500517,
  [SMALL_STATE(9713)] = 500532,
  [SMALL_STATE(9714)] = 500543,
  [SMALL_STATE(9715)] = 500560,
  [SMALL_STATE(9716)] = 500575,
  [SMALL_STATE(9717)] = 500588,
  [SMALL_STATE(9718)] = 500601,
  [SMALL_STATE(9719)] = 500616,
  [SMALL_STATE(9720)] = 500629,
  [SMALL_STATE(9721)] = 500646,
  [SMALL_STATE(9722)] = 500657,
  [SMALL_STATE(9723)] = 500670,
  [SMALL_STATE(9724)] = 500681,
  [SMALL_STATE(9725)] = 500694,
  [SMALL_STATE(9726)] = 500705,
  [SMALL_STATE(9727)] = 500718,
  [SMALL_STATE(9728)] = 500731,
  [SMALL_STATE(9729)] = 500744,
  [SMALL_STATE(9730)] = 500757,
  [SMALL_STATE(9731)] = 500768,
  [SMALL_STATE(9732)] = 500781,
  [SMALL_STATE(9733)] = 500794,
  [SMALL_STATE(9734)] = 500807,
  [SMALL_STATE(9735)] = 500820,
  [SMALL_STATE(9736)] = 500835,
  [SMALL_STATE(9737)] = 500846,
  [SMALL_STATE(9738)] = 500863,
  [SMALL_STATE(9739)] = 500874,
  [SMALL_STATE(9740)] = 500885,
  [SMALL_STATE(9741)] = 500896,
  [SMALL_STATE(9742)] = 500907,
  [SMALL_STATE(9743)] = 500918,
  [SMALL_STATE(9744)] = 500933,
  [SMALL_STATE(9745)] = 500944,
  [SMALL_STATE(9746)] = 500957,
  [SMALL_STATE(9747)] = 500970,
  [SMALL_STATE(9748)] = 500983,
  [SMALL_STATE(9749)] = 500996,
  [SMALL_STATE(9750)] = 501007,
  [SMALL_STATE(9751)] = 501018,
  [SMALL_STATE(9752)] = 501029,
  [SMALL_STATE(9753)] = 501044,
  [SMALL_STATE(9754)] = 501059,
  [SMALL_STATE(9755)] = 501072,
  [SMALL_STATE(9756)] = 501085,
  [SMALL_STATE(9757)] = 501102,
  [SMALL_STATE(9758)] = 501115,
  [SMALL_STATE(9759)] = 501126,
  [SMALL_STATE(9760)] = 501139,
  [SMALL_STATE(9761)] = 501154,
  [SMALL_STATE(9762)] = 501167,
  [SMALL_STATE(9763)] = 501182,
  [SMALL_STATE(9764)] = 501197,
  [SMALL_STATE(9765)] = 501212,
  [SMALL_STATE(9766)] = 501227,
  [SMALL_STATE(9767)] = 501242,
  [SMALL_STATE(9768)] = 501257,
  [SMALL_STATE(9769)] = 501268,
  [SMALL_STATE(9770)] = 501281,
  [SMALL_STATE(9771)] = 501294,
  [SMALL_STATE(9772)] = 501305,
  [SMALL_STATE(9773)] = 501320,
  [SMALL_STATE(9774)] = 501333,
  [SMALL_STATE(9775)] = 501350,
  [SMALL_STATE(9776)] = 501363,
  [SMALL_STATE(9777)] = 501374,
  [SMALL_STATE(9778)] = 501385,
  [SMALL_STATE(9779)] = 501400,
  [SMALL_STATE(9780)] = 501411,
  [SMALL_STATE(9781)] = 501422,
  [SMALL_STATE(9782)] = 501435,
  [SMALL_STATE(9783)] = 501452,
  [SMALL_STATE(9784)] = 501465,
  [SMALL_STATE(9785)] = 501478,
  [SMALL_STATE(9786)] = 501493,
  [SMALL_STATE(9787)] = 501506,
  [SMALL_STATE(9788)] = 501519,
  [SMALL_STATE(9789)] = 501530,
  [SMALL_STATE(9790)] = 501543,
  [SMALL_STATE(9791)] = 501556,
  [SMALL_STATE(9792)] = 501573,
  [SMALL_STATE(9793)] = 501586,
  [SMALL_STATE(9794)] = 501597,
  [SMALL_STATE(9795)] = 501612,
  [SMALL_STATE(9796)] = 501627,
  [SMALL_STATE(9797)] = 501642,
  [SMALL_STATE(9798)] = 501657,
  [SMALL_STATE(9799)] = 501670,
  [SMALL_STATE(9800)] = 501681,
  [SMALL_STATE(9801)] = 501698,
  [SMALL_STATE(9802)] = 501711,
  [SMALL_STATE(9803)] = 501726,
  [SMALL_STATE(9804)] = 501741,
  [SMALL_STATE(9805)] = 501752,
  [SMALL_STATE(9806)] = 501765,
  [SMALL_STATE(9807)] = 501780,
  [SMALL_STATE(9808)] = 501795,
  [SMALL_STATE(9809)] = 501808,
  [SMALL_STATE(9810)] = 501823,
  [SMALL_STATE(9811)] = 501840,
  [SMALL_STATE(9812)] = 501855,
  [SMALL_STATE(9813)] = 501868,
  [SMALL_STATE(9814)] = 501881,
  [SMALL_STATE(9815)] = 501894,
  [SMALL_STATE(9816)] = 501907,
  [SMALL_STATE(9817)] = 501922,
  [SMALL_STATE(9818)] = 501937,
  [SMALL_STATE(9819)] = 501952,
  [SMALL_STATE(9820)] = 501965,
  [SMALL_STATE(9821)] = 501982,
  [SMALL_STATE(9822)] = 501997,
  [SMALL_STATE(9823)] = 502014,
  [SMALL_STATE(9824)] = 502027,
  [SMALL_STATE(9825)] = 502040,
  [SMALL_STATE(9826)] = 502053,
  [SMALL_STATE(9827)] = 502068,
  [SMALL_STATE(9828)] = 502081,
  [SMALL_STATE(9829)] = 502094,
  [SMALL_STATE(9830)] = 502107,
  [SMALL_STATE(9831)] = 502120,
  [SMALL_STATE(9832)] = 502133,
  [SMALL_STATE(9833)] = 502144,
  [SMALL_STATE(9834)] = 502161,
  [SMALL_STATE(9835)] = 502174,
  [SMALL_STATE(9836)] = 502187,
  [SMALL_STATE(9837)] = 502202,
  [SMALL_STATE(9838)] = 502215,
  [SMALL_STATE(9839)] = 502228,
  [SMALL_STATE(9840)] = 502245,
  [SMALL_STATE(9841)] = 502256,
  [SMALL_STATE(9842)] = 502267,
  [SMALL_STATE(9843)] = 502284,
  [SMALL_STATE(9844)] = 502299,
  [SMALL_STATE(9845)] = 502316,
  [SMALL_STATE(9846)] = 502331,
  [SMALL_STATE(9847)] = 502346,
  [SMALL_STATE(9848)] = 502361,
  [SMALL_STATE(9849)] = 502372,
  [SMALL_STATE(9850)] = 502387,
  [SMALL_STATE(9851)] = 502400,
  [SMALL_STATE(9852)] = 502413,
  [SMALL_STATE(9853)] = 502424,
  [SMALL_STATE(9854)] = 502439,
  [SMALL_STATE(9855)] = 502454,
  [SMALL_STATE(9856)] = 502467,
  [SMALL_STATE(9857)] = 502478,
  [SMALL_STATE(9858)] = 502491,
  [SMALL_STATE(9859)] = 502508,
  [SMALL_STATE(9860)] = 502519,
  [SMALL_STATE(9861)] = 502532,
  [SMALL_STATE(9862)] = 502547,
  [SMALL_STATE(9863)] = 502560,
  [SMALL_STATE(9864)] = 502571,
  [SMALL_STATE(9865)] = 502586,
  [SMALL_STATE(9866)] = 502599,
  [SMALL_STATE(9867)] = 502616,
  [SMALL_STATE(9868)] = 502629,
  [SMALL_STATE(9869)] = 502642,
  [SMALL_STATE(9870)] = 502657,
  [SMALL_STATE(9871)] = 502668,
  [SMALL_STATE(9872)] = 502679,
  [SMALL_STATE(9873)] = 502694,
  [SMALL_STATE(9874)] = 502705,
  [SMALL_STATE(9875)] = 502718,
  [SMALL_STATE(9876)] = 502731,
  [SMALL_STATE(9877)] = 502742,
  [SMALL_STATE(9878)] = 502755,
  [SMALL_STATE(9879)] = 502770,
  [SMALL_STATE(9880)] = 502781,
  [SMALL_STATE(9881)] = 502794,
  [SMALL_STATE(9882)] = 502805,
  [SMALL_STATE(9883)] = 502816,
  [SMALL_STATE(9884)] = 502827,
  [SMALL_STATE(9885)] = 502840,
  [SMALL_STATE(9886)] = 502853,
  [SMALL_STATE(9887)] = 502868,
  [SMALL_STATE(9888)] = 502881,
  [SMALL_STATE(9889)] = 502894,
  [SMALL_STATE(9890)] = 502907,
  [SMALL_STATE(9891)] = 502924,
  [SMALL_STATE(9892)] = 502937,
  [SMALL_STATE(9893)] = 502950,
  [SMALL_STATE(9894)] = 502963,
  [SMALL_STATE(9895)] = 502978,
  [SMALL_STATE(9896)] = 502995,
  [SMALL_STATE(9897)] = 503010,
  [SMALL_STATE(9898)] = 503023,
  [SMALL_STATE(9899)] = 503036,
  [SMALL_STATE(9900)] = 503049,
  [SMALL_STATE(9901)] = 503062,
  [SMALL_STATE(9902)] = 503075,
  [SMALL_STATE(9903)] = 503088,
  [SMALL_STATE(9904)] = 503101,
  [SMALL_STATE(9905)] = 503112,
  [SMALL_STATE(9906)] = 503125,
  [SMALL_STATE(9907)] = 503136,
  [SMALL_STATE(9908)] = 503147,
  [SMALL_STATE(9909)] = 503160,
  [SMALL_STATE(9910)] = 503173,
  [SMALL_STATE(9911)] = 503186,
  [SMALL_STATE(9912)] = 503197,
  [SMALL_STATE(9913)] = 503214,
  [SMALL_STATE(9914)] = 503231,
  [SMALL_STATE(9915)] = 503244,
  [SMALL_STATE(9916)] = 503261,
  [SMALL_STATE(9917)] = 503278,
  [SMALL_STATE(9918)] = 503295,
  [SMALL_STATE(9919)] = 503308,
  [SMALL_STATE(9920)] = 503319,
  [SMALL_STATE(9921)] = 503332,
  [SMALL_STATE(9922)] = 503347,
  [SMALL_STATE(9923)] = 503358,
  [SMALL_STATE(9924)] = 503369,
  [SMALL_STATE(9925)] = 503382,
  [SMALL_STATE(9926)] = 503395,
  [SMALL_STATE(9927)] = 503412,
  [SMALL_STATE(9928)] = 503425,
  [SMALL_STATE(9929)] = 503438,
  [SMALL_STATE(9930)] = 503455,
  [SMALL_STATE(9931)] = 503472,
  [SMALL_STATE(9932)] = 503485,
  [SMALL_STATE(9933)] = 503498,
  [SMALL_STATE(9934)] = 503511,
  [SMALL_STATE(9935)] = 503522,
  [SMALL_STATE(9936)] = 503533,
  [SMALL_STATE(9937)] = 503544,
  [SMALL_STATE(9938)] = 503557,
  [SMALL_STATE(9939)] = 503568,
  [SMALL_STATE(9940)] = 503581,
  [SMALL_STATE(9941)] = 503594,
  [SMALL_STATE(9942)] = 503609,
  [SMALL_STATE(9943)] = 503622,
  [SMALL_STATE(9944)] = 503633,
  [SMALL_STATE(9945)] = 503648,
  [SMALL_STATE(9946)] = 503663,
  [SMALL_STATE(9947)] = 503676,
  [SMALL_STATE(9948)] = 503689,
  [SMALL_STATE(9949)] = 503702,
  [SMALL_STATE(9950)] = 503715,
  [SMALL_STATE(9951)] = 503728,
  [SMALL_STATE(9952)] = 503741,
  [SMALL_STATE(9953)] = 503754,
  [SMALL_STATE(9954)] = 503769,
  [SMALL_STATE(9955)] = 503782,
  [SMALL_STATE(9956)] = 503793,
  [SMALL_STATE(9957)] = 503810,
  [SMALL_STATE(9958)] = 503827,
  [SMALL_STATE(9959)] = 503842,
  [SMALL_STATE(9960)] = 503857,
  [SMALL_STATE(9961)] = 503872,
  [SMALL_STATE(9962)] = 503883,
  [SMALL_STATE(9963)] = 503898,
  [SMALL_STATE(9964)] = 503911,
  [SMALL_STATE(9965)] = 503924,
  [SMALL_STATE(9966)] = 503935,
  [SMALL_STATE(9967)] = 503946,
  [SMALL_STATE(9968)] = 503959,
  [SMALL_STATE(9969)] = 503974,
  [SMALL_STATE(9970)] = 503989,
  [SMALL_STATE(9971)] = 504002,
  [SMALL_STATE(9972)] = 504013,
  [SMALL_STATE(9973)] = 504026,
  [SMALL_STATE(9974)] = 504039,
  [SMALL_STATE(9975)] = 504056,
  [SMALL_STATE(9976)] = 504073,
  [SMALL_STATE(9977)] = 504084,
  [SMALL_STATE(9978)] = 504097,
  [SMALL_STATE(9979)] = 504112,
  [SMALL_STATE(9980)] = 504127,
  [SMALL_STATE(9981)] = 504138,
  [SMALL_STATE(9982)] = 504153,
  [SMALL_STATE(9983)] = 504166,
  [SMALL_STATE(9984)] = 504177,
  [SMALL_STATE(9985)] = 504192,
  [SMALL_STATE(9986)] = 504205,
  [SMALL_STATE(9987)] = 504220,
  [SMALL_STATE(9988)] = 504235,
  [SMALL_STATE(9989)] = 504248,
  [SMALL_STATE(9990)] = 504265,
  [SMALL_STATE(9991)] = 504276,
  [SMALL_STATE(9992)] = 504293,
  [SMALL_STATE(9993)] = 504306,
  [SMALL_STATE(9994)] = 504319,
  [SMALL_STATE(9995)] = 504332,
  [SMALL_STATE(9996)] = 504347,
  [SMALL_STATE(9997)] = 504360,
  [SMALL_STATE(9998)] = 504373,
  [SMALL_STATE(9999)] = 504388,
  [SMALL_STATE(10000)] = 504401,
  [SMALL_STATE(10001)] = 504418,
  [SMALL_STATE(10002)] = 504429,
  [SMALL_STATE(10003)] = 504440,
  [SMALL_STATE(10004)] = 504453,
  [SMALL_STATE(10005)] = 504466,
  [SMALL_STATE(10006)] = 504479,
  [SMALL_STATE(10007)] = 504496,
  [SMALL_STATE(10008)] = 504509,
  [SMALL_STATE(10009)] = 504522,
  [SMALL_STATE(10010)] = 504535,
  [SMALL_STATE(10011)] = 504548,
  [SMALL_STATE(10012)] = 504565,
  [SMALL_STATE(10013)] = 504578,
  [SMALL_STATE(10014)] = 504591,
  [SMALL_STATE(10015)] = 504602,
  [SMALL_STATE(10016)] = 504619,
  [SMALL_STATE(10017)] = 504632,
  [SMALL_STATE(10018)] = 504645,
  [SMALL_STATE(10019)] = 504662,
  [SMALL_STATE(10020)] = 504675,
  [SMALL_STATE(10021)] = 504688,
  [SMALL_STATE(10022)] = 504699,
  [SMALL_STATE(10023)] = 504716,
  [SMALL_STATE(10024)] = 504731,
  [SMALL_STATE(10025)] = 504744,
  [SMALL_STATE(10026)] = 504757,
  [SMALL_STATE(10027)] = 504770,
  [SMALL_STATE(10028)] = 504785,
  [SMALL_STATE(10029)] = 504798,
  [SMALL_STATE(10030)] = 504811,
  [SMALL_STATE(10031)] = 504826,
  [SMALL_STATE(10032)] = 504837,
  [SMALL_STATE(10033)] = 504850,
  [SMALL_STATE(10034)] = 504861,
  [SMALL_STATE(10035)] = 504874,
  [SMALL_STATE(10036)] = 504885,
  [SMALL_STATE(10037)] = 504898,
  [SMALL_STATE(10038)] = 504915,
  [SMALL_STATE(10039)] = 504928,
  [SMALL_STATE(10040)] = 504941,
  [SMALL_STATE(10041)] = 504954,
  [SMALL_STATE(10042)] = 504967,
  [SMALL_STATE(10043)] = 504980,
  [SMALL_STATE(10044)] = 504995,
  [SMALL_STATE(10045)] = 505008,
  [SMALL_STATE(10046)] = 505021,
  [SMALL_STATE(10047)] = 505034,
  [SMALL_STATE(10048)] = 505045,
  [SMALL_STATE(10049)] = 505056,
  [SMALL_STATE(10050)] = 505069,
  [SMALL_STATE(10051)] = 505082,
  [SMALL_STATE(10052)] = 505093,
  [SMALL_STATE(10053)] = 505110,
  [SMALL_STATE(10054)] = 505123,
  [SMALL_STATE(10055)] = 505136,
  [SMALL_STATE(10056)] = 505149,
  [SMALL_STATE(10057)] = 505162,
  [SMALL_STATE(10058)] = 505173,
  [SMALL_STATE(10059)] = 505184,
  [SMALL_STATE(10060)] = 505197,
  [SMALL_STATE(10061)] = 505210,
  [SMALL_STATE(10062)] = 505223,
  [SMALL_STATE(10063)] = 505236,
  [SMALL_STATE(10064)] = 505247,
  [SMALL_STATE(10065)] = 505262,
  [SMALL_STATE(10066)] = 505279,
  [SMALL_STATE(10067)] = 505292,
  [SMALL_STATE(10068)] = 505309,
  [SMALL_STATE(10069)] = 505322,
  [SMALL_STATE(10070)] = 505335,
  [SMALL_STATE(10071)] = 505352,
  [SMALL_STATE(10072)] = 505367,
  [SMALL_STATE(10073)] = 505378,
  [SMALL_STATE(10074)] = 505391,
  [SMALL_STATE(10075)] = 505404,
  [SMALL_STATE(10076)] = 505421,
  [SMALL_STATE(10077)] = 505438,
  [SMALL_STATE(10078)] = 505455,
  [SMALL_STATE(10079)] = 505466,
  [SMALL_STATE(10080)] = 505477,
  [SMALL_STATE(10081)] = 505494,
  [SMALL_STATE(10082)] = 505507,
  [SMALL_STATE(10083)] = 505520,
  [SMALL_STATE(10084)] = 505533,
  [SMALL_STATE(10085)] = 505550,
  [SMALL_STATE(10086)] = 505561,
  [SMALL_STATE(10087)] = 505578,
  [SMALL_STATE(10088)] = 505591,
  [SMALL_STATE(10089)] = 505608,
  [SMALL_STATE(10090)] = 505623,
  [SMALL_STATE(10091)] = 505640,
  [SMALL_STATE(10092)] = 505653,
  [SMALL_STATE(10093)] = 505668,
  [SMALL_STATE(10094)] = 505679,
  [SMALL_STATE(10095)] = 505690,
  [SMALL_STATE(10096)] = 505707,
  [SMALL_STATE(10097)] = 505718,
  [SMALL_STATE(10098)] = 505731,
  [SMALL_STATE(10099)] = 505746,
  [SMALL_STATE(10100)] = 505759,
  [SMALL_STATE(10101)] = 505770,
  [SMALL_STATE(10102)] = 505787,
  [SMALL_STATE(10103)] = 505800,
  [SMALL_STATE(10104)] = 505813,
  [SMALL_STATE(10105)] = 505830,
  [SMALL_STATE(10106)] = 505843,
  [SMALL_STATE(10107)] = 505856,
  [SMALL_STATE(10108)] = 505869,
  [SMALL_STATE(10109)] = 505886,
  [SMALL_STATE(10110)] = 505899,
  [SMALL_STATE(10111)] = 505914,
  [SMALL_STATE(10112)] = 505925,
  [SMALL_STATE(10113)] = 505942,
  [SMALL_STATE(10114)] = 505955,
  [SMALL_STATE(10115)] = 505966,
  [SMALL_STATE(10116)] = 505977,
  [SMALL_STATE(10117)] = 505988,
  [SMALL_STATE(10118)] = 506001,
  [SMALL_STATE(10119)] = 506016,
  [SMALL_STATE(10120)] = 506031,
  [SMALL_STATE(10121)] = 506044,
  [SMALL_STATE(10122)] = 506061,
  [SMALL_STATE(10123)] = 506074,
  [SMALL_STATE(10124)] = 506087,
  [SMALL_STATE(10125)] = 506100,
  [SMALL_STATE(10126)] = 506113,
  [SMALL_STATE(10127)] = 506126,
  [SMALL_STATE(10128)] = 506139,
  [SMALL_STATE(10129)] = 506150,
  [SMALL_STATE(10130)] = 506163,
  [SMALL_STATE(10131)] = 506176,
  [SMALL_STATE(10132)] = 506189,
  [SMALL_STATE(10133)] = 506206,
  [SMALL_STATE(10134)] = 506217,
  [SMALL_STATE(10135)] = 506232,
  [SMALL_STATE(10136)] = 506245,
  [SMALL_STATE(10137)] = 506258,
  [SMALL_STATE(10138)] = 506269,
  [SMALL_STATE(10139)] = 506284,
  [SMALL_STATE(10140)] = 506297,
  [SMALL_STATE(10141)] = 506310,
  [SMALL_STATE(10142)] = 506325,
  [SMALL_STATE(10143)] = 506340,
  [SMALL_STATE(10144)] = 506353,
  [SMALL_STATE(10145)] = 506370,
  [SMALL_STATE(10146)] = 506383,
  [SMALL_STATE(10147)] = 506394,
  [SMALL_STATE(10148)] = 506407,
  [SMALL_STATE(10149)] = 506420,
  [SMALL_STATE(10150)] = 506431,
  [SMALL_STATE(10151)] = 506448,
  [SMALL_STATE(10152)] = 506461,
  [SMALL_STATE(10153)] = 506474,
  [SMALL_STATE(10154)] = 506489,
  [SMALL_STATE(10155)] = 506506,
  [SMALL_STATE(10156)] = 506521,
  [SMALL_STATE(10157)] = 506538,
  [SMALL_STATE(10158)] = 506549,
  [SMALL_STATE(10159)] = 506564,
  [SMALL_STATE(10160)] = 506575,
  [SMALL_STATE(10161)] = 506586,
  [SMALL_STATE(10162)] = 506599,
  [SMALL_STATE(10163)] = 506610,
  [SMALL_STATE(10164)] = 506623,
  [SMALL_STATE(10165)] = 506640,
  [SMALL_STATE(10166)] = 506653,
  [SMALL_STATE(10167)] = 506666,
  [SMALL_STATE(10168)] = 506677,
  [SMALL_STATE(10169)] = 506690,
  [SMALL_STATE(10170)] = 506703,
  [SMALL_STATE(10171)] = 506720,
  [SMALL_STATE(10172)] = 506731,
  [SMALL_STATE(10173)] = 506742,
  [SMALL_STATE(10174)] = 506755,
  [SMALL_STATE(10175)] = 506766,
  [SMALL_STATE(10176)] = 506781,
  [SMALL_STATE(10177)] = 506792,
  [SMALL_STATE(10178)] = 506807,
  [SMALL_STATE(10179)] = 506822,
  [SMALL_STATE(10180)] = 506835,
  [SMALL_STATE(10181)] = 506850,
  [SMALL_STATE(10182)] = 506867,
  [SMALL_STATE(10183)] = 506880,
  [SMALL_STATE(10184)] = 506891,
  [SMALL_STATE(10185)] = 506904,
  [SMALL_STATE(10186)] = 506919,
  [SMALL_STATE(10187)] = 506932,
  [SMALL_STATE(10188)] = 506945,
  [SMALL_STATE(10189)] = 506962,
  [SMALL_STATE(10190)] = 506973,
  [SMALL_STATE(10191)] = 506988,
  [SMALL_STATE(10192)] = 507001,
  [SMALL_STATE(10193)] = 507012,
  [SMALL_STATE(10194)] = 507023,
  [SMALL_STATE(10195)] = 507040,
  [SMALL_STATE(10196)] = 507057,
  [SMALL_STATE(10197)] = 507070,
  [SMALL_STATE(10198)] = 507083,
  [SMALL_STATE(10199)] = 507096,
  [SMALL_STATE(10200)] = 507109,
  [SMALL_STATE(10201)] = 507122,
  [SMALL_STATE(10202)] = 507135,
  [SMALL_STATE(10203)] = 507148,
  [SMALL_STATE(10204)] = 507163,
  [SMALL_STATE(10205)] = 507180,
  [SMALL_STATE(10206)] = 507193,
  [SMALL_STATE(10207)] = 507206,
  [SMALL_STATE(10208)] = 507219,
  [SMALL_STATE(10209)] = 507236,
  [SMALL_STATE(10210)] = 507249,
  [SMALL_STATE(10211)] = 507262,
  [SMALL_STATE(10212)] = 507277,
  [SMALL_STATE(10213)] = 507292,
  [SMALL_STATE(10214)] = 507305,
  [SMALL_STATE(10215)] = 507318,
  [SMALL_STATE(10216)] = 507331,
  [SMALL_STATE(10217)] = 507344,
  [SMALL_STATE(10218)] = 507355,
  [SMALL_STATE(10219)] = 507372,
  [SMALL_STATE(10220)] = 507387,
  [SMALL_STATE(10221)] = 507400,
  [SMALL_STATE(10222)] = 507413,
  [SMALL_STATE(10223)] = 507426,
  [SMALL_STATE(10224)] = 507439,
  [SMALL_STATE(10225)] = 507449,
  [SMALL_STATE(10226)] = 507459,
  [SMALL_STATE(10227)] = 507469,
  [SMALL_STATE(10228)] = 507483,
  [SMALL_STATE(10229)] = 507497,
  [SMALL_STATE(10230)] = 507507,
  [SMALL_STATE(10231)] = 507517,
  [SMALL_STATE(10232)] = 507527,
  [SMALL_STATE(10233)] = 507537,
  [SMALL_STATE(10234)] = 507547,
  [SMALL_STATE(10235)] = 507557,
  [SMALL_STATE(10236)] = 507567,
  [SMALL_STATE(10237)] = 507577,
  [SMALL_STATE(10238)] = 507587,
  [SMALL_STATE(10239)] = 507597,
  [SMALL_STATE(10240)] = 507607,
  [SMALL_STATE(10241)] = 507617,
  [SMALL_STATE(10242)] = 507627,
  [SMALL_STATE(10243)] = 507637,
  [SMALL_STATE(10244)] = 507651,
  [SMALL_STATE(10245)] = 507665,
  [SMALL_STATE(10246)] = 507675,
  [SMALL_STATE(10247)] = 507689,
  [SMALL_STATE(10248)] = 507699,
  [SMALL_STATE(10249)] = 507709,
  [SMALL_STATE(10250)] = 507719,
  [SMALL_STATE(10251)] = 507729,
  [SMALL_STATE(10252)] = 507739,
  [SMALL_STATE(10253)] = 507751,
  [SMALL_STATE(10254)] = 507765,
  [SMALL_STATE(10255)] = 507775,
  [SMALL_STATE(10256)] = 507785,
  [SMALL_STATE(10257)] = 507795,
  [SMALL_STATE(10258)] = 507809,
  [SMALL_STATE(10259)] = 507819,
  [SMALL_STATE(10260)] = 507833,
  [SMALL_STATE(10261)] = 507847,
  [SMALL_STATE(10262)] = 507857,
  [SMALL_STATE(10263)] = 507871,
  [SMALL_STATE(10264)] = 507885,
  [SMALL_STATE(10265)] = 507899,
  [SMALL_STATE(10266)] = 507913,
  [SMALL_STATE(10267)] = 507927,
  [SMALL_STATE(10268)] = 507941,
  [SMALL_STATE(10269)] = 507955,
  [SMALL_STATE(10270)] = 507969,
  [SMALL_STATE(10271)] = 507983,
  [SMALL_STATE(10272)] = 507997,
  [SMALL_STATE(10273)] = 508011,
  [SMALL_STATE(10274)] = 508021,
  [SMALL_STATE(10275)] = 508035,
  [SMALL_STATE(10276)] = 508049,
  [SMALL_STATE(10277)] = 508059,
  [SMALL_STATE(10278)] = 508073,
  [SMALL_STATE(10279)] = 508087,
  [SMALL_STATE(10280)] = 508101,
  [SMALL_STATE(10281)] = 508111,
  [SMALL_STATE(10282)] = 508125,
  [SMALL_STATE(10283)] = 508139,
  [SMALL_STATE(10284)] = 508153,
  [SMALL_STATE(10285)] = 508167,
  [SMALL_STATE(10286)] = 508181,
  [SMALL_STATE(10287)] = 508195,
  [SMALL_STATE(10288)] = 508207,
  [SMALL_STATE(10289)] = 508221,
  [SMALL_STATE(10290)] = 508235,
  [SMALL_STATE(10291)] = 508249,
  [SMALL_STATE(10292)] = 508263,
  [SMALL_STATE(10293)] = 508277,
  [SMALL_STATE(10294)] = 508291,
  [SMALL_STATE(10295)] = 508305,
  [SMALL_STATE(10296)] = 508315,
  [SMALL_STATE(10297)] = 508329,
  [SMALL_STATE(10298)] = 508343,
  [SMALL_STATE(10299)] = 508353,
  [SMALL_STATE(10300)] = 508367,
  [SMALL_STATE(10301)] = 508381,
  [SMALL_STATE(10302)] = 508395,
  [SMALL_STATE(10303)] = 508409,
  [SMALL_STATE(10304)] = 508423,
  [SMALL_STATE(10305)] = 508433,
  [SMALL_STATE(10306)] = 508443,
  [SMALL_STATE(10307)] = 508457,
  [SMALL_STATE(10308)] = 508471,
  [SMALL_STATE(10309)] = 508481,
  [SMALL_STATE(10310)] = 508491,
  [SMALL_STATE(10311)] = 508501,
  [SMALL_STATE(10312)] = 508515,
  [SMALL_STATE(10313)] = 508529,
  [SMALL_STATE(10314)] = 508543,
  [SMALL_STATE(10315)] = 508557,
  [SMALL_STATE(10316)] = 508571,
  [SMALL_STATE(10317)] = 508585,
  [SMALL_STATE(10318)] = 508599,
  [SMALL_STATE(10319)] = 508609,
  [SMALL_STATE(10320)] = 508623,
  [SMALL_STATE(10321)] = 508633,
  [SMALL_STATE(10322)] = 508647,
  [SMALL_STATE(10323)] = 508657,
  [SMALL_STATE(10324)] = 508671,
  [SMALL_STATE(10325)] = 508685,
  [SMALL_STATE(10326)] = 508699,
  [SMALL_STATE(10327)] = 508709,
  [SMALL_STATE(10328)] = 508723,
  [SMALL_STATE(10329)] = 508737,
  [SMALL_STATE(10330)] = 508751,
  [SMALL_STATE(10331)] = 508761,
  [SMALL_STATE(10332)] = 508775,
  [SMALL_STATE(10333)] = 508789,
  [SMALL_STATE(10334)] = 508803,
  [SMALL_STATE(10335)] = 508817,
  [SMALL_STATE(10336)] = 508827,
  [SMALL_STATE(10337)] = 508837,
  [SMALL_STATE(10338)] = 508851,
  [SMALL_STATE(10339)] = 508865,
  [SMALL_STATE(10340)] = 508875,
  [SMALL_STATE(10341)] = 508885,
  [SMALL_STATE(10342)] = 508897,
  [SMALL_STATE(10343)] = 508909,
  [SMALL_STATE(10344)] = 508923,
  [SMALL_STATE(10345)] = 508933,
  [SMALL_STATE(10346)] = 508947,
  [SMALL_STATE(10347)] = 508957,
  [SMALL_STATE(10348)] = 508967,
  [SMALL_STATE(10349)] = 508979,
  [SMALL_STATE(10350)] = 508989,
  [SMALL_STATE(10351)] = 509001,
  [SMALL_STATE(10352)] = 509015,
  [SMALL_STATE(10353)] = 509029,
  [SMALL_STATE(10354)] = 509043,
  [SMALL_STATE(10355)] = 509057,
  [SMALL_STATE(10356)] = 509071,
  [SMALL_STATE(10357)] = 509085,
  [SMALL_STATE(10358)] = 509097,
  [SMALL_STATE(10359)] = 509107,
  [SMALL_STATE(10360)] = 509121,
  [SMALL_STATE(10361)] = 509131,
  [SMALL_STATE(10362)] = 509141,
  [SMALL_STATE(10363)] = 509151,
  [SMALL_STATE(10364)] = 509163,
  [SMALL_STATE(10365)] = 509177,
  [SMALL_STATE(10366)] = 509187,
  [SMALL_STATE(10367)] = 509199,
  [SMALL_STATE(10368)] = 509213,
  [SMALL_STATE(10369)] = 509225,
  [SMALL_STATE(10370)] = 509235,
  [SMALL_STATE(10371)] = 509249,
  [SMALL_STATE(10372)] = 509263,
  [SMALL_STATE(10373)] = 509273,
  [SMALL_STATE(10374)] = 509283,
  [SMALL_STATE(10375)] = 509293,
  [SMALL_STATE(10376)] = 509303,
  [SMALL_STATE(10377)] = 509317,
  [SMALL_STATE(10378)] = 509329,
  [SMALL_STATE(10379)] = 509343,
  [SMALL_STATE(10380)] = 509357,
  [SMALL_STATE(10381)] = 509367,
  [SMALL_STATE(10382)] = 509377,
  [SMALL_STATE(10383)] = 509387,
  [SMALL_STATE(10384)] = 509401,
  [SMALL_STATE(10385)] = 509415,
  [SMALL_STATE(10386)] = 509429,
  [SMALL_STATE(10387)] = 509441,
  [SMALL_STATE(10388)] = 509455,
  [SMALL_STATE(10389)] = 509469,
  [SMALL_STATE(10390)] = 509483,
  [SMALL_STATE(10391)] = 509497,
  [SMALL_STATE(10392)] = 509509,
  [SMALL_STATE(10393)] = 509523,
  [SMALL_STATE(10394)] = 509537,
  [SMALL_STATE(10395)] = 509551,
  [SMALL_STATE(10396)] = 509565,
  [SMALL_STATE(10397)] = 509579,
  [SMALL_STATE(10398)] = 509593,
  [SMALL_STATE(10399)] = 509603,
  [SMALL_STATE(10400)] = 509617,
  [SMALL_STATE(10401)] = 509631,
  [SMALL_STATE(10402)] = 509641,
  [SMALL_STATE(10403)] = 509655,
  [SMALL_STATE(10404)] = 509669,
  [SMALL_STATE(10405)] = 509683,
  [SMALL_STATE(10406)] = 509695,
  [SMALL_STATE(10407)] = 509709,
  [SMALL_STATE(10408)] = 509723,
  [SMALL_STATE(10409)] = 509737,
  [SMALL_STATE(10410)] = 509751,
  [SMALL_STATE(10411)] = 509765,
  [SMALL_STATE(10412)] = 509779,
  [SMALL_STATE(10413)] = 509793,
  [SMALL_STATE(10414)] = 509803,
  [SMALL_STATE(10415)] = 509817,
  [SMALL_STATE(10416)] = 509831,
  [SMALL_STATE(10417)] = 509843,
  [SMALL_STATE(10418)] = 509853,
  [SMALL_STATE(10419)] = 509863,
  [SMALL_STATE(10420)] = 509875,
  [SMALL_STATE(10421)] = 509885,
  [SMALL_STATE(10422)] = 509895,
  [SMALL_STATE(10423)] = 509907,
  [SMALL_STATE(10424)] = 509917,
  [SMALL_STATE(10425)] = 509931,
  [SMALL_STATE(10426)] = 509941,
  [SMALL_STATE(10427)] = 509955,
  [SMALL_STATE(10428)] = 509965,
  [SMALL_STATE(10429)] = 509975,
  [SMALL_STATE(10430)] = 509989,
  [SMALL_STATE(10431)] = 509999,
  [SMALL_STATE(10432)] = 510013,
  [SMALL_STATE(10433)] = 510027,
  [SMALL_STATE(10434)] = 510041,
  [SMALL_STATE(10435)] = 510055,
  [SMALL_STATE(10436)] = 510065,
  [SMALL_STATE(10437)] = 510075,
  [SMALL_STATE(10438)] = 510089,
  [SMALL_STATE(10439)] = 510099,
  [SMALL_STATE(10440)] = 510113,
  [SMALL_STATE(10441)] = 510125,
  [SMALL_STATE(10442)] = 510139,
  [SMALL_STATE(10443)] = 510153,
  [SMALL_STATE(10444)] = 510163,
  [SMALL_STATE(10445)] = 510177,
  [SMALL_STATE(10446)] = 510191,
  [SMALL_STATE(10447)] = 510205,
  [SMALL_STATE(10448)] = 510219,
  [SMALL_STATE(10449)] = 510229,
  [SMALL_STATE(10450)] = 510241,
  [SMALL_STATE(10451)] = 510251,
  [SMALL_STATE(10452)] = 510261,
  [SMALL_STATE(10453)] = 510271,
  [SMALL_STATE(10454)] = 510283,
  [SMALL_STATE(10455)] = 510293,
  [SMALL_STATE(10456)] = 510305,
  [SMALL_STATE(10457)] = 510315,
  [SMALL_STATE(10458)] = 510325,
  [SMALL_STATE(10459)] = 510339,
  [SMALL_STATE(10460)] = 510349,
  [SMALL_STATE(10461)] = 510359,
  [SMALL_STATE(10462)] = 510369,
  [SMALL_STATE(10463)] = 510379,
  [SMALL_STATE(10464)] = 510389,
  [SMALL_STATE(10465)] = 510403,
  [SMALL_STATE(10466)] = 510413,
  [SMALL_STATE(10467)] = 510423,
  [SMALL_STATE(10468)] = 510435,
  [SMALL_STATE(10469)] = 510445,
  [SMALL_STATE(10470)] = 510459,
  [SMALL_STATE(10471)] = 510469,
  [SMALL_STATE(10472)] = 510483,
  [SMALL_STATE(10473)] = 510497,
  [SMALL_STATE(10474)] = 510511,
  [SMALL_STATE(10475)] = 510521,
  [SMALL_STATE(10476)] = 510535,
  [SMALL_STATE(10477)] = 510545,
  [SMALL_STATE(10478)] = 510555,
  [SMALL_STATE(10479)] = 510565,
  [SMALL_STATE(10480)] = 510577,
  [SMALL_STATE(10481)] = 510587,
  [SMALL_STATE(10482)] = 510597,
  [SMALL_STATE(10483)] = 510611,
  [SMALL_STATE(10484)] = 510625,
  [SMALL_STATE(10485)] = 510639,
  [SMALL_STATE(10486)] = 510651,
  [SMALL_STATE(10487)] = 510665,
  [SMALL_STATE(10488)] = 510675,
  [SMALL_STATE(10489)] = 510689,
  [SMALL_STATE(10490)] = 510703,
  [SMALL_STATE(10491)] = 510713,
  [SMALL_STATE(10492)] = 510727,
  [SMALL_STATE(10493)] = 510741,
  [SMALL_STATE(10494)] = 510751,
  [SMALL_STATE(10495)] = 510761,
  [SMALL_STATE(10496)] = 510775,
  [SMALL_STATE(10497)] = 510789,
  [SMALL_STATE(10498)] = 510799,
  [SMALL_STATE(10499)] = 510813,
  [SMALL_STATE(10500)] = 510827,
  [SMALL_STATE(10501)] = 510841,
  [SMALL_STATE(10502)] = 510855,
  [SMALL_STATE(10503)] = 510869,
  [SMALL_STATE(10504)] = 510879,
  [SMALL_STATE(10505)] = 510893,
  [SMALL_STATE(10506)] = 510903,
  [SMALL_STATE(10507)] = 510917,
  [SMALL_STATE(10508)] = 510931,
  [SMALL_STATE(10509)] = 510945,
  [SMALL_STATE(10510)] = 510955,
  [SMALL_STATE(10511)] = 510969,
  [SMALL_STATE(10512)] = 510979,
  [SMALL_STATE(10513)] = 510993,
  [SMALL_STATE(10514)] = 511007,
  [SMALL_STATE(10515)] = 511021,
  [SMALL_STATE(10516)] = 511031,
  [SMALL_STATE(10517)] = 511041,
  [SMALL_STATE(10518)] = 511055,
  [SMALL_STATE(10519)] = 511065,
  [SMALL_STATE(10520)] = 511075,
  [SMALL_STATE(10521)] = 511085,
  [SMALL_STATE(10522)] = 511099,
  [SMALL_STATE(10523)] = 511113,
  [SMALL_STATE(10524)] = 511127,
  [SMALL_STATE(10525)] = 511137,
  [SMALL_STATE(10526)] = 511147,
  [SMALL_STATE(10527)] = 511159,
  [SMALL_STATE(10528)] = 511173,
  [SMALL_STATE(10529)] = 511185,
  [SMALL_STATE(10530)] = 511199,
  [SMALL_STATE(10531)] = 511213,
  [SMALL_STATE(10532)] = 511227,
  [SMALL_STATE(10533)] = 511241,
  [SMALL_STATE(10534)] = 511251,
  [SMALL_STATE(10535)] = 511265,
  [SMALL_STATE(10536)] = 511279,
  [SMALL_STATE(10537)] = 511289,
  [SMALL_STATE(10538)] = 511303,
  [SMALL_STATE(10539)] = 511317,
  [SMALL_STATE(10540)] = 511331,
  [SMALL_STATE(10541)] = 511345,
  [SMALL_STATE(10542)] = 511355,
  [SMALL_STATE(10543)] = 511369,
  [SMALL_STATE(10544)] = 511379,
  [SMALL_STATE(10545)] = 511391,
  [SMALL_STATE(10546)] = 511401,
  [SMALL_STATE(10547)] = 511413,
  [SMALL_STATE(10548)] = 511427,
  [SMALL_STATE(10549)] = 511437,
  [SMALL_STATE(10550)] = 511451,
  [SMALL_STATE(10551)] = 511465,
  [SMALL_STATE(10552)] = 511475,
  [SMALL_STATE(10553)] = 511489,
  [SMALL_STATE(10554)] = 511499,
  [SMALL_STATE(10555)] = 511513,
  [SMALL_STATE(10556)] = 511523,
  [SMALL_STATE(10557)] = 511535,
  [SMALL_STATE(10558)] = 511549,
  [SMALL_STATE(10559)] = 511559,
  [SMALL_STATE(10560)] = 511573,
  [SMALL_STATE(10561)] = 511587,
  [SMALL_STATE(10562)] = 511601,
  [SMALL_STATE(10563)] = 511613,
  [SMALL_STATE(10564)] = 511627,
  [SMALL_STATE(10565)] = 511641,
  [SMALL_STATE(10566)] = 511653,
  [SMALL_STATE(10567)] = 511667,
  [SMALL_STATE(10568)] = 511681,
  [SMALL_STATE(10569)] = 511695,
  [SMALL_STATE(10570)] = 511707,
  [SMALL_STATE(10571)] = 511717,
  [SMALL_STATE(10572)] = 511731,
  [SMALL_STATE(10573)] = 511745,
  [SMALL_STATE(10574)] = 511759,
  [SMALL_STATE(10575)] = 511771,
  [SMALL_STATE(10576)] = 511781,
  [SMALL_STATE(10577)] = 511795,
  [SMALL_STATE(10578)] = 511807,
  [SMALL_STATE(10579)] = 511821,
  [SMALL_STATE(10580)] = 511835,
  [SMALL_STATE(10581)] = 511847,
  [SMALL_STATE(10582)] = 511861,
  [SMALL_STATE(10583)] = 511873,
  [SMALL_STATE(10584)] = 511885,
  [SMALL_STATE(10585)] = 511899,
  [SMALL_STATE(10586)] = 511909,
  [SMALL_STATE(10587)] = 511919,
  [SMALL_STATE(10588)] = 511933,
  [SMALL_STATE(10589)] = 511943,
  [SMALL_STATE(10590)] = 511957,
  [SMALL_STATE(10591)] = 511971,
  [SMALL_STATE(10592)] = 511983,
  [SMALL_STATE(10593)] = 511995,
  [SMALL_STATE(10594)] = 512005,
  [SMALL_STATE(10595)] = 512019,
  [SMALL_STATE(10596)] = 512033,
  [SMALL_STATE(10597)] = 512047,
  [SMALL_STATE(10598)] = 512061,
  [SMALL_STATE(10599)] = 512075,
  [SMALL_STATE(10600)] = 512087,
  [SMALL_STATE(10601)] = 512101,
  [SMALL_STATE(10602)] = 512115,
  [SMALL_STATE(10603)] = 512125,
  [SMALL_STATE(10604)] = 512135,
  [SMALL_STATE(10605)] = 512149,
  [SMALL_STATE(10606)] = 512163,
  [SMALL_STATE(10607)] = 512173,
  [SMALL_STATE(10608)] = 512183,
  [SMALL_STATE(10609)] = 512193,
  [SMALL_STATE(10610)] = 512207,
  [SMALL_STATE(10611)] = 512219,
  [SMALL_STATE(10612)] = 512229,
  [SMALL_STATE(10613)] = 512239,
  [SMALL_STATE(10614)] = 512249,
  [SMALL_STATE(10615)] = 512263,
  [SMALL_STATE(10616)] = 512277,
  [SMALL_STATE(10617)] = 512287,
  [SMALL_STATE(10618)] = 512297,
  [SMALL_STATE(10619)] = 512311,
  [SMALL_STATE(10620)] = 512323,
  [SMALL_STATE(10621)] = 512337,
  [SMALL_STATE(10622)] = 512351,
  [SMALL_STATE(10623)] = 512363,
  [SMALL_STATE(10624)] = 512377,
  [SMALL_STATE(10625)] = 512387,
  [SMALL_STATE(10626)] = 512401,
  [SMALL_STATE(10627)] = 512413,
  [SMALL_STATE(10628)] = 512423,
  [SMALL_STATE(10629)] = 512437,
  [SMALL_STATE(10630)] = 512451,
  [SMALL_STATE(10631)] = 512465,
  [SMALL_STATE(10632)] = 512479,
  [SMALL_STATE(10633)] = 512491,
  [SMALL_STATE(10634)] = 512505,
  [SMALL_STATE(10635)] = 512515,
  [SMALL_STATE(10636)] = 512527,
  [SMALL_STATE(10637)] = 512541,
  [SMALL_STATE(10638)] = 512551,
  [SMALL_STATE(10639)] = 512561,
  [SMALL_STATE(10640)] = 512575,
  [SMALL_STATE(10641)] = 512589,
  [SMALL_STATE(10642)] = 512603,
  [SMALL_STATE(10643)] = 512617,
  [SMALL_STATE(10644)] = 512631,
  [SMALL_STATE(10645)] = 512641,
  [SMALL_STATE(10646)] = 512655,
  [SMALL_STATE(10647)] = 512669,
  [SMALL_STATE(10648)] = 512683,
  [SMALL_STATE(10649)] = 512697,
  [SMALL_STATE(10650)] = 512707,
  [SMALL_STATE(10651)] = 512721,
  [SMALL_STATE(10652)] = 512731,
  [SMALL_STATE(10653)] = 512745,
  [SMALL_STATE(10654)] = 512759,
  [SMALL_STATE(10655)] = 512769,
  [SMALL_STATE(10656)] = 512783,
  [SMALL_STATE(10657)] = 512797,
  [SMALL_STATE(10658)] = 512811,
  [SMALL_STATE(10659)] = 512821,
  [SMALL_STATE(10660)] = 512835,
  [SMALL_STATE(10661)] = 512849,
  [SMALL_STATE(10662)] = 512859,
  [SMALL_STATE(10663)] = 512869,
  [SMALL_STATE(10664)] = 512883,
  [SMALL_STATE(10665)] = 512893,
  [SMALL_STATE(10666)] = 512905,
  [SMALL_STATE(10667)] = 512917,
  [SMALL_STATE(10668)] = 512931,
  [SMALL_STATE(10669)] = 512945,
  [SMALL_STATE(10670)] = 512959,
  [SMALL_STATE(10671)] = 512969,
  [SMALL_STATE(10672)] = 512983,
  [SMALL_STATE(10673)] = 512993,
  [SMALL_STATE(10674)] = 513003,
  [SMALL_STATE(10675)] = 513017,
  [SMALL_STATE(10676)] = 513027,
  [SMALL_STATE(10677)] = 513041,
  [SMALL_STATE(10678)] = 513051,
  [SMALL_STATE(10679)] = 513061,
  [SMALL_STATE(10680)] = 513071,
  [SMALL_STATE(10681)] = 513081,
  [SMALL_STATE(10682)] = 513095,
  [SMALL_STATE(10683)] = 513105,
  [SMALL_STATE(10684)] = 513119,
  [SMALL_STATE(10685)] = 513133,
  [SMALL_STATE(10686)] = 513143,
  [SMALL_STATE(10687)] = 513153,
  [SMALL_STATE(10688)] = 513167,
  [SMALL_STATE(10689)] = 513177,
  [SMALL_STATE(10690)] = 513187,
  [SMALL_STATE(10691)] = 513197,
  [SMALL_STATE(10692)] = 513211,
  [SMALL_STATE(10693)] = 513225,
  [SMALL_STATE(10694)] = 513239,
  [SMALL_STATE(10695)] = 513253,
  [SMALL_STATE(10696)] = 513265,
  [SMALL_STATE(10697)] = 513279,
  [SMALL_STATE(10698)] = 513289,
  [SMALL_STATE(10699)] = 513299,
  [SMALL_STATE(10700)] = 513309,
  [SMALL_STATE(10701)] = 513319,
  [SMALL_STATE(10702)] = 513329,
  [SMALL_STATE(10703)] = 513343,
  [SMALL_STATE(10704)] = 513357,
  [SMALL_STATE(10705)] = 513367,
  [SMALL_STATE(10706)] = 513379,
  [SMALL_STATE(10707)] = 513393,
  [SMALL_STATE(10708)] = 513405,
  [SMALL_STATE(10709)] = 513415,
  [SMALL_STATE(10710)] = 513425,
  [SMALL_STATE(10711)] = 513439,
  [SMALL_STATE(10712)] = 513449,
  [SMALL_STATE(10713)] = 513459,
  [SMALL_STATE(10714)] = 513473,
  [SMALL_STATE(10715)] = 513487,
  [SMALL_STATE(10716)] = 513501,
  [SMALL_STATE(10717)] = 513515,
  [SMALL_STATE(10718)] = 513529,
  [SMALL_STATE(10719)] = 513543,
  [SMALL_STATE(10720)] = 513553,
  [SMALL_STATE(10721)] = 513563,
  [SMALL_STATE(10722)] = 513573,
  [SMALL_STATE(10723)] = 513587,
  [SMALL_STATE(10724)] = 513601,
  [SMALL_STATE(10725)] = 513611,
  [SMALL_STATE(10726)] = 513625,
  [SMALL_STATE(10727)] = 513635,
  [SMALL_STATE(10728)] = 513649,
  [SMALL_STATE(10729)] = 513663,
  [SMALL_STATE(10730)] = 513673,
  [SMALL_STATE(10731)] = 513683,
  [SMALL_STATE(10732)] = 513695,
  [SMALL_STATE(10733)] = 513709,
  [SMALL_STATE(10734)] = 513723,
  [SMALL_STATE(10735)] = 513737,
  [SMALL_STATE(10736)] = 513749,
  [SMALL_STATE(10737)] = 513763,
  [SMALL_STATE(10738)] = 513773,
  [SMALL_STATE(10739)] = 513787,
  [SMALL_STATE(10740)] = 513801,
  [SMALL_STATE(10741)] = 513811,
  [SMALL_STATE(10742)] = 513823,
  [SMALL_STATE(10743)] = 513835,
  [SMALL_STATE(10744)] = 513849,
  [SMALL_STATE(10745)] = 513859,
  [SMALL_STATE(10746)] = 513873,
  [SMALL_STATE(10747)] = 513885,
  [SMALL_STATE(10748)] = 513899,
  [SMALL_STATE(10749)] = 513913,
  [SMALL_STATE(10750)] = 513927,
  [SMALL_STATE(10751)] = 513941,
  [SMALL_STATE(10752)] = 513951,
  [SMALL_STATE(10753)] = 513965,
  [SMALL_STATE(10754)] = 513979,
  [SMALL_STATE(10755)] = 513993,
  [SMALL_STATE(10756)] = 514007,
  [SMALL_STATE(10757)] = 514021,
  [SMALL_STATE(10758)] = 514031,
  [SMALL_STATE(10759)] = 514045,
  [SMALL_STATE(10760)] = 514059,
  [SMALL_STATE(10761)] = 514073,
  [SMALL_STATE(10762)] = 514087,
  [SMALL_STATE(10763)] = 514101,
  [SMALL_STATE(10764)] = 514115,
  [SMALL_STATE(10765)] = 514125,
  [SMALL_STATE(10766)] = 514139,
  [SMALL_STATE(10767)] = 514153,
  [SMALL_STATE(10768)] = 514165,
  [SMALL_STATE(10769)] = 514179,
  [SMALL_STATE(10770)] = 514189,
  [SMALL_STATE(10771)] = 514199,
  [SMALL_STATE(10772)] = 514209,
  [SMALL_STATE(10773)] = 514219,
  [SMALL_STATE(10774)] = 514233,
  [SMALL_STATE(10775)] = 514245,
  [SMALL_STATE(10776)] = 514255,
  [SMALL_STATE(10777)] = 514269,
  [SMALL_STATE(10778)] = 514279,
  [SMALL_STATE(10779)] = 514293,
  [SMALL_STATE(10780)] = 514307,
  [SMALL_STATE(10781)] = 514321,
  [SMALL_STATE(10782)] = 514335,
  [SMALL_STATE(10783)] = 514349,
  [SMALL_STATE(10784)] = 514363,
  [SMALL_STATE(10785)] = 514373,
  [SMALL_STATE(10786)] = 514383,
  [SMALL_STATE(10787)] = 514397,
  [SMALL_STATE(10788)] = 514407,
  [SMALL_STATE(10789)] = 514421,
  [SMALL_STATE(10790)] = 514431,
  [SMALL_STATE(10791)] = 514445,
  [SMALL_STATE(10792)] = 514455,
  [SMALL_STATE(10793)] = 514469,
  [SMALL_STATE(10794)] = 514483,
  [SMALL_STATE(10795)] = 514493,
  [SMALL_STATE(10796)] = 514507,
  [SMALL_STATE(10797)] = 514521,
  [SMALL_STATE(10798)] = 514535,
  [SMALL_STATE(10799)] = 514549,
  [SMALL_STATE(10800)] = 514563,
  [SMALL_STATE(10801)] = 514573,
  [SMALL_STATE(10802)] = 514583,
  [SMALL_STATE(10803)] = 514597,
  [SMALL_STATE(10804)] = 514611,
  [SMALL_STATE(10805)] = 514623,
  [SMALL_STATE(10806)] = 514637,
  [SMALL_STATE(10807)] = 514651,
  [SMALL_STATE(10808)] = 514663,
  [SMALL_STATE(10809)] = 514677,
  [SMALL_STATE(10810)] = 514691,
  [SMALL_STATE(10811)] = 514701,
  [SMALL_STATE(10812)] = 514711,
  [SMALL_STATE(10813)] = 514721,
  [SMALL_STATE(10814)] = 514731,
  [SMALL_STATE(10815)] = 514741,
  [SMALL_STATE(10816)] = 514755,
  [SMALL_STATE(10817)] = 514769,
  [SMALL_STATE(10818)] = 514783,
  [SMALL_STATE(10819)] = 514797,
  [SMALL_STATE(10820)] = 514807,
  [SMALL_STATE(10821)] = 514817,
  [SMALL_STATE(10822)] = 514831,
  [SMALL_STATE(10823)] = 514841,
  [SMALL_STATE(10824)] = 514851,
  [SMALL_STATE(10825)] = 514865,
  [SMALL_STATE(10826)] = 514875,
  [SMALL_STATE(10827)] = 514885,
  [SMALL_STATE(10828)] = 514899,
  [SMALL_STATE(10829)] = 514909,
  [SMALL_STATE(10830)] = 514919,
  [SMALL_STATE(10831)] = 514929,
  [SMALL_STATE(10832)] = 514943,
  [SMALL_STATE(10833)] = 514957,
  [SMALL_STATE(10834)] = 514971,
  [SMALL_STATE(10835)] = 514985,
  [SMALL_STATE(10836)] = 514999,
  [SMALL_STATE(10837)] = 515009,
  [SMALL_STATE(10838)] = 515019,
  [SMALL_STATE(10839)] = 515033,
  [SMALL_STATE(10840)] = 515043,
  [SMALL_STATE(10841)] = 515057,
  [SMALL_STATE(10842)] = 515071,
  [SMALL_STATE(10843)] = 515081,
  [SMALL_STATE(10844)] = 515095,
  [SMALL_STATE(10845)] = 515105,
  [SMALL_STATE(10846)] = 515115,
  [SMALL_STATE(10847)] = 515129,
  [SMALL_STATE(10848)] = 515141,
  [SMALL_STATE(10849)] = 515155,
  [SMALL_STATE(10850)] = 515169,
  [SMALL_STATE(10851)] = 515179,
  [SMALL_STATE(10852)] = 515189,
  [SMALL_STATE(10853)] = 515201,
  [SMALL_STATE(10854)] = 515215,
  [SMALL_STATE(10855)] = 515229,
  [SMALL_STATE(10856)] = 515243,
  [SMALL_STATE(10857)] = 515257,
  [SMALL_STATE(10858)] = 515271,
  [SMALL_STATE(10859)] = 515285,
  [SMALL_STATE(10860)] = 515295,
  [SMALL_STATE(10861)] = 515309,
  [SMALL_STATE(10862)] = 515321,
  [SMALL_STATE(10863)] = 515335,
  [SMALL_STATE(10864)] = 515349,
  [SMALL_STATE(10865)] = 515363,
  [SMALL_STATE(10866)] = 515373,
  [SMALL_STATE(10867)] = 515387,
  [SMALL_STATE(10868)] = 515401,
  [SMALL_STATE(10869)] = 515415,
  [SMALL_STATE(10870)] = 515429,
  [SMALL_STATE(10871)] = 515439,
  [SMALL_STATE(10872)] = 515453,
  [SMALL_STATE(10873)] = 515463,
  [SMALL_STATE(10874)] = 515477,
  [SMALL_STATE(10875)] = 515491,
  [SMALL_STATE(10876)] = 515505,
  [SMALL_STATE(10877)] = 515515,
  [SMALL_STATE(10878)] = 515529,
  [SMALL_STATE(10879)] = 515543,
  [SMALL_STATE(10880)] = 515557,
  [SMALL_STATE(10881)] = 515567,
  [SMALL_STATE(10882)] = 515581,
  [SMALL_STATE(10883)] = 515595,
  [SMALL_STATE(10884)] = 515609,
  [SMALL_STATE(10885)] = 515623,
  [SMALL_STATE(10886)] = 515637,
  [SMALL_STATE(10887)] = 515647,
  [SMALL_STATE(10888)] = 515661,
  [SMALL_STATE(10889)] = 515671,
  [SMALL_STATE(10890)] = 515681,
  [SMALL_STATE(10891)] = 515695,
  [SMALL_STATE(10892)] = 515705,
  [SMALL_STATE(10893)] = 515719,
  [SMALL_STATE(10894)] = 515729,
  [SMALL_STATE(10895)] = 515743,
  [SMALL_STATE(10896)] = 515757,
  [SMALL_STATE(10897)] = 515771,
  [SMALL_STATE(10898)] = 515785,
  [SMALL_STATE(10899)] = 515799,
  [SMALL_STATE(10900)] = 515813,
  [SMALL_STATE(10901)] = 515823,
  [SMALL_STATE(10902)] = 515837,
  [SMALL_STATE(10903)] = 515847,
  [SMALL_STATE(10904)] = 515859,
  [SMALL_STATE(10905)] = 515873,
  [SMALL_STATE(10906)] = 515887,
  [SMALL_STATE(10907)] = 515901,
  [SMALL_STATE(10908)] = 515915,
  [SMALL_STATE(10909)] = 515929,
  [SMALL_STATE(10910)] = 515939,
  [SMALL_STATE(10911)] = 515953,
  [SMALL_STATE(10912)] = 515967,
  [SMALL_STATE(10913)] = 515981,
  [SMALL_STATE(10914)] = 515995,
  [SMALL_STATE(10915)] = 516009,
  [SMALL_STATE(10916)] = 516023,
  [SMALL_STATE(10917)] = 516035,
  [SMALL_STATE(10918)] = 516049,
  [SMALL_STATE(10919)] = 516063,
  [SMALL_STATE(10920)] = 516077,
  [SMALL_STATE(10921)] = 516091,
  [SMALL_STATE(10922)] = 516105,
  [SMALL_STATE(10923)] = 516119,
  [SMALL_STATE(10924)] = 516133,
  [SMALL_STATE(10925)] = 516145,
  [SMALL_STATE(10926)] = 516155,
  [SMALL_STATE(10927)] = 516169,
  [SMALL_STATE(10928)] = 516183,
  [SMALL_STATE(10929)] = 516197,
  [SMALL_STATE(10930)] = 516209,
  [SMALL_STATE(10931)] = 516219,
  [SMALL_STATE(10932)] = 516233,
  [SMALL_STATE(10933)] = 516247,
  [SMALL_STATE(10934)] = 516257,
  [SMALL_STATE(10935)] = 516271,
  [SMALL_STATE(10936)] = 516285,
  [SMALL_STATE(10937)] = 516299,
  [SMALL_STATE(10938)] = 516313,
  [SMALL_STATE(10939)] = 516327,
  [SMALL_STATE(10940)] = 516341,
  [SMALL_STATE(10941)] = 516355,
  [SMALL_STATE(10942)] = 516365,
  [SMALL_STATE(10943)] = 516379,
  [SMALL_STATE(10944)] = 516393,
  [SMALL_STATE(10945)] = 516407,
  [SMALL_STATE(10946)] = 516417,
  [SMALL_STATE(10947)] = 516427,
  [SMALL_STATE(10948)] = 516441,
  [SMALL_STATE(10949)] = 516451,
  [SMALL_STATE(10950)] = 516461,
  [SMALL_STATE(10951)] = 516475,
  [SMALL_STATE(10952)] = 516485,
  [SMALL_STATE(10953)] = 516499,
  [SMALL_STATE(10954)] = 516513,
  [SMALL_STATE(10955)] = 516523,
  [SMALL_STATE(10956)] = 516533,
  [SMALL_STATE(10957)] = 516547,
  [SMALL_STATE(10958)] = 516561,
  [SMALL_STATE(10959)] = 516575,
  [SMALL_STATE(10960)] = 516589,
  [SMALL_STATE(10961)] = 516603,
  [SMALL_STATE(10962)] = 516617,
  [SMALL_STATE(10963)] = 516631,
  [SMALL_STATE(10964)] = 516645,
  [SMALL_STATE(10965)] = 516659,
  [SMALL_STATE(10966)] = 516673,
  [SMALL_STATE(10967)] = 516687,
  [SMALL_STATE(10968)] = 516697,
  [SMALL_STATE(10969)] = 516711,
  [SMALL_STATE(10970)] = 516725,
  [SMALL_STATE(10971)] = 516739,
  [SMALL_STATE(10972)] = 516753,
  [SMALL_STATE(10973)] = 516763,
  [SMALL_STATE(10974)] = 516777,
  [SMALL_STATE(10975)] = 516791,
  [SMALL_STATE(10976)] = 516805,
  [SMALL_STATE(10977)] = 516819,
  [SMALL_STATE(10978)] = 516833,
  [SMALL_STATE(10979)] = 516847,
  [SMALL_STATE(10980)] = 516857,
  [SMALL_STATE(10981)] = 516867,
  [SMALL_STATE(10982)] = 516877,
  [SMALL_STATE(10983)] = 516891,
  [SMALL_STATE(10984)] = 516905,
  [SMALL_STATE(10985)] = 516919,
  [SMALL_STATE(10986)] = 516933,
  [SMALL_STATE(10987)] = 516947,
  [SMALL_STATE(10988)] = 516961,
  [SMALL_STATE(10989)] = 516971,
  [SMALL_STATE(10990)] = 516981,
  [SMALL_STATE(10991)] = 516991,
  [SMALL_STATE(10992)] = 517003,
  [SMALL_STATE(10993)] = 517015,
  [SMALL_STATE(10994)] = 517029,
  [SMALL_STATE(10995)] = 517043,
  [SMALL_STATE(10996)] = 517057,
  [SMALL_STATE(10997)] = 517067,
  [SMALL_STATE(10998)] = 517081,
  [SMALL_STATE(10999)] = 517095,
  [SMALL_STATE(11000)] = 517109,
  [SMALL_STATE(11001)] = 517123,
  [SMALL_STATE(11002)] = 517133,
  [SMALL_STATE(11003)] = 517145,
  [SMALL_STATE(11004)] = 517159,
  [SMALL_STATE(11005)] = 517169,
  [SMALL_STATE(11006)] = 517179,
  [SMALL_STATE(11007)] = 517193,
  [SMALL_STATE(11008)] = 517207,
  [SMALL_STATE(11009)] = 517217,
  [SMALL_STATE(11010)] = 517231,
  [SMALL_STATE(11011)] = 517245,
  [SMALL_STATE(11012)] = 517255,
  [SMALL_STATE(11013)] = 517269,
  [SMALL_STATE(11014)] = 517279,
  [SMALL_STATE(11015)] = 517293,
  [SMALL_STATE(11016)] = 517307,
  [SMALL_STATE(11017)] = 517317,
  [SMALL_STATE(11018)] = 517327,
  [SMALL_STATE(11019)] = 517337,
  [SMALL_STATE(11020)] = 517351,
  [SMALL_STATE(11021)] = 517361,
  [SMALL_STATE(11022)] = 517371,
  [SMALL_STATE(11023)] = 517385,
  [SMALL_STATE(11024)] = 517395,
  [SMALL_STATE(11025)] = 517409,
  [SMALL_STATE(11026)] = 517423,
  [SMALL_STATE(11027)] = 517437,
  [SMALL_STATE(11028)] = 517451,
  [SMALL_STATE(11029)] = 517465,
  [SMALL_STATE(11030)] = 517475,
  [SMALL_STATE(11031)] = 517489,
  [SMALL_STATE(11032)] = 517503,
  [SMALL_STATE(11033)] = 517517,
  [SMALL_STATE(11034)] = 517531,
  [SMALL_STATE(11035)] = 517541,
  [SMALL_STATE(11036)] = 517555,
  [SMALL_STATE(11037)] = 517569,
  [SMALL_STATE(11038)] = 517579,
  [SMALL_STATE(11039)] = 517589,
  [SMALL_STATE(11040)] = 517603,
  [SMALL_STATE(11041)] = 517613,
  [SMALL_STATE(11042)] = 517627,
  [SMALL_STATE(11043)] = 517641,
  [SMALL_STATE(11044)] = 517651,
  [SMALL_STATE(11045)] = 517661,
  [SMALL_STATE(11046)] = 517671,
  [SMALL_STATE(11047)] = 517685,
  [SMALL_STATE(11048)] = 517699,
  [SMALL_STATE(11049)] = 517709,
  [SMALL_STATE(11050)] = 517719,
  [SMALL_STATE(11051)] = 517729,
  [SMALL_STATE(11052)] = 517743,
  [SMALL_STATE(11053)] = 517757,
  [SMALL_STATE(11054)] = 517771,
  [SMALL_STATE(11055)] = 517785,
  [SMALL_STATE(11056)] = 517799,
  [SMALL_STATE(11057)] = 517811,
  [SMALL_STATE(11058)] = 517825,
  [SMALL_STATE(11059)] = 517839,
  [SMALL_STATE(11060)] = 517849,
  [SMALL_STATE(11061)] = 517863,
  [SMALL_STATE(11062)] = 517873,
  [SMALL_STATE(11063)] = 517887,
  [SMALL_STATE(11064)] = 517897,
  [SMALL_STATE(11065)] = 517911,
  [SMALL_STATE(11066)] = 517925,
  [SMALL_STATE(11067)] = 517935,
  [SMALL_STATE(11068)] = 517949,
  [SMALL_STATE(11069)] = 517959,
  [SMALL_STATE(11070)] = 517969,
  [SMALL_STATE(11071)] = 517981,
  [SMALL_STATE(11072)] = 517993,
  [SMALL_STATE(11073)] = 518007,
  [SMALL_STATE(11074)] = 518021,
  [SMALL_STATE(11075)] = 518035,
  [SMALL_STATE(11076)] = 518049,
  [SMALL_STATE(11077)] = 518063,
  [SMALL_STATE(11078)] = 518077,
  [SMALL_STATE(11079)] = 518091,
  [SMALL_STATE(11080)] = 518105,
  [SMALL_STATE(11081)] = 518119,
  [SMALL_STATE(11082)] = 518133,
  [SMALL_STATE(11083)] = 518147,
  [SMALL_STATE(11084)] = 518161,
  [SMALL_STATE(11085)] = 518175,
  [SMALL_STATE(11086)] = 518185,
  [SMALL_STATE(11087)] = 518199,
  [SMALL_STATE(11088)] = 518213,
  [SMALL_STATE(11089)] = 518227,
  [SMALL_STATE(11090)] = 518241,
  [SMALL_STATE(11091)] = 518255,
  [SMALL_STATE(11092)] = 518269,
  [SMALL_STATE(11093)] = 518281,
  [SMALL_STATE(11094)] = 518295,
  [SMALL_STATE(11095)] = 518309,
  [SMALL_STATE(11096)] = 518323,
  [SMALL_STATE(11097)] = 518337,
  [SMALL_STATE(11098)] = 518351,
  [SMALL_STATE(11099)] = 518365,
  [SMALL_STATE(11100)] = 518375,
  [SMALL_STATE(11101)] = 518389,
  [SMALL_STATE(11102)] = 518401,
  [SMALL_STATE(11103)] = 518411,
  [SMALL_STATE(11104)] = 518425,
  [SMALL_STATE(11105)] = 518439,
  [SMALL_STATE(11106)] = 518453,
  [SMALL_STATE(11107)] = 518467,
  [SMALL_STATE(11108)] = 518477,
  [SMALL_STATE(11109)] = 518487,
  [SMALL_STATE(11110)] = 518497,
  [SMALL_STATE(11111)] = 518511,
  [SMALL_STATE(11112)] = 518525,
  [SMALL_STATE(11113)] = 518535,
  [SMALL_STATE(11114)] = 518549,
  [SMALL_STATE(11115)] = 518563,
  [SMALL_STATE(11116)] = 518577,
  [SMALL_STATE(11117)] = 518591,
  [SMALL_STATE(11118)] = 518605,
  [SMALL_STATE(11119)] = 518619,
  [SMALL_STATE(11120)] = 518633,
  [SMALL_STATE(11121)] = 518647,
  [SMALL_STATE(11122)] = 518661,
  [SMALL_STATE(11123)] = 518675,
  [SMALL_STATE(11124)] = 518685,
  [SMALL_STATE(11125)] = 518699,
  [SMALL_STATE(11126)] = 518713,
  [SMALL_STATE(11127)] = 518723,
  [SMALL_STATE(11128)] = 518733,
  [SMALL_STATE(11129)] = 518747,
  [SMALL_STATE(11130)] = 518761,
  [SMALL_STATE(11131)] = 518775,
  [SMALL_STATE(11132)] = 518789,
  [SMALL_STATE(11133)] = 518803,
  [SMALL_STATE(11134)] = 518817,
  [SMALL_STATE(11135)] = 518831,
  [SMALL_STATE(11136)] = 518845,
  [SMALL_STATE(11137)] = 518859,
  [SMALL_STATE(11138)] = 518873,
  [SMALL_STATE(11139)] = 518887,
  [SMALL_STATE(11140)] = 518901,
  [SMALL_STATE(11141)] = 518911,
  [SMALL_STATE(11142)] = 518925,
  [SMALL_STATE(11143)] = 518939,
  [SMALL_STATE(11144)] = 518953,
  [SMALL_STATE(11145)] = 518967,
  [SMALL_STATE(11146)] = 518981,
  [SMALL_STATE(11147)] = 518995,
  [SMALL_STATE(11148)] = 519009,
  [SMALL_STATE(11149)] = 519023,
  [SMALL_STATE(11150)] = 519037,
  [SMALL_STATE(11151)] = 519051,
  [SMALL_STATE(11152)] = 519065,
  [SMALL_STATE(11153)] = 519075,
  [SMALL_STATE(11154)] = 519089,
  [SMALL_STATE(11155)] = 519103,
  [SMALL_STATE(11156)] = 519117,
  [SMALL_STATE(11157)] = 519127,
  [SMALL_STATE(11158)] = 519141,
  [SMALL_STATE(11159)] = 519151,
  [SMALL_STATE(11160)] = 519165,
  [SMALL_STATE(11161)] = 519179,
  [SMALL_STATE(11162)] = 519193,
  [SMALL_STATE(11163)] = 519203,
  [SMALL_STATE(11164)] = 519217,
  [SMALL_STATE(11165)] = 519231,
  [SMALL_STATE(11166)] = 519241,
  [SMALL_STATE(11167)] = 519251,
  [SMALL_STATE(11168)] = 519261,
  [SMALL_STATE(11169)] = 519275,
  [SMALL_STATE(11170)] = 519285,
  [SMALL_STATE(11171)] = 519295,
  [SMALL_STATE(11172)] = 519309,
  [SMALL_STATE(11173)] = 519323,
  [SMALL_STATE(11174)] = 519333,
  [SMALL_STATE(11175)] = 519347,
  [SMALL_STATE(11176)] = 519361,
  [SMALL_STATE(11177)] = 519375,
  [SMALL_STATE(11178)] = 519389,
  [SMALL_STATE(11179)] = 519403,
  [SMALL_STATE(11180)] = 519415,
  [SMALL_STATE(11181)] = 519425,
  [SMALL_STATE(11182)] = 519435,
  [SMALL_STATE(11183)] = 519449,
  [SMALL_STATE(11184)] = 519463,
  [SMALL_STATE(11185)] = 519477,
  [SMALL_STATE(11186)] = 519487,
  [SMALL_STATE(11187)] = 519501,
  [SMALL_STATE(11188)] = 519515,
  [SMALL_STATE(11189)] = 519525,
  [SMALL_STATE(11190)] = 519539,
  [SMALL_STATE(11191)] = 519553,
  [SMALL_STATE(11192)] = 519567,
  [SMALL_STATE(11193)] = 519581,
  [SMALL_STATE(11194)] = 519595,
  [SMALL_STATE(11195)] = 519609,
  [SMALL_STATE(11196)] = 519623,
  [SMALL_STATE(11197)] = 519633,
  [SMALL_STATE(11198)] = 519643,
  [SMALL_STATE(11199)] = 519655,
  [SMALL_STATE(11200)] = 519669,
  [SMALL_STATE(11201)] = 519683,
  [SMALL_STATE(11202)] = 519693,
  [SMALL_STATE(11203)] = 519707,
  [SMALL_STATE(11204)] = 519721,
  [SMALL_STATE(11205)] = 519731,
  [SMALL_STATE(11206)] = 519745,
  [SMALL_STATE(11207)] = 519759,
  [SMALL_STATE(11208)] = 519773,
  [SMALL_STATE(11209)] = 519787,
  [SMALL_STATE(11210)] = 519801,
  [SMALL_STATE(11211)] = 519815,
  [SMALL_STATE(11212)] = 519829,
  [SMALL_STATE(11213)] = 519843,
  [SMALL_STATE(11214)] = 519857,
  [SMALL_STATE(11215)] = 519871,
  [SMALL_STATE(11216)] = 519885,
  [SMALL_STATE(11217)] = 519895,
  [SMALL_STATE(11218)] = 519909,
  [SMALL_STATE(11219)] = 519923,
  [SMALL_STATE(11220)] = 519937,
  [SMALL_STATE(11221)] = 519951,
  [SMALL_STATE(11222)] = 519965,
  [SMALL_STATE(11223)] = 519979,
  [SMALL_STATE(11224)] = 519989,
  [SMALL_STATE(11225)] = 519999,
  [SMALL_STATE(11226)] = 520013,
  [SMALL_STATE(11227)] = 520024,
  [SMALL_STATE(11228)] = 520035,
  [SMALL_STATE(11229)] = 520044,
  [SMALL_STATE(11230)] = 520053,
  [SMALL_STATE(11231)] = 520062,
  [SMALL_STATE(11232)] = 520071,
  [SMALL_STATE(11233)] = 520080,
  [SMALL_STATE(11234)] = 520089,
  [SMALL_STATE(11235)] = 520098,
  [SMALL_STATE(11236)] = 520107,
  [SMALL_STATE(11237)] = 520116,
  [SMALL_STATE(11238)] = 520127,
  [SMALL_STATE(11239)] = 520138,
  [SMALL_STATE(11240)] = 520149,
  [SMALL_STATE(11241)] = 520158,
  [SMALL_STATE(11242)] = 520167,
  [SMALL_STATE(11243)] = 520178,
  [SMALL_STATE(11244)] = 520187,
  [SMALL_STATE(11245)] = 520196,
  [SMALL_STATE(11246)] = 520205,
  [SMALL_STATE(11247)] = 520214,
  [SMALL_STATE(11248)] = 520223,
  [SMALL_STATE(11249)] = 520232,
  [SMALL_STATE(11250)] = 520241,
  [SMALL_STATE(11251)] = 520250,
  [SMALL_STATE(11252)] = 520259,
  [SMALL_STATE(11253)] = 520268,
  [SMALL_STATE(11254)] = 520277,
  [SMALL_STATE(11255)] = 520286,
  [SMALL_STATE(11256)] = 520295,
  [SMALL_STATE(11257)] = 520304,
  [SMALL_STATE(11258)] = 520313,
  [SMALL_STATE(11259)] = 520322,
  [SMALL_STATE(11260)] = 520331,
  [SMALL_STATE(11261)] = 520340,
  [SMALL_STATE(11262)] = 520349,
  [SMALL_STATE(11263)] = 520358,
  [SMALL_STATE(11264)] = 520369,
  [SMALL_STATE(11265)] = 520378,
  [SMALL_STATE(11266)] = 520387,
  [SMALL_STATE(11267)] = 520396,
  [SMALL_STATE(11268)] = 520405,
  [SMALL_STATE(11269)] = 520414,
  [SMALL_STATE(11270)] = 520423,
  [SMALL_STATE(11271)] = 520434,
  [SMALL_STATE(11272)] = 520443,
  [SMALL_STATE(11273)] = 520452,
  [SMALL_STATE(11274)] = 520463,
  [SMALL_STATE(11275)] = 520474,
  [SMALL_STATE(11276)] = 520483,
  [SMALL_STATE(11277)] = 520492,
  [SMALL_STATE(11278)] = 520501,
  [SMALL_STATE(11279)] = 520510,
  [SMALL_STATE(11280)] = 520519,
  [SMALL_STATE(11281)] = 520528,
  [SMALL_STATE(11282)] = 520537,
  [SMALL_STATE(11283)] = 520546,
  [SMALL_STATE(11284)] = 520555,
  [SMALL_STATE(11285)] = 520564,
  [SMALL_STATE(11286)] = 520573,
  [SMALL_STATE(11287)] = 520582,
  [SMALL_STATE(11288)] = 520593,
  [SMALL_STATE(11289)] = 520602,
  [SMALL_STATE(11290)] = 520613,
  [SMALL_STATE(11291)] = 520622,
  [SMALL_STATE(11292)] = 520631,
  [SMALL_STATE(11293)] = 520640,
  [SMALL_STATE(11294)] = 520649,
  [SMALL_STATE(11295)] = 520658,
  [SMALL_STATE(11296)] = 520667,
  [SMALL_STATE(11297)] = 520676,
  [SMALL_STATE(11298)] = 520687,
  [SMALL_STATE(11299)] = 520698,
  [SMALL_STATE(11300)] = 520707,
  [SMALL_STATE(11301)] = 520716,
  [SMALL_STATE(11302)] = 520725,
  [SMALL_STATE(11303)] = 520734,
  [SMALL_STATE(11304)] = 520743,
  [SMALL_STATE(11305)] = 520754,
  [SMALL_STATE(11306)] = 520763,
  [SMALL_STATE(11307)] = 520772,
  [SMALL_STATE(11308)] = 520781,
  [SMALL_STATE(11309)] = 520790,
  [SMALL_STATE(11310)] = 520799,
  [SMALL_STATE(11311)] = 520808,
  [SMALL_STATE(11312)] = 520817,
  [SMALL_STATE(11313)] = 520826,
  [SMALL_STATE(11314)] = 520835,
  [SMALL_STATE(11315)] = 520844,
  [SMALL_STATE(11316)] = 520853,
  [SMALL_STATE(11317)] = 520862,
  [SMALL_STATE(11318)] = 520871,
  [SMALL_STATE(11319)] = 520880,
  [SMALL_STATE(11320)] = 520889,
  [SMALL_STATE(11321)] = 520898,
  [SMALL_STATE(11322)] = 520909,
  [SMALL_STATE(11323)] = 520918,
  [SMALL_STATE(11324)] = 520927,
  [SMALL_STATE(11325)] = 520936,
  [SMALL_STATE(11326)] = 520945,
  [SMALL_STATE(11327)] = 520954,
  [SMALL_STATE(11328)] = 520963,
  [SMALL_STATE(11329)] = 520972,
  [SMALL_STATE(11330)] = 520983,
  [SMALL_STATE(11331)] = 520994,
  [SMALL_STATE(11332)] = 521003,
  [SMALL_STATE(11333)] = 521014,
  [SMALL_STATE(11334)] = 521023,
  [SMALL_STATE(11335)] = 521034,
  [SMALL_STATE(11336)] = 521045,
  [SMALL_STATE(11337)] = 521056,
  [SMALL_STATE(11338)] = 521065,
  [SMALL_STATE(11339)] = 521074,
  [SMALL_STATE(11340)] = 521083,
  [SMALL_STATE(11341)] = 521094,
  [SMALL_STATE(11342)] = 521103,
  [SMALL_STATE(11343)] = 521112,
  [SMALL_STATE(11344)] = 521121,
  [SMALL_STATE(11345)] = 521132,
  [SMALL_STATE(11346)] = 521141,
  [SMALL_STATE(11347)] = 521150,
  [SMALL_STATE(11348)] = 521161,
  [SMALL_STATE(11349)] = 521170,
  [SMALL_STATE(11350)] = 521179,
  [SMALL_STATE(11351)] = 521188,
  [SMALL_STATE(11352)] = 521197,
  [SMALL_STATE(11353)] = 521206,
  [SMALL_STATE(11354)] = 521215,
  [SMALL_STATE(11355)] = 521224,
  [SMALL_STATE(11356)] = 521235,
  [SMALL_STATE(11357)] = 521244,
  [SMALL_STATE(11358)] = 521253,
  [SMALL_STATE(11359)] = 521262,
  [SMALL_STATE(11360)] = 521271,
  [SMALL_STATE(11361)] = 521282,
  [SMALL_STATE(11362)] = 521293,
  [SMALL_STATE(11363)] = 521304,
  [SMALL_STATE(11364)] = 521315,
  [SMALL_STATE(11365)] = 521324,
  [SMALL_STATE(11366)] = 521333,
  [SMALL_STATE(11367)] = 521342,
  [SMALL_STATE(11368)] = 521351,
  [SMALL_STATE(11369)] = 521360,
  [SMALL_STATE(11370)] = 521369,
  [SMALL_STATE(11371)] = 521378,
  [SMALL_STATE(11372)] = 521387,
  [SMALL_STATE(11373)] = 521398,
  [SMALL_STATE(11374)] = 521407,
  [SMALL_STATE(11375)] = 521416,
  [SMALL_STATE(11376)] = 521425,
  [SMALL_STATE(11377)] = 521434,
  [SMALL_STATE(11378)] = 521443,
  [SMALL_STATE(11379)] = 521452,
  [SMALL_STATE(11380)] = 521461,
  [SMALL_STATE(11381)] = 521470,
  [SMALL_STATE(11382)] = 521481,
  [SMALL_STATE(11383)] = 521490,
  [SMALL_STATE(11384)] = 521501,
  [SMALL_STATE(11385)] = 521512,
  [SMALL_STATE(11386)] = 521521,
  [SMALL_STATE(11387)] = 521532,
  [SMALL_STATE(11388)] = 521541,
  [SMALL_STATE(11389)] = 521552,
  [SMALL_STATE(11390)] = 521561,
  [SMALL_STATE(11391)] = 521570,
  [SMALL_STATE(11392)] = 521581,
  [SMALL_STATE(11393)] = 521590,
  [SMALL_STATE(11394)] = 521601,
  [SMALL_STATE(11395)] = 521610,
  [SMALL_STATE(11396)] = 521619,
  [SMALL_STATE(11397)] = 521628,
  [SMALL_STATE(11398)] = 521637,
  [SMALL_STATE(11399)] = 521646,
  [SMALL_STATE(11400)] = 521657,
  [SMALL_STATE(11401)] = 521668,
  [SMALL_STATE(11402)] = 521679,
  [SMALL_STATE(11403)] = 521690,
  [SMALL_STATE(11404)] = 521699,
  [SMALL_STATE(11405)] = 521708,
  [SMALL_STATE(11406)] = 521719,
  [SMALL_STATE(11407)] = 521730,
  [SMALL_STATE(11408)] = 521739,
  [SMALL_STATE(11409)] = 521748,
  [SMALL_STATE(11410)] = 521757,
  [SMALL_STATE(11411)] = 521766,
  [SMALL_STATE(11412)] = 521777,
  [SMALL_STATE(11413)] = 521786,
  [SMALL_STATE(11414)] = 521797,
  [SMALL_STATE(11415)] = 521808,
  [SMALL_STATE(11416)] = 521819,
  [SMALL_STATE(11417)] = 521828,
  [SMALL_STATE(11418)] = 521837,
  [SMALL_STATE(11419)] = 521846,
  [SMALL_STATE(11420)] = 521855,
  [SMALL_STATE(11421)] = 521866,
  [SMALL_STATE(11422)] = 521877,
  [SMALL_STATE(11423)] = 521886,
  [SMALL_STATE(11424)] = 521897,
  [SMALL_STATE(11425)] = 521906,
  [SMALL_STATE(11426)] = 521917,
  [SMALL_STATE(11427)] = 521926,
  [SMALL_STATE(11428)] = 521935,
  [SMALL_STATE(11429)] = 521944,
  [SMALL_STATE(11430)] = 521953,
  [SMALL_STATE(11431)] = 521962,
  [SMALL_STATE(11432)] = 521973,
  [SMALL_STATE(11433)] = 521984,
  [SMALL_STATE(11434)] = 521993,
  [SMALL_STATE(11435)] = 522002,
  [SMALL_STATE(11436)] = 522013,
  [SMALL_STATE(11437)] = 522024,
  [SMALL_STATE(11438)] = 522033,
  [SMALL_STATE(11439)] = 522044,
  [SMALL_STATE(11440)] = 522055,
  [SMALL_STATE(11441)] = 522066,
  [SMALL_STATE(11442)] = 522077,
  [SMALL_STATE(11443)] = 522088,
  [SMALL_STATE(11444)] = 522099,
  [SMALL_STATE(11445)] = 522110,
  [SMALL_STATE(11446)] = 522121,
  [SMALL_STATE(11447)] = 522132,
  [SMALL_STATE(11448)] = 522141,
  [SMALL_STATE(11449)] = 522152,
  [SMALL_STATE(11450)] = 522163,
  [SMALL_STATE(11451)] = 522174,
  [SMALL_STATE(11452)] = 522185,
  [SMALL_STATE(11453)] = 522196,
  [SMALL_STATE(11454)] = 522207,
  [SMALL_STATE(11455)] = 522218,
  [SMALL_STATE(11456)] = 522229,
  [SMALL_STATE(11457)] = 522238,
  [SMALL_STATE(11458)] = 522247,
  [SMALL_STATE(11459)] = 522258,
  [SMALL_STATE(11460)] = 522269,
  [SMALL_STATE(11461)] = 522278,
  [SMALL_STATE(11462)] = 522289,
  [SMALL_STATE(11463)] = 522300,
  [SMALL_STATE(11464)] = 522309,
  [SMALL_STATE(11465)] = 522318,
  [SMALL_STATE(11466)] = 522329,
  [SMALL_STATE(11467)] = 522340,
  [SMALL_STATE(11468)] = 522349,
  [SMALL_STATE(11469)] = 522360,
  [SMALL_STATE(11470)] = 522371,
  [SMALL_STATE(11471)] = 522380,
  [SMALL_STATE(11472)] = 522389,
  [SMALL_STATE(11473)] = 522398,
  [SMALL_STATE(11474)] = 522409,
  [SMALL_STATE(11475)] = 522420,
  [SMALL_STATE(11476)] = 522431,
  [SMALL_STATE(11477)] = 522440,
  [SMALL_STATE(11478)] = 522449,
  [SMALL_STATE(11479)] = 522460,
  [SMALL_STATE(11480)] = 522469,
  [SMALL_STATE(11481)] = 522480,
  [SMALL_STATE(11482)] = 522491,
  [SMALL_STATE(11483)] = 522502,
  [SMALL_STATE(11484)] = 522513,
  [SMALL_STATE(11485)] = 522524,
  [SMALL_STATE(11486)] = 522535,
  [SMALL_STATE(11487)] = 522546,
  [SMALL_STATE(11488)] = 522557,
  [SMALL_STATE(11489)] = 522566,
  [SMALL_STATE(11490)] = 522575,
  [SMALL_STATE(11491)] = 522584,
  [SMALL_STATE(11492)] = 522593,
  [SMALL_STATE(11493)] = 522602,
  [SMALL_STATE(11494)] = 522611,
  [SMALL_STATE(11495)] = 522620,
  [SMALL_STATE(11496)] = 522629,
  [SMALL_STATE(11497)] = 522638,
  [SMALL_STATE(11498)] = 522649,
  [SMALL_STATE(11499)] = 522658,
  [SMALL_STATE(11500)] = 522667,
  [SMALL_STATE(11501)] = 522678,
  [SMALL_STATE(11502)] = 522687,
  [SMALL_STATE(11503)] = 522698,
  [SMALL_STATE(11504)] = 522707,
  [SMALL_STATE(11505)] = 522716,
  [SMALL_STATE(11506)] = 522727,
  [SMALL_STATE(11507)] = 522736,
  [SMALL_STATE(11508)] = 522745,
  [SMALL_STATE(11509)] = 522754,
  [SMALL_STATE(11510)] = 522763,
  [SMALL_STATE(11511)] = 522774,
  [SMALL_STATE(11512)] = 522783,
  [SMALL_STATE(11513)] = 522794,
  [SMALL_STATE(11514)] = 522803,
  [SMALL_STATE(11515)] = 522812,
  [SMALL_STATE(11516)] = 522823,
  [SMALL_STATE(11517)] = 522832,
  [SMALL_STATE(11518)] = 522841,
  [SMALL_STATE(11519)] = 522850,
  [SMALL_STATE(11520)] = 522861,
  [SMALL_STATE(11521)] = 522872,
  [SMALL_STATE(11522)] = 522883,
  [SMALL_STATE(11523)] = 522892,
  [SMALL_STATE(11524)] = 522903,
  [SMALL_STATE(11525)] = 522914,
  [SMALL_STATE(11526)] = 522925,
  [SMALL_STATE(11527)] = 522936,
  [SMALL_STATE(11528)] = 522947,
  [SMALL_STATE(11529)] = 522958,
  [SMALL_STATE(11530)] = 522969,
  [SMALL_STATE(11531)] = 522980,
  [SMALL_STATE(11532)] = 522991,
  [SMALL_STATE(11533)] = 523002,
  [SMALL_STATE(11534)] = 523011,
  [SMALL_STATE(11535)] = 523020,
  [SMALL_STATE(11536)] = 523031,
  [SMALL_STATE(11537)] = 523042,
  [SMALL_STATE(11538)] = 523053,
  [SMALL_STATE(11539)] = 523064,
  [SMALL_STATE(11540)] = 523073,
  [SMALL_STATE(11541)] = 523084,
  [SMALL_STATE(11542)] = 523095,
  [SMALL_STATE(11543)] = 523106,
  [SMALL_STATE(11544)] = 523115,
  [SMALL_STATE(11545)] = 523126,
  [SMALL_STATE(11546)] = 523135,
  [SMALL_STATE(11547)] = 523146,
  [SMALL_STATE(11548)] = 523155,
  [SMALL_STATE(11549)] = 523166,
  [SMALL_STATE(11550)] = 523175,
  [SMALL_STATE(11551)] = 523186,
  [SMALL_STATE(11552)] = 523197,
  [SMALL_STATE(11553)] = 523208,
  [SMALL_STATE(11554)] = 523217,
  [SMALL_STATE(11555)] = 523228,
  [SMALL_STATE(11556)] = 523239,
  [SMALL_STATE(11557)] = 523250,
  [SMALL_STATE(11558)] = 523261,
  [SMALL_STATE(11559)] = 523270,
  [SMALL_STATE(11560)] = 523279,
  [SMALL_STATE(11561)] = 523290,
  [SMALL_STATE(11562)] = 523301,
  [SMALL_STATE(11563)] = 523310,
  [SMALL_STATE(11564)] = 523319,
  [SMALL_STATE(11565)] = 523330,
  [SMALL_STATE(11566)] = 523339,
  [SMALL_STATE(11567)] = 523348,
  [SMALL_STATE(11568)] = 523357,
  [SMALL_STATE(11569)] = 523366,
  [SMALL_STATE(11570)] = 523375,
  [SMALL_STATE(11571)] = 523384,
  [SMALL_STATE(11572)] = 523395,
  [SMALL_STATE(11573)] = 523406,
  [SMALL_STATE(11574)] = 523415,
  [SMALL_STATE(11575)] = 523426,
  [SMALL_STATE(11576)] = 523437,
  [SMALL_STATE(11577)] = 523448,
  [SMALL_STATE(11578)] = 523459,
  [SMALL_STATE(11579)] = 523470,
  [SMALL_STATE(11580)] = 523479,
  [SMALL_STATE(11581)] = 523490,
  [SMALL_STATE(11582)] = 523501,
  [SMALL_STATE(11583)] = 523512,
  [SMALL_STATE(11584)] = 523521,
  [SMALL_STATE(11585)] = 523532,
  [SMALL_STATE(11586)] = 523541,
  [SMALL_STATE(11587)] = 523552,
  [SMALL_STATE(11588)] = 523561,
  [SMALL_STATE(11589)] = 523572,
  [SMALL_STATE(11590)] = 523583,
  [SMALL_STATE(11591)] = 523594,
  [SMALL_STATE(11592)] = 523605,
  [SMALL_STATE(11593)] = 523616,
  [SMALL_STATE(11594)] = 523627,
  [SMALL_STATE(11595)] = 523638,
  [SMALL_STATE(11596)] = 523649,
  [SMALL_STATE(11597)] = 523660,
  [SMALL_STATE(11598)] = 523671,
  [SMALL_STATE(11599)] = 523682,
  [SMALL_STATE(11600)] = 523691,
  [SMALL_STATE(11601)] = 523702,
  [SMALL_STATE(11602)] = 523713,
  [SMALL_STATE(11603)] = 523724,
  [SMALL_STATE(11604)] = 523735,
  [SMALL_STATE(11605)] = 523746,
  [SMALL_STATE(11606)] = 523757,
  [SMALL_STATE(11607)] = 523766,
  [SMALL_STATE(11608)] = 523775,
  [SMALL_STATE(11609)] = 523784,
  [SMALL_STATE(11610)] = 523793,
  [SMALL_STATE(11611)] = 523804,
  [SMALL_STATE(11612)] = 523815,
  [SMALL_STATE(11613)] = 523826,
  [SMALL_STATE(11614)] = 523835,
  [SMALL_STATE(11615)] = 523846,
  [SMALL_STATE(11616)] = 523855,
  [SMALL_STATE(11617)] = 523864,
  [SMALL_STATE(11618)] = 523873,
  [SMALL_STATE(11619)] = 523882,
  [SMALL_STATE(11620)] = 523891,
  [SMALL_STATE(11621)] = 523900,
  [SMALL_STATE(11622)] = 523909,
  [SMALL_STATE(11623)] = 523920,
  [SMALL_STATE(11624)] = 523931,
  [SMALL_STATE(11625)] = 523942,
  [SMALL_STATE(11626)] = 523953,
  [SMALL_STATE(11627)] = 523964,
  [SMALL_STATE(11628)] = 523975,
  [SMALL_STATE(11629)] = 523986,
  [SMALL_STATE(11630)] = 523997,
  [SMALL_STATE(11631)] = 524008,
  [SMALL_STATE(11632)] = 524019,
  [SMALL_STATE(11633)] = 524030,
  [SMALL_STATE(11634)] = 524039,
  [SMALL_STATE(11635)] = 524050,
  [SMALL_STATE(11636)] = 524061,
  [SMALL_STATE(11637)] = 524072,
  [SMALL_STATE(11638)] = 524083,
  [SMALL_STATE(11639)] = 524094,
  [SMALL_STATE(11640)] = 524105,
  [SMALL_STATE(11641)] = 524116,
  [SMALL_STATE(11642)] = 524127,
  [SMALL_STATE(11643)] = 524138,
  [SMALL_STATE(11644)] = 524149,
  [SMALL_STATE(11645)] = 524160,
  [SMALL_STATE(11646)] = 524171,
  [SMALL_STATE(11647)] = 524182,
  [SMALL_STATE(11648)] = 524193,
  [SMALL_STATE(11649)] = 524204,
  [SMALL_STATE(11650)] = 524215,
  [SMALL_STATE(11651)] = 524226,
  [SMALL_STATE(11652)] = 524237,
  [SMALL_STATE(11653)] = 524248,
  [SMALL_STATE(11654)] = 524259,
  [SMALL_STATE(11655)] = 524268,
  [SMALL_STATE(11656)] = 524277,
  [SMALL_STATE(11657)] = 524286,
  [SMALL_STATE(11658)] = 524297,
  [SMALL_STATE(11659)] = 524308,
  [SMALL_STATE(11660)] = 524319,
  [SMALL_STATE(11661)] = 524330,
  [SMALL_STATE(11662)] = 524341,
  [SMALL_STATE(11663)] = 524352,
  [SMALL_STATE(11664)] = 524361,
  [SMALL_STATE(11665)] = 524370,
  [SMALL_STATE(11666)] = 524379,
  [SMALL_STATE(11667)] = 524390,
  [SMALL_STATE(11668)] = 524401,
  [SMALL_STATE(11669)] = 524412,
  [SMALL_STATE(11670)] = 524423,
  [SMALL_STATE(11671)] = 524434,
  [SMALL_STATE(11672)] = 524445,
  [SMALL_STATE(11673)] = 524456,
  [SMALL_STATE(11674)] = 524467,
  [SMALL_STATE(11675)] = 524478,
  [SMALL_STATE(11676)] = 524489,
  [SMALL_STATE(11677)] = 524500,
  [SMALL_STATE(11678)] = 524509,
  [SMALL_STATE(11679)] = 524520,
  [SMALL_STATE(11680)] = 524531,
  [SMALL_STATE(11681)] = 524542,
  [SMALL_STATE(11682)] = 524553,
  [SMALL_STATE(11683)] = 524564,
  [SMALL_STATE(11684)] = 524575,
  [SMALL_STATE(11685)] = 524584,
  [SMALL_STATE(11686)] = 524595,
  [SMALL_STATE(11687)] = 524606,
  [SMALL_STATE(11688)] = 524617,
  [SMALL_STATE(11689)] = 524628,
  [SMALL_STATE(11690)] = 524639,
  [SMALL_STATE(11691)] = 524650,
  [SMALL_STATE(11692)] = 524661,
  [SMALL_STATE(11693)] = 524672,
  [SMALL_STATE(11694)] = 524683,
  [SMALL_STATE(11695)] = 524694,
  [SMALL_STATE(11696)] = 524705,
  [SMALL_STATE(11697)] = 524716,
  [SMALL_STATE(11698)] = 524727,
  [SMALL_STATE(11699)] = 524738,
  [SMALL_STATE(11700)] = 524749,
  [SMALL_STATE(11701)] = 524760,
  [SMALL_STATE(11702)] = 524771,
  [SMALL_STATE(11703)] = 524782,
  [SMALL_STATE(11704)] = 524793,
  [SMALL_STATE(11705)] = 524804,
  [SMALL_STATE(11706)] = 524815,
  [SMALL_STATE(11707)] = 524826,
  [SMALL_STATE(11708)] = 524837,
  [SMALL_STATE(11709)] = 524846,
  [SMALL_STATE(11710)] = 524855,
  [SMALL_STATE(11711)] = 524866,
  [SMALL_STATE(11712)] = 524877,
  [SMALL_STATE(11713)] = 524888,
  [SMALL_STATE(11714)] = 524897,
  [SMALL_STATE(11715)] = 524908,
  [SMALL_STATE(11716)] = 524919,
  [SMALL_STATE(11717)] = 524930,
  [SMALL_STATE(11718)] = 524941,
  [SMALL_STATE(11719)] = 524952,
  [SMALL_STATE(11720)] = 524963,
  [SMALL_STATE(11721)] = 524974,
  [SMALL_STATE(11722)] = 524985,
  [SMALL_STATE(11723)] = 524996,
  [SMALL_STATE(11724)] = 525007,
  [SMALL_STATE(11725)] = 525018,
  [SMALL_STATE(11726)] = 525029,
  [SMALL_STATE(11727)] = 525040,
  [SMALL_STATE(11728)] = 525051,
  [SMALL_STATE(11729)] = 525062,
  [SMALL_STATE(11730)] = 525073,
  [SMALL_STATE(11731)] = 525084,
  [SMALL_STATE(11732)] = 525095,
  [SMALL_STATE(11733)] = 525106,
  [SMALL_STATE(11734)] = 525117,
  [SMALL_STATE(11735)] = 525128,
  [SMALL_STATE(11736)] = 525139,
  [SMALL_STATE(11737)] = 525150,
  [SMALL_STATE(11738)] = 525161,
  [SMALL_STATE(11739)] = 525172,
  [SMALL_STATE(11740)] = 525183,
  [SMALL_STATE(11741)] = 525194,
  [SMALL_STATE(11742)] = 525205,
  [SMALL_STATE(11743)] = 525216,
  [SMALL_STATE(11744)] = 525227,
  [SMALL_STATE(11745)] = 525238,
  [SMALL_STATE(11746)] = 525249,
  [SMALL_STATE(11747)] = 525260,
  [SMALL_STATE(11748)] = 525271,
  [SMALL_STATE(11749)] = 525282,
  [SMALL_STATE(11750)] = 525293,
  [SMALL_STATE(11751)] = 525304,
  [SMALL_STATE(11752)] = 525315,
  [SMALL_STATE(11753)] = 525326,
  [SMALL_STATE(11754)] = 525337,
  [SMALL_STATE(11755)] = 525348,
  [SMALL_STATE(11756)] = 525359,
  [SMALL_STATE(11757)] = 525370,
  [SMALL_STATE(11758)] = 525379,
  [SMALL_STATE(11759)] = 525390,
  [SMALL_STATE(11760)] = 525401,
  [SMALL_STATE(11761)] = 525412,
  [SMALL_STATE(11762)] = 525423,
  [SMALL_STATE(11763)] = 525434,
  [SMALL_STATE(11764)] = 525445,
  [SMALL_STATE(11765)] = 525456,
  [SMALL_STATE(11766)] = 525467,
  [SMALL_STATE(11767)] = 525478,
  [SMALL_STATE(11768)] = 525487,
  [SMALL_STATE(11769)] = 525498,
  [SMALL_STATE(11770)] = 525509,
  [SMALL_STATE(11771)] = 525518,
  [SMALL_STATE(11772)] = 525529,
  [SMALL_STATE(11773)] = 525540,
  [SMALL_STATE(11774)] = 525549,
  [SMALL_STATE(11775)] = 525560,
  [SMALL_STATE(11776)] = 525571,
  [SMALL_STATE(11777)] = 525582,
  [SMALL_STATE(11778)] = 525593,
  [SMALL_STATE(11779)] = 525604,
  [SMALL_STATE(11780)] = 525615,
  [SMALL_STATE(11781)] = 525626,
  [SMALL_STATE(11782)] = 525637,
  [SMALL_STATE(11783)] = 525648,
  [SMALL_STATE(11784)] = 525659,
  [SMALL_STATE(11785)] = 525670,
  [SMALL_STATE(11786)] = 525681,
  [SMALL_STATE(11787)] = 525692,
  [SMALL_STATE(11788)] = 525703,
  [SMALL_STATE(11789)] = 525714,
  [SMALL_STATE(11790)] = 525725,
  [SMALL_STATE(11791)] = 525736,
  [SMALL_STATE(11792)] = 525747,
  [SMALL_STATE(11793)] = 525758,
  [SMALL_STATE(11794)] = 525769,
  [SMALL_STATE(11795)] = 525780,
  [SMALL_STATE(11796)] = 525791,
  [SMALL_STATE(11797)] = 525800,
  [SMALL_STATE(11798)] = 525811,
  [SMALL_STATE(11799)] = 525822,
  [SMALL_STATE(11800)] = 525833,
  [SMALL_STATE(11801)] = 525844,
  [SMALL_STATE(11802)] = 525855,
  [SMALL_STATE(11803)] = 525866,
  [SMALL_STATE(11804)] = 525877,
  [SMALL_STATE(11805)] = 525888,
  [SMALL_STATE(11806)] = 525899,
  [SMALL_STATE(11807)] = 525910,
  [SMALL_STATE(11808)] = 525921,
  [SMALL_STATE(11809)] = 525932,
  [SMALL_STATE(11810)] = 525943,
  [SMALL_STATE(11811)] = 525954,
  [SMALL_STATE(11812)] = 525965,
  [SMALL_STATE(11813)] = 525974,
  [SMALL_STATE(11814)] = 525985,
  [SMALL_STATE(11815)] = 525996,
  [SMALL_STATE(11816)] = 526007,
  [SMALL_STATE(11817)] = 526018,
  [SMALL_STATE(11818)] = 526029,
  [SMALL_STATE(11819)] = 526040,
  [SMALL_STATE(11820)] = 526051,
  [SMALL_STATE(11821)] = 526062,
  [SMALL_STATE(11822)] = 526073,
  [SMALL_STATE(11823)] = 526084,
  [SMALL_STATE(11824)] = 526095,
  [SMALL_STATE(11825)] = 526104,
  [SMALL_STATE(11826)] = 526115,
  [SMALL_STATE(11827)] = 526126,
  [SMALL_STATE(11828)] = 526137,
  [SMALL_STATE(11829)] = 526148,
  [SMALL_STATE(11830)] = 526159,
  [SMALL_STATE(11831)] = 526170,
  [SMALL_STATE(11832)] = 526181,
  [SMALL_STATE(11833)] = 526192,
  [SMALL_STATE(11834)] = 526203,
  [SMALL_STATE(11835)] = 526212,
  [SMALL_STATE(11836)] = 526223,
  [SMALL_STATE(11837)] = 526234,
  [SMALL_STATE(11838)] = 526245,
  [SMALL_STATE(11839)] = 526254,
  [SMALL_STATE(11840)] = 526263,
  [SMALL_STATE(11841)] = 526272,
  [SMALL_STATE(11842)] = 526281,
  [SMALL_STATE(11843)] = 526290,
  [SMALL_STATE(11844)] = 526301,
  [SMALL_STATE(11845)] = 526312,
  [SMALL_STATE(11846)] = 526323,
  [SMALL_STATE(11847)] = 526334,
  [SMALL_STATE(11848)] = 526345,
  [SMALL_STATE(11849)] = 526354,
  [SMALL_STATE(11850)] = 526365,
  [SMALL_STATE(11851)] = 526376,
  [SMALL_STATE(11852)] = 526387,
  [SMALL_STATE(11853)] = 526398,
  [SMALL_STATE(11854)] = 526409,
  [SMALL_STATE(11855)] = 526420,
  [SMALL_STATE(11856)] = 526431,
  [SMALL_STATE(11857)] = 526442,
  [SMALL_STATE(11858)] = 526453,
  [SMALL_STATE(11859)] = 526464,
  [SMALL_STATE(11860)] = 526475,
  [SMALL_STATE(11861)] = 526486,
  [SMALL_STATE(11862)] = 526497,
  [SMALL_STATE(11863)] = 526506,
  [SMALL_STATE(11864)] = 526517,
  [SMALL_STATE(11865)] = 526528,
  [SMALL_STATE(11866)] = 526539,
  [SMALL_STATE(11867)] = 526550,
  [SMALL_STATE(11868)] = 526561,
  [SMALL_STATE(11869)] = 526572,
  [SMALL_STATE(11870)] = 526583,
  [SMALL_STATE(11871)] = 526594,
  [SMALL_STATE(11872)] = 526603,
  [SMALL_STATE(11873)] = 526614,
  [SMALL_STATE(11874)] = 526623,
  [SMALL_STATE(11875)] = 526634,
  [SMALL_STATE(11876)] = 526645,
  [SMALL_STATE(11877)] = 526656,
  [SMALL_STATE(11878)] = 526667,
  [SMALL_STATE(11879)] = 526678,
  [SMALL_STATE(11880)] = 526689,
  [SMALL_STATE(11881)] = 526700,
  [SMALL_STATE(11882)] = 526711,
  [SMALL_STATE(11883)] = 526722,
  [SMALL_STATE(11884)] = 526733,
  [SMALL_STATE(11885)] = 526744,
  [SMALL_STATE(11886)] = 526755,
  [SMALL_STATE(11887)] = 526766,
  [SMALL_STATE(11888)] = 526777,
  [SMALL_STATE(11889)] = 526788,
  [SMALL_STATE(11890)] = 526799,
  [SMALL_STATE(11891)] = 526810,
  [SMALL_STATE(11892)] = 526821,
  [SMALL_STATE(11893)] = 526832,
  [SMALL_STATE(11894)] = 526843,
  [SMALL_STATE(11895)] = 526854,
  [SMALL_STATE(11896)] = 526865,
  [SMALL_STATE(11897)] = 526876,
  [SMALL_STATE(11898)] = 526887,
  [SMALL_STATE(11899)] = 526898,
  [SMALL_STATE(11900)] = 526909,
  [SMALL_STATE(11901)] = 526920,
  [SMALL_STATE(11902)] = 526931,
  [SMALL_STATE(11903)] = 526942,
  [SMALL_STATE(11904)] = 526953,
  [SMALL_STATE(11905)] = 526964,
  [SMALL_STATE(11906)] = 526975,
  [SMALL_STATE(11907)] = 526984,
  [SMALL_STATE(11908)] = 526995,
  [SMALL_STATE(11909)] = 527006,
  [SMALL_STATE(11910)] = 527017,
  [SMALL_STATE(11911)] = 527028,
  [SMALL_STATE(11912)] = 527037,
  [SMALL_STATE(11913)] = 527048,
  [SMALL_STATE(11914)] = 527059,
  [SMALL_STATE(11915)] = 527070,
  [SMALL_STATE(11916)] = 527081,
  [SMALL_STATE(11917)] = 527092,
  [SMALL_STATE(11918)] = 527103,
  [SMALL_STATE(11919)] = 527114,
  [SMALL_STATE(11920)] = 527123,
  [SMALL_STATE(11921)] = 527134,
  [SMALL_STATE(11922)] = 527145,
  [SMALL_STATE(11923)] = 527154,
  [SMALL_STATE(11924)] = 527165,
  [SMALL_STATE(11925)] = 527176,
  [SMALL_STATE(11926)] = 527185,
  [SMALL_STATE(11927)] = 527196,
  [SMALL_STATE(11928)] = 527207,
  [SMALL_STATE(11929)] = 527218,
  [SMALL_STATE(11930)] = 527229,
  [SMALL_STATE(11931)] = 527240,
  [SMALL_STATE(11932)] = 527251,
  [SMALL_STATE(11933)] = 527262,
  [SMALL_STATE(11934)] = 527273,
  [SMALL_STATE(11935)] = 527284,
  [SMALL_STATE(11936)] = 527295,
  [SMALL_STATE(11937)] = 527306,
  [SMALL_STATE(11938)] = 527317,
  [SMALL_STATE(11939)] = 527328,
  [SMALL_STATE(11940)] = 527339,
  [SMALL_STATE(11941)] = 527350,
  [SMALL_STATE(11942)] = 527361,
  [SMALL_STATE(11943)] = 527372,
  [SMALL_STATE(11944)] = 527383,
  [SMALL_STATE(11945)] = 527394,
  [SMALL_STATE(11946)] = 527405,
  [SMALL_STATE(11947)] = 527416,
  [SMALL_STATE(11948)] = 527427,
  [SMALL_STATE(11949)] = 527438,
  [SMALL_STATE(11950)] = 527449,
  [SMALL_STATE(11951)] = 527460,
  [SMALL_STATE(11952)] = 527471,
  [SMALL_STATE(11953)] = 527482,
  [SMALL_STATE(11954)] = 527493,
  [SMALL_STATE(11955)] = 527504,
  [SMALL_STATE(11956)] = 527515,
  [SMALL_STATE(11957)] = 527526,
  [SMALL_STATE(11958)] = 527537,
  [SMALL_STATE(11959)] = 527548,
  [SMALL_STATE(11960)] = 527559,
  [SMALL_STATE(11961)] = 527570,
  [SMALL_STATE(11962)] = 527581,
  [SMALL_STATE(11963)] = 527590,
  [SMALL_STATE(11964)] = 527601,
  [SMALL_STATE(11965)] = 527612,
  [SMALL_STATE(11966)] = 527623,
  [SMALL_STATE(11967)] = 527634,
  [SMALL_STATE(11968)] = 527645,
  [SMALL_STATE(11969)] = 527656,
  [SMALL_STATE(11970)] = 527667,
  [SMALL_STATE(11971)] = 527678,
  [SMALL_STATE(11972)] = 527689,
  [SMALL_STATE(11973)] = 527700,
  [SMALL_STATE(11974)] = 527711,
  [SMALL_STATE(11975)] = 527722,
  [SMALL_STATE(11976)] = 527733,
  [SMALL_STATE(11977)] = 527744,
  [SMALL_STATE(11978)] = 527755,
  [SMALL_STATE(11979)] = 527766,
  [SMALL_STATE(11980)] = 527777,
  [SMALL_STATE(11981)] = 527788,
  [SMALL_STATE(11982)] = 527799,
  [SMALL_STATE(11983)] = 527810,
  [SMALL_STATE(11984)] = 527821,
  [SMALL_STATE(11985)] = 527832,
  [SMALL_STATE(11986)] = 527843,
  [SMALL_STATE(11987)] = 527854,
  [SMALL_STATE(11988)] = 527865,
  [SMALL_STATE(11989)] = 527876,
  [SMALL_STATE(11990)] = 527887,
  [SMALL_STATE(11991)] = 527898,
  [SMALL_STATE(11992)] = 527909,
  [SMALL_STATE(11993)] = 527920,
  [SMALL_STATE(11994)] = 527931,
  [SMALL_STATE(11995)] = 527940,
  [SMALL_STATE(11996)] = 527949,
  [SMALL_STATE(11997)] = 527960,
  [SMALL_STATE(11998)] = 527971,
  [SMALL_STATE(11999)] = 527982,
  [SMALL_STATE(12000)] = 527993,
  [SMALL_STATE(12001)] = 528004,
  [SMALL_STATE(12002)] = 528015,
  [SMALL_STATE(12003)] = 528026,
  [SMALL_STATE(12004)] = 528037,
  [SMALL_STATE(12005)] = 528048,
  [SMALL_STATE(12006)] = 528059,
  [SMALL_STATE(12007)] = 528068,
  [SMALL_STATE(12008)] = 528079,
  [SMALL_STATE(12009)] = 528088,
  [SMALL_STATE(12010)] = 528099,
  [SMALL_STATE(12011)] = 528110,
  [SMALL_STATE(12012)] = 528119,
  [SMALL_STATE(12013)] = 528130,
  [SMALL_STATE(12014)] = 528141,
  [SMALL_STATE(12015)] = 528152,
  [SMALL_STATE(12016)] = 528163,
  [SMALL_STATE(12017)] = 528174,
  [SMALL_STATE(12018)] = 528185,
  [SMALL_STATE(12019)] = 528193,
  [SMALL_STATE(12020)] = 528201,
  [SMALL_STATE(12021)] = 528209,
  [SMALL_STATE(12022)] = 528217,
  [SMALL_STATE(12023)] = 528225,
  [SMALL_STATE(12024)] = 528233,
  [SMALL_STATE(12025)] = 528241,
  [SMALL_STATE(12026)] = 528249,
  [SMALL_STATE(12027)] = 528257,
  [SMALL_STATE(12028)] = 528265,
  [SMALL_STATE(12029)] = 528273,
  [SMALL_STATE(12030)] = 528281,
  [SMALL_STATE(12031)] = 528289,
  [SMALL_STATE(12032)] = 528297,
  [SMALL_STATE(12033)] = 528305,
  [SMALL_STATE(12034)] = 528313,
  [SMALL_STATE(12035)] = 528321,
  [SMALL_STATE(12036)] = 528329,
  [SMALL_STATE(12037)] = 528337,
  [SMALL_STATE(12038)] = 528345,
  [SMALL_STATE(12039)] = 528353,
  [SMALL_STATE(12040)] = 528361,
  [SMALL_STATE(12041)] = 528369,
  [SMALL_STATE(12042)] = 528377,
  [SMALL_STATE(12043)] = 528385,
  [SMALL_STATE(12044)] = 528393,
  [SMALL_STATE(12045)] = 528401,
  [SMALL_STATE(12046)] = 528409,
  [SMALL_STATE(12047)] = 528417,
  [SMALL_STATE(12048)] = 528425,
  [SMALL_STATE(12049)] = 528433,
  [SMALL_STATE(12050)] = 528441,
  [SMALL_STATE(12051)] = 528449,
  [SMALL_STATE(12052)] = 528457,
  [SMALL_STATE(12053)] = 528465,
  [SMALL_STATE(12054)] = 528473,
  [SMALL_STATE(12055)] = 528481,
  [SMALL_STATE(12056)] = 528489,
  [SMALL_STATE(12057)] = 528497,
  [SMALL_STATE(12058)] = 528505,
  [SMALL_STATE(12059)] = 528513,
  [SMALL_STATE(12060)] = 528521,
  [SMALL_STATE(12061)] = 528529,
  [SMALL_STATE(12062)] = 528537,
  [SMALL_STATE(12063)] = 528545,
  [SMALL_STATE(12064)] = 528553,
  [SMALL_STATE(12065)] = 528561,
  [SMALL_STATE(12066)] = 528569,
  [SMALL_STATE(12067)] = 528577,
  [SMALL_STATE(12068)] = 528585,
  [SMALL_STATE(12069)] = 528593,
  [SMALL_STATE(12070)] = 528601,
  [SMALL_STATE(12071)] = 528609,
  [SMALL_STATE(12072)] = 528617,
  [SMALL_STATE(12073)] = 528625,
  [SMALL_STATE(12074)] = 528633,
  [SMALL_STATE(12075)] = 528641,
  [SMALL_STATE(12076)] = 528649,
  [SMALL_STATE(12077)] = 528657,
  [SMALL_STATE(12078)] = 528665,
  [SMALL_STATE(12079)] = 528673,
  [SMALL_STATE(12080)] = 528681,
  [SMALL_STATE(12081)] = 528689,
  [SMALL_STATE(12082)] = 528697,
  [SMALL_STATE(12083)] = 528705,
  [SMALL_STATE(12084)] = 528713,
  [SMALL_STATE(12085)] = 528721,
  [SMALL_STATE(12086)] = 528729,
  [SMALL_STATE(12087)] = 528737,
  [SMALL_STATE(12088)] = 528745,
  [SMALL_STATE(12089)] = 528753,
  [SMALL_STATE(12090)] = 528761,
  [SMALL_STATE(12091)] = 528769,
  [SMALL_STATE(12092)] = 528777,
  [SMALL_STATE(12093)] = 528785,
  [SMALL_STATE(12094)] = 528793,
  [SMALL_STATE(12095)] = 528801,
  [SMALL_STATE(12096)] = 528809,
  [SMALL_STATE(12097)] = 528817,
  [SMALL_STATE(12098)] = 528825,
  [SMALL_STATE(12099)] = 528833,
  [SMALL_STATE(12100)] = 528841,
  [SMALL_STATE(12101)] = 528849,
  [SMALL_STATE(12102)] = 528857,
  [SMALL_STATE(12103)] = 528865,
  [SMALL_STATE(12104)] = 528873,
  [SMALL_STATE(12105)] = 528881,
  [SMALL_STATE(12106)] = 528889,
  [SMALL_STATE(12107)] = 528897,
  [SMALL_STATE(12108)] = 528905,
  [SMALL_STATE(12109)] = 528913,
  [SMALL_STATE(12110)] = 528921,
  [SMALL_STATE(12111)] = 528929,
  [SMALL_STATE(12112)] = 528937,
  [SMALL_STATE(12113)] = 528945,
  [SMALL_STATE(12114)] = 528953,
  [SMALL_STATE(12115)] = 528961,
  [SMALL_STATE(12116)] = 528969,
  [SMALL_STATE(12117)] = 528977,
  [SMALL_STATE(12118)] = 528985,
  [SMALL_STATE(12119)] = 528993,
  [SMALL_STATE(12120)] = 529001,
  [SMALL_STATE(12121)] = 529009,
  [SMALL_STATE(12122)] = 529017,
  [SMALL_STATE(12123)] = 529025,
  [SMALL_STATE(12124)] = 529033,
  [SMALL_STATE(12125)] = 529041,
  [SMALL_STATE(12126)] = 529049,
  [SMALL_STATE(12127)] = 529057,
  [SMALL_STATE(12128)] = 529065,
  [SMALL_STATE(12129)] = 529073,
  [SMALL_STATE(12130)] = 529081,
  [SMALL_STATE(12131)] = 529089,
  [SMALL_STATE(12132)] = 529097,
  [SMALL_STATE(12133)] = 529105,
  [SMALL_STATE(12134)] = 529113,
  [SMALL_STATE(12135)] = 529121,
  [SMALL_STATE(12136)] = 529129,
  [SMALL_STATE(12137)] = 529137,
  [SMALL_STATE(12138)] = 529145,
  [SMALL_STATE(12139)] = 529153,
  [SMALL_STATE(12140)] = 529161,
  [SMALL_STATE(12141)] = 529169,
  [SMALL_STATE(12142)] = 529177,
  [SMALL_STATE(12143)] = 529185,
  [SMALL_STATE(12144)] = 529193,
  [SMALL_STATE(12145)] = 529201,
  [SMALL_STATE(12146)] = 529209,
  [SMALL_STATE(12147)] = 529217,
  [SMALL_STATE(12148)] = 529225,
  [SMALL_STATE(12149)] = 529233,
  [SMALL_STATE(12150)] = 529241,
  [SMALL_STATE(12151)] = 529249,
  [SMALL_STATE(12152)] = 529257,
  [SMALL_STATE(12153)] = 529265,
  [SMALL_STATE(12154)] = 529273,
  [SMALL_STATE(12155)] = 529281,
  [SMALL_STATE(12156)] = 529289,
  [SMALL_STATE(12157)] = 529297,
  [SMALL_STATE(12158)] = 529305,
  [SMALL_STATE(12159)] = 529313,
  [SMALL_STATE(12160)] = 529321,
  [SMALL_STATE(12161)] = 529329,
  [SMALL_STATE(12162)] = 529337,
  [SMALL_STATE(12163)] = 529345,
  [SMALL_STATE(12164)] = 529353,
  [SMALL_STATE(12165)] = 529361,
  [SMALL_STATE(12166)] = 529369,
  [SMALL_STATE(12167)] = 529377,
  [SMALL_STATE(12168)] = 529385,
  [SMALL_STATE(12169)] = 529393,
  [SMALL_STATE(12170)] = 529401,
  [SMALL_STATE(12171)] = 529409,
  [SMALL_STATE(12172)] = 529417,
  [SMALL_STATE(12173)] = 529425,
  [SMALL_STATE(12174)] = 529433,
  [SMALL_STATE(12175)] = 529441,
  [SMALL_STATE(12176)] = 529449,
  [SMALL_STATE(12177)] = 529457,
  [SMALL_STATE(12178)] = 529465,
  [SMALL_STATE(12179)] = 529473,
  [SMALL_STATE(12180)] = 529481,
  [SMALL_STATE(12181)] = 529489,
  [SMALL_STATE(12182)] = 529497,
  [SMALL_STATE(12183)] = 529505,
  [SMALL_STATE(12184)] = 529513,
  [SMALL_STATE(12185)] = 529521,
  [SMALL_STATE(12186)] = 529529,
  [SMALL_STATE(12187)] = 529537,
  [SMALL_STATE(12188)] = 529545,
  [SMALL_STATE(12189)] = 529553,
  [SMALL_STATE(12190)] = 529561,
  [SMALL_STATE(12191)] = 529569,
  [SMALL_STATE(12192)] = 529577,
  [SMALL_STATE(12193)] = 529585,
  [SMALL_STATE(12194)] = 529593,
  [SMALL_STATE(12195)] = 529601,
  [SMALL_STATE(12196)] = 529609,
  [SMALL_STATE(12197)] = 529617,
  [SMALL_STATE(12198)] = 529625,
  [SMALL_STATE(12199)] = 529633,
  [SMALL_STATE(12200)] = 529641,
  [SMALL_STATE(12201)] = 529649,
  [SMALL_STATE(12202)] = 529657,
  [SMALL_STATE(12203)] = 529665,
  [SMALL_STATE(12204)] = 529673,
  [SMALL_STATE(12205)] = 529681,
  [SMALL_STATE(12206)] = 529689,
  [SMALL_STATE(12207)] = 529697,
  [SMALL_STATE(12208)] = 529705,
  [SMALL_STATE(12209)] = 529713,
  [SMALL_STATE(12210)] = 529721,
  [SMALL_STATE(12211)] = 529729,
  [SMALL_STATE(12212)] = 529737,
  [SMALL_STATE(12213)] = 529745,
  [SMALL_STATE(12214)] = 529753,
  [SMALL_STATE(12215)] = 529761,
  [SMALL_STATE(12216)] = 529769,
  [SMALL_STATE(12217)] = 529777,
  [SMALL_STATE(12218)] = 529785,
  [SMALL_STATE(12219)] = 529793,
  [SMALL_STATE(12220)] = 529801,
  [SMALL_STATE(12221)] = 529809,
  [SMALL_STATE(12222)] = 529817,
  [SMALL_STATE(12223)] = 529825,
  [SMALL_STATE(12224)] = 529833,
  [SMALL_STATE(12225)] = 529841,
  [SMALL_STATE(12226)] = 529849,
  [SMALL_STATE(12227)] = 529857,
  [SMALL_STATE(12228)] = 529865,
  [SMALL_STATE(12229)] = 529873,
  [SMALL_STATE(12230)] = 529881,
  [SMALL_STATE(12231)] = 529889,
  [SMALL_STATE(12232)] = 529897,
  [SMALL_STATE(12233)] = 529905,
  [SMALL_STATE(12234)] = 529913,
  [SMALL_STATE(12235)] = 529921,
  [SMALL_STATE(12236)] = 529929,
  [SMALL_STATE(12237)] = 529937,
  [SMALL_STATE(12238)] = 529945,
  [SMALL_STATE(12239)] = 529953,
  [SMALL_STATE(12240)] = 529961,
  [SMALL_STATE(12241)] = 529969,
  [SMALL_STATE(12242)] = 529977,
  [SMALL_STATE(12243)] = 529985,
  [SMALL_STATE(12244)] = 529993,
  [SMALL_STATE(12245)] = 530001,
  [SMALL_STATE(12246)] = 530009,
  [SMALL_STATE(12247)] = 530017,
  [SMALL_STATE(12248)] = 530025,
  [SMALL_STATE(12249)] = 530033,
  [SMALL_STATE(12250)] = 530041,
  [SMALL_STATE(12251)] = 530049,
  [SMALL_STATE(12252)] = 530057,
  [SMALL_STATE(12253)] = 530065,
  [SMALL_STATE(12254)] = 530073,
  [SMALL_STATE(12255)] = 530081,
  [SMALL_STATE(12256)] = 530089,
  [SMALL_STATE(12257)] = 530097,
  [SMALL_STATE(12258)] = 530105,
  [SMALL_STATE(12259)] = 530113,
  [SMALL_STATE(12260)] = 530121,
  [SMALL_STATE(12261)] = 530129,
  [SMALL_STATE(12262)] = 530137,
  [SMALL_STATE(12263)] = 530145,
  [SMALL_STATE(12264)] = 530153,
  [SMALL_STATE(12265)] = 530161,
  [SMALL_STATE(12266)] = 530169,
  [SMALL_STATE(12267)] = 530177,
  [SMALL_STATE(12268)] = 530185,
  [SMALL_STATE(12269)] = 530193,
  [SMALL_STATE(12270)] = 530201,
  [SMALL_STATE(12271)] = 530209,
  [SMALL_STATE(12272)] = 530217,
  [SMALL_STATE(12273)] = 530225,
  [SMALL_STATE(12274)] = 530233,
  [SMALL_STATE(12275)] = 530241,
  [SMALL_STATE(12276)] = 530249,
  [SMALL_STATE(12277)] = 530257,
  [SMALL_STATE(12278)] = 530265,
  [SMALL_STATE(12279)] = 530273,
  [SMALL_STATE(12280)] = 530281,
  [SMALL_STATE(12281)] = 530289,
  [SMALL_STATE(12282)] = 530297,
  [SMALL_STATE(12283)] = 530305,
  [SMALL_STATE(12284)] = 530313,
  [SMALL_STATE(12285)] = 530321,
  [SMALL_STATE(12286)] = 530329,
  [SMALL_STATE(12287)] = 530337,
  [SMALL_STATE(12288)] = 530345,
  [SMALL_STATE(12289)] = 530353,
  [SMALL_STATE(12290)] = 530361,
  [SMALL_STATE(12291)] = 530369,
  [SMALL_STATE(12292)] = 530377,
  [SMALL_STATE(12293)] = 530385,
  [SMALL_STATE(12294)] = 530393,
  [SMALL_STATE(12295)] = 530401,
  [SMALL_STATE(12296)] = 530409,
  [SMALL_STATE(12297)] = 530417,
  [SMALL_STATE(12298)] = 530425,
  [SMALL_STATE(12299)] = 530433,
  [SMALL_STATE(12300)] = 530441,
  [SMALL_STATE(12301)] = 530449,
  [SMALL_STATE(12302)] = 530457,
  [SMALL_STATE(12303)] = 530465,
  [SMALL_STATE(12304)] = 530473,
  [SMALL_STATE(12305)] = 530481,
  [SMALL_STATE(12306)] = 530489,
  [SMALL_STATE(12307)] = 530497,
  [SMALL_STATE(12308)] = 530505,
  [SMALL_STATE(12309)] = 530513,
  [SMALL_STATE(12310)] = 530521,
  [SMALL_STATE(12311)] = 530529,
  [SMALL_STATE(12312)] = 530537,
  [SMALL_STATE(12313)] = 530545,
  [SMALL_STATE(12314)] = 530553,
  [SMALL_STATE(12315)] = 530561,
  [SMALL_STATE(12316)] = 530569,
  [SMALL_STATE(12317)] = 530577,
  [SMALL_STATE(12318)] = 530585,
  [SMALL_STATE(12319)] = 530593,
  [SMALL_STATE(12320)] = 530601,
  [SMALL_STATE(12321)] = 530609,
  [SMALL_STATE(12322)] = 530617,
  [SMALL_STATE(12323)] = 530625,
  [SMALL_STATE(12324)] = 530633,
  [SMALL_STATE(12325)] = 530641,
  [SMALL_STATE(12326)] = 530649,
  [SMALL_STATE(12327)] = 530657,
  [SMALL_STATE(12328)] = 530665,
  [SMALL_STATE(12329)] = 530673,
  [SMALL_STATE(12330)] = 530681,
  [SMALL_STATE(12331)] = 530689,
  [SMALL_STATE(12332)] = 530697,
  [SMALL_STATE(12333)] = 530705,
  [SMALL_STATE(12334)] = 530713,
  [SMALL_STATE(12335)] = 530721,
  [SMALL_STATE(12336)] = 530729,
  [SMALL_STATE(12337)] = 530737,
  [SMALL_STATE(12338)] = 530745,
  [SMALL_STATE(12339)] = 530753,
  [SMALL_STATE(12340)] = 530761,
  [SMALL_STATE(12341)] = 530769,
  [SMALL_STATE(12342)] = 530777,
  [SMALL_STATE(12343)] = 530785,
  [SMALL_STATE(12344)] = 530793,
  [SMALL_STATE(12345)] = 530801,
  [SMALL_STATE(12346)] = 530809,
  [SMALL_STATE(12347)] = 530817,
  [SMALL_STATE(12348)] = 530825,
  [SMALL_STATE(12349)] = 530833,
  [SMALL_STATE(12350)] = 530841,
  [SMALL_STATE(12351)] = 530849,
  [SMALL_STATE(12352)] = 530857,
  [SMALL_STATE(12353)] = 530865,
  [SMALL_STATE(12354)] = 530873,
  [SMALL_STATE(12355)] = 530881,
  [SMALL_STATE(12356)] = 530889,
  [SMALL_STATE(12357)] = 530897,
  [SMALL_STATE(12358)] = 530905,
  [SMALL_STATE(12359)] = 530913,
  [SMALL_STATE(12360)] = 530921,
  [SMALL_STATE(12361)] = 530929,
  [SMALL_STATE(12362)] = 530937,
  [SMALL_STATE(12363)] = 530945,
  [SMALL_STATE(12364)] = 530953,
  [SMALL_STATE(12365)] = 530961,
  [SMALL_STATE(12366)] = 530969,
  [SMALL_STATE(12367)] = 530977,
  [SMALL_STATE(12368)] = 530985,
  [SMALL_STATE(12369)] = 530993,
  [SMALL_STATE(12370)] = 531001,
  [SMALL_STATE(12371)] = 531009,
  [SMALL_STATE(12372)] = 531017,
  [SMALL_STATE(12373)] = 531025,
  [SMALL_STATE(12374)] = 531033,
  [SMALL_STATE(12375)] = 531041,
  [SMALL_STATE(12376)] = 531049,
  [SMALL_STATE(12377)] = 531057,
  [SMALL_STATE(12378)] = 531065,
  [SMALL_STATE(12379)] = 531073,
  [SMALL_STATE(12380)] = 531081,
  [SMALL_STATE(12381)] = 531089,
  [SMALL_STATE(12382)] = 531097,
  [SMALL_STATE(12383)] = 531105,
  [SMALL_STATE(12384)] = 531113,
  [SMALL_STATE(12385)] = 531121,
  [SMALL_STATE(12386)] = 531129,
  [SMALL_STATE(12387)] = 531137,
  [SMALL_STATE(12388)] = 531145,
  [SMALL_STATE(12389)] = 531153,
  [SMALL_STATE(12390)] = 531161,
  [SMALL_STATE(12391)] = 531169,
  [SMALL_STATE(12392)] = 531177,
  [SMALL_STATE(12393)] = 531185,
  [SMALL_STATE(12394)] = 531193,
  [SMALL_STATE(12395)] = 531201,
  [SMALL_STATE(12396)] = 531209,
  [SMALL_STATE(12397)] = 531217,
  [SMALL_STATE(12398)] = 531225,
  [SMALL_STATE(12399)] = 531233,
  [SMALL_STATE(12400)] = 531241,
  [SMALL_STATE(12401)] = 531249,
  [SMALL_STATE(12402)] = 531257,
  [SMALL_STATE(12403)] = 531265,
  [SMALL_STATE(12404)] = 531273,
  [SMALL_STATE(12405)] = 531281,
  [SMALL_STATE(12406)] = 531289,
  [SMALL_STATE(12407)] = 531297,
  [SMALL_STATE(12408)] = 531305,
  [SMALL_STATE(12409)] = 531313,
  [SMALL_STATE(12410)] = 531321,
  [SMALL_STATE(12411)] = 531329,
  [SMALL_STATE(12412)] = 531337,
  [SMALL_STATE(12413)] = 531345,
  [SMALL_STATE(12414)] = 531353,
  [SMALL_STATE(12415)] = 531361,
  [SMALL_STATE(12416)] = 531369,
  [SMALL_STATE(12417)] = 531377,
  [SMALL_STATE(12418)] = 531385,
  [SMALL_STATE(12419)] = 531393,
  [SMALL_STATE(12420)] = 531401,
  [SMALL_STATE(12421)] = 531409,
  [SMALL_STATE(12422)] = 531417,
  [SMALL_STATE(12423)] = 531425,
  [SMALL_STATE(12424)] = 531433,
  [SMALL_STATE(12425)] = 531441,
  [SMALL_STATE(12426)] = 531449,
  [SMALL_STATE(12427)] = 531457,
  [SMALL_STATE(12428)] = 531465,
  [SMALL_STATE(12429)] = 531473,
  [SMALL_STATE(12430)] = 531481,
  [SMALL_STATE(12431)] = 531489,
  [SMALL_STATE(12432)] = 531497,
  [SMALL_STATE(12433)] = 531505,
  [SMALL_STATE(12434)] = 531513,
  [SMALL_STATE(12435)] = 531521,
  [SMALL_STATE(12436)] = 531529,
  [SMALL_STATE(12437)] = 531537,
  [SMALL_STATE(12438)] = 531545,
  [SMALL_STATE(12439)] = 531553,
  [SMALL_STATE(12440)] = 531561,
  [SMALL_STATE(12441)] = 531569,
  [SMALL_STATE(12442)] = 531577,
  [SMALL_STATE(12443)] = 531585,
  [SMALL_STATE(12444)] = 531593,
  [SMALL_STATE(12445)] = 531601,
  [SMALL_STATE(12446)] = 531609,
  [SMALL_STATE(12447)] = 531617,
  [SMALL_STATE(12448)] = 531625,
  [SMALL_STATE(12449)] = 531633,
  [SMALL_STATE(12450)] = 531641,
  [SMALL_STATE(12451)] = 531649,
  [SMALL_STATE(12452)] = 531657,
  [SMALL_STATE(12453)] = 531665,
  [SMALL_STATE(12454)] = 531673,
  [SMALL_STATE(12455)] = 531681,
  [SMALL_STATE(12456)] = 531689,
  [SMALL_STATE(12457)] = 531697,
  [SMALL_STATE(12458)] = 531705,
  [SMALL_STATE(12459)] = 531713,
  [SMALL_STATE(12460)] = 531721,
  [SMALL_STATE(12461)] = 531729,
  [SMALL_STATE(12462)] = 531737,
  [SMALL_STATE(12463)] = 531745,
  [SMALL_STATE(12464)] = 531753,
  [SMALL_STATE(12465)] = 531761,
  [SMALL_STATE(12466)] = 531769,
  [SMALL_STATE(12467)] = 531777,
  [SMALL_STATE(12468)] = 531785,
  [SMALL_STATE(12469)] = 531793,
  [SMALL_STATE(12470)] = 531801,
  [SMALL_STATE(12471)] = 531809,
  [SMALL_STATE(12472)] = 531817,
  [SMALL_STATE(12473)] = 531825,
  [SMALL_STATE(12474)] = 531833,
  [SMALL_STATE(12475)] = 531841,
  [SMALL_STATE(12476)] = 531849,
  [SMALL_STATE(12477)] = 531857,
  [SMALL_STATE(12478)] = 531865,
  [SMALL_STATE(12479)] = 531873,
  [SMALL_STATE(12480)] = 531881,
  [SMALL_STATE(12481)] = 531889,
  [SMALL_STATE(12482)] = 531897,
  [SMALL_STATE(12483)] = 531905,
  [SMALL_STATE(12484)] = 531913,
  [SMALL_STATE(12485)] = 531921,
  [SMALL_STATE(12486)] = 531929,
  [SMALL_STATE(12487)] = 531937,
  [SMALL_STATE(12488)] = 531945,
  [SMALL_STATE(12489)] = 531953,
  [SMALL_STATE(12490)] = 531961,
  [SMALL_STATE(12491)] = 531969,
  [SMALL_STATE(12492)] = 531977,
  [SMALL_STATE(12493)] = 531985,
  [SMALL_STATE(12494)] = 531993,
  [SMALL_STATE(12495)] = 532001,
  [SMALL_STATE(12496)] = 532009,
  [SMALL_STATE(12497)] = 532017,
  [SMALL_STATE(12498)] = 532025,
  [SMALL_STATE(12499)] = 532033,
  [SMALL_STATE(12500)] = 532041,
  [SMALL_STATE(12501)] = 532049,
  [SMALL_STATE(12502)] = 532057,
  [SMALL_STATE(12503)] = 532065,
  [SMALL_STATE(12504)] = 532073,
  [SMALL_STATE(12505)] = 532081,
  [SMALL_STATE(12506)] = 532089,
  [SMALL_STATE(12507)] = 532097,
  [SMALL_STATE(12508)] = 532105,
  [SMALL_STATE(12509)] = 532113,
  [SMALL_STATE(12510)] = 532121,
  [SMALL_STATE(12511)] = 532129,
  [SMALL_STATE(12512)] = 532137,
  [SMALL_STATE(12513)] = 532145,
  [SMALL_STATE(12514)] = 532153,
  [SMALL_STATE(12515)] = 532161,
  [SMALL_STATE(12516)] = 532169,
  [SMALL_STATE(12517)] = 532177,
  [SMALL_STATE(12518)] = 532185,
  [SMALL_STATE(12519)] = 532193,
  [SMALL_STATE(12520)] = 532201,
  [SMALL_STATE(12521)] = 532209,
  [SMALL_STATE(12522)] = 532217,
  [SMALL_STATE(12523)] = 532225,
  [SMALL_STATE(12524)] = 532233,
  [SMALL_STATE(12525)] = 532241,
  [SMALL_STATE(12526)] = 532249,
  [SMALL_STATE(12527)] = 532257,
  [SMALL_STATE(12528)] = 532265,
  [SMALL_STATE(12529)] = 532273,
  [SMALL_STATE(12530)] = 532281,
  [SMALL_STATE(12531)] = 532289,
  [SMALL_STATE(12532)] = 532297,
  [SMALL_STATE(12533)] = 532305,
  [SMALL_STATE(12534)] = 532313,
  [SMALL_STATE(12535)] = 532321,
  [SMALL_STATE(12536)] = 532329,
  [SMALL_STATE(12537)] = 532337,
  [SMALL_STATE(12538)] = 532345,
  [SMALL_STATE(12539)] = 532353,
  [SMALL_STATE(12540)] = 532361,
  [SMALL_STATE(12541)] = 532369,
  [SMALL_STATE(12542)] = 532377,
  [SMALL_STATE(12543)] = 532385,
  [SMALL_STATE(12544)] = 532393,
  [SMALL_STATE(12545)] = 532401,
  [SMALL_STATE(12546)] = 532409,
  [SMALL_STATE(12547)] = 532417,
  [SMALL_STATE(12548)] = 532425,
  [SMALL_STATE(12549)] = 532433,
  [SMALL_STATE(12550)] = 532441,
  [SMALL_STATE(12551)] = 532449,
  [SMALL_STATE(12552)] = 532457,
  [SMALL_STATE(12553)] = 532465,
  [SMALL_STATE(12554)] = 532473,
  [SMALL_STATE(12555)] = 532481,
  [SMALL_STATE(12556)] = 532489,
  [SMALL_STATE(12557)] = 532497,
  [SMALL_STATE(12558)] = 532505,
  [SMALL_STATE(12559)] = 532513,
  [SMALL_STATE(12560)] = 532521,
  [SMALL_STATE(12561)] = 532529,
  [SMALL_STATE(12562)] = 532537,
  [SMALL_STATE(12563)] = 532545,
  [SMALL_STATE(12564)] = 532553,
  [SMALL_STATE(12565)] = 532561,
  [SMALL_STATE(12566)] = 532569,
  [SMALL_STATE(12567)] = 532577,
  [SMALL_STATE(12568)] = 532585,
  [SMALL_STATE(12569)] = 532593,
  [SMALL_STATE(12570)] = 532601,
  [SMALL_STATE(12571)] = 532609,
  [SMALL_STATE(12572)] = 532617,
  [SMALL_STATE(12573)] = 532625,
  [SMALL_STATE(12574)] = 532633,
  [SMALL_STATE(12575)] = 532641,
  [SMALL_STATE(12576)] = 532649,
  [SMALL_STATE(12577)] = 532657,
  [SMALL_STATE(12578)] = 532665,
  [SMALL_STATE(12579)] = 532673,
  [SMALL_STATE(12580)] = 532681,
  [SMALL_STATE(12581)] = 532689,
  [SMALL_STATE(12582)] = 532697,
  [SMALL_STATE(12583)] = 532705,
  [SMALL_STATE(12584)] = 532713,
  [SMALL_STATE(12585)] = 532721,
  [SMALL_STATE(12586)] = 532729,
  [SMALL_STATE(12587)] = 532737,
  [SMALL_STATE(12588)] = 532745,
  [SMALL_STATE(12589)] = 532753,
  [SMALL_STATE(12590)] = 532761,
  [SMALL_STATE(12591)] = 532769,
  [SMALL_STATE(12592)] = 532777,
  [SMALL_STATE(12593)] = 532785,
  [SMALL_STATE(12594)] = 532793,
  [SMALL_STATE(12595)] = 532801,
  [SMALL_STATE(12596)] = 532809,
  [SMALL_STATE(12597)] = 532817,
  [SMALL_STATE(12598)] = 532825,
  [SMALL_STATE(12599)] = 532833,
  [SMALL_STATE(12600)] = 532841,
  [SMALL_STATE(12601)] = 532849,
  [SMALL_STATE(12602)] = 532857,
  [SMALL_STATE(12603)] = 532865,
  [SMALL_STATE(12604)] = 532873,
  [SMALL_STATE(12605)] = 532881,
  [SMALL_STATE(12606)] = 532889,
  [SMALL_STATE(12607)] = 532897,
  [SMALL_STATE(12608)] = 532905,
  [SMALL_STATE(12609)] = 532913,
  [SMALL_STATE(12610)] = 532921,
  [SMALL_STATE(12611)] = 532929,
  [SMALL_STATE(12612)] = 532937,
  [SMALL_STATE(12613)] = 532945,
  [SMALL_STATE(12614)] = 532953,
  [SMALL_STATE(12615)] = 532961,
  [SMALL_STATE(12616)] = 532969,
  [SMALL_STATE(12617)] = 532977,
  [SMALL_STATE(12618)] = 532985,
  [SMALL_STATE(12619)] = 532993,
  [SMALL_STATE(12620)] = 533001,
  [SMALL_STATE(12621)] = 533009,
  [SMALL_STATE(12622)] = 533017,
  [SMALL_STATE(12623)] = 533025,
  [SMALL_STATE(12624)] = 533033,
  [SMALL_STATE(12625)] = 533041,
  [SMALL_STATE(12626)] = 533049,
  [SMALL_STATE(12627)] = 533057,
  [SMALL_STATE(12628)] = 533065,
  [SMALL_STATE(12629)] = 533073,
  [SMALL_STATE(12630)] = 533081,
  [SMALL_STATE(12631)] = 533089,
  [SMALL_STATE(12632)] = 533097,
  [SMALL_STATE(12633)] = 533105,
  [SMALL_STATE(12634)] = 533113,
  [SMALL_STATE(12635)] = 533121,
  [SMALL_STATE(12636)] = 533129,
  [SMALL_STATE(12637)] = 533137,
  [SMALL_STATE(12638)] = 533145,
  [SMALL_STATE(12639)] = 533153,
  [SMALL_STATE(12640)] = 533161,
  [SMALL_STATE(12641)] = 533169,
  [SMALL_STATE(12642)] = 533177,
  [SMALL_STATE(12643)] = 533185,
  [SMALL_STATE(12644)] = 533193,
  [SMALL_STATE(12645)] = 533201,
  [SMALL_STATE(12646)] = 533209,
  [SMALL_STATE(12647)] = 533217,
  [SMALL_STATE(12648)] = 533225,
  [SMALL_STATE(12649)] = 533233,
  [SMALL_STATE(12650)] = 533241,
  [SMALL_STATE(12651)] = 533249,
  [SMALL_STATE(12652)] = 533257,
  [SMALL_STATE(12653)] = 533265,
  [SMALL_STATE(12654)] = 533273,
  [SMALL_STATE(12655)] = 533281,
  [SMALL_STATE(12656)] = 533289,
  [SMALL_STATE(12657)] = 533297,
  [SMALL_STATE(12658)] = 533305,
  [SMALL_STATE(12659)] = 533313,
  [SMALL_STATE(12660)] = 533321,
  [SMALL_STATE(12661)] = 533329,
  [SMALL_STATE(12662)] = 533337,
  [SMALL_STATE(12663)] = 533345,
  [SMALL_STATE(12664)] = 533353,
  [SMALL_STATE(12665)] = 533361,
  [SMALL_STATE(12666)] = 533369,
  [SMALL_STATE(12667)] = 533377,
  [SMALL_STATE(12668)] = 533385,
  [SMALL_STATE(12669)] = 533393,
  [SMALL_STATE(12670)] = 533401,
  [SMALL_STATE(12671)] = 533409,
  [SMALL_STATE(12672)] = 533417,
  [SMALL_STATE(12673)] = 533425,
  [SMALL_STATE(12674)] = 533433,
  [SMALL_STATE(12675)] = 533441,
  [SMALL_STATE(12676)] = 533449,
  [SMALL_STATE(12677)] = 533457,
  [SMALL_STATE(12678)] = 533465,
  [SMALL_STATE(12679)] = 533473,
  [SMALL_STATE(12680)] = 533481,
  [SMALL_STATE(12681)] = 533489,
  [SMALL_STATE(12682)] = 533497,
  [SMALL_STATE(12683)] = 533505,
  [SMALL_STATE(12684)] = 533513,
  [SMALL_STATE(12685)] = 533521,
  [SMALL_STATE(12686)] = 533529,
  [SMALL_STATE(12687)] = 533537,
  [SMALL_STATE(12688)] = 533545,
  [SMALL_STATE(12689)] = 533553,
  [SMALL_STATE(12690)] = 533561,
  [SMALL_STATE(12691)] = 533569,
  [SMALL_STATE(12692)] = 533577,
  [SMALL_STATE(12693)] = 533585,
  [SMALL_STATE(12694)] = 533593,
  [SMALL_STATE(12695)] = 533601,
  [SMALL_STATE(12696)] = 533609,
  [SMALL_STATE(12697)] = 533617,
  [SMALL_STATE(12698)] = 533625,
  [SMALL_STATE(12699)] = 533633,
  [SMALL_STATE(12700)] = 533641,
  [SMALL_STATE(12701)] = 533649,
  [SMALL_STATE(12702)] = 533657,
  [SMALL_STATE(12703)] = 533665,
  [SMALL_STATE(12704)] = 533673,
  [SMALL_STATE(12705)] = 533681,
  [SMALL_STATE(12706)] = 533689,
  [SMALL_STATE(12707)] = 533697,
  [SMALL_STATE(12708)] = 533705,
  [SMALL_STATE(12709)] = 533713,
  [SMALL_STATE(12710)] = 533721,
  [SMALL_STATE(12711)] = 533729,
  [SMALL_STATE(12712)] = 533737,
  [SMALL_STATE(12713)] = 533745,
  [SMALL_STATE(12714)] = 533753,
  [SMALL_STATE(12715)] = 533761,
  [SMALL_STATE(12716)] = 533769,
  [SMALL_STATE(12717)] = 533777,
  [SMALL_STATE(12718)] = 533785,
  [SMALL_STATE(12719)] = 533793,
  [SMALL_STATE(12720)] = 533801,
  [SMALL_STATE(12721)] = 533809,
  [SMALL_STATE(12722)] = 533817,
  [SMALL_STATE(12723)] = 533825,
  [SMALL_STATE(12724)] = 533833,
  [SMALL_STATE(12725)] = 533841,
  [SMALL_STATE(12726)] = 533849,
  [SMALL_STATE(12727)] = 533857,
  [SMALL_STATE(12728)] = 533865,
  [SMALL_STATE(12729)] = 533873,
  [SMALL_STATE(12730)] = 533881,
  [SMALL_STATE(12731)] = 533889,
  [SMALL_STATE(12732)] = 533897,
  [SMALL_STATE(12733)] = 533905,
  [SMALL_STATE(12734)] = 533913,
  [SMALL_STATE(12735)] = 533921,
  [SMALL_STATE(12736)] = 533929,
  [SMALL_STATE(12737)] = 533937,
  [SMALL_STATE(12738)] = 533945,
  [SMALL_STATE(12739)] = 533953,
  [SMALL_STATE(12740)] = 533961,
  [SMALL_STATE(12741)] = 533969,
  [SMALL_STATE(12742)] = 533977,
  [SMALL_STATE(12743)] = 533985,
  [SMALL_STATE(12744)] = 533993,
  [SMALL_STATE(12745)] = 534001,
  [SMALL_STATE(12746)] = 534009,
  [SMALL_STATE(12747)] = 534017,
  [SMALL_STATE(12748)] = 534025,
  [SMALL_STATE(12749)] = 534033,
  [SMALL_STATE(12750)] = 534041,
  [SMALL_STATE(12751)] = 534049,
  [SMALL_STATE(12752)] = 534057,
  [SMALL_STATE(12753)] = 534065,
  [SMALL_STATE(12754)] = 534073,
  [SMALL_STATE(12755)] = 534081,
  [SMALL_STATE(12756)] = 534089,
  [SMALL_STATE(12757)] = 534097,
  [SMALL_STATE(12758)] = 534105,
  [SMALL_STATE(12759)] = 534113,
  [SMALL_STATE(12760)] = 534121,
  [SMALL_STATE(12761)] = 534129,
  [SMALL_STATE(12762)] = 534137,
  [SMALL_STATE(12763)] = 534145,
  [SMALL_STATE(12764)] = 534153,
  [SMALL_STATE(12765)] = 534161,
  [SMALL_STATE(12766)] = 534169,
  [SMALL_STATE(12767)] = 534177,
  [SMALL_STATE(12768)] = 534185,
  [SMALL_STATE(12769)] = 534193,
  [SMALL_STATE(12770)] = 534201,
  [SMALL_STATE(12771)] = 534209,
  [SMALL_STATE(12772)] = 534217,
  [SMALL_STATE(12773)] = 534225,
  [SMALL_STATE(12774)] = 534233,
  [SMALL_STATE(12775)] = 534241,
  [SMALL_STATE(12776)] = 534249,
  [SMALL_STATE(12777)] = 534257,
  [SMALL_STATE(12778)] = 534265,
  [SMALL_STATE(12779)] = 534273,
  [SMALL_STATE(12780)] = 534281,
  [SMALL_STATE(12781)] = 534289,
  [SMALL_STATE(12782)] = 534297,
  [SMALL_STATE(12783)] = 534305,
  [SMALL_STATE(12784)] = 534313,
  [SMALL_STATE(12785)] = 534321,
  [SMALL_STATE(12786)] = 534329,
  [SMALL_STATE(12787)] = 534337,
  [SMALL_STATE(12788)] = 534345,
  [SMALL_STATE(12789)] = 534353,
  [SMALL_STATE(12790)] = 534361,
  [SMALL_STATE(12791)] = 534369,
  [SMALL_STATE(12792)] = 534377,
  [SMALL_STATE(12793)] = 534385,
  [SMALL_STATE(12794)] = 534393,
  [SMALL_STATE(12795)] = 534401,
  [SMALL_STATE(12796)] = 534409,
  [SMALL_STATE(12797)] = 534417,
  [SMALL_STATE(12798)] = 534425,
  [SMALL_STATE(12799)] = 534433,
  [SMALL_STATE(12800)] = 534441,
  [SMALL_STATE(12801)] = 534449,
  [SMALL_STATE(12802)] = 534457,
  [SMALL_STATE(12803)] = 534465,
  [SMALL_STATE(12804)] = 534473,
  [SMALL_STATE(12805)] = 534481,
  [SMALL_STATE(12806)] = 534489,
  [SMALL_STATE(12807)] = 534497,
  [SMALL_STATE(12808)] = 534505,
  [SMALL_STATE(12809)] = 534513,
  [SMALL_STATE(12810)] = 534521,
  [SMALL_STATE(12811)] = 534529,
  [SMALL_STATE(12812)] = 534537,
  [SMALL_STATE(12813)] = 534545,
  [SMALL_STATE(12814)] = 534553,
  [SMALL_STATE(12815)] = 534561,
  [SMALL_STATE(12816)] = 534569,
  [SMALL_STATE(12817)] = 534577,
  [SMALL_STATE(12818)] = 534585,
  [SMALL_STATE(12819)] = 534593,
  [SMALL_STATE(12820)] = 534601,
  [SMALL_STATE(12821)] = 534609,
  [SMALL_STATE(12822)] = 534617,
  [SMALL_STATE(12823)] = 534625,
  [SMALL_STATE(12824)] = 534633,
  [SMALL_STATE(12825)] = 534641,
  [SMALL_STATE(12826)] = 534649,
  [SMALL_STATE(12827)] = 534657,
  [SMALL_STATE(12828)] = 534665,
  [SMALL_STATE(12829)] = 534673,
  [SMALL_STATE(12830)] = 534681,
  [SMALL_STATE(12831)] = 534689,
  [SMALL_STATE(12832)] = 534697,
  [SMALL_STATE(12833)] = 534705,
  [SMALL_STATE(12834)] = 534713,
  [SMALL_STATE(12835)] = 534721,
  [SMALL_STATE(12836)] = 534729,
  [SMALL_STATE(12837)] = 534737,
  [SMALL_STATE(12838)] = 534745,
  [SMALL_STATE(12839)] = 534753,
  [SMALL_STATE(12840)] = 534761,
  [SMALL_STATE(12841)] = 534769,
  [SMALL_STATE(12842)] = 534777,
  [SMALL_STATE(12843)] = 534785,
  [SMALL_STATE(12844)] = 534793,
  [SMALL_STATE(12845)] = 534801,
  [SMALL_STATE(12846)] = 534809,
  [SMALL_STATE(12847)] = 534817,
  [SMALL_STATE(12848)] = 534825,
  [SMALL_STATE(12849)] = 534833,
  [SMALL_STATE(12850)] = 534841,
  [SMALL_STATE(12851)] = 534849,
  [SMALL_STATE(12852)] = 534857,
  [SMALL_STATE(12853)] = 534865,
  [SMALL_STATE(12854)] = 534873,
  [SMALL_STATE(12855)] = 534881,
  [SMALL_STATE(12856)] = 534889,
  [SMALL_STATE(12857)] = 534897,
  [SMALL_STATE(12858)] = 534905,
  [SMALL_STATE(12859)] = 534913,
  [SMALL_STATE(12860)] = 534921,
  [SMALL_STATE(12861)] = 534929,
  [SMALL_STATE(12862)] = 534937,
  [SMALL_STATE(12863)] = 534945,
  [SMALL_STATE(12864)] = 534953,
  [SMALL_STATE(12865)] = 534961,
  [SMALL_STATE(12866)] = 534969,
  [SMALL_STATE(12867)] = 534977,
  [SMALL_STATE(12868)] = 534985,
  [SMALL_STATE(12869)] = 534993,
  [SMALL_STATE(12870)] = 535001,
  [SMALL_STATE(12871)] = 535009,
  [SMALL_STATE(12872)] = 535017,
  [SMALL_STATE(12873)] = 535025,
  [SMALL_STATE(12874)] = 535033,
  [SMALL_STATE(12875)] = 535041,
  [SMALL_STATE(12876)] = 535049,
  [SMALL_STATE(12877)] = 535057,
  [SMALL_STATE(12878)] = 535065,
  [SMALL_STATE(12879)] = 535073,
  [SMALL_STATE(12880)] = 535081,
  [SMALL_STATE(12881)] = 535089,
  [SMALL_STATE(12882)] = 535097,
  [SMALL_STATE(12883)] = 535105,
  [SMALL_STATE(12884)] = 535113,
  [SMALL_STATE(12885)] = 535121,
  [SMALL_STATE(12886)] = 535129,
  [SMALL_STATE(12887)] = 535137,
  [SMALL_STATE(12888)] = 535145,
  [SMALL_STATE(12889)] = 535153,
  [SMALL_STATE(12890)] = 535161,
  [SMALL_STATE(12891)] = 535169,
  [SMALL_STATE(12892)] = 535177,
  [SMALL_STATE(12893)] = 535185,
  [SMALL_STATE(12894)] = 535193,
  [SMALL_STATE(12895)] = 535201,
  [SMALL_STATE(12896)] = 535209,
  [SMALL_STATE(12897)] = 535217,
  [SMALL_STATE(12898)] = 535225,
  [SMALL_STATE(12899)] = 535233,
  [SMALL_STATE(12900)] = 535241,
  [SMALL_STATE(12901)] = 535249,
  [SMALL_STATE(12902)] = 535257,
  [SMALL_STATE(12903)] = 535265,
  [SMALL_STATE(12904)] = 535273,
  [SMALL_STATE(12905)] = 535281,
  [SMALL_STATE(12906)] = 535289,
  [SMALL_STATE(12907)] = 535297,
  [SMALL_STATE(12908)] = 535305,
  [SMALL_STATE(12909)] = 535313,
  [SMALL_STATE(12910)] = 535321,
  [SMALL_STATE(12911)] = 535329,
  [SMALL_STATE(12912)] = 535337,
  [SMALL_STATE(12913)] = 535345,
  [SMALL_STATE(12914)] = 535353,
  [SMALL_STATE(12915)] = 535361,
  [SMALL_STATE(12916)] = 535369,
  [SMALL_STATE(12917)] = 535377,
  [SMALL_STATE(12918)] = 535385,
  [SMALL_STATE(12919)] = 535393,
  [SMALL_STATE(12920)] = 535401,
  [SMALL_STATE(12921)] = 535409,
  [SMALL_STATE(12922)] = 535417,
  [SMALL_STATE(12923)] = 535425,
  [SMALL_STATE(12924)] = 535433,
  [SMALL_STATE(12925)] = 535441,
  [SMALL_STATE(12926)] = 535449,
  [SMALL_STATE(12927)] = 535457,
  [SMALL_STATE(12928)] = 535465,
  [SMALL_STATE(12929)] = 535473,
  [SMALL_STATE(12930)] = 535481,
  [SMALL_STATE(12931)] = 535489,
  [SMALL_STATE(12932)] = 535497,
  [SMALL_STATE(12933)] = 535505,
  [SMALL_STATE(12934)] = 535513,
  [SMALL_STATE(12935)] = 535521,
  [SMALL_STATE(12936)] = 535529,
  [SMALL_STATE(12937)] = 535537,
  [SMALL_STATE(12938)] = 535545,
  [SMALL_STATE(12939)] = 535553,
  [SMALL_STATE(12940)] = 535561,
  [SMALL_STATE(12941)] = 535569,
  [SMALL_STATE(12942)] = 535577,
  [SMALL_STATE(12943)] = 535585,
  [SMALL_STATE(12944)] = 535593,
  [SMALL_STATE(12945)] = 535601,
  [SMALL_STATE(12946)] = 535609,
  [SMALL_STATE(12947)] = 535617,
  [SMALL_STATE(12948)] = 535625,
  [SMALL_STATE(12949)] = 535633,
  [SMALL_STATE(12950)] = 535641,
  [SMALL_STATE(12951)] = 535649,
  [SMALL_STATE(12952)] = 535657,
  [SMALL_STATE(12953)] = 535665,
  [SMALL_STATE(12954)] = 535673,
  [SMALL_STATE(12955)] = 535681,
  [SMALL_STATE(12956)] = 535689,
  [SMALL_STATE(12957)] = 535697,
  [SMALL_STATE(12958)] = 535705,
  [SMALL_STATE(12959)] = 535713,
  [SMALL_STATE(12960)] = 535721,
  [SMALL_STATE(12961)] = 535729,
  [SMALL_STATE(12962)] = 535737,
  [SMALL_STATE(12963)] = 535745,
  [SMALL_STATE(12964)] = 535753,
  [SMALL_STATE(12965)] = 535761,
  [SMALL_STATE(12966)] = 535769,
  [SMALL_STATE(12967)] = 535777,
  [SMALL_STATE(12968)] = 535785,
  [SMALL_STATE(12969)] = 535793,
  [SMALL_STATE(12970)] = 535801,
  [SMALL_STATE(12971)] = 535809,
  [SMALL_STATE(12972)] = 535817,
  [SMALL_STATE(12973)] = 535825,
  [SMALL_STATE(12974)] = 535833,
  [SMALL_STATE(12975)] = 535841,
  [SMALL_STATE(12976)] = 535849,
  [SMALL_STATE(12977)] = 535857,
  [SMALL_STATE(12978)] = 535865,
  [SMALL_STATE(12979)] = 535873,
  [SMALL_STATE(12980)] = 535881,
  [SMALL_STATE(12981)] = 535889,
  [SMALL_STATE(12982)] = 535897,
  [SMALL_STATE(12983)] = 535905,
  [SMALL_STATE(12984)] = 535913,
  [SMALL_STATE(12985)] = 535921,
  [SMALL_STATE(12986)] = 535929,
  [SMALL_STATE(12987)] = 535937,
  [SMALL_STATE(12988)] = 535945,
  [SMALL_STATE(12989)] = 535953,
  [SMALL_STATE(12990)] = 535961,
  [SMALL_STATE(12991)] = 535969,
  [SMALL_STATE(12992)] = 535977,
  [SMALL_STATE(12993)] = 535985,
  [SMALL_STATE(12994)] = 535993,
  [SMALL_STATE(12995)] = 536001,
  [SMALL_STATE(12996)] = 536009,
  [SMALL_STATE(12997)] = 536017,
  [SMALL_STATE(12998)] = 536025,
  [SMALL_STATE(12999)] = 536033,
  [SMALL_STATE(13000)] = 536041,
  [SMALL_STATE(13001)] = 536049,
  [SMALL_STATE(13002)] = 536057,
  [SMALL_STATE(13003)] = 536065,
  [SMALL_STATE(13004)] = 536073,
  [SMALL_STATE(13005)] = 536081,
  [SMALL_STATE(13006)] = 536089,
  [SMALL_STATE(13007)] = 536097,
  [SMALL_STATE(13008)] = 536105,
  [SMALL_STATE(13009)] = 536113,
  [SMALL_STATE(13010)] = 536121,
  [SMALL_STATE(13011)] = 536129,
  [SMALL_STATE(13012)] = 536137,
  [SMALL_STATE(13013)] = 536145,
  [SMALL_STATE(13014)] = 536153,
  [SMALL_STATE(13015)] = 536161,
  [SMALL_STATE(13016)] = 536169,
  [SMALL_STATE(13017)] = 536177,
  [SMALL_STATE(13018)] = 536185,
  [SMALL_STATE(13019)] = 536193,
  [SMALL_STATE(13020)] = 536201,
  [SMALL_STATE(13021)] = 536209,
  [SMALL_STATE(13022)] = 536217,
  [SMALL_STATE(13023)] = 536225,
  [SMALL_STATE(13024)] = 536233,
  [SMALL_STATE(13025)] = 536241,
  [SMALL_STATE(13026)] = 536249,
  [SMALL_STATE(13027)] = 536257,
  [SMALL_STATE(13028)] = 536265,
  [SMALL_STATE(13029)] = 536273,
  [SMALL_STATE(13030)] = 536281,
  [SMALL_STATE(13031)] = 536289,
  [SMALL_STATE(13032)] = 536297,
  [SMALL_STATE(13033)] = 536305,
  [SMALL_STATE(13034)] = 536313,
  [SMALL_STATE(13035)] = 536321,
  [SMALL_STATE(13036)] = 536329,
  [SMALL_STATE(13037)] = 536337,
  [SMALL_STATE(13038)] = 536345,
  [SMALL_STATE(13039)] = 536353,
  [SMALL_STATE(13040)] = 536361,
  [SMALL_STATE(13041)] = 536369,
  [SMALL_STATE(13042)] = 536377,
  [SMALL_STATE(13043)] = 536385,
  [SMALL_STATE(13044)] = 536393,
  [SMALL_STATE(13045)] = 536401,
  [SMALL_STATE(13046)] = 536409,
  [SMALL_STATE(13047)] = 536417,
  [SMALL_STATE(13048)] = 536425,
  [SMALL_STATE(13049)] = 536433,
  [SMALL_STATE(13050)] = 536441,
  [SMALL_STATE(13051)] = 536449,
  [SMALL_STATE(13052)] = 536457,
  [SMALL_STATE(13053)] = 536465,
  [SMALL_STATE(13054)] = 536473,
  [SMALL_STATE(13055)] = 536481,
  [SMALL_STATE(13056)] = 536489,
  [SMALL_STATE(13057)] = 536497,
  [SMALL_STATE(13058)] = 536505,
  [SMALL_STATE(13059)] = 536513,
  [SMALL_STATE(13060)] = 536521,
  [SMALL_STATE(13061)] = 536529,
  [SMALL_STATE(13062)] = 536537,
  [SMALL_STATE(13063)] = 536545,
  [SMALL_STATE(13064)] = 536553,
  [SMALL_STATE(13065)] = 536561,
  [SMALL_STATE(13066)] = 536569,
  [SMALL_STATE(13067)] = 536577,
  [SMALL_STATE(13068)] = 536585,
  [SMALL_STATE(13069)] = 536593,
  [SMALL_STATE(13070)] = 536601,
  [SMALL_STATE(13071)] = 536609,
  [SMALL_STATE(13072)] = 536617,
  [SMALL_STATE(13073)] = 536625,
  [SMALL_STATE(13074)] = 536633,
  [SMALL_STATE(13075)] = 536641,
  [SMALL_STATE(13076)] = 536649,
  [SMALL_STATE(13077)] = 536657,
  [SMALL_STATE(13078)] = 536665,
  [SMALL_STATE(13079)] = 536673,
  [SMALL_STATE(13080)] = 536681,
  [SMALL_STATE(13081)] = 536689,
  [SMALL_STATE(13082)] = 536697,
  [SMALL_STATE(13083)] = 536705,
  [SMALL_STATE(13084)] = 536713,
  [SMALL_STATE(13085)] = 536721,
  [SMALL_STATE(13086)] = 536729,
  [SMALL_STATE(13087)] = 536737,
  [SMALL_STATE(13088)] = 536745,
  [SMALL_STATE(13089)] = 536753,
  [SMALL_STATE(13090)] = 536761,
  [SMALL_STATE(13091)] = 536769,
  [SMALL_STATE(13092)] = 536777,
  [SMALL_STATE(13093)] = 536785,
  [SMALL_STATE(13094)] = 536793,
  [SMALL_STATE(13095)] = 536801,
  [SMALL_STATE(13096)] = 536809,
  [SMALL_STATE(13097)] = 536817,
  [SMALL_STATE(13098)] = 536825,
  [SMALL_STATE(13099)] = 536833,
  [SMALL_STATE(13100)] = 536841,
  [SMALL_STATE(13101)] = 536849,
  [SMALL_STATE(13102)] = 536857,
  [SMALL_STATE(13103)] = 536865,
  [SMALL_STATE(13104)] = 536873,
  [SMALL_STATE(13105)] = 536881,
  [SMALL_STATE(13106)] = 536889,
  [SMALL_STATE(13107)] = 536897,
  [SMALL_STATE(13108)] = 536905,
  [SMALL_STATE(13109)] = 536913,
  [SMALL_STATE(13110)] = 536921,
  [SMALL_STATE(13111)] = 536929,
  [SMALL_STATE(13112)] = 536937,
  [SMALL_STATE(13113)] = 536945,
  [SMALL_STATE(13114)] = 536953,
  [SMALL_STATE(13115)] = 536961,
  [SMALL_STATE(13116)] = 536969,
  [SMALL_STATE(13117)] = 536977,
  [SMALL_STATE(13118)] = 536985,
  [SMALL_STATE(13119)] = 536993,
  [SMALL_STATE(13120)] = 537001,
  [SMALL_STATE(13121)] = 537009,
  [SMALL_STATE(13122)] = 537017,
  [SMALL_STATE(13123)] = 537025,
  [SMALL_STATE(13124)] = 537033,
  [SMALL_STATE(13125)] = 537041,
  [SMALL_STATE(13126)] = 537049,
  [SMALL_STATE(13127)] = 537057,
  [SMALL_STATE(13128)] = 537065,
  [SMALL_STATE(13129)] = 537073,
  [SMALL_STATE(13130)] = 537081,
  [SMALL_STATE(13131)] = 537089,
  [SMALL_STATE(13132)] = 537097,
  [SMALL_STATE(13133)] = 537105,
  [SMALL_STATE(13134)] = 537113,
  [SMALL_STATE(13135)] = 537121,
  [SMALL_STATE(13136)] = 537129,
  [SMALL_STATE(13137)] = 537137,
  [SMALL_STATE(13138)] = 537145,
  [SMALL_STATE(13139)] = 537153,
  [SMALL_STATE(13140)] = 537161,
  [SMALL_STATE(13141)] = 537169,
  [SMALL_STATE(13142)] = 537177,
  [SMALL_STATE(13143)] = 537185,
  [SMALL_STATE(13144)] = 537193,
  [SMALL_STATE(13145)] = 537201,
  [SMALL_STATE(13146)] = 537209,
  [SMALL_STATE(13147)] = 537217,
  [SMALL_STATE(13148)] = 537225,
  [SMALL_STATE(13149)] = 537233,
  [SMALL_STATE(13150)] = 537241,
  [SMALL_STATE(13151)] = 537249,
  [SMALL_STATE(13152)] = 537257,
  [SMALL_STATE(13153)] = 537265,
  [SMALL_STATE(13154)] = 537273,
  [SMALL_STATE(13155)] = 537281,
  [SMALL_STATE(13156)] = 537289,
  [SMALL_STATE(13157)] = 537297,
  [SMALL_STATE(13158)] = 537305,
  [SMALL_STATE(13159)] = 537313,
  [SMALL_STATE(13160)] = 537321,
  [SMALL_STATE(13161)] = 537329,
  [SMALL_STATE(13162)] = 537337,
  [SMALL_STATE(13163)] = 537345,
  [SMALL_STATE(13164)] = 537353,
  [SMALL_STATE(13165)] = 537361,
  [SMALL_STATE(13166)] = 537369,
  [SMALL_STATE(13167)] = 537377,
  [SMALL_STATE(13168)] = 537385,
  [SMALL_STATE(13169)] = 537393,
  [SMALL_STATE(13170)] = 537401,
  [SMALL_STATE(13171)] = 537409,
  [SMALL_STATE(13172)] = 537417,
  [SMALL_STATE(13173)] = 537425,
  [SMALL_STATE(13174)] = 537433,
  [SMALL_STATE(13175)] = 537441,
  [SMALL_STATE(13176)] = 537449,
  [SMALL_STATE(13177)] = 537457,
  [SMALL_STATE(13178)] = 537465,
  [SMALL_STATE(13179)] = 537473,
  [SMALL_STATE(13180)] = 537481,
  [SMALL_STATE(13181)] = 537489,
  [SMALL_STATE(13182)] = 537497,
  [SMALL_STATE(13183)] = 537505,
  [SMALL_STATE(13184)] = 537513,
  [SMALL_STATE(13185)] = 537521,
  [SMALL_STATE(13186)] = 537529,
  [SMALL_STATE(13187)] = 537537,
  [SMALL_STATE(13188)] = 537545,
  [SMALL_STATE(13189)] = 537553,
  [SMALL_STATE(13190)] = 537561,
  [SMALL_STATE(13191)] = 537569,
  [SMALL_STATE(13192)] = 537577,
  [SMALL_STATE(13193)] = 537585,
  [SMALL_STATE(13194)] = 537593,
  [SMALL_STATE(13195)] = 537601,
  [SMALL_STATE(13196)] = 537609,
  [SMALL_STATE(13197)] = 537617,
  [SMALL_STATE(13198)] = 537625,
  [SMALL_STATE(13199)] = 537633,
  [SMALL_STATE(13200)] = 537641,
  [SMALL_STATE(13201)] = 537649,
  [SMALL_STATE(13202)] = 537657,
  [SMALL_STATE(13203)] = 537665,
  [SMALL_STATE(13204)] = 537673,
  [SMALL_STATE(13205)] = 537681,
  [SMALL_STATE(13206)] = 537689,
  [SMALL_STATE(13207)] = 537697,
  [SMALL_STATE(13208)] = 537705,
  [SMALL_STATE(13209)] = 537713,
  [SMALL_STATE(13210)] = 537721,
  [SMALL_STATE(13211)] = 537729,
  [SMALL_STATE(13212)] = 537737,
  [SMALL_STATE(13213)] = 537745,
  [SMALL_STATE(13214)] = 537753,
  [SMALL_STATE(13215)] = 537761,
  [SMALL_STATE(13216)] = 537769,
  [SMALL_STATE(13217)] = 537777,
  [SMALL_STATE(13218)] = 537785,
  [SMALL_STATE(13219)] = 537793,
  [SMALL_STATE(13220)] = 537801,
  [SMALL_STATE(13221)] = 537809,
  [SMALL_STATE(13222)] = 537817,
  [SMALL_STATE(13223)] = 537825,
  [SMALL_STATE(13224)] = 537833,
  [SMALL_STATE(13225)] = 537841,
  [SMALL_STATE(13226)] = 537849,
  [SMALL_STATE(13227)] = 537857,
  [SMALL_STATE(13228)] = 537865,
  [SMALL_STATE(13229)] = 537873,
  [SMALL_STATE(13230)] = 537881,
  [SMALL_STATE(13231)] = 537889,
  [SMALL_STATE(13232)] = 537897,
  [SMALL_STATE(13233)] = 537905,
  [SMALL_STATE(13234)] = 537913,
  [SMALL_STATE(13235)] = 537921,
  [SMALL_STATE(13236)] = 537929,
  [SMALL_STATE(13237)] = 537937,
  [SMALL_STATE(13238)] = 537945,
  [SMALL_STATE(13239)] = 537953,
  [SMALL_STATE(13240)] = 537961,
  [SMALL_STATE(13241)] = 537969,
  [SMALL_STATE(13242)] = 537977,
  [SMALL_STATE(13243)] = 537985,
  [SMALL_STATE(13244)] = 537993,
  [SMALL_STATE(13245)] = 538001,
  [SMALL_STATE(13246)] = 538009,
  [SMALL_STATE(13247)] = 538017,
  [SMALL_STATE(13248)] = 538025,
  [SMALL_STATE(13249)] = 538033,
  [SMALL_STATE(13250)] = 538041,
  [SMALL_STATE(13251)] = 538049,
  [SMALL_STATE(13252)] = 538057,
  [SMALL_STATE(13253)] = 538065,
  [SMALL_STATE(13254)] = 538073,
  [SMALL_STATE(13255)] = 538081,
  [SMALL_STATE(13256)] = 538089,
  [SMALL_STATE(13257)] = 538097,
  [SMALL_STATE(13258)] = 538105,
  [SMALL_STATE(13259)] = 538113,
  [SMALL_STATE(13260)] = 538121,
  [SMALL_STATE(13261)] = 538129,
  [SMALL_STATE(13262)] = 538137,
  [SMALL_STATE(13263)] = 538145,
  [SMALL_STATE(13264)] = 538153,
  [SMALL_STATE(13265)] = 538161,
  [SMALL_STATE(13266)] = 538169,
  [SMALL_STATE(13267)] = 538177,
  [SMALL_STATE(13268)] = 538185,
  [SMALL_STATE(13269)] = 538193,
  [SMALL_STATE(13270)] = 538201,
  [SMALL_STATE(13271)] = 538209,
  [SMALL_STATE(13272)] = 538217,
  [SMALL_STATE(13273)] = 538225,
  [SMALL_STATE(13274)] = 538233,
  [SMALL_STATE(13275)] = 538241,
  [SMALL_STATE(13276)] = 538249,
  [SMALL_STATE(13277)] = 538257,
  [SMALL_STATE(13278)] = 538265,
  [SMALL_STATE(13279)] = 538273,
  [SMALL_STATE(13280)] = 538281,
  [SMALL_STATE(13281)] = 538289,
  [SMALL_STATE(13282)] = 538297,
  [SMALL_STATE(13283)] = 538305,
  [SMALL_STATE(13284)] = 538313,
  [SMALL_STATE(13285)] = 538321,
  [SMALL_STATE(13286)] = 538329,
  [SMALL_STATE(13287)] = 538337,
  [SMALL_STATE(13288)] = 538345,
  [SMALL_STATE(13289)] = 538353,
  [SMALL_STATE(13290)] = 538361,
  [SMALL_STATE(13291)] = 538369,
  [SMALL_STATE(13292)] = 538377,
  [SMALL_STATE(13293)] = 538385,
  [SMALL_STATE(13294)] = 538393,
  [SMALL_STATE(13295)] = 538401,
  [SMALL_STATE(13296)] = 538409,
  [SMALL_STATE(13297)] = 538417,
  [SMALL_STATE(13298)] = 538425,
  [SMALL_STATE(13299)] = 538433,
  [SMALL_STATE(13300)] = 538441,
  [SMALL_STATE(13301)] = 538449,
  [SMALL_STATE(13302)] = 538457,
  [SMALL_STATE(13303)] = 538465,
  [SMALL_STATE(13304)] = 538473,
  [SMALL_STATE(13305)] = 538481,
  [SMALL_STATE(13306)] = 538489,
  [SMALL_STATE(13307)] = 538497,
  [SMALL_STATE(13308)] = 538505,
  [SMALL_STATE(13309)] = 538513,
  [SMALL_STATE(13310)] = 538521,
  [SMALL_STATE(13311)] = 538529,
  [SMALL_STATE(13312)] = 538537,
  [SMALL_STATE(13313)] = 538545,
  [SMALL_STATE(13314)] = 538553,
  [SMALL_STATE(13315)] = 538561,
  [SMALL_STATE(13316)] = 538569,
  [SMALL_STATE(13317)] = 538577,
  [SMALL_STATE(13318)] = 538585,
  [SMALL_STATE(13319)] = 538593,
  [SMALL_STATE(13320)] = 538601,
  [SMALL_STATE(13321)] = 538609,
  [SMALL_STATE(13322)] = 538617,
  [SMALL_STATE(13323)] = 538625,
  [SMALL_STATE(13324)] = 538633,
  [SMALL_STATE(13325)] = 538641,
  [SMALL_STATE(13326)] = 538649,
  [SMALL_STATE(13327)] = 538657,
  [SMALL_STATE(13328)] = 538665,
  [SMALL_STATE(13329)] = 538673,
  [SMALL_STATE(13330)] = 538681,
  [SMALL_STATE(13331)] = 538689,
  [SMALL_STATE(13332)] = 538697,
  [SMALL_STATE(13333)] = 538705,
  [SMALL_STATE(13334)] = 538713,
  [SMALL_STATE(13335)] = 538721,
  [SMALL_STATE(13336)] = 538729,
  [SMALL_STATE(13337)] = 538737,
  [SMALL_STATE(13338)] = 538745,
  [SMALL_STATE(13339)] = 538753,
  [SMALL_STATE(13340)] = 538761,
  [SMALL_STATE(13341)] = 538769,
  [SMALL_STATE(13342)] = 538777,
  [SMALL_STATE(13343)] = 538785,
  [SMALL_STATE(13344)] = 538793,
  [SMALL_STATE(13345)] = 538801,
  [SMALL_STATE(13346)] = 538809,
  [SMALL_STATE(13347)] = 538817,
  [SMALL_STATE(13348)] = 538825,
  [SMALL_STATE(13349)] = 538833,
  [SMALL_STATE(13350)] = 538841,
  [SMALL_STATE(13351)] = 538849,
  [SMALL_STATE(13352)] = 538857,
  [SMALL_STATE(13353)] = 538865,
  [SMALL_STATE(13354)] = 538873,
  [SMALL_STATE(13355)] = 538881,
  [SMALL_STATE(13356)] = 538889,
  [SMALL_STATE(13357)] = 538897,
  [SMALL_STATE(13358)] = 538905,
  [SMALL_STATE(13359)] = 538913,
  [SMALL_STATE(13360)] = 538921,
  [SMALL_STATE(13361)] = 538929,
  [SMALL_STATE(13362)] = 538937,
  [SMALL_STATE(13363)] = 538945,
  [SMALL_STATE(13364)] = 538953,
  [SMALL_STATE(13365)] = 538961,
  [SMALL_STATE(13366)] = 538969,
  [SMALL_STATE(13367)] = 538977,
  [SMALL_STATE(13368)] = 538985,
  [SMALL_STATE(13369)] = 538993,
  [SMALL_STATE(13370)] = 539001,
  [SMALL_STATE(13371)] = 539009,
  [SMALL_STATE(13372)] = 539017,
  [SMALL_STATE(13373)] = 539025,
  [SMALL_STATE(13374)] = 539033,
  [SMALL_STATE(13375)] = 539041,
  [SMALL_STATE(13376)] = 539049,
  [SMALL_STATE(13377)] = 539057,
  [SMALL_STATE(13378)] = 539065,
  [SMALL_STATE(13379)] = 539073,
  [SMALL_STATE(13380)] = 539081,
  [SMALL_STATE(13381)] = 539089,
  [SMALL_STATE(13382)] = 539097,
  [SMALL_STATE(13383)] = 539105,
  [SMALL_STATE(13384)] = 539113,
  [SMALL_STATE(13385)] = 539121,
  [SMALL_STATE(13386)] = 539129,
  [SMALL_STATE(13387)] = 539137,
  [SMALL_STATE(13388)] = 539145,
  [SMALL_STATE(13389)] = 539153,
  [SMALL_STATE(13390)] = 539161,
  [SMALL_STATE(13391)] = 539169,
  [SMALL_STATE(13392)] = 539177,
  [SMALL_STATE(13393)] = 539185,
  [SMALL_STATE(13394)] = 539193,
  [SMALL_STATE(13395)] = 539201,
  [SMALL_STATE(13396)] = 539209,
  [SMALL_STATE(13397)] = 539217,
  [SMALL_STATE(13398)] = 539225,
  [SMALL_STATE(13399)] = 539233,
  [SMALL_STATE(13400)] = 539241,
  [SMALL_STATE(13401)] = 539249,
  [SMALL_STATE(13402)] = 539257,
  [SMALL_STATE(13403)] = 539265,
  [SMALL_STATE(13404)] = 539273,
  [SMALL_STATE(13405)] = 539281,
  [SMALL_STATE(13406)] = 539289,
  [SMALL_STATE(13407)] = 539297,
  [SMALL_STATE(13408)] = 539305,
  [SMALL_STATE(13409)] = 539313,
  [SMALL_STATE(13410)] = 539321,
  [SMALL_STATE(13411)] = 539329,
  [SMALL_STATE(13412)] = 539337,
  [SMALL_STATE(13413)] = 539345,
  [SMALL_STATE(13414)] = 539353,
  [SMALL_STATE(13415)] = 539361,
  [SMALL_STATE(13416)] = 539369,
  [SMALL_STATE(13417)] = 539377,
  [SMALL_STATE(13418)] = 539385,
  [SMALL_STATE(13419)] = 539393,
  [SMALL_STATE(13420)] = 539401,
  [SMALL_STATE(13421)] = 539409,
  [SMALL_STATE(13422)] = 539417,
  [SMALL_STATE(13423)] = 539425,
  [SMALL_STATE(13424)] = 539433,
  [SMALL_STATE(13425)] = 539441,
  [SMALL_STATE(13426)] = 539449,
  [SMALL_STATE(13427)] = 539457,
  [SMALL_STATE(13428)] = 539465,
  [SMALL_STATE(13429)] = 539473,
  [SMALL_STATE(13430)] = 539481,
  [SMALL_STATE(13431)] = 539489,
  [SMALL_STATE(13432)] = 539497,
  [SMALL_STATE(13433)] = 539505,
  [SMALL_STATE(13434)] = 539513,
  [SMALL_STATE(13435)] = 539521,
  [SMALL_STATE(13436)] = 539529,
  [SMALL_STATE(13437)] = 539537,
  [SMALL_STATE(13438)] = 539545,
  [SMALL_STATE(13439)] = 539553,
  [SMALL_STATE(13440)] = 539561,
  [SMALL_STATE(13441)] = 539569,
  [SMALL_STATE(13442)] = 539577,
  [SMALL_STATE(13443)] = 539585,
  [SMALL_STATE(13444)] = 539593,
  [SMALL_STATE(13445)] = 539601,
  [SMALL_STATE(13446)] = 539609,
  [SMALL_STATE(13447)] = 539617,
  [SMALL_STATE(13448)] = 539625,
  [SMALL_STATE(13449)] = 539633,
  [SMALL_STATE(13450)] = 539641,
  [SMALL_STATE(13451)] = 539649,
  [SMALL_STATE(13452)] = 539657,
  [SMALL_STATE(13453)] = 539665,
  [SMALL_STATE(13454)] = 539673,
  [SMALL_STATE(13455)] = 539681,
  [SMALL_STATE(13456)] = 539689,
  [SMALL_STATE(13457)] = 539697,
  [SMALL_STATE(13458)] = 539705,
  [SMALL_STATE(13459)] = 539713,
  [SMALL_STATE(13460)] = 539721,
  [SMALL_STATE(13461)] = 539729,
  [SMALL_STATE(13462)] = 539737,
  [SMALL_STATE(13463)] = 539745,
  [SMALL_STATE(13464)] = 539753,
  [SMALL_STATE(13465)] = 539761,
  [SMALL_STATE(13466)] = 539769,
  [SMALL_STATE(13467)] = 539777,
  [SMALL_STATE(13468)] = 539785,
  [SMALL_STATE(13469)] = 539793,
  [SMALL_STATE(13470)] = 539801,
  [SMALL_STATE(13471)] = 539809,
  [SMALL_STATE(13472)] = 539817,
  [SMALL_STATE(13473)] = 539825,
  [SMALL_STATE(13474)] = 539833,
  [SMALL_STATE(13475)] = 539841,
  [SMALL_STATE(13476)] = 539849,
  [SMALL_STATE(13477)] = 539857,
  [SMALL_STATE(13478)] = 539865,
  [SMALL_STATE(13479)] = 539873,
  [SMALL_STATE(13480)] = 539881,
  [SMALL_STATE(13481)] = 539889,
  [SMALL_STATE(13482)] = 539897,
  [SMALL_STATE(13483)] = 539905,
  [SMALL_STATE(13484)] = 539913,
  [SMALL_STATE(13485)] = 539921,
  [SMALL_STATE(13486)] = 539929,
  [SMALL_STATE(13487)] = 539937,
  [SMALL_STATE(13488)] = 539945,
  [SMALL_STATE(13489)] = 539953,
  [SMALL_STATE(13490)] = 539961,
  [SMALL_STATE(13491)] = 539969,
  [SMALL_STATE(13492)] = 539977,
  [SMALL_STATE(13493)] = 539985,
  [SMALL_STATE(13494)] = 539993,
  [SMALL_STATE(13495)] = 540001,
  [SMALL_STATE(13496)] = 540009,
  [SMALL_STATE(13497)] = 540017,
  [SMALL_STATE(13498)] = 540025,
  [SMALL_STATE(13499)] = 540033,
  [SMALL_STATE(13500)] = 540041,
  [SMALL_STATE(13501)] = 540049,
  [SMALL_STATE(13502)] = 540057,
  [SMALL_STATE(13503)] = 540065,
  [SMALL_STATE(13504)] = 540073,
  [SMALL_STATE(13505)] = 540081,
  [SMALL_STATE(13506)] = 540089,
  [SMALL_STATE(13507)] = 540097,
  [SMALL_STATE(13508)] = 540105,
  [SMALL_STATE(13509)] = 540113,
  [SMALL_STATE(13510)] = 540121,
  [SMALL_STATE(13511)] = 540129,
  [SMALL_STATE(13512)] = 540137,
  [SMALL_STATE(13513)] = 540145,
  [SMALL_STATE(13514)] = 540153,
  [SMALL_STATE(13515)] = 540161,
  [SMALL_STATE(13516)] = 540169,
  [SMALL_STATE(13517)] = 540177,
  [SMALL_STATE(13518)] = 540185,
  [SMALL_STATE(13519)] = 540193,
  [SMALL_STATE(13520)] = 540201,
  [SMALL_STATE(13521)] = 540209,
  [SMALL_STATE(13522)] = 540217,
  [SMALL_STATE(13523)] = 540225,
  [SMALL_STATE(13524)] = 540233,
  [SMALL_STATE(13525)] = 540241,
  [SMALL_STATE(13526)] = 540249,
  [SMALL_STATE(13527)] = 540257,
  [SMALL_STATE(13528)] = 540265,
  [SMALL_STATE(13529)] = 540273,
  [SMALL_STATE(13530)] = 540281,
  [SMALL_STATE(13531)] = 540289,
  [SMALL_STATE(13532)] = 540297,
  [SMALL_STATE(13533)] = 540305,
  [SMALL_STATE(13534)] = 540313,
  [SMALL_STATE(13535)] = 540321,
  [SMALL_STATE(13536)] = 540329,
  [SMALL_STATE(13537)] = 540337,
  [SMALL_STATE(13538)] = 540345,
  [SMALL_STATE(13539)] = 540353,
  [SMALL_STATE(13540)] = 540361,
  [SMALL_STATE(13541)] = 540369,
  [SMALL_STATE(13542)] = 540377,
  [SMALL_STATE(13543)] = 540385,
  [SMALL_STATE(13544)] = 540393,
  [SMALL_STATE(13545)] = 540401,
  [SMALL_STATE(13546)] = 540409,
  [SMALL_STATE(13547)] = 540417,
  [SMALL_STATE(13548)] = 540425,
  [SMALL_STATE(13549)] = 540433,
  [SMALL_STATE(13550)] = 540441,
  [SMALL_STATE(13551)] = 540449,
  [SMALL_STATE(13552)] = 540457,
  [SMALL_STATE(13553)] = 540465,
  [SMALL_STATE(13554)] = 540473,
  [SMALL_STATE(13555)] = 540481,
  [SMALL_STATE(13556)] = 540489,
  [SMALL_STATE(13557)] = 540497,
  [SMALL_STATE(13558)] = 540505,
  [SMALL_STATE(13559)] = 540513,
  [SMALL_STATE(13560)] = 540521,
  [SMALL_STATE(13561)] = 540529,
  [SMALL_STATE(13562)] = 540537,
  [SMALL_STATE(13563)] = 540545,
  [SMALL_STATE(13564)] = 540553,
  [SMALL_STATE(13565)] = 540561,
  [SMALL_STATE(13566)] = 540569,
  [SMALL_STATE(13567)] = 540577,
  [SMALL_STATE(13568)] = 540585,
  [SMALL_STATE(13569)] = 540593,
  [SMALL_STATE(13570)] = 540601,
  [SMALL_STATE(13571)] = 540609,
  [SMALL_STATE(13572)] = 540617,
  [SMALL_STATE(13573)] = 540625,
  [SMALL_STATE(13574)] = 540633,
  [SMALL_STATE(13575)] = 540641,
  [SMALL_STATE(13576)] = 540649,
  [SMALL_STATE(13577)] = 540657,
  [SMALL_STATE(13578)] = 540665,
  [SMALL_STATE(13579)] = 540673,
  [SMALL_STATE(13580)] = 540681,
  [SMALL_STATE(13581)] = 540689,
  [SMALL_STATE(13582)] = 540697,
  [SMALL_STATE(13583)] = 540705,
  [SMALL_STATE(13584)] = 540713,
  [SMALL_STATE(13585)] = 540721,
  [SMALL_STATE(13586)] = 540729,
  [SMALL_STATE(13587)] = 540737,
  [SMALL_STATE(13588)] = 540745,
  [SMALL_STATE(13589)] = 540753,
  [SMALL_STATE(13590)] = 540761,
  [SMALL_STATE(13591)] = 540769,
  [SMALL_STATE(13592)] = 540777,
  [SMALL_STATE(13593)] = 540785,
  [SMALL_STATE(13594)] = 540793,
  [SMALL_STATE(13595)] = 540801,
  [SMALL_STATE(13596)] = 540809,
  [SMALL_STATE(13597)] = 540817,
  [SMALL_STATE(13598)] = 540825,
  [SMALL_STATE(13599)] = 540833,
  [SMALL_STATE(13600)] = 540841,
  [SMALL_STATE(13601)] = 540849,
  [SMALL_STATE(13602)] = 540857,
  [SMALL_STATE(13603)] = 540865,
  [SMALL_STATE(13604)] = 540873,
  [SMALL_STATE(13605)] = 540881,
  [SMALL_STATE(13606)] = 540889,
  [SMALL_STATE(13607)] = 540897,
  [SMALL_STATE(13608)] = 540905,
  [SMALL_STATE(13609)] = 540913,
  [SMALL_STATE(13610)] = 540921,
  [SMALL_STATE(13611)] = 540929,
  [SMALL_STATE(13612)] = 540937,
  [SMALL_STATE(13613)] = 540945,
  [SMALL_STATE(13614)] = 540953,
  [SMALL_STATE(13615)] = 540961,
  [SMALL_STATE(13616)] = 540969,
  [SMALL_STATE(13617)] = 540977,
  [SMALL_STATE(13618)] = 540985,
  [SMALL_STATE(13619)] = 540993,
  [SMALL_STATE(13620)] = 541001,
  [SMALL_STATE(13621)] = 541009,
  [SMALL_STATE(13622)] = 541017,
  [SMALL_STATE(13623)] = 541025,
  [SMALL_STATE(13624)] = 541033,
  [SMALL_STATE(13625)] = 541041,
  [SMALL_STATE(13626)] = 541049,
  [SMALL_STATE(13627)] = 541057,
  [SMALL_STATE(13628)] = 541065,
  [SMALL_STATE(13629)] = 541073,
  [SMALL_STATE(13630)] = 541081,
  [SMALL_STATE(13631)] = 541089,
  [SMALL_STATE(13632)] = 541097,
  [SMALL_STATE(13633)] = 541105,
  [SMALL_STATE(13634)] = 541113,
  [SMALL_STATE(13635)] = 541121,
  [SMALL_STATE(13636)] = 541129,
  [SMALL_STATE(13637)] = 541137,
  [SMALL_STATE(13638)] = 541145,
  [SMALL_STATE(13639)] = 541153,
  [SMALL_STATE(13640)] = 541161,
  [SMALL_STATE(13641)] = 541169,
  [SMALL_STATE(13642)] = 541177,
  [SMALL_STATE(13643)] = 541185,
  [SMALL_STATE(13644)] = 541193,
  [SMALL_STATE(13645)] = 541201,
  [SMALL_STATE(13646)] = 541209,
  [SMALL_STATE(13647)] = 541217,
  [SMALL_STATE(13648)] = 541225,
  [SMALL_STATE(13649)] = 541233,
  [SMALL_STATE(13650)] = 541241,
  [SMALL_STATE(13651)] = 541249,
  [SMALL_STATE(13652)] = 541257,
  [SMALL_STATE(13653)] = 541265,
  [SMALL_STATE(13654)] = 541273,
  [SMALL_STATE(13655)] = 541281,
  [SMALL_STATE(13656)] = 541289,
  [SMALL_STATE(13657)] = 541297,
  [SMALL_STATE(13658)] = 541305,
  [SMALL_STATE(13659)] = 541313,
  [SMALL_STATE(13660)] = 541321,
  [SMALL_STATE(13661)] = 541329,
  [SMALL_STATE(13662)] = 541337,
  [SMALL_STATE(13663)] = 541345,
  [SMALL_STATE(13664)] = 541353,
  [SMALL_STATE(13665)] = 541361,
  [SMALL_STATE(13666)] = 541369,
  [SMALL_STATE(13667)] = 541377,
  [SMALL_STATE(13668)] = 541385,
  [SMALL_STATE(13669)] = 541393,
  [SMALL_STATE(13670)] = 541401,
  [SMALL_STATE(13671)] = 541409,
  [SMALL_STATE(13672)] = 541417,
  [SMALL_STATE(13673)] = 541425,
  [SMALL_STATE(13674)] = 541433,
  [SMALL_STATE(13675)] = 541441,
  [SMALL_STATE(13676)] = 541449,
  [SMALL_STATE(13677)] = 541457,
  [SMALL_STATE(13678)] = 541465,
  [SMALL_STATE(13679)] = 541473,
  [SMALL_STATE(13680)] = 541481,
  [SMALL_STATE(13681)] = 541489,
  [SMALL_STATE(13682)] = 541497,
  [SMALL_STATE(13683)] = 541505,
  [SMALL_STATE(13684)] = 541513,
  [SMALL_STATE(13685)] = 541521,
  [SMALL_STATE(13686)] = 541529,
  [SMALL_STATE(13687)] = 541537,
  [SMALL_STATE(13688)] = 541545,
  [SMALL_STATE(13689)] = 541553,
  [SMALL_STATE(13690)] = 541561,
  [SMALL_STATE(13691)] = 541569,
  [SMALL_STATE(13692)] = 541577,
  [SMALL_STATE(13693)] = 541585,
  [SMALL_STATE(13694)] = 541593,
  [SMALL_STATE(13695)] = 541601,
  [SMALL_STATE(13696)] = 541609,
  [SMALL_STATE(13697)] = 541617,
  [SMALL_STATE(13698)] = 541625,
  [SMALL_STATE(13699)] = 541633,
  [SMALL_STATE(13700)] = 541641,
  [SMALL_STATE(13701)] = 541649,
  [SMALL_STATE(13702)] = 541657,
  [SMALL_STATE(13703)] = 541665,
  [SMALL_STATE(13704)] = 541673,
  [SMALL_STATE(13705)] = 541681,
  [SMALL_STATE(13706)] = 541689,
  [SMALL_STATE(13707)] = 541697,
  [SMALL_STATE(13708)] = 541705,
  [SMALL_STATE(13709)] = 541713,
  [SMALL_STATE(13710)] = 541721,
  [SMALL_STATE(13711)] = 541729,
  [SMALL_STATE(13712)] = 541737,
  [SMALL_STATE(13713)] = 541745,
  [SMALL_STATE(13714)] = 541753,
  [SMALL_STATE(13715)] = 541761,
  [SMALL_STATE(13716)] = 541769,
  [SMALL_STATE(13717)] = 541777,
  [SMALL_STATE(13718)] = 541785,
  [SMALL_STATE(13719)] = 541793,
  [SMALL_STATE(13720)] = 541801,
  [SMALL_STATE(13721)] = 541809,
  [SMALL_STATE(13722)] = 541817,
  [SMALL_STATE(13723)] = 541825,
  [SMALL_STATE(13724)] = 541833,
  [SMALL_STATE(13725)] = 541841,
  [SMALL_STATE(13726)] = 541849,
  [SMALL_STATE(13727)] = 541857,
  [SMALL_STATE(13728)] = 541865,
  [SMALL_STATE(13729)] = 541873,
  [SMALL_STATE(13730)] = 541881,
  [SMALL_STATE(13731)] = 541889,
  [SMALL_STATE(13732)] = 541897,
  [SMALL_STATE(13733)] = 541905,
  [SMALL_STATE(13734)] = 541913,
  [SMALL_STATE(13735)] = 541921,
  [SMALL_STATE(13736)] = 541929,
  [SMALL_STATE(13737)] = 541937,
  [SMALL_STATE(13738)] = 541945,
  [SMALL_STATE(13739)] = 541953,
  [SMALL_STATE(13740)] = 541961,
  [SMALL_STATE(13741)] = 541969,
  [SMALL_STATE(13742)] = 541977,
  [SMALL_STATE(13743)] = 541985,
  [SMALL_STATE(13744)] = 541993,
  [SMALL_STATE(13745)] = 542001,
  [SMALL_STATE(13746)] = 542009,
  [SMALL_STATE(13747)] = 542017,
  [SMALL_STATE(13748)] = 542025,
  [SMALL_STATE(13749)] = 542033,
  [SMALL_STATE(13750)] = 542041,
  [SMALL_STATE(13751)] = 542049,
  [SMALL_STATE(13752)] = 542057,
  [SMALL_STATE(13753)] = 542065,
  [SMALL_STATE(13754)] = 542073,
  [SMALL_STATE(13755)] = 542081,
  [SMALL_STATE(13756)] = 542089,
  [SMALL_STATE(13757)] = 542097,
  [SMALL_STATE(13758)] = 542105,
  [SMALL_STATE(13759)] = 542113,
  [SMALL_STATE(13760)] = 542121,
  [SMALL_STATE(13761)] = 542129,
  [SMALL_STATE(13762)] = 542137,
  [SMALL_STATE(13763)] = 542145,
  [SMALL_STATE(13764)] = 542153,
  [SMALL_STATE(13765)] = 542161,
  [SMALL_STATE(13766)] = 542169,
  [SMALL_STATE(13767)] = 542177,
  [SMALL_STATE(13768)] = 542185,
  [SMALL_STATE(13769)] = 542193,
  [SMALL_STATE(13770)] = 542201,
  [SMALL_STATE(13771)] = 542209,
  [SMALL_STATE(13772)] = 542217,
  [SMALL_STATE(13773)] = 542225,
  [SMALL_STATE(13774)] = 542233,
  [SMALL_STATE(13775)] = 542241,
  [SMALL_STATE(13776)] = 542249,
  [SMALL_STATE(13777)] = 542257,
  [SMALL_STATE(13778)] = 542265,
  [SMALL_STATE(13779)] = 542273,
  [SMALL_STATE(13780)] = 542281,
  [SMALL_STATE(13781)] = 542289,
  [SMALL_STATE(13782)] = 542297,
  [SMALL_STATE(13783)] = 542305,
  [SMALL_STATE(13784)] = 542313,
  [SMALL_STATE(13785)] = 542321,
  [SMALL_STATE(13786)] = 542329,
  [SMALL_STATE(13787)] = 542337,
  [SMALL_STATE(13788)] = 542345,
  [SMALL_STATE(13789)] = 542353,
  [SMALL_STATE(13790)] = 542361,
  [SMALL_STATE(13791)] = 542369,
  [SMALL_STATE(13792)] = 542377,
  [SMALL_STATE(13793)] = 542385,
  [SMALL_STATE(13794)] = 542393,
  [SMALL_STATE(13795)] = 542401,
  [SMALL_STATE(13796)] = 542409,
  [SMALL_STATE(13797)] = 542417,
  [SMALL_STATE(13798)] = 542425,
  [SMALL_STATE(13799)] = 542433,
  [SMALL_STATE(13800)] = 542441,
  [SMALL_STATE(13801)] = 542449,
  [SMALL_STATE(13802)] = 542457,
  [SMALL_STATE(13803)] = 542465,
  [SMALL_STATE(13804)] = 542473,
  [SMALL_STATE(13805)] = 542481,
  [SMALL_STATE(13806)] = 542489,
  [SMALL_STATE(13807)] = 542497,
  [SMALL_STATE(13808)] = 542505,
  [SMALL_STATE(13809)] = 542513,
  [SMALL_STATE(13810)] = 542521,
  [SMALL_STATE(13811)] = 542529,
  [SMALL_STATE(13812)] = 542537,
  [SMALL_STATE(13813)] = 542545,
  [SMALL_STATE(13814)] = 542553,
  [SMALL_STATE(13815)] = 542561,
  [SMALL_STATE(13816)] = 542569,
  [SMALL_STATE(13817)] = 542577,
  [SMALL_STATE(13818)] = 542585,
  [SMALL_STATE(13819)] = 542593,
  [SMALL_STATE(13820)] = 542601,
  [SMALL_STATE(13821)] = 542609,
  [SMALL_STATE(13822)] = 542617,
  [SMALL_STATE(13823)] = 542625,
  [SMALL_STATE(13824)] = 542633,
  [SMALL_STATE(13825)] = 542641,
  [SMALL_STATE(13826)] = 542649,
  [SMALL_STATE(13827)] = 542657,
  [SMALL_STATE(13828)] = 542665,
  [SMALL_STATE(13829)] = 542673,
  [SMALL_STATE(13830)] = 542681,
  [SMALL_STATE(13831)] = 542689,
  [SMALL_STATE(13832)] = 542697,
  [SMALL_STATE(13833)] = 542705,
  [SMALL_STATE(13834)] = 542713,
  [SMALL_STATE(13835)] = 542721,
  [SMALL_STATE(13836)] = 542729,
  [SMALL_STATE(13837)] = 542737,
  [SMALL_STATE(13838)] = 542745,
  [SMALL_STATE(13839)] = 542753,
  [SMALL_STATE(13840)] = 542761,
  [SMALL_STATE(13841)] = 542769,
  [SMALL_STATE(13842)] = 542777,
  [SMALL_STATE(13843)] = 542785,
  [SMALL_STATE(13844)] = 542793,
  [SMALL_STATE(13845)] = 542801,
  [SMALL_STATE(13846)] = 542809,
  [SMALL_STATE(13847)] = 542817,
  [SMALL_STATE(13848)] = 542825,
  [SMALL_STATE(13849)] = 542833,
  [SMALL_STATE(13850)] = 542841,
  [SMALL_STATE(13851)] = 542849,
  [SMALL_STATE(13852)] = 542857,
  [SMALL_STATE(13853)] = 542865,
  [SMALL_STATE(13854)] = 542873,
  [SMALL_STATE(13855)] = 542881,
  [SMALL_STATE(13856)] = 542889,
  [SMALL_STATE(13857)] = 542897,
  [SMALL_STATE(13858)] = 542905,
  [SMALL_STATE(13859)] = 542913,
  [SMALL_STATE(13860)] = 542921,
  [SMALL_STATE(13861)] = 542929,
  [SMALL_STATE(13862)] = 542937,
  [SMALL_STATE(13863)] = 542945,
  [SMALL_STATE(13864)] = 542953,
  [SMALL_STATE(13865)] = 542961,
  [SMALL_STATE(13866)] = 542969,
  [SMALL_STATE(13867)] = 542977,
  [SMALL_STATE(13868)] = 542985,
  [SMALL_STATE(13869)] = 542993,
  [SMALL_STATE(13870)] = 543001,
  [SMALL_STATE(13871)] = 543009,
  [SMALL_STATE(13872)] = 543017,
  [SMALL_STATE(13873)] = 543025,
  [SMALL_STATE(13874)] = 543033,
  [SMALL_STATE(13875)] = 543041,
  [SMALL_STATE(13876)] = 543049,
  [SMALL_STATE(13877)] = 543057,
  [SMALL_STATE(13878)] = 543065,
  [SMALL_STATE(13879)] = 543073,
  [SMALL_STATE(13880)] = 543081,
  [SMALL_STATE(13881)] = 543089,
  [SMALL_STATE(13882)] = 543097,
  [SMALL_STATE(13883)] = 543105,
  [SMALL_STATE(13884)] = 543113,
  [SMALL_STATE(13885)] = 543121,
  [SMALL_STATE(13886)] = 543129,
  [SMALL_STATE(13887)] = 543137,
  [SMALL_STATE(13888)] = 543145,
  [SMALL_STATE(13889)] = 543153,
  [SMALL_STATE(13890)] = 543161,
  [SMALL_STATE(13891)] = 543169,
  [SMALL_STATE(13892)] = 543177,
  [SMALL_STATE(13893)] = 543185,
  [SMALL_STATE(13894)] = 543193,
  [SMALL_STATE(13895)] = 543201,
  [SMALL_STATE(13896)] = 543209,
  [SMALL_STATE(13897)] = 543217,
  [SMALL_STATE(13898)] = 543225,
  [SMALL_STATE(13899)] = 543233,
  [SMALL_STATE(13900)] = 543241,
  [SMALL_STATE(13901)] = 543249,
  [SMALL_STATE(13902)] = 543257,
  [SMALL_STATE(13903)] = 543265,
  [SMALL_STATE(13904)] = 543273,
  [SMALL_STATE(13905)] = 543281,
  [SMALL_STATE(13906)] = 543289,
  [SMALL_STATE(13907)] = 543297,
  [SMALL_STATE(13908)] = 543305,
  [SMALL_STATE(13909)] = 543313,
  [SMALL_STATE(13910)] = 543321,
  [SMALL_STATE(13911)] = 543329,
  [SMALL_STATE(13912)] = 543337,
  [SMALL_STATE(13913)] = 543345,
  [SMALL_STATE(13914)] = 543353,
  [SMALL_STATE(13915)] = 543361,
  [SMALL_STATE(13916)] = 543369,
  [SMALL_STATE(13917)] = 543377,
  [SMALL_STATE(13918)] = 543385,
  [SMALL_STATE(13919)] = 543393,
  [SMALL_STATE(13920)] = 543401,
  [SMALL_STATE(13921)] = 543409,
  [SMALL_STATE(13922)] = 543417,
  [SMALL_STATE(13923)] = 543425,
  [SMALL_STATE(13924)] = 543433,
  [SMALL_STATE(13925)] = 543441,
  [SMALL_STATE(13926)] = 543449,
  [SMALL_STATE(13927)] = 543457,
  [SMALL_STATE(13928)] = 543465,
  [SMALL_STATE(13929)] = 543473,
  [SMALL_STATE(13930)] = 543481,
  [SMALL_STATE(13931)] = 543489,
  [SMALL_STATE(13932)] = 543497,
  [SMALL_STATE(13933)] = 543505,
  [SMALL_STATE(13934)] = 543513,
  [SMALL_STATE(13935)] = 543521,
  [SMALL_STATE(13936)] = 543529,
  [SMALL_STATE(13937)] = 543537,
  [SMALL_STATE(13938)] = 543545,
  [SMALL_STATE(13939)] = 543553,
  [SMALL_STATE(13940)] = 543561,
  [SMALL_STATE(13941)] = 543569,
  [SMALL_STATE(13942)] = 543577,
  [SMALL_STATE(13943)] = 543585,
  [SMALL_STATE(13944)] = 543593,
  [SMALL_STATE(13945)] = 543601,
  [SMALL_STATE(13946)] = 543609,
  [SMALL_STATE(13947)] = 543617,
  [SMALL_STATE(13948)] = 543625,
  [SMALL_STATE(13949)] = 543633,
  [SMALL_STATE(13950)] = 543641,
  [SMALL_STATE(13951)] = 543649,
  [SMALL_STATE(13952)] = 543657,
  [SMALL_STATE(13953)] = 543665,
  [SMALL_STATE(13954)] = 543673,
  [SMALL_STATE(13955)] = 543681,
  [SMALL_STATE(13956)] = 543689,
  [SMALL_STATE(13957)] = 543697,
  [SMALL_STATE(13958)] = 543705,
  [SMALL_STATE(13959)] = 543713,
  [SMALL_STATE(13960)] = 543721,
  [SMALL_STATE(13961)] = 543729,
  [SMALL_STATE(13962)] = 543737,
  [SMALL_STATE(13963)] = 543745,
  [SMALL_STATE(13964)] = 543753,
  [SMALL_STATE(13965)] = 543761,
  [SMALL_STATE(13966)] = 543769,
  [SMALL_STATE(13967)] = 543777,
  [SMALL_STATE(13968)] = 543785,
  [SMALL_STATE(13969)] = 543793,
  [SMALL_STATE(13970)] = 543801,
  [SMALL_STATE(13971)] = 543809,
  [SMALL_STATE(13972)] = 543817,
  [SMALL_STATE(13973)] = 543825,
  [SMALL_STATE(13974)] = 543833,
  [SMALL_STATE(13975)] = 543841,
  [SMALL_STATE(13976)] = 543849,
  [SMALL_STATE(13977)] = 543857,
  [SMALL_STATE(13978)] = 543865,
  [SMALL_STATE(13979)] = 543873,
  [SMALL_STATE(13980)] = 543881,
  [SMALL_STATE(13981)] = 543889,
  [SMALL_STATE(13982)] = 543897,
  [SMALL_STATE(13983)] = 543905,
  [SMALL_STATE(13984)] = 543913,
  [SMALL_STATE(13985)] = 543921,
  [SMALL_STATE(13986)] = 543929,
  [SMALL_STATE(13987)] = 543937,
  [SMALL_STATE(13988)] = 543945,
  [SMALL_STATE(13989)] = 543953,
  [SMALL_STATE(13990)] = 543961,
  [SMALL_STATE(13991)] = 543969,
  [SMALL_STATE(13992)] = 543977,
  [SMALL_STATE(13993)] = 543985,
  [SMALL_STATE(13994)] = 543993,
  [SMALL_STATE(13995)] = 544001,
  [SMALL_STATE(13996)] = 544009,
  [SMALL_STATE(13997)] = 544017,
  [SMALL_STATE(13998)] = 544025,
  [SMALL_STATE(13999)] = 544033,
  [SMALL_STATE(14000)] = 544041,
  [SMALL_STATE(14001)] = 544049,
  [SMALL_STATE(14002)] = 544057,
  [SMALL_STATE(14003)] = 544065,
  [SMALL_STATE(14004)] = 544073,
  [SMALL_STATE(14005)] = 544081,
  [SMALL_STATE(14006)] = 544089,
  [SMALL_STATE(14007)] = 544097,
  [SMALL_STATE(14008)] = 544105,
  [SMALL_STATE(14009)] = 544113,
  [SMALL_STATE(14010)] = 544121,
  [SMALL_STATE(14011)] = 544129,
  [SMALL_STATE(14012)] = 544137,
  [SMALL_STATE(14013)] = 544145,
  [SMALL_STATE(14014)] = 544153,
  [SMALL_STATE(14015)] = 544161,
  [SMALL_STATE(14016)] = 544169,
  [SMALL_STATE(14017)] = 544177,
  [SMALL_STATE(14018)] = 544185,
  [SMALL_STATE(14019)] = 544193,
  [SMALL_STATE(14020)] = 544201,
  [SMALL_STATE(14021)] = 544209,
  [SMALL_STATE(14022)] = 544217,
  [SMALL_STATE(14023)] = 544225,
  [SMALL_STATE(14024)] = 544233,
  [SMALL_STATE(14025)] = 544241,
  [SMALL_STATE(14026)] = 544249,
  [SMALL_STATE(14027)] = 544257,
  [SMALL_STATE(14028)] = 544265,
  [SMALL_STATE(14029)] = 544273,
  [SMALL_STATE(14030)] = 544281,
  [SMALL_STATE(14031)] = 544289,
  [SMALL_STATE(14032)] = 544297,
  [SMALL_STATE(14033)] = 544305,
  [SMALL_STATE(14034)] = 544313,
  [SMALL_STATE(14035)] = 544321,
  [SMALL_STATE(14036)] = 544329,
  [SMALL_STATE(14037)] = 544337,
  [SMALL_STATE(14038)] = 544345,
  [SMALL_STATE(14039)] = 544353,
  [SMALL_STATE(14040)] = 544361,
  [SMALL_STATE(14041)] = 544369,
  [SMALL_STATE(14042)] = 544377,
  [SMALL_STATE(14043)] = 544385,
  [SMALL_STATE(14044)] = 544393,
  [SMALL_STATE(14045)] = 544401,
  [SMALL_STATE(14046)] = 544409,
  [SMALL_STATE(14047)] = 544417,
  [SMALL_STATE(14048)] = 544425,
  [SMALL_STATE(14049)] = 544433,
  [SMALL_STATE(14050)] = 544441,
  [SMALL_STATE(14051)] = 544449,
  [SMALL_STATE(14052)] = 544457,
  [SMALL_STATE(14053)] = 544465,
  [SMALL_STATE(14054)] = 544473,
  [SMALL_STATE(14055)] = 544481,
  [SMALL_STATE(14056)] = 544489,
  [SMALL_STATE(14057)] = 544497,
  [SMALL_STATE(14058)] = 544505,
  [SMALL_STATE(14059)] = 544513,
  [SMALL_STATE(14060)] = 544521,
  [SMALL_STATE(14061)] = 544529,
  [SMALL_STATE(14062)] = 544537,
  [SMALL_STATE(14063)] = 544545,
  [SMALL_STATE(14064)] = 544553,
  [SMALL_STATE(14065)] = 544561,
  [SMALL_STATE(14066)] = 544569,
  [SMALL_STATE(14067)] = 544577,
  [SMALL_STATE(14068)] = 544585,
  [SMALL_STATE(14069)] = 544593,
  [SMALL_STATE(14070)] = 544601,
  [SMALL_STATE(14071)] = 544609,
  [SMALL_STATE(14072)] = 544617,
  [SMALL_STATE(14073)] = 544625,
  [SMALL_STATE(14074)] = 544633,
  [SMALL_STATE(14075)] = 544641,
  [SMALL_STATE(14076)] = 544649,
  [SMALL_STATE(14077)] = 544657,
  [SMALL_STATE(14078)] = 544665,
  [SMALL_STATE(14079)] = 544673,
  [SMALL_STATE(14080)] = 544681,
  [SMALL_STATE(14081)] = 544689,
  [SMALL_STATE(14082)] = 544697,
  [SMALL_STATE(14083)] = 544705,
  [SMALL_STATE(14084)] = 544713,
  [SMALL_STATE(14085)] = 544721,
  [SMALL_STATE(14086)] = 544729,
  [SMALL_STATE(14087)] = 544737,
  [SMALL_STATE(14088)] = 544745,
  [SMALL_STATE(14089)] = 544753,
  [SMALL_STATE(14090)] = 544761,
  [SMALL_STATE(14091)] = 544769,
  [SMALL_STATE(14092)] = 544777,
  [SMALL_STATE(14093)] = 544785,
  [SMALL_STATE(14094)] = 544793,
  [SMALL_STATE(14095)] = 544801,
  [SMALL_STATE(14096)] = 544809,
  [SMALL_STATE(14097)] = 544817,
  [SMALL_STATE(14098)] = 544825,
  [SMALL_STATE(14099)] = 544833,
  [SMALL_STATE(14100)] = 544841,
  [SMALL_STATE(14101)] = 544849,
  [SMALL_STATE(14102)] = 544857,
  [SMALL_STATE(14103)] = 544865,
  [SMALL_STATE(14104)] = 544873,
  [SMALL_STATE(14105)] = 544881,
  [SMALL_STATE(14106)] = 544889,
  [SMALL_STATE(14107)] = 544897,
  [SMALL_STATE(14108)] = 544905,
  [SMALL_STATE(14109)] = 544913,
  [SMALL_STATE(14110)] = 544921,
  [SMALL_STATE(14111)] = 544929,
  [SMALL_STATE(14112)] = 544937,
  [SMALL_STATE(14113)] = 544945,
  [SMALL_STATE(14114)] = 544953,
  [SMALL_STATE(14115)] = 544961,
  [SMALL_STATE(14116)] = 544969,
  [SMALL_STATE(14117)] = 544977,
  [SMALL_STATE(14118)] = 544985,
  [SMALL_STATE(14119)] = 544993,
  [SMALL_STATE(14120)] = 545001,
  [SMALL_STATE(14121)] = 545009,
  [SMALL_STATE(14122)] = 545017,
  [SMALL_STATE(14123)] = 545025,
  [SMALL_STATE(14124)] = 545033,
  [SMALL_STATE(14125)] = 545041,
  [SMALL_STATE(14126)] = 545049,
  [SMALL_STATE(14127)] = 545057,
  [SMALL_STATE(14128)] = 545065,
  [SMALL_STATE(14129)] = 545073,
  [SMALL_STATE(14130)] = 545081,
  [SMALL_STATE(14131)] = 545089,
  [SMALL_STATE(14132)] = 545097,
  [SMALL_STATE(14133)] = 545105,
  [SMALL_STATE(14134)] = 545113,
  [SMALL_STATE(14135)] = 545121,
  [SMALL_STATE(14136)] = 545129,
  [SMALL_STATE(14137)] = 545137,
  [SMALL_STATE(14138)] = 545145,
  [SMALL_STATE(14139)] = 545153,
  [SMALL_STATE(14140)] = 545161,
  [SMALL_STATE(14141)] = 545169,
  [SMALL_STATE(14142)] = 545177,
  [SMALL_STATE(14143)] = 545185,
  [SMALL_STATE(14144)] = 545193,
  [SMALL_STATE(14145)] = 545201,
  [SMALL_STATE(14146)] = 545209,
  [SMALL_STATE(14147)] = 545217,
  [SMALL_STATE(14148)] = 545225,
  [SMALL_STATE(14149)] = 545233,
  [SMALL_STATE(14150)] = 545241,
  [SMALL_STATE(14151)] = 545249,
  [SMALL_STATE(14152)] = 545257,
  [SMALL_STATE(14153)] = 545265,
  [SMALL_STATE(14154)] = 545273,
  [SMALL_STATE(14155)] = 545281,
  [SMALL_STATE(14156)] = 545289,
  [SMALL_STATE(14157)] = 545297,
  [SMALL_STATE(14158)] = 545305,
  [SMALL_STATE(14159)] = 545313,
  [SMALL_STATE(14160)] = 545321,
  [SMALL_STATE(14161)] = 545329,
  [SMALL_STATE(14162)] = 545337,
  [SMALL_STATE(14163)] = 545345,
  [SMALL_STATE(14164)] = 545353,
  [SMALL_STATE(14165)] = 545361,
  [SMALL_STATE(14166)] = 545369,
  [SMALL_STATE(14167)] = 545377,
  [SMALL_STATE(14168)] = 545385,
  [SMALL_STATE(14169)] = 545393,
  [SMALL_STATE(14170)] = 545401,
  [SMALL_STATE(14171)] = 545409,
  [SMALL_STATE(14172)] = 545417,
  [SMALL_STATE(14173)] = 545425,
  [SMALL_STATE(14174)] = 545433,
  [SMALL_STATE(14175)] = 545441,
  [SMALL_STATE(14176)] = 545449,
  [SMALL_STATE(14177)] = 545457,
  [SMALL_STATE(14178)] = 545465,
  [SMALL_STATE(14179)] = 545473,
  [SMALL_STATE(14180)] = 545481,
  [SMALL_STATE(14181)] = 545489,
  [SMALL_STATE(14182)] = 545497,
  [SMALL_STATE(14183)] = 545505,
  [SMALL_STATE(14184)] = 545513,
  [SMALL_STATE(14185)] = 545521,
  [SMALL_STATE(14186)] = 545529,
  [SMALL_STATE(14187)] = 545537,
  [SMALL_STATE(14188)] = 545545,
  [SMALL_STATE(14189)] = 545553,
  [SMALL_STATE(14190)] = 545561,
  [SMALL_STATE(14191)] = 545569,
  [SMALL_STATE(14192)] = 545577,
  [SMALL_STATE(14193)] = 545585,
  [SMALL_STATE(14194)] = 545593,
  [SMALL_STATE(14195)] = 545601,
  [SMALL_STATE(14196)] = 545609,
  [SMALL_STATE(14197)] = 545617,
  [SMALL_STATE(14198)] = 545625,
  [SMALL_STATE(14199)] = 545633,
  [SMALL_STATE(14200)] = 545641,
  [SMALL_STATE(14201)] = 545649,
  [SMALL_STATE(14202)] = 545657,
  [SMALL_STATE(14203)] = 545665,
  [SMALL_STATE(14204)] = 545673,
  [SMALL_STATE(14205)] = 545681,
  [SMALL_STATE(14206)] = 545689,
  [SMALL_STATE(14207)] = 545697,
  [SMALL_STATE(14208)] = 545705,
  [SMALL_STATE(14209)] = 545713,
  [SMALL_STATE(14210)] = 545721,
  [SMALL_STATE(14211)] = 545729,
  [SMALL_STATE(14212)] = 545737,
  [SMALL_STATE(14213)] = 545745,
  [SMALL_STATE(14214)] = 545753,
  [SMALL_STATE(14215)] = 545761,
  [SMALL_STATE(14216)] = 545769,
  [SMALL_STATE(14217)] = 545777,
  [SMALL_STATE(14218)] = 545785,
  [SMALL_STATE(14219)] = 545793,
  [SMALL_STATE(14220)] = 545801,
  [SMALL_STATE(14221)] = 545809,
  [SMALL_STATE(14222)] = 545817,
  [SMALL_STATE(14223)] = 545825,
  [SMALL_STATE(14224)] = 545833,
  [SMALL_STATE(14225)] = 545841,
  [SMALL_STATE(14226)] = 545849,
  [SMALL_STATE(14227)] = 545857,
  [SMALL_STATE(14228)] = 545865,
  [SMALL_STATE(14229)] = 545873,
  [SMALL_STATE(14230)] = 545881,
  [SMALL_STATE(14231)] = 545889,
  [SMALL_STATE(14232)] = 545897,
  [SMALL_STATE(14233)] = 545905,
  [SMALL_STATE(14234)] = 545913,
  [SMALL_STATE(14235)] = 545921,
  [SMALL_STATE(14236)] = 545929,
  [SMALL_STATE(14237)] = 545937,
  [SMALL_STATE(14238)] = 545945,
  [SMALL_STATE(14239)] = 545953,
  [SMALL_STATE(14240)] = 545961,
  [SMALL_STATE(14241)] = 545969,
  [SMALL_STATE(14242)] = 545977,
  [SMALL_STATE(14243)] = 545985,
  [SMALL_STATE(14244)] = 545993,
  [SMALL_STATE(14245)] = 546001,
  [SMALL_STATE(14246)] = 546009,
  [SMALL_STATE(14247)] = 546017,
  [SMALL_STATE(14248)] = 546025,
  [SMALL_STATE(14249)] = 546033,
  [SMALL_STATE(14250)] = 546041,
  [SMALL_STATE(14251)] = 546049,
  [SMALL_STATE(14252)] = 546057,
  [SMALL_STATE(14253)] = 546065,
  [SMALL_STATE(14254)] = 546073,
  [SMALL_STATE(14255)] = 546081,
  [SMALL_STATE(14256)] = 546089,
  [SMALL_STATE(14257)] = 546097,
  [SMALL_STATE(14258)] = 546105,
  [SMALL_STATE(14259)] = 546113,
  [SMALL_STATE(14260)] = 546121,
  [SMALL_STATE(14261)] = 546129,
  [SMALL_STATE(14262)] = 546137,
  [SMALL_STATE(14263)] = 546145,
  [SMALL_STATE(14264)] = 546153,
  [SMALL_STATE(14265)] = 546161,
  [SMALL_STATE(14266)] = 546169,
  [SMALL_STATE(14267)] = 546177,
  [SMALL_STATE(14268)] = 546185,
  [SMALL_STATE(14269)] = 546193,
  [SMALL_STATE(14270)] = 546201,
  [SMALL_STATE(14271)] = 546209,
  [SMALL_STATE(14272)] = 546217,
  [SMALL_STATE(14273)] = 546225,
  [SMALL_STATE(14274)] = 546233,
  [SMALL_STATE(14275)] = 546241,
  [SMALL_STATE(14276)] = 546249,
  [SMALL_STATE(14277)] = 546257,
  [SMALL_STATE(14278)] = 546265,
  [SMALL_STATE(14279)] = 546273,
  [SMALL_STATE(14280)] = 546281,
  [SMALL_STATE(14281)] = 546289,
  [SMALL_STATE(14282)] = 546297,
  [SMALL_STATE(14283)] = 546305,
  [SMALL_STATE(14284)] = 546313,
  [SMALL_STATE(14285)] = 546321,
  [SMALL_STATE(14286)] = 546329,
  [SMALL_STATE(14287)] = 546337,
  [SMALL_STATE(14288)] = 546345,
  [SMALL_STATE(14289)] = 546353,
  [SMALL_STATE(14290)] = 546361,
  [SMALL_STATE(14291)] = 546369,
  [SMALL_STATE(14292)] = 546377,
  [SMALL_STATE(14293)] = 546385,
  [SMALL_STATE(14294)] = 546393,
  [SMALL_STATE(14295)] = 546401,
  [SMALL_STATE(14296)] = 546409,
  [SMALL_STATE(14297)] = 546417,
  [SMALL_STATE(14298)] = 546425,
  [SMALL_STATE(14299)] = 546433,
  [SMALL_STATE(14300)] = 546441,
  [SMALL_STATE(14301)] = 546449,
  [SMALL_STATE(14302)] = 546457,
  [SMALL_STATE(14303)] = 546465,
  [SMALL_STATE(14304)] = 546473,
  [SMALL_STATE(14305)] = 546481,
  [SMALL_STATE(14306)] = 546489,
  [SMALL_STATE(14307)] = 546497,
  [SMALL_STATE(14308)] = 546505,
  [SMALL_STATE(14309)] = 546513,
  [SMALL_STATE(14310)] = 546521,
  [SMALL_STATE(14311)] = 546529,
  [SMALL_STATE(14312)] = 546537,
  [SMALL_STATE(14313)] = 546545,
  [SMALL_STATE(14314)] = 546553,
  [SMALL_STATE(14315)] = 546561,
  [SMALL_STATE(14316)] = 546569,
  [SMALL_STATE(14317)] = 546577,
  [SMALL_STATE(14318)] = 546585,
  [SMALL_STATE(14319)] = 546593,
  [SMALL_STATE(14320)] = 546601,
  [SMALL_STATE(14321)] = 546609,
  [SMALL_STATE(14322)] = 546617,
  [SMALL_STATE(14323)] = 546625,
  [SMALL_STATE(14324)] = 546633,
  [SMALL_STATE(14325)] = 546641,
  [SMALL_STATE(14326)] = 546649,
  [SMALL_STATE(14327)] = 546657,
  [SMALL_STATE(14328)] = 546665,
  [SMALL_STATE(14329)] = 546673,
  [SMALL_STATE(14330)] = 546681,
  [SMALL_STATE(14331)] = 546689,
  [SMALL_STATE(14332)] = 546697,
  [SMALL_STATE(14333)] = 546705,
  [SMALL_STATE(14334)] = 546713,
  [SMALL_STATE(14335)] = 546721,
  [SMALL_STATE(14336)] = 546729,
  [SMALL_STATE(14337)] = 546737,
  [SMALL_STATE(14338)] = 546745,
  [SMALL_STATE(14339)] = 546753,
  [SMALL_STATE(14340)] = 546761,
  [SMALL_STATE(14341)] = 546769,
  [SMALL_STATE(14342)] = 546777,
  [SMALL_STATE(14343)] = 546785,
  [SMALL_STATE(14344)] = 546793,
  [SMALL_STATE(14345)] = 546801,
  [SMALL_STATE(14346)] = 546809,
  [SMALL_STATE(14347)] = 546817,
  [SMALL_STATE(14348)] = 546825,
  [SMALL_STATE(14349)] = 546833,
  [SMALL_STATE(14350)] = 546841,
  [SMALL_STATE(14351)] = 546849,
  [SMALL_STATE(14352)] = 546857,
  [SMALL_STATE(14353)] = 546865,
  [SMALL_STATE(14354)] = 546873,
  [SMALL_STATE(14355)] = 546881,
  [SMALL_STATE(14356)] = 546889,
  [SMALL_STATE(14357)] = 546897,
  [SMALL_STATE(14358)] = 546905,
  [SMALL_STATE(14359)] = 546913,
  [SMALL_STATE(14360)] = 546921,
  [SMALL_STATE(14361)] = 546929,
  [SMALL_STATE(14362)] = 546937,
  [SMALL_STATE(14363)] = 546945,
  [SMALL_STATE(14364)] = 546953,
  [SMALL_STATE(14365)] = 546961,
  [SMALL_STATE(14366)] = 546969,
  [SMALL_STATE(14367)] = 546977,
  [SMALL_STATE(14368)] = 546985,
  [SMALL_STATE(14369)] = 546993,
  [SMALL_STATE(14370)] = 547001,
  [SMALL_STATE(14371)] = 547009,
  [SMALL_STATE(14372)] = 547017,
  [SMALL_STATE(14373)] = 547025,
  [SMALL_STATE(14374)] = 547033,
  [SMALL_STATE(14375)] = 547041,
  [SMALL_STATE(14376)] = 547049,
  [SMALL_STATE(14377)] = 547057,
  [SMALL_STATE(14378)] = 547065,
  [SMALL_STATE(14379)] = 547073,
  [SMALL_STATE(14380)] = 547081,
  [SMALL_STATE(14381)] = 547089,
  [SMALL_STATE(14382)] = 547097,
  [SMALL_STATE(14383)] = 547105,
  [SMALL_STATE(14384)] = 547113,
  [SMALL_STATE(14385)] = 547121,
  [SMALL_STATE(14386)] = 547129,
  [SMALL_STATE(14387)] = 547137,
  [SMALL_STATE(14388)] = 547145,
  [SMALL_STATE(14389)] = 547153,
  [SMALL_STATE(14390)] = 547161,
  [SMALL_STATE(14391)] = 547169,
  [SMALL_STATE(14392)] = 547177,
  [SMALL_STATE(14393)] = 547185,
  [SMALL_STATE(14394)] = 547193,
  [SMALL_STATE(14395)] = 547201,
  [SMALL_STATE(14396)] = 547209,
  [SMALL_STATE(14397)] = 547217,
  [SMALL_STATE(14398)] = 547225,
  [SMALL_STATE(14399)] = 547233,
  [SMALL_STATE(14400)] = 547241,
  [SMALL_STATE(14401)] = 547249,
  [SMALL_STATE(14402)] = 547257,
  [SMALL_STATE(14403)] = 547265,
  [SMALL_STATE(14404)] = 547273,
  [SMALL_STATE(14405)] = 547281,
  [SMALL_STATE(14406)] = 547289,
  [SMALL_STATE(14407)] = 547297,
  [SMALL_STATE(14408)] = 547305,
  [SMALL_STATE(14409)] = 547313,
  [SMALL_STATE(14410)] = 547321,
  [SMALL_STATE(14411)] = 547329,
  [SMALL_STATE(14412)] = 547337,
  [SMALL_STATE(14413)] = 547345,
  [SMALL_STATE(14414)] = 547353,
  [SMALL_STATE(14415)] = 547361,
  [SMALL_STATE(14416)] = 547369,
  [SMALL_STATE(14417)] = 547377,
  [SMALL_STATE(14418)] = 547385,
  [SMALL_STATE(14419)] = 547393,
  [SMALL_STATE(14420)] = 547401,
  [SMALL_STATE(14421)] = 547409,
  [SMALL_STATE(14422)] = 547417,
  [SMALL_STATE(14423)] = 547425,
  [SMALL_STATE(14424)] = 547433,
  [SMALL_STATE(14425)] = 547441,
  [SMALL_STATE(14426)] = 547449,
  [SMALL_STATE(14427)] = 547457,
  [SMALL_STATE(14428)] = 547465,
  [SMALL_STATE(14429)] = 547473,
  [SMALL_STATE(14430)] = 547481,
  [SMALL_STATE(14431)] = 547489,
  [SMALL_STATE(14432)] = 547497,
  [SMALL_STATE(14433)] = 547505,
  [SMALL_STATE(14434)] = 547513,
  [SMALL_STATE(14435)] = 547521,
  [SMALL_STATE(14436)] = 547529,
  [SMALL_STATE(14437)] = 547537,
  [SMALL_STATE(14438)] = 547545,
  [SMALL_STATE(14439)] = 547553,
  [SMALL_STATE(14440)] = 547561,
  [SMALL_STATE(14441)] = 547569,
  [SMALL_STATE(14442)] = 547577,
  [SMALL_STATE(14443)] = 547585,
  [SMALL_STATE(14444)] = 547593,
  [SMALL_STATE(14445)] = 547601,
  [SMALL_STATE(14446)] = 547609,
  [SMALL_STATE(14447)] = 547617,
  [SMALL_STATE(14448)] = 547625,
  [SMALL_STATE(14449)] = 547633,
  [SMALL_STATE(14450)] = 547641,
  [SMALL_STATE(14451)] = 547649,
  [SMALL_STATE(14452)] = 547657,
  [SMALL_STATE(14453)] = 547665,
  [SMALL_STATE(14454)] = 547673,
  [SMALL_STATE(14455)] = 547681,
  [SMALL_STATE(14456)] = 547689,
  [SMALL_STATE(14457)] = 547697,
  [SMALL_STATE(14458)] = 547705,
  [SMALL_STATE(14459)] = 547713,
  [SMALL_STATE(14460)] = 547721,
  [SMALL_STATE(14461)] = 547729,
  [SMALL_STATE(14462)] = 547737,
  [SMALL_STATE(14463)] = 547745,
  [SMALL_STATE(14464)] = 547753,
  [SMALL_STATE(14465)] = 547761,
  [SMALL_STATE(14466)] = 547769,
  [SMALL_STATE(14467)] = 547777,
  [SMALL_STATE(14468)] = 547785,
  [SMALL_STATE(14469)] = 547793,
  [SMALL_STATE(14470)] = 547801,
  [SMALL_STATE(14471)] = 547809,
  [SMALL_STATE(14472)] = 547817,
  [SMALL_STATE(14473)] = 547825,
  [SMALL_STATE(14474)] = 547833,
  [SMALL_STATE(14475)] = 547841,
  [SMALL_STATE(14476)] = 547849,
  [SMALL_STATE(14477)] = 547857,
  [SMALL_STATE(14478)] = 547865,
  [SMALL_STATE(14479)] = 547873,
  [SMALL_STATE(14480)] = 547881,
  [SMALL_STATE(14481)] = 547889,
  [SMALL_STATE(14482)] = 547897,
  [SMALL_STATE(14483)] = 547905,
  [SMALL_STATE(14484)] = 547913,
  [SMALL_STATE(14485)] = 547921,
  [SMALL_STATE(14486)] = 547929,
  [SMALL_STATE(14487)] = 547937,
  [SMALL_STATE(14488)] = 547945,
  [SMALL_STATE(14489)] = 547953,
  [SMALL_STATE(14490)] = 547961,
  [SMALL_STATE(14491)] = 547969,
  [SMALL_STATE(14492)] = 547977,
  [SMALL_STATE(14493)] = 547985,
  [SMALL_STATE(14494)] = 547993,
  [SMALL_STATE(14495)] = 548001,
  [SMALL_STATE(14496)] = 548009,
  [SMALL_STATE(14497)] = 548017,
  [SMALL_STATE(14498)] = 548025,
  [SMALL_STATE(14499)] = 548033,
  [SMALL_STATE(14500)] = 548041,
  [SMALL_STATE(14501)] = 548049,
  [SMALL_STATE(14502)] = 548057,
  [SMALL_STATE(14503)] = 548065,
  [SMALL_STATE(14504)] = 548073,
  [SMALL_STATE(14505)] = 548081,
  [SMALL_STATE(14506)] = 548089,
  [SMALL_STATE(14507)] = 548097,
  [SMALL_STATE(14508)] = 548105,
  [SMALL_STATE(14509)] = 548113,
  [SMALL_STATE(14510)] = 548121,
  [SMALL_STATE(14511)] = 548129,
  [SMALL_STATE(14512)] = 548137,
  [SMALL_STATE(14513)] = 548145,
  [SMALL_STATE(14514)] = 548153,
  [SMALL_STATE(14515)] = 548161,
  [SMALL_STATE(14516)] = 548169,
  [SMALL_STATE(14517)] = 548177,
  [SMALL_STATE(14518)] = 548185,
  [SMALL_STATE(14519)] = 548193,
  [SMALL_STATE(14520)] = 548201,
  [SMALL_STATE(14521)] = 548209,
  [SMALL_STATE(14522)] = 548217,
  [SMALL_STATE(14523)] = 548225,
  [SMALL_STATE(14524)] = 548233,
  [SMALL_STATE(14525)] = 548241,
  [SMALL_STATE(14526)] = 548249,
  [SMALL_STATE(14527)] = 548257,
  [SMALL_STATE(14528)] = 548265,
  [SMALL_STATE(14529)] = 548273,
  [SMALL_STATE(14530)] = 548281,
  [SMALL_STATE(14531)] = 548289,
  [SMALL_STATE(14532)] = 548297,
  [SMALL_STATE(14533)] = 548305,
  [SMALL_STATE(14534)] = 548313,
  [SMALL_STATE(14535)] = 548321,
  [SMALL_STATE(14536)] = 548329,
  [SMALL_STATE(14537)] = 548337,
  [SMALL_STATE(14538)] = 548345,
  [SMALL_STATE(14539)] = 548353,
  [SMALL_STATE(14540)] = 548361,
  [SMALL_STATE(14541)] = 548369,
  [SMALL_STATE(14542)] = 548377,
  [SMALL_STATE(14543)] = 548385,
  [SMALL_STATE(14544)] = 548393,
  [SMALL_STATE(14545)] = 548401,
  [SMALL_STATE(14546)] = 548409,
  [SMALL_STATE(14547)] = 548417,
  [SMALL_STATE(14548)] = 548425,
  [SMALL_STATE(14549)] = 548433,
  [SMALL_STATE(14550)] = 548441,
  [SMALL_STATE(14551)] = 548449,
  [SMALL_STATE(14552)] = 548457,
  [SMALL_STATE(14553)] = 548465,
  [SMALL_STATE(14554)] = 548473,
  [SMALL_STATE(14555)] = 548481,
  [SMALL_STATE(14556)] = 548489,
  [SMALL_STATE(14557)] = 548497,
  [SMALL_STATE(14558)] = 548505,
  [SMALL_STATE(14559)] = 548513,
  [SMALL_STATE(14560)] = 548521,
  [SMALL_STATE(14561)] = 548529,
  [SMALL_STATE(14562)] = 548537,
  [SMALL_STATE(14563)] = 548545,
  [SMALL_STATE(14564)] = 548553,
  [SMALL_STATE(14565)] = 548561,
  [SMALL_STATE(14566)] = 548569,
  [SMALL_STATE(14567)] = 548577,
  [SMALL_STATE(14568)] = 548585,
  [SMALL_STATE(14569)] = 548593,
  [SMALL_STATE(14570)] = 548601,
  [SMALL_STATE(14571)] = 548609,
  [SMALL_STATE(14572)] = 548617,
  [SMALL_STATE(14573)] = 548625,
  [SMALL_STATE(14574)] = 548633,
  [SMALL_STATE(14575)] = 548641,
  [SMALL_STATE(14576)] = 548649,
  [SMALL_STATE(14577)] = 548657,
  [SMALL_STATE(14578)] = 548665,
  [SMALL_STATE(14579)] = 548673,
  [SMALL_STATE(14580)] = 548681,
  [SMALL_STATE(14581)] = 548689,
  [SMALL_STATE(14582)] = 548697,
  [SMALL_STATE(14583)] = 548705,
  [SMALL_STATE(14584)] = 548713,
  [SMALL_STATE(14585)] = 548721,
  [SMALL_STATE(14586)] = 548729,
  [SMALL_STATE(14587)] = 548737,
  [SMALL_STATE(14588)] = 548745,
  [SMALL_STATE(14589)] = 548753,
  [SMALL_STATE(14590)] = 548761,
  [SMALL_STATE(14591)] = 548769,
  [SMALL_STATE(14592)] = 548777,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9405),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7580),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7499),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7318),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14498),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7319),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6633),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7692),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14472),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7538),
  [31] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8347),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11340),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8056),
  [37] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [39] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7893),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9226),
  [43] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11344),
  [45] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8190),
  [47] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14459),
  [49] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8026),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(88),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1991),
  [55] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_reference, 1, 0, 6),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6838),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7120),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1990),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2187),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2190),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2372),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2374),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2375),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1577),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1579),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1580),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1589),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1590),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2193),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2196),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1599),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1603),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1105),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2312),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2256),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2267),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2268),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13395),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2274),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1680),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1705),
  [109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_reference, 1, 0, 6),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2376),
  [113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9536),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(90),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(159),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(25),
  [123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12011),
  [125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(293),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11729),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5505),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6787),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6435),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(72),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5106),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5486),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6095),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5852),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6326),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6325),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6324),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5120),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5121),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5122),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5123),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5124),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6027),
  [165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6022),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5131),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5132),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5076),
  [173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6013),
  [175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6011),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6010),
  [179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6004),
  [181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13644),
  [183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5999),
  [185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5070),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5069),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6323),
  [191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11818),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6470),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11657),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6434),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(66),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11869),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6432),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(58),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(205),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2641),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6796),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7583),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2638),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2731),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2732),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3077),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3076),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3075),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2469),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2470),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2471),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2473),
  [239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2475),
  [241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2754),
  [243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2738),
  [245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2500),
  [247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2520),
  [249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2278),
  [251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2746),
  [253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2747),
  [255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2748),
  [257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2749),
  [259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13855),
  [261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2750),
  [263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2531),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2530),
  [267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3091),
  [269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3617),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3072),
  [275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3617),
  [277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3696),
  [279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6983),
  [281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6780),
  [283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6912),
  [285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6984),
  [287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7034),
  [289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7069),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7121),
  [293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7161),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7117),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6944),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6942),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6939),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6938),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6934),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7055),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7052),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6929),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6925),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6891),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7041),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7036),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6999),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7068),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13887),
  [327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7067),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6879),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6880),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7112),
  [335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3696),
  [337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(295),
  [339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1868),
  [343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4831),
  [345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6779),
  [347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4749),
  [349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4834),
  [351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5022),
  [353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5019),
  [355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5134),
  [357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5135),
  [359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5139),
  [361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4793),
  [363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4795),
  [365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4791),
  [367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4790),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4789),
  [371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5017),
  [373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5010),
  [375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4788),
  [377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4786),
  [379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4678),
  [381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5006),
  [383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4919),
  [385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5003),
  [387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4995),
  [389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13691),
  [391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4982),
  [393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4661),
  [395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4681),
  [397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5153),
  [399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1868),
  [401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3103),
  [403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2743),
  [405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3103),
  [407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1303),
  [409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2040),
  [411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6830),
  [413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1214),
  [415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2038),
  [417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2115),
  [419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2119),
  [421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2480),
  [423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2482),
  [425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2483),
  [427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1487),
  [429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1532),
  [431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1537),
  [433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1547),
  [435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1554),
  [437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2180),
  [439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2186),
  [441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1600),
  [443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1602),
  [445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1102),
  [447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2217),
  [449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2233),
  [451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2236),
  [453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2238),
  [455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13965),
  [457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2240),
  [459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2442),
  [461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2443),
  [463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2511),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3185),
  [469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3673),
  [471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6822),
  [473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3301),
  [475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3677),
  [477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4091),
  [479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4090),
  [481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4465),
  [483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4467),
  [485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4470),
  [487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3242),
  [489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3241),
  [491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3239),
  [493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3237),
  [495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3236),
  [497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4068),
  [499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4067),
  [501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3232),
  [503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3227),
  [505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2949),
  [507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4063),
  [509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4062),
  [511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4061),
  [513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4060),
  [515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13951),
  [517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4059),
  [519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4486),
  [521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4484),
  [523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4491),
  [525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3185),
  [527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2961),
  [529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3224),
  [531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6800),
  [533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2954),
  [535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3226),
  [537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3690),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3678),
  [541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3855),
  [543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3857),
  [545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3859),
  [547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2913),
  [549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2900),
  [551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2889),
  [553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2888),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2887),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3628),
  [559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3625),
  [561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2858),
  [563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2871),
  [565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2838),
  [567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3618),
  [569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3578),
  [571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3577),
  [573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3571),
  [575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13919),
  [577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3568),
  [579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4042),
  [581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4057),
  [583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4004),
  [585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2961),
  [587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2851),
  [589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3302),
  [591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6781),
  [593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3084),
  [595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3300),
  [597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3641),
  [599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3642),
  [601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3883),
  [603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3880),
  [605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3868),
  [607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2920),
  [609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2921),
  [611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2925),
  [613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2926),
  [615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2929),
  [617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3652),
  [619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3654),
  [621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3025),
  [623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3026),
  [625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2744),
  [627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3692),
  [629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3694),
  [631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3697),
  [633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3702),
  [635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13973),
  [637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3703),
  [639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2767),
  [641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2768),
  [643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4036),
  [645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2851),
  [647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1283),
  [649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1284),
  [651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(935),
  [653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(544),
  [655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6782),
  [657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(932),
  [659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(525),
  [661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(695),
  [663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(708),
  [665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(842),
  [667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(841),
  [669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(840),
  [671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(482),
  [673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(485),
  [675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(487),
  [679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(483),
  [681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(747),
  [683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(753),
  [685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(473),
  [687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(451),
  [689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(716),
  [693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(649),
  [695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(648),
  [697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(636),
  [699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13871),
  [701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(635),
  [703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(414),
  [707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(863),
  [709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3184),
  [713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3183),
  [715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4333),
  [717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4332),
  [719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(154),
  [721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4843),
  [723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6820),
  [725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4753),
  [727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4842),
  [729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5015),
  [731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5020),
  [733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5129),
  [735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5126),
  [737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5125),
  [739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4764),
  [741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4797),
  [743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4796),
  [745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4798),
  [747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4787),
  [749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5041),
  [751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5054),
  [753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4755),
  [755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4752),
  [757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4679),
  [759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4996),
  [761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4985),
  [763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5007),
  [765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5002),
  [767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13935),
  [769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5035),
  [771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4688),
  [773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4689),
  [775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5234),
  [777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3033),
  [781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3034),
  [783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5360),
  [785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4965),
  [787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6817),
  [789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4801),
  [791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4966),
  [793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5420),
  [795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5422),
  [797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5622),
  [799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5621),
  [801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5620),
  [803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4872),
  [805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4871),
  [807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4870),
  [809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4869),
  [811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4868),
  [813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5426),
  [815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5428),
  [817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4866),
  [819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4865),
  [821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4772),
  [823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5432),
  [825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5433),
  [827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5094),
  [829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5434),
  [831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13903),
  [833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5435),
  [835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4779),
  [837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4778),
  [839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5587),
  [841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5360),
  [843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1061),
  [845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1474),
  [847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6791),
  [849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1019),
  [851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1432),
  [853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2044),
  [855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2046),
  [857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2101),
  [859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2100),
  [861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2098),
  [863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1056),
  [865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1052),
  [867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1045),
  [869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1041),
  [871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1033),
  [873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2056),
  [875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2058),
  [877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1029),
  [879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1027),
  [881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(929),
  [883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2063),
  [885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2064),
  [887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2068),
  [889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2069),
  [891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13823),
  [893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2073),
  [895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2181),
  [897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2182),
  [899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2082),
  [901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3929),
  [905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4873),
  [907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3929),
  [909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(173),
  [911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6850),
  [913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2665),
  [915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(171),
  [917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(209),
  [919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(206),
  [921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(263),
  [923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(260),
  [925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(259),
  [927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(157),
  [929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(152),
  [933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(162),
  [935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(150),
  [937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(181),
  [939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(191),
  [941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(153),
  [943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(155),
  [945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(147),
  [947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(192),
  [949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(218),
  [951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(217),
  [953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(215),
  [955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13331),
  [957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(214),
  [959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(148),
  [961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(149),
  [963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(223),
  [965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4075),
  [967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2715),
  [969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6857),
  [971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2617),
  [973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2717),
  [975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3090),
  [977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3089),
  [979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3161),
  [981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3159),
  [983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3155),
  [985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2686),
  [987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2662),
  [989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2643),
  [991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2699),
  [993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2642),
  [995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3079),
  [997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3078),
  [999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2635),
  [1001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2633),
  [1003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2490),
  [1005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3065),
  [1007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3058),
  [1009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3050),
  [1011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3048),
  [1013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13719),
  [1015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3032),
  [1017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2529),
  [1019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2540),
  [1021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3142),
  [1023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4075),
  [1025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4925),
  [1027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6801),
  [1029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4846),
  [1031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4926),
  [1033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5334),
  [1035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5335),
  [1037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5750),
  [1039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5749),
  [1041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5748),
  [1043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4800),
  [1045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4904),
  [1047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4909),
  [1049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4910),
  [1051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4912),
  [1053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5339),
  [1055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5093),
  [1057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4913),
  [1059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4901),
  [1061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4745),
  [1063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5341),
  [1065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5344),
  [1067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5345),
  [1069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5346),
  [1071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13807),
  [1073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5348),
  [1075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4781),
  [1077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4780),
  [1079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5746),
  [1081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3071),
  [1083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3128),
  [1085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6856),
  [1087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3008),
  [1089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3132),
  [1091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3791),
  [1093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3790),
  [1095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3947),
  [1097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3952),
  [1099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3957),
  [1101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2980),
  [1103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2981),
  [1105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2982),
  [1107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2984),
  [1109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2986),
  [1111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3776),
  [1113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3773),
  [1115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2987),
  [1117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2988),
  [1119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2764),
  [1121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3768),
  [1123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3767),
  [1125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3766),
  [1127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3763),
  [1129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13788),
  [1131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3762),
  [1133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4283),
  [1135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4282),
  [1137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3965),
  [1139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3071),
  [1141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(294),
  [1143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2869),
  [1145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6860),
  [1147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2776),
  [1149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2872),
  [1151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3382),
  [1153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3384),
  [1155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3473),
  [1157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3468),
  [1159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3465),
  [1161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2846),
  [1163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2848),
  [1165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2849),
  [1167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2707),
  [1169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2837),
  [1171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3393),
  [1173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3396),
  [1175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2834),
  [1177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2832),
  [1179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2621),
  [1181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3397),
  [1183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3398),
  [1185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3399),
  [1187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3400),
  [1189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13747),
  [1191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3401),
  [1193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2828),
  [1195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2827),
  [1197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3462),
  [1199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [1201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2630),
  [1203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2630),
  [1205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(417),
  [1207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(439),
  [1209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [1211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6573),
  [1213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4599),
  [1215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5720),
  [1217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6827),
  [1219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5471),
  [1221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5721),
  [1223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5845),
  [1225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5844),
  [1227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6183),
  [1229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6182),
  [1231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6181),
  [1233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5285),
  [1235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5286),
  [1237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5287),
  [1239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5288),
  [1241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5289),
  [1243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5839),
  [1245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5838),
  [1247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5292),
  [1249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5293),
  [1251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5034),
  [1253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5835),
  [1255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5834),
  [1257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5832),
  [1259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5831),
  [1261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13769),
  [1263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5830),
  [1265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5033),
  [1267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5031),
  [1269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6180),
  [1271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4599),
  [1273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3475),
  [1275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3478),
  [1277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3761),
  [1279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3760),
  [1281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1009),
  [1283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(945),
  [1285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3045),
  [1287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3046),
  [1289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2778),
  [1291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3073),
  [1293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6808),
  [1295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2728),
  [1297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3074),
  [1299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3262),
  [1301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3251),
  [1303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3666),
  [1305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3667),
  [1307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3668),
  [1309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2734),
  [1311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2730),
  [1313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2729),
  [1315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2727),
  [1317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2724),
  [1319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3244),
  [1321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3243),
  [1323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2722),
  [1325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2721),
  [1327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2697),
  [1329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3229),
  [1331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3222),
  [1333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3221),
  [1335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3216),
  [1337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13839),
  [1339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3213),
  [1341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2603),
  [1343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2602),
  [1345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3704),
  [1347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2778),
  [1349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6592),
  [1351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__single_quote_string, 2, 0, 0),
  [1353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__single_quote_string, 2, 0, 0),
  [1355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [1357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0),
  [1359] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0),
  [1361] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0), SHIFT_REPEAT(85),
  [1364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__single_quote_string, 1, 0, 0),
  [1366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__single_quote_string, 1, 0, 0),
  [1368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [1370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__literal_string, 1, 0, 0),
  [1372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__literal_string, 1, 0, 0),
  [1374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier, 1, 0, 0),
  [1376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identifier, 1, 0, 0),
  [1378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [1380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14125),
  [1382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11500),
  [1384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11561),
  [1386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [1388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12532),
  [1390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13601),
  [1392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [1394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1, 0, 0),
  [1396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11738),
  [1398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [1400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11423),
  [1402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [1404] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(571),
  [1407] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(9405),
  [1410] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(7580),
  [1413] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(7499),
  [1416] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(7318),
  [1419] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(14498),
  [1422] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(7319),
  [1425] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(6633),
  [1428] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(7692),
  [1431] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(14472),
  [1434] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(126),
  [1437] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(7538),
  [1440] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(8347),
  [1443] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(11340),
  [1446] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(8056),
  [1449] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(89),
  [1452] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(7893),
  [1455] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(9226),
  [1458] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(11344),
  [1461] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(8190),
  [1464] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(14459),
  [1467] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(8026),
  [1470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6902),
  [1472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [1474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7532),
  [1476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7422),
  [1478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7437),
  [1480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14511),
  [1482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7275),
  [1484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6626),
  [1486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7677),
  [1488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13984),
  [1490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [1492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7579),
  [1494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11804),
  [1496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7958),
  [1498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [1500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7896),
  [1502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9059),
  [1504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [1506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8605),
  [1508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11594),
  [1510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8162),
  [1512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13292),
  [1514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7999),
  [1516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [1518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8385),
  [1520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6876),
  [1522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11413),
  [1524] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(571),
  [1527] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(9405),
  [1530] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(7580),
  [1533] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(7499),
  [1536] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(7318),
  [1539] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(14498),
  [1542] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(7319),
  [1545] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(6633),
  [1548] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(7692),
  [1551] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(14472),
  [1554] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(126),
  [1557] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(7538),
  [1560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0),
  [1562] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(8347),
  [1565] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(11340),
  [1568] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(8056),
  [1571] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(7893),
  [1574] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(9226),
  [1577] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1757),
  [1580] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(11344),
  [1583] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(8190),
  [1586] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(14459),
  [1589] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(8026),
  [1592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11756),
  [1594] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0), SHIFT_REPEAT(571),
  [1597] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0), SHIFT_REPEAT(9405),
  [1600] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0), SHIFT_REPEAT(7580),
  [1603] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0), SHIFT_REPEAT(7499),
  [1606] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0), SHIFT_REPEAT(7318),
  [1609] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0), SHIFT_REPEAT(14498),
  [1612] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0), SHIFT_REPEAT(7319),
  [1615] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0), SHIFT_REPEAT(6633),
  [1618] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0), SHIFT_REPEAT(7692),
  [1621] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0), SHIFT_REPEAT(14472),
  [1624] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0), SHIFT_REPEAT(126),
  [1627] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0), SHIFT_REPEAT(7538),
  [1630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0),
  [1632] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0), SHIFT_REPEAT(8347),
  [1635] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0), SHIFT_REPEAT(11340),
  [1638] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0), SHIFT_REPEAT(8056),
  [1641] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0), SHIFT_REPEAT(7893),
  [1644] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0), SHIFT_REPEAT(9226),
  [1647] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0), SHIFT_REPEAT(11344),
  [1650] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0), SHIFT_REPEAT(8190),
  [1653] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0), SHIFT_REPEAT(14459),
  [1656] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0), SHIFT_REPEAT(8026),
  [1659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [1661] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0), SHIFT_REPEAT(117),
  [1664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [1666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__column, 1, 0, 0),
  [1668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12352),
  [1670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8051),
  [1672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6847),
  [1674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8375),
  [1676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7752),
  [1678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13502),
  [1680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13428),
  [1682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__column, 1, 0, 0),
  [1684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8110),
  [1686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6803),
  [1688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8434),
  [1690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7814),
  [1692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12299),
  [1694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12296),
  [1696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [1698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9353),
  [1700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7982),
  [1702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [1704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9151),
  [1706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8045),
  [1708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7544),
  [1710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7416),
  [1712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14563),
  [1714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6631),
  [1716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7683),
  [1718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [1720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8997),
  [1722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8297),
  [1724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [1726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [1728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [1730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8052),
  [1732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [1734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [1736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8035),
  [1738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [1740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [1742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8090),
  [1744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8000),
  [1746] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__column, 1, 0, 13),
  [1748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__column, 1, 0, 13),
  [1750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8342),
  [1752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9801),
  [1754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8687),
  [1756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6725),
  [1758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8537),
  [1760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6807),
  [1762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8663),
  [1764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6726),
  [1766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6840),
  [1768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6739),
  [1770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6824),
  [1772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_double, 1, 0, 0),
  [1774] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_double, 1, 0, 0),
  [1776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [1778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [1780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [1782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14045),
  [1784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_time, 1, 0, 0),
  [1786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_time, 1, 0, 0),
  [1788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13687),
  [1790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13687),
  [1792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13686),
  [1794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_timestamp, 1, 0, 0),
  [1796] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_timestamp, 1, 0, 0),
  [1798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13684),
  [1800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_bigint, 1, 0, 0),
  [1802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_bigint, 1, 0, 0),
  [1804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mediumint, 1, 0, 0),
  [1806] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mediumint, 1, 0, 0),
  [1808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [1810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [1812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13679),
  [1814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_mediumint, 1, 0, 0),
  [1816] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_mediumint, 1, 0, 0),
  [1818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_real, 1, 0, 0),
  [1820] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_real, 1, 0, 0),
  [1822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_float, 1, 0, 0),
  [1824] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_float, 1, 0, 0),
  [1826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [1828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [1830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13713),
  [1832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_smallint, 1, 0, 0),
  [1834] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_smallint, 1, 0, 0),
  [1836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_tinyint, 1, 0, 0),
  [1838] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_tinyint, 1, 0, 0),
  [1840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tinyint, 1, 0, 0),
  [1842] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tinyint, 1, 0, 0),
  [1844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [1846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [1848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13682),
  [1850] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__argmode, 1, 0, 0),
  [1852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(177),
  [1854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__argmode, 1, 0, 0),
  [1856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_timestamp, 4, 0, 114),
  [1858] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_timestamp, 4, 0, 114),
  [1860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_double, 2, 0, 0),
  [1862] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_double, 2, 0, 0),
  [1864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [1866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [1868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14070),
  [1870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_int, 1, 0, 0),
  [1872] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_int, 1, 0, 0),
  [1874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_smallint, 1, 0, 0),
  [1876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_smallint, 1, 0, 0),
  [1878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [1880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [1882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13681),
  [1884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_time, 4, 0, 114),
  [1886] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_time, 4, 0, 114),
  [1888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_int, 1, 0, 0),
  [1890] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_int, 1, 0, 0),
  [1892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [1894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [1896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13676),
  [1898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bigint, 1, 0, 0),
  [1900] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bigint, 1, 0, 0),
  [1902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [1904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [1906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13670),
  [1908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_float, 6, 0, 176),
  [1910] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_float, 6, 0, 176),
  [1912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [1914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [1916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_double, 6, 0, 176),
  [1918] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_double, 6, 0, 176),
  [1920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [1922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [1924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_double, 7, 0, 201),
  [1926] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_double, 7, 0, 201),
  [1928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [1930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [1932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bit, 1, 0, 0),
  [1934] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bit, 1, 0, 0),
  [1936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [1938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13753),
  [1940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tinyint, 4, 0, 114),
  [1942] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tinyint, 4, 0, 114),
  [1944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [1946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [1948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_char, 1, 0, 0),
  [1950] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_char, 1, 0, 0),
  [1952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [1954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_int, 4, 0, 114),
  [1956] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_int, 4, 0, 114),
  [1958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [1960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [1962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_smallint, 4, 0, 114),
  [1964] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_smallint, 4, 0, 114),
  [1966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [1968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [1970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bigint, 4, 0, 114),
  [1972] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bigint, 4, 0, 114),
  [1974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [1976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [1978] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__argmode, 2, 0, 0),
  [1980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__argmode, 2, 0, 0),
  [1982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mediumint, 4, 0, 114),
  [1984] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mediumint, 4, 0, 114),
  [1986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [1988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [1990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [1992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14069),
  [1994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_double, 3, 0, 0),
  [1996] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_double, 3, 0, 0),
  [1998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14086),
  [2000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decimal, 1, 0, 0),
  [2002] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decimal, 1, 0, 0),
  [2004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13741),
  [2006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_int, 2, 0, 0),
  [2008] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_int, 2, 0, 0),
  [2010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13556),
  [2012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_varchar, 1, 0, 0),
  [2014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_varchar, 1, 0, 0),
  [2016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13651),
  [2018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mediumint, 2, 0, 0),
  [2020] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mediumint, 2, 0, 0),
  [2022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13557),
  [2024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_char, 1, 0, 0),
  [2026] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_char, 1, 0, 0),
  [2028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13669),
  [2030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_smallint, 2, 0, 0),
  [2032] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_smallint, 2, 0, 0),
  [2034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13558),
  [2036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tinyint, 2, 0, 0),
  [2038] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tinyint, 2, 0, 0),
  [2040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13561),
  [2042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [2044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_float, 2, 0, 0),
  [2046] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_float, 2, 0, 0),
  [2048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14068),
  [2050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_varchar, 2, 0, 0),
  [2052] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_varchar, 2, 0, 0),
  [2054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_numeric, 1, 0, 0),
  [2056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_numeric, 1, 0, 0),
  [2058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13732),
  [2060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [2062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_smallint, 5, 0, 114),
  [2064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_smallint, 5, 0, 114),
  [2066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [2068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tinyint, 5, 0, 114),
  [2070] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tinyint, 5, 0, 114),
  [2072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [2074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_size_definition_repeat1, 2, 0, 73),
  [2076] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_size_definition_repeat1, 2, 0, 73),
  [2078] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_size_definition_repeat1, 2, 0, 73), SHIFT_REPEAT(8962),
  [2081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_double, 8, 0, 201),
  [2083] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_double, 8, 0, 201),
  [2085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [2087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bigint, 2, 0, 0),
  [2089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bigint, 2, 0, 0),
  [2091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13555),
  [2093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_reference, 3, 0, 22),
  [2095] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_reference, 3, 0, 22),
  [2097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [2099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bit, 2, 0, 0),
  [2101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bit, 2, 0, 0),
  [2103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13554),
  [2105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [2107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bigint, 5, 0, 114),
  [2109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bigint, 5, 0, 114),
  [2111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [2113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_varbinary, 1, 0, 0),
  [2115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_varbinary, 1, 0, 0),
  [2117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13748),
  [2119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_float, 7, 0, 176),
  [2121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_float, 7, 0, 176),
  [2123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [2125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mediumint, 5, 0, 114),
  [2127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mediumint, 5, 0, 114),
  [2129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [2131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary, 1, 0, 0),
  [2133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary, 1, 0, 0),
  [2135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13749),
  [2137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [2139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_double, 7, 0, 176),
  [2141] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_double, 7, 0, 176),
  [2143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [2145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_int, 5, 0, 114),
  [2147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_int, 5, 0, 114),
  [2149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [2151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_datetimeoffset, 1, 0, 0),
  [2153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_datetimeoffset, 1, 0, 0),
  [2155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13688),
  [2157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nvarchar, 1, 0, 0),
  [2159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nvarchar, 1, 0, 0),
  [2161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13567),
  [2163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [2165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_varchar, 1, 0, 0),
  [2167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_varchar, 1, 0, 0),
  [2169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nchar, 1, 0, 0),
  [2171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nchar, 1, 0, 0),
  [2173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13711),
  [2175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [2177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_timestamp, 2, 0, 0),
  [2179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_timestamp, 2, 0, 0),
  [2181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_time, 5, 0, 114),
  [2183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_time, 5, 0, 114),
  [2185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bigint, 6, 0, 114),
  [2187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bigint, 6, 0, 114),
  [2189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_smallint, 6, 0, 114),
  [2191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_smallint, 6, 0, 114),
  [2193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mediumint, 6, 0, 114),
  [2195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mediumint, 6, 0, 114),
  [2197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_int, 6, 0, 114),
  [2199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_int, 6, 0, 114),
  [2201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_varchar, 4, 0, 114),
  [2203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_varchar, 4, 0, 114),
  [2205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tinyint, 6, 0, 114),
  [2207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tinyint, 6, 0, 114),
  [2209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_float, 7, 0, 201),
  [2211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_float, 7, 0, 201),
  [2213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_numeric, 6, 0, 176),
  [2215] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_numeric, 6, 0, 176),
  [2217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__include_time_zone, 3, 0, 0),
  [2219] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__include_time_zone, 3, 0, 0),
  [2221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decimal, 6, 0, 176),
  [2223] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decimal, 6, 0, 176),
  [2225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_datetimeoffset, 4, 0, 114),
  [2227] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_datetimeoffset, 4, 0, 114),
  [2229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_time, 2, 0, 0),
  [2231] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_time, 2, 0, 0),
  [2233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tinyint, 5, 0, 144),
  [2235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tinyint, 5, 0, 144),
  [2237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_smallint, 5, 0, 144),
  [2239] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_smallint, 5, 0, 144),
  [2241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mediumint, 5, 0, 144),
  [2243] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mediumint, 5, 0, 144),
  [2245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_int, 5, 0, 144),
  [2247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_int, 5, 0, 144),
  [2249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bigint, 5, 0, 144),
  [2251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bigint, 5, 0, 144),
  [2253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bit, 5, 0, 145),
  [2255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bit, 5, 0, 145),
  [2257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum, 5, 0, 147),
  [2259] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum, 5, 0, 147),
  [2261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tinyint, 3, 0, 0),
  [2263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tinyint, 3, 0, 0),
  [2265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_double, 8, 0, 218),
  [2267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_double, 8, 0, 218),
  [2269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_float, 8, 0, 176),
  [2271] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_float, 8, 0, 176),
  [2273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_char, 4, 0, 114),
  [2275] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_char, 4, 0, 114),
  [2277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bit, 4, 0, 113),
  [2279] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bit, 4, 0, 113),
  [2281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary, 4, 0, 113),
  [2283] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary, 4, 0, 113),
  [2285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_varbinary, 4, 0, 113),
  [2287] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_varbinary, 4, 0, 113),
  [2289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decimal, 4, 0, 113),
  [2291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decimal, 4, 0, 113),
  [2293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_bigserial, 1, 0, 0),
  [2295] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_bigserial, 1, 0, 0),
  [2297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_serial, 1, 0, 0),
  [2299] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_serial, 1, 0, 0),
  [2301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_timestamp, 5, 0, 114),
  [2303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_timestamp, 5, 0, 114),
  [2305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_numeric, 4, 0, 113),
  [2307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_numeric, 4, 0, 113),
  [2309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_smallserial, 1, 0, 0),
  [2311] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_smallserial, 1, 0, 0),
  [2313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_float, 4, 0, 113),
  [2315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_float, 4, 0, 113),
  [2317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_double, 4, 0, 0),
  [2319] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_double, 4, 0, 0),
  [2321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nchar, 4, 0, 114),
  [2323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nchar, 4, 0, 114),
  [2325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nvarchar, 4, 0, 114),
  [2327] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nvarchar, 4, 0, 114),
  [2329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_double, 8, 0, 176),
  [2331] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_double, 8, 0, 176),
  [2333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_double, 9, 0, 201),
  [2335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_double, 9, 0, 201),
  [2337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bigint, 3, 0, 0),
  [2339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bigint, 3, 0, 0),
  [2341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_int, 3, 0, 0),
  [2343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_int, 3, 0, 0),
  [2345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum, 4, 0, 115),
  [2347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum, 4, 0, 115),
  [2349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mediumint, 3, 0, 0),
  [2351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mediumint, 3, 0, 0),
  [2353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_smallint, 3, 0, 0),
  [2355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_smallint, 3, 0, 0),
  [2357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_float, 3, 0, 0),
  [2359] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_float, 3, 0, 0),
  [2361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_size_definition, 2, 0, 72),
  [2363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_size_definition, 2, 0, 72),
  [2365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_size_definition, 2, 0, 0),
  [2367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__array_size_definition, 2, 0, 0),
  [2369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_size_definition, 3, 0, 112),
  [2371] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__array_size_definition, 3, 0, 112),
  [2373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type, 2, 0, 21),
  [2375] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type, 2, 0, 21),
  [2377] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0), SHIFT_REPEAT(288),
  [2380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type, 2, 0, 0),
  [2382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type, 2, 0, 0),
  [2384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_size_definition_repeat1, 1, 0, 38),
  [2386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_size_definition_repeat1, 1, 0, 38),
  [2388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [2390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [2392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 19),
  [2394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 19),
  [2396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10357),
  [2398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [2400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [2402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8572),
  [2404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [2406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6601),
  [2408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13922),
  [2410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [2412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [2414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [2416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1655),
  [2418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1662),
  [2420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [2422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1665),
  [2424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1660),
  [2426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1669),
  [2428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 9),
  [2430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 9),
  [2432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_between_expression, 5, 0, 71),
  [2434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_between_expression, 5, 0, 71),
  [2436] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 19), SHIFT(8572),
  [2439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_between_expression, 6, 0, 110),
  [2441] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_between_expression, 6, 0, 110),
  [2443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 8, 0, 175),
  [2445] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 8, 0, 175),
  [2447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13365),
  [2449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 7, 0, 143),
  [2451] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 7, 0, 143),
  [2453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 4, 0, 36),
  [2455] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 4, 0, 36),
  [2457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(571),
  [2459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14344),
  [2461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1044),
  [2463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1593),
  [2465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11597),
  [2467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8347),
  [2469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13588),
  [2471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2690),
  [2473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9363),
  [2475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11519),
  [2477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [2479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2086),
  [2481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5353),
  [2483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11598),
  [2485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11598),
  [2487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [2489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [2491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [2493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(904),
  [2495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2690),
  [2497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2323),
  [2499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [2501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 7, 0, 142),
  [2503] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 7, 0, 142),
  [2505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 7, 0, 141),
  [2507] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 7, 0, 141),
  [2509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 6, 0, 67),
  [2511] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 6, 0, 67),
  [2513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 5, 0, 69),
  [2515] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 5, 0, 69),
  [2517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 7, 0, 104),
  [2519] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 7, 0, 104),
  [2521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13900),
  [2523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [2525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5200),
  [2527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 7, 0, 67),
  [2529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 7, 0, 67),
  [2531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 8, 0, 141),
  [2533] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 8, 0, 141),
  [2535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 8, 0, 143),
  [2537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 8, 0, 143),
  [2539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 6, 0, 103),
  [2541] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 6, 0, 103),
  [2543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 6, 0, 104),
  [2545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 6, 0, 104),
  [2547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 9, 0, 175),
  [2549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 9, 0, 175),
  [2551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 6, 0, 36),
  [2553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 6, 0, 36),
  [2555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 5, 0, 67),
  [2557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 5, 0, 67),
  [2559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 5, 0, 36),
  [2561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 5, 0, 36),
  [2563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 6, 0, 105),
  [2565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 6, 0, 105),
  [2567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 3, 0, 0),
  [2569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 3, 0, 0),
  [2571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [2573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [2575] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0), SHIFT_REPEAT(333),
  [2578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3469),
  [2580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5104),
  [2582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4693),
  [2584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5144),
  [2586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4317),
  [2588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5156),
  [2590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4025),
  [2592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5224),
  [2594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2704),
  [2596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5358),
  [2598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5112),
  [2600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4633),
  [2602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5142),
  [2604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6387),
  [2606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5347),
  [2608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 8, 0, 104),
  [2610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 8, 0, 104),
  [2612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5113),
  [2614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5475),
  [2616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 8, 0, 142),
  [2618] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 8, 0, 142),
  [2620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5114),
  [2622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 8, 0, 67),
  [2624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 8, 0, 67),
  [2626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5392),
  [2628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4832),
  [2630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5127),
  [2632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4411),
  [2634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5441),
  [2636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5108),
  [2638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5115),
  [2640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5117),
  [2642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5210),
  [2644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5118),
  [2646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4402),
  [2648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5105),
  [2650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5987),
  [2652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5296),
  [2654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5397),
  [2656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5259),
  [2658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5674),
  [2660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5102),
  [2662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5336),
  [2664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5318),
  [2666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 9, 0, 141),
  [2668] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 9, 0, 141),
  [2670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5111),
  [2672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2434),
  [2674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5158),
  [2676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 9, 0, 143),
  [2678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 9, 0, 143),
  [2680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5164),
  [2682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5150),
  [2684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 6, 0, 69),
  [2686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 6, 0, 69),
  [2688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2681),
  [2690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5320),
  [2692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5141),
  [2694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5300),
  [2696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4448),
  [2698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5394),
  [2700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5116),
  [2702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3979),
  [2704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5357),
  [2706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5404),
  [2708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5250),
  [2710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5453),
  [2712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5410),
  [2714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5446),
  [2716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5425),
  [2718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5095),
  [2720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5424),
  [2722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 10, 0, 175),
  [2724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 10, 0, 175),
  [2726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 4, 0, 0),
  [2728] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 4, 0, 0),
  [2730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 7, 0, 103),
  [2732] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 7, 0, 103),
  [2734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5436),
  [2736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5208),
  [2738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5450),
  [2740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5281),
  [2742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_filter_expression, 4, 0, 0),
  [2744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_filter_expression, 4, 0, 0),
  [2746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5100),
  [2748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5098),
  [2750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5171),
  [2752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 7, 0, 36),
  [2754] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 7, 0, 36),
  [2756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5097),
  [2758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5154),
  [2760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5162),
  [2762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5197),
  [2764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5188),
  [2766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 7, 0, 105),
  [2768] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 7, 0, 105),
  [2770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12856),
  [2772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12856),
  [2774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13035),
  [2776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13873),
  [2778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13034),
  [2780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__qualified_field, 1, 0, 6),
  [2782] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__qualified_field, 1, 0, 6),
  [2784] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_reference, 1, 0, 6), SHIFT(9536),
  [2787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [2789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type, 1, 0, 21),
  [2791] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type, 1, 0, 21),
  [2793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [2795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subquery, 3, 0, 0),
  [2797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subquery, 3, 0, 0),
  [2799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type, 1, 0, 0),
  [2801] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type, 1, 0, 0),
  [2803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [2805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [2807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [2809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14285),
  [2811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [2813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [2815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [2817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [2819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1483),
  [2821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1485),
  [2823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1482),
  [2825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11101),
  [2827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8667),
  [2829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [2831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [2833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1486),
  [2835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [2837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13791),
  [2839] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 19), SHIFT(8667),
  [2842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [2844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [2846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12851),
  [2848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [2850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [2852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [2854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12859),
  [2856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [2858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [2860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12860),
  [2862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [2864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [2866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12861),
  [2868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [2870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [2872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12862),
  [2874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [2876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [2878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14288),
  [2880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [2882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [2884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12863),
  [2886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10366),
  [2888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [2890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8589),
  [2892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [2894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [2896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [2898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [2900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1567),
  [2902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [2904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [2906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1551),
  [2908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1556),
  [2910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1538),
  [2912] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 19), SHIFT(8589),
  [2915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(878),
  [2917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14425),
  [2919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1013),
  [2921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1881),
  [2923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11781),
  [2925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3485),
  [2927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8686),
  [2929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11999),
  [2931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [2933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [2935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6875),
  [2937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3385),
  [2939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11784),
  [2941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11784),
  [2943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [2945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2829),
  [2947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2890),
  [2949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3482),
  [2951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3485),
  [2953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2891),
  [2955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3487),
  [2957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [2959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14287),
  [2961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(839),
  [2963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5001),
  [2965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__bit_string, 2, 0, 0),
  [2967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__bit_string, 2, 0, 0),
  [2969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [2971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [2973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [2975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [2977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [2979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [2981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(888),
  [2983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4882),
  [2985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(752),
  [2987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1240),
  [2989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [2991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3461),
  [2993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [2995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(780),
  [2997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [2999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(629),
  [3001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14449),
  [3003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1006),
  [3005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1530),
  [3007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11979),
  [3009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3884),
  [3011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9014),
  [3013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11896),
  [3015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [3017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7020),
  [3019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2474),
  [3021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11879),
  [3023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11879),
  [3025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [3027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2773),
  [3029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [3031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2712),
  [3033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3884),
  [3035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3267),
  [3037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [3039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(851),
  [3041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2951),
  [3043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__bit_string, 1, 0, 0),
  [3045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__bit_string, 1, 0, 0),
  [3047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [3049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [3051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12846),
  [3053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [3055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [3057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [3059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [3061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(774),
  [3063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3298),
  [3065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(701),
  [3067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14433),
  [3069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(948),
  [3071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1117),
  [3073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11360),
  [3075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3210),
  [3077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9266),
  [3079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11362),
  [3081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [3083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2291),
  [3085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11363),
  [3087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11363),
  [3089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [3091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [3093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [3095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2326),
  [3097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3210),
  [3099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2720),
  [3101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [3103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1245),
  [3105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(616),
  [3107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11549),
  [3109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14012),
  [3111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [3113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6253),
  [3115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [3117] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0), SHIFT_REPEAT(532),
  [3120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(872),
  [3122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3125),
  [3124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [3126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [3128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(756),
  [3130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1127),
  [3132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3124),
  [3134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [3136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [3138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [3140] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0), SHIFT_REPEAT(538),
  [3143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(868),
  [3145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [3147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(860),
  [3149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3308),
  [3151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [3153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(809),
  [3155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5546),
  [3157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(865),
  [3159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3498),
  [3161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [3163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9775),
  [3165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(908),
  [3167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4362),
  [3169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [3171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [3173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(823),
  [3175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [3177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(794),
  [3179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [3181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [3183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [3185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_size_definition, 1, 0, 38),
  [3187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_size_definition, 1, 0, 38),
  [3189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(736),
  [3191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14452),
  [3193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1008),
  [3195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1350),
  [3197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11884),
  [3199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4863),
  [3201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8982),
  [3203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11887),
  [3205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [3207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3343),
  [3209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11774),
  [3211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11774),
  [3213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [3215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4372),
  [3217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2629),
  [3219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2996),
  [3221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4863),
  [3223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4676),
  [3225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2953),
  [3227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(782),
  [3229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [3231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(898),
  [3233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3163),
  [3235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(847),
  [3237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3043),
  [3239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(727),
  [3241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2022),
  [3243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [3245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [3247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(837),
  [3249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2714),
  [3251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(656),
  [3253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1138),
  [3255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10988),
  [3257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(877),
  [3259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [3261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [3263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_join, 7, 0, 155),
  [3265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1676),
  [3267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [3269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11198),
  [3271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [3273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8666),
  [3275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [3277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [3279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [3281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [3283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1452),
  [3285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [3287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [3289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1448),
  [3291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1451),
  [3293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1447),
  [3295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [3297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [3299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9545),
  [3301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9458),
  [3303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [3305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14286),
  [3307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12864),
  [3309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12865),
  [3311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [3313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [3315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12871),
  [3317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [3319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12855),
  [3321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12853),
  [3323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9598),
  [3325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_join, 5, 0, 122),
  [3327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lateral_join, 9, 0, 150),
  [3329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [3331] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0), SHIFT_REPEAT(646),
  [3334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [3336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12852),
  [3338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9612),
  [3340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lateral_join, 5, 0, 0),
  [3342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12872),
  [3344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [3346] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_size_definition_repeat1, 2, 0, 73), SHIFT_REPEAT(8840),
  [3349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9639),
  [3351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12873),
  [3353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12874),
  [3355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12875),
  [3357] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 19), SHIFT(8666),
  [3360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lateral_join, 7, 0, 0),
  [3362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [3364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [3366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_join, 8, 0, 202),
  [3368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lateral_join, 6, 0, 0),
  [3370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0),
  [3372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0),
  [3374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8604),
  [3376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lateral_join, 8, 0, 116),
  [3378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8716),
  [3380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [3382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lateral_join, 7, 0, 75),
  [3384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lateral_join, 6, 0, 39),
  [3386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14289),
  [3388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9573),
  [3390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12847),
  [3392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [3394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9675),
  [3396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12848),
  [3398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9659),
  [3400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [3402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_join, 6, 0, 153),
  [3404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_size_definition, 1, 0, 0),
  [3406] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_size_definition, 1, 0, 0),
  [3408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [3410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_join, 9, 0, 219),
  [3412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10954),
  [3414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [3416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9633),
  [3418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11162),
  [3420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12849),
  [3422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_join, 4, 0, 79),
  [3424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12876),
  [3426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12850),
  [3428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11188),
  [3430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11180),
  [3432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11216),
  [3434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9651),
  [3436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11127),
  [3438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9856),
  [3440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11109),
  [3442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11068),
  [3444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11044),
  [3446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11016),
  [3448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1454),
  [3450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [3452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 2, 0, 0),
  [3454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 2, 0, 0),
  [3456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__qualified_field, 3, 0, 15),
  [3458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__qualified_field, 3, 0, 15),
  [3460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interval, 2, 0, 0),
  [3462] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interval, 2, 0, 0),
  [3464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__integer, 1, 0, 0),
  [3466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__integer, 1, 0, 0),
  [3468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implicit_cast, 3, 0, 20),
  [3470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_implicit_cast, 3, 0, 20),
  [3472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exists, 2, 0, 0),
  [3474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exists, 2, 0, 0),
  [3476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case, 10, 0, 0),
  [3478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case, 10, 0, 0),
  [3480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case, 8, 0, 0),
  [3482] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case, 8, 0, 0),
  [3484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_function, 3, 0, 0),
  [3486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_window_function, 3, 0, 0),
  [3488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast, 6, 0, 102),
  [3490] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast, 6, 0, 102),
  [3492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case, 6, 0, 0),
  [3494] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case, 6, 0, 0),
  [3496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_specification, 5, 0, 0),
  [3498] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_window_specification, 5, 0, 0),
  [3500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_specification, 3, 0, 0),
  [3502] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_window_specification, 3, 0, 0),
  [3504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 4, 0, 0),
  [3506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 4, 0, 0),
  [3508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 3, 0, 0),
  [3510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 3, 0, 0),
  [3512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 4, 0, 0),
  [3514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 4, 0, 0),
  [3516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__integer, 2, 0, 0),
  [3518] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__integer, 2, 0, 0),
  [3520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal, 1, 0, 0),
  [3522] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal, 1, 0, 0),
  [3524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__decimal_number, 2, 0, 0),
  [3526] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__decimal_number, 2, 0, 0),
  [3528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case, 7, 0, 0),
  [3530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case, 7, 0, 0),
  [3532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string_casting, 2, 0, 0),
  [3534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string_casting, 2, 0, 0),
  [3536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case, 9, 0, 0),
  [3538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case, 9, 0, 0),
  [3540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 6, 0, 111),
  [3542] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 6, 0, 111),
  [3544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 5, 0, 0),
  [3546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 5, 0, 0),
  [3548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1, 0, 5),
  [3550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1, 0, 5),
  [3552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 3, 0, 0),
  [3554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 3, 0, 0),
  [3556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 3, 0, 0),
  [3558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 3, 0, 0),
  [3560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_specification, 2, 0, 0),
  [3562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_window_specification, 2, 0, 0),
  [3564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 4, 0, 37),
  [3566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 4, 0, 37),
  [3568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_specification, 4, 0, 0),
  [3570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_window_specification, 4, 0, 0),
  [3572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__qualified_field, 5, 0, 66),
  [3574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__qualified_field, 5, 0, 66),
  [3576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__column_constraint, 2, 0, 0),
  [3578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__column_constraint, 2, 0, 0),
  [3580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [3582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [3584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__column_constraint, 4, 0, 0),
  [3586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__column_constraint, 4, 0, 0),
  [3588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [3590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14464),
  [3592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1352),
  [3594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6829),
  [3596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2159),
  [3598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11836),
  [3600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [3602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6189),
  [3604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11289),
  [3606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11289),
  [3608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [3610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [3612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [3614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2163),
  [3616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2159),
  [3618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [3620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2205),
  [3622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [3624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [3626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2043),
  [3628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2104),
  [3630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [3632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14261),
  [3634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [3636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14437),
  [3638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1746),
  [3640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6762),
  [3642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(843),
  [3644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11942),
  [3646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [3648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6186),
  [3650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11961),
  [3652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11961),
  [3654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [3656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [3658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(785),
  [3660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [3662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [3664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [3666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_is_not, 2, 0, 0),
  [3668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12275),
  [3670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_is_not, 2, 0, 0),
  [3672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12679),
  [3674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12679),
  [3676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12740),
  [3678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14461),
  [3680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1023),
  [3682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1374),
  [3684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11572),
  [3686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4694),
  [3688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8861),
  [3690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11851),
  [3692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [3694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2779),
  [3696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11242),
  [3698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11242),
  [3700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [3702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3611),
  [3704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3944),
  [3706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4692),
  [3708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4694),
  [3710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4147),
  [3712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4687),
  [3714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1275),
  [3716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5975),
  [3718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1233),
  [3720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6060),
  [3722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(965),
  [3724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11924),
  [3726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9258),
  [3728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [3730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2410),
  [3732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13937),
  [3734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13401),
  [3736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14434),
  [3738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(961),
  [3740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1054),
  [3742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11877),
  [3744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1817),
  [3746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4650),
  [3748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9350),
  [3750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11953),
  [3752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [3754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2194),
  [3756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11927),
  [3758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11927),
  [3760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [3762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3316),
  [3764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3535),
  [3766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4651),
  [3768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4650),
  [3770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3823),
  [3772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4367),
  [3774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1100),
  [3776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4167),
  [3778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2683),
  [3780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5291),
  [3782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1228),
  [3784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6061),
  [3786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4361),
  [3788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5440),
  [3790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4450),
  [3792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5431),
  [3794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1219),
  [3796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6063),
  [3798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2538),
  [3800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(953),
  [3802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4398),
  [3804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1058),
  [3806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1492),
  [3808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [3810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3903),
  [3812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [3814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13723),
  [3816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1215),
  [3818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6067),
  [3820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2041),
  [3822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2108),
  [3824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12682),
  [3826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [3828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2110),
  [3830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12683),
  [3832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [3834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [3836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2118),
  [3838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12685),
  [3840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2026),
  [3842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2120),
  [3844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12686),
  [3846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2332),
  [3848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1074),
  [3850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(302),
  [3852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1205),
  [3854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6069),
  [3856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1187),
  [3858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6071),
  [3860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1236),
  [3862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6059),
  [3864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1182),
  [3866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6072),
  [3868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12739),
  [3870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1174),
  [3872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6075),
  [3874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2124),
  [3876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5148),
  [3878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1239),
  [3880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6056),
  [3882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3456),
  [3884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5107),
  [3886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1036),
  [3888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(944),
  [3890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11487),
  [3892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8802),
  [3894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [3896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(470),
  [3898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1170),
  [3900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6076),
  [3902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4274),
  [3904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5331),
  [3906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14455),
  [3908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1010),
  [3910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1043),
  [3912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11739),
  [3914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1457),
  [3916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4446),
  [3918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8936),
  [3920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11870),
  [3922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [3924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2330),
  [3926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11571),
  [3928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11571),
  [3930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [3932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3291),
  [3934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [3936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4385),
  [3938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4446),
  [3940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3784),
  [3942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [3944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14431),
  [3946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(949),
  [3948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(962),
  [3950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11846),
  [3952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1778),
  [3954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6390),
  [3956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9410),
  [3958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11971),
  [3960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [3962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4713),
  [3964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11878),
  [3966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11878),
  [3968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [3970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5494),
  [3972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [3974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6375),
  [3976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6390),
  [3978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5897),
  [3980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [3982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6413),
  [3984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5474),
  [3986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1165),
  [3988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6081),
  [3990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2021),
  [3992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2128),
  [3994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14264),
  [3996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1015),
  [3998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1382),
  [4000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [4002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2809),
  [4004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [4006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2048),
  [4008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [4010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12674),
  [4012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14446),
  [4014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1002),
  [4016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1094),
  [4018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12009),
  [4020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1588),
  [4022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3918),
  [4024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9066),
  [4026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11904),
  [4028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [4030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2023),
  [4032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11978),
  [4034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11978),
  [4036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [4038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2998),
  [4040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3264),
  [4042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3914),
  [4044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3918),
  [4046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3313),
  [4048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3885),
  [4050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4674),
  [4052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5096),
  [4054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1049),
  [4056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4155),
  [4058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [4060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5395),
  [4062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5018),
  [4064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14440),
  [4066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(975),
  [4068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1101),
  [4070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11960),
  [4072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1701),
  [4074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5805),
  [4076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9179),
  [4078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11930),
  [4080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [4082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3889),
  [4084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11993),
  [4086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11993),
  [4088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1788),
  [4090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5013),
  [4092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5398),
  [4094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5804),
  [4096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5805),
  [4098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5330),
  [4100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5018),
  [4102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5895),
  [4104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1158),
  [4106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6088),
  [4108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1079),
  [4110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2319),
  [4112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1270),
  [4114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6020),
  [4116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5650),
  [4118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5099),
  [4120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3771),
  [4122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [4124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1152),
  [4126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6091),
  [4128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1149),
  [4130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6097),
  [4132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4397),
  [4134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5110),
  [4136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2035),
  [4138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [4140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12684),
  [4142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4915),
  [4144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14458),
  [4146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1017),
  [4148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1025),
  [4150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11682),
  [4152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1418),
  [4154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5585),
  [4156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8894),
  [4158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11863),
  [4160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [4162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3486),
  [4164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11483),
  [4166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11483),
  [4168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [4170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4867),
  [4172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5036),
  [4174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5555),
  [4176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5585),
  [4178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4984),
  [4180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4915),
  [4182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5722),
  [4184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1209),
  [4186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6068),
  [4188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5991),
  [4190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5333),
  [4192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2620),
  [4194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(976),
  [4196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4351),
  [4198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1005),
  [4200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1781),
  [4202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2153),
  [4204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(946),
  [4206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2570),
  [4208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4916),
  [4210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5130),
  [4212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14443),
  [4214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1071),
  [4216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1106),
  [4218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11991),
  [4220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1646),
  [4222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2384),
  [4224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9130),
  [4226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11910),
  [4228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [4230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(559),
  [4232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12010),
  [4234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12010),
  [4236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [4238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [4240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2383),
  [4242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2384),
  [4244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1909),
  [4246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2355),
  [4248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14470),
  [4250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1062),
  [4252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(973),
  [4254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11287),
  [4256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1310),
  [4258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4564),
  [4260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8709),
  [4262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11828),
  [4264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [4266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2141),
  [4268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11432),
  [4270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11432),
  [4272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [4274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3250),
  [4276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3477),
  [4278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4570),
  [4280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4564),
  [4282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3616),
  [4284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4381),
  [4286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1078),
  [4288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2009),
  [4290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2672),
  [4292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5356),
  [4294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4642),
  [4296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5146),
  [4298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1011),
  [4300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4382),
  [4302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2295),
  [4304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2567),
  [4306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [4308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14330),
  [4310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14467),
  [4312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1059),
  [4314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(966),
  [4316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11270),
  [4318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1332),
  [4320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2660),
  [4322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8758),
  [4324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11832),
  [4326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [4328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(765),
  [4330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11384),
  [4332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11384),
  [4334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [4336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1984),
  [4338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2116),
  [4340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2659),
  [4342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2660),
  [4344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2237),
  [4346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2651),
  [4348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14428),
  [4350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1007),
  [4352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1000),
  [4354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11803),
  [4356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1500),
  [4358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3940),
  [4360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8677),
  [4362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11983),
  [4364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [4366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2047),
  [4368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11847),
  [4370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11847),
  [4372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [4374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2628),
  [4376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [4378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3941),
  [4380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3940),
  [4382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3339),
  [4384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2235),
  [4386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2080),
  [4388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2453),
  [4390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1388),
  [4392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12225),
  [4394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4339),
  [4396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5157),
  [4398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2428),
  [4400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5195),
  [4402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4052),
  [4404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5226),
  [4406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4920),
  [4408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2033),
  [4410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4322),
  [4412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1965),
  [4414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4325),
  [4416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4329),
  [4418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4330),
  [4420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4348),
  [4422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4350),
  [4424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4352),
  [4426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4353),
  [4428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4710),
  [4430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4249),
  [4432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4255),
  [4434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2006),
  [4436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [4438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5914),
  [4440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [4442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5903),
  [4444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6294),
  [4446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4709),
  [4448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5899),
  [4450] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_reference, 1, 0, 6), REDUCE(sym__qualified_field, 1, 0, 6),
  [4453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [4455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [4457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [4459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [4461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1295),
  [4463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1263),
  [4465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1362),
  [4467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [4469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5241),
  [4471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [4473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5243),
  [4475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_term, 1, 0, 4),
  [4477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_term, 1, 0, 4),
  [4479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9490),
  [4481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11092),
  [4483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1304),
  [4485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1305),
  [4487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1095),
  [4489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8655),
  [4491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1308),
  [4493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6601),
  [4495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13922),
  [4497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [4499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [4501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [4503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [4505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1312),
  [4507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [4509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [4511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1323),
  [4513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1316),
  [4515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1334),
  [4517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2519),
  [4519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5880),
  [4521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [4523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5266),
  [4525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [4527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5269),
  [4529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [4531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5302),
  [4533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1135),
  [4535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [4537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5151),
  [4539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5826),
  [4541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5983),
  [4543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5977),
  [4545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5976),
  [4547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5971),
  [4549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5959),
  [4551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [4553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5312),
  [4555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5958),
  [4557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5956),
  [4559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5843),
  [4561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5016),
  [4563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5954),
  [4565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5952),
  [4567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2010),
  [4569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5820),
  [4571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4304),
  [4573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5030),
  [4575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5950),
  [4577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5949),
  [4579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5948),
  [4581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4728),
  [4583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5945),
  [4585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5942),
  [4587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5941),
  [4589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5927),
  [4591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5926),
  [4593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4307),
  [4595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6185),
  [4597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4732),
  [4599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5925),
  [4601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5842),
  [4603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4731),
  [4605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4729),
  [4607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5923),
  [4609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5922),
  [4611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5918),
  [4613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5744),
  [4615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2616),
  [4617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(994),
  [4619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5917),
  [4621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6184),
  [4623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4670),
  [4625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2811),
  [4627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5916),
  [4629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2810),
  [4631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2808),
  [4633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2806),
  [4635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2798),
  [4637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4715),
  [4639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4714),
  [4641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2786),
  [4643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4712),
  [4645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5912),
  [4647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2785),
  [4649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4711),
  [4651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2784),
  [4653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1986),
  [4655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5910),
  [4657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5909),
  [4659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5907),
  [4661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5906),
  [4663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5892),
  [4665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5891),
  [4667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2780),
  [4669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2777),
  [4671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5890),
  [4673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5889),
  [4675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4696),
  [4677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5888),
  [4679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5887),
  [4681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4695),
  [4683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5886),
  [4685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2867),
  [4687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5885),
  [4689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(925),
  [4691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(924),
  [4693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(923),
  [4695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(921),
  [4697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5884),
  [4699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(920),
  [4701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(919),
  [4703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5883),
  [4705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5881),
  [4707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5879),
  [4709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5869),
  [4711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5867),
  [4713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5866),
  [4715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5865),
  [4717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5858),
  [4719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5857),
  [4721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4445),
  [4723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4447),
  [4725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4394),
  [4727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10861),
  [4729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8415),
  [4731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [4733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1261),
  [4735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [4737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1241),
  [4739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4396),
  [4741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4399),
  [4743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4400),
  [4745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [4747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5386),
  [4749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4401),
  [4751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4510),
  [4753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4408),
  [4755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [4757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5324),
  [4759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4413),
  [4761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [4763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5325),
  [4765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [4767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5326),
  [4769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [4771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5327),
  [4773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1763),
  [4775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1777),
  [4777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1789),
  [4779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1942),
  [4781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2262),
  [4783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1499),
  [4785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5800),
  [4787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5919),
  [4789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5414),
  [4791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1681),
  [4793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2225),
  [4795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5898),
  [4797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [4799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5913),
  [4801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2472),
  [4803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(690),
  [4805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5803),
  [4807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5802),
  [4809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4416),
  [4811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4417),
  [4813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [4815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2198),
  [4817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2468),
  [4819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(680),
  [4821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2197),
  [4823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2812),
  [4825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13201),
  [4827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13201),
  [4829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13279),
  [4831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13280),
  [4833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4683),
  [4835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [4837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2247),
  [4839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2191),
  [4841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [4843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2242),
  [4845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2189),
  [4847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2168),
  [4849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1769),
  [4851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2165),
  [4853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5856),
  [4855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [4857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5402),
  [4859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1620),
  [4861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2154),
  [4863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2123),
  [4865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2627),
  [4867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2687),
  [4869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(998),
  [4871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [4873] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1302),
  [4876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2017),
  [4878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2016),
  [4880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3572),
  [4882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2700),
  [4884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(996),
  [4886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6255),
  [4888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2701),
  [4890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(995),
  [4892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2095),
  [4894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5745),
  [4896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1993),
  [4898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2692),
  [4900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(993),
  [4902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2696),
  [4904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(990),
  [4906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2698),
  [4908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(989),
  [4910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1992),
  [4912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1966),
  [4914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1919),
  [4916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2935),
  [4918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(985),
  [4920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(984),
  [4922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1918),
  [4924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(983),
  [4926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(982),
  [4928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(981),
  [4930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(980),
  [4932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4665),
  [4934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4258),
  [4936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4152),
  [4938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4149),
  [4940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(713),
  [4942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4146),
  [4944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1917),
  [4946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4145),
  [4948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4139),
  [4950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5960),
  [4952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4138),
  [4954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1915),
  [4956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4128),
  [4958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4127),
  [4960] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1344),
  [4963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4126),
  [4965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [4967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4125),
  [4969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4624),
  [4971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3355),
  [4973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4156),
  [4975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(911),
  [4977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(457),
  [4979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [4981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2545),
  [4983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(641),
  [4985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1976),
  [4987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1970),
  [4989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2209),
  [4991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [4993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2200),
  [4995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1998),
  [4997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2183),
  [4999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [5001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2179),
  [5003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9731),
  [5005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5439),
  [5007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1617),
  [5009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5695),
  [5011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1608),
  [5013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6187),
  [5015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5493),
  [5017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6188),
  [5019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5089),
  [5021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6103),
  [5023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5087),
  [5025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(516),
  [5027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2448),
  [5029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(672),
  [5031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2565),
  [5033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6040),
  [5035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2636),
  [5037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [5039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14263),
  [5041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2192),
  [5043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2741),
  [5045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6028),
  [5047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2742),
  [5049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5937),
  [5051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9514),
  [5053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6305),
  [5055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5677),
  [5057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(505),
  [5059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2277),
  [5061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2537),
  [5063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14402),
  [5065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4721),
  [5067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [5069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2195),
  [5071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6304),
  [5073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(749),
  [5075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(930),
  [5077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2568),
  [5079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(916),
  [5081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6087),
  [5083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5014),
  [5085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5837),
  [5087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5012),
  [5089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3002),
  [5091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2447),
  [5093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(936),
  [5095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5882),
  [5097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(937),
  [5099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2329),
  [5101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2331),
  [5103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(938),
  [5105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2085),
  [5107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2081),
  [5109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2076),
  [5111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2113),
  [5113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(639),
  [5115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2287),
  [5117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2289),
  [5119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(939),
  [5121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2299),
  [5123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2300),
  [5125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2117),
  [5127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3627),
  [5129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3423),
  [5131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(922),
  [5133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2424),
  [5135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(943),
  [5137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(712),
  [5139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5824),
  [5141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5632),
  [5143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5399),
  [5145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(687),
  [5147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4011),
  [5149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1959),
  [5151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4525),
  [5153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(579),
  [5155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5739),
  [5157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [5159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12669),
  [5161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5932),
  [5163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1921),
  [5165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5365),
  [5167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5934),
  [5169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2125),
  [5171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(689),
  [5173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(642),
  [5175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5862),
  [5177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(909),
  [5179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6190),
  [5181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(744),
  [5183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5477),
  [5185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(745),
  [5187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(746),
  [5189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(748),
  [5191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(762),
  [5193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(670),
  [5195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(928),
  [5197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(593),
  [5199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(588),
  [5201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(731),
  [5203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2244),
  [5205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2011),
  [5207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2013),
  [5209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2018),
  [5211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2019),
  [5213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2051),
  [5215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2049),
  [5217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6191),
  [5219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2045),
  [5221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2042),
  [5223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4120),
  [5225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2032),
  [5227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4990),
  [5229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6100),
  [5231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4988),
  [5233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4123),
  [5235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2034),
  [5237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(678),
  [5239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2070),
  [5241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5004),
  [5243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6035),
  [5245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(456),
  [5247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(445),
  [5249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5963),
  [5251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(448),
  [5253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(449),
  [5255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [5257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(455),
  [5259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(480),
  [5261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(472),
  [5263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(460),
  [5265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [5267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [5269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5992),
  [5271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3856),
  [5273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4197),
  [5275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2028),
  [5277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4199),
  [5279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2027),
  [5281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5978),
  [5283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6295),
  [5285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5592),
  [5287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2030),
  [5289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6328),
  [5291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4977),
  [5293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5905),
  [5295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4924),
  [5297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5902),
  [5299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(503),
  [5301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5900),
  [5303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(722),
  [5305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5894),
  [5307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6193),
  [5309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2366),
  [5311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2377),
  [5313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5693),
  [5315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2422),
  [5317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2425),
  [5319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2426),
  [5321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2429),
  [5323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2457),
  [5325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2458),
  [5327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6194),
  [5329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2459),
  [5331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4945),
  [5333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5872),
  [5335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2495),
  [5337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4943),
  [5339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4247),
  [5341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1989),
  [5343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2460),
  [5345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2572),
  [5347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2316),
  [5349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5821),
  [5351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [5353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5455),
  [5355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6306),
  [5357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [5359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5452),
  [5361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(502),
  [5363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5819),
  [5365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5758),
  [5367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6321),
  [5369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6012),
  [5371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6006),
  [5373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5751),
  [5375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6322),
  [5377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4931),
  [5379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5847),
  [5381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4932),
  [5383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4487),
  [5385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(500),
  [5387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5849),
  [5389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(520),
  [5391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(299),
  [5393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(498),
  [5395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5851),
  [5397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5874),
  [5399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4272),
  [5401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1944),
  [5403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6195),
  [5405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5603),
  [5407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6197),
  [5409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4958),
  [5411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5846),
  [5413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4918),
  [5415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6205),
  [5417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(495),
  [5419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5965),
  [5421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4663),
  [5423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5967),
  [5425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3545),
  [5427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3521),
  [5429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6198),
  [5431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3433),
  [5433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3480),
  [5435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3481),
  [5437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3488),
  [5439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3583),
  [5441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3639),
  [5443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5571),
  [5445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3638),
  [5447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3635),
  [5449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3622),
  [5451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1912),
  [5453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6199),
  [5455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4979),
  [5457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4407),
  [5459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4511),
  [5461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4384),
  [5463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4383),
  [5465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4380),
  [5467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4377),
  [5469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5981),
  [5471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2296),
  [5473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2569),
  [5475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13196),
  [5477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2137),
  [5479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2452),
  [5481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12230),
  [5483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5871),
  [5485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4981),
  [5487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4717),
  [5489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5855),
  [5491] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 19), SHIFT(8415),
  [5494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4371),
  [5496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4370),
  [5498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4369),
  [5500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4368),
  [5502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5795),
  [5504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6084),
  [5506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2294),
  [5508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2561),
  [5510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13204),
  [5512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5988),
  [5514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2772),
  [5516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5990),
  [5518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2297),
  [5520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2553),
  [5522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13205),
  [5524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6200),
  [5526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2292),
  [5528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2551),
  [5530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13206),
  [5532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5541),
  [5534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6196),
  [5536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(684),
  [5538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5009),
  [5540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6007),
  [5542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5011),
  [5544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2109),
  [5546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2232),
  [5548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6008),
  [5550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2310),
  [5552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2309),
  [5554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2283),
  [5556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2546),
  [5558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13207),
  [5560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2308),
  [5562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2307),
  [5564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2206),
  [5566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2204),
  [5568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(303),
  [5570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2121),
  [5572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2202),
  [5574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2261),
  [5576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(524),
  [5578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4704),
  [5580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2177),
  [5582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(296),
  [5584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2155),
  [5586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6009),
  [5588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5955),
  [5590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6203),
  [5592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5536),
  [5594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(300),
  [5596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [5598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5199),
  [5600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [5602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5216),
  [5604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2144),
  [5606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [5608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5230),
  [5610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [5612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2246),
  [5614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(305),
  [5616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6204),
  [5618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2135),
  [5620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(306),
  [5622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5023),
  [5624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6021),
  [5626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5024),
  [5628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(307),
  [5630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2122),
  [5632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6044),
  [5634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(308),
  [5636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2282),
  [5638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2542),
  [5640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13208),
  [5642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4804),
  [5644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(509),
  [5646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4364),
  [5648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4105),
  [5650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12213),
  [5652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12212),
  [5654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6025),
  [5656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6031),
  [5658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5029),
  [5660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5499),
  [5662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3948),
  [5664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4013),
  [5666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6206),
  [5668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4204),
  [5670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4205),
  [5672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4206),
  [5674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4211),
  [5676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4290),
  [5678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4291),
  [5680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5764),
  [5682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6070),
  [5684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4299),
  [5686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4324),
  [5688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3873),
  [5690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3930),
  [5692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(881),
  [5694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5042),
  [5696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(864),
  [5698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12100),
  [5700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(850),
  [5702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2089),
  [5704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2456),
  [5706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12199),
  [5708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(890),
  [5710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5985),
  [5712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(870),
  [5714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2092),
  [5716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2461),
  [5718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12198),
  [5720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2099),
  [5722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2462),
  [5724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12188),
  [5726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(827),
  [5728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2114),
  [5730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2465),
  [5732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12186),
  [5734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6110),
  [5736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5008),
  [5738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2077),
  [5740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2466),
  [5742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12185),
  [5744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6102),
  [5746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6207),
  [5748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5488),
  [5750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2581),
  [5752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6201),
  [5754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5058),
  [5756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6058),
  [5758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5046),
  [5760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6054),
  [5762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6051),
  [5764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5780),
  [5766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6208),
  [5768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2103),
  [5770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2199),
  [5772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5489),
  [5774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2279),
  [5776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2074),
  [5778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2285),
  [5780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2286),
  [5782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2293),
  [5784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2207),
  [5786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6209),
  [5788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2185),
  [5790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2315),
  [5792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5044),
  [5794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2317),
  [5796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(297),
  [5798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4572),
  [5800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2276),
  [5802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4574),
  [5804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2275),
  [5806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4363),
  [5808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(492),
  [5810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6049),
  [5812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1933),
  [5814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5037),
  [5816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4582),
  [5818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2272),
  [5820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4583),
  [5822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2271),
  [5824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1935),
  [5826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5812),
  [5828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6045),
  [5830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6024),
  [5832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5774),
  [5834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4603),
  [5836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2259),
  [5838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4604),
  [5840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2255),
  [5842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [5844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1945),
  [5846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3958),
  [5848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4668),
  [5850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6018),
  [5852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4634),
  [5854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2243),
  [5856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1244),
  [5858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6210),
  [5860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2766),
  [5862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5576),
  [5864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1951),
  [5866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(493),
  [5868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1964),
  [5870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [5872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4690),
  [5874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3152),
  [5876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6212),
  [5878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4929),
  [5880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1973),
  [5882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2253),
  [5884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2509),
  [5886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14333),
  [5888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5943),
  [5890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4022),
  [5892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3970),
  [5894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3927),
  [5896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4954),
  [5898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5757),
  [5900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5911),
  [5902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5359),
  [5904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2761),
  [5906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(652),
  [5908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5893),
  [5910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6317),
  [5912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5476),
  [5914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6307),
  [5916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4927),
  [5918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5782),
  [5920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2036),
  [5922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1995),
  [5924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4928),
  [5926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1905),
  [5928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1906),
  [5930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1907),
  [5932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1908),
  [5934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5778),
  [5936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1977),
  [5938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1980),
  [5940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5765),
  [5942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1983),
  [5944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1985),
  [5946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1914),
  [5948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2228),
  [5950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(804),
  [5952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(788),
  [5954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5610),
  [5956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(304),
  [5958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(803),
  [5960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6213),
  [5962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(787),
  [5964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5708),
  [5966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5584),
  [5968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(814),
  [5970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(773),
  [5972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5691),
  [5974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5724),
  [5976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3088),
  [5978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6214),
  [5980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4953),
  [5982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(826),
  [5984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5661),
  [5986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5747),
  [5988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5901),
  [5990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5672),
  [5992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(298),
  [5994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4093),
  [5996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2280),
  [5998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4960),
  [6000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5594),
  [6002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5915),
  [6004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4393),
  [6006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4094),
  [6008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4100),
  [6010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4101),
  [6012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4743),
  [6014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4163),
  [6016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4166),
  [6018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5928),
  [6020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4174),
  [6022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4185),
  [6024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5931),
  [6026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2560),
  [6028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6215),
  [6030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6218),
  [6032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6112),
  [6034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6221),
  [6036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6222),
  [6038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6223),
  [6040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6225),
  [6042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4072),
  [6044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4084),
  [6046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4823),
  [6048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4200),
  [6050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6226),
  [6052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4202),
  [6054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4208),
  [6056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4214),
  [6058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4359),
  [6060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4358),
  [6062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6228),
  [6064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6245),
  [6066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4238),
  [6068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4267),
  [6070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4355),
  [6072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4354),
  [6074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13648),
  [6076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2270),
  [6078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14332),
  [6080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2304),
  [6082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2481),
  [6084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2325),
  [6086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2492),
  [6088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2311),
  [6090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2497),
  [6092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10479),
  [6094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [6096] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 19), SHIFT(8622),
  [6099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [6101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1812),
  [6103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [6105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1812),
  [6107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [6109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [6111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1808),
  [6113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1811),
  [6115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1807),
  [6117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1996),
  [6119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 19), SHIFT(8655),
  [6122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [6124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1814),
  [6126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8622),
  [6128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [6130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [6132] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1934),
  [6135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1940),
  [6137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [6139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2152),
  [6141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2491),
  [6143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2264),
  [6145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2129),
  [6147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2488),
  [6149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2263),
  [6151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2201),
  [6153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2501),
  [6155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2208),
  [6157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2502),
  [6159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2213),
  [6161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2503),
  [6163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2220),
  [6165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2504),
  [6167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2222),
  [6169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2505),
  [6171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2250),
  [6173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10807),
  [6175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [6177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8507),
  [6179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [6181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [6183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [6185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1463),
  [6187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [6189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [6191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1460),
  [6193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1462),
  [6195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1459),
  [6197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2227),
  [6199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2226),
  [6201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2088),
  [6203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2522),
  [6205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2245),
  [6207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2557),
  [6209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2248),
  [6211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2556),
  [6213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2251),
  [6215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2555),
  [6217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2252),
  [6219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2536),
  [6221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2203),
  [6223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12272),
  [6225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2107),
  [6227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2219),
  [6229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2218),
  [6231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2215),
  [6233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_group_by, 3, 0, 0),
  [6235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [6237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [6239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1465),
  [6241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [6243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [6245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [6247] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 19), SHIFT(8507),
  [6250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2221),
  [6252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2433),
  [6254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2145),
  [6256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9448),
  [6258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10592),
  [6260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1742),
  [6262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1741),
  [6264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1042),
  [6266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8626),
  [6268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1729),
  [6270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [6272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [6274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [6276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [6278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1739),
  [6280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1737),
  [6282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [6284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1736),
  [6286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1738),
  [6288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1735),
  [6290] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_size_definition_repeat1, 2, 0, 73), SHIFT_REPEAT(8960),
  [6293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14265),
  [6295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2134),
  [6297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9583),
  [6299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2133),
  [6301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2132),
  [6303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2131),
  [6305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2301),
  [6307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13191),
  [6309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8590),
  [6311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2321),
  [6313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2130),
  [6315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12670),
  [6317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12671),
  [6319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2127),
  [6321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12699),
  [6323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12698),
  [6325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12697),
  [6327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2288),
  [6329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14099),
  [6331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12672),
  [6333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12696),
  [6335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12673),
  [6337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12695),
  [6339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12694),
  [6341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12675),
  [6343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14262),
  [6345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12676),
  [6347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12688),
  [6349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12687),
  [6351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12678),
  [6353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [6355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [6357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [6359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1412),
  [6361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1408),
  [6363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2550),
  [6365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11179),
  [6367] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 19), SHIFT(8661),
  [6370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [6372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1413),
  [6374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [6376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [6378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1409),
  [6380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2526),
  [6382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2539),
  [6384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14144),
  [6386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14139),
  [6388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2544),
  [6390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14127),
  [6392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14110),
  [6394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14106),
  [6396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14098),
  [6398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2548),
  [6400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10804),
  [6402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [6404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8607),
  [6406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [6408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [6410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [6412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1641),
  [6414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [6416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [6418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1638),
  [6420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1640),
  [6422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1636),
  [6424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2549),
  [6426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13192),
  [6428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2224),
  [6430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13193),
  [6432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [6434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [6436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [6438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1415),
  [6440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8661),
  [6442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [6444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [6446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10546),
  [6448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [6450] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 19), SHIFT(8563),
  [6453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [6455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [6457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [6459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1287),
  [6461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [6463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [6465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1292),
  [6467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1289),
  [6469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1296),
  [6471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8563),
  [6473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2439),
  [6475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2535),
  [6477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2223),
  [6479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2432),
  [6481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_order_target, 1, 0, 0),
  [6483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6947),
  [6485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [6487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [6489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9550),
  [6491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [6493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [6495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9516),
  [6497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13194),
  [6499] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_time, 1, 0, 0), SHIFT(12679),
  [6502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13093),
  [6504] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_timestamp, 1, 0, 0), SHIFT(12679),
  [6507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13094),
  [6509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8500),
  [6511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13195),
  [6513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12260),
  [6515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12257),
  [6517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12233),
  [6519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12231),
  [6521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2387),
  [6523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14080),
  [6525] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 19), SHIFT(8607),
  [6528] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 19), SHIFT(8626),
  [6531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2388),
  [6533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2390),
  [6535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2391),
  [6537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2571),
  [6539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2392),
  [6541] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2223),
  [6544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13197),
  [6546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2151),
  [6548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13198),
  [6550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13200),
  [6552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2525),
  [6554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2524),
  [6556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2523),
  [6558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2335),
  [6560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2415),
  [6562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12224),
  [6564] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_size_definition_repeat1, 2, 0, 73), SHIFT_REPEAT(8691),
  [6567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13209),
  [6569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13210),
  [6571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12222),
  [6573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14334),
  [6575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12215),
  [6577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2363),
  [6579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2836),
  [6581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2874),
  [6583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2541),
  [6585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14277),
  [6587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [6589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1643),
  [6591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [6593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [6595] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_size_definition_repeat1, 2, 0, 73), SHIFT_REPEAT(9032),
  [6598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2476),
  [6600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2478),
  [6602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12172),
  [6604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12365),
  [6606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12169),
  [6608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [6610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2489),
  [6612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2496),
  [6614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2518),
  [6616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2493),
  [6618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13212),
  [6620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13216),
  [6622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13213),
  [6624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2477),
  [6626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13214),
  [6628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13215),
  [6630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2485),
  [6632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2260),
  [6634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2479),
  [6636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13211),
  [6638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14331),
  [6640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8551),
  [6642] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_timestamp, 4, 0, 114), SHIFT(12679),
  [6645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_time, 4, 0, 114), SHIFT(12679),
  [6648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11002),
  [6650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [6652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8669),
  [6654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [6656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [6658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [6660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1520),
  [6662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [6664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [6666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1517),
  [6668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1519),
  [6670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1516),
  [6672] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 19), SHIFT(8669),
  [6675] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_time, 1, 0, 0), SHIFT(13201),
  [6678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13287),
  [6680] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_timestamp, 1, 0, 0), SHIFT(13201),
  [6683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13288),
  [6685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [6687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [6689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [6691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2959),
  [6693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3115),
  [6695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2573),
  [6697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14201),
  [6699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [6701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [6703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [6705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2833),
  [6707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2884),
  [6709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12792),
  [6711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12326),
  [6713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12327),
  [6715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12797),
  [6717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12976),
  [6719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12975),
  [6721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7259),
  [6723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [6725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9918),
  [6727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [6729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12328),
  [6731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2815),
  [6733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2885),
  [6735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14280),
  [6737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2839),
  [6739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2946),
  [6741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12800),
  [6743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2841),
  [6745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2859),
  [6747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12801),
  [6749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2842),
  [6751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2861),
  [6753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12802),
  [6755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2843),
  [6757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2866),
  [6759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12803),
  [6761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2844),
  [6763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2873),
  [6765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12804),
  [6767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0),
  [6769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2927),
  [6771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3139),
  [6773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14206),
  [6775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2845),
  [6777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14279),
  [6779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inner_default_expression, 1, 0, 0),
  [6781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__inner_default_expression, 1, 0, 0),
  [6783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8584),
  [6785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2931),
  [6787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3106),
  [6789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12333),
  [6791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2933),
  [6793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3107),
  [6795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12332),
  [6797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2942),
  [6799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3108),
  [6801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12331),
  [6803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12738),
  [6805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12738),
  [6807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12799),
  [6809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12798),
  [6811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2944),
  [6813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3109),
  [6815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12330),
  [6817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2945),
  [6819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3111),
  [6821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12329),
  [6823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3417),
  [6825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [6827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3413),
  [6829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3439),
  [6831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2813),
  [6833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14217),
  [6835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [6837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [6839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [6841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2682),
  [6843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2881),
  [6845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3131),
  [6847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12321),
  [6849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_where, 2, 0, 42),
  [6851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2831),
  [6853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12787),
  [6855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2762),
  [6857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3017),
  [6859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2757),
  [6861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2760),
  [6863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3019),
  [6865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2756),
  [6867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3021),
  [6869] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_timestamp, 4, 0, 114), SHIFT(13201),
  [6872] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_time, 4, 0, 114), SHIFT(13201),
  [6875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2751),
  [6877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3027),
  [6879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2745),
  [6881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3029),
  [6883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3415),
  [6885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2736),
  [6887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3070),
  [6889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2737),
  [6891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3064),
  [6893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2684),
  [6895] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2684),
  [6898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2739),
  [6900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3059),
  [6902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3127),
  [6904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3801),
  [6906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2735),
  [6908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14269),
  [6910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3102),
  [6912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3831),
  [6914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12745),
  [6916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3104),
  [6918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3822),
  [6920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12744),
  [6922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13695),
  [6924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3020),
  [6926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3118),
  [6928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3808),
  [6930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12743),
  [6932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2967),
  [6934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12316),
  [6936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3120),
  [6938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3807),
  [6940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12742),
  [6942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3122),
  [6944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3806),
  [6946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12741),
  [6948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2740),
  [6950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3129),
  [6952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3800),
  [6954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12733),
  [6956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2918),
  [6958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3280),
  [6960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3472),
  [6962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12788),
  [6964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12789),
  [6966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3116),
  [6968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3813),
  [6970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14272),
  [6972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3061),
  [6974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3003),
  [6976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12791),
  [6978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3000),
  [6980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [6982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [6984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [6986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [6988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1198),
  [6990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1194),
  [6992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1201),
  [6994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3669),
  [6996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3756),
  [6998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4102),
  [7000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3049),
  [7002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14335),
  [7004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3095),
  [7006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12793),
  [7008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12794),
  [7010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12796),
  [7012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2906),
  [7014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12805),
  [7016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12806),
  [7018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12790),
  [7020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3055),
  [7022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14278),
  [7024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3056),
  [7026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10991),
  [7028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [7030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1192),
  [7032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8528),
  [7034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [7036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [7038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [7040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1193),
  [7042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [7044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3057),
  [7046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2930),
  [7048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14205),
  [7050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3723),
  [7052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4018),
  [7054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3001),
  [7056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14244),
  [7058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__having, 2, 0, 0),
  [7060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13239),
  [7062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13239),
  [7064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13281),
  [7066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13282),
  [7068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9440),
  [7070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3665),
  [7072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [7074] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 19), SHIFT(8528),
  [7077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12813),
  [7079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12814),
  [7081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12815),
  [7083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12816),
  [7085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2919),
  [7087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3279),
  [7089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2917),
  [7091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3282),
  [7093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2916),
  [7095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3285),
  [7097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2915),
  [7099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3286),
  [7101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3379),
  [7103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3476),
  [7105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14222),
  [7107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2950),
  [7109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3406),
  [7111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3458),
  [7113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12412),
  [7115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3407),
  [7117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3453),
  [7119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12411),
  [7121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3408),
  [7123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3449),
  [7125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12410),
  [7127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2886),
  [7129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3321),
  [7131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3409),
  [7133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3446),
  [7135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12409),
  [7137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3410),
  [7139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3444),
  [7141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12408),
  [7143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2880),
  [7145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3324),
  [7147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12405),
  [7149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12405),
  [7151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12407),
  [7153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12406),
  [7155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12817),
  [7157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3414),
  [7159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3437),
  [7161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12400),
  [7163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2883),
  [7165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2924),
  [7167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3332),
  [7169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3518),
  [7171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4321),
  [7173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2911),
  [7175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14309),
  [7177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2895),
  [7179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12812),
  [7181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2897),
  [7183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2898),
  [7185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2850),
  [7187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2904),
  [7189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14281),
  [7191] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_size_definition_repeat1, 2, 0, 73), SHIFT_REPEAT(8886),
  [7194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3528),
  [7196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4312),
  [7198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13036),
  [7200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3529),
  [7202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4310),
  [7204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13037),
  [7206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12313),
  [7208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3532),
  [7210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4306),
  [7212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13038),
  [7214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3533),
  [7216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4134),
  [7218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13039),
  [7220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3570),
  [7222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4260),
  [7224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13040),
  [7226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3209),
  [7228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3705),
  [7230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3424),
  [7232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3497),
  [7234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4328),
  [7236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13028),
  [7238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3416),
  [7240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12395),
  [7242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3164),
  [7244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3745),
  [7246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3334),
  [7248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3138),
  [7250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3331),
  [7252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2892),
  [7254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2893),
  [7256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2894),
  [7258] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2894),
  [7261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3403),
  [7263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14221),
  [7265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3373),
  [7267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3555),
  [7269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3372),
  [7271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3557),
  [7273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3370),
  [7275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3560),
  [7277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3369),
  [7279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3562),
  [7281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3636),
  [7283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4181),
  [7285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14312),
  [7287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3366),
  [7289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3565),
  [7291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3309),
  [7293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3307),
  [7295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3306),
  [7297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3305),
  [7299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3304),
  [7301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__column_list, 4, 0, 40),
  [7303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__column_list, 4, 0, 40),
  [7305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4256),
  [7307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3335),
  [7309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3199),
  [7311] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_size_definition_repeat1, 2, 0, 73), SHIFT_REPEAT(9232),
  [7314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14207),
  [7316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3147),
  [7318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3146),
  [7320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3347),
  [7322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3602),
  [7324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3346),
  [7326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3605),
  [7328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3341),
  [7330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3612),
  [7332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3354),
  [7334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3566),
  [7336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3145),
  [7338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__column_list, 3, 0, 40),
  [7340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__column_list, 3, 0, 40),
  [7342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3143),
  [7344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3141),
  [7346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3987),
  [7348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4537),
  [7350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3179),
  [7352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14325),
  [7354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13825),
  [7356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3994),
  [7358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3404),
  [7360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3459),
  [7362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3377),
  [7364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3494),
  [7366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3376),
  [7368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3499),
  [7370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3375),
  [7372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3526),
  [7374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12349),
  [7376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12348),
  [7378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12347),
  [7380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12346),
  [7382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3725),
  [7384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4012),
  [7386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12544),
  [7388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12345),
  [7390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3717),
  [7392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4050),
  [7394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12552),
  [7396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3701),
  [7398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4051),
  [7400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12553),
  [7402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3698),
  [7404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4053),
  [7406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12554),
  [7408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3695),
  [7410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4054),
  [7412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12555),
  [7414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3693),
  [7416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4055),
  [7418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12556),
  [7420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3672),
  [7422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4099),
  [7424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14248),
  [7426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [7428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [7430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4143),
  [7432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12344),
  [7434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14204),
  [7436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12335),
  [7438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12334),
  [7440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3749),
  [7442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4092),
  [7444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13234),
  [7446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12325),
  [7448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13033),
  [7450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13033),
  [7452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13240),
  [7454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13241),
  [7456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3757),
  [7458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4220),
  [7460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13242),
  [7462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3758),
  [7464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4302),
  [7466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13243),
  [7468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3759),
  [7470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4341),
  [7472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13244),
  [7474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3769),
  [7476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4288),
  [7478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13245),
  [7480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3789),
  [7482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4157),
  [7484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13246),
  [7486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12549),
  [7488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12549),
  [7490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12621),
  [7492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12622),
  [7494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12323),
  [7496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3816),
  [7498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4073),
  [7500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14338),
  [7502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12322),
  [7504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4301),
  [7506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3195),
  [7508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3130),
  [7510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12728),
  [7512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12320),
  [7514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12319),
  [7516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12318),
  [7518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12317),
  [7520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3234),
  [7522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3685),
  [7524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3105),
  [7526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14271),
  [7528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3687),
  [7530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3933),
  [7532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13841),
  [7534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13889),
  [7536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3802),
  [7538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3804),
  [7540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14273),
  [7542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13772),
  [7544] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_size_definition_repeat1, 2, 0, 73), SHIFT_REPEAT(8921),
  [7547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3770),
  [7549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3809),
  [7551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3810),
  [7553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3811),
  [7555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10861),
  [7557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1124),
  [7559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1123),
  [7561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1077),
  [7563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8420),
  [7565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1385),
  [7567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [7569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [7571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [7573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1122),
  [7575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [7577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [7579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1119),
  [7581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1121),
  [7583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1118),
  [7585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3741),
  [7587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3814),
  [7589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12758),
  [7591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3730),
  [7593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12539),
  [7595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9461),
  [7597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3520),
  [7599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4331),
  [7601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [7603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10903),
  [7605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [7607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1585),
  [7609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [7611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8670),
  [7613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1859),
  [7615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [7617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [7619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [7621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [7623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [7625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1583),
  [7627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [7629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [7631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1578),
  [7633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1582),
  [7635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1576),
  [7637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3515),
  [7639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4334),
  [7641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3686),
  [7643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3931),
  [7645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3684),
  [7647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3919),
  [7649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3513),
  [7651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4335),
  [7653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3500),
  [7655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4357),
  [7657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13953),
  [7659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3688),
  [7661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3682),
  [7663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3915),
  [7665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3491),
  [7667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4303),
  [7669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12757),
  [7671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3932),
  [7673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4575),
  [7675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14328),
  [7677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3680),
  [7679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14247),
  [7681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3679),
  [7683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3906),
  [7685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13151),
  [7687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13151),
  [7689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13278),
  [7691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13277),
  [7693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3812),
  [7695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14337),
  [7697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12756),
  [7699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12755),
  [7701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12754),
  [7703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12753),
  [7705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14270),
  [7707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4502),
  [7709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12747),
  [7711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12746),
  [7713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3676),
  [7715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12737),
  [7717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3974),
  [7719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4548),
  [7721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13158),
  [7723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12735),
  [7725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3976),
  [7727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4547),
  [7729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13157),
  [7731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3978),
  [7733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4546),
  [7735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13156),
  [7737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3980),
  [7739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4545),
  [7741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13155),
  [7743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12734),
  [7745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3463),
  [7747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3982),
  [7749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4544),
  [7751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13154),
  [7753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3496),
  [7755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13023),
  [7757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3989),
  [7759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4533),
  [7761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13146),
  [7763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3674),
  [7765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12732),
  [7767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12731),
  [7769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12730),
  [7771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3658),
  [7773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3846),
  [7775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3657),
  [7777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3847),
  [7779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12729),
  [7781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3337),
  [7783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3338),
  [7785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3655),
  [7787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3852),
  [7789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10151),
  [7791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3747),
  [7793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13229),
  [7795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3714),
  [7797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3330),
  [7799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3590),
  [7801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4241),
  [7803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3588),
  [7805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4243),
  [7807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3586),
  [7809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4245),
  [7811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3584),
  [7813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4246),
  [7815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3582),
  [7817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3836),
  [7819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3362),
  [7821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3352),
  [7823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3614),
  [7825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10705),
  [7827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1330),
  [7829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1331),
  [7831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1031),
  [7833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8662),
  [7835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1797),
  [7837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [7839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [7841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [7843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [7845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1333),
  [7847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [7849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [7851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1338),
  [7853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1335),
  [7855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1340),
  [7857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9544),
  [7859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3613),
  [7861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3609),
  [7863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3596),
  [7865] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0), SHIFT_REPEAT(3362),
  [7868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3553),
  [7870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4218),
  [7872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3549),
  [7874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4285),
  [7876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3592),
  [7878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3591),
  [7880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3589),
  [7882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3587),
  [7884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3585),
  [7886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3544),
  [7888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4294),
  [7890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3597),
  [7892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3603),
  [7894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3607),
  [7896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3510),
  [7898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12396),
  [7900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12397),
  [7902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9729),
  [7904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10991),
  [7906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1856),
  [7908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1855),
  [7910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(956),
  [7912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8441),
  [7914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1443),
  [7916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1853),
  [7918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [7920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [7922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1853),
  [7924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [7926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [7928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1849),
  [7930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1852),
  [7932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1848),
  [7934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3443),
  [7936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4065),
  [7938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12398),
  [7940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3464),
  [7942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4064),
  [7944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3559),
  [7946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4021),
  [7948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12399),
  [7950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12401),
  [7952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12402),
  [7954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12404),
  [7956] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_size_definition_repeat1, 2, 0, 73), SHIFT_REPEAT(9154),
  [7959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14223),
  [7961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3615),
  [7963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3632),
  [7965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14311),
  [7967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3493),
  [7969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3492),
  [7971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3490),
  [7973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3489),
  [7975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3484),
  [7977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12413),
  [7979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12414),
  [7981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3474),
  [7983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12428),
  [7985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12427),
  [7987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12426),
  [7989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12425),
  [7991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12424),
  [7993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14220),
  [7995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12423),
  [7997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13052),
  [7999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13051),
  [8001] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 19), SHIFT(8670),
  [8004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13050),
  [8006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13921),
  [8008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4031),
  [8010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13049),
  [8012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13048),
  [8014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14310),
  [8016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1243),
  [8018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1246),
  [8020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(968),
  [8022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8478),
  [8024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1497),
  [8026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [8028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [8030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1247),
  [8032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [8034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [8036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1251),
  [8038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1248),
  [8040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1252),
  [8042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4017),
  [8044] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_time, 1, 0, 0), SHIFT(12405),
  [8047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12857),
  [8049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3708),
  [8051] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_timestamp, 1, 0, 0), SHIFT(12405),
  [8054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12858),
  [8056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13042),
  [8058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4121),
  [8060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13053),
  [8062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4182),
  [8064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4160),
  [8066] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0), SHIFT_REPEAT(3506),
  [8069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4162),
  [8071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4187),
  [8073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4215),
  [8075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3506),
  [8077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4177),
  [8079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4176),
  [8081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8489),
  [8083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4165),
  [8085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4161),
  [8087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3522),
  [8089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4298),
  [8091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4296),
  [8093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4293),
  [8095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4005),
  [8097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13041),
  [8099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13032),
  [8101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9875),
  [8103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4159),
  [8105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13030),
  [8107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9466),
  [8109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13029),
  [8111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4275),
  [8113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4271),
  [8115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4268),
  [8117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4266),
  [8119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4265),
  [8121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3683),
  [8123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9507),
  [8125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13027),
  [8127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13026),
  [8129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14313),
  [8131] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_size_definition_repeat1, 2, 0, 73), SHIFT_REPEAT(8696),
  [8134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3844),
  [8136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13230),
  [8138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13231),
  [8140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3922),
  [8142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4592),
  [8144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13232),
  [8146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9484),
  [8148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13233),
  [8150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4337),
  [8152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3854),
  [8154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3851),
  [8156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8658),
  [8158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4173),
  [8160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4003),
  [8162] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_size_definition_repeat1, 2, 0, 73), SHIFT_REPEAT(9055),
  [8165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3990),
  [8167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13141),
  [8169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13025),
  [8171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3837),
  [8173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14249),
  [8175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3861),
  [8177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3707),
  [8179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3863),
  [8181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3981),
  [8183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3874),
  [8185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13024),
  [8187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8499),
  [8189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4129),
  [8191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13235),
  [8193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4124),
  [8195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4122),
  [8197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4115),
  [8199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13236),
  [8201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13238),
  [8203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13247),
  [8205] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0), SHIFT_REPEAT(3707),
  [8208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13248),
  [8210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4040),
  [8212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4496),
  [8214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14336),
  [8216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13249),
  [8218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4113),
  [8220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9518),
  [8222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13250),
  [8224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4097),
  [8226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13251),
  [8228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13252),
  [8230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12572),
  [8232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3938),
  [8234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14327),
  [8236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12571),
  [8238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12570),
  [8240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12569),
  [8242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12568),
  [8244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12567),
  [8246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13253),
  [8248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14246),
  [8250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13254),
  [8252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4074),
  [8254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12558),
  [8256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12557),
  [8258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4024),
  [8260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3993),
  [8262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3992),
  [8264] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_timestamp, 1, 0, 0), SHIFT(12213),
  [8267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12551),
  [8269] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_time, 1, 0, 0), SHIFT(12213),
  [8272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12550),
  [8274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12548),
  [8276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12546),
  [8278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12545),
  [8280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3972),
  [8282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12543),
  [8284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12542),
  [8286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4029),
  [8288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4515),
  [8290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4027),
  [8292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4532),
  [8294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3670),
  [8296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3936),
  [8298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12541),
  [8300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12540),
  [8302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14339),
  [8304] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_size_definition_repeat1, 2, 0, 73), SHIFT_REPEAT(8701),
  [8307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4213),
  [8309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3833),
  [8311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3912),
  [8313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4598),
  [8315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3890),
  [8317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4607),
  [8319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3888),
  [8321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4608),
  [8323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3924),
  [8325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4567),
  [8327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [8329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [8331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [8333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1692),
  [8335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1694),
  [8337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1691),
  [8339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8440),
  [8341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4556),
  [8343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4555),
  [8345] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_time, 4, 0, 114), SHIFT(12405),
  [8348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4554),
  [8350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4553),
  [8352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4552),
  [8354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4326),
  [8356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [8358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [8360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [8362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [8364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1874),
  [8366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1876),
  [8368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1873),
  [8370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4637),
  [8372] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_size_definition_repeat1, 2, 0, 73), SHIFT_REPEAT(8689),
  [8375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14329),
  [8377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4295),
  [8379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10705),
  [8381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8634),
  [8383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [8385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1695),
  [8387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [8389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10252),
  [8391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [8393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1882),
  [8395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8578),
  [8397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [8399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [8401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [8403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1877),
  [8405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [8407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4588),
  [8409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4581),
  [8411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4580),
  [8413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4577),
  [8415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4576),
  [8417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4573),
  [8419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13171),
  [8421] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_timestamp, 4, 0, 114), SHIFT(12405),
  [8424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13170),
  [8426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13169),
  [8428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13168),
  [8430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13167),
  [8432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13166),
  [8434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14326),
  [8436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4499),
  [8438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4495),
  [8440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4494),
  [8442] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_time, 1, 0, 0), SHIFT(13033),
  [8445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13283),
  [8447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13160),
  [8449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13159),
  [8451] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_timestamp, 1, 0, 0), SHIFT(13033),
  [8454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13284),
  [8456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13150),
  [8458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13148),
  [8460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13147),
  [8462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13145),
  [8464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13144),
  [8466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13143),
  [8468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13142),
  [8470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 19), SHIFT(8441),
  [8473] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 19), SHIFT(8662),
  [8476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8520),
  [8478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8523),
  [8480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3925),
  [8482] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_time, 4, 0, 114), SHIFT(12213),
  [8485] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_timestamp, 4, 0, 114), SHIFT(12213),
  [8488] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 19), SHIFT(8578),
  [8491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8486),
  [8493] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 19), SHIFT(8634),
  [8496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9512),
  [8498] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_timestamp, 1, 0, 0), SHIFT(12549),
  [8501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12917),
  [8503] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_time, 1, 0, 0), SHIFT(12549),
  [8506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12916),
  [8508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [8510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [8512] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 19), SHIFT(8420),
  [8515] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0), SHIFT_REPEAT(4326),
  [8518] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_timestamp, 1, 0, 0), SHIFT(12797),
  [8521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13273),
  [8523] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_time, 1, 0, 0), SHIFT(12797),
  [8526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13272),
  [8528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13857),
  [8530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [8532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8344),
  [8534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [8536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [8538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1597),
  [8540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [8542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [8544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1610),
  [8546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1598),
  [8548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1611),
  [8550] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 19), SHIFT(8344),
  [8553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [8555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [8557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8616),
  [8559] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_time, 4, 0, 114), SHIFT(12797),
  [8562] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_timestamp, 4, 0, 114), SHIFT(12797),
  [8565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 3, 0, 76),
  [8567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [8569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [8571] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 19), SHIFT(8478),
  [8574] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_timestamp, 1, 0, 0), SHIFT(13151),
  [8577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13286),
  [8579] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_time, 1, 0, 0), SHIFT(13151),
  [8582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13285),
  [8584] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_timestamp, 4, 0, 114), SHIFT(13033),
  [8587] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_time, 4, 0, 114), SHIFT(13033),
  [8590] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_time, 4, 0, 114), SHIFT(12549),
  [8593] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_timestamp, 4, 0, 114), SHIFT(12549),
  [8596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [8598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [8600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12244),
  [8602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12245),
  [8604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10666),
  [8606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [8608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [8610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [8612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8543),
  [8614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [8616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [8618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [8620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [8622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [8624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1197),
  [8626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [8628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [8630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1180),
  [8632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1196),
  [8634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1177),
  [8636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_partition_by, 3, 0, 0),
  [8638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4684),
  [8640] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_time, 4, 0, 114), SHIFT(13151),
  [8643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4959),
  [8645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5172),
  [8647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4757),
  [8649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14185),
  [8651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5074),
  [8653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5136),
  [8655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4744),
  [8657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14317),
  [8659] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_timestamp, 4, 0, 114), SHIFT(13151),
  [8662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12246),
  [8664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13092),
  [8666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13092),
  [8668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13267),
  [8670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13268),
  [8672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10074),
  [8674] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 19), SHIFT(8543),
  [8677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [8679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5063),
  [8681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5161),
  [8683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14320),
  [8685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5376),
  [8687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5738),
  [8689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4883),
  [8691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14253),
  [8693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5169),
  [8695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8488),
  [8697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5075),
  [8699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5133),
  [8701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13087),
  [8703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5385),
  [8705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4937),
  [8707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5213),
  [8709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14190),
  [8711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5073),
  [8713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5140),
  [8715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13095),
  [8717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4950),
  [8719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5202),
  [8721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12251),
  [8723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4952),
  [8725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5201),
  [8727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12250),
  [8729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4955),
  [8731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5198),
  [8733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12249),
  [8735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4956),
  [8737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5193),
  [8739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12248),
  [8741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5072),
  [8743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5143),
  [8745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13096),
  [8747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5071),
  [8749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5145),
  [8751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13097),
  [8753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5464),
  [8755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5567),
  [8757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4856),
  [8759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14301),
  [8761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4957),
  [8763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5175),
  [8765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12247),
  [8767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5067),
  [8769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5149),
  [8771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13099),
  [8773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12974),
  [8775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13203),
  [8777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13202),
  [8779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12620),
  [8781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12620),
  [8783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12681),
  [8785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12680),
  [8787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4968),
  [8789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5170),
  [8791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12239),
  [8793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5068),
  [8795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5147),
  [8797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13098),
  [8799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5503),
  [8801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5544),
  [8803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5065),
  [8805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14319),
  [8807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5053),
  [8809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5221),
  [8811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13905),
  [8813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5052),
  [8815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5223),
  [8817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5051),
  [8819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5225),
  [8821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5050),
  [8823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5227),
  [8825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5049),
  [8827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5229),
  [8829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5043),
  [8831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5263),
  [8833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5040),
  [8835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5268),
  [8837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5038),
  [8839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5274),
  [8841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4976),
  [8843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4969),
  [8845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12234),
  [8847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from, 4, 0, 0),
  [8849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11948),
  [8851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11554),
  [8853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12394),
  [8855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12392),
  [8857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7709),
  [8859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8771),
  [8861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [8863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12389),
  [8865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12388),
  [8867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6806),
  [8869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14407),
  [8871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10213),
  [8873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7880),
  [8875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5077),
  [8877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13082),
  [8879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5086),
  [8881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5730),
  [8883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from, 3, 0, 0),
  [8885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5472),
  [8887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5537),
  [8889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14304),
  [8891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5469),
  [8893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5550),
  [8895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12981),
  [8897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5468),
  [8899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5553),
  [8901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12980),
  [8903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5467),
  [8905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5556),
  [8907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12979),
  [8909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5466),
  [8911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5558),
  [8913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12978),
  [8915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5465),
  [8917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5560),
  [8919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12977),
  [8921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5025),
  [8923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14189),
  [8925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5462),
  [8927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5570),
  [8929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12969),
  [8931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5391),
  [8933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5716),
  [8935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14256),
  [8937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4923),
  [8939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5323),
  [8941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4935),
  [8943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5278),
  [8945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4934),
  [8947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5279),
  [8949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4933),
  [8951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5280),
  [8953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4930),
  [8955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5283),
  [8957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5005),
  [8959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5284),
  [8961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5371),
  [8963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5723),
  [8965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12627),
  [8967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5400),
  [8969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5726),
  [8971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12626),
  [8973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5380),
  [8975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5729),
  [8977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12625),
  [8979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5379),
  [8981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5733),
  [8983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12624),
  [8985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5378),
  [8987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5735),
  [8989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12623),
  [8991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5374),
  [8993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5740),
  [8995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12615),
  [8997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4921),
  [8999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5313),
  [9001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4922),
  [9003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5314),
  [9005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from, 2, 0, 0),
  [9007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [9009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [9011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2398),
  [9013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12240),
  [9015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1760),
  [9017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4327),
  [9019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5317),
  [9021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5328),
  [9023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5329),
  [9025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [9027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4562),
  [9029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5361),
  [9031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5373),
  [9033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12610),
  [9035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [9037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2611),
  [9039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [9041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2618),
  [9043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [9045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2239),
  [9047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5301),
  [9049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [9051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6108),
  [9053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [9055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6079),
  [9057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5299),
  [9059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5298),
  [9061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5297),
  [9063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14188),
  [9065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5240),
  [9067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5387),
  [9069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14255),
  [9071] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_size_definition_repeat1, 2, 0, 73), SHIFT_REPEAT(9309),
  [9074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11465),
  [9076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11455),
  [9078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14184),
  [9080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13696),
  [9082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7724),
  [9084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9136),
  [9086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [9088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12140),
  [9090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12141),
  [9092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6809),
  [9094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13987),
  [9096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9650),
  [9098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7874),
  [9100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [9102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [9104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5401),
  [9106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5670),
  [9108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [9110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [9112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5403),
  [9114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5668),
  [9116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5409),
  [9118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5660),
  [9120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5411),
  [9122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5658),
  [9124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5412),
  [9126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5655),
  [9128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5232),
  [9130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5231),
  [9132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [9134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4590),
  [9136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [9138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2188),
  [9140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5228),
  [9142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5222),
  [9144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5220),
  [9146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [9148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2401),
  [9150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1854),
  [9152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4649),
  [9154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5415),
  [9156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5638),
  [9158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5416),
  [9160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5635),
  [9162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5418),
  [9164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5631),
  [9166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4999),
  [9168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5473),
  [9170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5461),
  [9172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12964),
  [9174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13809),
  [9176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5209),
  [9178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12267),
  [9180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12266),
  [9182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12265),
  [9184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12264),
  [9186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12263),
  [9188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12262),
  [9190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [9192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4520),
  [9194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12253),
  [9196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [9198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4080),
  [9200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12252),
  [9202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [9204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4044),
  [9206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12243),
  [9208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5470),
  [9210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14303),
  [9212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4964),
  [9214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13088),
  [9216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13101),
  [9218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5457),
  [9220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5581),
  [9222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [9224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6398),
  [9226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5454),
  [9228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5582),
  [9230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [9232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6412),
  [9234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5448),
  [9236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5588),
  [9238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5442),
  [9240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5595),
  [9242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5459),
  [9244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5580),
  [9246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12241),
  [9248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5421),
  [9250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5624),
  [9252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5417),
  [9254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5639),
  [9256] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0), SHIFT_REPEAT(4999),
  [9259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5405),
  [9261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5667),
  [9263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13089),
  [9265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [9267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3850),
  [9269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5309),
  [9271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [9273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4601),
  [9275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12238),
  [9277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [9279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4457),
  [9281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [9283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3926),
  [9285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [9287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4346),
  [9289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13083),
  [9291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [9293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2676),
  [9295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12237),
  [9297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12236),
  [9299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13084),
  [9301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13100),
  [9303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12235),
  [9305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [9307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4819),
  [9309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [9311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4840),
  [9313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14191),
  [9315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9511),
  [9317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [9319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4376),
  [9321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [9323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2664),
  [9325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12477),
  [9327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12477),
  [9329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12479),
  [9331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12478),
  [9333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5776),
  [9335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6176),
  [9337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5343),
  [9339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14231),
  [9341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13091),
  [9343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4994),
  [9345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [9347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4671),
  [9349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5282),
  [9351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5276),
  [9353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13085),
  [9355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [9357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4600),
  [9359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5272),
  [9361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [9363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4698),
  [9365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [9367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5651),
  [9369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9868),
  [9371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5256),
  [9373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5255),
  [9375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5254),
  [9377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5253),
  [9379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5252),
  [9381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13086),
  [9383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1726),
  [9385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5601),
  [9387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5182),
  [9389] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_size_definition_repeat1, 2, 0, 73), SHIFT_REPEAT(8682),
  [9392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14321),
  [9394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5168),
  [9396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5167),
  [9398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12156),
  [9400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12156),
  [9402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12158),
  [9404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12157),
  [9406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5166),
  [9408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5165),
  [9410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5163),
  [9412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5160),
  [9414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5908),
  [9416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6316),
  [9418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5349),
  [9420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14168),
  [9422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13112),
  [9424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13111),
  [9426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13110),
  [9428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13109),
  [9430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13108),
  [9432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13107),
  [9434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14318),
  [9436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [9438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3624),
  [9440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [9442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3593),
  [9444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12614),
  [9446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5607),
  [9448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [9450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4718),
  [9452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [9454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4425),
  [9456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6548),
  [9458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5482),
  [9460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6544),
  [9462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5682),
  [9464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8638),
  [9466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3558),
  [9468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4374),
  [9470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6320),
  [9472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9384),
  [9474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3434),
  [9476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3454),
  [9478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4517),
  [9480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4701),
  [9482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6526),
  [9484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6527),
  [9486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6529),
  [9488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6530),
  [9490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4899),
  [9492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6533),
  [9494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6534),
  [9496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relation, 1, 0, 0),
  [9498] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_relation, 1, 0, 0),
  [9500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [9502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4815),
  [9504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5352),
  [9506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4833),
  [9508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5791),
  [9510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6258),
  [9512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12151),
  [9514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4643),
  [9516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4623),
  [9518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4699),
  [9520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4419),
  [9522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2320),
  [9524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4340),
  [9526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11750),
  [9528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6561),
  [9530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5760),
  [9532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6313),
  [9534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12159),
  [9536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4086),
  [9538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4195),
  [9540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2437),
  [9542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5759),
  [9544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6312),
  [9546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12160),
  [9548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6522),
  [9550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2075),
  [9552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2403),
  [9554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6563),
  [9556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5933),
  [9558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6311),
  [9560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12161),
  [9562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5789),
  [9564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6310),
  [9566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12162),
  [9568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5770),
  [9570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6309),
  [9572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12163),
  [9574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2413),
  [9576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6611),
  [9578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11737),
  [9580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2706),
  [9582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4297),
  [9584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6553),
  [9586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4071),
  [9588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4133),
  [9590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11816),
  [9592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8635),
  [9594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6571),
  [9596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6606),
  [9598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [9600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2585),
  [9602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5781),
  [9604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6177),
  [9606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12472),
  [9608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6105),
  [9610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3869),
  [9612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5773),
  [9614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6173),
  [9616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12480),
  [9618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5772),
  [9620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6172),
  [9622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12481),
  [9624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5768),
  [9626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6171),
  [9628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12482),
  [9630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5767),
  [9632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6170),
  [9634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12483),
  [9636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5762),
  [9638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6169),
  [9640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12484),
  [9642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2597),
  [9644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2607),
  [9646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5128),
  [9648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4033),
  [9650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6080),
  [9652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12611),
  [9654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12612),
  [9656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5794),
  [9658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12613),
  [9660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5763),
  [9662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6164),
  [9664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14235),
  [9666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12616),
  [9668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12617),
  [9670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6391),
  [9672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12619),
  [9674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5924),
  [9676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6302),
  [9678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14173),
  [9680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11473),
  [9682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11462),
  [9684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14167),
  [9686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7696),
  [9688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9120),
  [9690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [9692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14039),
  [9694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14040),
  [9696] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0), SHIFT_REPEAT(5352),
  [9699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3066),
  [9701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12628),
  [9703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12629),
  [9705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2590),
  [9707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3983),
  [9709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2671),
  [9711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_column, 5, 0, 60),
  [9713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14254),
  [9715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12635),
  [9717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9992),
  [9719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_column, 6, 0, 15),
  [9721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12636),
  [9723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12637),
  [9725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12638),
  [9727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12639),
  [9729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5709),
  [9731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12640),
  [9733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5717),
  [9735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9679),
  [9737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5713),
  [9739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5712),
  [9741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5711),
  [9743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14257),
  [9745] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_size_definition_repeat1, 2, 0, 73), SHIFT_REPEAT(9002),
  [9748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5701),
  [9750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [9752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4571),
  [9754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [9756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [9758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5338),
  [9760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5710),
  [9762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5649),
  [9764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5648),
  [9766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6546),
  [9768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5671),
  [9770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5647),
  [9772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6545),
  [9774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5646),
  [9776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5645),
  [9778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_repeat1, 4, 0, 0),
  [9780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5633),
  [9782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5630),
  [9784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5669),
  [9786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5629),
  [9788] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_size_definition_repeat1, 2, 0, 73), SHIFT_REPEAT(8746),
  [9791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12965),
  [9793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5666),
  [9795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12966),
  [9797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9493),
  [9799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2634),
  [9801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4461),
  [9803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12967),
  [9805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9504),
  [9807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12968),
  [9809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4526),
  [9811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12970),
  [9813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12971),
  [9815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12973),
  [9817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4474),
  [9819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4439),
  [9821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4421),
  [9823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5615),
  [9825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12982),
  [9827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12983),
  [9829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14302),
  [9831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6519),
  [9833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12989),
  [9835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5613),
  [9837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12990),
  [9839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6520),
  [9841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12991),
  [9843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6528),
  [9845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5611),
  [9847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12992),
  [9849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5543),
  [9851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12993),
  [9853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5609),
  [9855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12994),
  [9857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5539),
  [9859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6113),
  [9861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5525),
  [9863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5524),
  [9865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5522),
  [9867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5519),
  [9869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5518),
  [9871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14305),
  [9873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5497),
  [9875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6402),
  [9877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6410),
  [9879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2595),
  [9881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1801),
  [9883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6330),
  [9885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1469),
  [9887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6099),
  [9889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6117),
  [9891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5814),
  [9893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12146),
  [9895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5619),
  [9897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1724),
  [9899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4723),
  [9901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1751),
  [9903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3452),
  [9905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1370),
  [9907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4463),
  [9909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1697),
  [9911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5868),
  [9913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13751),
  [9915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8544),
  [9917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4824),
  [9919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1667),
  [9921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4506),
  [9923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1629),
  [9925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8510),
  [9927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4186),
  [9929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1601),
  [9931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5984),
  [9933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6120),
  [9935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5792),
  [9937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6121),
  [9939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2313),
  [9941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1785),
  [9943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4531),
  [9945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1838),
  [9947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4443),
  [9949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1503),
  [9951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2409),
  [9953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1564),
  [9955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5766),
  [9957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6262),
  [9959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5769),
  [9961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6261),
  [9963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5833),
  [9965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6260),
  [9967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5779),
  [9969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6259),
  [9971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8331),
  [9973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_return, 2, 0, 0),
  [9975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5783),
  [9977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6224),
  [9979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relation, 3, 0, 0),
  [9981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_relation, 3, 0, 0),
  [9983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5961),
  [9985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6131),
  [9987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5957),
  [9989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6132),
  [9991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5953),
  [9993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6133),
  [9995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5951),
  [9997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6134),
  [9999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5946),
  [10001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6135),
  [10003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4103),
  [10005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1397),
  [10007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [10009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1524),
  [10011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5921),
  [10013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6237),
  [10015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5875),
  [10017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14172),
  [10019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5811),
  [10021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5784),
  [10023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12467),
  [10025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8490),
  [10027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5873),
  [10029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6240),
  [10031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5777),
  [10033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6241),
  [10035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11451),
  [10037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11443),
  [10039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14216),
  [10041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7691),
  [10043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9208),
  [10045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [10047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12310),
  [10049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12311),
  [10051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2577),
  [10053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1161),
  [10055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4109),
  [10057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1433),
  [10059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6086),
  [10061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1548),
  [10063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5809),
  [10065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14234),
  [10067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6806),
  [10069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2078),
  [10071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [10073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6300),
  [10075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6301),
  [10077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6159),
  [10079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6151),
  [10081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2626),
  [10083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2625),
  [10085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6250),
  [10087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6160),
  [10089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6161),
  [10091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6249),
  [10093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6297),
  [10095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6162),
  [10097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6163),
  [10099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4135),
  [10101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6238),
  [10103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2622),
  [10105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6247),
  [10107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5542),
  [10109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6165),
  [10111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2614),
  [10113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6246),
  [10115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12500),
  [10117] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_size_definition_repeat1, 2, 0, 73), SHIFT_REPEAT(9097),
  [10120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6298),
  [10122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6303),
  [10124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6118),
  [10126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8067),
  [10128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12499),
  [10130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12498),
  [10132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [10134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12497),
  [10136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [10138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [10140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [10142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12496),
  [10144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12495),
  [10146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14236),
  [10148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14233),
  [10150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12179),
  [10152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [10154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2667),
  [10156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [10158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [10160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2657),
  [10162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12486),
  [10164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12485),
  [10166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12476),
  [10168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12474),
  [10170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6248),
  [10172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12473),
  [10174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4048),
  [10176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12471),
  [10178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12470),
  [10180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12178),
  [10182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [10184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8058),
  [10186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12469),
  [10188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12468),
  [10190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2400),
  [10192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6090),
  [10194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6050),
  [10196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12177),
  [10198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6036),
  [10200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12148),
  [10202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4001),
  [10204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [10206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [10208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [10210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12176),
  [10212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12175),
  [10214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12174),
  [10216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3928),
  [10218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14171),
  [10220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [10222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [10224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [10226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [10228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8097),
  [10230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [10232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6236),
  [10234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6029),
  [10236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14174),
  [10238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [10240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2632),
  [10242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [10244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3864),
  [10246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [10248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [10250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [10252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [10254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [10256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [10258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [10260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [10262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [10264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [10266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2178),
  [10268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4618),
  [10270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0),
  [10272] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(88),
  [10275] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(10854),
  [10278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0),
  [10280] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(9812),
  [10283] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(13113),
  [10286] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(6649),
  [10289] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(13105),
  [10292] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(12984),
  [10295] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(13081),
  [10298] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(13079),
  [10301] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(13078),
  [10304] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(9288),
  [10307] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(14006),
  [10310] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(13076),
  [10313] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(1891),
  [10316] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(116),
  [10319] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(88),
  [10322] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(129),
  [10325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5877),
  [10327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [10329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2624),
  [10331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4615),
  [10333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4621),
  [10335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4606),
  [10337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8095),
  [10339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10003),
  [10341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4523),
  [10343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [10345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [10347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [10349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1592),
  [10351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2083),
  [10353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [10355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [10357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8070),
  [10359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4563),
  [10361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [10363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [10365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [10367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4347),
  [10369] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_size_definition_repeat1, 2, 0, 73), SHIFT_REPEAT(9384),
  [10372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6235),
  [10374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [10376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [10378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6284),
  [10380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [10382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [10384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [10386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4551),
  [10388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4505),
  [10390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3875),
  [10392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6299),
  [10394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3902),
  [10396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3662),
  [10398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12164),
  [10400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [10402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [10404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2214),
  [10406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [10408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6128),
  [10410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [10412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [10414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [10416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6127),
  [10418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [10420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6126),
  [10422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [10424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4543),
  [10426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [10428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6125),
  [10430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [10432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [10434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7494),
  [10436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6124),
  [10438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2396),
  [10440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2393),
  [10442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2385),
  [10444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [10446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [10448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [10450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [10452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6392),
  [10454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4066),
  [10456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [10458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6116),
  [10460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4452),
  [10462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3934),
  [10464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3923),
  [10466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6393),
  [10468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12155),
  [10470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12153),
  [10472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4015),
  [10474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4559),
  [10476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4403),
  [10478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4565),
  [10480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12152),
  [10482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [10484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4720),
  [10486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [10488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4822),
  [10490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12150),
  [10492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4726),
  [10494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4854),
  [10496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12149),
  [10498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3656),
  [10500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4855),
  [10502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12165),
  [10504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6394),
  [10506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3645),
  [10508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4851),
  [10510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4724),
  [10512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4667),
  [10514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5568),
  [10516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5642),
  [10518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [10520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5598),
  [10522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [10524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [10526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [10528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [10530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [10532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [10534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [10536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4449),
  [10538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [10540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [10542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [10544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [10546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [10548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8217),
  [10550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8226),
  [10552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [10554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [10556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12147),
  [10558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [10560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6115),
  [10562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6399),
  [10564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4438),
  [10566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3601),
  [10568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4441),
  [10570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [10572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table, 6, 0, 0),
  [10574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10987),
  [10576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table, 6, 0, 0),
  [10578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10006),
  [10580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9867),
  [10582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13894),
  [10584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6667),
  [10586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13338),
  [10588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13790),
  [10590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13891),
  [10592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13888),
  [10594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13339),
  [10596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8897),
  [10598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12128),
  [10600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14029),
  [10602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table, 7, 0, 0),
  [10604] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table, 7, 0, 0),
  [10606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9833),
  [10608] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(10987),
  [10611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(9867),
  [10614] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(13894),
  [10617] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(6667),
  [10620] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(13338),
  [10623] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(13790),
  [10626] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(13891),
  [10629] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(13888),
  [10632] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(13339),
  [10635] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(8897),
  [10638] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(12128),
  [10641] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(14029),
  [10644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table, 5, 0, 0),
  [10646] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table, 5, 0, 0),
  [10648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10188),
  [10650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table, 4, 0, 0),
  [10652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table, 4, 0, 0),
  [10654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10080),
  [10656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9543),
  [10658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [10660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [10662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [10664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [10666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [10668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [10670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [10672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10854),
  [10674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10150),
  [10676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9812),
  [10678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13113),
  [10680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6649),
  [10682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13105),
  [10684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12984),
  [10686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13081),
  [10688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13079),
  [10690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13078),
  [10692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9288),
  [10694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14006),
  [10696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13076),
  [10698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [10700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [10702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [10704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [10706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [10708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [10710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [10712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1840),
  [10714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [10716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [10718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [10720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [10722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [10724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [10726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [10728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [10730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [10732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10076),
  [10734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [10736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [10738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [10740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [10742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8343),
  [10744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [10746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [10748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [10750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [10752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [10754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [10756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [10758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [10760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11536),
  [10762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11469),
  [10764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14038),
  [10766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7635),
  [10768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9117),
  [10770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [10772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13821),
  [10774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13808),
  [10776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9792),
  [10778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [10780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10090),
  [10782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [10784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9499),
  [10786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [10788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [10790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [10792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [10794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [10796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [10798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [10800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [10802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13784),
  [10804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8769),
  [10806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8291),
  [10808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7297),
  [10810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8202),
  [10812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7184),
  [10814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7452),
  [10816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14001),
  [10818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8519),
  [10820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13778),
  [10822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [10824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [10826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [10828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7798),
  [10830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7596),
  [10832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12713),
  [10834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9190),
  [10836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8224),
  [10838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7356),
  [10840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8136),
  [10842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7215),
  [10844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7485),
  [10846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8438),
  [10848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12819),
  [10850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11458),
  [10852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11449),
  [10854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14200),
  [10856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7712),
  [10858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9169),
  [10860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [10862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12228),
  [10864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12229),
  [10866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9737),
  [10868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7939),
  [10870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9624),
  [10872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9707),
  [10874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7804),
  [10876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7628),
  [10878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7775),
  [10880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__alias, 2, 0, 18),
  [10882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9810),
  [10884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7738),
  [10886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7942),
  [10888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from, 6, 0, 0),
  [10890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__alias, 1, 0, 11),
  [10892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8870),
  [10894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from, 5, 0, 0),
  [10896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relation, 4, 0, 41),
  [10898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7813),
  [10900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relation, 2, 0, 12),
  [10902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10242),
  [10904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10241),
  [10906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9866),
  [10908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12987),
  [10910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12995),
  [10912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12996),
  [10914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12997),
  [10916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1757),
  [10918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9860),
  [10920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6720),
  [10922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6710),
  [10924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10689),
  [10926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13013),
  [10928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6711),
  [10930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13014),
  [10932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9265),
  [10934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11834),
  [10936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13031),
  [10938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0),
  [10940] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(6749),
  [10943] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(12352),
  [10946] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(1442),
  [10949] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(6788),
  [10952] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(12259),
  [10955] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(6431),
  [10958] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(12256),
  [10961] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(941),
  [10964] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8926),
  [10967] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(12296),
  [10970] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8927),
  [10973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7917),
  [10975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10144),
  [10977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13463),
  [10979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9447),
  [10981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7769),
  [10983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 2, 0, 61),
  [10985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6749),
  [10987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12352),
  [10989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1442),
  [10991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6788),
  [10993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12259),
  [10995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6473),
  [10997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12256),
  [10999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [11001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8926),
  [11003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12296),
  [11005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8927),
  [11007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 3, 0, 61),
  [11009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6431),
  [11011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function, 8, 0, 132),
  [11013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10143),
  [11015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9013),
  [11017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0),
  [11019] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(12987),
  [11022] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(12996),
  [11025] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(12997),
  [11028] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(10143),
  [11031] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(6720),
  [11034] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(6710),
  [11037] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(10689),
  [11040] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(13013),
  [11043] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(6711),
  [11046] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(13014),
  [11049] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(9013),
  [11052] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(11834),
  [11055] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(13031),
  [11058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function, 9, 0, 0),
  [11060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function, 10, 0, 138),
  [11062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function, 10, 0, 0),
  [11064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function, 10, 0, 169),
  [11066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6798),
  [11068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13680),
  [11070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1421),
  [11072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6785),
  [11074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13677),
  [11076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6488),
  [11078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13429),
  [11080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [11082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8923),
  [11084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13428),
  [11086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9125),
  [11088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function, 9, 0, 138),
  [11090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function, 9, 0, 169),
  [11092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__mysql_update_statement_repeat1, 2, 0, 0),
  [11094] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__mysql_update_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7880),
  [11097] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(6798),
  [11100] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(13680),
  [11103] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(1421),
  [11106] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(6785),
  [11109] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(13677),
  [11112] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(6488),
  [11115] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(13429),
  [11118] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(917),
  [11121] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8923),
  [11124] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(13428),
  [11127] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9125),
  [11130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function, 9, 0, 132),
  [11132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function, 11, 0, 0),
  [11134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function, 11, 0, 169),
  [11136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function, 8, 0, 138),
  [11138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relation, 3, 0, 24),
  [11140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function, 8, 0, 0),
  [11142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function, 7, 0, 132),
  [11144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6483),
  [11146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function, 7, 0, 0),
  [11148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relation, 5, 0, 78),
  [11150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13635),
  [11152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13634),
  [11154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14094),
  [11156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9954),
  [11158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6926),
  [11160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6924),
  [11162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10602),
  [11164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13464),
  [11166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6910),
  [11168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13632),
  [11170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9201),
  [11172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11656),
  [11174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13413),
  [11176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6535),
  [11178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7782),
  [11180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6535),
  [11183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lateral_cross_join, 4, 0, 0),
  [11185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lateral_cross_join, 4, 0, 0),
  [11187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9520),
  [11189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definitions, 3, 0, 0),
  [11191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definitions, 3, 0, 0),
  [11193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definitions, 5, 0, 0),
  [11195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definitions, 5, 0, 0),
  [11197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6516),
  [11199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0),
  [11201] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(9860),
  [11204] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(9265),
  [11207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definitions, 4, 0, 0),
  [11209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definitions, 4, 0, 0),
  [11211] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(13635),
  [11214] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(13634),
  [11217] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(14094),
  [11220] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(9954),
  [11223] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(6926),
  [11226] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(6924),
  [11229] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(10602),
  [11232] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(13464),
  [11235] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(6910),
  [11238] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(13632),
  [11241] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(9201),
  [11244] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(11656),
  [11247] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(13413),
  [11250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6640),
  [11252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8962),
  [11254] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6574),
  [11257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10240),
  [11259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10239),
  [11261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9798),
  [11263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6584),
  [11265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6574),
  [11267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0),
  [11269] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(11948),
  [11272] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(11554),
  [11275] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(12394),
  [11278] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(12392),
  [11281] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(7709),
  [11284] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(8771),
  [11287] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__mysql_update_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7874),
  [11290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_similar_to, 2, 0, 0),
  [11292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_similar_to, 2, 0, 0),
  [11294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6658),
  [11296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8840),
  [11298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6869),
  [11300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_not_like, 2, 0, 0),
  [11302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_not_like, 2, 0, 0),
  [11304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_like, 1, 0, 0),
  [11306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_like, 1, 0, 0),
  [11308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_not_distinct_from, 4, 0, 0),
  [11310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_not_distinct_from, 4, 0, 0),
  [11312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6797),
  [11314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6713),
  [11316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_not_similar_to, 3, 0, 0),
  [11318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_not_similar_to, 3, 0, 0),
  [11320] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(11465),
  [11323] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(11455),
  [11326] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(14184),
  [11329] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(13696),
  [11332] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(7724),
  [11335] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(9136),
  [11338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6738),
  [11340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_distinct_from, 3, 0, 0),
  [11342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_distinct_from, 3, 0, 0),
  [11344] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(11473),
  [11347] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(11462),
  [11350] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(14167),
  [11353] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(7696),
  [11356] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(9120),
  [11359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_join, 4, 0, 80),
  [11361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_hint, 5, 0, 74),
  [11363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_join, 8, 0, 203),
  [11365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_join, 5, 0, 123),
  [11367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9728),
  [11369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9642),
  [11371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8218),
  [11373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8242),
  [11375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13990),
  [11377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8170),
  [11379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9710),
  [11381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14292),
  [11383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7372),
  [11385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9357),
  [11387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8591),
  [11389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8281),
  [11391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8718),
  [11393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8718),
  [11395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11529),
  [11397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13992),
  [11399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13993),
  [11401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8377),
  [11403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8215),
  [11405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9411),
  [11407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14591),
  [11409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13300),
  [11411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_join, 7, 0, 179),
  [11413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_join, 6, 0, 154),
  [11415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9819),
  [11417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8239),
  [11419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8289),
  [11421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14300),
  [11423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8290),
  [11425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9890),
  [11427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7264),
  [11429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9248),
  [11431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8355),
  [11433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8293),
  [11435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9246),
  [11437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9246),
  [11439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11332),
  [11441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14350),
  [11443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14274),
  [11445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8372),
  [11447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8296),
  [11449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9239),
  [11451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14260),
  [11453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14476),
  [11455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_hint, 7, 0, 149),
  [11457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8283),
  [11459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7349),
  [11461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11435),
  [11463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14275),
  [11465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14259),
  [11467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_join, 9, 0, 220),
  [11469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10775),
  [11471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9501),
  [11473] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(11451),
  [11476] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(11443),
  [11479] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(14216),
  [11482] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(7691),
  [11485] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(9208),
  [11488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__column_constraint, 5, 0, 0),
  [11490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11447),
  [11492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__column_constraint, 5, 0, 0),
  [11494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11327),
  [11496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__column_constraint, 7, 0, 0),
  [11498] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__column_constraint, 7, 0, 0),
  [11500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11358),
  [11502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__column_constraint, 6, 0, 0),
  [11504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__column_constraint, 6, 0, 0),
  [11506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_row_format, 3, 0, 0),
  [11508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_row_format, 3, 0, 0),
  [11510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12749),
  [11512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12751),
  [11514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10417),
  [11516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_option, 1, 0, 6),
  [11518] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_option, 1, 0, 6),
  [11520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12077),
  [11522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_row_format, 7, 0, 205),
  [11524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_row_format, 7, 0, 205),
  [11526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14155),
  [11528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14156),
  [11530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__column_constraint_repeat1, 4, 0, 0),
  [11532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__column_constraint_repeat1, 4, 0, 0),
  [11534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9558),
  [11536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__column_constraint_repeat1, 2, 0, 0),
  [11538] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__column_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(11447),
  [11541] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__column_constraint_repeat1, 2, 0, 0),
  [11543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8207),
  [11545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lateral_cross_join, 6, 0, 116),
  [11547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_storage_location, 2, 0, 46),
  [11549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_storage_location, 2, 0, 46),
  [11551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14163),
  [11553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11911),
  [11555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lateral_cross_join, 5, 0, 75),
  [11557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_row_format, 10, 0, 233),
  [11559] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_row_format, 10, 0, 233),
  [11561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14359),
  [11563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__column_constraint_repeat1, 3, 0, 0),
  [11565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__column_constraint_repeat1, 3, 0, 0),
  [11567] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__column_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(11911),
  [11570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary_key, 2, 0, 0),
  [11572] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primary_key, 2, 0, 0),
  [11574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13453),
  [11576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13454),
  [11578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_storage_location, 5, 0, 156),
  [11580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_storage_location, 5, 0, 156),
  [11582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13980),
  [11584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6715),
  [11586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__column_constraint_repeat1, 7, 0, 0),
  [11588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__column_constraint_repeat1, 7, 0, 0),
  [11590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__column_constraint_repeat1, 8, 0, 0),
  [11592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__column_constraint_repeat1, 8, 0, 0),
  [11594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9908),
  [11596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cross_join, 3, 0, 0),
  [11598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12656),
  [11600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13548),
  [11602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_security, 3, 0, 0),
  [11604] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_security, 3, 0, 0),
  [11606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_support, 2, 0, 137),
  [11608] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_support, 2, 0, 137),
  [11610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_cost, 2, 0, 0),
  [11612] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_cost, 2, 0, 0),
  [11614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_safety, 2, 0, 0),
  [11616] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_safety, 2, 0, 0),
  [11618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_language, 2, 0, 0),
  [11620] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_language, 2, 0, 0),
  [11622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_rows, 2, 0, 0),
  [11624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_rows, 2, 0, 0),
  [11626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_leakproof, 2, 0, 0),
  [11628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_leakproof, 2, 0, 0),
  [11630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_partition, 6, 0, 152),
  [11632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_partition, 6, 0, 152),
  [11634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_partition, 2, 0, 0),
  [11636] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_partition, 2, 0, 0),
  [11638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_partition, 7, 0, 178),
  [11640] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_partition, 7, 0, 178),
  [11642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13743),
  [11644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7251),
  [11646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11681),
  [11648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11681),
  [11650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7195),
  [11652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7147),
  [11654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7255),
  [11656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7251),
  [11658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7139),
  [11660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7247),
  [11662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13742),
  [11664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13565),
  [11666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_sort, 6, 0, 0),
  [11668] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_sort, 6, 0, 0),
  [11670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6834),
  [11672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13738),
  [11674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13733),
  [11676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_leakproof, 1, 0, 0),
  [11678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_leakproof, 1, 0, 0),
  [11680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_strictness, 1, 0, 0),
  [11682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_strictness, 1, 0, 0),
  [11684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13518),
  [11686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6855),
  [11688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__check_constraint, 6, 0, 0),
  [11690] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__check_constraint, 6, 0, 0),
  [11692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_partition, 3, 0, 0),
  [11694] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_partition, 3, 0, 0),
  [11696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_storage_location, 6, 0, 156),
  [11698] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_storage_location, 6, 0, 156),
  [11700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_strictness, 5, 0, 0),
  [11702] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_strictness, 5, 0, 0),
  [11704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_storage_parameters, 6, 0, 0),
  [11706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_storage_parameters, 6, 0, 0),
  [11708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13532),
  [11710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_volatility, 1, 0, 0),
  [11712] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_volatility, 1, 0, 0),
  [11714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stored_as, 3, 0, 0),
  [11716] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stored_as, 3, 0, 0),
  [11718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10791),
  [11720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_partition, 7, 0, 0),
  [11722] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_partition, 7, 0, 0),
  [11724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_partition, 5, 0, 0),
  [11726] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_partition, 5, 0, 0),
  [11728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_partition, 4, 0, 0),
  [11730] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_partition, 4, 0, 0),
  [11732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_sort, 5, 0, 0),
  [11734] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_sort, 5, 0, 0),
  [11736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_partition, 4, 0, 77),
  [11738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_partition, 4, 0, 77),
  [11740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__table_settings, 5, 0, 0),
  [11742] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__table_settings, 5, 0, 0),
  [11744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_storage_parameters, 5, 0, 0),
  [11746] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_storage_parameters, 5, 0, 0),
  [11748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_security, 2, 0, 0),
  [11750] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_security, 2, 0, 0),
  [11752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [11754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_row_format, 7, 0, 206),
  [11756] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_row_format, 7, 0, 206),
  [11758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_partition, 5, 0, 118),
  [11760] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_partition, 5, 0, 118),
  [11762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__check_constraint, 4, 0, 0),
  [11764] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__check_constraint, 4, 0, 0),
  [11766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_partition, 6, 0, 0),
  [11768] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_partition, 6, 0, 0),
  [11770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_partition, 6, 0, 151),
  [11772] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_partition, 6, 0, 151),
  [11774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_option, 3, 0, 84),
  [11776] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_option, 3, 0, 84),
  [11778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__default_expression, 4, 0, 0),
  [11780] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__default_expression, 4, 0, 0),
  [11782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11283),
  [11784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_row_format, 14, 0, 242),
  [11786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_row_format, 14, 0, 242),
  [11788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12057),
  [11790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7176),
  [11792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11805),
  [11794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11805),
  [11796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7110),
  [11798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7169),
  [11800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7176),
  [11802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7025),
  [11804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_direction, 1, 0, 0),
  [11806] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_direction, 1, 0, 0),
  [11808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12059),
  [11810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6837),
  [11812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12372),
  [11814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12378),
  [11816] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(11536),
  [11819] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(11469),
  [11822] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(14038),
  [11825] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(7635),
  [11828] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(9117),
  [11831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_row_format, 11, 0, 235),
  [11833] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_row_format, 11, 0, 235),
  [11835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_option, 4, 0, 0),
  [11837] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_option, 4, 0, 0),
  [11839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_set_statement_repeat1, 2, 0, 0),
  [11841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_set_statement_repeat1, 2, 0, 0),
  [11843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__column_comment, 2, 0, 137),
  [11845] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__column_comment, 2, 0, 137),
  [11847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__default_expression, 2, 0, 0),
  [11849] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__default_expression, 2, 0, 0),
  [11851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_strictness, 4, 0, 0),
  [11853] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_strictness, 4, 0, 0),
  [11855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_storage_parameters, 4, 0, 0),
  [11857] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_storage_parameters, 4, 0, 0),
  [11859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_option, 2, 0, 0),
  [11861] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_option, 2, 0, 0),
  [11863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__table_settings, 2, 0, 0),
  [11865] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__table_settings, 2, 0, 0),
  [11867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_storage_location, 9, 0, 230),
  [11869] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_storage_location, 9, 0, 230),
  [11871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__not_null, 2, 0, 0),
  [11873] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__not_null, 2, 0, 0),
  [11875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__table_settings, 4, 0, 0),
  [11877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__table_settings, 4, 0, 0),
  [11879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_storage_parameters, 7, 0, 0),
  [11881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_storage_parameters, 7, 0, 0),
  [11883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_partition, 5, 0, 121),
  [11885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_partition, 5, 0, 121),
  [11887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4793),
  [11889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4795),
  [11891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4791),
  [11893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4790),
  [11895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4789),
  [11897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4788),
  [11899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4936),
  [11901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4864),
  [11903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6944),
  [11905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6942),
  [11907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6939),
  [11909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6938),
  [11911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6934),
  [11913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6929),
  [11915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7057),
  [11917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6991),
  [11919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2920),
  [11921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2921),
  [11923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2925),
  [11925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2926),
  [11927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2929),
  [11929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3025),
  [11931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3715),
  [11933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3187),
  [11935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [11937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [11939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [11941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [11943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [11945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [11947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(618),
  [11949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [11951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5120),
  [11953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5121),
  [11955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5122),
  [11957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5123),
  [11959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5124),
  [11961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5131),
  [11963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5863),
  [11965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5719),
  [11967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [11969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [11971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [11973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [11975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [11977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [11979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2066),
  [11981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [11983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2469),
  [11985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2470),
  [11987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2471),
  [11989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2473),
  [11991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2475),
  [11993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2500),
  [11995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2759),
  [11997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2576),
  [11999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2913),
  [12001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2900),
  [12003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2889),
  [12005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2888),
  [12007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2887),
  [12009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2858),
  [12011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3460),
  [12013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3405),
  [12015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4800),
  [12017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4904),
  [12019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4909),
  [12021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4910),
  [12023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4912),
  [12025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4913),
  [12027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5362),
  [12029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4938),
  [12031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2734),
  [12033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2730),
  [12035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2729),
  [12037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2727),
  [12039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2724),
  [12041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2722),
  [12043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3194),
  [12045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3094),
  [12047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10113),
  [12049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4872),
  [12051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4871),
  [12053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4870),
  [12055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4869),
  [12057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4868),
  [12059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4866),
  [12061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5445),
  [12063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4983),
  [12065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4764),
  [12067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4797),
  [12069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4796),
  [12071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4798),
  [12073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4787),
  [12075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4755),
  [12077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5085),
  [12079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4805),
  [12081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3242),
  [12083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3241),
  [12085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3239),
  [12087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3237),
  [12089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3236),
  [12091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3232),
  [12093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4002),
  [12095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3732),
  [12097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5285),
  [12099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5286),
  [12101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5287),
  [12103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5288),
  [12105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5289),
  [12107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5292),
  [12109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5810),
  [12111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5752),
  [12113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [12115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [12117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [12119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [12121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [12123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [12125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2333),
  [12127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [12129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [12131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [12133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [12135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [12137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [12139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [12141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2097),
  [12143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2055),
  [12145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [12147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [12149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [12151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [12153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [12155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [12157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(189),
  [12159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [12161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2980),
  [12163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2981),
  [12165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2982),
  [12167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2984),
  [12169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2986),
  [12171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2987),
  [12173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3740),
  [12175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3180),
  [12177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2686),
  [12179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2662),
  [12181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2643),
  [12183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2699),
  [12185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2642),
  [12187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2635),
  [12189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3018),
  [12191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2763),
  [12193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2846),
  [12195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2848),
  [12197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2849),
  [12199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2707),
  [12201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2837),
  [12203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2834),
  [12205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3425),
  [12207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2896),
  [12209] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(11458),
  [12212] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(11449),
  [12215] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(14200),
  [12218] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(7712),
  [12221] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(9169),
  [12224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_role, 3, 0, 0),
  [12226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_role, 3, 0, 0),
  [12228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11824),
  [12230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6892),
  [12232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9805),
  [12234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8583),
  [12236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13132),
  [12238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13126),
  [12240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13122),
  [12242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_all_fields, 3, 0, 0),
  [12244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_all_fields, 3, 0, 0),
  [12246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_all_fields, 1, 0, 0),
  [12248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_all_fields, 1, 0, 0),
  [12250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_body, 4, 0, 0),
  [12252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_role, 5, 0, 43),
  [12254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_role, 5, 0, 43),
  [12256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_role, 4, 0, 27),
  [12258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_role, 4, 0, 27),
  [12260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12915),
  [12262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12915),
  [12264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13152),
  [12266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13153),
  [12268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8794),
  [12270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_role, 3, 0, 0),
  [12272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9205),
  [12274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12880),
  [12276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7361),
  [12278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12877),
  [12280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8630),
  [12282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13803),
  [12284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13797),
  [12286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13795),
  [12288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8676),
  [12290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_body, 6, 0, 0),
  [12292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_body, 5, 0, 0),
  [12294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_body, 7, 0, 0),
  [12296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_body, 8, 0, 0),
  [12298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_body, 9, 0, 0),
  [12300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8806),
  [12302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_role_repeat1, 2, 0, 45),
  [12304] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_role_repeat1, 2, 0, 45), SHIFT_REPEAT(293),
  [12307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_create_role_repeat1, 2, 0, 45),
  [12309] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_role_repeat1, 2, 0, 45), SHIFT_REPEAT(11824),
  [12312] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_role_repeat1, 2, 0, 45), SHIFT_REPEAT(9805),
  [12315] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_role_repeat1, 2, 0, 45), SHIFT_REPEAT(8583),
  [12318] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_role_repeat1, 2, 0, 45), SHIFT_REPEAT(13132),
  [12321] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_role_repeat1, 2, 0, 45), SHIFT_REPEAT(13126),
  [12324] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_role_repeat1, 2, 0, 45), SHIFT_REPEAT(13122),
  [12327] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_role_repeat1, 2, 0, 45), SHIFT_REPEAT(293),
  [12330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7070),
  [12332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7095),
  [12334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6917),
  [12336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14293),
  [12338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_role, 4, 0, 0),
  [12340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_role, 4, 0, 0),
  [12342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_body, 2, 0, 0),
  [12344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11587),
  [12346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6907),
  [12348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9825),
  [12350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8539),
  [12352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13918),
  [12354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13908),
  [12356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13907),
  [12358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_body, 2, 0, 137),
  [12360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8910),
  [12362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13353),
  [12364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7472),
  [12366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13785),
  [12368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8496),
  [12370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12136),
  [12372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12137),
  [12374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12138),
  [12376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9182),
  [12378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7056),
  [12380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7088),
  [12382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12922),
  [12384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7058),
  [12386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7089),
  [12388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12921),
  [12390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7080),
  [12392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8793),
  [12394] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_role_repeat1, 2, 0, 45), SHIFT_REPEAT(154),
  [12397] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_role_repeat1, 2, 0, 45), SHIFT_REPEAT(11587),
  [12400] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_role_repeat1, 2, 0, 45), SHIFT_REPEAT(9825),
  [12403] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_role_repeat1, 2, 0, 45), SHIFT_REPEAT(8539),
  [12406] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_role_repeat1, 2, 0, 45), SHIFT_REPEAT(13918),
  [12409] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_role_repeat1, 2, 0, 45), SHIFT_REPEAT(13908),
  [12412] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_role_repeat1, 2, 0, 45), SHIFT_REPEAT(13907),
  [12415] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_role_repeat1, 2, 0, 45), SHIFT_REPEAT(154),
  [12418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7060),
  [12420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7071),
  [12422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12920),
  [12424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7062),
  [12426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7090),
  [12428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12919),
  [12430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7064),
  [12432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7091),
  [12434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12918),
  [12436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7040),
  [12438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7077),
  [12440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14296),
  [12442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7035),
  [12444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7096),
  [12446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12910),
  [12448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_order_target, 3, 0, 0),
  [12450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11533),
  [12452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from, 7, 0, 0),
  [12454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_order_target, 2, 0, 0),
  [12456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11585),
  [12458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7059),
  [12460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7105),
  [12462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__create_statement, 1, 0, 0),
  [12464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11588),
  [12466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7953),
  [12468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11028),
  [12470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9559),
  [12472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13902),
  [12474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7022),
  [12476] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_set_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(9857),
  [12479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7017),
  [12481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7142),
  [12483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7023),
  [12485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7150),
  [12487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9341),
  [12489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9341),
  [12491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8253),
  [12493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13541),
  [12495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9693),
  [12497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14433),
  [12499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9663),
  [12501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9370),
  [12503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__create_statement_repeat1, 2, 0, 0),
  [12505] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__create_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6626),
  [12508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__create_statement, 2, 0, 0),
  [12510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8048),
  [12512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9635),
  [12514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9577),
  [12516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9634),
  [12518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_order_target, 5, 0, 0),
  [12520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7028),
  [12522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7160),
  [12524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_order_by_repeat1, 2, 0, 0),
  [12526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11602),
  [12528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7976),
  [12530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9542),
  [12532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7029),
  [12534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9593),
  [12536] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__create_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6633),
  [12539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9616),
  [12541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9703),
  [12543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9933),
  [12545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10131),
  [12547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9834),
  [12549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_order_target, 4, 0, 0),
  [12551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_group_by, 4, 0, 0),
  [12553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7061),
  [12555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7039),
  [12557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12905),
  [12559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9467),
  [12561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__user_access_role_config, 3, 0, 0),
  [12563] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__user_access_role_config, 3, 0, 0),
  [12565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9857),
  [12567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__user_access_role_config, 2, 0, 0),
  [12569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__user_access_role_config, 2, 0, 0),
  [12571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7053),
  [12573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14295),
  [12575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__user_access_role_config, 4, 0, 0),
  [12577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__user_access_role_config, 4, 0, 0),
  [12579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7001),
  [12581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7122),
  [12583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7003),
  [12585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7076),
  [12587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7033),
  [12589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7075),
  [12591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7065),
  [12593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7163),
  [12595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7101),
  [12597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7098),
  [12599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9727),
  [12601] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__create_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6631),
  [12604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7162),
  [12606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_term, 2, 0, 10),
  [12608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11724),
  [12610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7156),
  [12612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from, 8, 0, 0),
  [12614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7019),
  [12616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10569),
  [12618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6751),
  [12620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6752),
  [12622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6753),
  [12624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12782),
  [12626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9170),
  [12628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9168),
  [12630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [12632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12778),
  [12634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12877),
  [12636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12819),
  [12638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7165),
  [12640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10015),
  [12642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7151),
  [12644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10610),
  [12646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6707),
  [12648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6708),
  [12650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6709),
  [12652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13846),
  [12654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8928),
  [12656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8929),
  [12658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [12660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13710),
  [12662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13785),
  [12664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13778),
  [12666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7362),
  [12668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10000),
  [12670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10350),
  [12672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7342),
  [12674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7130),
  [12676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12906),
  [12678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7078),
  [12680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12911),
  [12682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12924),
  [12684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12923),
  [12686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12935),
  [12688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7140),
  [12690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12934),
  [12692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12933),
  [12694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10626),
  [12696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7231),
  [12698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12932),
  [12700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12931),
  [12702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12930),
  [12704] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_size_definition_repeat1, 2, 0, 73), SHIFT_REPEAT(8793),
  [12707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12018),
  [12709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14297),
  [12711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12908),
  [12713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7149),
  [12715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14294),
  [12717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7123),
  [12719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7111),
  [12721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7115),
  [12723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7073),
  [12725] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0), SHIFT_REPEAT(1858),
  [12728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7074),
  [12730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7072),
  [12732] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_set_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(9727),
  [12735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12914),
  [12737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12912),
  [12739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12907),
  [12741] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0), SHIFT_REPEAT(1721),
  [12744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__role_options, 3, 0, 81),
  [12746] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__role_options, 3, 0, 81),
  [12748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__role_options, 2, 0, 44),
  [12750] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__role_options, 2, 0, 44),
  [12752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__role_options, 2, 0, 0),
  [12754] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__role_options, 2, 0, 0),
  [12756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__role_options, 3, 0, 0),
  [12758] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__role_options, 3, 0, 0),
  [12760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7119),
  [12762] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7119),
  [12765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7503),
  [12767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9032),
  [12769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__role_options, 1, 0, 26),
  [12771] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__role_options, 1, 0, 26),
  [12773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_role_repeat1, 1, 0, 25),
  [12775] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_create_role_repeat1, 1, 0, 25),
  [12777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__role_options, 3, 0, 82),
  [12779] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__role_options, 3, 0, 82),
  [12781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__role_options, 3, 0, 83),
  [12783] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__role_options, 3, 0, 83),
  [12785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7113),
  [12787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7141),
  [12789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_sequence, 4, 0, 31),
  [12791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7233),
  [12793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9403),
  [12795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11796),
  [12797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11780),
  [12799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11004),
  [12801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11005),
  [12803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9811),
  [12805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9817),
  [12807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9797),
  [12809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_group_by, 5, 0, 0),
  [12811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10190),
  [12813] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__copy_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(9403),
  [12816] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__copy_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(11796),
  [12819] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__copy_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(11780),
  [12822] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__copy_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(11004),
  [12825] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__copy_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(11005),
  [12828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__copy_statement_repeat1, 2, 0, 0),
  [12830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10761),
  [12832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10005),
  [12834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_sequence, 3, 0, 0),
  [12836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9277),
  [12838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6750),
  [12840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6748),
  [12842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13054),
  [12844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9275),
  [12846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [12848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10708),
  [12850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7211),
  [12852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9842),
  [12854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7478),
  [12856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9660),
  [12858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from, 9, 0, 0),
  [12860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [12862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10193),
  [12864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7582),
  [12866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9722),
  [12868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9945),
  [12870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9968),
  [12872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9806),
  [12874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9795),
  [12876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9794),
  [12878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9712),
  [12880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_sequence, 6, 0, 92),
  [12882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7225),
  [12884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_sequence, 4, 0, 0),
  [12886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7224),
  [12888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_sequence, 4, 0, 28),
  [12890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7504),
  [12892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9967),
  [12894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9526),
  [12896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9528),
  [12898] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0), SHIFT_REPEAT(1282),
  [12901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_sequence, 5, 0, 47),
  [12903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 52),
  [12905] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 52), SHIFT_REPEAT(9277),
  [12908] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 52), SHIFT_REPEAT(6750),
  [12911] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 52), SHIFT_REPEAT(6748),
  [12914] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 52), SHIFT_REPEAT(13054),
  [12917] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 52), SHIFT_REPEAT(9275),
  [12920] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 52), SHIFT_REPEAT(15),
  [12923] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 52), SHIFT_REPEAT(10708),
  [12926] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 52), SHIFT_REPEAT(7225),
  [12929] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 52), SHIFT_REPEAT(9842),
  [12932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8775),
  [12934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_sequence, 5, 0, 0),
  [12936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7203),
  [12938] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0), SHIFT_REPEAT(1794),
  [12941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_sequence, 5, 0, 62),
  [12943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 64),
  [12945] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 64), SHIFT_REPEAT(6751),
  [12948] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 64), SHIFT_REPEAT(6752),
  [12951] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 64), SHIFT_REPEAT(6753),
  [12954] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 64), SHIFT_REPEAT(12782),
  [12957] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 64), SHIFT_REPEAT(9170),
  [12960] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 64), SHIFT_REPEAT(9168),
  [12963] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 64), SHIFT_REPEAT(55),
  [12966] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 64), SHIFT_REPEAT(12778),
  [12969] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 64), SHIFT_REPEAT(7233),
  [12972] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 64), SHIFT_REPEAT(10015),
  [12975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10986),
  [12977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10139),
  [12979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10873),
  [12981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10871),
  [12983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10849),
  [12985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10766),
  [12987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8899),
  [12989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6703),
  [12991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6704),
  [12993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13878),
  [12995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8902),
  [12997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [12999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10662),
  [13001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7345),
  [13003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9913),
  [13005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11709),
  [13007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_expression, 2, 0, 0),
  [13009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [13011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11478),
  [13013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14005),
  [13015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7892),
  [13017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9116),
  [13019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [13021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11321),
  [13023] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_order_by_repeat1, 2, 0, 0), SHIFT_REPEAT(1085),
  [13026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9503),
  [13028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1837),
  [13030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11916),
  [13032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8362),
  [13034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7424),
  [13036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [13038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_order_by, 3, 0, 0),
  [13040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [13042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1845),
  [13044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12004),
  [13046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__copy_statement_repeat1, 2, 0, 173),
  [13048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11684),
  [13050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6828),
  [13052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9358),
  [13054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10936),
  [13056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7626),
  [13058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7430),
  [13060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8717),
  [13062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13875),
  [13064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1831),
  [13066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11749),
  [13068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8336),
  [13070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7440),
  [13072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [13074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [13076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [13078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 48),
  [13080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 0),
  [13082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 49),
  [13084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 50),
  [13086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 51),
  [13088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [13090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [13092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [13094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [13096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [13098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7465),
  [13100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13828),
  [13102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [13104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11626),
  [13106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8615),
  [13108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7477),
  [13110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [13112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11635),
  [13114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [13116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11647),
  [13118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [13120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11670),
  [13122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [13124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [13126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [13128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [13130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8110),
  [13132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6803),
  [13134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8434),
  [13136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7814),
  [13138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12299),
  [13140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [13142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_role, 5, 0, 43),
  [13144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_alter_role_repeat1, 2, 0, 45),
  [13146] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_alter_role_repeat1, 2, 0, 45), SHIFT_REPEAT(295),
  [13149] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_alter_role_repeat1, 2, 0, 45), SHIFT_REPEAT(8630),
  [13152] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_alter_role_repeat1, 2, 0, 45), SHIFT_REPEAT(13803),
  [13155] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_alter_role_repeat1, 2, 0, 45), SHIFT_REPEAT(13797),
  [13158] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_alter_role_repeat1, 2, 0, 45), SHIFT_REPEAT(13795),
  [13161] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_role_repeat1, 2, 0, 45), SHIFT_REPEAT(295),
  [13164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [13166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__truncate_statement, 1, 0, 0),
  [13168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7425),
  [13170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10769),
  [13172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7567),
  [13174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6790),
  [13176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9360),
  [13178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10790),
  [13180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7663),
  [13182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7481),
  [13184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9293),
  [13186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14315),
  [13188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [13190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [13192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 3, 0, 97),
  [13194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 3, 0, 86),
  [13196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8051),
  [13198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6847),
  [13200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8375),
  [13202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7752),
  [13204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13502),
  [13206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 3, 0, 0),
  [13208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [13210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [13212] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 64), SHIFT_REPEAT(6707),
  [13215] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 64), SHIFT_REPEAT(6708),
  [13218] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 64), SHIFT_REPEAT(6709),
  [13221] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 64), SHIFT_REPEAT(13846),
  [13224] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 64), SHIFT_REPEAT(8928),
  [13227] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 64), SHIFT_REPEAT(8929),
  [13230] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 64), SHIFT_REPEAT(13),
  [13233] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 64), SHIFT_REPEAT(13710),
  [13236] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 64), SHIFT_REPEAT(7333),
  [13239] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 64), SHIFT_REPEAT(10000),
  [13242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 3, 0, 85),
  [13244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 3, 0, 0),
  [13246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 3, 0, 86),
  [13248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from, 10, 0, 0),
  [13250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7333),
  [13252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7245),
  [13254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [13256] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 52), SHIFT_REPEAT(8899),
  [13259] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 52), SHIFT_REPEAT(6703),
  [13262] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 52), SHIFT_REPEAT(6704),
  [13265] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 52), SHIFT_REPEAT(13878),
  [13268] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 52), SHIFT_REPEAT(8902),
  [13271] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 52), SHIFT_REPEAT(16),
  [13274] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 52), SHIFT_REPEAT(10662),
  [13277] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 52), SHIFT_REPEAT(7345),
  [13280] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 52), SHIFT_REPEAT(9913),
  [13283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 0),
  [13285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 49),
  [13287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 63),
  [13289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8548),
  [13291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7444),
  [13293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 50),
  [13295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 51),
  [13297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7500),
  [13299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_role, 4, 0, 27),
  [13301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [13303] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0), SHIFT_REPEAT(1320),
  [13306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_role, 4, 0, 0),
  [13308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7354),
  [13310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_expression, 1, 0, 0),
  [13312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_limit, 2, 0, 0),
  [13314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6848),
  [13316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [13318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7363),
  [13320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8395),
  [13322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7443),
  [13324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8335),
  [13326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7431),
  [13328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_select_expression_repeat1, 2, 0, 0),
  [13330] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(848),
  [13333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [13335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [13337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_order_by, 4, 0, 0),
  [13339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_clause, 4, 0, 0),
  [13341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select, 3, 0, 0),
  [13343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [13345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7592),
  [13347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7682),
  [13349] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(905),
  [13352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [13354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [13356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7575),
  [13358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11592),
  [13360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13886),
  [13362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7900),
  [13364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8800),
  [13366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__truncate_statement, 2, 0, 0),
  [13368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10450),
  [13370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7570),
  [13372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6811),
  [13374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6821),
  [13376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9346),
  [13378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9345),
  [13380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13844),
  [13382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13315),
  [13384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13838),
  [13386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8407),
  [13388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6947),
  [13390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9988),
  [13392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11871),
  [13394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 1, 0, 88),
  [13396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8641),
  [13398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9862),
  [13400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13792),
  [13402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9864),
  [13404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7557),
  [13406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11385),
  [13408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7618),
  [13410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8484),
  [13412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6714),
  [13414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9996),
  [13416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11873),
  [13418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 1, 0, 87),
  [13420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6859),
  [13422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select, 2, 0, 0),
  [13424] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_order_by_repeat1, 2, 0, 0), SHIFT_REPEAT(1060),
  [13427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__select_statement, 1, 0, 0),
  [13429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7609),
  [13431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8423),
  [13433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6868),
  [13435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8832),
  [13437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8833),
  [13439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13843),
  [13441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13837),
  [13443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13842),
  [13445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9521),
  [13447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11570),
  [13449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 3, 0, 157),
  [13451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7577),
  [13453] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_order_by_repeat1, 2, 0, 0), SHIFT_REPEAT(1001),
  [13456] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_alter_role_repeat1, 2, 0, 45), SHIFT_REPEAT(154),
  [13459] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_alter_role_repeat1, 2, 0, 45), SHIFT_REPEAT(8496),
  [13462] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_alter_role_repeat1, 2, 0, 45), SHIFT_REPEAT(12136),
  [13465] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_alter_role_repeat1, 2, 0, 45), SHIFT_REPEAT(12137),
  [13468] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_alter_role_repeat1, 2, 0, 45), SHIFT_REPEAT(12138),
  [13471] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_role_repeat1, 2, 0, 45), SHIFT_REPEAT(154),
  [13474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7629),
  [13476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [13478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__cte, 4, 0, 0),
  [13480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9237),
  [13482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__cte, 3, 0, 0),
  [13484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__cte_repeat1, 2, 0, 0),
  [13486] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__cte_repeat1, 2, 0, 0), SHIFT_REPEAT(9237),
  [13489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_database, 4, 0, 0),
  [13491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_database, 4, 0, 0),
  [13493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7713),
  [13495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__cte, 2, 0, 0),
  [13497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [13499] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(893),
  [13502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8714),
  [13504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8209),
  [13506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8005),
  [13508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11569),
  [13510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 3, 0, 87),
  [13512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from, 11, 0, 0),
  [13514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__select_statement, 3, 0, 0),
  [13516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8460),
  [13518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8280),
  [13520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8278),
  [13522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8277),
  [13524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8275),
  [13526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8274),
  [13528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8386),
  [13530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8388),
  [13532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8394),
  [13534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dml_read, 1, 0, 0),
  [13536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8785),
  [13538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9603),
  [13540] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_order_by_repeat1, 2, 0, 0), SHIFT_REPEAT(1076),
  [13543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9398),
  [13545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8244),
  [13547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8101),
  [13549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11476),
  [13551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 5, 0, 157),
  [13553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dml_read, 4, 0, 0),
  [13555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__select_statement, 4, 0, 0),
  [13557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11563),
  [13559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 3, 0, 88),
  [13561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11374),
  [13563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7612),
  [13565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_database, 3, 0, 0),
  [13567] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_database, 3, 0, 0),
  [13569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7602),
  [13571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_set_operation_repeat1, 2, 0, 17),
  [13573] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_set_operation_repeat1, 2, 0, 17), SHIFT_REPEAT(8785),
  [13576] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_set_operation_repeat1, 2, 0, 17), SHIFT_REPEAT(9603),
  [13579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dml_read, 2, 0, 0),
  [13581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__truncate_statement, 3, 0, 0),
  [13583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10751),
  [13585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_set_operation_repeat1, 3, 0, 35),
  [13587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_set_operation_repeat1, 2, 0, 16),
  [13589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__select_statement, 2, 0, 0),
  [13591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8398),
  [13593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8267),
  [13595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8266),
  [13597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8264),
  [13599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8260),
  [13601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8259),
  [13603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8408),
  [13605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8409),
  [13607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8411),
  [13609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9365),
  [13611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8303),
  [13613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8089),
  [13615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8129),
  [13617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8886),
  [13619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_limit, 3, 0, 0),
  [13621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_operation, 2, 0, 8),
  [13623] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_set_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(9801),
  [13626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_offset, 2, 0, 0),
  [13628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cte, 9, 0, 216),
  [13630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7832),
  [13632] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_set_operation_repeat1, 2, 0, 17), SHIFT_REPEAT(8807),
  [13635] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_set_operation_repeat1, 2, 0, 17), SHIFT_REPEAT(9688),
  [13638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8307),
  [13640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14014),
  [13642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9657),
  [13644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10944),
  [13646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10944),
  [13648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14013),
  [13650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8232),
  [13652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8782),
  [13654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14592),
  [13656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_database, 4, 0, 30),
  [13658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_database, 4, 0, 30),
  [13660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7936),
  [13662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7879),
  [13664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7829),
  [13666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11359),
  [13668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cte, 7, 0, 171),
  [13670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8807),
  [13672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9688),
  [13674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7883),
  [13676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_trigger_repeat2, 2, 0, 0),
  [13678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10135),
  [13680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_alter_role_repeat1, 1, 0, 25),
  [13682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_alter_role_repeat1, 1, 0, 25),
  [13684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7853),
  [13686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7688),
  [13688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8121),
  [13690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8123),
  [13692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cte, 6, 0, 139),
  [13694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8113),
  [13696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_database, 6, 0, 90),
  [13698] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_database, 6, 0, 90),
  [13700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8108),
  [13702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cte, 8, 0, 198),
  [13704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cte, 8, 0, 199),
  [13706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7978),
  [13708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7979),
  [13710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__delete_from, 2, 0, 0),
  [13712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [13714] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0), SHIFT_REPEAT(1679),
  [13717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7608),
  [13719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cte, 5, 0, 99),
  [13721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cte, 11, 0, 232),
  [13723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [13725] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_order_by_repeat1, 2, 0, 0), SHIFT_REPEAT(1003),
  [13728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8200),
  [13730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13750),
  [13732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10067),
  [13734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10315),
  [13736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10315),
  [13738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13752),
  [13740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8185),
  [13742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9244),
  [13744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13734),
  [13746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8798),
  [13748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8013),
  [13750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8230),
  [13752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8233),
  [13754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8446),
  [13756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9532),
  [13758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9535),
  [13760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9717),
  [13762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [13764] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(892),
  [13767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8018),
  [13769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11591),
  [13771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9227),
  [13773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8130),
  [13775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8305),
  [13777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8309),
  [13779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8341),
  [13781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9994),
  [13783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10024),
  [13785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10029),
  [13787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8021),
  [13789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cte, 10, 0, 228),
  [13791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7783),
  [13793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8023),
  [13795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8050),
  [13797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cte, 10, 0, 227),
  [13799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7727),
  [13801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8120),
  [13803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__delete_from, 3, 0, 0),
  [13805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8117),
  [13807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_trigger_repeat2, 3, 0, 0),
  [13809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10053),
  [13811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8027),
  [13813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8103),
  [13815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8028),
  [13817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8065),
  [13819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8057),
  [13821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8030),
  [13823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_database, 5, 0, 0),
  [13825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_database, 5, 0, 0),
  [13827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_database, 5, 0, 53),
  [13829] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_database, 5, 0, 53),
  [13831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8059),
  [13833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cte, 9, 0, 217),
  [13835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8060),
  [13837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_database_repeat1, 2, 0, 56),
  [13839] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_database_repeat1, 2, 0, 56), SHIFT_REPEAT(88),
  [13842] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_create_database_repeat1, 2, 0, 56),
  [13844] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_database_repeat1, 2, 0, 56), SHIFT_REPEAT(88),
  [13847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8062),
  [13849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cte, 9, 0, 215),
  [13851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [13853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8222),
  [13855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12713),
  [13857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12748),
  [13859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12727),
  [13861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11894),
  [13863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10499),
  [13865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [13867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11689),
  [13869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10214),
  [13871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8255),
  [13873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7695),
  [13875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [13877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8271),
  [13879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__set_values_repeat1, 2, 0, 0),
  [13881] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__set_values_repeat1, 2, 0, 0), SHIFT_REPEAT(8006),
  [13884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8930),
  [13886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13773),
  [13888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13774),
  [13890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10599),
  [13892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7889),
  [13894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11621),
  [13896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11620),
  [13898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11437),
  [13900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [13902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7793),
  [13904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8371),
  [13906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11786),
  [13908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7624),
  [13910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11293),
  [13912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8593),
  [13914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11277),
  [13916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12304),
  [13918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [13920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4722),
  [13922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [13924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11577),
  [13926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [13928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7927),
  [13930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11490),
  [13932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4188),
  [13934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [13936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6085),
  [13938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7747),
  [13940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11479),
  [13942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4508),
  [13944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11419),
  [13946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7819),
  [13948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11573),
  [13950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2314),
  [13952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7935),
  [13954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [13956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8485),
  [13958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11800),
  [13960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7610),
  [13962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11410),
  [13964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7841),
  [13966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [13968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5577),
  [13970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4442),
  [13972] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__set_values_repeat1, 2, 0, 0), SHIFT_REPEAT(7950),
  [13975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11404),
  [13977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7847),
  [13979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2580),
  [13981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__or_replace, 2, 0, 0),
  [13983] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__or_replace, 2, 0, 0),
  [13985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11398),
  [13987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7856),
  [13989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10468),
  [13991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [13993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11397),
  [13995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7864),
  [13997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4041),
  [13999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3445),
  [14001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__set_values, 3, 0, 0),
  [14003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8006),
  [14005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4482),
  [14007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11396),
  [14009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7882),
  [14011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11506),
  [14013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13784),
  [14015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13354),
  [14017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13768),
  [14019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11623),
  [14021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10568),
  [14023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__set_values, 2, 0, 0),
  [14025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7950),
  [14027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11361),
  [14029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9354),
  [14031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9714),
  [14033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10945),
  [14035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7891),
  [14037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11501),
  [14039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4530),
  [14041] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_set_operation_repeat1, 2, 0, 17), SHIFT_REPEAT(9354),
  [14044] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_set_operation_repeat1, 2, 0, 17), SHIFT_REPEAT(9714),
  [14047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2411),
  [14049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7894),
  [14051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11499),
  [14053] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_trigger_repeat2, 2, 0, 0), SHIFT_REPEAT(8930),
  [14056] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_trigger_repeat2, 2, 0, 0), SHIFT_REPEAT(13773),
  [14059] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_trigger_repeat2, 2, 0, 0), SHIFT_REPEAT(13774),
  [14062] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_trigger_repeat2, 2, 0, 0), SHIFT_REPEAT(10599),
  [14065] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_trigger_repeat2, 2, 0, 0), SHIFT_REPEAT(7889),
  [14068] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_trigger_repeat2, 2, 0, 0), SHIFT_REPEAT(11621),
  [14071] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_trigger_repeat2, 2, 0, 0), SHIFT_REPEAT(11620),
  [14074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8973),
  [14076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11496),
  [14078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7899),
  [14080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11495),
  [14082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11797),
  [14084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7903),
  [14086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11494),
  [14088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7908),
  [14090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6406),
  [14092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11493),
  [14094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [14096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7916),
  [14098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2592),
  [14100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11492),
  [14102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7919),
  [14104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11491),
  [14106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7921),
  [14108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4112),
  [14110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__mysql_update_statement_repeat2, 2, 0, 0),
  [14112] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__mysql_update_statement_repeat2, 2, 0, 0), SHIFT_REPEAT(11592),
  [14115] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__mysql_update_statement_repeat2, 2, 0, 0), SHIFT_REPEAT(13886),
  [14118] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__mysql_update_statement_repeat2, 2, 0, 0), SHIFT_REPEAT(7900),
  [14121] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__mysql_update_statement_repeat2, 2, 0, 0), SHIFT_REPEAT(8800),
  [14124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11489),
  [14126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7800),
  [14128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11619),
  [14130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11518),
  [14132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7789),
  [14134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4826),
  [14136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9109),
  [14138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [14140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [14142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__truncate_statement, 5, 0, 0),
  [14144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11112),
  [14146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8814),
  [14148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__insert_values, 3, 0, 23),
  [14150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11996),
  [14152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9291),
  [14154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [14156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [14158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9373),
  [14160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9289),
  [14162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [14164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [14166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__insert_values, 3, 0, 0),
  [14168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__insert_values_repeat1, 2, 0, 0),
  [14170] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__insert_values_repeat1, 2, 0, 0), SHIFT_REPEAT(11996),
  [14173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11403),
  [14175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13872),
  [14177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9135),
  [14179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5090),
  [14181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [14183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__insert_values, 4, 0, 23),
  [14185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9184),
  [14187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4456),
  [14189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [14191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9132),
  [14193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5061),
  [14195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [14197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9301),
  [14199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3392),
  [14201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [14203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9303),
  [14205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3353),
  [14207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [14209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10751),
  [14211] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__compute_stats_repeat1, 2, 0, 0), SHIFT_REPEAT(295),
  [14214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__compute_stats_repeat1, 2, 0, 0),
  [14216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dml_read, 6, 0, 0),
  [14218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7945),
  [14220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8017),
  [14222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__truncate_statement, 4, 0, 0),
  [14224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10413),
  [14226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8778),
  [14228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [14230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [14232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9027),
  [14234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2781),
  [14236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [14238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6721),
  [14240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9178),
  [14242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4373),
  [14244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [14246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9025),
  [14248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2758),
  [14250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [14252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9274),
  [14254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3538),
  [14256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [14258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9271),
  [14260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3441),
  [14262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [14264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_clause, 3, 0, 0),
  [14266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10149),
  [14268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7528),
  [14270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11482),
  [14272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [14274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8777),
  [14276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2862),
  [14278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [14280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_extension, 3, 0, 0),
  [14282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9923),
  [14284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8324),
  [14286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9931),
  [14288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8055),
  [14290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9118),
  [14292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [14294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [14296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8809),
  [14298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [14300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [14302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9140),
  [14304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2979),
  [14306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [14308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8733),
  [14310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8262),
  [14312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6872),
  [14314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6831),
  [14316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6582),
  [14318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6872),
  [14320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6625),
  [14322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9050),
  [14324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [14326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [14328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6784),
  [14330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6015),
  [14332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13728),
  [14334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8745),
  [14336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6015),
  [14338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9144),
  [14340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2997),
  [14342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [14344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13827),
  [14346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9060),
  [14348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [14350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [14352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__with_settings, 2, 0, 54),
  [14354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__with_settings, 2, 0, 54),
  [14356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__with_settings, 2, 0, 55),
  [14358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__with_settings, 2, 0, 55),
  [14360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_extension, 4, 0, 0),
  [14362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10031),
  [14364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8282),
  [14366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10028),
  [14368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8049),
  [14370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9197),
  [14372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9957),
  [14374] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_set_operation_repeat1, 2, 0, 17), SHIFT_REPEAT(9197),
  [14377] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_set_operation_repeat1, 2, 0, 17), SHIFT_REPEAT(9957),
  [14380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_clause, 4, 0, 0),
  [14382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9922),
  [14384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7515),
  [14386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11439),
  [14388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9033),
  [14390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9260),
  [14392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4898),
  [14394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [14396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10612),
  [14398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14126),
  [14400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8015),
  [14402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_trigger_repeat2, 4, 0, 0),
  [14404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9086),
  [14406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3247),
  [14408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [14410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9256),
  [14412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4808),
  [14414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [14416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9082),
  [14418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3253),
  [14420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [14422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_clause, 5, 0, 79),
  [14424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9777),
  [14426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7541),
  [14428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11420),
  [14430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10872),
  [14432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7546),
  [14434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11734),
  [14436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [14438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9152),
  [14440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3174),
  [14442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [14444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_clause, 6, 0, 122),
  [14446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11013),
  [14448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7572),
  [14450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11758),
  [14452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9155),
  [14454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3228),
  [14456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [14458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8084),
  [14460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_trigger_repeat2, 5, 0, 0),
  [14462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__delete_from, 4, 0, 0),
  [14464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8727),
  [14466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8150),
  [14468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__insert_values, 2, 0, 0),
  [14470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10979),
  [14472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7568),
  [14474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11777),
  [14476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9455),
  [14478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7569),
  [14480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11411),
  [14482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10450),
  [14484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dml_read, 3, 0, 0),
  [14486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8730),
  [14488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8151),
  [14490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9069),
  [14492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5547),
  [14494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [14496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9218),
  [14498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3361),
  [14500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [14502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6733),
  [14504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6551),
  [14506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6593),
  [14508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9067),
  [14510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5523),
  [14512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [14514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9212),
  [14516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3389),
  [14518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [14520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9017),
  [14522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [14524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [14526] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__set_values_repeat1, 2, 0, 0), SHIFT_REPEAT(8084),
  [14529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10941),
  [14531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7560),
  [14533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11745),
  [14535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9193),
  [14537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [14539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [14541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9007),
  [14543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [14545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [14547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__compute_stats_repeat2, 2, 0, 0),
  [14549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__with_settings, 3, 0, 91),
  [14551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__with_settings, 3, 0, 91),
  [14553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9046),
  [14555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2960),
  [14557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [14559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9200),
  [14561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [14563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [14565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__with_settings, 3, 0, 84),
  [14567] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__with_settings, 3, 0, 84),
  [14569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9165),
  [14571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4702),
  [14573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10511),
  [14575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8439),
  [14577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10046),
  [14579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8098),
  [14581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1294),
  [14583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11330),
  [14585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8333),
  [14587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1255),
  [14589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4414),
  [14591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8427),
  [14593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1256),
  [14595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2606),
  [14597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8648),
  [14599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8483),
  [14601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11303),
  [14603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9347),
  [14605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1143),
  [14607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1142),
  [14609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8438),
  [14611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_add_column, 1, 0, 0),
  [14613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9943),
  [14615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9940),
  [14617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9375),
  [14619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8791),
  [14621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_type, 8, 0, 169),
  [14623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10049),
  [14625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10787),
  [14627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2404),
  [14629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_change_column, 5, 0, 166),
  [14631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11328),
  [14633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9351),
  [14635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13824),
  [14637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__postgres_update_statement, 2, 0, 0),
  [14639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7617),
  [14641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4569),
  [14643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4814),
  [14645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_partition_by, 4, 0, 0),
  [14647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8176),
  [14649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11528),
  [14651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9409),
  [14653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__truncate_statement_repeat1, 2, 0, 0),
  [14655] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__truncate_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8814),
  [14658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8519),
  [14660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13264),
  [14662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [14664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13266),
  [14666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9376),
  [14668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13271),
  [14670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9756),
  [14672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9343),
  [14674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8506),
  [14676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8505),
  [14678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9241),
  [14680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3917),
  [14682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9477),
  [14684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11788),
  [14686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8912),
  [14688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_modify_column, 2, 0, 0),
  [14690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13856),
  [14692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [14694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13858),
  [14696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8821),
  [14698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13860),
  [14700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9704),
  [14702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8815),
  [14704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8947),
  [14706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14091),
  [14708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8204),
  [14710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1657),
  [14712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1659),
  [14714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_add_column, 3, 0, 0),
  [14716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3984),
  [14718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6104),
  [14720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8378),
  [14722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10680),
  [14724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8674),
  [14726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9884),
  [14728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7989),
  [14730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11307),
  [14732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_change_column, 4, 0, 135),
  [14734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2596),
  [14736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_modify_column, 4, 0, 0),
  [14738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8167),
  [14740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_add_column, 4, 0, 0),
  [14742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [14744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10218),
  [14746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_frame, 3, 0, 0),
  [14748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11695),
  [14750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [14752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3556),
  [14754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_index, 5, 0, 66),
  [14756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8977),
  [14758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10066),
  [14760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11359),
  [14762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_type, 6, 0, 0),
  [14764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9695),
  [14766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10880),
  [14768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8352),
  [14770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11697),
  [14772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7690),
  [14774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(111),
  [14776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5718),
  [14778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(109),
  [14780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_extension, 5, 0, 0),
  [14782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10459),
  [14784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4087),
  [14786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11701),
  [14788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4473),
  [14790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [14792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6409),
  [14794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_type, 10, 0, 214),
  [14796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9951),
  [14798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10586),
  [14800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8414),
  [14802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8404),
  [14804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9148),
  [14806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11706),
  [14808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10820),
  [14810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2265),
  [14812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11769),
  [14814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8848),
  [14816] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__insert_values_repeat1, 2, 0, 0), SHIFT_REPEAT(11330),
  [14819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8553),
  [14821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1153),
  [14823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8761),
  [14825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_modify_column, 3, 0, 0),
  [14827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13627),
  [14829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [14831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13626),
  [14833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9213),
  [14835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13625),
  [14837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10132),
  [14839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8866),
  [14841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4646),
  [14843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8338),
  [14845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9745),
  [14847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_extension, 5, 0, 0),
  [14849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9740),
  [14851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9759),
  [14853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8093),
  [14855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_index, 4, 0, 33),
  [14857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8891),
  [14859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9837),
  [14861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_type, 7, 0, 138),
  [14863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9549),
  [14865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11034),
  [14867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_database_repeat1, 1, 0, 29),
  [14869] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_create_database_repeat1, 1, 0, 29),
  [14871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_extension, 4, 0, 0),
  [14873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10744),
  [14875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8449),
  [14877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1146),
  [14879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9885),
  [14881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [14883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_change_column, 3, 0, 95),
  [14885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_add_column, 2, 0, 0),
  [14887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_extension, 3, 0, 0),
  [14889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10425),
  [14891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [14893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13594),
  [14895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [14897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13593),
  [14899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9283),
  [14901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13592),
  [14903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10037),
  [14905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8882),
  [14907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_index, 3, 0, 15),
  [14909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9138),
  [14911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10087),
  [14913] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_order_by_repeat1, 2, 0, 0), SHIFT_REPEAT(1055),
  [14916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_type, 7, 0, 0),
  [14918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9556),
  [14920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11152),
  [14922] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_function_body_repeat2, 2, 0, 0), SHIFT_REPEAT(90),
  [14925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_function_body_repeat2, 2, 0, 0),
  [14927] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat2, 2, 0, 0), SHIFT_REPEAT(90),
  [14930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11374),
  [14932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [14934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11636),
  [14936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10428),
  [14938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10102),
  [14940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_type, 3, 0, 0),
  [14942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10435),
  [14944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9159),
  [14946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3233),
  [14948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [14950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11675),
  [14952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11676),
  [14954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7938),
  [14956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8788),
  [14958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8786),
  [14960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9381),
  [14962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9052),
  [14964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10287),
  [14966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_sequence, 3, 0, 0),
  [14968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10448),
  [14970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7907),
  [14972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13399),
  [14974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [14976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13398),
  [14978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8881),
  [14980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_view, 3, 0, 0),
  [14982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10456),
  [14984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9108),
  [14986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9676),
  [14988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11252),
  [14990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_table, 3, 0, 0),
  [14992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10457),
  [14994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11286),
  [14996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9533),
  [14998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11309),
  [15000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9087),
  [15002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3246),
  [15004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [15006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_type, 4, 0, 0),
  [15008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10729),
  [15010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11875),
  [15012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1467),
  [15014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9582),
  [15016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11431),
  [15018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 6, 0, 223),
  [15020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_sequence, 4, 0, 0),
  [15022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10698),
  [15024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9369),
  [15026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_schema, 3, 0, 0),
  [15028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10427),
  [15030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_schema, 4, 0, 0),
  [15032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10737),
  [15034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9261),
  [15036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4902),
  [15038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [15040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11556),
  [15042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8913),
  [15044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__compute_stats, 3, 0, 0),
  [15046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12708),
  [15048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8252),
  [15050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9388),
  [15052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11674),
  [15054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_view, 4, 0, 0),
  [15056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10697),
  [15058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9262),
  [15060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4880),
  [15062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [15064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10344),
  [15066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9065),
  [15068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [15070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [15072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9091),
  [15074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3203),
  [15076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [15078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_table, 4, 0, 0),
  [15080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10690),
  [15082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10772),
  [15084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11306),
  [15086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8764),
  [15088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11555),
  [15090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_type, 12, 0, 214),
  [15092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11224),
  [15094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10339),
  [15096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_extension, 6, 0, 0),
  [15098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9881),
  [15100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8003),
  [15102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 11, 0, 33),
  [15104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8532),
  [15106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8900),
  [15108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10336),
  [15110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8820),
  [15112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8824),
  [15114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9422),
  [15116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9224),
  [15118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3320),
  [15120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [15122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11637),
  [15124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9901),
  [15126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [15128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8857),
  [15130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9023),
  [15132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1927),
  [15134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [15136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9076),
  [15138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5586),
  [15140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [15142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [15144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9115),
  [15146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10363),
  [15148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__compute_stats, 4, 0, 0),
  [15150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8163),
  [15152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8847),
  [15154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_frame, 2, 0, 0),
  [15156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11696),
  [15158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11907),
  [15160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11226),
  [15162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11719),
  [15164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11891),
  [15166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10844),
  [15168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_type, 10, 0, 169),
  [15170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10606),
  [15172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11889),
  [15174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7237),
  [15176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9952),
  [15178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8946),
  [15180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10256),
  [15182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10206),
  [15184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8025),
  [15186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7791),
  [15188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [15190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9415),
  [15192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9061),
  [15194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [15196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [15198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8838),
  [15200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [15202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [15204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9147),
  [15206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3030),
  [15208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [15210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11698),
  [15212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9191),
  [15214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9071),
  [15216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5554),
  [15218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [15220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [15222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10198),
  [15224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9145),
  [15226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2999),
  [15228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [15230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7450),
  [15232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11699),
  [15234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11868),
  [15236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11867),
  [15238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11866),
  [15240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 13, 0, 66),
  [15242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11548),
  [15244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 7, 0, 0),
  [15246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 8, 0, 0),
  [15248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1402),
  [15250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9706),
  [15252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 8, 0, 60),
  [15254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1186),
  [15256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10097),
  [15258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7462),
  [15260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__insert_values, 2, 0, 23),
  [15262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1307),
  [15264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10103),
  [15266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9221),
  [15268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3360),
  [15270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [15272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9196),
  [15274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11453),
  [15276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [15278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1299),
  [15280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10123),
  [15282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9416),
  [15284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7833),
  [15286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9018),
  [15288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1911),
  [15290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [15292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7860),
  [15294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7778),
  [15296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1414),
  [15298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9684),
  [15300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11849),
  [15302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8811),
  [15304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [15306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [15308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9906),
  [15310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9904),
  [15312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7227),
  [15314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11308),
  [15316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10124),
  [15318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11280),
  [15320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7923),
  [15322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7886),
  [15324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1422),
  [15326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9643),
  [15328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9395),
  [15330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9056),
  [15332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3093),
  [15334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [15336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8454),
  [15338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9131),
  [15340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10109),
  [15342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [15344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9121),
  [15346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [15348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [15350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9162),
  [15352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3274),
  [15354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [15356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7786),
  [15358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7327),
  [15360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9408),
  [15362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8799),
  [15364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 12, 0, 66),
  [15366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9124),
  [15368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [15370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [15372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8872),
  [15374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11827),
  [15376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9671),
  [15378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9146),
  [15380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7863),
  [15382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__delete_from, 5, 0, 0),
  [15384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11723),
  [15386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7884),
  [15388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [15390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11600),
  [15392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_extension, 7, 0, 0),
  [15394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10058),
  [15396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8008),
  [15398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10520),
  [15400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [15402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8759),
  [15404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2973),
  [15406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [15408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1494),
  [15410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9662),
  [15412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11337),
  [15414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10061),
  [15416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1755),
  [15418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10191),
  [15420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7537),
  [15422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1762),
  [15424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10196),
  [15426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_type, 3, 0, 0),
  [15428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9858),
  [15430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8631),
  [15432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__compute_stats, 6, 0, 0),
  [15434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13380),
  [15436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13381),
  [15438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 11, 0, 0),
  [15440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11826),
  [15442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [15444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9276),
  [15446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3550),
  [15448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [15450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1768),
  [15452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10197),
  [15454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7337),
  [15456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9267),
  [15458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11653),
  [15460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11822),
  [15462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7912),
  [15464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 9, 0, 0),
  [15466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9287),
  [15468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10635),
  [15470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9029),
  [15472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2782),
  [15474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [15476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 9, 0, 15),
  [15478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8855),
  [15480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_type, 9, 0, 138),
  [15482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10254),
  [15484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 9, 0, 60),
  [15486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1825),
  [15488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10062),
  [15490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_type, 9, 0, 0),
  [15492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10229),
  [15494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [15496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11333),
  [15498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11685),
  [15500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1829),
  [15502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10059),
  [15504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 12, 0, 0),
  [15506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9278),
  [15508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3573),
  [15510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [15512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 12, 0, 33),
  [15514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [15516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1835),
  [15518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10055),
  [15520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1795),
  [15522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9554),
  [15524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9186),
  [15526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4476),
  [15528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [15530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [15532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11778),
  [15534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11645),
  [15536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9421),
  [15538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9037),
  [15540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2787),
  [15542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [15544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7104),
  [15546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7843),
  [15548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8863),
  [15550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11771),
  [15552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7598),
  [15554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [15556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7805),
  [15558] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(790),
  [15561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9308),
  [15563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3292),
  [15565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [15567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__compute_stats, 5, 0, 0),
  [15569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12047),
  [15571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12031),
  [15573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1428),
  [15575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9441),
  [15577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9185),
  [15579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4466),
  [15581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [15583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9306),
  [15585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3349),
  [15587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [15589] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(812),
  [15592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9653),
  [15594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11232),
  [15596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7765),
  [15598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [15600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7109),
  [15602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11643),
  [15604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 2, 0, 125),
  [15606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11648),
  [15608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 2, 0, 127),
  [15610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 10, 0, 0),
  [15612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 10, 0, 15),
  [15614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8975),
  [15616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7757),
  [15618] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__truncate_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(9347),
  [15621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 10, 0, 60),
  [15623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11475),
  [15625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9137),
  [15627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5091),
  [15629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [15631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [15633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8972),
  [15635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [15637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 10, 0, 33),
  [15639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_type, 8, 0, 0),
  [15641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10785),
  [15643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10004),
  [15645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11264),
  [15647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10047),
  [15649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1280),
  [15651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9524),
  [15653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__operator_class, 1, 0, 126),
  [15655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [15657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [15659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7828),
  [15661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11502),
  [15663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11722),
  [15665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9997),
  [15667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11260),
  [15669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9139),
  [15671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4967),
  [15673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [15675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11505),
  [15677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 4, 0, 185),
  [15679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9204),
  [15681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [15683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [15685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11736),
  [15687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9292),
  [15689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [15691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [15693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 11, 0, 66),
  [15695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9432),
  [15697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11512),
  [15699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 4, 0, 183),
  [15701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1373),
  [15703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9827),
  [15705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11515),
  [15707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 4, 0, 182),
  [15709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [15711] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_set_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(9533),
  [15714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7859),
  [15716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_frame, 5, 0, 0),
  [15718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [15720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [15722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9203),
  [15724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [15726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [15728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 11, 0, 15),
  [15730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1872),
  [15732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [15734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [15736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [15738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9294),
  [15740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [15742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [15744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_fields, 4, 0, 124),
  [15746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10543),
  [15748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__merge_statement, 9, 0, 181),
  [15750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__merge_statement, 9, 0, 180),
  [15752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__merge_statement_repeat1, 2, 0, 0),
  [15754] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__merge_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(11737),
  [15757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5574),
  [15759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14484),
  [15761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14484),
  [15763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2326),
  [15765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2612),
  [15767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4664),
  [15769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4620),
  [15771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2615),
  [15773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [15775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4418),
  [15777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 9, 0, 0),
  [15779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4479),
  [15781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6874),
  [15783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7898),
  [15785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3866),
  [15787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__operator_class, 3, 0, 184),
  [15789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11608),
  [15791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__temporary, 1, 0, 0),
  [15793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8178),
  [15795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 9, 0, 0),
  [15797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__rename_statement, 8, 0, 140),
  [15799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8612),
  [15801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__rename_statement, 8, 0, 0),
  [15803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__rename_statement, 8, 0, 172),
  [15805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 9, 0, 158),
  [15807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__compute_stats, 8, 0, 0),
  [15809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14036),
  [15811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10777),
  [15813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_view, 6, 0, 0),
  [15815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10027),
  [15817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 9, 0, 128),
  [15819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4682),
  [15821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 9, 0, 89),
  [15823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6014),
  [15825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_materialized_view, 6, 0, 0),
  [15827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11876),
  [15829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 14, 0, 177),
  [15831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 11, 0, 189),
  [15833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10560),
  [15835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10528),
  [15837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 6, 0, 0),
  [15839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 3, 0, 60),
  [15841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8830),
  [15843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 3, 0, 0),
  [15845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8826),
  [15847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ordered_column, 1, 0, 6),
  [15849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9638),
  [15851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 13, 0, 150),
  [15853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11541),
  [15855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14024),
  [15857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7878),
  [15859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11228),
  [15861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 9, 0, 189),
  [15863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_fields, 2, 0, 0),
  [15865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_extension, 9, 0, 190),
  [15867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10128),
  [15869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 12, 0, 189),
  [15871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__merge_statement, 12, 0, 229),
  [15873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9492),
  [15875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 12, 0, 0),
  [15877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10355),
  [15879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5652),
  [15881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 12, 0, 116),
  [15883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7232),
  [15885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9644),
  [15887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14586),
  [15889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14586),
  [15891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8320),
  [15893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9647),
  [15895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14584),
  [15897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14584),
  [15899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8152),
  [15901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6903),
  [15903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11806),
  [15905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13290),
  [15907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7913),
  [15909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 6, 0, 89),
  [15911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 11, 0, 158),
  [15913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8172),
  [15915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9774),
  [15917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11612),
  [15919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__merge_statement, 11, 0, 222),
  [15921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__merge_statement, 11, 0, 221),
  [15923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7975),
  [15925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 11, 0, 0),
  [15927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9649),
  [15929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ordered_columns, 3, 0, 0),
  [15931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 11, 0, 75),
  [15933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 4, 0, 15),
  [15935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9036),
  [15937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 4, 0, 0),
  [15939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9041),
  [15941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__optimize_table, 5, 0, 0),
  [15943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4379),
  [15945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [15947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 10, 0, 189),
  [15949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 10, 0, 0),
  [15951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14008),
  [15953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11622),
  [15955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11537),
  [15957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13840),
  [15959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12767),
  [15961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 10, 0, 128),
  [15963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 10, 0, 158),
  [15965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_extension, 6, 0, 93),
  [15967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9879),
  [15969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_extension, 9, 0, 0),
  [15971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10133),
  [15973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8949),
  [15975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8268),
  [15977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__merge_statement, 10, 0, 204),
  [15979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_materialized_view, 8, 0, 0),
  [15981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11540),
  [15983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__merge_statement, 10, 0, 202),
  [15985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9887),
  [15987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11842),
  [15989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 10, 0, 39),
  [15991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__rename_statement, 9, 0, 172),
  [15993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 10, 0, 0),
  [15995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__rename_statement, 5, 0, 0),
  [15997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11240),
  [15999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11241),
  [16001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4821),
  [16003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3350),
  [16005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11231),
  [16007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10088),
  [16009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13383),
  [16011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13383),
  [16013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7255),
  [16015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10480),
  [16017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_schema, 3, 0, 0),
  [16019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9888),
  [16021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10112),
  [16023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8100),
  [16025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10551),
  [16027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4596),
  [16029] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__merge_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(11816),
  [16032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3878),
  [16034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10154),
  [16036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10156),
  [16038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10839),
  [16040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11629),
  [16042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11530),
  [16044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13597),
  [16046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_view, 10, 0, 0),
  [16048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10134),
  [16050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10408),
  [16052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10402),
  [16054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11251),
  [16056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10390),
  [16058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10384),
  [16060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10321),
  [16062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9839),
  [16064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12809),
  [16066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12809),
  [16068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8149),
  [16070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_extension, 5, 0, 57),
  [16072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9852),
  [16074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10294),
  [16076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10289),
  [16078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__operator_class, 4, 0, 207),
  [16080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4076),
  [16082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2357),
  [16084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_extension, 8, 0, 0),
  [16086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9617),
  [16088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [16090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_extension, 8, 0, 161),
  [16092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9615),
  [16094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_type, 5, 0, 0),
  [16096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9682),
  [16098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 8, 0, 89),
  [16100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_type, 6, 0, 93),
  [16102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11795),
  [16104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 8, 0, 128),
  [16106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 8, 0, 158),
  [16108] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__vacuum_option, 1, 0, 0),
  [16110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10719),
  [16112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__vacuum_option, 1, 0, 0),
  [16114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 8, 0, 0),
  [16116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 5, 0, 0),
  [16118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10995),
  [16120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10272),
  [16122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__merge_statement, 8, 0, 155),
  [16124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 8, 0, 0),
  [16126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_view, 5, 0, 0),
  [16128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9557),
  [16130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13997),
  [16132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10271),
  [16134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_query, 1, 0, 0),
  [16136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_statement, 5, 0, 0),
  [16138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__mysql_update_statement, 4, 0, 0),
  [16140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2427),
  [16142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__rename_statement, 6, 0, 0),
  [16144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5864),
  [16146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7898),
  [16148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10053),
  [16150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11268),
  [16152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10506),
  [16154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10503),
  [16156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8024),
  [16158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 7, 0, 89),
  [16160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 7, 0, 128),
  [16162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11299),
  [16164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ordered_columns, 4, 0, 0),
  [16166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2608),
  [16168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8248),
  [16170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 5, 0, 33),
  [16172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9181),
  [16174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6106),
  [16176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 5, 0, 0),
  [16178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9192),
  [16180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2666),
  [16182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13622),
  [16184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13621),
  [16186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4462),
  [16188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11890),
  [16190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11892),
  [16192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12759),
  [16194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10346),
  [16196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7977),
  [16198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 7, 0, 0),
  [16200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__optimize_table, 4, 0, 0),
  [16202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [16204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field, 1, 0, 6),
  [16206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6335),
  [16208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11474),
  [16210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14164),
  [16212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7766),
  [16214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11466),
  [16216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14181),
  [16218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7730),
  [16220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__operator_class, 5, 0, 224),
  [16222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11459),
  [16224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14197),
  [16226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7746),
  [16228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11281),
  [16230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13673),
  [16232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13672),
  [16234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11296),
  [16236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_database, 4, 0, 0),
  [16238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10730),
  [16240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9824),
  [16242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11452),
  [16244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14213),
  [16246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7776),
  [16248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_view, 11, 0, 0),
  [16250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9869),
  [16252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10661),
  [16254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4522),
  [16256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4229),
  [16258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10703),
  [16260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11950),
  [16262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11949),
  [16264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12420),
  [16266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_view, 7, 0, 0),
  [16268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9796),
  [16270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_materialized_view, 7, 0, 0),
  [16272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11683),
  [16274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9929),
  [16276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12061),
  [16278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12061),
  [16280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7169),
  [16282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11448),
  [16284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14229),
  [16286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7792),
  [16288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9930),
  [16290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10747),
  [16292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_fields, 3, 0, 124),
  [16294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__if_not_exists, 3, 0, 0),
  [16296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__if_not_exists, 3, 0, 0),
  [16298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11325),
  [16300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10008),
  [16302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 6, 0, 66),
  [16304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9296),
  [16306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9989),
  [16308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13355),
  [16310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8237),
  [16312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_view, 9, 0, 0),
  [16314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9995),
  [16316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11442),
  [16318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14242),
  [16320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7803),
  [16322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11310),
  [16324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10022),
  [16326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12101),
  [16328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12101),
  [16330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8319),
  [16332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10740),
  [16334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_database, 3, 0, 0),
  [16336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10430),
  [16338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10099),
  [16340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10529),
  [16342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11312),
  [16344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6359),
  [16346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6883),
  [16348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3793),
  [16350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11314),
  [16352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11315),
  [16354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11343),
  [16356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11319),
  [16358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12565),
  [16360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8197),
  [16362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7015),
  [16364] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__if_exists, 2, 0, 0),
  [16366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__if_exists, 2, 0, 0),
  [16368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_schema, 4, 0, 0),
  [16370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10036),
  [16372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_extension, 7, 0, 131),
  [16374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10048),
  [16376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11094),
  [16378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__mysql_update_statement, 3, 0, 0),
  [16380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10075),
  [16382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10084),
  [16384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_view, 12, 0, 0),
  [16386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9530),
  [16388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11072),
  [16390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10701),
  [16392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12066),
  [16394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13573),
  [16396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11609),
  [16398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8208),
  [16400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_statement, 4, 0, 0),
  [16402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4089),
  [16404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11338),
  [16406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5636),
  [16408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_configuration, 3, 0, 133),
  [16410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__optimize_table, 3, 0, 0),
  [16412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11341),
  [16414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_view, 8, 0, 0),
  [16416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9445),
  [16418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11342),
  [16420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10819),
  [16422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11346),
  [16424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11345),
  [16426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9926),
  [16428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8527),
  [16430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 2, 0, 0),
  [16432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8763),
  [16434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9685),
  [16436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11373),
  [16438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10850),
  [16440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_type, 7, 0, 131),
  [16442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11589),
  [16444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9078),
  [16446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13629),
  [16448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9630),
  [16450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3598),
  [16452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__compute_stats, 7, 0, 0),
  [16454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13910),
  [16456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11037),
  [16458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13529),
  [16460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6333),
  [16462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__rename_statement, 7, 0, 0),
  [16464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__rename_statement_repeat1, 2, 0, 0),
  [16466] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__rename_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8612),
  [16469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__rename_statement, 7, 0, 140),
  [16471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [16473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12833),
  [16475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete, 1, 0, 0),
  [16477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_view, 13, 0, 0),
  [16479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9515),
  [16481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13457),
  [16483] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(798),
  [16486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8029),
  [16488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13140),
  [16490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11757),
  [16492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6719),
  [16494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13473),
  [16496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 14, 0, 150),
  [16498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11535),
  [16500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12776),
  [16502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11759),
  [16504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13641),
  [16506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__delete_statement, 2, 0, 0),
  [16508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [16510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6567),
  [16512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6687),
  [16514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 9, 0, 39),
  [16516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_clause, 7, 0, 79),
  [16518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_clause, 7, 0, 122),
  [16520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11755),
  [16522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 14, 0, 0),
  [16524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [16526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11764),
  [16528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 6, 0, 0),
  [16530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12433),
  [16532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 6, 0, 75),
  [16534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12534),
  [16536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 14, 0, 236),
  [16538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [16540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [16542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_view, 14, 0, 0),
  [16544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 14, 0, 237),
  [16546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 9, 0, 177),
  [16548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14064),
  [16550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__mysql_update_statement, 5, 0, 0),
  [16552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_materialized_view, 9, 0, 0),
  [16554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, 0, 50),
  [16556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, 0, 50),
  [16558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [16560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update, 2, 0, 0),
  [16562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6764),
  [16564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10026),
  [16566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6871),
  [16568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7551),
  [16570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 8, 0, 150),
  [16572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13949),
  [16574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11421),
  [16576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [16578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__copy_statement, 8, 0, 174),
  [16580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__copy_statement, 8, 0, 0),
  [16582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 15, 0, 177),
  [16584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11406),
  [16586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_clause, 8, 0, 122),
  [16588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 15, 0, 238),
  [16590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [16592] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_repeat1, 2, 0, 0), SHIFT_REPEAT(1542),
  [16595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_repeat1, 2, 0, 0),
  [16597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__delete_from, 6, 0, 0),
  [16599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 15, 0, 0),
  [16601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__partition_spec, 5, 0, 0),
  [16603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6931),
  [16605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6931),
  [16607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11747),
  [16609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_view, 15, 0, 0),
  [16611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11888),
  [16613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 3, 0, 0),
  [16615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13328),
  [16617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__insert_statement, 1, 0, 0),
  [16619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [16621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_clause, 9, 0, 122),
  [16623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_clause, 9, 0, 153),
  [16625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_type, 9, 0, 186),
  [16627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 16, 0, 240),
  [16629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rename_column, 5, 0, 167),
  [16631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 16, 0, 241),
  [16633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 16, 0, 0),
  [16635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9464),
  [16637] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 7, 0, 50),
  [16639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 7, 0, 50),
  [16641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 13, 0, 234),
  [16643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_view, 16, 0, 0),
  [16645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 13, 0, 189),
  [16647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_elements, 4, 0, 187),
  [16649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_clause, 10, 0, 153),
  [16651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constraint_literal, 3, 0, 60),
  [16653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_invocation_repeat1, 2, 0, 68),
  [16655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 17, 0, 243),
  [16657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update, 3, 0, 0),
  [16659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 17, 0, 244),
  [16661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [16663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table, 9, 0, 0),
  [16665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_add_column, 5, 0, 0),
  [16667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 17, 0, 0),
  [16669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_modify_column, 5, 0, 0),
  [16671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_change_column, 5, 0, 135),
  [16673] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__merge_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(11750),
  [16676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9449),
  [16678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 18, 0, 245),
  [16680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 18, 0, 246),
  [16682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 18, 0, 0),
  [16684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_extension, 9, 0, 161),
  [16686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 15, 0, 239),
  [16688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_column, 5, 0, 165),
  [16690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6805),
  [16692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 19, 0, 247),
  [16694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [16696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 19, 0, 248),
  [16698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12945),
  [16700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12945),
  [16702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2712),
  [16704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_column, 5, 0, 164),
  [16706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 19, 0, 0),
  [16708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 4, 0, 0),
  [16710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12132),
  [16712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 13, 0, 0),
  [16714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11735),
  [16716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14588),
  [16718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14588),
  [16720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8168),
  [16722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 20, 0, 249),
  [16724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 20, 0, 250),
  [16726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 20, 0, 0),
  [16728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 21, 0, 251),
  [16730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 21, 0, 252),
  [16732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14582),
  [16734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14582),
  [16736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8317),
  [16738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9074),
  [16740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 21, 0, 0),
  [16742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 22, 0, 253),
  [16744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_column, 6, 0, 191),
  [16746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 22, 0, 254),
  [16748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6826),
  [16750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9457),
  [16752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__partition_spec, 4, 0, 0),
  [16754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_column, 6, 0, 192),
  [16756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 22, 0, 0),
  [16758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 23, 0, 255),
  [16760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 23, 0, 256),
  [16762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_type, 6, 0, 0),
  [16764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 24, 0, 257),
  [16766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_column, 6, 0, 193),
  [16768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_column, 6, 0, 194),
  [16770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_column, 5, 0, 163),
  [16772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_column, 5, 0, 15),
  [16774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__update_statement, 1, 0, 0),
  [16776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [16778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [16780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_type, 6, 0, 53),
  [16782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_change_column, 6, 0, 166),
  [16784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14579),
  [16786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14579),
  [16788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__copy_statement, 10, 0, 200),
  [16790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constraint_literal, 4, 0, 60),
  [16792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10775),
  [16794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9072),
  [16796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11358),
  [16798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9070),
  [16800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8279),
  [16802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rename_column, 4, 0, 136),
  [16804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary_key_constraint, 2, 0, 0),
  [16806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13336),
  [16808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_schema, 6, 0, 0),
  [16810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_add_constraint, 4, 0, 0),
  [16812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_column, 4, 0, 33),
  [16814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_change_column, 4, 0, 95),
  [16816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9877),
  [16818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_column, 4, 0, 134),
  [16820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__postgres_update_statement, 3, 0, 0),
  [16822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_column, 4, 0, 60),
  [16824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_table, 7, 0, 0),
  [16826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6343),
  [16828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_type, 7, 0, 130),
  [16830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7632),
  [16832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_clause, 6, 0, 0),
  [16834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11721),
  [16836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_clause, 6, 0, 79),
  [16838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 13, 0, 0),
  [16840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 13, 0, 177),
  [16842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9439),
  [16844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9552),
  [16846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11339),
  [16848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10619),
  [16850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__check_option, 2, 0, 0),
  [16852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__compute_stats, 9, 0, 0),
  [16854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10251),
  [16856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [16858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__rename_table_names, 3, 0, 0),
  [16860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__copy_statement, 9, 0, 174),
  [16862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__copy_statement, 9, 0, 200),
  [16864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11574),
  [16866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__copy_statement, 9, 0, 0),
  [16868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 13, 0, 116),
  [16870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11412),
  [16872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6665),
  [16874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14356),
  [16876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10417),
  [16878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8365),
  [16880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__vacuum_table, 3, 0, 0),
  [16882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8392),
  [16884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6854),
  [16886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_argument, 2, 0, 50),
  [16888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6853),
  [16890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9495),
  [16892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11327),
  [16894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13369),
  [16896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_database, 5, 0, 0),
  [16898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10460),
  [16900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6852),
  [16902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6851),
  [16904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9034),
  [16906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9028),
  [16908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [16910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_index, 5, 0, 33),
  [16912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8978),
  [16914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13074),
  [16916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13074),
  [16918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8161),
  [16920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 10, 0, 75),
  [16922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rename_object, 3, 0, 0),
  [16924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [16926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_table, 6, 0, 0),
  [16928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_schema, 3, 0, 94),
  [16930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10825),
  [16932] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 3, 0, 50),
  [16934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 3, 0, 50),
  [16936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_extension, 6, 0, 57),
  [16938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11754),
  [16940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10823),
  [16942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 12, 0, 0),
  [16944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12037),
  [16946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12013),
  [16948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7674),
  [16950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12077),
  [16952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6896),
  [16954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [16956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11414),
  [16958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_column, 3, 0, 15),
  [16960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6845),
  [16962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_argument, 3, 0, 20),
  [16964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6846),
  [16966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table, 8, 0, 0),
  [16968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10034),
  [16970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__create_trigger_event, 3, 0, 0),
  [16972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_extension, 7, 0, 93),
  [16974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 12, 0, 158),
  [16976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13811),
  [16978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13811),
  [16980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_table, 4, 0, 0),
  [16982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6337),
  [16984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [16986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_elements, 2, 0, 0),
  [16988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_type, 7, 0, 0),
  [16990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [16992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8198),
  [16994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12129),
  [16996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7246),
  [16998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7246),
  [17000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_table, 5, 0, 0),
  [17002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_clause, 5, 0, 0),
  [17004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13610),
  [17006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11628),
  [17008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7651),
  [17010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9641),
  [17012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 12, 0, 150),
  [17014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 12, 0, 75),
  [17016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11311),
  [17018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10348),
  [17020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13530),
  [17022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_position, 1, 0, 0),
  [17024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint, 1, 0, 0),
  [17026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_add_constraint, 3, 0, 0),
  [17028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint, 1, 0, 5),
  [17030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_column, 2, 0, 60),
  [17032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 5, 0, 0),
  [17034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13406),
  [17036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [17038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8205),
  [17040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_change_ownership, 3, 0, 0),
  [17042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 5, 0, 39),
  [17044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13408),
  [17046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13544),
  [17048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11249),
  [17050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_alter_table_repeat1, 2, 0, 0),
  [17052] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_table_repeat1, 2, 0, 0), SHIFT_REPEAT(6343),
  [17055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_position, 2, 0, 96),
  [17057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11480),
  [17059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11672),
  [17061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_materialized_view, 10, 0, 0),
  [17063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [17065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9011),
  [17067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9010),
  [17069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10177),
  [17071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_column, 8, 0, 225),
  [17073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6786),
  [17075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_argument, 1, 0, 58),
  [17077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6794),
  [17079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10200),
  [17081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11703),
  [17083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_schema, 5, 0, 0),
  [17085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_materialized_view, 11, 0, 0),
  [17087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11704),
  [17089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10700),
  [17091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10699),
  [17093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__create_trigger_event, 4, 0, 0),
  [17095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__vacuum_table, 2, 0, 0),
  [17097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8387),
  [17099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_extension, 8, 0, 131),
  [17101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6732),
  [17103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10236),
  [17105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_index, 6, 0, 66),
  [17107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9383),
  [17109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12897),
  [17111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12897),
  [17113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8160),
  [17115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9772),
  [17117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13190),
  [17119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13190),
  [17121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2996),
  [17123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 10, 0, 89),
  [17125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13507),
  [17127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [17129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_index, 4, 0, 15),
  [17131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8888),
  [17133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 11, 0, 0),
  [17135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 11, 0, 128),
  [17137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [17139] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__rename_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8365),
  [17142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13744),
  [17144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13744),
  [17146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [17148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 7, 0, 0),
  [17150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13585),
  [17152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11284),
  [17154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14556),
  [17156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6541),
  [17158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11263),
  [17160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8968),
  [17162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_extension, 10, 0, 190),
  [17164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14523),
  [17166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_extension, 10, 0, 0),
  [17168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11438),
  [17170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13459),
  [17172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__optimize_table, 6, 0, 0),
  [17174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6897),
  [17176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [17178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10505),
  [17180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 7, 0, 116),
  [17182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13512),
  [17184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 11, 0, 39),
  [17186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_column, 7, 0, 208),
  [17188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11673),
  [17190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [17192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9853),
  [17194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_column, 7, 0, 209),
  [17196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13483),
  [17198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13480),
  [17200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13449),
  [17202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_column, 7, 0, 210),
  [17204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 11, 0, 116),
  [17206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11650),
  [17208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6793),
  [17210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6844),
  [17212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_elements, 3, 0, 160),
  [17214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9998),
  [17216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11651),
  [17218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_type, 8, 0, 159),
  [17220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11274),
  [17222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_invocation_repeat1, 3, 0, 36),
  [17224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6745),
  [17226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13446),
  [17228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10347),
  [17230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [17232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__compute_stats, 10, 0, 0),
  [17234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10608),
  [17236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13420),
  [17238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13421),
  [17240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13422),
  [17242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13423),
  [17244] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_table_repeat1, 2, 0, 0), SHIFT_REPEAT(6337),
  [17247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3119),
  [17249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12703),
  [17251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_type, 10, 0, 0),
  [17253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_frame_definition, 2, 0, 109),
  [17255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_frame_definition, 2, 0, 108),
  [17257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_frame_definition, 2, 0, 107),
  [17259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_frame_definition, 2, 0, 106),
  [17261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_alter_index_repeat1, 2, 0, 148),
  [17263] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_index_repeat1, 2, 0, 148), SHIFT_REPEAT(9761),
  [17266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6138),
  [17268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9096),
  [17270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4014),
  [17272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__current_row, 2, 0, 0),
  [17274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__copy_statement, 10, 0, 0),
  [17276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_frame_definition, 2, 0, 0),
  [17278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [17280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2855),
  [17282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_type, 10, 0, 138),
  [17284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_index, 10, 0, 213),
  [17286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6082),
  [17288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6737),
  [17290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8685),
  [17292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8874),
  [17294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_index, 10, 0, 212),
  [17296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2876),
  [17298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [17300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [17302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6096),
  [17304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3134),
  [17306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10603),
  [17308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9761),
  [17310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3137),
  [17312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [17314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9123),
  [17316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8871),
  [17318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9111),
  [17320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_index, 10, 0, 211),
  [17322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6646),
  [17324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2878),
  [17326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3148),
  [17328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6776),
  [17330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [17332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [17334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [17336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12306),
  [17338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9517),
  [17340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [17342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12223),
  [17344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9567),
  [17346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8819),
  [17348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8999),
  [17350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [17352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9103),
  [17354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [17356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2879),
  [17358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9100),
  [17360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [17362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4179),
  [17364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__copy_statement, 10, 0, 174),
  [17366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6148),
  [17368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6789),
  [17370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7469),
  [17372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9099),
  [17374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9581),
  [17376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9038),
  [17378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_ordered_columns_repeat1, 2, 0, 0),
  [17380] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_ordered_columns_repeat1, 2, 0, 0), SHIFT_REPEAT(7630),
  [17383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11285),
  [17385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [17387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3186),
  [17389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [17391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10021),
  [17393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8315),
  [17395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12886),
  [17397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [17399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10162),
  [17401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7355),
  [17403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3189),
  [17405] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0), SHIFT_REPEAT(1431),
  [17408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4236),
  [17410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3202),
  [17412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8381),
  [17414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7187),
  [17416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [17418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8755),
  [17420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5605),
  [17422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8329),
  [17424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2508),
  [17426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8330),
  [17428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3245),
  [17430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14227),
  [17432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14406),
  [17434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9157),
  [17436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14225),
  [17438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [17440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__vacuum_table, 4, 0, 0),
  [17442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10340),
  [17444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11288),
  [17446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10220),
  [17448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11300),
  [17450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [17452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9092),
  [17454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8308),
  [17456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11659),
  [17458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [17460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9114),
  [17462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8805),
  [17464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13225),
  [17466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13289),
  [17468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [17470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 3, 0, 14),
  [17472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8541),
  [17474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9044),
  [17476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10996),
  [17478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [17480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__vacuum_table_repeat1, 2, 0, 0),
  [17482] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__vacuum_table_repeat1, 2, 0, 0), SHIFT_REPEAT(8874),
  [17485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11433),
  [17487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 6, 0, 157),
  [17489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__vacuum_table, 6, 0, 0),
  [17491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12927),
  [17493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9814),
  [17495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2412),
  [17497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 2, 0, 0),
  [17499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8269),
  [17501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11639),
  [17503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [17505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14393),
  [17507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2408),
  [17509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_alter_column_repeat1, 2, 0, 119),
  [17511] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_column_repeat1, 2, 0, 119), SHIFT_REPEAT(8685),
  [17514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5092),
  [17516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9089),
  [17518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13683),
  [17520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6746),
  [17522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8636),
  [17524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7226),
  [17526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraints, 2, 0, 0),
  [17528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7393),
  [17530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10349),
  [17532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14392),
  [17534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_column_definitions_repeat1, 2, 0, 0),
  [17536] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definitions_repeat1, 2, 0, 0), SHIFT_REPEAT(7648),
  [17539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9088),
  [17541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5045),
  [17543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5062),
  [17545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8657),
  [17547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5088),
  [17549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 3, 0, 0),
  [17551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8566),
  [17553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_cte_repeat1, 2, 0, 101),
  [17555] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_cte_repeat1, 2, 0, 101), SHIFT_REPEAT(9814),
  [17558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 2, 0, 7),
  [17560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2922),
  [17562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7915),
  [17564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_values, 3, 0, 0),
  [17566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9064),
  [17568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8502),
  [17570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5698),
  [17572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8620),
  [17574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9062),
  [17576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8549),
  [17578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14386),
  [17580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14385),
  [17582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_database, 4, 0, 0),
  [17584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14378),
  [17586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5060),
  [17588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5057),
  [17590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5055),
  [17592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5673),
  [17594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11278),
  [17596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3548),
  [17598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12387),
  [17600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5680),
  [17602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11272),
  [17604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11454),
  [17606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 5, 0, 185),
  [17608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5032),
  [17610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5616),
  [17612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5510),
  [17614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13396),
  [17616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13397),
  [17618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6664),
  [17620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14377),
  [17622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8756),
  [17624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13986),
  [17626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14398),
  [17628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [17630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_extension, 6, 0, 0),
  [17632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_database, 6, 0, 0),
  [17634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_index, 6, 0, 15),
  [17636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_role, 4, 0, 0),
  [17638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_index, 6, 0, 33),
  [17640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 4, 0, 0),
  [17642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 6, 0, 0),
  [17644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8358),
  [17646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3514),
  [17648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9670),
  [17650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_schema, 6, 0, 0),
  [17652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6607),
  [17654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_database, 6, 0, 98),
  [17656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [17658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_database, 6, 0, 0),
  [17660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 4, 0, 32),
  [17662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [17664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [17666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4194),
  [17668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14372),
  [17670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6729),
  [17672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [17674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8492),
  [17676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4106),
  [17678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5593),
  [17680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_type, 4, 0, 0),
  [17682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5590),
  [17684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3024),
  [17686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5589),
  [17688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11936),
  [17690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8946),
  [17692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9909),
  [17694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6731),
  [17696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9701),
  [17698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9268),
  [17700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3031),
  [17702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3042),
  [17704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_role, 3, 0, 0),
  [17706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3051),
  [17708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9119),
  [17710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [17712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [17714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_index, 4, 0, 0),
  [17716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5564),
  [17718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4459),
  [17720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6730),
  [17722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2148),
  [17724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11461),
  [17726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 5, 0, 183),
  [17728] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0), SHIFT_REPEAT(1363),
  [17731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__create_trigger_event, 1, 0, 0),
  [17733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9781),
  [17735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8864),
  [17737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6727),
  [17739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11862),
  [17741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [17743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4440),
  [17745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6740),
  [17747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3063),
  [17749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2593),
  [17751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3087),
  [17753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6382),
  [17755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3096),
  [17757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_role, 5, 0, 0),
  [17759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12783),
  [17761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6722),
  [17763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_sequence, 4, 0, 0),
  [17765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [17767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_role, 5, 0, 59),
  [17769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6699),
  [17771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2167),
  [17773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_index, 6, 0, 0),
  [17775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3068),
  [17777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11557),
  [17779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 3, 0, 127),
  [17781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8243),
  [17783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11886),
  [17785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [17787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8464),
  [17789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9298),
  [17791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9101),
  [17793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13589),
  [17795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13727),
  [17797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11468),
  [17799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 5, 0, 182),
  [17801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6842),
  [17803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9217),
  [17805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12904),
  [17807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12459),
  [17809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11680),
  [17811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9146),
  [17813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9677),
  [17815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9932),
  [17817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10627),
  [17819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_view, 4, 0, 0),
  [17821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6839),
  [17823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6833),
  [17825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8675),
  [17827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8992),
  [17829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14549),
  [17831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_sequence, 6, 0, 0),
  [17833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8465),
  [17835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11663),
  [17837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 2, 0, 87),
  [17839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12130),
  [17841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10057),
  [17843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8985),
  [17845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14551),
  [17847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8425),
  [17849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11654),
  [17851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 2, 0, 88),
  [17853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14364),
  [17855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8447),
  [17857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_type, 11, 0, 214),
  [17859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3275),
  [17861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10494),
  [17863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8956),
  [17865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14552),
  [17867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [17869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10497),
  [17871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [17873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8457),
  [17875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4360),
  [17877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [17879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7619),
  [17881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11547),
  [17883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [17885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8370),
  [17887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6936),
  [17889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_index, 11, 0, 226),
  [17891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4472),
  [17893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10678),
  [17895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_type, 11, 0, 169),
  [17897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__compute_stats, 11, 0, 0),
  [17899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3235),
  [17901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10106),
  [17903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11322),
  [17905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__copy_statement, 11, 0, 200),
  [17907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reset_statement, 2, 0, 0),
  [17909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3206),
  [17911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__transaction_mode, 8, 0, 0),
  [17913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3278),
  [17915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3281),
  [17917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11564),
  [17919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 3, 0, 125),
  [17921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3099),
  [17923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_view, 5, 0, 0),
  [17925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11266),
  [17927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9993),
  [17929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10575),
  [17931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_sequence, 5, 0, 0),
  [17933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8399),
  [17935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12531),
  [17937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8955),
  [17939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14554),
  [17941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [17943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9110),
  [17945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3722),
  [17947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_index, 5, 0, 0),
  [17949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [17951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [17953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11259),
  [17955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8325),
  [17957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_index_fields_repeat1, 2, 0, 0),
  [17959] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_index_fields_repeat1, 2, 0, 0), SHIFT_REPEAT(7355),
  [17962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [17964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [17966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [17968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 1),
  [17970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3333),
  [17972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 0),
  [17974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3340),
  [17976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6407),
  [17978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3345),
  [17980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10189),
  [17982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12577),
  [17984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12576),
  [17986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6671),
  [17988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dml_write, 1, 0, 0),
  [17990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6403),
  [17992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10183),
  [17994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_database, 5, 0, 0),
  [17996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7490),
  [17998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3623),
  [18000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__ddl_statement, 1, 0, 2),
  [18002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11415),
  [18004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 7, 0, 223),
  [18006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [18008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3359),
  [18010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6702),
  [18012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_type_repeat1, 2, 0, 56),
  [18014] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_type_repeat1, 2, 0, 56), SHIFT_REPEAT(8819),
  [18017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_database, 5, 0, 65),
  [18019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6724),
  [18021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8463),
  [18023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__ddl_statement, 1, 0, 3),
  [18025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 5, 0, 0),
  [18027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_trigger_repeat1, 2, 0, 0),
  [18029] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_trigger_repeat1, 2, 0, 0), SHIFT_REPEAT(8871),
  [18032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_arguments_repeat1, 2, 0, 0),
  [18034] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(5),
  [18037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6862),
  [18039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6814),
  [18041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reset_statement, 3, 0, 0),
  [18043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6695),
  [18045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_table, 5, 0, 0),
  [18047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9576),
  [18049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [18051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8189),
  [18053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11810),
  [18055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [18057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8525),
  [18059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8637),
  [18061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8984),
  [18063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12049),
  [18065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2820),
  [18067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_view, 5, 0, 0),
  [18069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_sequence, 5, 0, 0),
  [18071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9413),
  [18073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [18075] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_table_repeat1, 2, 0, 0), SHIFT_REPEAT(6382),
  [18078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9257),
  [18080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13810),
  [18082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7284),
  [18084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4829),
  [18086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5273),
  [18088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8426),
  [18090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9832),
  [18092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7630),
  [18094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10685),
  [18096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4807),
  [18098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8522),
  [18100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__vacuum_option, 2, 0, 0),
  [18102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_index, 5, 0, 15),
  [18104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4469),
  [18106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2807),
  [18108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__comment_target, 2, 0, 0),
  [18110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [18112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11838),
  [18114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2804),
  [18116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_type, 5, 0, 0),
  [18118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8944),
  [18120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14557),
  [18122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10712),
  [18124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4477),
  [18126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4478),
  [18128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8943),
  [18130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14558),
  [18132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4481),
  [18134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_schema, 5, 0, 0),
  [18136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2802),
  [18138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12630),
  [18140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8942),
  [18142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14560),
  [18144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8940),
  [18146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14562),
  [18148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8470),
  [18150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11236),
  [18152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8705),
  [18154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12051),
  [18156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12053),
  [18158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6684),
  [18160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2955),
  [18162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12603),
  [18164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8430),
  [18166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6608),
  [18168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11254),
  [18170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11253),
  [18172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8435),
  [18174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12258),
  [18176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5244),
  [18178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9173),
  [18180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4498),
  [18182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4509),
  [18184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8497),
  [18186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4514),
  [18188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__vacuum_table, 5, 0, 0),
  [18190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2792),
  [18192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8789),
  [18194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14026),
  [18196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3013),
  [18198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2789),
  [18200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2587),
  [18202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4536),
  [18204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10369),
  [18206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2788),
  [18208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_type, 9, 0, 197),
  [18210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12093),
  [18212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12092),
  [18214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12006),
  [18216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_type, 9, 0, 169),
  [18218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8458),
  [18220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13853),
  [18222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11605),
  [18224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_configuration, 3, 0, 26),
  [18226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8459),
  [18228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9102),
  [18230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12535),
  [18232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12533),
  [18234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2783),
  [18236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8461),
  [18238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6836),
  [18240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12662),
  [18242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10255),
  [18244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3949),
  [18246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9206),
  [18248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13835),
  [18250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13759),
  [18252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [18254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4117),
  [18256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8645),
  [18258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [18260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10828),
  [18262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4503),
  [18264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_index, 9, 0, 196),
  [18266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_index, 9, 0, 0),
  [18268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_index, 9, 0, 195),
  [18270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10829),
  [18272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4437),
  [18274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9730),
  [18276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10273),
  [18278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_role, 8, 0, 0),
  [18280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [18282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6639),
  [18284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_values, 2, 0, 0),
  [18286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6670),
  [18288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [18290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [18292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11245),
  [18294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [18296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_role, 8, 0, 162),
  [18298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_sequence, 7, 0, 0),
  [18300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9768),
  [18302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_index, 7, 0, 0),
  [18304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11243),
  [18306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12721),
  [18308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comment_statement, 5, 0, 0),
  [18310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dml_write, 2, 0, 0),
  [18312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12780),
  [18314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11230),
  [18316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [18318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_statement, 3, 0, 0),
  [18320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comment_statement, 5, 0, 57),
  [18322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8565),
  [18324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6706),
  [18326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11583),
  [18328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7445),
  [18330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9031),
  [18332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8518),
  [18334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8542),
  [18336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13374),
  [18338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14050),
  [18340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11534),
  [18342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11008),
  [18344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [18346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [18348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8550),
  [18350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [18352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13981),
  [18354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [18356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6866),
  [18358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6865),
  [18360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__table_settings_repeat1, 2, 0, 0),
  [18362] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__table_settings_repeat1, 2, 0, 0), SHIFT_REPEAT(7469),
  [18365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [18367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [18369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [18371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10174),
  [18373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9609),
  [18375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6858),
  [18377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6778),
  [18379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6265),
  [18381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10167),
  [18383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2943),
  [18385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9683),
  [18387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12839),
  [18389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [18391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9680),
  [18393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [18395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1947),
  [18397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9678),
  [18399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_database, 7, 0, 0),
  [18401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8428),
  [18403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [18405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8413),
  [18407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6832),
  [18409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6825),
  [18411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5509),
  [18413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9666),
  [18415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9664),
  [18417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8580),
  [18419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12750),
  [18421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9656),
  [18423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5743),
  [18425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6281),
  [18427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9655),
  [18429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3357),
  [18431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14128),
  [18433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_storage_parameters_repeat1, 2, 0, 0),
  [18435] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_storage_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(10026),
  [18438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6717),
  [18440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6870),
  [18442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9648),
  [18444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [18446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9015),
  [18448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14121),
  [18450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3319),
  [18452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3318),
  [18454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3299),
  [18456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8579),
  [18458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14357),
  [18460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11604),
  [18462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9176),
  [18464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1929),
  [18466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [18468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8586),
  [18470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9646),
  [18472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8276),
  [18474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14033),
  [18476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_index, 7, 0, 66),
  [18478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7135),
  [18480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6815),
  [18482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9469),
  [18484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12898),
  [18486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_index, 7, 0, 33),
  [18488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9625),
  [18490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1913),
  [18492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9623),
  [18494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10909),
  [18496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9691),
  [18498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3215),
  [18500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3495),
  [18502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3204),
  [18504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8477),
  [18506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2966),
  [18508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3156),
  [18510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6682),
  [18512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8180),
  [18514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8822),
  [18516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8429),
  [18518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7082),
  [18520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13920),
  [18522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13923),
  [18524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6654),
  [18526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6668),
  [18528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2901),
  [18530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3126),
  [18532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_elements_repeat1, 2, 0, 188),
  [18534] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_elements_repeat1, 2, 0, 188), SHIFT_REPEAT(9038),
  [18537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9608),
  [18539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3438),
  [18541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11233),
  [18543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11994),
  [18545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7427),
  [18547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [18549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9172),
  [18551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12784),
  [18553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6680),
  [18555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8515),
  [18557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__vacuum_table, 7, 0, 0),
  [18559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13765),
  [18561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9594),
  [18563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9591),
  [18565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12957),
  [18567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__transaction_mode, 6, 0, 0),
  [18569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [18571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9479),
  [18573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7270),
  [18575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11173),
  [18577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4719),
  [18579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_index, 8, 0, 0),
  [18581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10813),
  [18583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10812),
  [18585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4707),
  [18587] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__compute_stats_repeat2, 2, 0, 0), SHIFT_REPEAT(8593),
  [18590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_index, 8, 0, 168),
  [18592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4903),
  [18594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__optimize_table, 7, 0, 0),
  [18596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8653),
  [18598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8660),
  [18600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11812),
  [18602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7434),
  [18604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_type, 8, 0, 170),
  [18606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4878),
  [18608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4877),
  [18610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4875),
  [18612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_type, 8, 0, 138),
  [18614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9423),
  [18616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9571),
  [18618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9569),
  [18620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_invocation_repeat1, 2, 0, 70),
  [18622] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_invocation_repeat1, 2, 0, 70), SHIFT_REPEAT(615),
  [18625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5490),
  [18627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [18629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_index, 8, 0, 66),
  [18631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_frame_definition, 1, 0, 0),
  [18633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13016),
  [18635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2985),
  [18637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9547),
  [18639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11507),
  [18641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 4, 0, 88),
  [18643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4035),
  [18645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4852),
  [18647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4847),
  [18649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8957),
  [18651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4841),
  [18653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8774),
  [18655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11513),
  [18657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 4, 0, 87),
  [18659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11516),
  [18661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 4, 0, 157),
  [18663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5569),
  [18665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8294),
  [18667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4828),
  [18669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8625),
  [18671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8554),
  [18673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8627),
  [18675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8617),
  [18677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6770),
  [18679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_repeat1, 2, 0, 148),
  [18681] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_repeat1, 2, 0, 148), SHIFT_REPEAT(9096),
  [18684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_returning, 2, 0, 0),
  [18686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9407),
  [18688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8557),
  [18690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8564),
  [18692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11204),
  [18694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11197),
  [18696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [18698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11196),
  [18700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8938),
  [18702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8672),
  [18704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11185),
  [18706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11181),
  [18708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8753),
  [18710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_statement, 6, 0, 0),
  [18712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11170),
  [18714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [18716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8671),
  [18718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11166),
  [18720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3953),
  [18722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2318),
  [18724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4242),
  [18726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__truncate_statement, 6, 0, 0),
  [18728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2273),
  [18730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11165),
  [18732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13075),
  [18734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11156),
  [18736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13437),
  [18738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3554),
  [18740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11140),
  [18742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6772),
  [18744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13134),
  [18746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraints, 3, 0, 0),
  [18748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11126),
  [18750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11123),
  [18752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3085),
  [18754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3574),
  [18756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3576),
  [18758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6773),
  [18760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3595),
  [18762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2467),
  [18764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6771),
  [18766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8698),
  [18768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2389),
  [18770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13265),
  [18772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_trigger_repeat3, 2, 0, 70),
  [18774] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_trigger_repeat3, 2, 0, 70), SHIFT_REPEAT(772),
  [18777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11108),
  [18779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11107),
  [18781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2373),
  [18783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3383),
  [18785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8766),
  [18787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3841),
  [18789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4614),
  [18791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3257),
  [18793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3176),
  [18795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3173),
  [18797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8708),
  [18799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4640),
  [18801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3256),
  [18803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3272),
  [18805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3288),
  [18807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8710),
  [18809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__update_statement, 2, 0, 0),
  [18811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3621),
  [18813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_constraints_repeat1, 2, 0, 0),
  [18815] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_constraints_repeat1, 2, 0, 0), SHIFT_REPEAT(7393),
  [18818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3629),
  [18820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3348),
  [18822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3610),
  [18824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__delete_statement, 3, 0, 0),
  [18826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4549),
  [18828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4527),
  [18830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3835),
  [18832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9619),
  [18834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11066),
  [18836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3681),
  [18838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11063),
  [18840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [18842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8720),
  [18844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8719),
  [18846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [18848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8729),
  [18850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5217),
  [18852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__column_list_repeat1, 2, 0, 0),
  [18854] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__column_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7915),
  [18857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [18859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [18861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [18863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8334),
  [18865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [18867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11045),
  [18869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__insert_statement, 2, 0, 0),
  [18871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9534),
  [18873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2586),
  [18875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11043),
  [18877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8742),
  [18879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5185),
  [18881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8340),
  [18883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8735),
  [18885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2598),
  [18887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8741),
  [18889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10990),
  [18891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [18893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [18895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13189),
  [18897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11021),
  [18899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11017),
  [18901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13227),
  [18903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [18905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__transaction_mode, 7, 0, 0),
  [18907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_type, 13, 0, 214),
  [18909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8647),
  [18911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2143),
  [18913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12706),
  [18915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5179),
  [18917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13117),
  [18919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5180),
  [18921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13118),
  [18923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5181),
  [18925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13119),
  [18927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4691),
  [18929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4686),
  [18931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__column_list_repeat1, 2, 0, 40),
  [18933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11918),
  [18935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10116),
  [18937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7972),
  [18939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2170),
  [18941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2172),
  [18943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2352),
  [18945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12386),
  [18947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [18949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4632),
  [18951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13176),
  [18953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4635),
  [18955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13177),
  [18957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4636),
  [18959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13178),
  [18961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8245),
  [18963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8245),
  [18965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8954),
  [18967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14093),
  [18969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6641),
  [18971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8649),
  [18973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [18975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7946),
  [18977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2210),
  [18979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3356),
  [18981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [18983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8703),
  [18985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3845),
  [18987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13060),
  [18989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2655),
  [18991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2653),
  [18993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3853),
  [18995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13059),
  [18997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3904),
  [18999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13058),
  [19001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2356),
  [19003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12432),
  [19005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2354),
  [19007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12291),
  [19009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9374),
  [19011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9362),
  [19013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9391),
  [19015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2418),
  [19017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13217),
  [19019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2417),
  [19021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13218),
  [19023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2416),
  [19025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13219),
  [19027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9401),
  [19029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_trigger_repeat3, 2, 0, 68),
  [19031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 9, 0, 223),
  [19033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9412),
  [19035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6651),
  [19037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14369),
  [19039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6887),
  [19041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11409),
  [19043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11408),
  [19045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 8, 0, 223),
  [19047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 8, 0, 157),
  [19049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9429),
  [19051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_alter_index_repeat1, 4, 0, 231),
  [19053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14308),
  [19055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6884),
  [19057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6636),
  [19059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 7, 0, 185),
  [19061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 7, 0, 183),
  [19063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 7, 0, 182),
  [19065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11417),
  [19067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11416),
  [19069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4586),
  [19071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4587),
  [19073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11418),
  [19075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 7, 0, 157),
  [19077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9372),
  [19079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11425),
  [19081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9780),
  [19083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14245),
  [19085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7810),
  [19087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4148),
  [19089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13255),
  [19091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4158),
  [19093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13256),
  [19095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4207),
  [19097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13257),
  [19099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9802),
  [19101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14232),
  [19103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7796),
  [19105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9851),
  [19107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6735),
  [19109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14219),
  [19111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7684),
  [19113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14218),
  [19115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7784),
  [19117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11426),
  [19119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11457),
  [19121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 6, 0, 185),
  [19123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14203),
  [19125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7706),
  [19127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14202),
  [19129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7758),
  [19131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 6, 0, 88),
  [19133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11428),
  [19135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11427),
  [19137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 6, 0, 183),
  [19139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14187),
  [19141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7721),
  [19143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14186),
  [19145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7733),
  [19147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 6, 0, 87),
  [19149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11430),
  [19151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11429),
  [19153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 6, 0, 182),
  [19155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14170),
  [19157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7700),
  [19159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14169),
  [19161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7762),
  [19163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11434),
  [19165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11908),
  [19167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9245),
  [19169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10657),
  [19171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9242),
  [19173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5552),
  [19175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5549),
  [19177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11441),
  [19179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9936),
  [19181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7962),
  [19183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9317),
  [19185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9318),
  [19187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9319),
  [19189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9321),
  [19191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9324),
  [19193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9330),
  [19195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9331),
  [19197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9334),
  [19199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9342),
  [19201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__commit, 1, 0, 0),
  [19203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13595),
  [19205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9361),
  [19207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 5, 0, 127),
  [19209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11488),
  [19211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11456),
  [19213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9377),
  [19215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11460),
  [19217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 5, 0, 88),
  [19219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 5, 0, 125),
  [19221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11464),
  [19223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11463),
  [19225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11467),
  [19227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 5, 0, 87),
  [19229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11471),
  [19231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11470),
  [19233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11472),
  [19235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9113),
  [19237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [19239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8042),
  [19241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8817),
  [19243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14097),
  [19245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7382),
  [19247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_storage_parameters_repeat1, 4, 0, 0),
  [19249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8044),
  [19251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [19253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11484),
  [19255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10172),
  [19257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14081),
  [19259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7398),
  [19261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14079),
  [19263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7399),
  [19265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14078),
  [19267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13430),
  [19269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11486),
  [19271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10176),
  [19273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6968),
  [19275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13414),
  [19277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14067),
  [19279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7641),
  [19281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14060),
  [19283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13390),
  [19285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ordered_column, 2, 0, 6),
  [19287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14129),
  [19289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10002),
  [19291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14048),
  [19293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7867),
  [19295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14119),
  [19297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_argument, 5, 0, 20),
  [19299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9789),
  [19301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7701),
  [19303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10249),
  [19305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5498),
  [19307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13001),
  [19309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5507),
  [19311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13000),
  [19313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5508),
  [19315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12999),
  [19317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_elements_repeat1, 2, 0, 160),
  [19319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11504),
  [19321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11503),
  [19323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 4, 0, 127),
  [19325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7802),
  [19327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9367),
  [19329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__rollback, 1, 0, 0),
  [19331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13591),
  [19333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11508),
  [19335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11511),
  [19337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11509),
  [19339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 4, 0, 125),
  [19341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13766),
  [19343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11514),
  [19345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11517),
  [19347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4430),
  [19349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4434),
  [19351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7955),
  [19353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8939),
  [19355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7996),
  [19357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [19359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [19361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11524),
  [19363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2, 0, 0),
  [19365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11625),
  [19367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11532),
  [19369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9840),
  [19371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6981),
  [19373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13394),
  [19375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9599),
  [19377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10068),
  [19379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [19381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9352),
  [19383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13870),
  [19385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8585),
  [19387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7774),
  [19389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9380),
  [19391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8039),
  [19393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(831),
  [19395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2694),
  [19397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6644),
  [19399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11527),
  [19401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9859),
  [19403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6648),
  [19405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6642),
  [19407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7941),
  [19409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9284),
  [19411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6691),
  [19413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7464),
  [19415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_argument, 4, 0, 50),
  [19417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8781),
  [19419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14011),
  [19421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7960),
  [19423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10107),
  [19425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9021),
  [19427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10108),
  [19429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10161),
  [19431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7487),
  [19433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8401),
  [19435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10222),
  [19437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9126),
  [19439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [19441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13481),
  [19443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [19445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13478),
  [19447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [19449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13477),
  [19451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12709),
  [19453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11646),
  [19455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10318),
  [19457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9207),
  [19459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9012),
  [19461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10360),
  [19463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13368),
  [19465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [19467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11566),
  [19469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11565),
  [19471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11666),
  [19473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10443),
  [19475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11559),
  [19477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11558),
  [19479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13606),
  [19481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11269),
  [19483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13602),
  [19485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10470),
  [19487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11562),
  [19489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6899),
  [19491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7144),
  [19493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12942),
  [19495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10518),
  [19497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7145),
  [19499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12941),
  [19501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7148),
  [19503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12940),
  [19505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11567),
  [19507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_index_fields_repeat1, 2, 0, 124),
  [19509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11686),
  [19511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10613),
  [19513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11688),
  [19515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10616),
  [19517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7741),
  [19519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9417),
  [19521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13570),
  [19523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11256),
  [19525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13566),
  [19527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10637),
  [19529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6923),
  [19531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7254),
  [19533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7253),
  [19535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8073),
  [19537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13982),
  [19539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9489),
  [19541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7446),
  [19543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11714),
  [19545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10771),
  [19547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8068),
  [19549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [19551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11710),
  [19553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10770),
  [19555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13519),
  [19557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11921),
  [19559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13513),
  [19561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10794),
  [19563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11913),
  [19565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7415),
  [19567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11731),
  [19569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10859),
  [19571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11649),
  [19573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11902),
  [19575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11900),
  [19577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11733),
  [19579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10865),
  [19581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8112),
  [19583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [19585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13952),
  [19587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11223),
  [19589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11883),
  [19591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11881),
  [19593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7767),
  [19595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9428),
  [19597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11740),
  [19599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10930),
  [19601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11575),
  [19603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13972),
  [19605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13482),
  [19607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6905),
  [19609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8116),
  [19611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11753),
  [19613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10893),
  [19615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [19617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12883),
  [19619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [19621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12882),
  [19623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [19625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12881),
  [19627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11860),
  [19629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13509),
  [19631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11858),
  [19633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9453),
  [19635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11856),
  [19637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9486),
  [19639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13471),
  [19641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6901),
  [19643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6683),
  [19645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11578),
  [19647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12048),
  [19649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7256),
  [19651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11671),
  [19653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11582),
  [19655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12135),
  [19657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7268),
  [19659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_invocation_repeat1, 4, 0, 36),
  [19661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_repeat1, 2, 0, 146),
  [19663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2870),
  [19665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4879),
  [19667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11811),
  [19669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9513),
  [19671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13470),
  [19673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7377),
  [19675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7954),
  [19677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7801),
  [19679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9402),
  [19681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11760),
  [19683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3467),
  [19685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3466),
  [19687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7428),
  [19689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8383),
  [19691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13010),
  [19693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13435),
  [19695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7405),
  [19697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13432),
  [19699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7404),
  [19701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7432),
  [19703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6287),
  [19705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12189),
  [19707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6286),
  [19709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12190),
  [19711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6285),
  [19713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12191),
  [19715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7419),
  [19717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14021),
  [19719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9590),
  [19721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8624),
  [19723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13899),
  [19725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7984),
  [19727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8287),
  [19729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8287),
  [19731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7188),
  [19733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7189),
  [19735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12072),
  [19737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7930),
  [19739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [19741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9497),
  [19743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9485),
  [19745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [19747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9694),
  [19749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12000),
  [19751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9481),
  [19753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7816),
  [19755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8845),
  [19757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11690),
  [19759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12896),
  [19761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [19763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9470),
  [19765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5237),
  [19767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12276),
  [19769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5238),
  [19771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12277),
  [19773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5239),
  [19775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12278),
  [19777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10105),
  [19779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [19781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9460),
  [19783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [19785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7973),
  [19787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7728),
  [19789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8991),
  [19791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [19793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9494),
  [19795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [19797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7963),
  [19799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6734),
  [19801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [19803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9566),
  [19805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [19807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7956),
  [19809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_arguments, 4, 0, 0),
  [19811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_argument, 3, 0, 58),
  [19813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2860),
  [19815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12824),
  [19817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2948),
  [19819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12823),
  [19821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2947),
  [19823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12822),
  [19825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7993),
  [19827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3964),
  [19829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3968),
  [19831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_type_repeat1, 2, 0, 129),
  [19833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [19835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9668),
  [19837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [19839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8007),
  [19841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3196),
  [19843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12358),
  [19845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3197),
  [19847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12359),
  [19849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3198),
  [19851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12360),
  [19853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [19855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8250),
  [19857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [19859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9755),
  [19861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_arguments, 3, 0, 0),
  [19863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [19865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8071),
  [19867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [19869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9838),
  [19871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [19873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7943),
  [19875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11655),
  [19877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11664),
  [19879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7914),
  [19881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9286),
  [19883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13584),
  [19885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9804),
  [19887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8037),
  [19889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6370),
  [19891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6364),
  [19893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2723),
  [19895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3870),
  [19897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9311),
  [19899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9329),
  [19901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9963),
  [19903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8114),
  [19905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8238),
  [19907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [19909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9751),
  [19911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [19913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8119),
  [19915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9927),
  [19917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8907),
  [19919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13188),
  [19921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12453),
  [19923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9917),
  [19925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9914),
  [19927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [19929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [19931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8092),
  [19933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3507),
  [19935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12436),
  [19937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3508),
  [19939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12437),
  [19941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3509),
  [19943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12438),
  [19945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [19947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10060),
  [19949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [19951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8083),
  [19953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11726),
  [19955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13500),
  [19957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11001),
  [19959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10130),
  [19961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [19963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8078),
  [19965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9437),
  [19967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [19969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11718),
  [19971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_value_pair, 3, 0, 120),
  [19973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8047),
  [19975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_alter_column_repeat1, 2, 0, 117),
  [19977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4654),
  [19979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4655),
  [19981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11772),
  [19983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [19985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10221),
  [19987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [19989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8054),
  [19991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [19993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6154),
  [19995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12508),
  [19997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6153),
  [19999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12509),
  [20001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6152),
  [20003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12510),
  [20005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [20007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10140),
  [20009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [20011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8031),
  [20013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [20015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13569),
  [20017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7650),
  [20019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12218),
  [20021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12216),
  [20023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9999),
  [20025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8932),
  [20027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [20029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10019),
  [20031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [20033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8022),
  [20035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [20037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3775),
  [20039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12765),
  [20041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3777),
  [20043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12764),
  [20045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3778),
  [20047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12763),
  [20049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8074),
  [20051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(844),
  [20053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [20055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_invocation_repeat1, 3, 0, 68),
  [20057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4169),
  [20059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12580),
  [20061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4170),
  [20063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12581),
  [20065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4172),
  [20067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12582),
  [20069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [20071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9897),
  [20073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9249),
  [20075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [20077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7994),
  [20079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [20081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3862),
  [20083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3860),
  [20085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8091),
  [20087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9757),
  [20089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9340),
  [20091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [20093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7986),
  [20095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [20097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13415),
  [20099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7392),
  [20101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5798),
  [20103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5841),
  [20105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11789),
  [20107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9589),
  [20109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9396),
  [20111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [20113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7964),
  [20115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7413),
  [20117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5704),
  [20119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12645),
  [20121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5703),
  [20123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12646),
  [20125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5702),
  [20127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12647),
  [20129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14161),
  [20131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_cte_repeat1, 2, 0, 100),
  [20133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8082),
  [20135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2381),
  [20137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2379),
  [20139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_arguments, 2, 0, 0),
  [20141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8495),
  [20143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13312),
  [20145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [20147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [20149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12705),
  [20151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2140),
  [20153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12704),
  [20155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7754),
  [20157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8849),
  [20159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11661),
  [20161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6243),
  [20163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4838),
  [20165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2150),
  [20167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2149),
  [20169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2147),
  [20171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2146),
  [20173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2139),
  [20175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2138),
  [20177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2136),
  [20179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2369),
  [20181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13310),
  [20183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9632),
  [20185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4083),
  [20187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2164),
  [20189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [20191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8494),
  [20193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [20195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8476),
  [20197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4110),
  [20199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [20201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [20203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9379),
  [20205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7397),
  [20207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7639),
  [20209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6662),
  [20211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5634),
  [20213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13389),
  [20215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4963),
  [20217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5643),
  [20219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5644),
  [20221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7337),
  [20223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5027),
  [20225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4962),
  [20227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7188),
  [20229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4961),
  [20231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5653),
  [20233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7755),
  [20235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5654),
  [20237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5028),
  [20239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5039),
  [20241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [20243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5599),
  [20245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9640),
  [20247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7839),
  [20249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5683),
  [20251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6647),
  [20253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5685),
  [20255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9502),
  [20257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_character, 1, 0, 0),
  [20259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5686),
  [20261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5687),
  [20263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5688),
  [20265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2397),
  [20267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5056),
  [20269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5501),
  [20271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5059),
  [20273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6792),
  [20275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5689),
  [20277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5690),
  [20279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2156),
  [20281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4949),
  [20283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4948),
  [20285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2157),
  [20287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11477),
  [20289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4947),
  [20291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4946),
  [20293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4944),
  [20295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3390),
  [20297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3391),
  [20299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5696),
  [20301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14480),
  [20303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5697),
  [20305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2970),
  [20307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5699),
  [20309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5700),
  [20311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3820),
  [20313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [20315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11273),
  [20317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3097),
  [20319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5705),
  [20321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5706),
  [20323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5707),
  [20325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5876),
  [20327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5084),
  [20329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4034),
  [20331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2402),
  [20333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13812),
  [20335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9393),
  [20337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2158),
  [20339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2160),
  [20341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2161),
  [20343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2162),
  [20345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2212),
  [20347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11785),
  [20349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13388),
  [20351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9606),
  [20353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14520),
  [20355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1847),
  [20357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2166),
  [20359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7390),
  [20361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8437),
  [20363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9382),
  [20365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9627),
  [20367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5996),
  [20369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [20371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [20373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3069),
  [20375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6621),
  [20377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3067),
  [20379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9471),
  [20381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13372),
  [20383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13371),
  [20385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13370),
  [20387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11790),
  [20389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11791),
  [20391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11792),
  [20393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13361),
  [20395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13360),
  [20397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2211),
  [20399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13359),
  [20401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13358),
  [20403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13357),
  [20405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13351),
  [20407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13350),
  [20409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13348),
  [20411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13347),
  [20413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13346),
  [20415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13344),
  [20417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13343),
  [20419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13342),
  [20421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4280),
  [20423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__comment_target, 4, 0, 0),
  [20425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3044),
  [20427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14508),
  [20429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4289),
  [20431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [20433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14521),
  [20435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3374),
  [20437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13333),
  [20439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13332),
  [20441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13329),
  [20443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13327),
  [20445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13326),
  [20447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13325),
  [20449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4183),
  [20451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4279),
  [20453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [20455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [20457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14507),
  [20459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14505),
  [20461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3365),
  [20463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14494),
  [20465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13317),
  [20467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13316),
  [20469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13314),
  [20471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13185),
  [20473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3364),
  [20475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3004),
  [20477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4263),
  [20479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4262),
  [20481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [20483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14493),
  [20485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14490),
  [20487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12019),
  [20489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13304),
  [20491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13303),
  [20493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2229),
  [20495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [20497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [20499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [20501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2230),
  [20503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13299),
  [20505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [20507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [20509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [20511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14447),
  [20513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14423),
  [20515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4235),
  [20517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14414),
  [20519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13309),
  [20521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2249),
  [20523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13308),
  [20525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4233),
  [20527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4232),
  [20529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4231),
  [20531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14405),
  [20533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9770),
  [20535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14404),
  [20537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14403),
  [20539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4230),
  [20541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4228),
  [20543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [20545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [20547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11391),
  [20549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11393),
  [20551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6052),
  [20553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11304),
  [20555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13164),
  [20557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13162),
  [20559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13149),
  [20561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11820),
  [20563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11821),
  [20565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11823),
  [20567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13137),
  [20569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13135),
  [20571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [20573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13133),
  [20575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13131),
  [20577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13130),
  [20579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13116),
  [20581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13115),
  [20583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13114),
  [20585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13106),
  [20587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13103),
  [20589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13102),
  [20591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13090),
  [20593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13080),
  [20595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [20597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [20599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13301),
  [20601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14282),
  [20603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10975),
  [20605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6769),
  [20607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14276),
  [20609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4210),
  [20611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13063),
  [20613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13062),
  [20615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13056),
  [20617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12928),
  [20619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13047),
  [20621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13046),
  [20623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4209),
  [20625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3327),
  [20627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4610),
  [20629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3326),
  [20631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14162),
  [20633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3325),
  [20635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3323),
  [20637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6602),
  [20639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13019),
  [20641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13018),
  [20643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13017),
  [20645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13015),
  [20647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3322),
  [20649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9724),
  [20651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4191),
  [20653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4190),
  [20655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [20657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4184),
  [20659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13008),
  [20661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13003),
  [20663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12998),
  [20665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3721),
  [20667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13436),
  [20669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4178),
  [20671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [20673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4175),
  [20675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12988),
  [20677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [20679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [20681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [20683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8019),
  [20685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9970),
  [20687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4602),
  [20689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [20691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9910),
  [20693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4164),
  [20695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4028),
  [20697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [20699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [20701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4153),
  [20703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11611),
  [20705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4427),
  [20707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12929),
  [20709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12867),
  [20711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12926),
  [20713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11853),
  [20715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11854),
  [20717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11855),
  [20719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12901),
  [20721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12900),
  [20723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [20725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12899),
  [20727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12895),
  [20729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12894),
  [20731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12890),
  [20733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12885),
  [20735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12879),
  [20737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12878),
  [20739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12870),
  [20741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12869),
  [20743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12807),
  [20745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12866),
  [20747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6107),
  [20749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3283),
  [20751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2875),
  [20753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3534),
  [20755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12842),
  [20757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12841),
  [20759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12840),
  [20761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12838),
  [20763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12837),
  [20765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12836),
  [20767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2854),
  [20769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6676),
  [20771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3951),
  [20773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [20775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3783),
  [20777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3782),
  [20779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12827),
  [20781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12826),
  [20783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12821),
  [20785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12820),
  [20787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4286),
  [20789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3779),
  [20791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13425),
  [20793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13426),
  [20795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [20797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13427),
  [20799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2516),
  [20801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12810),
  [20803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12808),
  [20805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12677),
  [20807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7327),
  [20809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2515),
  [20811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2514),
  [20813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [20815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2513),
  [20817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12795),
  [20819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [20821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [20823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3748),
  [20825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3746),
  [20827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2512),
  [20829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2510),
  [20831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6119),
  [20833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13433),
  [20835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10032),
  [20837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [20839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [20841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5478),
  [20843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6122),
  [20845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7652),
  [20847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6123),
  [20849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12719),
  [20851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12718),
  [20853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12717),
  [20855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11897),
  [20857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11898),
  [20859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11899),
  [20861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12692),
  [20863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12690),
  [20865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3110),
  [20867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12689),
  [20869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12650),
  [20871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12668),
  [20873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12667),
  [20875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12665),
  [20877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12664),
  [20879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12663),
  [20881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12661),
  [20883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12660),
  [20885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12659),
  [20887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12658),
  [20889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6139),
  [20891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5573),
  [20893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [20895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3719),
  [20897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5575),
  [20899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8945),
  [20901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6129),
  [20903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6130),
  [20905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12643),
  [20907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12642),
  [20909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12641),
  [20911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12634),
  [20913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12633),
  [20915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12631),
  [20917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3117),
  [20919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3121),
  [20921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [20923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13412),
  [20925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13458),
  [20927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6140),
  [20929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6111),
  [20931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12607),
  [20933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12606),
  [20935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12605),
  [20937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12604),
  [20939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6141),
  [20941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [20943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6142),
  [20945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6143),
  [20947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [20949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12599),
  [20951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12594),
  [20953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12593),
  [20955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2941),
  [20957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3136),
  [20959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3942),
  [20961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12587),
  [20963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2965),
  [20965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12029),
  [20967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2964),
  [20969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3140),
  [20971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13441),
  [20973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6144),
  [20975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8831),
  [20977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10152),
  [20979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6145),
  [20981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__comment_target, 2, 0, 34),
  [20983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5656),
  [20985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13489),
  [20987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5657),
  [20989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5659),
  [20991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12512),
  [20993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12507),
  [20995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12506),
  [20997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11934),
  [20999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11935),
  [21001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11938),
  [21003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12501),
  [21005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12494),
  [21007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5664),
  [21009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12493),
  [21011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12491),
  [21013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12490),
  [21015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12488),
  [21017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12487),
  [21019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12475),
  [21021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12466),
  [21023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12465),
  [21025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12462),
  [21027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12460),
  [21029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12457),
  [21031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5665),
  [21033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5408),
  [21035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2963),
  [21037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5407),
  [21039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6146),
  [21041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2962),
  [21043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6147),
  [21045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6149),
  [21047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12443),
  [21049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12442),
  [21051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12440),
  [21053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12435),
  [21055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12434),
  [21057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12415),
  [21059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6150),
  [21061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3700),
  [21063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3699),
  [21065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3336),
  [21067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4217),
  [21069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6155),
  [21071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6156),
  [21073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12422),
  [21075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12421),
  [21077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12419),
  [21079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12416),
  [21081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6157),
  [21083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [21085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6368),
  [21087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13442),
  [21089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12393),
  [21091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12391),
  [21093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12390),
  [21095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [21097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3188),
  [21099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12385),
  [21101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [21103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [21105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [21107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [21109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transaction, 4, 0, 0),
  [21111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10201),
  [21113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 4, 0, 0),
  [21115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13450),
  [21117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13294),
  [21119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3342),
  [21121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11768),
  [21123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12312),
  [21125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12309),
  [21127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12308),
  [21129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11966),
  [21131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11967),
  [21133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11968),
  [21135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12294),
  [21137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12292),
  [21139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6275),
  [21141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12180),
  [21143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12285),
  [21145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12283),
  [21147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12282),
  [21149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12280),
  [21151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12274),
  [21153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12273),
  [21155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12271),
  [21157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12269),
  [21159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12268),
  [21161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12261),
  [21163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4420),
  [21165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9427),
  [21167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4428),
  [21169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [21171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3648),
  [21173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10748),
  [21175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12227),
  [21177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12226),
  [21179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12221),
  [21181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12220),
  [21183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12219),
  [21185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12214),
  [21187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3646),
  [21189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6543),
  [21191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [21193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12963),
  [21195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6655),
  [21197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3644),
  [21199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11763),
  [21201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12196),
  [21203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12195),
  [21205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12193),
  [21207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12187),
  [21209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3637),
  [21211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3631),
  [21213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3630),
  [21215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3608),
  [21217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [21219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12181),
  [21221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12166),
  [21223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12173),
  [21225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9434),
  [21227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2938),
  [21229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3600),
  [21231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12170),
  [21233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3358),
  [21235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3363),
  [21237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3563),
  [21239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3599),
  [21241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5715),
  [21243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [21245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [21247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10126),
  [21249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2937),
  [21251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2936),
  [21253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3581),
  [21255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3580),
  [21257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5692),
  [21259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5662),
  [21261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12112),
  [21263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12111),
  [21265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12110),
  [21267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12001),
  [21269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12002),
  [21271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12003),
  [21273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12105),
  [21275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12104),
  [21277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3564),
  [21279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12102),
  [21281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12099),
  [21283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12098),
  [21285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12097),
  [21287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12096),
  [21289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12095),
  [21291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12094),
  [21293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12090),
  [21295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12089),
  [21297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12087),
  [21299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12086),
  [21301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7827),
  [21303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3547),
  [21305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [21307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3546),
  [21309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3543),
  [21311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12080),
  [21313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12079),
  [21315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12078),
  [21317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12075),
  [21319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12073),
  [21321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12070),
  [21323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3542),
  [21325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3541),
  [21327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3539),
  [21329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4594),
  [21331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12065),
  [21333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12063),
  [21335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12062),
  [21337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12060),
  [21339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5608),
  [21341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3517),
  [21343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12056),
  [21345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12055),
  [21347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12054),
  [21349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5606),
  [21351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12052),
  [21353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9426),
  [21355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2877),
  [21357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3525),
  [21359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3523),
  [21361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2912),
  [21363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2910),
  [21365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10050),
  [21367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2909),
  [21369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2908),
  [21371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2907),
  [21373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10679),
  [21375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2905),
  [21377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2902),
  [21379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12027),
  [21381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12026),
  [21383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12025),
  [21385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12016),
  [21387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12015),
  [21389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11227),
  [21391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12024),
  [21393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12023),
  [21395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2835),
  [21397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12022),
  [21399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12021),
  [21401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12020),
  [21403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13305),
  [21405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12036),
  [21407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12039),
  [21409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12045),
  [21411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12046),
  [21413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12069),
  [21415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12088),
  [21417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12091),
  [21419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3516),
  [21421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3512),
  [21423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3511),
  [21425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11741),
  [21427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12121),
  [21429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12122),
  [21431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12123),
  [21433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12126),
  [21435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12034),
  [21437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12134),
  [21439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3371),
  [21441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12760),
  [21443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [21445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8595),
  [21447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12154),
  [21449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12127),
  [21451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12171),
  [21453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12182),
  [21455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7489),
  [21457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9889),
  [21459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12203),
  [21461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12207),
  [21463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12209),
  [21465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10009),
  [21467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12217),
  [21469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3796),
  [21471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3795),
  [21473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3505),
  [21475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3504),
  [21477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3503),
  [21479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4344),
  [21481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9947),
  [21483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6632),
  [21485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5591),
  [21487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3092),
  [21489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8513),
  [21491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12355),
  [21493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12356),
  [21495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12363),
  [21497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11957),
  [21499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11956),
  [21501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11955),
  [21503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12381),
  [21505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12382),
  [21507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4519),
  [21509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12290),
  [21511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12418),
  [21513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12431),
  [21515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12441),
  [21517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12448),
  [21519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12452),
  [21521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12454),
  [21523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12489),
  [21525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12492),
  [21527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12502),
  [21529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12503),
  [21531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9920),
  [21533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13527),
  [21535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7824),
  [21537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13536),
  [21539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12564),
  [21541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12573),
  [21543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12578),
  [21545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12584),
  [21547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12585),
  [21549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12586),
  [21551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8906),
  [21553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8538),
  [21555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [21557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12598),
  [21559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12618),
  [21561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12657),
  [21563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12868),
  [21565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12715),
  [21567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12716),
  [21569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12725),
  [21571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3689),
  [21573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12772),
  [21575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13499),
  [21577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10466),
  [21579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9788),
  [21581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6383),
  [21583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7346),
  [21585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11732),
  [21587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9830),
  [21589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [21591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8511),
  [21593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10791),
  [21595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4917),
  [21597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7940),
  [21599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12959),
  [21601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12960),
  [21603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12961),
  [21605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11845),
  [21607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11844),
  [21609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11843),
  [21611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12962),
  [21613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12986),
  [21615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3329),
  [21617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13011),
  [21619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13022),
  [21621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13070),
  [21623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13073),
  [21625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13104),
  [21627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13128),
  [21629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13129),
  [21631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13136),
  [21633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13138),
  [21635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13139),
  [21637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13069),
  [21639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3230),
  [21641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3317),
  [21643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3315),
  [21645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [21647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13187),
  [21649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13313),
  [21651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13321),
  [21653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13324),
  [21655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13330),
  [21657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13352),
  [21659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13515),
  [21661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9948),
  [21663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2826),
  [21665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2823),
  [21667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13384),
  [21669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13393),
  [21671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13407),
  [21673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13409),
  [21675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3303),
  [21677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3297),
  [21679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13434),
  [21681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13311),
  [21683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13440),
  [21685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [21687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13447),
  [21689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7820),
  [21691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [21693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3273),
  [21695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3270),
  [21697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3268),
  [21699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9734),
  [21701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3266),
  [21703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3265),
  [21705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3263),
  [21707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6397),
  [21709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [21711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [21713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13486),
  [21715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13488),
  [21717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13492),
  [21719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11744),
  [21721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11743),
  [21723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11742),
  [21725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13493),
  [21727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13439),
  [21729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [21731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13647),
  [21733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13495),
  [21735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13496),
  [21737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13503),
  [21739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13504),
  [21741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13505),
  [21743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13508),
  [21745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13511),
  [21747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13517),
  [21749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13520),
  [21751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13521),
  [21753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3231),
  [21755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3178),
  [21757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2865),
  [21759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2801),
  [21761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2800),
  [21763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13533),
  [21765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13537),
  [21767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13538),
  [21769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13542),
  [21771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13543),
  [21773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13546),
  [21775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2799),
  [21777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2725),
  [21779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10017),
  [21781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13564),
  [21783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13494),
  [21785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13568),
  [21787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13572),
  [21789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2797),
  [21791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8316),
  [21793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13575),
  [21795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13576),
  [21797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13577),
  [21799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2583),
  [21801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13582),
  [21803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4818),
  [21805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2579),
  [21807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3223),
  [21809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11720),
  [21811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9652),
  [21813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3219),
  [21815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3205),
  [21817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3200),
  [21819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [21821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11717),
  [21823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13618),
  [21825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13619),
  [21827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13624),
  [21829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11662),
  [21831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11658),
  [21833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13631),
  [21835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13633),
  [21837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11712),
  [21839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13640),
  [21841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13642),
  [21843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13643),
  [21845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13646),
  [21847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13876),
  [21849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13650),
  [21851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13690),
  [21853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13756),
  [21855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13767),
  [21857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13770),
  [21859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13776),
  [21861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13535),
  [21863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3181),
  [21865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10447),
  [21867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5267),
  [21869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3177),
  [21871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13805),
  [21873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13851),
  [21875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13854),
  [21877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13859),
  [21879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13869),
  [21881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13874),
  [21883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3744),
  [21885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [21887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13885),
  [21889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13942),
  [21891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13948),
  [21893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13830),
  [21895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6411),
  [21897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2723),
  [21899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13958),
  [21901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13963),
  [21903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13964),
  [21905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13971),
  [21907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4480),
  [21909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3289),
  [21911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [21913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9560),
  [21915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4016),
  [21917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2934),
  [21919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2939),
  [21921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2940),
  [21923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2952),
  [21925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14003),
  [21927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14004),
  [21929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14007),
  [21931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11552),
  [21933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11551),
  [21935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11550),
  [21937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14009),
  [21939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14015),
  [21941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13545),
  [21943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14016),
  [21945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14019),
  [21947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14025),
  [21949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14027),
  [21951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14028),
  [21953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14032),
  [21955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14035),
  [21957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14037),
  [21959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14051),
  [21961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14053),
  [21963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14056),
  [21965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6767),
  [21967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7660),
  [21969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2972),
  [21971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6698),
  [21973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5315),
  [21975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14063),
  [21977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14072),
  [21979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14074),
  [21981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14075),
  [21983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14076),
  [21985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13954),
  [21987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [21989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6697),
  [21991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13804),
  [21993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4887),
  [21995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14088),
  [21997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14092),
  [21999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14095),
  [22001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14100),
  [22003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5311),
  [22005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8514),
  [22007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14112),
  [22009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14130),
  [22011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14141),
  [22013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5310),
  [22015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14145),
  [22017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8419),
  [22019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2956),
  [22021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2830),
  [22023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13806),
  [22025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6694),
  [22027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4907),
  [22029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9491),
  [22031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4906),
  [22033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5295),
  [22035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5294),
  [22037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2822),
  [22039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2817),
  [22041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2957),
  [22043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14379),
  [22045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14399),
  [22047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14540),
  [22049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11388),
  [22051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11386),
  [22053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11383),
  [22055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14409),
  [22057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14420),
  [22059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11613),
  [22061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14422),
  [22063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14424),
  [22065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14438),
  [22067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14442),
  [22069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14445),
  [22071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14448),
  [22073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14471),
  [22075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14481),
  [22077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14485),
  [22079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14487),
  [22081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14488),
  [22083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6894),
  [22085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9436),
  [22087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13549),
  [22089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5332),
  [22091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5270),
  [22093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14501),
  [22095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14502),
  [22097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14503),
  [22099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14504),
  [22101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14509),
  [22103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14510),
  [22105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8547),
  [22107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2803),
  [22109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5265),
  [22111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7821),
  [22113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14515),
  [22115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14517),
  [22117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14518),
  [22119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14519),
  [22121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5264),
  [22123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5262),
  [22125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14525),
  [22127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14527),
  [22129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14532),
  [22131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3838),
  [22133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14539),
  [22135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2971),
  [22137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2771),
  [22139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2805),
  [22141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3258),
  [22143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2770),
  [22145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8184),
  [22147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9450),
  [22149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12071),
  [22151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7495),
  [22153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7987),
  [22155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5258),
  [22157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12074),
  [22159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14581),
  [22161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14578),
  [22163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14577),
  [22165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11237),
  [22167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11238),
  [22169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11239),
  [22171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14576),
  [22173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14575),
  [22175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5257),
  [22177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14574),
  [22179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14573),
  [22181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14572),
  [22183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14571),
  [22185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14570),
  [22187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14569),
  [22189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14568),
  [22191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14567),
  [22193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14566),
  [22195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14565),
  [22197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14564),
  [22199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4892),
  [22201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4891),
  [22203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2640),
  [22205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10091),
  [22207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4890),
  [22209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14546),
  [22211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14545),
  [22213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14544),
  [22215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14543),
  [22217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14542),
  [22219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14541),
  [22221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8105),
  [22223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4889),
  [22225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4888),
  [22227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4782),
  [22229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14536),
  [22231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14535),
  [22233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14534),
  [22235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14533),
  [22237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10100),
  [22239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10101),
  [22241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14530),
  [22243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14529),
  [22245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14528),
  [22247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8994),
  [22249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14526),
  [22251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2644),
  [22253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2645),
  [22255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4783),
  [22257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5251),
  [22259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8668),
  [22261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5246),
  [22263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9473),
  [22265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5242),
  [22267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2648),
  [22269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5204),
  [22271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2650),
  [22273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2968),
  [22275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7817),
  [22277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14478),
  [22279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14477),
  [22281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14475),
  [22283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11334),
  [22285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11335),
  [22287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11336),
  [22289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14474),
  [22291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14473),
  [22293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5236),
  [22295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14469),
  [22297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14468),
  [22299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14466),
  [22301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14465),
  [22303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14441),
  [22305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14462),
  [22307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14460),
  [22309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14457),
  [22311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14453),
  [22313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14451),
  [22315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14450),
  [22317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12007),
  [22319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5235),
  [22321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9327),
  [22323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5233),
  [22325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5663),
  [22327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14435),
  [22329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14432),
  [22331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14430),
  [22333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14429),
  [22335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14427),
  [22337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14426),
  [22339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2791),
  [22341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8133),
  [22343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14418),
  [22345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14417),
  [22347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14416),
  [22349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14415),
  [22351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9326),
  [22353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4342),
  [22355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14412),
  [22357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14411),
  [22359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14410),
  [22361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5728),
  [22363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14408),
  [22365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3005),
  [22367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9482),
  [22369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2870),
  [22371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14396),
  [22373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14391),
  [22375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14389),
  [22377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11399),
  [22379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11400),
  [22381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11401),
  [22383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14383),
  [22385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14381),
  [22387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14376),
  [22389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14371),
  [22391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14370),
  [22393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14367),
  [22395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14366),
  [22397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14363),
  [22399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14361),
  [22401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14358),
  [22403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14355),
  [22405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14353),
  [22407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14349),
  [22409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14348),
  [22411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14347),
  [22413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14346),
  [22415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14345),
  [22417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14343),
  [22419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14341),
  [22421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14324),
  [22423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14316),
  [22425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14314),
  [22427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14307),
  [22429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14306),
  [22431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14299),
  [22433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14298),
  [22435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14291),
  [22437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12120),
  [22439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4501),
  [22441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9488),
  [22443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14251),
  [22445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14250),
  [22447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14243),
  [22449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11444),
  [22451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11445),
  [22453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11446),
  [22455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14239),
  [22457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14238),
  [22459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11687),
  [22461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14226),
  [22463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14224),
  [22465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14215),
  [22467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14214),
  [22469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14212),
  [22471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14211),
  [22473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14210),
  [22475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14209),
  [22477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14153),
  [22479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14199),
  [22481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14198),
  [22483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14196),
  [22485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14195),
  [22487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14194),
  [22489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14193),
  [22491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14192),
  [22493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14183),
  [22495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14180),
  [22497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14179),
  [22499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14178),
  [22501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14177),
  [22503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14176),
  [22505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14175),
  [22507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14166),
  [22509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14165),
  [22511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11692),
  [22513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9500),
  [22515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [22517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14158),
  [22519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14154),
  [22521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13578),
  [22523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9629),
  [22525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14152),
  [22527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14150),
  [22529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13579),
  [22531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13580),
  [22533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3750),
  [22535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14147),
  [22537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14146),
  [22539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14143),
  [22541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14142),
  [22543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14136),
  [22545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14135),
  [22547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14124),
  [22549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14117),
  [22551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14109),
  [22553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14108),
  [22555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14105),
  [22557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14101),
  [22559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9003),
  [22561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4746),
  [22563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6992),
  [22565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4513),
  [22567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9006),
  [22569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [22571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13892),
  [22573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4849),
  [22575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transaction, 5, 0, 0),
  [22577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6239),
  [22579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [22581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9568),
  [22583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5714),
  [22585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6242),
  [22587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4837),
  [22589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [22591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6867),
  [22593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13901),
  [22595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13904),
  [22597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11018),
  [22599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3080),
  [22601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13906),
  [22603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3006),
  [22605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5731),
  [22607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13926),
  [22609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6251),
  [22611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6252),
  [22613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [22615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1999),
  [22617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8332),
  [22619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3007),
  [22621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6849),
  [22623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13822),
  [22625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3010),
  [22627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6266),
  [22629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6267),
  [22631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6268),
  [22633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12108),
  [22635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6269),
  [22637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3011),
  [22639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8779),
  [22641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6270),
  [22643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6271),
  [22645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3640),
  [22647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [22649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13645),
  [22651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2444),
  [22653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9622),
  [22655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7474),
  [22657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [22659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6277),
  [22661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6278),
  [22663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5637),
  [22665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8406),
  [22667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5626),
  [22669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5625),
  [22671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5614),
  [22673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [22675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5612),
  [22677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5429),
  [22679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3012),
  [22681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9636),
  [22683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9674),
  [22685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7435),
  [22687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13583),
  [22689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5430),
  [22691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6279),
  [22693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6280),
  [22695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6282),
  [22697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6283),
  [22699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [22701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4535),
  [22703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9726),
  [22705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11694),
  [22707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4542),
  [22709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9702),
  [22711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13586),
  [22713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13547),
  [22715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6288),
  [22717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6289),
  [22719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6290),
  [22721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6354),
  [22723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11713),
  [22725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9708),
  [22727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1931),
  [22729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3579),
  [22731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8734),
  [22733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9538),
  [22735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8558),
  [22737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7254),
  [22739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3053),
  [22741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7613),
  [22743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14580),
  [22745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6688),
  [22747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13497),
  [22749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13587),
  [22751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [22753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3054),
  [22755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12145),
  [22757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9024),
  [22759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6666),
  [22761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13916),
  [22763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6609),
  [22765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_not_in, 2, 0, 0),
  [22767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11748),
  [22769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6617),
  [22771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8723),
  [22773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13476),
  [22775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2584),
  [22777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13475),
  [22779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2675),
  [22781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13472),
  [22783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2677),
  [22785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4578),
  [22787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [22789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [22791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11677),
  [22793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11767),
  [22795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7267),
  [22797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [22799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2983),
  [22801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3009),
  [22803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_frame, 4, 0, 0),
  [22805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__exclude_group, 2, 0, 0),
  [22807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13932),
  [22809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13933),
  [22811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__exclude_ties, 2, 0, 0),
  [22813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8345),
  [22815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13934),
  [22817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13936),
  [22819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13938),
  [22821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [22823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13392),
  [22825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13391),
  [22827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6843),
  [22829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7379),
  [22831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2395),
  [22833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3081),
  [22835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7376),
  [22837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2394),
  [22839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10202),
  [22841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [22843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2688),
  [22845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13940),
  [22847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [22849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13275),
  [22851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13274),
  [22853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13269),
  [22855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13263),
  [22857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3062),
  [22859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13237),
  [22861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11584),
  [22863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [22865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [22867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13180),
  [22869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13163),
  [22871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [22873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11601),
  [22875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13955),
  [22877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8517),
  [22879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [22881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13045),
  [22883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4375),
  [22885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9815),
  [22887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6841),
  [22889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12972),
  [22891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7371),
  [22893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6943),
  [22895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11668),
  [22897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6775),
  [22899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [22901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11667),
  [22903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13611),
  [22905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13612),
  [22907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13613),
  [22909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12925),
  [22911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12913),
  [22913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13614),
  [22915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6900),
  [22917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12903),
  [22919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [22921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [22923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8256),
  [22925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [22927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10142),
  [22929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__comment_target, 3, 0, 0),
  [22931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [22933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [22935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [22937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [22939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3900),
  [22941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13623),
  [22943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12818),
  [22945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6864),
  [22947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [22949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8066),
  [22951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3991),
  [22953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [22955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [22957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7773),
  [22959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12779),
  [22961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [22963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11885),
  [22965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [22967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13947),
  [22969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10902),
  [22971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6932),
  [22973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [22975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12774),
  [22977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6948),
  [22979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [22981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [22983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8431),
  [22985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [22987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [22989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9880),
  [22991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8694),
  [22993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [22995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12693),
  [22997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4518),
  [22999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9175),
  [23001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [23003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [23005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8692),
  [23007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [23009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [23011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9891),
  [23013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9892),
  [23015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9080),
  [23017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [23019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [23021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10847),
  [23023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11244),
  [23025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [23027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11644),
  [23029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12592),
  [23031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6909),
  [23033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [23035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9899),
  [23037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9900),
  [23039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12464),
  [23041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13653),
  [23043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13654),
  [23045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13655),
  [23047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13657),
  [23049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13658),
  [23051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9902),
  [23053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9903),
  [23055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13659),
  [23057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [23059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9905),
  [23061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [23063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12561),
  [23065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13705),
  [23067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [23069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7633),
  [23071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11246),
  [23073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11642),
  [23075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [23077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7812),
  [23079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [23081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [23083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [23085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [23087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [23089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [23091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [23093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [23095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [23097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10464),
  [23099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10746),
  [23101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [23103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11255),
  [23105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6795),
  [23107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13671),
  [23109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4613),
  [23111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__rollback, 2, 0, 0),
  [23113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10704),
  [23115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [23117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__commit, 2, 0, 0),
  [23119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transaction, 3, 0, 0),
  [23121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9127),
  [23123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 3, 0, 0),
  [23125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5604),
  [23127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [23129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3312),
  [23131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8405),
  [23133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [23135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [23137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [23139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [23141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [23143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [23145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7180),
  [23147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7108),
  [23149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7154),
  [23151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8925),
  [23153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10467),
  [23155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9978),
  [23157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11265),
  [23159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7152),
  [23161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10524),
  [23163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [23165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7742),
  [23167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6898),
  [23169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7138),
  [23171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6935),
  [23173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7137),
  [23175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6940),
  [23177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6941),
  [23179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10184),
  [23181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [23183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11985),
  [23185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9189),
  [23187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7133),
  [23189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10335),
  [23191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7128),
  [23193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4566),
  [23195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9008),
  [23197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11634),
  [23199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4568),
  [23201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [23203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11989),
  [23205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6728),
  [23207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6994),
  [23209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13692),
  [23211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6742),
  [23213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [23215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [23217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [23219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12192),
  [23221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [23223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [23225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [23227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10465),
  [23229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12200),
  [23231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12201),
  [23233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12202),
  [23235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2673),
  [23237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [23239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12208),
  [23241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [23243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [23245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13693),
  [23247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13694),
  [23249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8996),
  [23251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10405),
  [23253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10119),
  [23255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13637),
  [23257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6819),
  [23259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10125),
  [23261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13697),
  [23263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6818),
  [23265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13698),
  [23267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13699),
  [23269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11283),
  [23271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13700),
  [23273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13701),
  [23275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13703),
  [23277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13704),
  [23279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6951),
  [23281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9026),
  [23283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [23285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [23287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [23289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11977),
  [23291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7710),
  [23293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [23295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [23297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [23299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [23301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [23303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12279),
  [23305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [23307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [23309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [23311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [23313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12287),
  [23315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12288),
  [23317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12289),
  [23319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7505),
  [23321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13706),
  [23323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12295),
  [23325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11632),
  [23327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [23329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [23331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [23333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [23335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9053),
  [23337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [23339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2663),
  [23341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11964),
  [23343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10178),
  [23345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9039),
  [23347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9043),
  [23349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9964),
  [23351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11292),
  [23353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12361),
  [23355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9054),
  [23357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11631),
  [23359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7450),
  [23361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9946),
  [23363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12369),
  [23365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12370),
  [23367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12371),
  [23369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10216),
  [23371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12377),
  [23373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11630),
  [23375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7462),
  [23377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [23379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6677),
  [23381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10182),
  [23383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9068),
  [23385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13714),
  [23387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13715),
  [23389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8313),
  [23391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11947),
  [23393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13716),
  [23395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6777),
  [23397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6997),
  [23399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12439),
  [23401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11317),
  [23403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12445),
  [23405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12446),
  [23407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12447),
  [23409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12451),
  [23411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9128),
  [23413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10117),
  [23415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6996),
  [23417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8366),
  [23419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9084),
  [23421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7116),
  [23423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8393),
  [23425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11939),
  [23427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [23429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3849),
  [23431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7114),
  [23433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12511),
  [23435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10083),
  [23437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3211),
  [23439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12517),
  [23441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12518),
  [23443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12519),
  [23445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12523),
  [23447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10073),
  [23449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4009),
  [23451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9112),
  [23453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3169),
  [23455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6802),
  [23457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11923),
  [23459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8115),
  [23461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5694),
  [23463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9177),
  [23465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9991),
  [23467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12583),
  [23469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9180),
  [23471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8623),
  [23473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12589),
  [23475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12590),
  [23477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12591),
  [23479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12595),
  [23481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8608),
  [23483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14022),
  [23485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7107),
  [23487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14023),
  [23489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9134),
  [23491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [23493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11905),
  [23495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9972),
  [23497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12648),
  [23499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12651),
  [23501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12652),
  [23503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12653),
  [23505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12655),
  [23507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [23509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13725),
  [23511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9143),
  [23513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9295),
  [23515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11901),
  [23517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11348),
  [23519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13121),
  [23521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9250),
  [23523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12707),
  [23525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6959),
  [23527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12710),
  [23529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12711),
  [23531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12712),
  [23533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12714),
  [23535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13726),
  [23537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13731),
  [23539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13161),
  [23541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6689),
  [23543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9153),
  [23545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9022),
  [23547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11893),
  [23549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6675),
  [23551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9304),
  [23553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9263),
  [23555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12766),
  [23557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8456),
  [23559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12769),
  [23561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12770),
  [23563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12771),
  [23565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12773),
  [23567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7106),
  [23569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6357),
  [23571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10786),
  [23573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7094),
  [23575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9183),
  [23577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11872),
  [23579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [23581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7087),
  [23583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9665),
  [23585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12825),
  [23587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [23589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12828),
  [23591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12829),
  [23593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12830),
  [23595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12832),
  [23597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11369),
  [23599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7084),
  [23601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9297),
  [23603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9198),
  [23605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11366),
  [23607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11864),
  [23609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7083),
  [23611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6690),
  [23613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6995),
  [23615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12884),
  [23617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8472),
  [23619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12887),
  [23621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12888),
  [23623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12889),
  [23625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12891),
  [23627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7770),
  [23629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3101),
  [23631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7086),
  [23633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9215),
  [23635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8011),
  [23637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11852),
  [23639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5640),
  [23641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13745),
  [23643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [23645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12943),
  [23647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8009),
  [23649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12946),
  [23651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12947),
  [23653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12948),
  [23655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12950),
  [23657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8573),
  [23659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6743),
  [23661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14034),
  [23663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11794),
  [23665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9259),
  [23667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10814),
  [23669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11837),
  [23671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [23673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10070),
  [23675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8981),
  [23677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13002),
  [23679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9790),
  [23681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13005),
  [23683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13006),
  [23685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13007),
  [23687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13009),
  [23689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7647),
  [23691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6674),
  [23693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7649),
  [23695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8481),
  [23697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9272),
  [23699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6669),
  [23701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11833),
  [23703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6591),
  [23705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14043),
  [23707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [23709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13061),
  [23711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11627),
  [23713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13064),
  [23715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13065),
  [23717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13066),
  [23719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13068),
  [23721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2903),
  [23723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__exclude_no_others, 3, 0, 0),
  [23725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__exclude_current_row, 3, 0, 0),
  [23727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2484),
  [23729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9290),
  [23731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14055),
  [23733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11829),
  [23735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2486),
  [23737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4284),
  [23739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [23741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13120),
  [23743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7097),
  [23745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13123),
  [23747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13124),
  [23749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13125),
  [23751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13127),
  [23753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11531),
  [23755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6958),
  [23757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14058),
  [23759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [23761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9302),
  [23763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10617),
  [23765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11819),
  [23767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5561),
  [23769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11525),
  [23771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3123),
  [23773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13179),
  [23775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7131),
  [23777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13182),
  [23779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13183),
  [23781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13184),
  [23783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13186),
  [23785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7132),
  [23787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6969),
  [23789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9325),
  [23791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13220),
  [23793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13221),
  [23795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13222),
  [23797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13223),
  [23799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13224),
  [23801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7164),
  [23803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11523),
  [23805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9335),
  [23807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13258),
  [23809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13259),
  [23811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13260),
  [23813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13261),
  [23815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13262),
  [23817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7719),
  [23819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14077),
  [23821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10020),
  [23823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3086),
  [23825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11798),
  [23827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5681),
  [23829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8323),
  [23831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7378),
  [23833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13323),
  [23835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4700),
  [23837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4876),
  [23839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13794),
  [23841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6042),
  [23843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5516),
  [23845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5514),
  [23847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11614),
  [23849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5511),
  [23851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7764),
  [23853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5496),
  [23855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8379),
  [23857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9009),
  [23859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10247),
  [23861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8272),
  [23863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5492),
  [23865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5485),
  [23867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13356),
  [23869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9366),
  [23871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5484),
  [23873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6635),
  [23875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13367),
  [23877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14120),
  [23879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6763),
  [23881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2658),
  [23883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2661),
  [23885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4993),
  [23887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13376),
  [23889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10179),
  [23891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8442),
  [23893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4987),
  [23895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8203),
  [23897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10261),
  [23899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4989),
  [23901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10210),
  [23903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4991),
  [23905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [23907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [23909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7726),
  [23911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7597),
  [23913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6678),
  [23915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7723),
  [23917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13404),
  [23919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11783),
  [23921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7854),
  [23923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [23925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4992),
  [23927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8581),
  [23929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5483),
  [23931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_frame, 6, 0, 0),
  [23933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2440),
  [23935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5528),
  [23937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4848),
  [23939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11485),
  [23941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5390),
  [23943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4845),
  [23945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4705),
  [23947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5684),
  [23949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14151),
  [23951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10418),
  [23953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7646),
  [23955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13443),
  [23957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13444),
  [23959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13445),
  [23961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11775),
  [23963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5540),
  [23965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8512),
  [23967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5551),
  [23969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5557),
  [23971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5559),
  [23973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14157),
  [23975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13468),
  [23977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7383),
  [23979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12384),
  [23981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7380),
  [23983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7687),
  [23985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3133),
  [23987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4830),
  [23989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4827),
  [23991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13479),
  [23993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11752),
  [23995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5596),
  [23997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11751),
  [23999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13553),
  [24001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9315),
  [24003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5600),
  [24005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9312),
  [24007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13498),
  [24009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4997),
  [24011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13501),
  [24013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7368),
  [24015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12364),
  [24017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12367),
  [24019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4998),
  [24021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2646),
  [24023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [24025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11728),
  [24027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11727),
  [24029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2647),
  [24031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12368),
  [24033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4825),
  [24035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4680),
  [24037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4677),
  [24039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12373),
  [24041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6628),
  [24043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5617),
  [24045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [24047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11716),
  [24049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11715),
  [24051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transaction, 2, 0, 0),
  [24053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4489),
  [24055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [24057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6885),
  [24059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6716),
  [24061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [24063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11707),
  [24065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4490),
  [24067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 2, 0, 0),
  [24069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10688),
  [24071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12374),
  [24073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7760),
  [24075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10035),
  [24077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5623),
  [24079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10010),
  [24081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [24083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11702),
  [24085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10165),
  [24087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2974),
  [24089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2975),
  [24091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6861),
  [24093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7693),
  [24095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12376),
  [24097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7689),
  [24099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5000),
  [24101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [24103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1967),
  [24105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12383),
  [24107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5641),
  [24109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3819),
  [24111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3832),
  [24113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [24115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2685),
  [24117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4391),
  [24119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11440),
  [24121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4390),
  [24123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3182),
  [24125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4734),
  [24127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9231),
  [24129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14258),
  [24131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6768),
  [24133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4735),
  [24135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4703),
  [24137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [24139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11906),
  [24141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2347),
  [24143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9160),
  [24145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3848),
  [24147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3271),
  [24149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13656),
  [24151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7759),
  [24153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7705),
  [24155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13661),
  [24157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13662),
  [24159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13663),
  [24161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13666),
  [24163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3840),
  [24165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3839),
  [24167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3255),
  [24169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3254),
  [24171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3886),
  [24173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3891),
  [24175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [24177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3865),
  [24179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13702),
  [24181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7745),
  [24183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7717),
  [24185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13707),
  [24187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13708),
  [24189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13709),
  [24191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13712),
  [24193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3956),
  [24195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3961),
  [24197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3969),
  [24199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3971),
  [24201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3975),
  [24203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4037),
  [24205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4038),
  [24207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13730),
  [24209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7761),
  [24211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7704),
  [24213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13735),
  [24215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13736),
  [24217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13737),
  [24219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13740),
  [24221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4597),
  [24223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3165),
  [24225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3158),
  [24227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3157),
  [24229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3098),
  [24231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3150),
  [24233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3149),
  [24235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13757),
  [24237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7787),
  [24239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7680),
  [24241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13761),
  [24243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13762),
  [24245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13763),
  [24247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13764),
  [24249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4253),
  [24251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9280),
  [24253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4250),
  [24255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7806),
  [24257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9831),
  [24259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13777),
  [24261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7799),
  [24263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13780),
  [24265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13781),
  [24267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13782),
  [24269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13783),
  [24271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9813),
  [24273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4226),
  [24275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4223),
  [24277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7662),
  [24279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7661),
  [24281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4116),
  [24283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13796),
  [24285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7815),
  [24287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13799),
  [24289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13800),
  [24291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13801),
  [24293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13802),
  [24295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4096),
  [24297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4095),
  [24299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4605),
  [24301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13813),
  [24303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13815),
  [24305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13816),
  [24307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13817),
  [24309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13818),
  [24311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9349),
  [24313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10038),
  [24315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13829),
  [24317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13831),
  [24319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13832),
  [24321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13833),
  [24323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13834),
  [24325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [24327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2241),
  [24329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13845),
  [24331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13847),
  [24333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13848),
  [24335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13849),
  [24337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13850),
  [24339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7299),
  [24341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2348),
  [24343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13861),
  [24345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13863),
  [24347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13864),
  [24349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13865),
  [24351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13866),
  [24353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2349),
  [24355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3594),
  [24357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13877),
  [24359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13879),
  [24361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13880),
  [24363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13881),
  [24365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13882),
  [24367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2487),
  [24369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7844),
  [24371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13893),
  [24373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13895),
  [24375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13896),
  [24377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13897),
  [24379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13898),
  [24381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [24383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2498),
  [24385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8183),
  [24387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13909),
  [24389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13911),
  [24391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13912),
  [24393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13913),
  [24395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13914),
  [24397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2499),
  [24399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [24401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6886),
  [24403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13925),
  [24405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13927),
  [24407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13928),
  [24409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13929),
  [24411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13930),
  [24413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1898),
  [24415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6681),
  [24417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2527),
  [24419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13941),
  [24421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13943),
  [24423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13944),
  [24425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13945),
  [24427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13946),
  [24429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9446),
  [24431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9444),
  [24433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2528),
  [24435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13957),
  [24437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13959),
  [24439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13960),
  [24441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13961),
  [24443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13962),
  [24445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13966),
  [24447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13967),
  [24449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13968),
  [24451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13969),
  [24453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13970),
  [24455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13974),
  [24457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13975),
  [24459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13976),
  [24461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13977),
  [24463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13978),
  [24465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4082),
  [24467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2463),
  [24469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [24471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2451),
  [24473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [24475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2450),
  [24477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2346),
  [24479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2345),
  [24481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2344),
  [24483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2350),
  [24485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7279),
  [24487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9498),
  [24489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14017),
  [24491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2351),
  [24493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9523),
  [24495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [24497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6672),
  [24499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10858),
  [24501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [24503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14373),
  [24505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [24507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1978),
  [24509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8187),
  [24511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [24513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14047),
  [24515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8195),
  [24517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1974),
  [24519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4835),
  [24521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14375),
  [24523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6888),
  [24525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4836),
  [24527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2380),
  [24529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14071),
  [24531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9404),
  [24533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [24535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9575),
  [24537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2386),
  [24539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14087),
  [24541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14089),
  [24543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3909),
  [24545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [24547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2399),
  [24549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [24551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2406),
  [24553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [24555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14103),
  [24557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14104),
  [24559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [24561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [24563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2423),
  [24565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [24567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2430),
  [24569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14114),
  [24571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14115),
  [24573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [24575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [24577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2431),
  [24579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2654),
  [24581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14123),
  [24583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3908),
  [24585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete, 2, 0, 0),
  [24587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12456),
  [24589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12515),
  [24591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2368),
  [24593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2371),
  [24595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14133),
  [24597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11586),
  [24599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4504),
  [24601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3843),
  [24603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3713),
  [24605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4521),
  [24607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4524),
  [24609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3426),
  [24611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2382),
  [24613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3780),
  [24615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3781),
  [24617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4557),
  [24619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4558),
  [24621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3387),
  [24623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3842),
  [24625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3381),
  [24627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3896),
  [24629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2405),
  [24631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3913),
  [24633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [24635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4616),
  [24637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4617),
  [24639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [24641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4619),
  [24643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4483),
  [24645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [24647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4660),
  [24649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [24651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [24653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4659),
  [24655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4658),
  [24657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [24659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [24661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3240),
  [24663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [24665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3830),
  [24667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [24669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [24671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3175),
  [24673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3151),
  [24675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [24677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [24679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3153),
  [24681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [24683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4648),
  [24685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4647),
  [24687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [24689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3834),
  [24691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [24693] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [24695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3651),
  [24697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [24699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6961),
  [24701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3825),
  [24703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [24705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3828),
  [24707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [24709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6927),
  [24711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6928),
  [24713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [24715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4644),
  [24717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4641),
  [24719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [24721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3160),
  [24723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4639),
  [24725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4638),
  [24727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4630),
  [24729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4625),
  [24731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4622),
  [24733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4675),
  [24735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [24737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3162),
  [24739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8175),
  [24741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2210),
  [24743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3168),
  [24745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3269),
  [24747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3966),
  [24749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3967),
  [24751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [24753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4589),
  [24755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3626),
  [24757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [24759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [24761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4595),
  [24763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3649),
  [24765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9385),
  [24767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2126),
  [24769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4151),
  [24771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4300),
  [24773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4305),
  [24775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4308),
  [24777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1954),
  [24779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [24781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2441),
  [24783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4311),
  [24785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4318),
  [24787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9225),
  [24789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3664),
  [24791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3712),
  [24793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4248),
  [24795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8300),
  [24797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4237),
  [24799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3388),
  [24801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3394),
  [24803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11928),
  [24805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2438),
  [24807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4366),
  [24809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12537),
  [24811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3753),
  [24813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4111),
  [24815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5271),
  [24817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4108),
  [24819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4820),
  [24821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5261),
  [24823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5260),
  [24825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [24827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3395),
  [24829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4817),
  [24831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4816),
  [24833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5248),
  [24835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5247),
  [24837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [24839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [24841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4032),
  [24843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3905),
  [24845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5214),
  [24847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5212),
  [24849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5211),
  [24851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5207),
  [24853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5206),
  [24855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5205),
  [24857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2619),
  [24859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [24861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [24863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2173),
  [24865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [24867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12579),
  [24869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8937),
  [24871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8931),
  [24873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5196),
  [24875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5194),
  [24877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4812),
  [24879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4811),
  [24881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4810),
  [24883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4809),
  [24885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4806),
  [24887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2361),
  [24889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2362),
  [24891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5187),
  [24893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5186),
  [24895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5184),
  [24897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5183),
  [24899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5178),
  [24901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5177),
  [24903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5176),
  [24905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5597),
  [24907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [24909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8169),
  [24911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2610),
  [24913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9565),
  [24915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9443),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__dollar_quoted_string_start_tag = 0,
  ts_external_token__dollar_quoted_string_end_tag = 1,
  ts_external_token__dollar_quoted_string = 2,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__dollar_quoted_string_start_tag] = sym__dollar_quoted_string_start_tag,
  [ts_external_token__dollar_quoted_string_end_tag] = sym__dollar_quoted_string_end_tag,
  [ts_external_token__dollar_quoted_string] = sym__dollar_quoted_string,
};

static const bool ts_external_scanner_states[6][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__dollar_quoted_string_start_tag] = true,
    [ts_external_token__dollar_quoted_string_end_tag] = true,
    [ts_external_token__dollar_quoted_string] = true,
  },
  [2] = {
    [ts_external_token__dollar_quoted_string_end_tag] = true,
  },
  [3] = {
    [ts_external_token__dollar_quoted_string] = true,
  },
  [4] = {
    [ts_external_token__dollar_quoted_string_end_tag] = true,
    [ts_external_token__dollar_quoted_string] = true,
  },
  [5] = {
    [ts_external_token__dollar_quoted_string_start_tag] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_sql_external_scanner_create(void);
void tree_sitter_sql_external_scanner_destroy(void *);
bool tree_sitter_sql_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_sql_external_scanner_serialize(void *, char *);
void tree_sitter_sql_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_sql(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym__identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_sql_external_scanner_create,
      tree_sitter_sql_external_scanner_destroy,
      tree_sitter_sql_external_scanner_scan,
      tree_sitter_sql_external_scanner_serialize,
      tree_sitter_sql_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
